/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern4 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_QImode)
    return -1;
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  if (!register_operand (operands[3], E_QImode))
    return -1;
  return pattern2 (x1); /* [-1, 1] */
}

int
pattern13 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 0;

        case E_DImode:
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DImode:
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 2;

        case E_SImode:
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 4;

        case E_DImode:
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 5;

        case E_HImode:
          if (!register_operand (operands[1], E_HImode))
            return -1;
          return 6;

        default:
          return -1;
        }

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HImode))
        return -1;
      return 7;

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HImode))
        return -1;
      return 8;

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SImode))
        return -1;
      return 9;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SImode))
        return -1;
      return 10;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DImode))
        return -1;
      return 11;

    case E_VNx8SFmode:
      if (!aligned_register_operand (operands[0], E_VNx8SFmode)
          || GET_MODE (x3) != E_VNx8SFmode
          || !aligned_register_operand (operands[1], E_VNx8SImode))
        return -1;
      return 12;

    case E_VNx16SFmode:
      if (!aligned_register_operand (operands[0], E_VNx16SFmode)
          || GET_MODE (x3) != E_VNx16SFmode
          || !aligned_register_operand (operands[1], E_VNx16SImode))
        return -1;
      return 13;

    default:
      return -1;
    }
}

int
pattern40 (rtx x1, int i1, int i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != UNSPEC_VOLATILE
      || XVECLEN (x3, 0) != i2
      || XINT (x3, 1) != i1)
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x4) != CLOBBER)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 66
      || GET_MODE (x5) != E_CCmode)
    return -1;
  x6 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x6) != CLOBBER)
    return -1;
  return 0;
}

int
pattern49 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_SImode
          || !register_operand (operands[1], E_SImode)
          || !aarch64_shift_imm_si (operands[2], E_QImode)
          || !register_operand (operands[3], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_DImode
          || !register_operand (operands[1], E_DImode)
          || !aarch64_shift_imm_di (operands[2], E_QImode)
          || !register_operand (operands[3], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern59 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode))
        return -1;
      return 1;

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x3) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode))
        return -1;
      return 2;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x3) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode))
        return -1;
      return 3;

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode))
        return -1;
      return 4;

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode))
        return -1;
      return 5;

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x3) != E_V2DImode
          || !register_operand (operands[1], E_V2DImode))
        return -1;
      return 6;

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode))
        return -1;
      return 7;

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode))
        return -1;
      return 8;

    case E_V4BFmode:
      if (!register_operand (operands[0], E_V4BFmode)
          || GET_MODE (x3) != E_V4BFmode
          || !register_operand (operands[1], E_V4BFmode))
        return -1;
      return 9;

    case E_V8BFmode:
      if (!register_operand (operands[0], E_V8BFmode)
          || GET_MODE (x3) != E_V8BFmode
          || !register_operand (operands[1], E_V8BFmode))
        return -1;
      return 10;

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode))
        return -1;
      return 11;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      return 12;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode))
        return -1;
      return 13;

    default:
      return -1;
    }
}

int
pattern89 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern75 (x3, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern75 (x3, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern75 (x3, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern75 (x3, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern75 (x3, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern75 (x3, 
E_V4SImode) != 0)
        return -1;
      return 5;

    case E_QImode:
      if (pattern88 (x3, 
E_VNx16QImode, 
E_VNx16BImode, 
E_QImode) != 0)
        return -1;
      return 6;

    case E_HImode:
      if (pattern88 (x3, 
E_VNx8HImode, 
E_VNx8BImode, 
E_HImode) != 0)
        return -1;
      return 7;

    case E_SImode:
      if (pattern88 (x3, 
E_VNx4SImode, 
E_VNx4BImode, 
E_SImode) != 0)
        return -1;
      return 8;

    case E_DImode:
      if (pattern88 (x3, 
E_VNx2DImode, 
E_VNx2BImode, 
E_DImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern103 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], i2))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern109 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern88 (x3, 
E_VNx16QImode, 
E_VNx16BImode, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern88 (x3, 
E_VNx8HImode, 
E_VNx8BImode, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern88 (x3, 
E_VNx4SImode, 
E_VNx4BImode, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern88 (x3, 
E_VNx2DImode, 
E_VNx2BImode, 
E_DImode) != 0)
        return -1;
      return 3;

    case E_BFmode:
      if (pattern88 (x3, 
E_VNx8BFmode, 
E_VNx8BImode, 
E_BFmode) != 0)
        return -1;
      return 4;

    case E_HFmode:
      if (pattern88 (x3, 
E_VNx8HFmode, 
E_VNx8BImode, 
E_HFmode) != 0)
        return -1;
      return 5;

    case E_SFmode:
      if (pattern88 (x3, 
E_VNx4SFmode, 
E_VNx4BImode, 
E_SFmode) != 0)
        return -1;
      return 6;

    case E_DFmode:
      if (pattern88 (x3, 
E_VNx2DFmode, 
E_VNx2BImode, 
E_DFmode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern118 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern111 (x3, 
E_VNx16QImode, 
E_VNx8HImode); /* [-1, 0] */

    case E_VNx4SImode:
      if (pattern111 (x3, 
E_VNx8HImode, 
E_VNx4SImode) != 0)
        return -1;
      return 1;

    case E_VNx2DImode:
      if (pattern111 (x3, 
E_VNx4SImode, 
E_VNx2DImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern126 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern119 (x3, 
E_VNx16QImode, 
E_VNx8HImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern119 (x3, 
E_VNx8HImode, 
E_VNx4SImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern119 (x3, 
E_VNx4SImode, 
E_VNx2DImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern134 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern75 (x3, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx4SImode:
      if (pattern75 (x3, 
E_VNx4SImode) != 0)
        return -1;
      return 1;

    case E_VNx2DImode:
      if (pattern75 (x3, 
E_VNx2DImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern144 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_MODE (x2) != E_SImode)
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V2SImode:
      if (!register_operand (operands[3], E_V2SImode))
        return -1;
      return 0;

    case E_V4SImode:
      if (!register_operand (operands[3], E_V4SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern156 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_offset_di (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern164 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 2
      || XINT (x3, 1) != 168)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 0);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 1);
  operands[3] = x7;
  if (!const_int_operand (operands[3], E_SImode))
    return -1;
  x8 = XVECEXP (x2, 0, 2);
  operands[4] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      return pattern163 (x2, 
E_VNx8BFmode); /* [-1, 0] */

    case E_VNx8HFmode:
      if (pattern163 (x2, 
E_VNx8HFmode) != 0)
        return -1;
      return 1;

    case E_VNx4SFmode:
      if (pattern163 (x2, 
E_VNx4SFmode) != 0)
        return -1;
      return 2;

    case E_VNx2DFmode:
      if (pattern163 (x2, 
E_VNx2DFmode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern175 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[3] = x5;
  if (!aarch64_sve_gp_strictness (operands[3], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern174 (x3, 
E_VNx8HFmode); /* [-1, 2] */

    case E_VNx4SFmode:
      res = pattern174 (x3, 
E_VNx4SFmode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_VNx8BImode:
          if (!register_operand (operands[1], E_VNx8BImode)
              || !register_operand (operands[2], E_VNx8HImode))
            return -1;
          return 6;

        case E_VNx4BImode:
          if (!register_operand (operands[1], E_VNx4BImode)
              || !register_operand (operands[2], E_VNx4SImode))
            return -1;
          return 7;

        case E_VNx2BImode:
          if (!register_operand (operands[1], E_VNx2BImode))
            return -1;
          switch (GET_MODE (operands[2]))
            {
            case E_VNx2DImode:
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              return 8;

            case E_VNx4SImode:
              if (!register_operand (operands[2], E_VNx4SImode))
                return -1;
              return 9;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern191 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern189 (x3, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4SFmode:
      if (pattern189 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2DFmode:
      if (pattern189 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern202 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern201 (x3, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4SFmode:
      if (pattern201 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2DFmode:
      if (pattern201 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern209 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      return pattern204 (x3); /* [-1, 3] */

    case UNSPEC:
      if (XVECLEN (x6, 0) != 3
          || XINT (x6, 1) != 351)
        return -1;
      x7 = XVECEXP (x6, 0, 1);
      if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x8 = XVECEXP (x3, 0, 3);
      if (GET_CODE (x8) != UNSPEC
          || XVECLEN (x8, 0) != 3
          || XINT (x8, 1) != 351)
        return -1;
      x9 = XVECEXP (x8, 0, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      res = pattern208 (x3);
      if (res >= 0)
        return res + 4; /* [4, 6] */
      return -1;

    default:
      return -1;
    }
}

int
pattern224 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern228 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 4);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 84
      || GET_MODE (x3) != E_DImode
      || pattern227 (x1, 
i1, 
E_VNx16QImode) != 0)
    return -1;
  return 0;
}

int
pattern231 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aligned_register_operand (operands[1], i1)
      || !aligned_register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern235 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[0] = x6;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[1] = x7;
      x8 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[2] = x8;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              return pattern231 (x2, 
E_VNx8SImode); /* [-1, 0] */

            case E_VNx4DImode:
              if (pattern231 (x2, 
E_VNx4DImode) != 0)
                return -1;
              return 1;

            case E_VNx16SImode:
              if (pattern231 (x2, 
E_VNx16SImode) != 0)
                return -1;
              return 2;

            case E_VNx8DImode:
              if (pattern231 (x2, 
E_VNx8DImode) != 0)
                return -1;
              return 3;

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          operands[2] = x9;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              if (pattern232 (x2, 
E_VNx8SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 4;

            case E_VNx4DImode:
              if (pattern232 (x2, 
E_VNx4DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 5;

            case E_VNx16SImode:
              if (pattern232 (x2, 
E_VNx16SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 6;

            case E_VNx8DImode:
              if (pattern232 (x2, 
E_VNx8DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 7;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x6) != E_SImode)
        return -1;
      x10 = XEXP (x6, 0);
      operands[0] = x10;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x11 = XEXP (x6, 1);
      operands[1] = x11;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[2] = x7;
      x8 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[3] = x8;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              if (pattern233 (x2, 
E_VNx8SImode) != 0)
                return -1;
              return 8;

            case E_VNx4DImode:
              if (pattern233 (x2, 
E_VNx4DImode) != 0)
                return -1;
              return 9;

            case E_VNx16SImode:
              if (pattern233 (x2, 
E_VNx16SImode) != 0)
                return -1;
              return 10;

            case E_VNx8DImode:
              if (pattern233 (x2, 
E_VNx8DImode) != 0)
                return -1;
              return 11;

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          operands[3] = x9;
          switch (GET_MODE (x5))
            {
            case E_VNx8SImode:
              if (pattern234 (x2, 
E_VNx8SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 12;

            case E_VNx4DImode:
              if (pattern234 (x2, 
E_VNx4DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 13;

            case E_VNx16SImode:
              if (pattern234 (x2, 
E_VNx16SImode, 
E_VNx4SImode) != 0)
                return -1;
              return 14;

            case E_VNx8DImode:
              if (pattern234 (x2, 
E_VNx8DImode, 
E_VNx2DImode) != 0)
                return -1;
              return 15;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern265 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_VNx16BImode))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[4] = x7;
  x8 = XVECEXP (x3, 0, 4);
  operands[5] = x8;
  x9 = XVECEXP (x3, 0, 5);
  if (!rtx_equal_p (x9, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      return pattern264 (x3, 
E_VNx16QImode, 
E_VNx32QImode); /* [-1, 0] */

    case E_VNx16HImode:
      if (pattern264 (x3, 
E_VNx8HImode, 
E_VNx16HImode) != 0)
        return -1;
      return 1;

    case E_VNx8SImode:
      if (pattern264 (x3, 
E_VNx4SImode, 
E_VNx8SImode) != 0)
        return -1;
      return 2;

    case E_VNx4DImode:
      if (pattern264 (x3, 
E_VNx2DImode, 
E_VNx4DImode) != 0)
        return -1;
      return 3;

    case E_VNx16BFmode:
      if (pattern264 (x3, 
E_VNx8BFmode, 
E_VNx16BFmode) != 0)
        return -1;
      return 4;

    case E_VNx16HFmode:
      if (pattern264 (x3, 
E_VNx8HFmode, 
E_VNx16HFmode) != 0)
        return -1;
      return 5;

    case E_VNx8SFmode:
      if (pattern264 (x3, 
E_VNx4SFmode, 
E_VNx8SFmode) != 0)
        return -1;
      return 6;

    case E_VNx4DFmode:
      if (pattern264 (x3, 
E_VNx2DFmode, 
E_VNx4DFmode) != 0)
        return -1;
      return 7;

    case E_VNx64QImode:
      if (pattern264 (x3, 
E_VNx16QImode, 
E_VNx64QImode) != 0)
        return -1;
      return 8;

    case E_VNx32HImode:
      if (pattern264 (x3, 
E_VNx8HImode, 
E_VNx32HImode) != 0)
        return -1;
      return 9;

    case E_VNx16SImode:
      if (pattern264 (x3, 
E_VNx4SImode, 
E_VNx16SImode) != 0)
        return -1;
      return 10;

    case E_VNx8DImode:
      if (pattern264 (x3, 
E_VNx2DImode, 
E_VNx8DImode) != 0)
        return -1;
      return 11;

    case E_VNx32BFmode:
      if (pattern264 (x3, 
E_VNx8BFmode, 
E_VNx32BFmode) != 0)
        return -1;
      return 12;

    case E_VNx32HFmode:
      if (pattern264 (x3, 
E_VNx8HFmode, 
E_VNx32HFmode) != 0)
        return -1;
      return 13;

    case E_VNx16SFmode:
      if (pattern264 (x3, 
E_VNx4SFmode, 
E_VNx16SFmode) != 0)
        return -1;
      return 14;

    case E_VNx8DFmode:
      if (pattern264 (x3, 
E_VNx2DFmode, 
E_VNx8DFmode) != 0)
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern282 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern281 (x1, 
E_SImode); /* [-1, 1] */

    case E_DImode:
      res = pattern281 (x1, 
E_DImode);
      if (res >= 0)
        return res + 2; /* [2, 3] */
      return -1;

    default:
      return -1;
    }
}

int
pattern284 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern288 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i3)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern294 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode
          || GET_MODE (x2) != E_SImode
          || !register_operand (operands[1], E_SImode)
          || !aarch64_shift_imm_si (operands[2], E_QImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode
          || GET_MODE (x2) != E_DImode
          || !register_operand (operands[1], E_DImode)
          || !aarch64_shift_imm_di (operands[2], E_QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern302 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  return pattern301 (); /* [-1, 2] */
}

int
pattern304 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3
      || !register_operand (operands[1], i2)
      || !vect_par_cnst_hi_half (operands[2], i2)
      || !aarch64_simd_shll_imm_vec (operands[3], i1))
    return -1;
  return 0;
}

int
pattern310 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern314 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[3] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case NOT:
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      x6 = XEXP (x3, 1);
      operands[1] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          return pattern313 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

        case E_V8HImode:
          if (pattern313 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
            return -1;
          return 1;

        case E_V4SImode:
          if (pattern313 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x4;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          return 3;

        case E_V8HImode:
          return 4;

        case E_V4SImode:
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern323 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  x5 = XEXP (x1, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern315 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern315 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern315 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern329 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], E_VNx4SImode))
    return -1;
  switch (XINT (x1, 1))
    {
    case 169:
      x2 = XVECEXP (x1, 0, 0);
      operands[2] = x2;
      if (!const_int_operand (operands[2], E_DImode))
        return -1;
      x3 = XVECEXP (x1, 0, 1);
      operands[3] = x3;
      if (!const_int_operand (operands[3], E_DImode))
        return -1;
      x4 = XVECEXP (x1, 0, 2);
      operands[4] = x4;
      if (!const_int_operand (operands[4], E_DImode))
        return -1;
      return 0;

    case 307:
      x3 = XVECEXP (x1, 0, 1);
      if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      operands[3] = x2;
      x4 = XVECEXP (x1, 0, 2);
      operands[2] = x4;
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern339 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  return pattern334 (x1); /* [-1, 2] */
}

int
pattern343 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != CLOBBER)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 66
      || GET_MODE (x3) != E_CCmode)
    return -1;
  x4 = XVECEXP (x1, 0, 0);
  x5 = XEXP (x4, 0);
  operands[0] = x5;
  x6 = XEXP (x4, 1);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x6, 1);
  operands[2] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern342 (x6, 
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern342 (x6, 
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern353 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != CLOBBER)
    return -1;
  x3 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x3) != CLOBBER)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_CCmode)
    return -1;
  x5 = XVECEXP (x1, 0, 0);
  x6 = XEXP (x5, 0);
  operands[0] = x6;
  x7 = XEXP (x5, 1);
  x8 = XEXP (x7, 0);
  operands[1] = x8;
  x9 = XEXP (x7, 1);
  operands[2] = x9;
  x10 = XEXP (x2, 0);
  operands[3] = x10;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern352 (x7, 
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern352 (x7, 
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern361 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (!rtx_equal_p (x3, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode)
        return -1;
      x4 = XEXP (x1, 0);
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_SImode
          || !aarch64_shift_imm_si (operands[2], E_QImode)
          || GET_MODE (x2) != E_SImode)
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      x4 = XEXP (x1, 0);
      if (GET_MODE (x4) != E_DImode)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_DImode
          || !aarch64_shift_imm_di (operands[2], E_QImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern372 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  x3 = XVECEXP (x1, 0, 1);
  operands[2] = x3;
  if (!register_operand (operands[2], E_V16QImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V2x8QImode:
      if (!register_operand (operands[0], E_V2x8QImode)
          || GET_MODE (x1) != E_V2x8QImode
          || !register_operand (operands[1], E_V2x8QImode))
        return -1;
      return 0;

    case E_V2x4HImode:
      if (!register_operand (operands[0], E_V2x4HImode)
          || GET_MODE (x1) != E_V2x4HImode
          || !register_operand (operands[1], E_V2x4HImode))
        return -1;
      return 1;

    case E_V2x2SImode:
      if (!register_operand (operands[0], E_V2x2SImode)
          || GET_MODE (x1) != E_V2x2SImode
          || !register_operand (operands[1], E_V2x2SImode))
        return -1;
      return 2;

    case E_V2x1DImode:
      if (!register_operand (operands[0], E_V2x1DImode)
          || GET_MODE (x1) != E_V2x1DImode
          || !register_operand (operands[1], E_V2x1DImode))
        return -1;
      return 3;

    case E_V2x4HFmode:
      if (!register_operand (operands[0], E_V2x4HFmode)
          || GET_MODE (x1) != E_V2x4HFmode
          || !register_operand (operands[1], E_V2x4HFmode))
        return -1;
      return 4;

    case E_V2x2SFmode:
      if (!register_operand (operands[0], E_V2x2SFmode)
          || GET_MODE (x1) != E_V2x2SFmode
          || !register_operand (operands[1], E_V2x2SFmode))
        return -1;
      return 5;

    case E_V2x1DFmode:
      if (!register_operand (operands[0], E_V2x1DFmode)
          || GET_MODE (x1) != E_V2x1DFmode
          || !register_operand (operands[1], E_V2x1DFmode))
        return -1;
      return 6;

    case E_V2x4BFmode:
      if (!register_operand (operands[0], E_V2x4BFmode)
          || GET_MODE (x1) != E_V2x4BFmode
          || !register_operand (operands[1], E_V2x4BFmode))
        return -1;
      return 7;

    case E_V3x8QImode:
      if (!register_operand (operands[0], E_V3x8QImode)
          || GET_MODE (x1) != E_V3x8QImode
          || !register_operand (operands[1], E_V3x8QImode))
        return -1;
      return 8;

    case E_V3x4HImode:
      if (!register_operand (operands[0], E_V3x4HImode)
          || GET_MODE (x1) != E_V3x4HImode
          || !register_operand (operands[1], E_V3x4HImode))
        return -1;
      return 9;

    case E_V3x2SImode:
      if (!register_operand (operands[0], E_V3x2SImode)
          || GET_MODE (x1) != E_V3x2SImode
          || !register_operand (operands[1], E_V3x2SImode))
        return -1;
      return 10;

    case E_V3x1DImode:
      if (!register_operand (operands[0], E_V3x1DImode)
          || GET_MODE (x1) != E_V3x1DImode
          || !register_operand (operands[1], E_V3x1DImode))
        return -1;
      return 11;

    case E_V3x4HFmode:
      if (!register_operand (operands[0], E_V3x4HFmode)
          || GET_MODE (x1) != E_V3x4HFmode
          || !register_operand (operands[1], E_V3x4HFmode))
        return -1;
      return 12;

    case E_V3x2SFmode:
      if (!register_operand (operands[0], E_V3x2SFmode)
          || GET_MODE (x1) != E_V3x2SFmode
          || !register_operand (operands[1], E_V3x2SFmode))
        return -1;
      return 13;

    case E_V3x1DFmode:
      if (!register_operand (operands[0], E_V3x1DFmode)
          || GET_MODE (x1) != E_V3x1DFmode
          || !register_operand (operands[1], E_V3x1DFmode))
        return -1;
      return 14;

    case E_V3x4BFmode:
      if (!register_operand (operands[0], E_V3x4BFmode)
          || GET_MODE (x1) != E_V3x4BFmode
          || !register_operand (operands[1], E_V3x4BFmode))
        return -1;
      return 15;

    case E_V4x8QImode:
      if (!register_operand (operands[0], E_V4x8QImode)
          || GET_MODE (x1) != E_V4x8QImode
          || !register_operand (operands[1], E_V4x8QImode))
        return -1;
      return 16;

    case E_V4x4HImode:
      if (!register_operand (operands[0], E_V4x4HImode)
          || GET_MODE (x1) != E_V4x4HImode
          || !register_operand (operands[1], E_V4x4HImode))
        return -1;
      return 17;

    case E_V4x2SImode:
      if (!register_operand (operands[0], E_V4x2SImode)
          || GET_MODE (x1) != E_V4x2SImode
          || !register_operand (operands[1], E_V4x2SImode))
        return -1;
      return 18;

    case E_V4x1DImode:
      if (!register_operand (operands[0], E_V4x1DImode)
          || GET_MODE (x1) != E_V4x1DImode
          || !register_operand (operands[1], E_V4x1DImode))
        return -1;
      return 19;

    case E_V4x4HFmode:
      if (!register_operand (operands[0], E_V4x4HFmode)
          || GET_MODE (x1) != E_V4x4HFmode
          || !register_operand (operands[1], E_V4x4HFmode))
        return -1;
      return 20;

    case E_V4x2SFmode:
      if (!register_operand (operands[0], E_V4x2SFmode)
          || GET_MODE (x1) != E_V4x2SFmode
          || !register_operand (operands[1], E_V4x2SFmode))
        return -1;
      return 21;

    case E_V4x1DFmode:
      if (!register_operand (operands[0], E_V4x1DFmode)
          || GET_MODE (x1) != E_V4x1DFmode
          || !register_operand (operands[1], E_V4x1DFmode))
        return -1;
      return 22;

    case E_V4x4BFmode:
      if (!register_operand (operands[0], E_V4x4BFmode)
          || GET_MODE (x1) != E_V4x4BFmode
          || !register_operand (operands[1], E_V4x4BFmode))
        return -1;
      return 23;

    case E_V2x16QImode:
      if (!register_operand (operands[0], E_V2x16QImode)
          || GET_MODE (x1) != E_V2x16QImode
          || !register_operand (operands[1], E_V2x16QImode))
        return -1;
      return 24;

    case E_V2x8HImode:
      if (!register_operand (operands[0], E_V2x8HImode)
          || GET_MODE (x1) != E_V2x8HImode
          || !register_operand (operands[1], E_V2x8HImode))
        return -1;
      return 25;

    case E_V2x4SImode:
      if (!register_operand (operands[0], E_V2x4SImode)
          || GET_MODE (x1) != E_V2x4SImode
          || !register_operand (operands[1], E_V2x4SImode))
        return -1;
      return 26;

    case E_V2x2DImode:
      if (!register_operand (operands[0], E_V2x2DImode)
          || GET_MODE (x1) != E_V2x2DImode
          || !register_operand (operands[1], E_V2x2DImode))
        return -1;
      return 27;

    case E_V2x8HFmode:
      if (!register_operand (operands[0], E_V2x8HFmode)
          || GET_MODE (x1) != E_V2x8HFmode
          || !register_operand (operands[1], E_V2x8HFmode))
        return -1;
      return 28;

    case E_V2x4SFmode:
      if (!register_operand (operands[0], E_V2x4SFmode)
          || GET_MODE (x1) != E_V2x4SFmode
          || !register_operand (operands[1], E_V2x4SFmode))
        return -1;
      return 29;

    case E_V2x2DFmode:
      if (!register_operand (operands[0], E_V2x2DFmode)
          || GET_MODE (x1) != E_V2x2DFmode
          || !register_operand (operands[1], E_V2x2DFmode))
        return -1;
      return 30;

    case E_V2x8BFmode:
      if (!register_operand (operands[0], E_V2x8BFmode)
          || GET_MODE (x1) != E_V2x8BFmode
          || !register_operand (operands[1], E_V2x8BFmode))
        return -1;
      return 31;

    case E_V3x16QImode:
      if (!register_operand (operands[0], E_V3x16QImode)
          || GET_MODE (x1) != E_V3x16QImode
          || !register_operand (operands[1], E_V3x16QImode))
        return -1;
      return 32;

    case E_V3x8HImode:
      if (!register_operand (operands[0], E_V3x8HImode)
          || GET_MODE (x1) != E_V3x8HImode
          || !register_operand (operands[1], E_V3x8HImode))
        return -1;
      return 33;

    case E_V3x4SImode:
      if (!register_operand (operands[0], E_V3x4SImode)
          || GET_MODE (x1) != E_V3x4SImode
          || !register_operand (operands[1], E_V3x4SImode))
        return -1;
      return 34;

    case E_V3x2DImode:
      if (!register_operand (operands[0], E_V3x2DImode)
          || GET_MODE (x1) != E_V3x2DImode
          || !register_operand (operands[1], E_V3x2DImode))
        return -1;
      return 35;

    case E_V3x8HFmode:
      if (!register_operand (operands[0], E_V3x8HFmode)
          || GET_MODE (x1) != E_V3x8HFmode
          || !register_operand (operands[1], E_V3x8HFmode))
        return -1;
      return 36;

    case E_V3x4SFmode:
      if (!register_operand (operands[0], E_V3x4SFmode)
          || GET_MODE (x1) != E_V3x4SFmode
          || !register_operand (operands[1], E_V3x4SFmode))
        return -1;
      return 37;

    case E_V3x2DFmode:
      if (!register_operand (operands[0], E_V3x2DFmode)
          || GET_MODE (x1) != E_V3x2DFmode
          || !register_operand (operands[1], E_V3x2DFmode))
        return -1;
      return 38;

    case E_V3x8BFmode:
      if (!register_operand (operands[0], E_V3x8BFmode)
          || GET_MODE (x1) != E_V3x8BFmode
          || !register_operand (operands[1], E_V3x8BFmode))
        return -1;
      return 39;

    case E_V4x16QImode:
      if (!register_operand (operands[0], E_V4x16QImode)
          || GET_MODE (x1) != E_V4x16QImode
          || !register_operand (operands[1], E_V4x16QImode))
        return -1;
      return 40;

    case E_V4x8HImode:
      if (!register_operand (operands[0], E_V4x8HImode)
          || GET_MODE (x1) != E_V4x8HImode
          || !register_operand (operands[1], E_V4x8HImode))
        return -1;
      return 41;

    case E_V4x4SImode:
      if (!register_operand (operands[0], E_V4x4SImode)
          || GET_MODE (x1) != E_V4x4SImode
          || !register_operand (operands[1], E_V4x4SImode))
        return -1;
      return 42;

    case E_V4x2DImode:
      if (!register_operand (operands[0], E_V4x2DImode)
          || GET_MODE (x1) != E_V4x2DImode
          || !register_operand (operands[1], E_V4x2DImode))
        return -1;
      return 43;

    case E_V4x8HFmode:
      if (!register_operand (operands[0], E_V4x8HFmode)
          || GET_MODE (x1) != E_V4x8HFmode
          || !register_operand (operands[1], E_V4x8HFmode))
        return -1;
      return 44;

    case E_V4x4SFmode:
      if (!register_operand (operands[0], E_V4x4SFmode)
          || GET_MODE (x1) != E_V4x4SFmode
          || !register_operand (operands[1], E_V4x4SFmode))
        return -1;
      return 45;

    case E_V4x2DFmode:
      if (!register_operand (operands[0], E_V4x2DFmode)
          || GET_MODE (x1) != E_V4x2DFmode
          || !register_operand (operands[1], E_V4x2DFmode))
        return -1;
      return 46;

    case E_V4x8BFmode:
      if (!register_operand (operands[0], E_V4x8BFmode)
          || GET_MODE (x1) != E_V4x8BFmode
          || !register_operand (operands[1], E_V4x8BFmode))
        return -1;
      return 47;

    default:
      return -1;
    }
}

int
pattern456 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 3
      || XINT (x2, 1) != 351)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 3
      || XINT (x4, 1) != 351)
    return -1;
  x5 = XVECEXP (x4, 0, 1);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x6 = XVECEXP (x1, 0, 0);
  operands[1] = x6;
  x7 = XVECEXP (x1, 0, 1);
  operands[4] = x7;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  return pattern208 (x1); /* [-1, 2] */
}

int
pattern464 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern468 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern472 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  x3 = XVECEXP (x1, 0, 1);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern471 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern471 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern471 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern471 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern471 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern471 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern471 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern471 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern471 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern471 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    case E_V2DImode:
      if (pattern471 (x1, 
E_V2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 10;

    default:
      return -1;
    }
}

int
pattern485 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_SImode
      || !register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  if (!aarch64_tls_ie_symref (operands[1], E_VOIDmode))
    return -1;
  return 0;
}

int
pattern490 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i1))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[1], E_VNx16QImode))
        return -1;
      x3 = XVECEXP (x2, 0, 1);
      if (GET_MODE (x3) != E_VNx16QImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8HImode:
      if (!register_operand (operands[1], E_VNx8HImode))
        return -1;
      x3 = XVECEXP (x2, 0, 1);
      if (GET_MODE (x3) != E_VNx8HImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern504 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != i1)
    return -1;
  x4 = XEXP (x1, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  x7 = XEXP (x4, 1);
  operands[2] = x7;
  x8 = XEXP (x2, 1);
  operands[3] = x8;
  x9 = XEXP (x3, 0);
  if (!rtx_equal_p (x9, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HImode:
      return pattern503 (x1, 
E_V8HImode, 
E_V4HImode, 
E_V8QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern503 (x1, 
E_V16HImode, 
E_V8HImode, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V2SImode:
      if (pattern503 (x1, 
E_V4SImode, 
E_V2SImode, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V4SImode:
      if (pattern503 (x1, 
E_V8SImode, 
E_V4SImode, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2DImode:
      if (pattern503 (x1, 
E_V4DImode, 
E_V2DImode, 
E_V4SImode) != 0)
        return -1;
      return 4;

    case E_DImode:
      if (pattern503 (x1, 
E_V2DImode, 
E_DImode, 
E_V2SImode) != 0)
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern517 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  operands[2] = x2;
  if (!register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  operands[3] = x3;
  if (!register_operand (operands[3], i1))
    return -1;
  x4 = XEXP (x1, 2);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern522 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x1) != E_V16QImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V8QImode)
          || GET_MODE (x2) != E_V8QImode
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode)
          || !aarch64_simd_reg_or_zero (operands[2], E_V8QImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V4HImode)
          || GET_MODE (x2) != E_V4HImode
          || GET_MODE (x3) != E_V4HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4HImode:
          if (!register_operand (operands[1], E_V4HImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HImode))
            return -1;
          return 1;

        case E_V4HFmode:
          if (!register_operand (operands[1], E_V4HFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HFmode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V2SImode)
          || GET_MODE (x2) != E_V2SImode
          || GET_MODE (x3) != E_V2SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V2SImode:
          if (!register_operand (operands[1], E_V2SImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SImode))
            return -1;
          return 3;

        case E_V2SFmode:
          if (!register_operand (operands[1], E_V2SFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SFmode))
            return -1;
          return 4;

        default:
          return -1;
        }

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x1) != E_V2DImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_DImode)
          || GET_MODE (x2) != E_DImode
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DFmode)
          || !aarch64_simd_reg_or_zero (operands[2], E_DFmode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern556 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != NOT)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 4)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  return 0;
}

int
pattern563 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[1] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern562 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern562 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern562 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern562 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern572 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  operands[1] = x1;
  if (!memory_operand (operands[1], E_SImode))
    return -1;
  x2 = PATTERN (peep2_next_insn (1));
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != i1
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x2, 0);
  operands[2] = x4;
  if (!register_operand (operands[2], E_DImode))
    return -1;
  x5 = XEXP (x3, 0);
  operands[3] = x5;
  if (!memory_operand (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern578 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sve_logical_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern586 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !general_operand (operands[6], E_VNx2BImode))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[5], E_VNx2BImode)
      || !register_operand (operands[2], E_VNx2DImode))
    return -1;
  x3 = XEXP (x2, 0);
  switch (GET_MODE (x3))
    {
    case E_VNx2QImode:
      if (!aarch64_sve_gather_offset_b (operands[1], E_DImode)
          || !aarch64_gather_scale_operand_b (operands[4], E_DImode)
          || !aarch64_maskload_else_operand (operands[7], E_VNx2QImode))
        return -1;
      return 0;

    case E_VNx2HImode:
      if (!aarch64_sve_gather_offset_h (operands[1], E_DImode)
          || !aarch64_gather_scale_operand_h (operands[4], E_DImode)
          || !aarch64_maskload_else_operand (operands[7], E_VNx2HImode))
        return -1;
      return 1;

    case E_VNx2SImode:
      if (!aarch64_sve_gather_offset_w (operands[1], E_DImode)
          || !aarch64_gather_scale_operand_w (operands[4], E_DImode)
          || !aarch64_maskload_else_operand (operands[7], E_VNx2SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern591 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  switch (XVECLEN (x3, 0))
    {
    case 3:
      x4 = XVECEXP (x1, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x3, 0, 0);
      operands[2] = x5;
      x6 = XVECEXP (x3, 0, 1);
      operands[1] = x6;
      switch (XINT (x3, 1))
        {
        case 115:
          x7 = XVECEXP (x3, 0, 2);
          operands[4] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx8HImode:
              return pattern581 (x1, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 5] */

            case E_VNx4HImode:
              res = pattern581 (x1, 
E_VNx4HImode, 
E_VNx4BImode);
              if (res >= 0)
                return res + 6; /* [6, 11] */
              return -1;

            case E_VNx2HImode:
              res = pattern581 (x1, 
E_VNx2HImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 12; /* [12, 17] */
              return -1;

            case E_VNx4SImode:
              res = pattern581 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
              if (res >= 0)
                return res + 18; /* [18, 23] */
              return -1;

            case E_VNx2SImode:
              res = pattern581 (x1, 
E_VNx2SImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 24; /* [24, 29] */
              return -1;

            case E_VNx2DImode:
              res = pattern581 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 30; /* [30, 35] */
              return -1;

            default:
              return -1;
            }

        case 403:
          x7 = XVECEXP (x3, 0, 2);
          if (GET_CODE (x7) != REG
              || REGNO (x7) != 86
              || GET_MODE (x7) != E_VNx16BImode)
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx8HImode:
              res = pattern582 (x1, 
E_VNx8HImode, 
E_VNx8BImode);
              if (res >= 0)
                return res + 36; /* [36, 41] */
              return -1;

            case E_VNx4HImode:
              res = pattern582 (x1, 
E_VNx4HImode, 
E_VNx4BImode);
              if (res >= 0)
                return res + 42; /* [42, 47] */
              return -1;

            case E_VNx2HImode:
              res = pattern582 (x1, 
E_VNx2HImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 48; /* [48, 53] */
              return -1;

            case E_VNx4SImode:
              res = pattern582 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
              if (res >= 0)
                return res + 54; /* [54, 59] */
              return -1;

            case E_VNx2SImode:
              res = pattern582 (x1, 
E_VNx2SImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 60; /* [60, 65] */
              return -1;

            case E_VNx2DImode:
              res = pattern582 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 66; /* [66, 71] */
              return -1;

            default:
              return -1;
            }

        case 404:
          x7 = XVECEXP (x3, 0, 2);
          if (GET_CODE (x7) != REG
              || REGNO (x7) != 86
              || GET_MODE (x7) != E_VNx16BImode)
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx8HImode:
              res = pattern583 (x1, 
E_VNx8HImode, 
E_VNx8BImode);
              if (res >= 0)
                return res + 72; /* [72, 77] */
              return -1;

            case E_VNx4HImode:
              res = pattern583 (x1, 
E_VNx4HImode, 
E_VNx4BImode);
              if (res >= 0)
                return res + 78; /* [78, 83] */
              return -1;

            case E_VNx2HImode:
              res = pattern583 (x1, 
E_VNx2HImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 84; /* [84, 89] */
              return -1;

            case E_VNx4SImode:
              res = pattern583 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
              if (res >= 0)
                return res + 90; /* [90, 95] */
              return -1;

            case E_VNx2SImode:
              res = pattern583 (x1, 
E_VNx2SImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 96; /* [96, 101] */
              return -1;

            case E_VNx2DImode:
              res = pattern583 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
              if (res >= 0)
                return res + 102; /* [102, 107] */
              return -1;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 2:
      if (XINT (x3, 1) != 125)
        return -1;
      x4 = XVECEXP (x1, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x3, 0, 0);
      operands[2] = x5;
      x6 = XVECEXP (x3, 0, 1);
      operands[1] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          res = pattern584 (x1, 
E_VNx8HImode, 
E_VNx8BImode);
          if (res >= 0)
            return res + 108; /* [108, 113] */
          return -1;

        case E_VNx4HImode:
          res = pattern584 (x1, 
E_VNx4HImode, 
E_VNx4BImode);
          if (res >= 0)
            return res + 114; /* [114, 119] */
          return -1;

        case E_VNx2HImode:
          res = pattern584 (x1, 
E_VNx2HImode, 
E_VNx2BImode);
          if (res >= 0)
            return res + 120; /* [120, 125] */
          return -1;

        case E_VNx4SImode:
          res = pattern584 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
          if (res >= 0)
            return res + 126; /* [126, 131] */
          return -1;

        case E_VNx2SImode:
          res = pattern584 (x1, 
E_VNx2SImode, 
E_VNx2BImode);
          if (res >= 0)
            return res + 132; /* [132, 137] */
          return -1;

        case E_VNx2DImode:
          res = pattern584 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
          if (res >= 0)
            return res + 138; /* [138, 143] */
          return -1;

        default:
          return -1;
        }

    case 7:
      x5 = XVECEXP (x3, 0, 0);
      operands[5] = x5;
      x6 = XVECEXP (x3, 0, 1);
      operands[1] = x6;
      x8 = XVECEXP (x3, 0, 3);
      operands[3] = x8;
      if (!const_int_operand (operands[3], E_DImode))
        return -1;
      x9 = XVECEXP (x3, 0, 4);
      operands[4] = x9;
      switch (XINT (x3, 1))
        {
        case 120:
          x10 = XVECEXP (x3, 0, 6);
          if (GET_CODE (x10) != MEM
              || GET_MODE (x10) != E_BLKmode)
            return -1;
          x11 = XEXP (x10, 0);
          if (GET_CODE (x11) != SCRATCH)
            return -1;
          x7 = XVECEXP (x3, 0, 2);
          switch (GET_CODE (x7))
            {
            case REG:
            case SUBREG:
              operands[2] = x7;
              x4 = XVECEXP (x1, 0, 0);
              operands[6] = x4;
              x12 = XVECEXP (x3, 0, 5);
              operands[7] = x12;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4HImode:
                  res = pattern585 (x1, 
E_VNx4HImode);
                  if (res >= 0)
                    return res + 144; /* [144, 145] */
                  return -1;

                case E_VNx4SImode:
                  res = pattern585 (x1, 
E_VNx4SImode);
                  if (res >= 0)
                    return res + 146; /* [146, 147] */
                  return -1;

                case E_VNx2HImode:
                  res = pattern586 (x1, 
E_VNx2HImode);
                  if (res >= 0)
                    return res + 148; /* [148, 150] */
                  return -1;

                case E_VNx2SImode:
                  res = pattern586 (x1, 
E_VNx2SImode);
                  if (res >= 0)
                    return res + 151; /* [151, 153] */
                  return -1;

                case E_VNx2DImode:
                  res = pattern586 (x1, 
E_VNx2DImode);
                  if (res >= 0)
                    return res + 154; /* [154, 156] */
                  return -1;

                default:
                  return -1;
                }

            case UNSPEC:
              if (XVECLEN (x7, 0) != 2
                  || XINT (x7, 1) != 125
                  || GET_MODE (x7) != E_VNx2DImode)
                return -1;
              x4 = XVECEXP (x1, 0, 0);
              operands[6] = x4;
              if (!register_operand (operands[5], E_VNx2BImode)
                  || !aarch64_reg_or_zero (operands[1], E_DImode))
                return -1;
              x13 = XVECEXP (x7, 0, 0);
              operands[7] = x13;
              x14 = XVECEXP (x7, 0, 1);
              if (GET_MODE (x14) != E_VNx2DImode)
                return -1;
              x12 = XVECEXP (x3, 0, 5);
              operands[8] = x12;
              switch (GET_CODE (x14))
                {
                case SIGN_EXTEND:
                  x15 = XEXP (x14, 0);
                  switch (GET_CODE (x15))
                    {
                    case REG:
                    case SUBREG:
                      res = pattern588 (x1);
                      if (res >= 0)
                        return res + 157; /* [157, 165] */
                      return -1;

                    case TRUNCATE:
                      if (GET_MODE (x15) != E_VNx2SImode)
                        return -1;
                      x16 = XEXP (x15, 0);
                      operands[2] = x16;
                      if (!register_operand (operands[2], E_VNx2DImode))
                        return -1;
                      switch (GET_MODE (operands[0]))
                        {
                        case E_VNx2HImode:
                          res = pattern587 (x1, 
E_VNx2HImode);
                          if (res >= 0)
                            return res + 166; /* [166, 168] */
                          return -1;

                        case E_VNx2SImode:
                          res = pattern587 (x1, 
E_VNx2SImode);
                          if (res >= 0)
                            return res + 169; /* [169, 171] */
                          return -1;

                        case E_VNx2DImode:
                          res = pattern587 (x1, 
E_VNx2DImode);
                          if (res >= 0)
                            return res + 172; /* [172, 174] */
                          return -1;

                        default:
                          return -1;
                        }

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  res = pattern588 (x1);
                  if (res >= 0)
                    return res + 175; /* [175, 183] */
                  return -1;

                default:
                  return -1;
                }

            case AND:
              if (GET_MODE (x7) != E_VNx2DImode)
                return -1;
              x4 = XVECEXP (x1, 0, 0);
              operands[7] = x4;
              if (!register_operand (operands[5], E_VNx2BImode)
                  || !aarch64_reg_or_zero (operands[1], E_DImode))
                return -1;
              x17 = XEXP (x7, 0);
              operands[2] = x17;
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              x18 = XEXP (x7, 1);
              operands[6] = x18;
              if (!aarch64_sve_uxtw_immediate (operands[6], E_VNx2DImode))
                return -1;
              x12 = XVECEXP (x3, 0, 5);
              operands[8] = x12;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx2HImode:
                  res = pattern587 (x1, 
E_VNx2HImode);
                  if (res >= 0)
                    return res + 184; /* [184, 186] */
                  return -1;

                case E_VNx2SImode:
                  res = pattern587 (x1, 
E_VNx2SImode);
                  if (res >= 0)
                    return res + 187; /* [187, 189] */
                  return -1;

                case E_VNx2DImode:
                  res = pattern587 (x1, 
E_VNx2DImode);
                  if (res >= 0)
                    return res + 190; /* [190, 192] */
                  return -1;

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 121:
          x12 = XVECEXP (x3, 0, 5);
          if (GET_CODE (x12) != MEM
              || GET_MODE (x12) != E_BLKmode)
            return -1;
          x19 = XEXP (x12, 0);
          if (GET_CODE (x19) != SCRATCH)
            return -1;
          x10 = XVECEXP (x3, 0, 6);
          if (GET_CODE (x10) != REG
              || REGNO (x10) != 86
              || GET_MODE (x10) != E_VNx16BImode)
            return -1;
          x7 = XVECEXP (x3, 0, 2);
          switch (GET_CODE (x7))
            {
            case REG:
            case SUBREG:
              operands[2] = x7;
              x4 = XVECEXP (x1, 0, 0);
              operands[6] = x4;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4SImode:
                  if (!register_operand (operands[0], E_VNx4SImode)
                      || GET_MODE (x1) != E_VNx4SImode
                      || !general_operand (operands[6], E_VNx4BImode)
                      || GET_MODE (x2) != E_VNx4SImode
                      || !register_operand (operands[5], E_VNx4BImode)
                      || !register_operand (operands[2], E_VNx4SImode))
                    return -1;
                  switch (GET_MODE (x3))
                    {
                    case E_VNx4QImode:
                      if (!aarch64_sve_gather_offset_b (operands[1], E_DImode)
                          || !aarch64_gather_scale_operand_b (operands[4], E_DImode))
                        return -1;
                      return 193;

                    case E_VNx4HImode:
                      if (!aarch64_sve_gather_offset_h (operands[1], E_DImode)
                          || !aarch64_gather_scale_operand_h (operands[4], E_DImode))
                        return -1;
                      return 194;

                    default:
                      return -1;
                    }

                case E_VNx2DImode:
                  if (!register_operand (operands[0], E_VNx2DImode)
                      || GET_MODE (x1) != E_VNx2DImode
                      || !general_operand (operands[6], E_VNx2BImode)
                      || GET_MODE (x2) != E_VNx2DImode
                      || !register_operand (operands[5], E_VNx2BImode)
                      || !register_operand (operands[2], E_VNx2DImode))
                    return -1;
                  switch (GET_MODE (x3))
                    {
                    case E_VNx2QImode:
                      if (!aarch64_sve_gather_offset_b (operands[1], E_DImode)
                          || !aarch64_gather_scale_operand_b (operands[4], E_DImode))
                        return -1;
                      return 195;

                    case E_VNx2HImode:
                      if (!aarch64_sve_gather_offset_h (operands[1], E_DImode)
                          || !aarch64_gather_scale_operand_h (operands[4], E_DImode))
                        return -1;
                      return 196;

                    case E_VNx2SImode:
                      if (!aarch64_sve_gather_offset_w (operands[1], E_DImode)
                          || !aarch64_gather_scale_operand_w (operands[4], E_DImode))
                        return -1;
                      return 197;

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case UNSPEC:
              if (XVECLEN (x7, 0) != 2
                  || XINT (x7, 1) != 125
                  || GET_MODE (x7) != E_VNx2DImode)
                return -1;
              x14 = XVECEXP (x7, 0, 1);
              if (GET_CODE (x14) != SIGN_EXTEND
                  || GET_MODE (x14) != E_VNx2DImode)
                return -1;
              x15 = XEXP (x14, 0);
              if (GET_CODE (x15) != TRUNCATE
                  || GET_MODE (x15) != E_VNx2SImode
                  || !register_operand (operands[0], E_VNx2DImode)
                  || GET_MODE (x1) != E_VNx2DImode)
                return -1;
              x4 = XVECEXP (x1, 0, 0);
              operands[6] = x4;
              if (GET_MODE (x2) != E_VNx2DImode
                  || !register_operand (operands[5], E_VNx2BImode)
                  || !aarch64_reg_or_zero (operands[1], E_DImode))
                return -1;
              x13 = XVECEXP (x7, 0, 0);
              operands[7] = x13;
              x16 = XEXP (x15, 0);
              operands[2] = x16;
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              res = pattern589 (x3);
              if (res >= 0)
                return res + 198; /* [198, 200] */
              return -1;

            case AND:
              if (GET_MODE (x7) != E_VNx2DImode
                  || !register_operand (operands[0], E_VNx2DImode)
                  || GET_MODE (x1) != E_VNx2DImode)
                return -1;
              x4 = XVECEXP (x1, 0, 0);
              operands[7] = x4;
              if (GET_MODE (x2) != E_VNx2DImode
                  || !register_operand (operands[5], E_VNx2BImode)
                  || !aarch64_reg_or_zero (operands[1], E_DImode))
                return -1;
              x17 = XEXP (x7, 0);
              operands[2] = x17;
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              x18 = XEXP (x7, 1);
              operands[6] = x18;
              if (!aarch64_sve_uxtw_immediate (operands[6], E_VNx2DImode))
                return -1;
              res = pattern589 (x3);
              if (res >= 0)
                return res + 201; /* [201, 203] */
              return -1;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 4:
      if (XINT (x3, 1) != 122)
        return -1;
      x8 = XVECEXP (x3, 0, 3);
      if (GET_CODE (x8) != MEM
          || GET_MODE (x8) != E_BLKmode)
        return -1;
      x20 = XEXP (x8, 0);
      if (GET_CODE (x20) != SCRATCH)
        return -1;
      x4 = XVECEXP (x1, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x3, 0, 0);
      operands[1] = x5;
      x6 = XVECEXP (x3, 0, 1);
      operands[2] = x6;
      if (!aarch64_reg_or_zero (operands[2], E_DImode))
        return -1;
      x7 = XVECEXP (x3, 0, 2);
      operands[3] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx4SImode:
          res = pattern590 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
          if (res >= 0)
            return res + 204; /* [204, 209] */
          return -1;

        case E_VNx2DImode:
          res = pattern590 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
          if (res >= 0)
            return res + 210; /* [210, 215] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern793 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_lshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern799 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !const_1_to_3_operand (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern807 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XEXP (x4, 0);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x5, 0);
  operands[2] = x8;
  x9 = XEXP (x2, 1);
  if (!rtx_equal_p (x9, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern806 (x1, 
E_V8HImode, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern806 (x1, 
E_V16HImode, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern806 (x1, 
E_V4SImode, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern806 (x1, 
E_V8SImode, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern806 (x1, 
E_V2DImode, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern806 (x1, 
E_V4DImode, 
E_V4SImode) != 0)
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern824 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_reg_or_xor_imm (operands[2], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern831 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || pattern290 (x1, 
i1, 
i2) != 0)
    return -1;
  return 0;
}

int
pattern837 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !aarch64_simd_reg_or_zero (operands[3], i1))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx8HFmode:
      if (!register_operand (operands[2], E_VNx8HFmode))
        return -1;
      return 0;

    case E_VNx4SFmode:
      if (!register_operand (operands[2], E_VNx4SFmode))
        return -1;
      return 1;

    case E_VNx2DFmode:
      if (!register_operand (operands[2], E_VNx2DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern846 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern853 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_valid_symref (operands[2], i1))
    return -1;
  return 0;
}

int
pattern858 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern866 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  if (!register_operand (operands[3], E_VNx2DImode))
    return -1;
  x5 = XVECEXP (x1, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      if (!rtx_equal_p (x5, operands[2]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern864 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern864 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern864 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      operands[4] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern865 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 3;

        case E_VNx8HImode:
          if (pattern865 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4SImode:
          if (pattern865 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern880 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern886 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[0] = x4;
  x5 = XEXP (x3, 1);
  operands[1] = x5;
  x6 = XEXP (x1, 1);
  operands[2] = x6;
  switch (GET_MODE (x1))
    {
    case E_SImode:
      if (GET_MODE (x2) != E_SImode
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[0], E_SImode)
          || !aarch64_shift_imm_si (operands[1], E_QImode)
          || !register_operand (operands[2], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (GET_MODE (x2) != E_DImode
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[0], E_DImode)
          || !aarch64_shift_imm_di (operands[1], E_QImode)
          || !register_operand (operands[2], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern895 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_reg_or_and_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern901 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != i1)
    return -1;
  x7 = XEXP (x1, 0);
  operands[4] = x7;
  x8 = XEXP (x5, 0);
  x9 = XEXP (x8, 0);
  operands[1] = x9;
  x10 = XEXP (x6, 0);
  operands[2] = x10;
  x11 = XEXP (x3, 1);
  if (!rtx_equal_p (x11, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern900 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern900 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern900 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern916 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 0);
  operands[3] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  x6 = XEXP (x2, 1);
  operands[1] = x6;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  return pattern19 (); /* [-1, 3] */
}

int
pattern919 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[4] = x2;
  x3 = XVECEXP (x1, 0, 2);
  x4 = XVECEXP (x3, 0, 0);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[2] = x6;
  x7 = XVECEXP (x1, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      return pattern918 (x1, 
E_VNx8BFmode); /* [-1, 0] */

    case E_VNx8HFmode:
      if (pattern918 (x1, 
E_VNx8HFmode) != 0)
        return -1;
      return 1;

    case E_VNx4SFmode:
      if (pattern918 (x1, 
E_VNx4SFmode) != 0)
        return -1;
      return 2;

    case E_VNx2DFmode:
      if (pattern918 (x1, 
E_VNx2DFmode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern927 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], i1)
      || !const_int_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern932 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_sve_ldnf1_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern936 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1)
      || !aarch64_sve_float_arith_with_sub_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern941 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_HImode:
      if (!register_operand (operands[2], E_HImode))
        return -1;
      return 0;

    case E_SImode:
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern947 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern954 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern958 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_imm_zero (operands[2], i1)
      || !aarch64_simd_imm_minus_one (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern965 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 1);
  operands[2] = x4;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  x7 = XVECEXP (x6, 0, 2);
  operands[3] = x7;
  if (!const_int_operand (operands[3], E_SImode))
    return -1;
  return pattern355 (x1); /* [-1, 3] */
}

int
pattern970 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i2))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[4], i1)
      || !scratch_operand (operands[5], i1))
    return -1;
  return 0;
}

int
pattern975 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern553 (x1, 
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern553 (x1, 
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern979 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (peep2_current_count < 4
      || !aarch64_reg_or_zero (operands[1], i1)
      || !memory_operand (operands[2], i1)
      || !aarch64_reg_or_zero (operands[3], i1)
      || GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 0);
  operands[4] = x2;
  if (!memory_operand (operands[4], i1))
    return -1;
  x3 = XEXP (x1, 1);
  return pattern978 (x3, 
i1); /* [-1, 0] */
}

int
pattern984 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern991 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_QImode:
      if (!register_operand (operands[3], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[3], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[3], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern999 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_SImode
      || !register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_V2SImode:
      if (!register_operand (operands[2], E_V2SImode))
        return -1;
      return 0;

    case E_V4SImode:
      if (!register_operand (operands[2], E_V4SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1006 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V2DImode)
      || GET_MODE (x1) != E_V2DImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_V2TImode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_V2TImode)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != E_V2TImode
      || !register_operand (operands[1], E_V2DImode)
      || !aarch64_int_rnd_operand (operands[3], E_V2TImode)
      || !aarch64_simd_shift_imm_vec_di (operands[2], E_V2DImode))
    return -1;
  return 0;
}

int
pattern1015 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (operands[2]))
    {
    case CONST_VECTOR:
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          return 0;

        case E_V8HImode:
          return 1;

        case E_V4SImode:
          return 2;

        default:
          return -1;
        }

    case CONST_INT:
      if (!aarch64_simd_shift_imm_offset_di (operands[2], E_DImode)
          || !register_operand (operands[0], E_V2DImode)
          || GET_MODE (x1) != E_V2DImode
          || !aarch64_simd_or_scalar_imm_zero (operands[4], E_DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_TImode)
        return -1;
      x4 = XEXP (x3, 0);
      if (GET_MODE (x4) != E_TImode)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_TImode
          || !register_operand (operands[1], E_DImode)
          || !aarch64_int_rnd_operand (operands[3], E_TImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1030 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern1036 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1032 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1032 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1032 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1032 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CONST_VECTOR:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1035 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4SFmode:
          if (pattern1035 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2DFmode:
          if (pattern1035 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1054 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1059 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[0], i2))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  return 0;
}

int
pattern1067 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  return pattern1066 (x3, 
i1, 
i2); /* [-1, 0] */
}

int
pattern1075 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1081 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i2)
      || !aarch64_simd_umax_half_mode (operands[4], i2)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1093 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  operands[4] = x2;
  x3 = XVECEXP (x1, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1033 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1033 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1033 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1033 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          return 4;

        case E_VNx4SFmode:
          return 5;

        case E_VNx2DFmode:
          return 6;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1101 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          return pattern1098 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx4SFmode:
          if (pattern1098 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 1;

        case E_VNx2DFmode:
          if (pattern1098 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x1, 0, 2);
      operands[5] = x4;
      x5 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x5, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1099 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 3;

        case E_VNx4SFmode:
          if (pattern1099 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 4;

        case E_VNx2DFmode:
          if (pattern1099 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1118 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1124 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], E_VNx16QImode))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  if (!register_operand (operands[2], E_VNx16QImode))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[3] = x5;
  if (!const_int_operand (operands[3], E_SImode))
    return -1;
  x6 = XEXP (x1, 1);
  operands[4] = x6;
  if (!register_operand (operands[4], E_VNx4SImode))
    return -1;
  return 0;
}

int
pattern1132 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[3], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != E_SFmode
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1141 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i1)
      || !vect_par_cnst_hi_half (operands[3], i1))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i3)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1155 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || !aarch64_reg_or_zero (operands[1], i1)
      || !memory_operand (operands[2], i1)
      || !aarch64_reg_or_zero (operands[3], i1)
      || pattern978 (x1, 
i1) != 0)
    return -1;
  return 0;
}

int
pattern1160 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_VNx16BImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_VNx16BImode
          || !register_operand (operands[2], E_VNx16BImode)
          || !register_operand (operands[3], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_VNx8BImode
          || !register_operand (operands[2], E_VNx8BImode)
          || !register_operand (operands[3], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_VNx4BImode
          || !register_operand (operands[2], E_VNx4BImode)
          || !register_operand (operands[3], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_VNx2BImode
          || !register_operand (operands[2], E_VNx2BImode)
          || !register_operand (operands[3], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1178 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[0], i1))
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 1);
  if (GET_MODE (x7) != i1)
    return -1;
  x8 = XEXP (x7, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_QImode:
      if (!register_operand (operands[2], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[2], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1186 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern1185 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern1185 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern1185 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern1185 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1196 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[0], i1)
      || !const_scalar_int_operand (operands[1], i2))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !aarch64_plus_immediate (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1201 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i3
      || !register_operand (operands[2], i2)
      || !vect_par_cnst_hi_half (operands[4], i2))
    return -1;
  x6 = XEXP (x3, 1);
  return pattern1171 (x6, 
i1, 
i2, 
i3); /* [-1, 0] */
}

int
pattern1209 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1215 (rtx x1, unsigned int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != CLOBBER)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i1
      || GET_MODE (x2) != E_DImode)
    return -1;
  return 0;
}

int
pattern1221 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], i3)
      || !aarch64_sve_gather_offset_h (operands[1], E_DImode)
      || !register_operand (operands[2], i2)
      || !aarch64_gather_scale_operand_h (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[6], i1))
    return -1;
  return 0;
}

int
pattern1227 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1234 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1238 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  if (GET_MODE (x4) != E_VNx16BImode)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[4] = x5;
  x6 = XVECEXP (x4, 0, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x7 = XVECEXP (x4, 0, 2);
  operands[3] = x7;
  if (!register_operand (operands[3], E_VNx16BImode))
    return -1;
  return pattern1236 (x1, 
i1); /* [-1, 1] */
}

int
pattern1247 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_float_arith_with_sub_immediate (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1253 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
    return -1;
  x2 = XVECEXP (x1, 0, 3);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  if (!aarch64_sve_gp_strictness (operands[6], E_SImode))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  x5 = XVECEXP (x4, 0, 0);
  if (!rtx_equal_p (x5, operands[1]))
    return -1;
  x6 = XVECEXP (x2, 0, 0);
  if (!rtx_equal_p (x6, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BImode:
      return pattern454 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4BImode:
      if (pattern454 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2BImode:
      if (pattern454 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1265 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !aarch64_sync_memory_operand (operands[1], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_plus_operand (operands[2], i1)
      || !scratch_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1272 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], i3)
      || !aarch64_sve_gather_offset_w (operands[1], E_DImode)
      || !register_operand (operands[2], i2)
      || !aarch64_gather_scale_operand_w (operands[4], E_DImode))
    return -1;
  return 0;
}

int
pattern1281 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], E_VNx16BImode)
      || !register_operand (operands[4], E_VNx2DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      return pattern1280 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8BImode:
      if (pattern1280 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (pattern1280 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1291 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x1, 0, 0);
  x7 = XEXP (x6, 1);
  x8 = XEXP (x7, 0);
  x9 = XEXP (x8, 0);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  operands[1] = x11;
  if (!aarch64_imm3 (operands[2], E_VOIDmode))
    return -1;
  x12 = XEXP (x5, 0);
  if (!rtx_equal_p (x12, operands[1]))
    return -1;
  switch (GET_MODE (x8))
    {
    case E_SImode:
      return pattern1290 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern1290 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1304 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !register_operand (operands[0], i1))
    return -1;
  x7 = XVECEXP (x1, 0, 1);
  x8 = XEXP (x7, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_QImode:
      if (!register_operand (operands[2], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[2], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1316 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[3], E_VNx16QImode))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx32QImode:
      if (!register_operand (operands[2], E_VNx32QImode)
          || GET_MODE (x1) != E_VNx32QImode)
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!register_operand (operands[2], E_VNx64QImode)
          || GET_MODE (x1) != E_VNx64QImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1324 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx4QImode:
      if (!register_operand (operands[2], E_VNx4QImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4QImode))
        return -1;
      return 0;

    case E_VNx4HImode:
      if (!register_operand (operands[2], E_VNx4HImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4HImode))
        return -1;
      return 1;

    case E_VNx4SImode:
      if (!register_operand (operands[2], E_VNx4SImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1331 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_borrow_operation (operands[2], i2))
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_MODE (x6) != i2)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1
      || !aarch64_borrow_operation (operands[3], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 1);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  return 0;
}

int
pattern1339 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[6], E_VNx16BImode)
      || !register_operand (operands[3], E_VNx2DImode))
    return -1;
  switch (GET_MODE (x1))
    {
    case E_VNx16BImode:
      x2 = XVECEXP (x1, 0, 2);
      if (GET_MODE (x2) != E_VNx16BImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      x2 = XVECEXP (x1, 0, 2);
      if (GET_MODE (x2) != E_VNx8BImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      x2 = XVECEXP (x1, 0, 2);
      if (GET_MODE (x2) != E_VNx4BImode
          || !register_operand (operands[2], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1350 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[6], E_VNx16BImode)
      || !register_operand (operands[3], E_VNx2DImode))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x2))
    {
    case SET:
      x3 = XEXP (x2, 1);
      if (GET_CODE (x3) != UNSPEC
          || XVECLEN (x3, 0) != 3
          || XINT (x3, 1) != 126)
        return -1;
      x4 = XVECEXP (x3, 0, 2);
      if (GET_CODE (x4) != UNSPEC
          || XVECLEN (x4, 0) != 2
          || XINT (x4, 1) != i1)
        return -1;
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      x6 = XVECEXP (x3, 0, 0);
      if (!rtx_equal_p (x6, operands[6]))
        return -1;
      x7 = XVECEXP (x3, 0, 1);
      if (!rtx_equal_p (x7, operands[7]))
        return -1;
      x8 = XVECEXP (x4, 0, 0);
      if (!rtx_equal_p (x8, operands[2]))
        return -1;
      x9 = XVECEXP (x4, 0, 1);
      if (!rtx_equal_p (x9, operands[3]))
        return -1;
      x10 = XVECEXP (x1, 0, 0);
      x11 = XEXP (x10, 1);
      x12 = XVECEXP (x11, 0, 3);
      switch (GET_MODE (x12))
        {
        case E_VNx16BImode:
          return pattern1349 (x1, 
E_VNx16BImode, 
E_VNx16QImode); /* [-1, 0] */

        case E_VNx8BImode:
          if (pattern1349 (x1, 
E_VNx8BImode, 
E_VNx8HImode) != 0)
            return -1;
          return 1;

        case E_VNx4BImode:
          if (pattern1349 (x1, 
E_VNx4BImode, 
E_VNx4SImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case CLOBBER:
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      x10 = XVECEXP (x1, 0, 0);
      x11 = XEXP (x10, 1);
      x12 = XVECEXP (x11, 0, 3);
      switch (GET_MODE (x12))
        {
        case E_VNx16BImode:
          x13 = XVECEXP (x12, 0, 2);
          if (GET_MODE (x13) != E_VNx16BImode
              || !register_operand (operands[2], E_VNx16QImode)
              || !scratch_operand (operands[0], E_VNx16BImode))
            return -1;
          return 3;

        case E_VNx8BImode:
          x13 = XVECEXP (x12, 0, 2);
          if (GET_MODE (x13) != E_VNx8BImode
              || !register_operand (operands[2], E_VNx8HImode)
              || !scratch_operand (operands[0], E_VNx8BImode))
            return -1;
          return 4;

        case E_VNx4BImode:
          x13 = XVECEXP (x12, 0, 2);
          if (GET_MODE (x13) != E_VNx4BImode
              || !register_operand (operands[2], E_VNx4SImode)
              || !scratch_operand (operands[0], E_VNx4BImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_11 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x3) != E_VNx16QImode
          || !register_operand (operands[1], E_VNx16QImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10424; /* aarch64_sve_revvnx16qi */

    case E_VNx8QImode:
      if (!register_operand (operands[0], E_VNx8QImode)
          || GET_MODE (x3) != E_VNx8QImode
          || !register_operand (operands[1], E_VNx8QImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10425; /* aarch64_sve_revvnx8qi */

    case E_VNx4QImode:
      if (!register_operand (operands[0], E_VNx4QImode)
          || GET_MODE (x3) != E_VNx4QImode
          || !register_operand (operands[1], E_VNx4QImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10426; /* aarch64_sve_revvnx4qi */

    case E_VNx2QImode:
      if (!register_operand (operands[0], E_VNx2QImode)
          || GET_MODE (x3) != E_VNx2QImode
          || !register_operand (operands[1], E_VNx2QImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10427; /* aarch64_sve_revvnx2qi */

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode
          || !register_operand (operands[1], E_VNx8HImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10428; /* aarch64_sve_revvnx8hi */

    case E_VNx4HImode:
      if (!register_operand (operands[0], E_VNx4HImode)
          || GET_MODE (x3) != E_VNx4HImode
          || !register_operand (operands[1], E_VNx4HImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10429; /* aarch64_sve_revvnx4hi */

    case E_VNx2HImode:
      if (!register_operand (operands[0], E_VNx2HImode)
          || GET_MODE (x3) != E_VNx2HImode
          || !register_operand (operands[1], E_VNx2HImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10430; /* aarch64_sve_revvnx2hi */

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x3) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4SImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10431; /* aarch64_sve_revvnx4si */

    case E_VNx2SImode:
      if (!register_operand (operands[0], E_VNx2SImode)
          || GET_MODE (x3) != E_VNx2SImode
          || !register_operand (operands[1], E_VNx2SImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10432; /* aarch64_sve_revvnx2si */

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x3) != E_VNx2DImode
          || !register_operand (operands[1], E_VNx2DImode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10433; /* aarch64_sve_revvnx2di */

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x3) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10434; /* aarch64_sve_revvnx8hf */

    case E_VNx4HFmode:
      if (!register_operand (operands[0], E_VNx4HFmode)
          || GET_MODE (x3) != E_VNx4HFmode
          || !register_operand (operands[1], E_VNx4HFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10435; /* aarch64_sve_revvnx4hf */

    case E_VNx2HFmode:
      if (!register_operand (operands[0], E_VNx2HFmode)
          || GET_MODE (x3) != E_VNx2HFmode
          || !register_operand (operands[1], E_VNx2HFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10436; /* aarch64_sve_revvnx2hf */

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x3) != E_VNx8BFmode
          || !register_operand (operands[1], E_VNx8BFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10437; /* aarch64_sve_revvnx8bf */

    case E_VNx4BFmode:
      if (!register_operand (operands[0], E_VNx4BFmode)
          || GET_MODE (x3) != E_VNx4BFmode
          || !register_operand (operands[1], E_VNx4BFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10438; /* aarch64_sve_revvnx4bf */

    case E_VNx2BFmode:
      if (!register_operand (operands[0], E_VNx2BFmode)
          || GET_MODE (x3) != E_VNx2BFmode
          || !register_operand (operands[1], E_VNx2BFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10439; /* aarch64_sve_revvnx2bf */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10440; /* aarch64_sve_revvnx4sf */

    case E_VNx2SFmode:
      if (!register_operand (operands[0], E_VNx2SFmode)
          || GET_MODE (x3) != E_VNx2SFmode
          || !register_operand (operands[1], E_VNx2SFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10441; /* aarch64_sve_revvnx2sf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2DFmode)
          || !
#line 9171 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10442; /* aarch64_sve_revvnx2df */

    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x3) != E_VNx16BImode
          || !register_operand (operands[1], E_VNx16BImode)
          || !
#line 9262 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10708; /* aarch64_sve_revvnx16bi */

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x3) != E_VNx8BImode
          || !register_operand (operands[1], E_VNx8BImode)
          || !
#line 9262 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10709; /* aarch64_sve_revvnx8bi */

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x3) != E_VNx4BImode
          || !register_operand (operands[1], E_VNx4BImode)
          || !
#line 9262 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10710; /* aarch64_sve_revvnx4bi */

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x3) != E_VNx2BImode
          || !register_operand (operands[1], E_VNx2BImode)
          || !
#line 9262 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10711; /* aarch64_sve_revvnx2bi */

    default:
      return -1;
    }
}

 int
recog_20 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !(
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5140; /* aarch64_frecpev4hf */

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode)
          || !(
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5141; /* aarch64_frecpev8hf */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5142; /* aarch64_frecpev2sf */

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode)
          || !
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5143; /* aarch64_frecpev4sf */

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode)
          || !
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5144; /* aarch64_frecpev2df */

    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode)
          || !(
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5145; /* aarch64_frecpehf */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5146; /* aarch64_frecpesf */

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode)
          || !
#line 8838 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5147; /* aarch64_frecpedf */

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x3) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode)
          || !
#line 3650 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7153; /* aarch64_sve_frecpevnx8hf */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode)
          || !
#line 3650 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7155; /* aarch64_sve_frecpevnx4sf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2DFmode)
          || !
#line 3650 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7157; /* aarch64_sve_frecpevnx2df */

    default:
      return -1;
    }
}

 int
recog_26 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V3x16QImode:
      if (!register_operand (operands[0], E_V3x16QImode)
          || GET_MODE (x3) != E_V3x16QImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x16QImode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4443; /* aarch64_simd_ld3v16qi */

    case E_V3x8HImode:
      if (!register_operand (operands[0], E_V3x8HImode)
          || GET_MODE (x3) != E_V3x8HImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8HImode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4444; /* aarch64_simd_ld3v8hi */

    case E_V3x4SImode:
      if (!register_operand (operands[0], E_V3x4SImode)
          || GET_MODE (x3) != E_V3x4SImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4SImode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4445; /* aarch64_simd_ld3v4si */

    case E_V3x2DImode:
      if (!register_operand (operands[0], E_V3x2DImode)
          || GET_MODE (x3) != E_V3x2DImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2DImode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4446; /* aarch64_simd_ld3v2di */

    case E_V3x8HFmode:
      if (!register_operand (operands[0], E_V3x8HFmode)
          || GET_MODE (x3) != E_V3x8HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8HFmode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4447; /* aarch64_simd_ld3v8hf */

    case E_V3x4SFmode:
      if (!register_operand (operands[0], E_V3x4SFmode)
          || GET_MODE (x3) != E_V3x4SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4SFmode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4448; /* aarch64_simd_ld3v4sf */

    case E_V3x2DFmode:
      if (!register_operand (operands[0], E_V3x2DFmode)
          || GET_MODE (x3) != E_V3x2DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2DFmode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4449; /* aarch64_simd_ld3v2df */

    case E_V3x8BFmode:
      if (!register_operand (operands[0], E_V3x8BFmode)
          || GET_MODE (x3) != E_V3x8BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8BFmode)
          || !
#line 7662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4450; /* aarch64_simd_ld3v8bf */

    default:
      return -1;
    }
}

 int
recog_32 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern59 (x1))
    {
    case 0:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5014; /* aarch64_rev16v8qi */

    case 1:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5019; /* aarch64_rev16v16qi */

    case 2:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5026; /* aarch64_rev16v4hi */

    case 3:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5031; /* aarch64_rev16v8hi */

    case 4:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5038; /* aarch64_rev16v2si */

    case 5:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5043; /* aarch64_rev16v4si */

    case 6:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5046; /* aarch64_rev16v2di */

    case 7:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5053; /* aarch64_rev16v4hf */

    case 8:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5058; /* aarch64_rev16v8hf */

    case 9:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5065; /* aarch64_rev16v4bf */

    case 10:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5070; /* aarch64_rev16v8bf */

    case 11:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5077; /* aarch64_rev16v2sf */

    case 12:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5082; /* aarch64_rev16v4sf */

    case 13:
      if (!
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5085; /* aarch64_rev16v2df */

    default:
      return -1;
    }
}

 int
recog_39 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern53 (x1))
    {
    case 0:
      if (!(
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 884; /* floorhf2 */

    case 1:
      if (!
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 891; /* floorsf2 */

    case 2:
      if (!
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 898; /* floordf2 */

    case 3:
      if (!(
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2479; /* floorv4hf2 */

    case 4:
      if (!(
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2496; /* floorv8hf2 */

    case 5:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2507; /* floorv2sf2 */

    case 6:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2524; /* floorv4sf2 */

    case 7:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2531; /* floorv2df2 */

    case 8:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11369; /* floorvnx8sf2 */

    case 9:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11373; /* floorvnx16sf2 */

    default:
      return -1;
    }
}

 int
recog_46 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 8867 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5159; /* aarch64_urecpev2si */

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !
#line 8867 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5160; /* aarch64_urecpev4si */

    default:
      return -1;
    }
}

 int
recog_53 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx16BImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  if (!register_operand (operands[0], E_VNx16BImode))
    return -1;
  switch (XWINT (x3, 0))
    {
    case 8L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11344; /* aarch64_sve_ptrue_c8 */

    case 16L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11345; /* aarch64_sve_ptrue_c16 */

    case 32L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11346; /* aarch64_sve_ptrue_c32 */

    case 64L:
      if (!
#line 596 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11347; /* aarch64_sve_ptrue_c64 */

    default:
      return -1;
    }
}

 int
recog_60 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[3] = x5;
  switch (XINT (x3, 1))
    {
    case 321:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8078; /* aarch64_pred_smulhvnx16qi */

        case E_VNx8QImode:
          if (pattern861 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8080; /* aarch64_pred_smulhvnx8qi */

        case E_VNx4QImode:
          if (pattern861 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8082; /* aarch64_pred_smulhvnx4qi */

        case E_VNx2QImode:
          if (pattern861 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8084; /* aarch64_pred_smulhvnx2qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8086; /* aarch64_pred_smulhvnx8hi */

        case E_VNx4HImode:
          if (pattern861 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8088; /* aarch64_pred_smulhvnx4hi */

        case E_VNx2HImode:
          if (pattern861 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8090; /* aarch64_pred_smulhvnx2hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8092; /* aarch64_pred_smulhvnx4si */

        case E_VNx2SImode:
          if (pattern861 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8094; /* aarch64_pred_smulhvnx2si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8096; /* aarch64_pred_smulhvnx2di */

        default:
          return -1;
        }

    case 322:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8079; /* aarch64_pred_umulhvnx16qi */

        case E_VNx8QImode:
          if (pattern861 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8081; /* aarch64_pred_umulhvnx8qi */

        case E_VNx4QImode:
          if (pattern861 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8083; /* aarch64_pred_umulhvnx4qi */

        case E_VNx2QImode:
          if (pattern861 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8085; /* aarch64_pred_umulhvnx2qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8087; /* aarch64_pred_umulhvnx8hi */

        case E_VNx4HImode:
          if (pattern861 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8089; /* aarch64_pred_umulhvnx4hi */

        case E_VNx2HImode:
          if (pattern861 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8091; /* aarch64_pred_umulhvnx2hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8093; /* aarch64_pred_umulhvnx4si */

        case E_VNx2SImode:
          if (pattern861 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8095; /* aarch64_pred_umulhvnx2si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 4515 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8097; /* aarch64_pred_umulhvnx2di */

        default:
          return -1;
        }

    case 415:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern984 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8341; /* *sdiv_pow2vnx16qi3 */

        case E_VNx8QImode:
          if (pattern984 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8342; /* *sdiv_pow2vnx8qi3 */

        case E_VNx4QImode:
          if (pattern984 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8343; /* *sdiv_pow2vnx4qi3 */

        case E_VNx2QImode:
          if (pattern984 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8344; /* *sdiv_pow2vnx2qi3 */

        case E_VNx8HImode:
          if (pattern984 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8345; /* *sdiv_pow2vnx8hi3 */

        case E_VNx4HImode:
          if (pattern984 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8346; /* *sdiv_pow2vnx4hi3 */

        case E_VNx2HImode:
          if (pattern984 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8347; /* *sdiv_pow2vnx2hi3 */

        case E_VNx4SImode:
          if (pattern984 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8348; /* *sdiv_pow2vnx4si3 */

        case E_VNx2SImode:
          if (pattern984 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8349; /* *sdiv_pow2vnx2si3 */

        case E_VNx2DImode:
          if (pattern984 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8350; /* *sdiv_pow2vnx2di3 */

        case E_V8QImode:
          if (pattern984 (x2, 
E_V8QImode, 
E_VNx8BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8351; /* *sdiv_pow2v8qi3 */

        case E_V16QImode:
          if (pattern984 (x2, 
E_V16QImode, 
E_VNx16BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8352; /* *sdiv_pow2v16qi3 */

        case E_V4HImode:
          if (pattern984 (x2, 
E_V4HImode, 
E_VNx4BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8353; /* *sdiv_pow2v4hi3 */

        case E_V8HImode:
          if (pattern984 (x2, 
E_V8HImode, 
E_VNx8BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8354; /* *sdiv_pow2v8hi3 */

        case E_V2SImode:
          if (pattern984 (x2, 
E_V2SImode, 
E_VNx2BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8355; /* *sdiv_pow2v2si3 */

        case E_V4SImode:
          if (pattern984 (x2, 
E_V4SImode, 
E_VNx4BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8356; /* *sdiv_pow2v4si3 */

        case E_V2DImode:
          if (pattern984 (x2, 
E_V2DImode, 
E_VNx2BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8357; /* *sdiv_pow2v2di3 */

        case E_V1DImode:
          if (pattern984 (x2, 
E_V1DImode, 
E_VNx2BImode) != 0
              || !
#line 5069 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8358; /* *sdiv_pow2v1di3 */

        default:
          return -1;
        }

    case 210:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11547; /* aarch64_pred_shaddvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11557; /* aarch64_pred_shaddvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11567; /* aarch64_pred_shaddvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11577; /* aarch64_pred_shaddvnx2di */

        default:
          return -1;
        }

    case 214:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11548; /* aarch64_pred_shsubvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11558; /* aarch64_pred_shsubvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11568; /* aarch64_pred_shsubvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11578; /* aarch64_pred_shsubvnx2di */

        default:
          return -1;
        }

    case 233:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11549; /* aarch64_pred_sqrshlvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11559; /* aarch64_pred_sqrshlvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11569; /* aarch64_pred_sqrshlvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11579; /* aarch64_pred_sqrshlvnx2di */

        default:
          return -1;
        }

    case 212:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11550; /* aarch64_pred_srhaddvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11560; /* aarch64_pred_srhaddvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11570; /* aarch64_pred_srhaddvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11580; /* aarch64_pred_srhaddvnx2di */

        default:
          return -1;
        }

    case 231:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11551; /* aarch64_pred_srshlvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11561; /* aarch64_pred_srshlvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11571; /* aarch64_pred_srshlvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11581; /* aarch64_pred_srshlvnx2di */

        default:
          return -1;
        }

    case 211:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11552; /* aarch64_pred_uhaddvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11562; /* aarch64_pred_uhaddvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11572; /* aarch64_pred_uhaddvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11582; /* aarch64_pred_uhaddvnx2di */

        default:
          return -1;
        }

    case 215:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11553; /* aarch64_pred_uhsubvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11563; /* aarch64_pred_uhsubvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11573; /* aarch64_pred_uhsubvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11583; /* aarch64_pred_uhsubvnx2di */

        default:
          return -1;
        }

    case 234:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11554; /* aarch64_pred_uqrshlvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11564; /* aarch64_pred_uqrshlvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11574; /* aarch64_pred_uqrshlvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11584; /* aarch64_pred_uqrshlvnx2di */

        default:
          return -1;
        }

    case 213:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11555; /* aarch64_pred_urhaddvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11565; /* aarch64_pred_urhaddvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11575; /* aarch64_pred_urhaddvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11585; /* aarch64_pred_urhaddvnx2di */

        default:
          return -1;
        }

    case 232:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern861 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11556; /* aarch64_pred_urshlvnx16qi */

        case E_VNx8HImode:
          if (pattern861 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11566; /* aarch64_pred_urshlvnx8hi */

        case E_VNx4SImode:
          if (pattern861 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11576; /* aarch64_pred_urshlvnx4si */

        case E_VNx2DImode:
          if (pattern861 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 998 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11586; /* aarch64_pred_urshlvnx2di */

        default:
          return -1;
        }

    case 227:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern985 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11737; /* aarch64_pred_sqshlvnx16qi */

        case E_VNx8HImode:
          if (pattern985 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11739; /* aarch64_pred_sqshlvnx8hi */

        case E_VNx4SImode:
          if (pattern985 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11741; /* aarch64_pred_sqshlvnx4si */

        case E_VNx2DImode:
          if (pattern985 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11743; /* aarch64_pred_sqshlvnx2di */

        default:
          return -1;
        }

    case 228:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern985 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11738; /* aarch64_pred_uqshlvnx16qi */

        case E_VNx8HImode:
          if (pattern985 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11740; /* aarch64_pred_uqshlvnx8hi */

        case E_VNx4SImode:
          if (pattern985 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11742; /* aarch64_pred_uqshlvnx4si */

        case E_VNx2DImode:
          if (pattern985 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 1198 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11744; /* aarch64_pred_uqshlvnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_83 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern104 (x1))
    {
    case 0:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4833; /* aarch64_zip2v8qi */

    case 1:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4849; /* aarch64_zip2v16qi */

    case 2:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4857; /* aarch64_zip2v4hi */

    case 3:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4873; /* aarch64_zip2v8hi */

    case 4:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4881; /* aarch64_zip2v2si */

    case 5:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4897; /* aarch64_zip2v4si */

    case 6:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4903; /* aarch64_zip2v2di */

    case 7:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4911; /* aarch64_zip2v4hf */

    case 8:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4927; /* aarch64_zip2v8hf */

    case 9:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4935; /* aarch64_zip2v4bf */

    case 10:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4951; /* aarch64_zip2v8bf */

    case 11:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4959; /* aarch64_zip2v2sf */

    case 12:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4975; /* aarch64_zip2v4sf */

    case 13:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4981; /* aarch64_zip2v2df */

    case 14:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10452; /* aarch64_sve_zip2vnx16qi */

    case 15:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10462; /* aarch64_sve_zip2vnx8qi */

    case 16:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10472; /* aarch64_sve_zip2vnx4qi */

    case 17:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10482; /* aarch64_sve_zip2vnx2qi */

    case 18:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10492; /* aarch64_sve_zip2vnx8hi */

    case 19:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10502; /* aarch64_sve_zip2vnx4hi */

    case 20:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10512; /* aarch64_sve_zip2vnx2hi */

    case 21:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10522; /* aarch64_sve_zip2vnx4si */

    case 22:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10532; /* aarch64_sve_zip2vnx2si */

    case 23:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10542; /* aarch64_sve_zip2vnx2di */

    case 24:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10552; /* aarch64_sve_zip2vnx8hf */

    case 25:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10562; /* aarch64_sve_zip2vnx4hf */

    case 26:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10572; /* aarch64_sve_zip2vnx2hf */

    case 27:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10582; /* aarch64_sve_zip2vnx8bf */

    case 28:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10592; /* aarch64_sve_zip2vnx4bf */

    case 29:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10602; /* aarch64_sve_zip2vnx2bf */

    case 30:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10612; /* aarch64_sve_zip2vnx4sf */

    case 31:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10622; /* aarch64_sve_zip2vnx2sf */

    case 32:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10632; /* aarch64_sve_zip2vnx2df */

    case 33:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10713; /* aarch64_sve_zip2vnx16bi */

    case 34:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10719; /* aarch64_sve_zip2vnx8bi */

    case 35:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10725; /* aarch64_sve_zip2vnx4bi */

    case 36:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10731; /* aarch64_sve_zip2vnx2bi */

    default:
      return -1;
    }
}

 int
recog_90 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode)
          || !
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1968; /* vec_shr_v8qi */

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x3) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode)
          || !
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1971; /* vec_shr_v4hi */

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1974; /* vec_shr_v4hf */

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1977; /* vec_shr_v2si */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1980; /* vec_shr_v2sf */

    case E_V4BFmode:
      if (!register_operand (operands[0], E_V4BFmode)
          || GET_MODE (x3) != E_V4BFmode
          || !register_operand (operands[1], E_V4BFmode)
          || !
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1983; /* vec_shr_v4bf */

    default:
      return -1;
    }
}

 int
recog_94 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern79 (x1))
    {
    case 0:
      if (!(
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 1085; /* fmin_nanhf3 */

    case 1:
      if (!
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1089; /* fmin_nansf3 */

    case 2:
      if (!
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1093; /* fmin_nandf3 */

    case 3:
      if (!(
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2669; /* fmin_nanv4hf3 */

    case 4:
      if (!(
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2679; /* fmin_nanv8hf3 */

    case 5:
      if (!
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2685; /* fmin_nanv2sf3 */

    case 6:
      if (!
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2695; /* fmin_nanv4sf3 */

    case 7:
      if (!
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2699; /* fmin_nanv2df3 */

    case 8:
      if (!(
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12215; /* *aarch64_sve_fminvnx16bf */

    case 9:
      if (!(
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12219; /* *aarch64_sve_fminvnx32bf */

    case 10:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12223; /* *aarch64_sve_fminvnx16hf */

    case 11:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12227; /* *aarch64_sve_fminvnx8sf */

    case 12:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12231; /* *aarch64_sve_fminvnx4df */

    case 13:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12235; /* *aarch64_sve_fminvnx32hf */

    case 14:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12239; /* *aarch64_sve_fminvnx16sf */

    case 15:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12243; /* *aarch64_sve_fminvnx8df */

    case 16:
      if (!(
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12247; /* aarch64_sve_single_fminvnx16bf */

    case 17:
      if (!(
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12251; /* aarch64_sve_single_fminvnx32bf */

    case 18:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12255; /* aarch64_sve_single_fminvnx16hf */

    case 19:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12259; /* aarch64_sve_single_fminvnx8sf */

    case 20:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12263; /* aarch64_sve_single_fminvnx4df */

    case 21:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12267; /* aarch64_sve_single_fminvnx32hf */

    case 22:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12271; /* aarch64_sve_single_fminvnx16sf */

    case 23:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12275; /* aarch64_sve_single_fminvnx8df */

    default:
      return -1;
    }
}

 int
recog_102 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern116 (x1))
    {
    case 0:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10457; /* aarch64_sve_uzpq1vnx16qi */

    case 1:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10467; /* aarch64_sve_uzpq1vnx8qi */

    case 2:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10477; /* aarch64_sve_uzpq1vnx4qi */

    case 3:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10487; /* aarch64_sve_uzpq1vnx2qi */

    case 4:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10497; /* aarch64_sve_uzpq1vnx8hi */

    case 5:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10507; /* aarch64_sve_uzpq1vnx4hi */

    case 6:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10517; /* aarch64_sve_uzpq1vnx2hi */

    case 7:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10527; /* aarch64_sve_uzpq1vnx4si */

    case 8:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10537; /* aarch64_sve_uzpq1vnx2si */

    case 9:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10547; /* aarch64_sve_uzpq1vnx2di */

    case 10:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10557; /* aarch64_sve_uzpq1vnx8hf */

    case 11:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10567; /* aarch64_sve_uzpq1vnx4hf */

    case 12:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10577; /* aarch64_sve_uzpq1vnx2hf */

    case 13:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10587; /* aarch64_sve_uzpq1vnx8bf */

    case 14:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10597; /* aarch64_sve_uzpq1vnx4bf */

    case 15:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10607; /* aarch64_sve_uzpq1vnx2bf */

    case 16:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10617; /* aarch64_sve_uzpq1vnx4sf */

    case 17:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10627; /* aarch64_sve_uzpq1vnx2sf */

    case 18:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3175 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10637; /* aarch64_sve_uzpq1vnx2df */

    default:
      return -1;
    }
}

 int
recog_114 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern91 (x1))
    {
    case 0:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3701; /* aarch64_uqrshlv8qi */

    case 1:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3707; /* aarch64_uqrshlv16qi */

    case 2:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3717; /* aarch64_uqrshlv4hi */

    case 3:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3723; /* aarch64_uqrshlv8hi */

    case 4:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3733; /* aarch64_uqrshlv2si */

    case 5:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3739; /* aarch64_uqrshlv4si */

    case 6:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3743; /* aarch64_uqrshlv2di */

    case 7:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3747; /* aarch64_uqrshlqi */

    case 8:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3751; /* aarch64_uqrshlhi */

    case 9:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3755; /* aarch64_uqrshlsi */

    case 10:
      if (!
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3765; /* aarch64_uqrshldi */

    default:
      return -1;
    }
}

 int
recog_121 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern89 (x1))
    {
    case 0:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2112; /* aarch64_smaxpv8qi */

    case 1:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2120; /* aarch64_smaxpv16qi */

    case 2:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2128; /* aarch64_smaxpv4hi */

    case 3:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2136; /* aarch64_smaxpv8hi */

    case 4:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2144; /* aarch64_smaxpv2si */

    case 5:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2152; /* aarch64_smaxpv4si */

    case 6:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10333; /* aarch64_pred_reduc_smax_vnx16qi */

    case 7:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10340; /* aarch64_pred_reduc_smax_vnx8hi */

    case 8:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10347; /* aarch64_pred_reduc_smax_vnx4si */

    case 9:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10354; /* aarch64_pred_reduc_smax_vnx2di */

    default:
      return -1;
    }
}

 int
recog_129 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern138 (x1))
    {
    case 0:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12795; /* aarch64_sve_uzpvnx32qi */

    case 1:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12797; /* aarch64_sve_uzpvnx16hi */

    case 2:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12799; /* aarch64_sve_uzpvnx8si */

    case 3:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12801; /* aarch64_sve_uzpvnx4di */

    case 4:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12803; /* aarch64_sve_uzpvnx16bf */

    case 5:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12805; /* aarch64_sve_uzpvnx16hf */

    case 6:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12807; /* aarch64_sve_uzpvnx8sf */

    case 7:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12809; /* aarch64_sve_uzpvnx4df */

    default:
      return -1;
    }
}

 int
recog_139 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern109 (x1))
    {
    case 0:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6518; /* extract_last_vnx16qi */

    case 1:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6520; /* extract_last_vnx8hi */

    case 2:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6522; /* extract_last_vnx4si */

    case 3:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6524; /* extract_last_vnx2di */

    case 4:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6526; /* extract_last_vnx8bf */

    case 5:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6528; /* extract_last_vnx8hf */

    case 6:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6530; /* extract_last_vnx4sf */

    case 7:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6532; /* extract_last_vnx2df */

    default:
      return -1;
    }
}

 int
recog_149 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern74 (x1))
    {
    case 0:
      return 1028; /* ucvtfsi3 */

    case 1:
      return 1030; /* ucvtfdi3 */

    case 2:
      if (!
#line 7223 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1036; /* ucvtfsihf3 */

    case 3:
      if (!
#line 7223 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1038; /* ucvtfdihf3 */

    case 4:
      if (!
#line 7243 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 1042; /* ucvtfhi3 */

    case 5:
      if (!(
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 291 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2629; /* ucvtfv4hi3 */

    case 6:
      if (!(
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 292 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2631; /* ucvtfv8hi3 */

    case 7:
      if (!
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2633; /* ucvtfv2si3 */

    case 8:
      if (!
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2635; /* ucvtfv4si3 */

    case 9:
      if (!
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2637; /* ucvtfv2di3 */

    default:
      return -1;
    }
}

 int
recog_160 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_V8DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || pattern83 (x1, 
E_V8DImode, 
94) != 0
      || !aarch64_sync_memory_operand (operands[0], E_V8DImode)
      || !
#line 560 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME2))
    return -1;
  return 12952; /* aarch64_restore_zt0 */
}

 int
recog_164 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern123 (x1))
    {
    case 0:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12053; /* aarch64_sve_sqdmullbvnx8hi */

    case 1:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12074; /* aarch64_sve_sqdmullbvnx4si */

    case 2:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12095; /* aarch64_sve_sqdmullbvnx2di */

    case 3:
      if (!
#line 2283 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12111; /* aarch64_sve_sqdmullb_lane_vnx4si */

    case 4:
      if (!
#line 2283 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12117; /* aarch64_sve_sqdmullb_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_175 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern135 (x1))
    {
    case 0:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12697; /* aarch64_pred_reduc_umaxqv_vnx16qi */

    case 1:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12705; /* aarch64_pred_reduc_umaxqv_vnx8hi */

    case 2:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12713; /* aarch64_pred_reduc_umaxqv_vnx4si */

    case 3:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12721; /* aarch64_pred_reduc_umaxqv_vnx2di */

    default:
      return -1;
    }
}

 int
recog_185 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern129 (x1))
    {
    case 0:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12469; /* aarch64_sve_cadd90vnx16qi */

    case 1:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12473; /* aarch64_sve_cadd90vnx8hi */

    case 2:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12477; /* aarch64_sve_cadd90vnx4si */

    case 3:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12481; /* aarch64_sve_cadd90vnx2di */

    default:
      return -1;
    }
}

 int
recog_195 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (XWINT (x4, 0) == 0L)
    {
      x5 = XVECEXP (x3, 0, 2);
      x6 = XVECEXP (x5, 0, 1);
      if (x6 == const_int_rtx[MAX_SAVED_CONST_INT + 0])
        {
          x7 = XVECEXP (x3, 0, 0);
          operands[4] = x7;
          x8 = XVECEXP (x5, 0, 0);
          operands[5] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx8HFmode:
              if (pattern1263 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) == 0
                  && 
#line 6354 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8961; /* *aarch64_cond_abdvnx8hf_3_relaxed */
              break;

            case E_VNx4SFmode:
              if (pattern1263 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) == 0
                  && 
#line 6354 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8962; /* *aarch64_cond_abdvnx4sf_3_relaxed */
              break;

            case E_VNx2DFmode:
              if (pattern1263 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) == 0
                  && 
#line 6354 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8963; /* *aarch64_cond_abdvnx2df_3_relaxed */
              break;

            default:
              break;
            }
        }
    }
  operands[4] = x4;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  x6 = XVECEXP (x5, 0, 1);
  operands[5] = x6;
  if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
    return -1;
  x7 = XVECEXP (x3, 0, 0);
  if (!rtx_equal_p (x7, operands[1]))
    return -1;
  x8 = XVECEXP (x5, 0, 0);
  if (!rtx_equal_p (x8, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern1263 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 6383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8964; /* *aarch64_cond_abdvnx8hf_3_strict */

    case E_VNx4SFmode:
      if (pattern1263 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 6383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8965; /* *aarch64_cond_abdvnx4sf_3_strict */

    case E_VNx2DFmode:
      if (pattern1263 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 6383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8966; /* *aarch64_cond_abdvnx2df_3_strict */

    default:
      return -1;
    }
}

 int
recog_204 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern860 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7201; /* *cond_btruncvnx8hf_2_relaxed */
      operands[4] = x4;
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
          || !
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7267; /* *cond_btruncvnx8hf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7212; /* *cond_btruncvnx4sf_2_relaxed */
      operands[4] = x4;
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7278; /* *cond_btruncvnx4sf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[3] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7223; /* *cond_btruncvnx2df_2_relaxed */
      operands[4] = x4;
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
          || !
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7289; /* *cond_btruncvnx2df_any_relaxed */

    case 3:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7234; /* *cond_btruncvnx8hf_2_strict */
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
          || !
#line 3781 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7300; /* *cond_btruncvnx8hf_any_strict */

    case 4:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7245; /* *cond_btruncvnx4sf_2_strict */
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !
#line 3781 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7311; /* *cond_btruncvnx4sf_any_strict */

    case 5:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 3732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7256; /* *cond_btruncvnx2df_2_strict */
      operands[3] = x5;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
          || !
#line 3781 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 7322; /* *cond_btruncvnx2df_any_strict */

    default:
      return -1;
    }
}

 int
recog_215 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11745; /* *cond_sqshlvnx16qi_2 */
    }
  if (register_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11753; /* *cond_sqshlvnx16qi_3 */
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))))
    return -1;
  return 11761; /* *cond_sqshlvnx16qi_any */
}

 int
recog_228 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11630; /* *cond_uhsubvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11671; /* *cond_uhsubvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11711; /* *cond_uhsubvnx2di_any */
}

 int
recog_238 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11603; /* *cond_srshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11649; /* *cond_srshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11689; /* *cond_srshlvnx8hi_any */
}

 int
recog_248 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11624; /* *cond_shsubvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11666; /* *cond_shsubvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11706; /* *cond_shsubvnx2di_any */
}

 int
recog_257 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1049 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8505; /* *cond_sminvnx8bf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8651; /* *cond_sminvnx8bf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8755; /* *cond_sminvnx8bf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8518; /* *cond_sminvnx8hf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8664; /* *cond_sminvnx8hf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8768; /* *cond_sminvnx8hf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8531; /* *cond_sminvnx4sf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8677; /* *cond_sminvnx4sf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8781; /* *cond_sminvnx4sf_any_relaxed */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8544; /* *cond_sminvnx2df_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8690; /* *cond_sminvnx2df_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8794; /* *cond_sminvnx2df_any_relaxed */

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8603; /* *cond_sminvnx8hf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8853; /* *cond_sminvnx8hf_any_const_relaxed */

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8610; /* *cond_sminvnx4sf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8860; /* *cond_sminvnx4sf_any_const_relaxed */

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8617; /* *cond_sminvnx2df_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8867; /* *cond_sminvnx2df_any_const_relaxed */

    case 7:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8557; /* *cond_sminvnx8bf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8703; /* *cond_sminvnx8bf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8807; /* *cond_sminvnx8bf_any_strict */

    case 8:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8570; /* *cond_sminvnx8hf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8716; /* *cond_sminvnx8hf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8820; /* *cond_sminvnx8hf_any_strict */

    case 9:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8583; /* *cond_sminvnx4sf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8729; /* *cond_sminvnx4sf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8833; /* *cond_sminvnx4sf_any_strict */

    case 10:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8596; /* *cond_sminvnx2df_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8742; /* *cond_sminvnx2df_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8846; /* *cond_sminvnx2df_any_strict */

    case 11:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8624; /* *cond_sminvnx8hf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8874; /* *cond_sminvnx8hf_any_const_strict */

    case 12:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8631; /* *cond_sminvnx4sf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8881; /* *cond_sminvnx4sf_any_const_strict */

    case 13:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8638; /* *cond_sminvnx2df_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8888; /* *cond_sminvnx2df_any_const_strict */

    default:
      return -1;
    }
}

 int
recog_263 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1048 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8502; /* *cond_mulxvnx8bf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8648; /* *cond_mulxvnx8bf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8752; /* *cond_mulxvnx8bf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8515; /* *cond_mulxvnx8hf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8661; /* *cond_mulxvnx8hf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8765; /* *cond_mulxvnx8hf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8528; /* *cond_mulxvnx4sf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8674; /* *cond_mulxvnx4sf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8778; /* *cond_mulxvnx4sf_any_relaxed */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8541; /* *cond_mulxvnx2df_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8687; /* *cond_mulxvnx2df_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8791; /* *cond_mulxvnx2df_any_relaxed */

    case 4:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8554; /* *cond_mulxvnx8bf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8700; /* *cond_mulxvnx8bf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8804; /* *cond_mulxvnx8bf_any_strict */

    case 5:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8567; /* *cond_mulxvnx8hf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8713; /* *cond_mulxvnx8hf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8817; /* *cond_mulxvnx8hf_any_strict */

    case 6:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8580; /* *cond_mulxvnx4sf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8726; /* *cond_mulxvnx4sf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8830; /* *cond_mulxvnx4sf_any_strict */

    case 7:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8593; /* *cond_mulxvnx2df_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 8739; /* *cond_mulxvnx2df_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((false || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8843; /* *cond_mulxvnx2df_any_strict */

    default:
      return -1;
    }
}

 int
recog_274 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XVECEXP (x2, 0, 1);
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      switch (pattern724 (x2))
        {
        case 0:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7438; /* *cond_addvnx16qi_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7608; /* *cond_addvnx16qi_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7778; /* *cond_addvnx16qi_any */

        case 1:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7455; /* *cond_addvnx8qi_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7625; /* *cond_addvnx8qi_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7795; /* *cond_addvnx8qi_any */

        case 2:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7472; /* *cond_addvnx4qi_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7642; /* *cond_addvnx4qi_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7812; /* *cond_addvnx4qi_any */

        case 3:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7489; /* *cond_addvnx2qi_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7659; /* *cond_addvnx2qi_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7829; /* *cond_addvnx2qi_any */

        case 4:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7506; /* *cond_addvnx8hi_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7676; /* *cond_addvnx8hi_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7846; /* *cond_addvnx8hi_any */

        case 5:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7523; /* *cond_addvnx4hi_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7693; /* *cond_addvnx4hi_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7863; /* *cond_addvnx4hi_any */

        case 6:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7540; /* *cond_addvnx2hi_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7710; /* *cond_addvnx2hi_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7880; /* *cond_addvnx2hi_any */

        case 7:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7557; /* *cond_addvnx4si_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7727; /* *cond_addvnx4si_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7897; /* *cond_addvnx4si_any */

        case 8:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7574; /* *cond_addvnx2si_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7744; /* *cond_addvnx2si_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7914; /* *cond_addvnx2si_any */

        case 9:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7591; /* *cond_addvnx2di_2 */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7761; /* *cond_addvnx2di_3 */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7931; /* *cond_addvnx2di_any */

        default:
          return -1;
        }

    case MULT:
      x7 = XEXP (x5, 0);
      operands[2] = x7;
      x8 = XEXP (x5, 1);
      operands[3] = x8;
      x9 = XEXP (x4, 1);
      operands[4] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern1052 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9123; /* *cond_fmavnx16qi_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9133; /* *cond_fmavnx16qi_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx16QImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9143; /* *cond_fmavnx16qi_any */

        case E_VNx8QImode:
          if (pattern1052 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9124; /* *cond_fmavnx8qi_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9134; /* *cond_fmavnx8qi_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8QImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9144; /* *cond_fmavnx8qi_any */

        case E_VNx4QImode:
          if (pattern1052 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9125; /* *cond_fmavnx4qi_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9135; /* *cond_fmavnx4qi_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4QImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9145; /* *cond_fmavnx4qi_any */

        case E_VNx2QImode:
          if (pattern1052 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9126; /* *cond_fmavnx2qi_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9136; /* *cond_fmavnx2qi_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2QImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9146; /* *cond_fmavnx2qi_any */

        case E_VNx8HImode:
          if (pattern1052 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9127; /* *cond_fmavnx8hi_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9137; /* *cond_fmavnx8hi_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8HImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9147; /* *cond_fmavnx8hi_any */

        case E_VNx4HImode:
          if (pattern1052 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9128; /* *cond_fmavnx4hi_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9138; /* *cond_fmavnx4hi_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4HImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9148; /* *cond_fmavnx4hi_any */

        case E_VNx2HImode:
          if (pattern1052 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9129; /* *cond_fmavnx2hi_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9139; /* *cond_fmavnx2hi_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2HImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9149; /* *cond_fmavnx2hi_any */

        case E_VNx4SImode:
          if (pattern1052 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9130; /* *cond_fmavnx4si_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9140; /* *cond_fmavnx4si_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4SImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9150; /* *cond_fmavnx4si_any */

        case E_VNx2SImode:
          if (pattern1052 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9131; /* *cond_fmavnx2si_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9141; /* *cond_fmavnx2si_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2SImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9151; /* *cond_fmavnx2si_any */

        case E_VNx2DImode:
          if (pattern1052 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 7080 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9132; /* *cond_fmavnx2di_2 */
          if (rtx_equal_p (x6, operands[4])
              && 
#line 7099 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9142; /* *cond_fmavnx2di_4 */
          operands[5] = x6;
          if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2DImode)
              || !
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
            return -1;
          return 9152; /* *cond_fmavnx2di_any */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_279 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  operands[1] = x3;
  x4 = XVECEXP (x2, 0, 0);
  operands[3] = x4;
  x5 = XVECEXP (x2, 0, 2);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern933 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx16QImode)
       || register_operand (operands[2], VNx16QImode))))
        return -1;
      return 9407; /* *vcond_mask_vnx16qivnx16bi */

    case E_VNx8QImode:
      if (pattern933 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx8QImode)
       || register_operand (operands[2], VNx8QImode))))
        return -1;
      return 9408; /* *vcond_mask_vnx8qivnx8bi */

    case E_VNx4QImode:
      if (pattern933 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx4QImode)
       || register_operand (operands[2], VNx4QImode))))
        return -1;
      return 9409; /* *vcond_mask_vnx4qivnx4bi */

    case E_VNx2QImode:
      if (pattern933 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2QImode)
       || register_operand (operands[2], VNx2QImode))))
        return -1;
      return 9410; /* *vcond_mask_vnx2qivnx2bi */

    case E_VNx8HImode:
      if (pattern933 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx8HImode)
       || register_operand (operands[2], VNx8HImode))))
        return -1;
      return 9411; /* *vcond_mask_vnx8hivnx8bi */

    case E_VNx4HImode:
      if (pattern933 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx4HImode)
       || register_operand (operands[2], VNx4HImode))))
        return -1;
      return 9412; /* *vcond_mask_vnx4hivnx4bi */

    case E_VNx2HImode:
      if (pattern933 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2HImode)
       || register_operand (operands[2], VNx2HImode))))
        return -1;
      return 9413; /* *vcond_mask_vnx2hivnx2bi */

    case E_VNx4SImode:
      if (pattern933 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx4SImode)
       || register_operand (operands[2], VNx4SImode))))
        return -1;
      return 9414; /* *vcond_mask_vnx4sivnx4bi */

    case E_VNx2SImode:
      if (pattern933 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2SImode)
       || register_operand (operands[2], VNx2SImode))))
        return -1;
      return 9415; /* *vcond_mask_vnx2sivnx2bi */

    case E_VNx2DImode:
      if (pattern933 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2DImode)
       || register_operand (operands[2], VNx2DImode))))
        return -1;
      return 9416; /* *vcond_mask_vnx2divnx2bi */

    case E_VNx8HFmode:
      if (pattern933 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx8HFmode)
       || register_operand (operands[2], VNx8HFmode))))
        return -1;
      return 9417; /* *vcond_mask_vnx8hfvnx8bi */

    case E_VNx4HFmode:
      if (pattern933 (x2, 
E_VNx4HFmode, 
E_VNx4BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx4HFmode)
       || register_operand (operands[2], VNx4HFmode))))
        return -1;
      return 9418; /* *vcond_mask_vnx4hfvnx4bi */

    case E_VNx2HFmode:
      if (pattern933 (x2, 
E_VNx2HFmode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2HFmode)
       || register_operand (operands[2], VNx2HFmode))))
        return -1;
      return 9419; /* *vcond_mask_vnx2hfvnx2bi */

    case E_VNx8BFmode:
      if (pattern933 (x2, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx8BFmode)
       || register_operand (operands[2], VNx8BFmode))))
        return -1;
      return 9420; /* *vcond_mask_vnx8bfvnx8bi */

    case E_VNx4BFmode:
      if (pattern933 (x2, 
E_VNx4BFmode, 
E_VNx4BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx4BFmode)
       || register_operand (operands[2], VNx4BFmode))))
        return -1;
      return 9421; /* *vcond_mask_vnx4bfvnx4bi */

    case E_VNx2BFmode:
      if (pattern933 (x2, 
E_VNx2BFmode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2BFmode)
       || register_operand (operands[2], VNx2BFmode))))
        return -1;
      return 9422; /* *vcond_mask_vnx2bfvnx2bi */

    case E_VNx4SFmode:
      if (pattern933 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx4SFmode)
       || register_operand (operands[2], VNx4SFmode))))
        return -1;
      return 9423; /* *vcond_mask_vnx4sfvnx4bi */

    case E_VNx2SFmode:
      if (pattern933 (x2, 
E_VNx2SFmode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2SFmode)
       || register_operand (operands[2], VNx2SFmode))))
        return -1;
      return 9424; /* *vcond_mask_vnx2sfvnx2bi */

    case E_VNx2DFmode:
      if (pattern933 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 8060 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (!register_operand (operands[1], VNx2DFmode)
       || register_operand (operands[2], VNx2DFmode))))
        return -1;
      return 9425; /* *vcond_mask_vnx2dfvnx2bi */

    case E_VNx32QImode:
      if (pattern934 (x2, 
E_VNx32QImode, 
E_VNx16BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12611; /* aarch64_sve_selvnx32qi */

    case E_VNx16HImode:
      if (pattern934 (x2, 
E_VNx16HImode, 
E_VNx8BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12612; /* aarch64_sve_selvnx16hi */

    case E_VNx8SImode:
      if (pattern934 (x2, 
E_VNx8SImode, 
E_VNx4BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12613; /* aarch64_sve_selvnx8si */

    case E_VNx4DImode:
      if (pattern934 (x2, 
E_VNx4DImode, 
E_VNx2BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12614; /* aarch64_sve_selvnx4di */

    case E_VNx16BFmode:
      if (pattern934 (x2, 
E_VNx16BFmode, 
E_VNx8BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12615; /* aarch64_sve_selvnx16bf */

    case E_VNx16HFmode:
      if (pattern934 (x2, 
E_VNx16HFmode, 
E_VNx8BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12616; /* aarch64_sve_selvnx16hf */

    case E_VNx8SFmode:
      if (pattern934 (x2, 
E_VNx8SFmode, 
E_VNx4BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12617; /* aarch64_sve_selvnx8sf */

    case E_VNx4DFmode:
      if (pattern934 (x2, 
E_VNx4DFmode, 
E_VNx2BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12618; /* aarch64_sve_selvnx4df */

    case E_VNx64QImode:
      if (pattern934 (x2, 
E_VNx64QImode, 
E_VNx16BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12619; /* aarch64_sve_selvnx64qi */

    case E_VNx32HImode:
      if (pattern934 (x2, 
E_VNx32HImode, 
E_VNx8BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12620; /* aarch64_sve_selvnx32hi */

    case E_VNx16SImode:
      if (pattern934 (x2, 
E_VNx16SImode, 
E_VNx4BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12621; /* aarch64_sve_selvnx16si */

    case E_VNx8DImode:
      if (pattern934 (x2, 
E_VNx8DImode, 
E_VNx2BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12622; /* aarch64_sve_selvnx8di */

    case E_VNx32BFmode:
      if (pattern934 (x2, 
E_VNx32BFmode, 
E_VNx8BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12623; /* aarch64_sve_selvnx32bf */

    case E_VNx32HFmode:
      if (pattern934 (x2, 
E_VNx32HFmode, 
E_VNx8BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12624; /* aarch64_sve_selvnx32hf */

    case E_VNx16SFmode:
      if (pattern934 (x2, 
E_VNx16SFmode, 
E_VNx4BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12625; /* aarch64_sve_selvnx16sf */

    case E_VNx8DFmode:
      if (pattern934 (x2, 
E_VNx8DFmode, 
E_VNx2BImode) != 0
          || !
#line 3654 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12626; /* aarch64_sve_selvnx8df */

    default:
      return -1;
    }
}

 int
recog_289 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern724 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7441; /* *cond_smaxvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7611; /* *cond_smaxvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7781; /* *cond_smaxvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7458; /* *cond_smaxvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7628; /* *cond_smaxvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7798; /* *cond_smaxvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7475; /* *cond_smaxvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7645; /* *cond_smaxvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7815; /* *cond_smaxvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7492; /* *cond_smaxvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7662; /* *cond_smaxvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7832; /* *cond_smaxvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7509; /* *cond_smaxvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7679; /* *cond_smaxvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7849; /* *cond_smaxvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7526; /* *cond_smaxvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7696; /* *cond_smaxvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7866; /* *cond_smaxvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7543; /* *cond_smaxvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7713; /* *cond_smaxvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7883; /* *cond_smaxvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7560; /* *cond_smaxvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7730; /* *cond_smaxvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7900; /* *cond_smaxvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7577; /* *cond_smaxvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7747; /* *cond_smaxvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7917; /* *cond_smaxvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7594; /* *cond_smaxvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7764; /* *cond_smaxvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7934; /* *cond_smaxvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_299 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (pattern787 (x3, 
E_V8QImode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4994; /* aarch64_extv8qi */

    case E_V16QImode:
      if (pattern787 (x3, 
E_V16QImode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4995; /* aarch64_extv16qi */

    case E_V4HImode:
      if (pattern787 (x3, 
E_V4HImode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4996; /* aarch64_extv4hi */

    case E_V8HImode:
      if (pattern787 (x3, 
E_V8HImode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4997; /* aarch64_extv8hi */

    case E_V2SImode:
      if (pattern787 (x3, 
E_V2SImode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4998; /* aarch64_extv2si */

    case E_V4SImode:
      if (pattern787 (x3, 
E_V4SImode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4999; /* aarch64_extv4si */

    case E_V2DImode:
      if (pattern787 (x3, 
E_V2DImode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5000; /* aarch64_extv2di */

    case E_V4HFmode:
      if (pattern787 (x3, 
E_V4HFmode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5001; /* aarch64_extv4hf */

    case E_V8HFmode:
      if (pattern787 (x3, 
E_V8HFmode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5002; /* aarch64_extv8hf */

    case E_V4BFmode:
      if (pattern787 (x3, 
E_V4BFmode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5003; /* aarch64_extv4bf */

    case E_V8BFmode:
      if (pattern787 (x3, 
E_V8BFmode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5004; /* aarch64_extv8bf */

    case E_V2SFmode:
      if (pattern787 (x3, 
E_V2SFmode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5005; /* aarch64_extv2sf */

    case E_V4SFmode:
      if (pattern787 (x3, 
E_V4SFmode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5006; /* aarch64_extv4sf */

    case E_V2DFmode:
      if (pattern787 (x3, 
E_V2DFmode) != 0
          || !
#line 8661 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5007; /* aarch64_extv2df */

    case E_VNx16QImode:
      if (pattern788 (x3, 
E_VNx16QImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 8 / 8, 0, 255)))
        return -1;
      return 10689; /* aarch64_sve_extvnx16qi */

    case E_VNx8QImode:
      if (pattern788 (x3, 
E_VNx8QImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 16 / 8, 0, 255)))
        return -1;
      return 10690; /* aarch64_sve_extvnx8qi */

    case E_VNx4QImode:
      if (pattern788 (x3, 
E_VNx4QImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 32 / 8, 0, 255)))
        return -1;
      return 10691; /* aarch64_sve_extvnx4qi */

    case E_VNx2QImode:
      if (pattern788 (x3, 
E_VNx2QImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10692; /* aarch64_sve_extvnx2qi */

    case E_VNx8HImode:
      if (pattern788 (x3, 
E_VNx8HImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 16 / 8, 0, 255)))
        return -1;
      return 10693; /* aarch64_sve_extvnx8hi */

    case E_VNx4HImode:
      if (pattern788 (x3, 
E_VNx4HImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 32 / 8, 0, 255)))
        return -1;
      return 10694; /* aarch64_sve_extvnx4hi */

    case E_VNx2HImode:
      if (pattern788 (x3, 
E_VNx2HImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10695; /* aarch64_sve_extvnx2hi */

    case E_VNx4SImode:
      if (pattern788 (x3, 
E_VNx4SImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 32 / 8, 0, 255)))
        return -1;
      return 10696; /* aarch64_sve_extvnx4si */

    case E_VNx2SImode:
      if (pattern788 (x3, 
E_VNx2SImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10697; /* aarch64_sve_extvnx2si */

    case E_VNx2DImode:
      if (pattern788 (x3, 
E_VNx2DImode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10698; /* aarch64_sve_extvnx2di */

    case E_VNx8HFmode:
      if (pattern788 (x3, 
E_VNx8HFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 16 / 8, 0, 255)))
        return -1;
      return 10699; /* aarch64_sve_extvnx8hf */

    case E_VNx4HFmode:
      if (pattern788 (x3, 
E_VNx4HFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 32 / 8, 0, 255)))
        return -1;
      return 10700; /* aarch64_sve_extvnx4hf */

    case E_VNx2HFmode:
      if (pattern788 (x3, 
E_VNx2HFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10701; /* aarch64_sve_extvnx2hf */

    case E_VNx8BFmode:
      if (pattern788 (x3, 
E_VNx8BFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 16 / 8, 0, 255)))
        return -1;
      return 10702; /* aarch64_sve_extvnx8bf */

    case E_VNx4BFmode:
      if (pattern788 (x3, 
E_VNx4BFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 32 / 8, 0, 255)))
        return -1;
      return 10703; /* aarch64_sve_extvnx4bf */

    case E_VNx2BFmode:
      if (pattern788 (x3, 
E_VNx2BFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10704; /* aarch64_sve_extvnx2bf */

    case E_VNx4SFmode:
      if (pattern788 (x3, 
E_VNx4SFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 32 / 8, 0, 255)))
        return -1;
      return 10705; /* aarch64_sve_extvnx4sf */

    case E_VNx2SFmode:
      if (pattern788 (x3, 
E_VNx2SFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10706; /* aarch64_sve_extvnx2sf */

    case E_VNx2DFmode:
      if (pattern788 (x3, 
E_VNx2DFmode) != 0
          || !
#line 9240 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[3]) * 64 / 8, 0, 255)))
        return -1;
      return 10707; /* aarch64_sve_extvnx2df */

    default:
      return -1;
    }
}

 int
recog_312 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern146 (x1))
    {
    case 0:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3502; /* aarch64_sqrdmlahv4hi */

    case 1:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3508; /* aarch64_sqrdmlahv8hi */

    case 2:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3510; /* aarch64_sqrdmlahv2si */

    case 3:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3516; /* aarch64_sqrdmlahv4si */

    case 4:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3518; /* aarch64_sqrdmlahhi */

    case 5:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3520; /* aarch64_sqrdmlahsi */

    case 6:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11801; /* aarch64_sve_sqrdmlahvnx16qi */

    case 7:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11809; /* aarch64_sve_sqrdmlahvnx8hi */

    case 8:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11817; /* aarch64_sve_sqrdmlahvnx4si */

    case 9:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11825; /* aarch64_sve_sqrdmlahvnx2di */

    case 10:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3522; /* aarch64_sqrdmlah_lanev4hi */

    case 11:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3542; /* aarch64_sqrdmlah_laneqv4hi */

    case 12:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3528; /* aarch64_sqrdmlah_lanev8hi */

    case 13:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3548; /* aarch64_sqrdmlah_laneqv8hi */

    case 14:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3530; /* aarch64_sqrdmlah_lanev2si */

    case 15:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3550; /* aarch64_sqrdmlah_laneqv2si */

    case 16:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3536; /* aarch64_sqrdmlah_lanev4si */

    case 17:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3556; /* aarch64_sqrdmlah_laneqv4si */

    case 18:
      if (!
#line 5677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3538; /* aarch64_sqrdmlah_lanehi */

    case 19:
      if (!
#line 5715 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3558; /* aarch64_sqrdmlah_laneqhi */

    case 20:
      if (!
#line 5677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3540; /* aarch64_sqrdmlah_lanesi */

    case 21:
      if (!
#line 5715 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3560; /* aarch64_sqrdmlah_laneqsi */

    case 22:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11827; /* aarch64_sve_sqrdmlah_lane_vnx8hi */

    case 23:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11829; /* aarch64_sve_sqrdmlah_lane_vnx4si */

    case 24:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11831; /* aarch64_sve_sqrdmlah_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_321 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern167 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9936; /* while_ultsivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9946; /* while_ultdivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9956; /* while_ultsivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9966; /* while_ultdivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9976; /* while_ultsivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9986; /* while_ultdivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9996; /* while_ultsivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10006; /* while_ultdivnx2bi */

    default:
      return -1;
    }
}

 int
recog_329 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern181 (x1))
    {
    case 0:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11231; /* aarch64_st1vnx32qi */

    case 1:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11233; /* aarch64_st1vnx16hi */

    case 2:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11235; /* aarch64_st1vnx8si */

    case 3:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11237; /* aarch64_st1vnx4di */

    case 4:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11239; /* aarch64_st1vnx16bf */

    case 5:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11241; /* aarch64_st1vnx16hf */

    case 6:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11243; /* aarch64_st1vnx8sf */

    case 7:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11245; /* aarch64_st1vnx4df */

    case 8:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11247; /* aarch64_st1vnx64qi */

    case 9:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11249; /* aarch64_st1vnx32hi */

    case 10:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11251; /* aarch64_st1vnx16si */

    case 11:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11253; /* aarch64_st1vnx8di */

    case 12:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11255; /* aarch64_st1vnx32bf */

    case 13:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11257; /* aarch64_st1vnx32hf */

    case 14:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11259; /* aarch64_st1vnx16sf */

    case 15:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11261; /* aarch64_st1vnx8df */

    default:
      return -1;
    }
}

 int
recog_337 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (pattern160 (x1))
    {
    case 0:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5912; /* aarch64_ldnf1vnx16qi */

    case 1:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5914; /* aarch64_ldnf1vnx8hi */

    case 2:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5916; /* aarch64_ldnf1vnx4si */

    case 3:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5918; /* aarch64_ldnf1vnx2di */

    case 4:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5920; /* aarch64_ldnf1vnx8bf */

    case 5:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5922; /* aarch64_ldnf1vnx8hf */

    case 6:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5924; /* aarch64_ldnf1vnx4sf */

    case 7:
      x2 = XEXP (x1, 1);
      if (pattern932 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 1401 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5926; /* aarch64_ldnf1vnx2df */

    default:
      return -1;
    }
}

 int
recog_347 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern794 (x3, 
E_VNx16QImode) != 0
          || !
#line 2003 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11979; /* aarch64_sve_srivnx16qi */

    case E_VNx8HImode:
      if (pattern794 (x3, 
E_VNx8HImode) != 0
          || !
#line 2003 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11981; /* aarch64_sve_srivnx8hi */

    case E_VNx4SImode:
      if (pattern794 (x3, 
E_VNx4SImode) != 0
          || !
#line 2003 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11983; /* aarch64_sve_srivnx4si */

    case E_VNx2DImode:
      if (pattern794 (x3, 
E_VNx2DImode) != 0
          || !
#line 2003 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11985; /* aarch64_sve_srivnx2di */

    default:
      return -1;
    }
}

 int
recog_351 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern152 (x1))
    {
    case 0:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3815; /* aarch64_usli_nv8qi */

    case 1:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3819; /* aarch64_usli_nv16qi */

    case 2:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3823; /* aarch64_usli_nv4hi */

    case 3:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3827; /* aarch64_usli_nv8hi */

    case 4:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3831; /* aarch64_usli_nv2si */

    case 5:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3835; /* aarch64_usli_nv4si */

    case 6:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3839; /* aarch64_usli_nv2di */

    case 7:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3843; /* aarch64_usli_ndi */

    default:
      return -1;
    }
}

 int
recog_360 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern194 (x1))
    {
    case 0:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12488; /* aarch64_sve_cmla270vnx16qi */

    case 1:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12496; /* aarch64_sve_cmla270vnx8hi */

    case 2:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12504; /* aarch64_sve_cmla270vnx4si */

    case 3:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12512; /* aarch64_sve_cmla270vnx2di */

    case 4:
      if (!
#line 3033 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12520; /* aarch64_cmla270_lane_vnx8hi */

    case 5:
      if (!
#line 3033 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12528; /* aarch64_cmla270_lane_vnx4si */

    default:
      return -1;
    }
}

 int
recog_369 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern196 (x1))
    {
    case 0:
      if (!
#line 3096 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12536; /* aarch64_sve_cdot270vnx4si */

    case 1:
      if (!
#line 3096 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12540; /* aarch64_sve_cdot270vnx2di */

    case 2:
      if (!
#line 3113 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12544; /* aarch64_cdot270_lane_vnx4si */

    case 3:
      if (!
#line 3113 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12548; /* aarch64_cdot270_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_375 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern190 (x1))
    {
    case 0:
      if (!
#line 2821 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12418; /* aarch64_pred_sminpvnx16qi */

    case 1:
      if (!
#line 2821 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12423; /* aarch64_pred_sminpvnx8hi */

    case 2:
      if (!
#line 2821 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12428; /* aarch64_pred_sminpvnx4si */

    case 3:
      if (!
#line 2821 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12433; /* aarch64_pred_sminpvnx2di */

    default:
      return -1;
    }
}

 int
recog_383 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern184 (x1))
    {
    case 0:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11795; /* aarch64_sve_adclbvnx16qi */

    case 1:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11803; /* aarch64_sve_adclbvnx8hi */

    case 2:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11811; /* aarch64_sve_adclbvnx4si */

    case 3:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11819; /* aarch64_sve_adclbvnx2di */

    default:
      return -1;
    }
}

 int
recog_391 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 3);
  x4 = XVECEXP (x3, 0, 0);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x5 = XVECEXP (x2, 0, 0);
  operands[3] = x5;
  x6 = XVECEXP (x2, 0, 1);
  operands[4] = x6;
  x7 = XVECEXP (x3, 0, 1);
  operands[1] = x7;
  x8 = XVECEXP (x3, 0, 2);
  operands[2] = x8;
  switch (GET_MODE (x3))
    {
    case E_VNx16BImode:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10104; /* while_wrsivnx16bi_ptest */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10114; /* while_wrdivnx16bi_ptest */

    case E_VNx8BImode:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10124; /* while_wrsivnx8bi_ptest */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10134; /* while_wrdivnx8bi_ptest */

    case E_VNx4BImode:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10144; /* while_wrsivnx4bi_ptest */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10154; /* while_wrdivnx4bi_ptest */

    case E_VNx2BImode:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10164; /* while_wrsivnx2bi_ptest */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10174; /* while_wrdivnx2bi_ptest */

    default:
      return -1;
    }
}

 int
recog_401 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern220 (x1))
    {
    case 0:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13121; /* aarch64_sme_read_horvnx32qivnx32qi */

    case 1:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13123; /* aarch64_sme_read_horvnx16hivnx16hi */

    case 2:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13125; /* aarch64_sme_read_horvnx8sivnx8si */

    case 3:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13127; /* aarch64_sme_read_horvnx4divnx4di */

    case 4:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13129; /* aarch64_sme_read_horvnx16bfvnx16bf */

    case 5:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13131; /* aarch64_sme_read_horvnx16hfvnx16hf */

    case 6:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13133; /* aarch64_sme_read_horvnx8sfvnx8sf */

    case 7:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13135; /* aarch64_sme_read_horvnx4dfvnx4df */

    case 8:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13137; /* aarch64_sme_read_horvnx64qivnx64qi */

    case 9:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13139; /* aarch64_sme_read_horvnx32hivnx32hi */

    case 10:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13141; /* aarch64_sme_read_horvnx16sivnx16si */

    case 11:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13143; /* aarch64_sme_read_horvnx8divnx8di */

    case 12:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13145; /* aarch64_sme_read_horvnx32bfvnx32bf */

    case 13:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13147; /* aarch64_sme_read_horvnx32hfvnx32hf */

    case 14:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13149; /* aarch64_sme_read_horvnx16sfvnx16sf */

    case 15:
      if (!
#line 827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13151; /* aarch64_sme_read_horvnx8dfvnx8df */

    case 16:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 8))
        return -1;
      return 13153; /* *aarch64_sme_read_horvnx32qivnx32qi_plus */

    case 17:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13155; /* *aarch64_sme_read_horvnx16hivnx16hi_plus */

    case 18:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13157; /* *aarch64_sme_read_horvnx8sivnx8si_plus */

    case 19:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13159; /* *aarch64_sme_read_horvnx4divnx4di_plus */

    case 20:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13161; /* *aarch64_sme_read_horvnx16bfvnx16bf_plus */

    case 21:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13163; /* *aarch64_sme_read_horvnx16hfvnx16hf_plus */

    case 22:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13165; /* *aarch64_sme_read_horvnx8sfvnx8sf_plus */

    case 23:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13167; /* *aarch64_sme_read_horvnx4dfvnx4df_plus */

    case 24:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 8))
        return -1;
      return 13169; /* *aarch64_sme_read_horvnx64qivnx64qi_plus */

    case 25:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13171; /* *aarch64_sme_read_horvnx32hivnx32hi_plus */

    case 26:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13173; /* *aarch64_sme_read_horvnx16sivnx16si_plus */

    case 27:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13175; /* *aarch64_sme_read_horvnx8divnx8di_plus */

    case 28:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13177; /* *aarch64_sme_read_horvnx32bfvnx32bf_plus */

    case 29:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13179; /* *aarch64_sme_read_horvnx32hfvnx32hf_plus */

    case 30:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13181; /* *aarch64_sme_read_horvnx16sfvnx16sf_plus */

    case 31:
      if (!
#line 844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13183; /* *aarch64_sme_read_horvnx8dfvnx8df_plus */

    default:
      return -1;
    }
}

 int
recog_415 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  switch (pattern213 (x1))
    {
    case 0:
      if (!
#line 8512 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10179; /* aarch64_pred_fcmltvnx8hf */

    case 1:
      if (!
#line 8512 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10185; /* aarch64_pred_fcmltvnx4sf */

    case 2:
      if (!
#line 8512 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10191; /* aarch64_pred_fcmltvnx2df */

    case 3:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 2);
      x4 = XVECEXP (x3, 0, 1);
      if (XWINT (x4, 0) == 0L)
        {
          switch (pattern1252 (x2))
            {
            case 0:
              if (
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10262; /* *aarch64_pred_facltvnx8hf_relaxed */
              break;

            case 1:
              if (
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10266; /* *aarch64_pred_facltvnx4sf_relaxed */
              break;

            case 2:
              if (
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10270; /* *aarch64_pred_facltvnx2df_relaxed */
              break;

            default:
              break;
            }
        }
      operands[5] = x4;
      switch (pattern1253 (x2))
        {
        case 0:
          if (!
#line 8811 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10274; /* *aarch64_pred_facltvnx8hf_strict */

        case 1:
          if (!
#line 8811 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10278; /* *aarch64_pred_facltvnx4sf_strict */

        case 2:
          if (!
#line 8811 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10282; /* *aarch64_pred_facltvnx2df_strict */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_419 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x2, 0, 2);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 90
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 92
      || GET_MODE (x5) != E_DImode
      || pattern722 (x1, 
92) != 0)
    return -1;
  *pnum_clobbers = 8;
  return 12923; /* aarch64_restore_za */
}

 int
recog_424 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern201 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 5437 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8484; /* aarch64_pred_mulxvnx8hf */

    case E_VNx4SFmode:
      if (pattern201 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 5437 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8488; /* aarch64_pred_mulxvnx4sf */

    case E_VNx2DFmode:
      if (pattern201 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 5437 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8492; /* aarch64_pred_mulxvnx2df */

    case E_VNx8BFmode:
      if (pattern201 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 1347 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_B16B16 && false))
        return -1;
      return 11775; /* aarch64_pred_mulxvnx8bf */

    default:
      return -1;
    }
}

 int
recog_432 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (pattern247 (x1))
    {
    case 0:
      if (!
#line 1429 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13659; /* aarch64_sme_smlavnx4sivnx16qi */

    case 1:
      if (!
#line 1429 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13663; /* aarch64_sme_smlavnx4sivnx8hi */

    case 2:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13675; /* aarch64_sme_smlavnx4sivnx32qi */

    case 3:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13679; /* aarch64_sme_smlavnx4sivnx64qi */

    case 4:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13683; /* aarch64_sme_smlavnx4sivnx16hi */

    case 5:
      if (!
#line 1459 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13687; /* aarch64_sme_smlavnx4sivnx32hi */

    case 6:
      if (!
#line 1557 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13787; /* aarch64_sme_smlavnx2divnx8hi */

    case 7:
      if (!
#line 1587 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13795; /* aarch64_sme_smlavnx2divnx16hi */

    case 8:
      if (!
#line 1587 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13799; /* aarch64_sme_smlavnx2divnx32hi */

    case 9:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13707; /* aarch64_sme_single_smlavnx4sivnx32qi */

    case 10:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13711; /* aarch64_sme_single_smlavnx4sivnx64qi */

    case 11:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13715; /* aarch64_sme_single_smlavnx4sivnx16hi */

    case 12:
      if (!
#line 1490 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13719; /* aarch64_sme_single_smlavnx4sivnx32hi */

    case 13:
      if (!
#line 1618 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13811; /* aarch64_sme_single_smlavnx2divnx16hi */

    case 14:
      if (!
#line 1618 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13815; /* aarch64_sme_single_smlavnx2divnx32hi */

    case 15:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13739; /* aarch64_sme_lane_smlavnx4sivnx16qi */

    case 16:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13743; /* aarch64_sme_lane_smlavnx4sivnx32qi */

    case 17:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13747; /* aarch64_sme_lane_smlavnx4sivnx64qi */

    case 18:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13751; /* aarch64_sme_lane_smlavnx4sivnx8hi */

    case 19:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13755; /* aarch64_sme_lane_smlavnx4sivnx16hi */

    case 20:
      if (!
#line 1524 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13759; /* aarch64_sme_lane_smlavnx4sivnx32hi */

    case 21:
      if (!
#line 1652 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13827; /* aarch64_sme_lane_smlavnx2divnx8hi */

    case 22:
      if (!
#line 1652 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13831; /* aarch64_sme_lane_smlavnx2divnx16hi */

    case 23:
      if (!
#line 1652 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13835; /* aarch64_sme_lane_smlavnx2divnx32hi */

    case 24:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx16QImode)
          && register_operand (operands[3], E_VNx16QImode)
          && 
#line 1443 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return 13667; /* *aarch64_sme_smlavnx4sivnx16qi_plus */
      if (const_0_to_14_step_2_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode)
          && register_operand (operands[3], E_VNx8HImode)
          && 
#line 1443 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return 13671; /* *aarch64_sme_smlavnx4sivnx8hi_plus */
      if (const_0_to_4_step_4_operand (operands[1], E_SImode))
        {
          switch (pattern1314 ())
            {
            case 0:
              if (
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13691; /* *aarch64_sme_smlavnx4sivnx32qi_plus */
              break;

            case 1:
              if (
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13695; /* *aarch64_sme_smlavnx4sivnx64qi_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1315 ())
        {
        case 0:
          if (!
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13699; /* *aarch64_sme_smlavnx4sivnx16hi_plus */

        case 1:
          if (!
#line 1473 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13703; /* *aarch64_sme_smlavnx4sivnx32hi_plus */

        default:
          return -1;
        }

    case 25:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode)
          && register_operand (operands[3], E_VNx8HImode)
          && 
#line 1571 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return 13791; /* *aarch64_sme_smlavnx2divnx8hi_plus */
      if (!const_0_to_4_step_4_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1315 ())
        {
        case 0:
          if (!
#line 1601 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13803; /* *aarch64_sme_smlavnx2divnx16hi_plus */

        case 1:
          if (!
#line 1601 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13807; /* *aarch64_sme_smlavnx2divnx32hi_plus */

        default:
          return -1;
        }

    case 26:
      if (const_0_to_4_step_4_operand (operands[1], E_SImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          switch (pattern1316 (x3))
            {
            case 0:
              if (
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13723; /* *aarch64_sme_single_smlavnx4sivnx32qi_plus */
              break;

            case 1:
              if (
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13727; /* *aarch64_sme_single_smlavnx4sivnx64qi_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern246 (x3))
        {
        case 0:
          if (!
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13731; /* *aarch64_sme_single_smlavnx4sivnx16hi_plus */

        case 1:
          if (!
#line 1505 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13735; /* *aarch64_sme_single_smlavnx4sivnx32hi_plus */

        default:
          return -1;
        }

    case 27:
      if (!
#line 1633 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13819; /* *aarch64_sme_single_smlavnx2divnx16hi_plus */

    case 28:
      if (!
#line 1633 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13823; /* *aarch64_sme_single_smlavnx2divnx32hi_plus */

    case 29:
      if (register_operand (operands[3], E_VNx16QImode))
        {
          if (const_0_to_12_step_4_operand (operands[1], E_SImode)
              && register_operand (operands[2], E_VNx16QImode))
            {
              x2 = XEXP (x1, 1);
              x3 = XVECEXP (x2, 0, 4);
              if (GET_MODE (x3) == E_VNx16QImode
                  && 
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13763; /* *aarch64_sme_lane_smlavnx4sivnx16qi */
            }
          if (const_0_to_4_step_4_operand (operands[1], E_SImode))
            {
              x2 = XEXP (x1, 1);
              x3 = XVECEXP (x2, 0, 4);
              switch (pattern1354 (x3))
                {
                case 0:
                  if (
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                    return 13767; /* *aarch64_sme_lane_smlavnx4sivnx32qi */
                  break;

                case 1:
                  if (
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                    return 13771; /* *aarch64_sme_lane_smlavnx4sivnx64qi */
                  break;

                default:
                  break;
                }
            }
        }
      if (!register_operand (operands[3], E_VNx8HImode))
        return -1;
      if (const_0_to_14_step_2_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          if (GET_MODE (x3) == E_VNx8HImode
              && 
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return 13775; /* *aarch64_sme_lane_smlavnx4sivnx8hi */
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1355 (x3))
        {
        case 0:
          if (!
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13779; /* *aarch64_sme_lane_smlavnx4sivnx16hi */

        case 1:
          if (!
#line 1541 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13783; /* *aarch64_sme_lane_smlavnx4sivnx32hi */

        default:
          return -1;
        }

    case 30:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          if (GET_MODE (x3) == E_VNx8HImode
              && 
#line 1669 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return 13839; /* *aarch64_sme_lane_smlavnx2divnx8hi */
        }
      if (!const_0_to_4_step_4_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1355 (x3))
        {
        case 0:
          if (!
#line 1669 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13843; /* *aarch64_sme_lane_smlavnx2divnx16hi */

        case 1:
          if (!
#line 1669 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13847; /* *aarch64_sme_lane_smlavnx2divnx32hi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_440 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern108 (x2, 
E_VNx4SImode, 
93) != 0)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x2, 0, 4);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 2
      || XINT (x4, 1) != 168)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93
      || GET_MODE (x5) != E_VNx4SImode)
    return -1;
  x6 = XVECEXP (x4, 0, 1);
  if (!const_int_operand (x6, E_SImode))
    return -1;
  x7 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x7))
    {
    case REG:
    case SUBREG:
      operands[0] = x7;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x8 = XVECEXP (x2, 0, 3);
      operands[1] = x8;
      x9 = XVECEXP (x4, 0, 0);
      operands[2] = x9;
      operands[3] = x6;
      switch (pattern1333 (x4))
        {
        case 0:
          if (!
#line 1827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13890; /* aarch64_sme_lane_fvdotvnx4sivnx16bf */

        case 1:
          if (!
#line 1827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13892; /* aarch64_sme_lane_fvdotvnx4sivnx32bf */

        case 2:
          if (!
#line 1827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13894; /* aarch64_sme_lane_fvdotvnx4sivnx16hf */

        case 3:
          if (!
#line 1827 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13896; /* aarch64_sme_lane_fvdotvnx4sivnx32hf */

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x7) != E_SImode)
        return -1;
      x10 = XEXP (x7, 0);
      operands[0] = x10;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x11 = XEXP (x7, 1);
      operands[1] = x11;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x8 = XVECEXP (x2, 0, 3);
      operands[2] = x8;
      x9 = XVECEXP (x4, 0, 0);
      operands[3] = x9;
      operands[4] = x6;
      switch (pattern1346 (x4))
        {
        case 0:
          if (!
#line 1844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13898; /* *aarch64_sme_lane_fvdotvnx4sivnx16bf_plus */

        case 1:
          if (!
#line 1844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13900; /* *aarch64_sme_lane_fvdotvnx4sivnx32bf_plus */

        case 2:
          if (!
#line 1844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13902; /* *aarch64_sme_lane_fvdotvnx4sivnx16hf_plus */

        case 3:
          if (!
#line 1844 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13904; /* *aarch64_sme_lane_fvdotvnx4sivnx32hf_plus */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_441 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern245 (x1))
    {
    case 0:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13538; /* aarch64_sme_lane_usvdotvnx4sivnx32qi */

    case 1:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13546; /* aarch64_sme_lane_usvdotvnx4sivnx64qi */

    case 2:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13554; /* aarch64_sme_lane_usvdotvnx4sivnx16hi */

    case 3:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13562; /* aarch64_sme_lane_usvdotvnx4sivnx32hi */

    case 4:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13570; /* aarch64_sme_lane_usvdotvnx2divnx32qi */

    case 5:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13578; /* aarch64_sme_lane_usvdotvnx2divnx64qi */

    case 6:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13586; /* aarch64_sme_lane_usvdotvnx2divnx16hi */

    case 7:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13594; /* aarch64_sme_lane_usvdotvnx2divnx32hi */

    case 8:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13602; /* *aarch64_sme_lane_usvdotvnx4sivnx32qi_plus */

    case 9:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13610; /* *aarch64_sme_lane_usvdotvnx4sivnx64qi_plus */

    case 10:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13618; /* *aarch64_sme_lane_usvdotvnx4sivnx16hi_plus */

    case 11:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13626; /* *aarch64_sme_lane_usvdotvnx4sivnx32hi_plus */

    case 12:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13634; /* *aarch64_sme_lane_usvdotvnx2divnx32qi_plus */

    case 13:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13642; /* *aarch64_sme_lane_usvdotvnx2divnx64qi_plus */

    case 14:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13650; /* *aarch64_sme_lane_usvdotvnx2divnx16hi_plus */

    case 15:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13658; /* *aarch64_sme_lane_usvdotvnx2divnx32hi_plus */

    default:
      return -1;
    }
}

 int
recog_448 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XINT (x2, 1))
    {
    case 162:
      if (pattern51 (x1, 
84) != 0
          || !aarch64_reg_or_zero (operands[0], E_DImode)
          || !
#line 1921 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP8))
        return -1;
      return 84; /* aarch64_write_fpmr */

    case 82:
      if (GET_MODE (x2) != E_QImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_QImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_QImode)
          || !
#line 6115 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 761; /* *aarch64_sisd_neg_qi */

    case 36:
      return recog_52 (x1, insn, pnum_clobbers);

    case 34:
      return recog_40 (x1, insn, pnum_clobbers);

    case 32:
      return recog_39 (x1, insn, pnum_clobbers);

    case 33:
      return recog_38 (x1, insn, pnum_clobbers);

    case 31:
      return recog_51 (x1, insn, pnum_clobbers);

    case 35:
      return recog_50 (x1, insn, pnum_clobbers);

    case 30:
      return recog_37 (x1, insn, pnum_clobbers);

    case 39:
      x4 = XVECEXP (x2, 0, 0);
      if (GET_CODE (x4) != MEM)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != LO_SUM)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern853 (x2, 
E_SImode) != 0
              || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
            return -1;
          return 1113; /* ldr_got_small_28k_si */

        case E_DImode:
          if (pattern853 (x2, 
E_DImode) != 0
              || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
            return -1;
          return 1114; /* ldr_got_small_28k_di */

        default:
          return -1;
        }

    case 41:
      return recog_49 (x1, insn, pnum_clobbers);

    case 97:
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 1119; /* aarch64_load_tp_hard */

    case 40:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!aarch64_tls_ie_symref (operands[1], E_VOIDmode))
        return -1;
      switch (pattern42 (x2))
        {
        case 0:
          if (!
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
            return -1;
          return 1122; /* tlsie_small_si */

        case 1:
          if (!
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
            return -1;
          return 1123; /* tlsie_small_di */

        default:
          return -1;
        }

    case 101:
      switch (pattern54 (x1))
        {
        case 0:
          if (!
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
            return -1;
          return 1132; /* tlsle32_si */

        case 1:
          if (!
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
            return -1;
          return 1133; /* tlsle32_di */

        default:
          return -1;
        }

    case 102:
      switch (pattern54 (x1))
        {
        case 0:
          if (!
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
            return -1;
          return 1134; /* tlsle48_si */

        case 1:
          if (!
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
            return -1;
          return 1135; /* tlsle48_di */

        default:
          return -1;
        }

    case 21:
      if (pnum_clobbers == NULL
          || GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DFmode)
          || !
#line 7886 "../../gcc/config/aarch64/aarch64.md"
(TARGET_JSCVT))
        return -1;
      *pnum_clobbers = 1;
      return 1141; /* aarch64_fjcvtzs */

    case 114:
      if (pattern44 (x1, 
30, 
E_DImode) != 0)
        return -1;
      return 1150; /* xpaclri */

    case 107:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!const_int_operand (operands[1], E_VOIDmode))
        return -1;
      switch (pattern42 (x2))
        {
        case 0:
          if (!(
#line 8018 "../../gcc/config/aarch64/aarch64.md"
(aarch64_stack_protector_guard != SSP_GLOBAL) && 
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode)))
            return -1;
          return 1155; /* reg_stack_protect_address_si */

        case 1:
          if (!(
#line 8018 "../../gcc/config/aarch64/aarch64.md"
(aarch64_stack_protector_guard != SSP_GLOBAL) && 
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode)))
            return -1;
          return 1156; /* reg_stack_protect_address_di */

        default:
          return -1;
        }

    case 22:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1186; /* aarch64_frint32zv2sf */

        case 1:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1190; /* aarch64_frint32zv4sf */

        case 2:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1194; /* aarch64_frint32zv2df */

        case 3:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1198; /* aarch64_frint32zdf */

        case 4:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1202; /* aarch64_frint32zsf */

        default:
          return -1;
        }

    case 23:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1187; /* aarch64_frint32xv2sf */

        case 1:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1191; /* aarch64_frint32xv4sf */

        case 2:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1195; /* aarch64_frint32xv2df */

        case 3:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1199; /* aarch64_frint32xdf */

        case 4:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1203; /* aarch64_frint32xsf */

        default:
          return -1;
        }

    case 24:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1188; /* aarch64_frint64zv2sf */

        case 1:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1192; /* aarch64_frint64zv4sf */

        case 2:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1196; /* aarch64_frint64zv2df */

        case 3:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1200; /* aarch64_frint64zdf */

        case 4:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1204; /* aarch64_frint64zsf */

        default:
          return -1;
        }

    case 25:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1189; /* aarch64_frint64xv2sf */

        case 1:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1193; /* aarch64_frint64xv4sf */

        case 2:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1197; /* aarch64_frint64xv2df */

        case 3:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1201; /* aarch64_frint64xdf */

        case 4:
          if (!
#line 8308 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1205; /* aarch64_frint64xsf */

        default:
          return -1;
        }

    case 179:
      if (pattern56 (x2, 
E_CCmode, 
66, 
E_DImode) != 0)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 1223; /* aarch64_save_nzcv */

    case 180:
      if (pattern41 (x1) != 0)
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 1224; /* aarch64_restore_nzcv */

    case 111:
      return recog_16 (x1, insn, pnum_clobbers);

    case 187:
      return recog_28 (x1, insn, pnum_clobbers);

    case 203:
      if (GET_MODE (x2) != E_V2DImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_V2DImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_V2DImode)
          || !
#line 2691 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2391; /* aarch64_fnegv2di2 */

    case 588:
      return recog_48 (x1, insn, pnum_clobbers);

    case 205:
      return recog_15 (x1, insn, pnum_clobbers);

    case 202:
      return recog_47 (x1, insn, pnum_clobbers);

    case 208:
      switch (pattern57 (x1))
        {
        case 0:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2832; /* aarch64_reduc_umax_internalv8qi */

        case 1:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2836; /* aarch64_reduc_umax_internalv16qi */

        case 2:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2840; /* aarch64_reduc_umax_internalv4hi */

        case 3:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2844; /* aarch64_reduc_umax_internalv8hi */

        case 4:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2848; /* aarch64_reduc_umax_internalv4si */

        case 5:
          if (!
#line 3687 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2852; /* aarch64_reduc_umax_internalv2si */

        default:
          return -1;
        }

    case 209:
      switch (pattern57 (x1))
        {
        case 0:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2833; /* aarch64_reduc_umin_internalv8qi */

        case 1:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2837; /* aarch64_reduc_umin_internalv16qi */

        case 2:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2841; /* aarch64_reduc_umin_internalv4hi */

        case 3:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2845; /* aarch64_reduc_umin_internalv8hi */

        case 4:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2849; /* aarch64_reduc_umin_internalv4si */

        case 5:
          if (!
#line 3687 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2853; /* aarch64_reduc_umin_internalv2si */

        default:
          return -1;
        }

    case 206:
      switch (pattern57 (x1))
        {
        case 0:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2834; /* aarch64_reduc_smax_internalv8qi */

        case 1:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2838; /* aarch64_reduc_smax_internalv16qi */

        case 2:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2842; /* aarch64_reduc_smax_internalv4hi */

        case 3:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2846; /* aarch64_reduc_smax_internalv8hi */

        case 4:
          if (!
#line 3678 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2850; /* aarch64_reduc_smax_internalv4si */

        case 5:
          if (!
#line 3687 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2854; /* aarch64_reduc_smax_internalv2si */

        default:
          return -1;
        }

    case 207:
      return recog_57 (x1, insn, pnum_clobbers);

    case 198:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2856; /* aarch64_reduc_smax_nan_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2860; /* aarch64_reduc_smax_nan_internalv8hf */

        case 2:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2864; /* aarch64_reduc_smax_nan_internalv2sf */

        case 3:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2868; /* aarch64_reduc_smax_nan_internalv4sf */

        case 4:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2872; /* aarch64_reduc_smax_nan_internalv2df */

        default:
          return -1;
        }

    case 201:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2857; /* aarch64_reduc_smin_nan_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2861; /* aarch64_reduc_smin_nan_internalv8hf */

        case 2:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2865; /* aarch64_reduc_smin_nan_internalv2sf */

        case 3:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2869; /* aarch64_reduc_smin_nan_internalv4sf */

        case 4:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2873; /* aarch64_reduc_smin_nan_internalv2df */

        default:
          return -1;
        }

    case 197:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2858; /* aarch64_reduc_smax_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2862; /* aarch64_reduc_smax_internalv8hf */

        case 2:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2866; /* aarch64_reduc_smax_internalv2sf */

        case 3:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2870; /* aarch64_reduc_smax_internalv4sf */

        case 4:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2874; /* aarch64_reduc_smax_internalv2df */

        default:
          return -1;
        }

    case 200:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2859; /* aarch64_reduc_smin_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2863; /* aarch64_reduc_smin_internalv8hf */

        case 2:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2867; /* aarch64_reduc_smin_internalv2sf */

        case 3:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2871; /* aarch64_reduc_smin_internalv4sf */

        case 4:
          if (!
#line 3696 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2875; /* aarch64_reduc_smin_internalv2df */

        default:
          return -1;
        }

    case 51:
      return recog_27 (x1, insn, pnum_clobbers);

    case 53:
      return recog_19 (x1, insn, pnum_clobbers);

    case 91:
      return recog_14 (x1, insn, pnum_clobbers);

    case 54:
      return recog_26 (x1, insn, pnum_clobbers);

    case 56:
      return recog_18 (x1, insn, pnum_clobbers);

    case 92:
      return recog_13 (x1, insn, pnum_clobbers);

    case 57:
      return recog_25 (x1, insn, pnum_clobbers);

    case 59:
      return recog_17 (x1, insn, pnum_clobbers);

    case 93:
      return recog_12 (x1, insn, pnum_clobbers);

    case 46:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      return recog_9 (x1, insn, pnum_clobbers);

    case 86:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      return recog_10 (x1, insn, pnum_clobbers);

    case 52:
      return recog_24 (x1, insn, pnum_clobbers);

    case 55:
      return recog_23 (x1, insn, pnum_clobbers);

    case 58:
      return recog_22 (x1, insn, pnum_clobbers);

    case 254:
      return recog_33 (x1, insn, pnum_clobbers);

    case 255:
      return recog_31 (x1, insn, pnum_clobbers);

    case 256:
      return recog_32 (x1, insn, pnum_clobbers);

    case 27:
      return recog_20 (x1, insn, pnum_clobbers);

    case 29:
      return recog_36 (x1, insn, pnum_clobbers);

    case 26:
      return recog_46 (x1, insn, pnum_clobbers);

    case 257:
      switch (pattern61 (x1))
        {
        case 0:
          if (!
#line 8922 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5161; /* aarch64_crypto_aesev16qi */

        case 1:
          if (!
#line 4147 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12899; /* aarch64_sve2_aese */

        default:
          return -1;
        }

    case 258:
      switch (pattern61 (x1))
        {
        case 0:
          if (!
#line 8922 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5162; /* aarch64_crypto_aesdv16qi */

        case 1:
          if (!
#line 4147 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12900; /* aarch64_sve2_aesd */

        default:
          return -1;
        }

    case 259:
      switch (pattern63 (x1, 
257))
        {
        case 0:
          if (!
#line 8931 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5163; /* aarch64_crypto_aesmcv16qi */

        case 1:
          if (!
#line 4158 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12901; /* aarch64_sve2_aesmc */

        case 2:
          if (!
#line 8950 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES
   && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 5165; /* *aarch64_crypto_aese_fused */

        case 3:
          if (!
#line 4177 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 12903; /* *aarch64_sve2_aese_fused */

        default:
          return -1;
        }

    case 260:
      switch (pattern63 (x1, 
258))
        {
        case 0:
          if (!
#line 8931 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5164; /* aarch64_crypto_aesimcv16qi */

        case 1:
          if (!
#line 4158 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12902; /* aarch64_sve2_aesimc */

        case 2:
          if (!
#line 8971 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES
   && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 5166; /* *aarch64_crypto_aesd_fused */

        case 3:
          if (!
#line 4192 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 12904; /* *aarch64_sve2_aesd_fused */

        default:
          return -1;
        }

    case 264:
      return recog_35 (x1, insn, pnum_clobbers);

    case 585:
      return recog_30 (x1, insn, pnum_clobbers);

    case 587:
      return recog_45 (x1, insn, pnum_clobbers);

    case 586:
      if (GET_MODE (x2) != E_V4SFmode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_V4SFmode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_V8BFmode)
          || !
#line 10014 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
        return -1;
      return 5265; /* aarch64_vbfcvt_highv8bf */

    case 153:
      return recog_21 (x1, insn, pnum_clobbers);

    case 159:
      if (pattern44 (x1, 
86, 
E_VNx16BImode) != 0
          || !
#line 1257 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5723; /* aarch64_update_ffrt */

    case 325:
      return recog_34 (x1, insn, pnum_clobbers);

    case 77:
      return recog_11 (x1, insn, pnum_clobbers);

    case 129:
      switch (pattern65 (x1))
        {
        case 0:
          if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10754; /* aarch64_sve_sunpkhi_vnx16qi */

        case 1:
          if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10758; /* aarch64_sve_sunpkhi_vnx8hi */

        case 2:
          if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10762; /* aarch64_sve_sunpkhi_vnx4si */

        default:
          return -1;
        }

    case 130:
      return recog_56 (x1, insn, pnum_clobbers);

    case 131:
      switch (pattern65 (x1))
        {
        case 0:
          if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10756; /* aarch64_sve_sunpklo_vnx16qi */

        case 1:
          if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10760; /* aarch64_sve_sunpklo_vnx8hi */

        case 2:
          if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10764; /* aarch64_sve_sunpklo_vnx4si */

        default:
          return -1;
        }

    case 132:
      return recog_55 (x1, insn, pnum_clobbers);

    case 613:
      return recog_29 (x1, insn, pnum_clobbers);

    case 611:
      return recog_54 (x1, insn, pnum_clobbers);

    case 482:
      return recog_53 (x1, insn, pnum_clobbers);

    case 528:
      switch (pattern68 (x1))
        {
        case 0:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12287; /* aarch64_sve_sqxtnbvnx8hi */

        case 1:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12290; /* aarch64_sve_sqxtnbvnx4si */

        case 2:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12293; /* aarch64_sve_sqxtnbvnx2di */

        default:
          return -1;
        }

    case 530:
      switch (pattern68 (x1))
        {
        case 0:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12288; /* aarch64_sve_sqxtunbvnx8hi */

        case 1:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12291; /* aarch64_sve_sqxtunbvnx4si */

        case 2:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12294; /* aarch64_sve_sqxtunbvnx2di */

        default:
          return -1;
        }

    case 565:
      switch (pattern68 (x1))
        {
        case 0:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12289; /* aarch64_sve_uqxtnbvnx8hi */

        case 1:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12292; /* aarch64_sve_uqxtnbvnx4si */

        case 2:
          if (!
#line 2627 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12295; /* aarch64_sve_uqxtnbvnx2di */

        default:
          return -1;
        }

    case 617:
      switch (pattern69 (x1))
        {
        case 0:
          if (!
#line 2657 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12305; /* aarch64_sve_sqcvtvnx16qivnx16si */

        case 1:
          if (!
#line 3719 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12311; /* aarch64_sve_sqcvtvnx8hivnx8si */

        case 2:
          if (!
#line 2675 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12317; /* aarch64_sve_sqcvtvnx8hivnx8di */

        default:
          return -1;
        }

    case 618:
      switch (pattern69 (x1))
        {
        case 0:
          if (!(
#line 2657 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12306; /* aarch64_sve_sqcvtnvnx16qivnx16si */

        case 1:
          if (!
#line 3720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12312; /* aarch64_sve_sqcvtnvnx8hivnx8si */

        case 2:
          if (!(
#line 2675 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12318; /* aarch64_sve_sqcvtnvnx8hivnx8di */

        default:
          return -1;
        }

    case 619:
      switch (pattern69 (x1))
        {
        case 0:
          if (!
#line 2657 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12307; /* aarch64_sve_sqcvtuvnx16qivnx16si */

        case 1:
          if (!
#line 3721 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12313; /* aarch64_sve_sqcvtuvnx8hivnx8si */

        case 2:
          if (!
#line 2675 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12319; /* aarch64_sve_sqcvtuvnx8hivnx8di */

        default:
          return -1;
        }

    case 620:
      switch (pattern69 (x1))
        {
        case 0:
          if (!(
#line 2657 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3722 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12308; /* aarch64_sve_sqcvtunvnx16qivnx16si */

        case 1:
          if (!
#line 3722 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12314; /* aarch64_sve_sqcvtunvnx8hivnx8si */

        case 2:
          if (!(
#line 2675 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3722 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12320; /* aarch64_sve_sqcvtunvnx8hivnx8di */

        default:
          return -1;
        }

    case 626:
      switch (pattern69 (x1))
        {
        case 0:
          if (!
#line 2657 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12309; /* aarch64_sve_uqcvtvnx16qivnx16si */

        case 1:
          if (!
#line 3723 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12315; /* aarch64_sve_uqcvtvnx8hivnx8si */

        case 2:
          if (!
#line 2675 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12321; /* aarch64_sve_uqcvtvnx8hivnx8di */

        default:
          return -1;
        }

    case 627:
      switch (pattern69 (x1))
        {
        case 0:
          if (!(
#line 2657 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12310; /* aarch64_sve_uqcvtnvnx16qivnx16si */

        case 1:
          if (!
#line 3724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12316; /* aarch64_sve_uqcvtnvnx8hivnx8si */

        case 2:
          if (!(
#line 2675 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12322; /* aarch64_sve_uqcvtnvnx8hivnx8di */

        default:
          return -1;
        }

    case 604:
      if (GET_MODE (x2) != E_VNx8SFmode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!aligned_register_operand (operands[0], E_VNx8SFmode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_VNx8HFmode)
          || !
#line 3348 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME_F16F16))
        return -1;
      return 12570; /* aarch64_sve_cvtlvnx8sf */

    case 605:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!aligned_register_operand (operands[1], E_VNx8SFmode))
        return -1;
      switch (pattern130 (x2))
        {
        case 0:
          if (!
#line 3377 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12573; /* aarch64_sve_cvtnvnx8bf */

        case 1:
          if (!
#line 3377 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12574; /* aarch64_sve_cvtnvnx8hf */

        default:
          return -1;
        }

    case 576:
      return recog_44 (x1, insn, pnum_clobbers);

    case 574:
      return recog_43 (x1, insn, pnum_clobbers);

    case 577:
      return recog_42 (x1, insn, pnum_clobbers);

    case 575:
      return recog_41 (x1, insn, pnum_clobbers);

    case 683:
      if (pattern44 (x1, 
67, 
E_DImode) != 0)
        return -1;
      return 12909; /* aarch64_update_vg */

    case 694:
      if (pattern51 (x1, 
88) != 0
          || !memory_operand (operands[0], E_V16QImode))
        return -1;
      return 12918; /* aarch64_setup_local_tpidr2 */

    case 696:
      if (pattern44 (x1, 
87, 
E_DImode) != 0)
        return -1;
      return 12926; /* aarch64_start_private_za_call */

    case 697:
      if (pattern44 (x1, 
87, 
E_DImode) != 0)
        return -1;
      return 12927; /* aarch64_end_private_za_call */

    default:
      return -1;
    }
}

 int
recog_465 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  if (aarch64_comparison_operation (operands[2], E_VOIDmode))
    {
      x4 = XEXP (x2, 1);
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (register_operand (operands[0], E_SImode)
              && GET_MODE (x2) == E_SImode
              && register_operand (operands[1], E_SImode))
            return 473; /* *csinc2si_insn */
          break;

        case E_DImode:
          if (register_operand (operands[0], E_DImode)
              && GET_MODE (x2) == E_DImode
              && register_operand (operands[1], E_DImode))
            return 474; /* *csinc2di_insn */
          break;

        default:
          break;
        }
    }
  if (GET_CODE (x3) != EQ)
    return -1;
  x5 = XEXP (x3, 0);
  switch (GET_CODE (x5))
    {
    case AND:
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      x8 = XEXP (x3, 1);
      operands[3] = x8;
      x4 = XEXP (x2, 1);
      operands[4] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern942 (x2, 
E_V8QImode) != 0
              || !
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4197; /* aarch64_cmtstv8qi */

        case E_V16QImode:
          if (pattern942 (x2, 
E_V16QImode) != 0
              || !
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4200; /* aarch64_cmtstv16qi */

        case E_V4HImode:
          if (pattern942 (x2, 
E_V4HImode) != 0
              || !
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4201; /* aarch64_cmtstv4hi */

        case E_V8HImode:
          if (pattern942 (x2, 
E_V8HImode) != 0
              || !
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4204; /* aarch64_cmtstv8hi */

        case E_V2SImode:
          if (pattern942 (x2, 
E_V2SImode) != 0
              || !
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4205; /* aarch64_cmtstv2si */

        case E_V4SImode:
          if (pattern942 (x2, 
E_V4SImode) != 0
              || !
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4208; /* aarch64_cmtstv4si */

        case E_V2DImode:
          if (pattern942 (x2, 
E_V2DImode) != 0
              || !
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4209; /* aarch64_cmtstv2di */

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x5;
      x8 = XEXP (x3, 1);
      operands[2] = x8;
      x4 = XEXP (x2, 1);
      operands[3] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern881 (x2, 
E_V8QImode) != 0
              || !
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4210; /* *aarch64_cmtst_same_v8qi */

        case E_V16QImode:
          if (pattern881 (x2, 
E_V16QImode) != 0
              || !
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4213; /* *aarch64_cmtst_same_v16qi */

        case E_V4HImode:
          if (pattern881 (x2, 
E_V4HImode) != 0
              || !
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4214; /* *aarch64_cmtst_same_v4hi */

        case E_V8HImode:
          if (pattern881 (x2, 
E_V8HImode) != 0
              || !
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4217; /* *aarch64_cmtst_same_v8hi */

        case E_V2SImode:
          if (pattern881 (x2, 
E_V2SImode) != 0
              || !
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4218; /* *aarch64_cmtst_same_v2si */

        case E_V4SImode:
          if (pattern881 (x2, 
E_V4SImode) != 0
              || !
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4221; /* *aarch64_cmtst_same_v4si */

        case E_V2DImode:
          if (pattern881 (x2, 
E_V2DImode) != 0
              || !
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4222; /* *aarch64_cmtst_same_v2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_470 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case XOR:
      x5 = XEXP (x4, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern650 (x2, 
E_V8QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2876; /* aarch64_simd_bslv8qi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2889; /* *aarch64_simd_bslv8qi_alt */

        case E_V16QImode:
          if (pattern650 (x2, 
E_V16QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2879; /* aarch64_simd_bslv16qi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2892; /* *aarch64_simd_bslv16qi_alt */

        case E_V4HImode:
          if (pattern650 (x2, 
E_V4HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2880; /* aarch64_simd_bslv4hi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2893; /* *aarch64_simd_bslv4hi_alt */

        case E_V8HImode:
          if (pattern650 (x2, 
E_V8HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2883; /* aarch64_simd_bslv8hi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2896; /* *aarch64_simd_bslv8hi_alt */

        case E_V2SImode:
          if (pattern650 (x2, 
E_V2SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2884; /* aarch64_simd_bslv2si_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2897; /* *aarch64_simd_bslv2si_alt */

        case E_V4SImode:
          if (pattern650 (x2, 
E_V4SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2887; /* aarch64_simd_bslv4si_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2900; /* *aarch64_simd_bslv4si_alt */

        case E_V2DImode:
          if (pattern650 (x2, 
E_V2DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2888; /* aarch64_simd_bslv2di_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2901; /* *aarch64_simd_bslv2di_alt */

        case E_DImode:
          if (pattern650 (x2, 
E_DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3784 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2902; /* aarch64_simd_bsldi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3825 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2903; /* aarch64_simd_bsldi_alt */

        case E_VNx16QImode:
          if (pattern651 (x2, 
E_VNx16QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11866; /* *aarch64_sve2_bslvnx16qi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11867; /* *aarch64_sve2_bslvnx16qi */

        case E_VNx8HImode:
          if (pattern651 (x2, 
E_VNx8HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11868; /* *aarch64_sve2_bslvnx8hi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11869; /* *aarch64_sve2_bslvnx8hi */

        case E_VNx4SImode:
          if (pattern651 (x2, 
E_VNx4SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11870; /* *aarch64_sve2_bslvnx4si */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11871; /* *aarch64_sve2_bslvnx4si */

        case E_VNx2DImode:
          if (pattern651 (x2, 
E_VNx2DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11872; /* *aarch64_sve2_bslvnx2di */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11873; /* *aarch64_sve2_bslvnx2di */

        default:
          return -1;
        }

    case NOT:
      x7 = XEXP (x4, 0);
      switch (GET_CODE (x7))
        {
        case REG:
        case SUBREG:
          operands[3] = x7;
          x8 = XEXP (x3, 1);
          operands[2] = x8;
          x6 = XEXP (x2, 1);
          operands[1] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern510 (x2, 
E_V16QImode) != 0
                  || !
#line 9180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5189; /* bcaxqv16qi4 */

            case E_V8HImode:
              if (pattern510 (x2, 
E_V8HImode) != 0
                  || !
#line 9180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5190; /* bcaxqv8hi4 */

            case E_V4SImode:
              if (pattern510 (x2, 
E_V4SImode) != 0
                  || !
#line 9180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5191; /* bcaxqv4si4 */

            case E_V2DImode:
              if (pattern510 (x2, 
E_V2DImode) != 0
                  || !
#line 9180 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5192; /* bcaxqv2di4 */

            default:
              return -1;
            }

        case XOR:
          x9 = XEXP (x7, 0);
          operands[1] = x9;
          x10 = XEXP (x7, 1);
          operands[2] = x10;
          x8 = XEXP (x3, 1);
          operands[3] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern887 (x2, 
E_V8QImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11904; /* *aarch64_sve2_bsl1n_unpredv8qi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11905; /* *aarch64_sve2_bsl1n_unpredv8qi */

            case E_V16QImode:
              if (pattern887 (x2, 
E_V16QImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11906; /* *aarch64_sve2_bsl1n_unpredv16qi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11907; /* *aarch64_sve2_bsl1n_unpredv16qi */

            case E_V4HImode:
              if (pattern887 (x2, 
E_V4HImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11908; /* *aarch64_sve2_bsl1n_unpredv4hi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11909; /* *aarch64_sve2_bsl1n_unpredv4hi */

            case E_V8HImode:
              if (pattern887 (x2, 
E_V8HImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11910; /* *aarch64_sve2_bsl1n_unpredv8hi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11911; /* *aarch64_sve2_bsl1n_unpredv8hi */

            case E_V2SImode:
              if (pattern887 (x2, 
E_V2SImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11912; /* *aarch64_sve2_bsl1n_unpredv2si */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11913; /* *aarch64_sve2_bsl1n_unpredv2si */

            case E_V4SImode:
              if (pattern887 (x2, 
E_V4SImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11914; /* *aarch64_sve2_bsl1n_unpredv4si */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11915; /* *aarch64_sve2_bsl1n_unpredv4si */

            case E_V2DImode:
              if (pattern887 (x2, 
E_V2DImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11916; /* *aarch64_sve2_bsl1n_unpredv2di */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11917; /* *aarch64_sve2_bsl1n_unpredv2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case UNSPEC:
      switch (pattern397 (x2))
        {
        case 0:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11850; /* *aarch64_sve2_bcaxvnx16qi */

        case 1:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11851; /* *aarch64_sve2_bcaxvnx8hi */

        case 2:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11852; /* *aarch64_sve2_bcaxvnx4si */

        case 3:
          if (!
#line 1589 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11853; /* *aarch64_sve2_bcaxvnx2di */

        case 4:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11896; /* *aarch64_sve2_bsl1nvnx16qi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11897; /* *aarch64_sve2_bsl1nvnx16qi */

        case 5:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11898; /* *aarch64_sve2_bsl1nvnx8hi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11899; /* *aarch64_sve2_bsl1nvnx8hi */

        case 6:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11900; /* *aarch64_sve2_bsl1nvnx4si */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11901; /* *aarch64_sve2_bsl1nvnx4si */

        case 7:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11902; /* *aarch64_sve2_bsl1nvnx2di */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11903; /* *aarch64_sve2_bsl1nvnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_480 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != FLOAT_EXTEND)
    return -1;
  x4 = XEXP (x2, 2);
  operands[1] = x4;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  switch (GET_CODE (x6))
    {
    case VEC_SELECT:
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      x8 = XEXP (x6, 1);
      operands[4] = x8;
      x9 = XEXP (x3, 0);
      switch (pattern810 (x9))
        {
        case 0:
          if (pattern1065 (x2, 
E_V2SFmode, 
E_V4HFmode, 
E_V2HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V4HFmode)
              && 
#line 9301 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5202; /* aarch64_simd_fmlal_lowv2sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V4HFmode)
              || !
#line 9336 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5206; /* aarch64_simd_fmlal_highv2sf */

        case 1:
          if (pattern1065 (x2, 
E_V4SFmode, 
E_V8HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V8HFmode)
              && 
#line 9301 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5203; /* aarch64_simd_fmlalq_lowv4sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V8HFmode)
              || !
#line 9336 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5207; /* aarch64_simd_fmlalq_highv4sf */

        case 2:
          if (pattern1226 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode))
            {
              switch (pattern1341 ())
                {
                case 0:
                  if (
#line 9413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5210; /* aarch64_simd_fmlal_lane_lowv2sf */
                  break;

                case 1:
                  if (
#line 9643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5218; /* aarch64_simd_fmlal_laneq_lowv2sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode))
            return -1;
          switch (pattern1341 ())
            {
            case 0:
              if (!
#line 9450 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5212; /* aarch64_simd_fmlal_lane_highv2sf */

            case 1:
              if (!
#line 9680 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5220; /* aarch64_simd_fmlal_laneq_highv2sf */

            default:
              return -1;
            }

        case 3:
          if (pattern1226 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode))
            {
              switch (pattern1342 ())
                {
                case 0:
                  if (
#line 9527 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5214; /* aarch64_simd_fmlalq_laneq_lowv4sf */
                  break;

                case 1:
                  if (
#line 9757 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5222; /* aarch64_simd_fmlalq_lane_lowv4sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode))
            return -1;
          switch (pattern1342 ())
            {
            case 0:
              if (!
#line 9564 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5216; /* aarch64_simd_fmlalq_laneq_highv4sf */

            case 1:
              if (!
#line 9794 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5224; /* aarch64_simd_fmlalq_lane_highv4sf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      x7 = XEXP (x6, 0);
      if (GET_CODE (x7) != VEC_SELECT)
        return -1;
      x10 = XEXP (x7, 0);
      operands[2] = x10;
      x11 = XEXP (x7, 1);
      operands[4] = x11;
      x9 = XEXP (x3, 0);
      switch (pattern810 (x9))
        {
        case 0:
          if (pattern1133 (x2, 
E_V2SFmode, 
E_V4HFmode, 
E_V2HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V4HFmode)
              && 
#line 9319 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5204; /* aarch64_simd_fmlsl_lowv2sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V4HFmode)
              || !
#line 9354 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5208; /* aarch64_simd_fmlsl_highv2sf */

        case 1:
          if (pattern1133 (x2, 
E_V4SFmode, 
E_V8HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V8HFmode)
              && 
#line 9319 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5205; /* aarch64_simd_fmlslq_lowv4sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V8HFmode)
              || !
#line 9354 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5209; /* aarch64_simd_fmlslq_highv4sf */

        case 2:
          if (pattern1254 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode))
            {
              switch (pattern1341 ())
                {
                case 0:
                  if (
#line 9432 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5211; /* aarch64_simd_fmlsl_lane_lowv2sf */
                  break;

                case 1:
                  if (
#line 9662 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5219; /* aarch64_simd_fmlsl_laneq_lowv2sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode))
            return -1;
          switch (pattern1341 ())
            {
            case 0:
              if (!
#line 9469 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5213; /* aarch64_simd_fmlsl_lane_highv2sf */

            case 1:
              if (!
#line 9699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5221; /* aarch64_simd_fmlsl_laneq_highv2sf */

            default:
              return -1;
            }

        case 3:
          if (pattern1254 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode))
            {
              switch (pattern1342 ())
                {
                case 0:
                  if (
#line 9546 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5215; /* aarch64_simd_fmlslq_laneq_lowv4sf */
                  break;

                case 1:
                  if (
#line 9776 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5223; /* aarch64_simd_fmlslq_lane_lowv4sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode))
            return -1;
          switch (pattern1342 ())
            {
            case 0:
              if (!
#line 9583 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5217; /* aarch64_simd_fmlslq_laneq_highv4sf */

            case 1:
              if (!
#line 9813 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5225; /* aarch64_simd_fmlslq_lane_highv4sf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_483 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (GET_MODE (x2) == E_QImode)
        {
          if (memory_operand (operands[0], E_QImode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V8QImode:
                  if (register_operand (operands[1], E_V8QImode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1283; /* aarch64_store_lane0v8qi */
                  break;

                case E_V16QImode:
                  if (register_operand (operands[1], E_V16QImode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (16, INTVAL (operands[2])) == 0))
                    return 1284; /* aarch64_store_lane0v16qi */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_QImode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V8QImode:
                  if (register_operand (operands[1], E_V8QImode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2920; /* aarch64_get_lanev8qi */
                  break;

                case E_V16QImode:
                  if (register_operand (operands[1], E_V16QImode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2921; /* aarch64_get_lanev16qi */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_HImode:
      if (GET_MODE (x2) == E_HImode)
        {
          if (memory_operand (operands[0], E_HImode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HImode:
                  if (register_operand (operands[1], E_V4HImode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1285; /* aarch64_store_lane0v4hi */
                  break;

                case E_V8HImode:
                  if (register_operand (operands[1], E_V8HImode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1286; /* aarch64_store_lane0v8hi */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_HImode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HImode:
                  if (register_operand (operands[1], E_V4HImode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2922; /* aarch64_get_lanev4hi */
                  break;

                case E_V8HImode:
                  if (register_operand (operands[1], E_V8HImode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2923; /* aarch64_get_lanev8hi */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_SImode:
      if (GET_MODE (x2) == E_SImode)
        {
          if (memory_operand (operands[0], E_SImode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SImode:
                  if (register_operand (operands[1], E_V2SImode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
                    return 1287; /* aarch64_store_lane0v2si */
                  break;

                case E_V4SImode:
                  if (register_operand (operands[1], E_V4SImode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1288; /* aarch64_store_lane0v4si */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_SImode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SImode:
                  if (register_operand (operands[1], E_V2SImode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2924; /* aarch64_get_lanev2si */
                  break;

                case E_V4SImode:
                  if (register_operand (operands[1], E_V4SImode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2925; /* aarch64_get_lanev4si */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_DImode:
      if (GET_MODE (x2) == E_DImode
          && register_operand (operands[1], E_V2DImode))
        {
          if (memory_operand (operands[0], E_DImode)
              && const_int_operand (operands[2], E_VOIDmode)
              && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
            return 1289; /* aarch64_store_lane0v2di */
          if (aarch64_simd_nonimmediate_operand (operands[0], E_DImode)
              && immediate_operand (operands[2], E_SImode))
            {
              if (
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2926; /* aarch64_get_lanev2di */
              if (
#line 4292 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 1))
                return 2934; /* *aarch64_get_highv2di */
            }
        }
      break;

    case E_HFmode:
      if (GET_MODE (x2) == E_HFmode)
        {
          if (memory_operand (operands[0], E_HFmode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HFmode:
                  if (register_operand (operands[1], E_V4HFmode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1290; /* aarch64_store_lane0v4hf */
                  break;

                case E_V8HFmode:
                  if (register_operand (operands[1], E_V8HFmode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1291; /* aarch64_store_lane0v8hf */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_HFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HFmode:
                  if (register_operand (operands[1], E_V4HFmode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2927; /* aarch64_get_lanev4hf */
                  break;

                case E_V8HFmode:
                  if (register_operand (operands[1], E_V8HFmode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2928; /* aarch64_get_lanev8hf */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_BFmode:
      if (GET_MODE (x2) == E_BFmode)
        {
          if (memory_operand (operands[0], E_BFmode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4BFmode:
                  if (register_operand (operands[1], E_V4BFmode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1292; /* aarch64_store_lane0v4bf */
                  break;

                case E_V8BFmode:
                  if (register_operand (operands[1], E_V8BFmode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1293; /* aarch64_store_lane0v8bf */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_BFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4BFmode:
                  if (register_operand (operands[1], E_V4BFmode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2929; /* aarch64_get_lanev4bf */
                  break;

                case E_V8BFmode:
                  if (register_operand (operands[1], E_V8BFmode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2930; /* aarch64_get_lanev8bf */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_SFmode:
      if (GET_MODE (x2) == E_SFmode)
        {
          if (memory_operand (operands[0], E_SFmode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (register_operand (operands[1], E_V2SFmode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
                    return 1294; /* aarch64_store_lane0v2sf */
                  break;

                case E_V4SFmode:
                  if (register_operand (operands[1], E_V4SFmode)
                      && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1295; /* aarch64_store_lane0v4sf */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_SFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (register_operand (operands[1], E_V2SFmode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2931; /* aarch64_get_lanev2sf */
                  break;

                case E_V4SFmode:
                  if (register_operand (operands[1], E_V4SFmode)
                      && 
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2932; /* aarch64_get_lanev4sf */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_DFmode:
      if (GET_MODE (x2) == E_DFmode
          && register_operand (operands[1], E_V2DFmode))
        {
          if (memory_operand (operands[0], E_DFmode)
              && const_int_operand (operands[2], E_VOIDmode)
              && 
#line 228 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
            return 1296; /* aarch64_store_lane0v2df */
          if (aarch64_simd_nonimmediate_operand (operands[0], E_DFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              if (
#line 4263 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2933; /* aarch64_get_lanev2df */
              if (
#line 4292 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 1))
                return 2935; /* *aarch64_get_highv2df */
            }
        }
      break;

    default:
      break;
    }
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  if (XWINT (x4, 0) == 0L)
    {
      switch (pattern696 (x2))
        {
        case 0:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6485; /* *vec_extractvnx16qiqi_0 */
          break;

        case 1:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6486; /* *vec_extractvnx8hihi_0 */
          break;

        case 2:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6487; /* *vec_extractvnx4sisi_0 */
          break;

        case 3:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6488; /* *vec_extractvnx2didi_0 */
          break;

        case 4:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6489; /* *vec_extractvnx8bfbf_0 */
          break;

        case 5:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6490; /* *vec_extractvnx8hfhf_0 */
          break;

        case 6:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6491; /* *vec_extractvnx4sfsf_0 */
          break;

        case 7:
          if (
#line 3010 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6492; /* *vec_extractvnx2dfdf_0 */
          break;

        default:
          break;
        }
    }
  operands[2] = x4;
  if (!const_int_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (GET_MODE (x2) != E_QImode
          || !register_operand (operands[1], E_VNx16QImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_QImode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (QImode), 1, 15)))
        return 6493; /* *vec_extractvnx16qiqi_v128 */
      if (!register_operand (operands[0], E_QImode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (QImode), 16, 63)))
        return 6501; /* *vec_extractvnx16qiqi_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (QImode) >= 64))
        return -1;
      return 6509; /* *vec_extractvnx16qiqi_ext */

    case E_HImode:
      if (GET_MODE (x2) != E_HImode
          || !register_operand (operands[1], E_VNx8HImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_HImode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HImode), 1, 15)))
        return 6494; /* *vec_extractvnx8hihi_v128 */
      if (!register_operand (operands[0], E_HImode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HImode), 16, 63)))
        return 6502; /* *vec_extractvnx8hihi_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (HImode) >= 64))
        return -1;
      return 6510; /* *vec_extractvnx8hihi_ext */

    case E_SImode:
      if (GET_MODE (x2) != E_SImode
          || !register_operand (operands[1], E_VNx4SImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_SImode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SImode), 1, 15)))
        return 6495; /* *vec_extractvnx4sisi_v128 */
      if (!register_operand (operands[0], E_SImode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SImode), 16, 63)))
        return 6503; /* *vec_extractvnx4sisi_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (SImode) >= 64))
        return -1;
      return 6511; /* *vec_extractvnx4sisi_ext */

    case E_DImode:
      if (GET_MODE (x2) != E_DImode
          || !register_operand (operands[1], E_VNx2DImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_DImode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DImode), 1, 15)))
        return 6496; /* *vec_extractvnx2didi_v128 */
      if (!register_operand (operands[0], E_DImode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DImode), 16, 63)))
        return 6504; /* *vec_extractvnx2didi_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (DImode) >= 64))
        return -1;
      return 6512; /* *vec_extractvnx2didi_ext */

    case E_BFmode:
      if (GET_MODE (x2) != E_BFmode
          || !register_operand (operands[1], E_VNx8BFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_BFmode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode), 1, 15)))
        return 6497; /* *vec_extractvnx8bfbf_v128 */
      if (!register_operand (operands[0], E_BFmode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode), 16, 63)))
        return 6505; /* *vec_extractvnx8bfbf_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (BFmode) >= 64))
        return -1;
      return 6513; /* *vec_extractvnx8bfbf_ext */

    case E_HFmode:
      if (GET_MODE (x2) != E_HFmode
          || !register_operand (operands[1], E_VNx8HFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_HFmode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode), 1, 15)))
        return 6498; /* *vec_extractvnx8hfhf_v128 */
      if (!register_operand (operands[0], E_HFmode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode), 16, 63)))
        return 6506; /* *vec_extractvnx8hfhf_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (HFmode) >= 64))
        return -1;
      return 6514; /* *vec_extractvnx8hfhf_ext */

    case E_SFmode:
      if (GET_MODE (x2) != E_SFmode
          || !register_operand (operands[1], E_VNx4SFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_SFmode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode), 1, 15)))
        return 6499; /* *vec_extractvnx4sfsf_v128 */
      if (!register_operand (operands[0], E_SFmode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode), 16, 63)))
        return 6507; /* *vec_extractvnx4sfsf_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (SFmode) >= 64))
        return -1;
      return 6515; /* *vec_extractvnx4sfsf_ext */

    case E_DFmode:
      if (GET_MODE (x2) != E_DFmode
          || !register_operand (operands[1], E_VNx2DFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_DFmode)
          && 
#line 3044 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode), 1, 15)))
        return 6500; /* *vec_extractvnx2dfdf_v128 */
      if (!register_operand (operands[0], E_DFmode))
        return -1;
      if (
#line 3070 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode), 16, 63)))
        return 6508; /* *vec_extractvnx2dfdf_dup */
      if (!
#line 3085 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (DFmode) >= 64))
        return -1;
      return 6516; /* *vec_extractvnx2dfdf_ext */

    default:
      return -1;
    }
}

 int
recog_495 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case IOR:
      switch (pattern408 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1315; /* iornv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1319; /* iornv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1323; /* iornv2si3_vec_concatz_be */

        case 3:
          if (pattern894 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1764; /* iorv8qi3_vec_concatz_be */

        case 4:
          if (pattern894 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1768; /* iorv4hi3_vec_concatz_be */

        case 5:
          if (pattern894 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1772; /* iorv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case AND:
      switch (pattern408 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 337 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1328; /* andnv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 337 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1332; /* andnv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 337 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1336; /* andnv2si3_vec_concatz_be */

        case 3:
          if (pattern895 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1751; /* andv8qi3_vec_concatz_be */

        case 4:
          if (pattern895 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1755; /* andv4hi3_vec_concatz_be */

        case 5:
          if (pattern895 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1759; /* andv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case PLUS:
      return recog_485 (x1, insn, pnum_clobbers);

    case MINUS:
      return recog_490 (x1, insn, pnum_clobbers);

    case MULT:
      x4 = XEXP (x2, 0);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern414 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 364 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1367; /* mulv8qi3_vec_concatz_be */

        case E_V8HImode:
          if (pattern414 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 364 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1371; /* mulv4hi3_vec_concatz_be */

        case E_V4SImode:
          if (pattern414 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 364 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1375; /* mulv2si3_vec_concatz_be */

        case E_V8HFmode:
          if (pattern414 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2653 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2366; /* mulv4hf3_vec_concatz_be */

        case E_V4SFmode:
          if (pattern414 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2653 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2370; /* mulv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case BITREVERSE:
      if (pattern409 (x2) != 0
          || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
        return -1;
      return 1384; /* aarch64_rbitv8qi_vec_concatz_be */

    case UNSPEC:
      return recog_487 (x1, insn, pnum_clobbers);

    case NEG:
      return recog_488 (x1, insn, pnum_clobbers);

    case ABS:
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern521 (x2))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1600; /* absv8qi2_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1604; /* absv4hi2_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1608; /* absv2si2_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2394; /* absv4hf2_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2398; /* absv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case MINUS:
          x4 = XEXP (x2, 0);
          operands[3] = x4;
          x7 = XEXP (x5, 0);
          operands[1] = x7;
          x8 = XEXP (x5, 1);
          operands[2] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern525 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 1737; /* fabdv4hf3_vec_concatz_be */

            case E_V4SFmode:
              if (pattern525 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1741; /* fabdv2sf3_vec_concatz_be */

            case E_V2DFmode:
              if (pattern525 (x2, 
E_DFmode, 
E_V2DFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1748; /* fabddf3_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case XOR:
      return recog_491 (x1, insn, pnum_clobbers);

    case NOT:
      switch (pattern411 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1790; /* one_cmplv8qi2_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1794; /* one_cmplv4hi2_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1798; /* one_cmplv2si2_vec_concatz_be */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern413 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1855; /* aarch64_simd_lshrv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1859; /* aarch64_simd_lshrv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1863; /* aarch64_simd_lshrv2si_vec_concatz_be */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern413 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1868; /* aarch64_simd_ashrv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1872; /* aarch64_simd_ashrv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1876; /* aarch64_simd_ashrv2si_vec_concatz_be */

        default:
          return -1;
        }

    case ASHIFT:
      x4 = XEXP (x2, 0);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_CODE (operands[2]))
        {
        case CONST_VECTOR:
        case CONST:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern898 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1393 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1918; /* aarch64_simd_imm_shlv8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern898 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1393 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1922; /* aarch64_simd_imm_shlv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern898 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1393 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1926; /* aarch64_simd_imm_shlv2si_vec_concatz_be */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern414 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1404 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1931; /* aarch64_simd_reg_sshlv8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern414 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1404 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1935; /* aarch64_simd_reg_sshlv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern414 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1404 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1939; /* aarch64_simd_reg_sshlv2si_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SMAX:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2060; /* smaxv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2076; /* smaxv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2092; /* smaxv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case SMIN:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2063; /* sminv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2079; /* sminv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2095; /* sminv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case UMAX:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2066; /* umaxv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2082; /* umaxv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2098; /* umaxv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case UMIN:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2069; /* uminv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2085; /* uminv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2101; /* uminv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case DIV:
      x4 = XEXP (x2, 0);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern414 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2674 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2375; /* *divv4hf3_vec_concatz_be */

        case E_V4SFmode:
          if (pattern414 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2674 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2379; /* *divv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case FMA:
      return recog_489 (x1, insn, pnum_clobbers);

    case FLOAT_TRUNCATE:
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SFmode:
          if (pattern527 (x2, 
E_V2DFmode, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3253 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2648; /* truncv2dfv2sf2_vec_concatz_be */

        case E_V8HFmode:
          if (pattern527 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3253 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2651; /* truncv4sfv4hf2_vec_concatz_be */

        default:
          return -1;
        }

    case CLRSB:
      switch (pattern411 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3549 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2806; /* clrsbv8qi2_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3549 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2810; /* clrsbv4hi2_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3549 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2814; /* clrsbv2si2_vec_concatz_be */

        default:
          return -1;
        }

    case CLZ:
      switch (pattern411 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2818; /* clzv8qi2_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2822; /* clzv4hi2_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2826; /* clzv2si2_vec_concatz_be */

        default:
          return -1;
        }

    case POPCOUNT:
      if (pattern409 (x2) != 0
          || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3565 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
        return -1;
      return 2830; /* popcountv8qi2_vec_concatz_be */

    case REG:
    case SUBREG:
    case MEM:
      operands[1] = x3;
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern759 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2986; /* *aarch64_combinez_bev8qi */

        case E_V8HImode:
          if (pattern759 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2987; /* *aarch64_combinez_bev4hi */

        case E_V8BFmode:
          if (pattern759 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2988; /* *aarch64_combinez_bev4bf */

        case E_V8HFmode:
          if (pattern759 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2989; /* *aarch64_combinez_bev4hf */

        case E_V4SImode:
          if (pattern759 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2990; /* *aarch64_combinez_bev2si */

        case E_V4SFmode:
          if (pattern759 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2991; /* *aarch64_combinez_bev2sf */

        case E_V2SImode:
          if (pattern759 (x2, 
E_SImode, 
E_V2SImode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2992; /* *aarch64_combinez_besi */

        case E_V2SFmode:
          if (pattern759 (x2, 
E_SFmode, 
E_V2SFmode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2993; /* *aarch64_combinez_besf */

        case E_V2DImode:
          if (pattern759 (x2, 
E_DImode, 
E_V2DImode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2994; /* *aarch64_combinez_bedi */

        case E_V2DFmode:
          if (pattern759 (x2, 
E_DFmode, 
E_V2DFmode) != 0
              || !
#line 4405 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2995; /* *aarch64_combinez_bedf */

        default:
          return -1;
        }

    case TRUNCATE:
      return recog_486 (x1, insn, pnum_clobbers);

    case SS_PLUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3230; /* ssaddv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3246; /* ssaddv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3262; /* ssaddv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case US_PLUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3233; /* usaddv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3249; /* usaddv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3265; /* usaddv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case SS_MINUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3236; /* sssubv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3252; /* sssubv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3268; /* sssubv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case US_MINUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3239; /* ussubv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3255; /* ussubv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3271; /* ussubv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case SS_TRUNCATE:
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern528 (x2))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3342; /* aarch64_sqmovnv8hi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3348; /* aarch64_sqmovnv4si_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3354; /* aarch64_sqmovnv2di_vec_concatz_be */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern537 (x2, 
SIGN_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3887; /* *aarch64_sqsshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3905; /* *aarch64_sqsshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3923; /* *aarch64_sqsshrn_nv2di_insn_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3941; /* *aarch64_sqrshrn_nv8hi_insn_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3950; /* *aarch64_sqrshrn_nv4si_insn_vec_concatz_be */

            case 5:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3959; /* *aarch64_sqrshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern538 (x2))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3890; /* *aarch64_sqshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3908; /* *aarch64_sqshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3926; /* *aarch64_sqshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case US_TRUNCATE:
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern528 (x2))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3345; /* aarch64_uqmovnv8hi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3351; /* aarch64_uqmovnv4si_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3357; /* aarch64_uqmovnv2di_vec_concatz_be */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern538 (x2))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3893; /* *aarch64_uqsshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3911; /* *aarch64_uqsshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3929; /* *aarch64_uqsshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern537 (x2, 
ZERO_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3896; /* *aarch64_uqshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3914; /* *aarch64_uqshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3932; /* *aarch64_uqshrn_nv2di_insn_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3944; /* *aarch64_uqrshrn_nv8hi_insn_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3953; /* *aarch64_uqrshrn_nv4si_insn_vec_concatz_be */

            case 5:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3962; /* *aarch64_uqrshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SS_NEG:
      switch (pattern416 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3390; /* aarch64_sqnegv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3398; /* aarch64_sqnegv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3406; /* aarch64_sqnegv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3422; /* aarch64_sqnegdi_vec_concatz_be */

        default:
          return -1;
        }

    case SS_ABS:
      switch (pattern416 (x2))
        {
        case 0:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3393; /* aarch64_sqabsv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3401; /* aarch64_sqabsv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3409; /* aarch64_sqabsv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3425; /* aarch64_sqabsdi_vec_concatz_be */

        default:
          return -1;
        }

    case SQRT:
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern410 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 7550 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 4372; /* *sqrtv4hf2_vec_concatz_be */

        case E_V4SFmode:
          if (pattern410 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7550 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4376; /* *sqrtv2sf2_vec_concatz_be */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_513 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XVECLEN (x2, 0))
    {
    case 1:
      switch (XINT (x2, 1))
        {
        case 163:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!aarch64_sysreg_string (operands[1], E_VOIDmode))
            return -1;
          return 1; /* aarch64_read_sysregdi */

        case 164:
          if (GET_MODE (x2) != E_TImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_TImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!aarch64_sysreg_string (operands[1], E_VOIDmode)
              || !
#line 657 "../../gcc/config/aarch64/aarch64.md"
(TARGET_D128))
            return -1;
          return 2; /* aarch64_read_sysregti */

        case 3:
          switch (pattern43 (x1))
            {
            case 0:
              return 1165; /* aarch64_get_fpsrsi */

            case 1:
              return 1167; /* aarch64_get_fpsrdi */

            default:
              return -1;
            }

        case 1:
          switch (pattern43 (x1))
            {
            case 0:
              return 1166; /* aarch64_get_fpcrsi */

            case 1:
              return 1168; /* aarch64_get_fpcrdi */

            default:
              return -1;
            }

        case 63:
          if (GET_MODE (x2) != E_V8DImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (GET_CODE (x4) != MEM
              || GET_MODE (x4) != E_V8DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_V8DImode))
            return -1;
          x5 = XEXP (x4, 0);
          operands[1] = x5;
          if (!register_operand (operands[1], E_DImode)
              || !
#line 8465 "../../gcc/config/aarch64/aarch64.md"
(TARGET_LS64))
            return -1;
          return 1218; /* ld64b */

        case 64:
          if (GET_MODE (x2) != E_V8DImode)
            return -1;
          x3 = XEXP (x1, 0);
          if (GET_CODE (x3) != MEM
              || GET_MODE (x3) != E_V8DImode)
            return -1;
          x6 = XEXP (x3, 0);
          operands[0] = x6;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_V8DImode)
              || !
#line 8475 "../../gcc/config/aarch64/aarch64.md"
(TARGET_LS64))
            return -1;
          return 1219; /* st64b */

        case 12:
          if (pattern44 (x1, 
16, 
E_DImode) != 0)
            return -1;
          return 1225; /* aarch64_chkfeat */

        case 13:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          return 1226; /* aarch64_load_gcspr */

        case 14:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 1227; /* aarch64_gcspopm */

        case 16:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 1230; /* aarch64_gcsss2 */

        case 684:
          if (pnum_clobbers == NULL
              || GET_MODE (x2) != E_TImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x3 = XEXP (x1, 0);
          if (GET_CODE (x3) != REG
              || REGNO (x3) != 0
              || GET_MODE (x3) != E_TImode)
            return -1;
          *pnum_clobbers = 5;
          return 12910; /* aarch64_get_sme_state */

        case 685:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          return 12911; /* aarch64_read_svcr */

        default:
          return -1;
        }

    case 2:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      switch (XINT (x2, 1))
        {
        case 6:
          if (GET_MODE (x2) != E_DImode
              || !register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!register_operand (operands[2], E_DImode))
            return -1;
          return 1152; /* probe_stack_range */

        case 7:
          x7 = XVECEXP (x2, 0, 1);
          if (GET_CODE (x7) != USE)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x8 = XEXP (x7, 0);
          operands[2] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (pattern775 (x2, 
E_QImode) != 0)
                return -1;
              return 1181; /* despeculate_simpleqi */

            case E_HImode:
              if (pattern775 (x2, 
E_HImode) != 0)
                return -1;
              return 1182; /* despeculate_simplehi */

            case E_SImode:
              if (pattern775 (x2, 
E_SImode) != 0)
                return -1;
              return 1183; /* despeculate_simplesi */

            case E_DImode:
              if (pattern776 (x2, 
E_DImode) != 0)
                return -1;
              return 1184; /* despeculate_simpledi */

            case E_TImode:
              if (pattern776 (x2, 
E_TImode) != 0)
                return -1;
              return 1185; /* despeculate_simpleti */

            default:
              return -1;
            }

        case 31:
          if (pnum_clobbers == NULL)
            return -1;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!const_int_operand (operands[2], E_SImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          switch (GET_CODE (x4))
            {
            case PLUS:
              switch (pattern778 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5369; /* aarch64_atomic_addqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5374; /* aarch64_atomic_addhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5379; /* aarch64_atomic_addsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5384; /* aarch64_atomic_adddi */

                default:
                  return -1;
                }

            case MINUS:
              switch (pattern778 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5370; /* aarch64_atomic_subqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5375; /* aarch64_atomic_subhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5380; /* aarch64_atomic_subsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5385; /* aarch64_atomic_subdi */

                default:
                  return -1;
                }

            case IOR:
              switch (pattern780 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5371; /* aarch64_atomic_orqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5376; /* aarch64_atomic_orhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5381; /* aarch64_atomic_orsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5386; /* aarch64_atomic_ordi */

                default:
                  return -1;
                }

            case XOR:
              switch (pattern780 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5372; /* aarch64_atomic_xorqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5377; /* aarch64_atomic_xorhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5382; /* aarch64_atomic_xorsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5387; /* aarch64_atomic_xordi */

                default:
                  return -1;
                }

            case AND:
              switch (pattern780 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5373; /* aarch64_atomic_andqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5378; /* aarch64_atomic_andhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5383; /* aarch64_atomic_andsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5388; /* aarch64_atomic_anddi */

                default:
                  return -1;
                }

            case NOT:
              x5 = XEXP (x4, 0);
              if (GET_CODE (x5) != AND)
                return -1;
              x9 = XEXP (x5, 1);
              operands[1] = x9;
              x10 = XEXP (x5, 0);
              if (!rtx_equal_p (x10, operands[0]))
                return -1;
              switch (GET_MODE (operands[0]))
                {
                case E_QImode:
                  if (pattern1043 (x2, 
E_QImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5405; /* atomic_nandqi */

                case E_HImode:
                  if (pattern1043 (x2, 
E_HImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5406; /* atomic_nandhi */

                case E_SImode:
                  if (pattern1043 (x2, 
E_SImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5407; /* atomic_nandsi */

                case E_DImode:
                  if (pattern1043 (x2, 
E_DImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5408; /* atomic_nanddi */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 25:
          switch (pattern368 (x2))
            {
            case 0:
              if (!
#line 687 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5482; /* aarch64_atomic_loadqi_rcpc */

            case 1:
              if (!
#line 687 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5483; /* aarch64_atomic_loadhi_rcpc */

            case 2:
              if (!
#line 687 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5484; /* aarch64_atomic_loadsi_rcpc */

            case 3:
              if (!
#line 687 "../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5485; /* aarch64_atomic_loaddi_rcpc */

            default:
              return -1;
            }

        case 24:
          switch (pattern368 (x2))
            {
            case 0:
              return 5486; /* aarch64_atomic_loadqi */

            case 1:
              return 5487; /* aarch64_atomic_loadhi */

            case 2:
              return 5488; /* aarch64_atomic_loadsi */

            case 3:
              return 5489; /* aarch64_atomic_loaddi */

            default:
              return -1;
            }

        case 26:
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!const_int_operand (operands[2], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_QImode)
                  || GET_MODE (x2) != E_QImode
                  || !general_operand (operands[1], E_QImode))
                return -1;
              return 5505; /* atomic_storeqi */

            case E_HImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_HImode)
                  || GET_MODE (x2) != E_HImode
                  || !general_operand (operands[1], E_HImode))
                return -1;
              return 5506; /* atomic_storehi */

            case E_SImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_SImode)
                  || GET_MODE (x2) != E_SImode
                  || !general_operand (operands[1], E_SImode))
                return -1;
              return 5507; /* atomic_storesi */

            case E_DImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_DImode)
                  || GET_MODE (x2) != E_DImode
                  || !general_operand (operands[1], E_DImode))
                return -1;
              return 5508; /* atomic_storedi */

            default:
              return -1;
            }

        case 22:
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!const_int_operand (operands[2], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || GET_MODE (x2) != E_SImode
                  || !aarch64_sync_memory_operand (operands[1], E_SImode))
                return -1;
              return 5511; /* aarch64_load_exclusivesi */

            case E_DImode:
              if (!register_operand (operands[0], E_DImode)
                  || GET_MODE (x2) != E_DImode
                  || !aarch64_sync_memory_operand (operands[1], E_DImode))
                return -1;
              return 5512; /* aarch64_load_exclusivedi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 4:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      x7 = XVECEXP (x2, 0, 1);
      operands[2] = x7;
      switch (XINT (x2, 1))
        {
        case 6:
          x11 = XVECEXP (x2, 0, 2);
          operands[3] = x11;
          x12 = XVECEXP (x2, 0, 3);
          operands[4] = x12;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern852 (x2, 
E_SImode) != 0
                  || !(
#line 7968 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SVE) && 
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)))
                return -1;
              return 1153; /* probe_sve_stack_clash_si */

            case E_DImode:
              if (pattern852 (x2, 
E_DImode) != 0
                  || !(
#line 7968 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SVE) && 
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)))
                return -1;
              return 1154; /* probe_sve_stack_clash_di */

            default:
              return -1;
            }

        case 7:
          x11 = XVECEXP (x2, 0, 2);
          if (GET_CODE (x11) != USE)
            return -1;
          x13 = XEXP (x11, 0);
          if (GET_CODE (x13) != REG
              || REGNO (x13) != 15
              || GET_MODE (x13) != E_DImode)
            return -1;
          x12 = XVECEXP (x2, 0, 3);
          if (GET_CODE (x12) != CLOBBER)
            return -1;
          x14 = XEXP (x12, 0);
          if (GET_CODE (x14) != REG
              || REGNO (x14) != 66
              || GET_MODE (x14) != E_CCmode)
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (pattern1190 (x2, 
E_QImode) != 0)
                return -1;
              return 1176; /* *despeculate_copyqi_insn */

            case E_HImode:
              if (pattern1190 (x2, 
E_HImode) != 0)
                return -1;
              return 1177; /* *despeculate_copyhi_insn */

            case E_SImode:
              if (pattern1190 (x2, 
E_SImode) != 0)
                return -1;
              return 1178; /* *despeculate_copysi_insn */

            case E_DImode:
              if (pattern1190 (x2, 
E_DImode) != 0)
                return -1;
              return 1179; /* *despeculate_copydi_insn */

            case E_TImode:
              if (pattern1190 (x2, 
E_TImode) != 0)
                return -1;
              return 1180; /* *despeculate_copyti_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 3:
      switch (XINT (x2, 1))
        {
        case 32:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5389; /* aarch64_atomic_iorqi_lse */

            case 1:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5393; /* aarch64_atomic_iorhi_lse */

            case 2:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5397; /* aarch64_atomic_iorsi_lse */

            case 3:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5401; /* aarch64_atomic_iordi_lse */

            default:
              return -1;
            }

        case 33:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5390; /* aarch64_atomic_bicqi_lse */

            case 1:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5394; /* aarch64_atomic_bichi_lse */

            case 2:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5398; /* aarch64_atomic_bicsi_lse */

            case 3:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5402; /* aarch64_atomic_bicdi_lse */

            default:
              return -1;
            }

        case 34:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5391; /* aarch64_atomic_xorqi_lse */

            case 1:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5395; /* aarch64_atomic_xorhi_lse */

            case 2:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5399; /* aarch64_atomic_xorsi_lse */

            case 3:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5403; /* aarch64_atomic_xordi_lse */

            default:
              return -1;
            }

        case 35:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5392; /* aarch64_atomic_addqi_lse */

            case 1:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5396; /* aarch64_atomic_addhi_lse */

            case 2:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5400; /* aarch64_atomic_addsi_lse */

            case 3:
              if (!
#line 379 "../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5404; /* aarch64_atomic_adddi_lse */

            default:
              return -1;
            }

        case 36:
          if (pattern46 (x1, 
E_VOIDmode, 
E_VNx16QImode, 
93) != 0)
            return -1;
          return 12924; /* aarch64_asm_update_za */

        case 37:
          if (pattern46 (x1, 
E_VOIDmode, 
E_V8DImode, 
94) != 0)
            return -1;
          return 12925; /* aarch64_asm_update_zt0 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_520 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case CONST_INT:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case CONST:
    case REG:
    case SUBREG:
      return recog_467 (x1, insn, pnum_clobbers);

    case MINUS:
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x6 = XEXP (x4, 1);
      switch (GET_CODE (x6))
        {
        case REG:
        case SUBREG:
          operands[2] = x6;
          x7 = XEXP (x3, 1);
          operands[3] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern802 (x3, 
E_SImode) != 0)
                return -1;
              return 331; /* *subsi3_carryin */

            case E_DImode:
              if (pattern802 (x3, 
E_DImode) != 0)
                return -1;
              return 332; /* *subdi3_carryin */

            default:
              return -1;
            }

        case GEU:
        case LTU:
          operands[3] = x6;
          x7 = XEXP (x3, 1);
          operands[2] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern803 (x3, 
E_SImode) != 0)
                return -1;
              return 334; /* *subsi3_carryin_alt */

            case E_DImode:
              if (pattern803 (x3, 
E_DImode) != 0)
                return -1;
              return 335; /* *subdi3_carryin_alt */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      x7 = XEXP (x3, 1);
      operands[1] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern640 (x3, 
E_SImode) != 0)
            return -1;
          return 355; /* *ngcsi */

        case E_DImode:
          if (pattern640 (x3, 
E_DImode) != 0)
            return -1;
          return 356; /* *ngcdi */

        default:
          return -1;
        }

    case UMAX:
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      switch (GET_CODE (operands[2]))
        {
        case CONST_POLY_INT:
          x7 = XEXP (x3, 1);
          if (!rtx_equal_p (x7, operands[2]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern804 (x3, 
E_SImode) != 0
                  || !
#line 4987 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SVE))
                return -1;
              return 492; /* aarch64_uqdecsi */

            case E_DImode:
              if (pattern804 (x3, 
E_DImode) != 0
                  || !
#line 4987 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SVE))
                return -1;
              return 493; /* aarch64_uqdecdi */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          x7 = XEXP (x3, 1);
          if (GET_CODE (x7) != UMIN)
            return -1;
          switch (pattern642 (x3))
            {
            case 0:
              if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1630; /* aarch64_uabdv8qi */

            case 1:
              if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1634; /* aarch64_uabdv16qi */

            case 2:
              if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1638; /* aarch64_uabdv4hi */

            case 3:
              if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1642; /* aarch64_uabdv8hi */

            case 4:
              if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1646; /* aarch64_uabdv2si */

            case 5:
              if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1650; /* aarch64_uabdv4si */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case AND:
      if (GET_MODE (x4) != E_DImode)
        return -1;
      x6 = XEXP (x4, 1);
      if (GET_CODE (x6) != CONST_INT
          || XWINT (x6, 0) != 72057594037927935L)
        return -1;
      x7 = XEXP (x3, 1);
      if (GET_CODE (x7) != AND
          || GET_MODE (x7) != E_DImode)
        return -1;
      x8 = XEXP (x7, 1);
      if (GET_CODE (x8) != CONST_INT
          || XWINT (x8, 0) != 72057594037927935L
          || !register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 0);
      operands[2] = x9;
      if (!register_operand (operands[2], E_DImode)
          || !
#line 8423 "../../gcc/config/aarch64/aarch64.md"
(TARGET_MEMTAG))
        return -1;
      return 1215; /* subp */

    case SMAX:
      x7 = XEXP (x3, 1);
      if (GET_CODE (x7) != SMIN)
        return -1;
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      switch (pattern642 (x3))
        {
        case 0:
          if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1627; /* aarch64_sabdv8qi */

        case 1:
          if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1633; /* aarch64_sabdv16qi */

        case 2:
          if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1635; /* aarch64_sabdv4hi */

        case 3:
          if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1641; /* aarch64_sabdv8hi */

        case 4:
          if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1643; /* aarch64_sabdv2si */

        case 5:
          if (!
#line 822 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1649; /* aarch64_sabdv4si */

        default:
          return -1;
        }

    case SIGN_EXTEND:
      switch (pattern293 (x3, 
SIGN_EXTEND))
        {
        case 0:
          if (vect_par_cnst_hi_half (operands[3], E_V16QImode)
              && 
#line 4481 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2997; /* aarch64_ssublv16qi_hi_internal */
          if (!vect_par_cnst_lo_half (operands[3], E_V16QImode)
              || !
#line 4494 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3009; /* aarch64_ssublv16qi_lo_internal */

        case 1:
          if (vect_par_cnst_hi_half (operands[3], E_V8HImode)
              && 
#line 4481 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 3001; /* aarch64_ssublv8hi_hi_internal */
          if (!vect_par_cnst_lo_half (operands[3], E_V8HImode)
              || !
#line 4494 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3013; /* aarch64_ssublv8hi_lo_internal */

        case 2:
          if (vect_par_cnst_hi_half (operands[3], E_V4SImode)
              && 
#line 4481 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 3005; /* aarch64_ssublv4si_hi_internal */
          if (!vect_par_cnst_lo_half (operands[3], E_V4SImode)
              || !
#line 4494 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3017; /* aarch64_ssublv4si_lo_internal */

        case 3:
          if (!
#line 4601 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3021; /* aarch64_ssublv8qi */

        case 4:
          if (!
#line 4601 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3025; /* aarch64_ssublv4hi */

        case 5:
          if (!
#line 4601 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3029; /* aarch64_ssublv2si */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      switch (pattern293 (x3, 
ZERO_EXTEND))
        {
        case 0:
          if (vect_par_cnst_hi_half (operands[3], E_V16QImode)
              && 
#line 4481 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2999; /* aarch64_usublv16qi_hi_internal */
          if (!vect_par_cnst_lo_half (operands[3], E_V16QImode)
              || !
#line 4494 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3011; /* aarch64_usublv16qi_lo_internal */

        case 1:
          if (vect_par_cnst_hi_half (operands[3], E_V8HImode)
              && 
#line 4481 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 3003; /* aarch64_usublv8hi_hi_internal */
          if (!vect_par_cnst_lo_half (operands[3], E_V8HImode)
              || !
#line 4494 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3015; /* aarch64_usublv8hi_lo_internal */

        case 2:
          if (vect_par_cnst_hi_half (operands[3], E_V4SImode)
              && 
#line 4481 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 3007; /* aarch64_usublv4si_hi_internal */
          if (!vect_par_cnst_lo_half (operands[3], E_V4SImode)
              || !
#line 4494 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3019; /* aarch64_usublv4si_lo_internal */

        case 3:
          if (!
#line 4601 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3023; /* aarch64_usublv8qi */

        case 4:
          if (!
#line 4601 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3027; /* aarch64_usublv4hi */

        case 5:
          if (!
#line 4601 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3031; /* aarch64_usublv2si */

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x4, 0) != 2
          || XINT (x4, 1) != 125)
        return -1;
      x7 = XEXP (x3, 1);
      if (GET_CODE (x7) != UNSPEC
          || XVECLEN (x7, 0) != 2
          || XINT (x7, 1) != 125)
        return -1;
      x10 = XVECEXP (x4, 0, 0);
      operands[1] = x10;
      x11 = XVECEXP (x7, 0, 0);
      if (!rtx_equal_p (x11, operands[1]))
        return -1;
      x12 = XVECEXP (x4, 0, 1);
      switch (GET_CODE (x12))
        {
        case SMAX:
          switch (pattern997 (x3, 
SMIN))
            {
            case 0:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7982; /* aarch64_pred_sabdvnx16qi */

            case 1:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7984; /* aarch64_pred_sabdvnx8qi */

            case 2:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7986; /* aarch64_pred_sabdvnx4qi */

            case 3:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7988; /* aarch64_pred_sabdvnx2qi */

            case 4:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7990; /* aarch64_pred_sabdvnx8hi */

            case 5:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7992; /* aarch64_pred_sabdvnx4hi */

            case 6:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7994; /* aarch64_pred_sabdvnx2hi */

            case 7:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7996; /* aarch64_pred_sabdvnx4si */

            case 8:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7998; /* aarch64_pred_sabdvnx2si */

            case 9:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8000; /* aarch64_pred_sabdvnx2di */

            default:
              return -1;
            }

        case UMAX:
          switch (pattern997 (x3, 
UMIN))
            {
            case 0:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7983; /* aarch64_pred_uabdvnx16qi */

            case 1:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7985; /* aarch64_pred_uabdvnx8qi */

            case 2:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7987; /* aarch64_pred_uabdvnx4qi */

            case 3:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7989; /* aarch64_pred_uabdvnx2qi */

            case 4:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7991; /* aarch64_pred_uabdvnx8hi */

            case 5:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7993; /* aarch64_pred_uabdvnx4hi */

            case 6:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7995; /* aarch64_pred_uabdvnx2hi */

            case 7:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7997; /* aarch64_pred_uabdvnx4si */

            case 8:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 7999; /* aarch64_pred_uabdvnx2si */

            case 9:
              if (!
#line 4300 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8001; /* aarch64_pred_uabdvnx2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_528 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (pattern385 (x3))
        {
        case 0:
          if (!
#line 3987 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
            return -1;
          return 350; /* *aarch64_abssi2_cssc_insn */

        case 1:
          if (!
#line 3987 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
            return -1;
          return 351; /* *aarch64_absdi2_cssc_insn */

        case 2:
          if (!(
#line 7351 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
            return -1;
          return 1065; /* abshf2 */

        case 3:
          if (!
#line 7351 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 1066; /* abssf2 */

        case 4:
          if (!
#line 7351 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 1067; /* absdf2 */

        case 5:
          if (!
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1598; /* absv8qi2 */

        case 6:
          if (!
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1601; /* absv16qi2 */

        case 7:
          if (!
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1602; /* absv4hi2 */

        case 8:
          if (!
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1605; /* absv8hi2 */

        case 9:
          if (!
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1606; /* absv2si2 */

        case 10:
          if (!
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1609; /* absv4si2 */

        case 11:
          if (!
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1610; /* absv2di2 */

        case 12:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2392; /* absv4hf2 */

        case 13:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2395; /* absv8hf2 */

        case 14:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2396; /* absv2sf2 */

        case 15:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2399; /* absv4sf2 */

        case 16:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2400; /* absv2df2 */

        default:
          return -1;
        }

    case MINUS:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case SIGN_EXTEND:
          switch (pattern387 (x3, 
SIGN_EXTEND))
            {
            case 0:
              if (vect_par_cnst_hi_half (operands[3], E_V16QImode)
                  && 
#line 904 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 1663; /* aarch64_sabdlv16qi_hi_internal */
              if (!vect_par_cnst_lo_half (operands[3], E_V16QImode)
                  || !
#line 921 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1669; /* aarch64_sabdlv16qi_lo_internal */

            case 1:
              if (vect_par_cnst_hi_half (operands[3], E_V8HImode)
                  && 
#line 904 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 1665; /* aarch64_sabdlv8hi_hi_internal */
              if (!vect_par_cnst_lo_half (operands[3], E_V8HImode)
                  || !
#line 921 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1671; /* aarch64_sabdlv8hi_lo_internal */

            case 2:
              if (vect_par_cnst_hi_half (operands[3], E_V4SImode)
                  && 
#line 904 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 1667; /* aarch64_sabdlv4si_hi_internal */
              if (!vect_par_cnst_lo_half (operands[3], E_V4SImode)
                  || !
#line 921 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1673; /* aarch64_sabdlv4si_lo_internal */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern387 (x3, 
ZERO_EXTEND))
            {
            case 0:
              if (vect_par_cnst_hi_half (operands[3], E_V16QImode)
                  && 
#line 904 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 1664; /* aarch64_uabdlv16qi_hi_internal */
              if (!vect_par_cnst_lo_half (operands[3], E_V16QImode)
                  || !
#line 921 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1670; /* aarch64_uabdlv16qi_lo_internal */

            case 1:
              if (vect_par_cnst_hi_half (operands[3], E_V8HImode)
                  && 
#line 904 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 1666; /* aarch64_uabdlv8hi_hi_internal */
              if (!vect_par_cnst_lo_half (operands[3], E_V8HImode)
                  || !
#line 921 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1672; /* aarch64_uabdlv8hi_lo_internal */

            case 2:
              if (vect_par_cnst_hi_half (operands[3], E_V4SImode)
                  && 
#line 904 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 1668; /* aarch64_uabdlv4si_hi_internal */
              if (!vect_par_cnst_lo_half (operands[3], E_V4SImode)
                  || !
#line 921 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1674; /* aarch64_uabdlv4si_lo_internal */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x5;
          x6 = XEXP (x4, 1);
          operands[2] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V4HFmode:
              if (pattern363 (x3, 
E_V4HFmode) != 0
                  || !(
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1735; /* fabdv4hf3 */

            case E_V8HFmode:
              if (pattern363 (x3, 
E_V8HFmode) != 0
                  || !(
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1738; /* fabdv8hf3 */

            case E_V2SFmode:
              if (pattern363 (x3, 
E_V2SFmode) != 0
                  || !
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1739; /* fabdv2sf3 */

            case E_V4SFmode:
              if (pattern363 (x3, 
E_V4SFmode) != 0
                  || !
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1742; /* fabdv4sf3 */

            case E_V2DFmode:
              if (pattern363 (x3, 
E_V2DFmode) != 0
                  || !
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1743; /* fabdv2df3 */

            case E_HFmode:
              if (pattern363 (x3, 
E_HFmode) != 0
                  || !(
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1744; /* fabdhf3 */

            case E_SFmode:
              if (pattern363 (x3, 
E_SFmode) != 0
                  || !
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1745; /* fabdsf3 */

            case E_DFmode:
              if (pattern363 (x3, 
E_DFmode) != 0
                  || !
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1746; /* fabddf3 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_537 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (pattern6 (x1))
    {
    case 0:
      x2 = XEXP (x1, 1);
      x3 = XEXP (x2, 1);
      switch (GET_CODE (x3))
        {
        case SUBREG:
        case TRUNCATE:
          switch (pattern514 (x2))
            {
            case 0:
              if (
#line 5859 "../../gcc/config/aarch64/aarch64.md"
((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0))
                return 719; /* *aarch64_ashr_reg_si3_mask1 */
              break;

            case 1:
              if (
#line 5859 "../../gcc/config/aarch64/aarch64.md"
((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0))
                return 724; /* *aarch64_ashr_reg_di3_mask1 */
              break;

            case 2:
              if (
#line 5923 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)))
                return 741; /* *aarch64_ashr_reg_di3_mask2 */
              break;

            case 3:
              if (
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)))
                return 729; /* *aarch64_ashr_reg_si3_neg_mask2 */
              break;

            case 4:
              if (
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)))
                return 734; /* *aarch64_ashr_reg_di3_neg_mask2 */
              break;

            default:
              break;
            }
          break;

        case CONST_INT:
          switch (pattern515 (x2))
            {
            case 0:
              if (
#line 6187 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
                return 772; /* *ashrqi3_insn */
              break;

            case 1:
              if (
#line 6187 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
                return 775; /* *ashrhi3_insn */
              break;

            default:
              break;
            }
          break;

        default:
          break;
        }
      operands[2] = x3;
      if (!aarch64_reg_or_shift_imm_di (operands[2], E_QImode))
        return -1;
      switch (pattern2 (x2))
        {
        case 0:
          return 755; /* *aarch64_ashr_sisd_or_int_si3 */

        case 1:
          return 756; /* *aarch64_ashr_sisd_or_int_di3 */

        default:
          return -1;
        }

    case 1:
      if (!
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (SImode)))
        return -1;
      return 746; /* *aarch64_ashr_reg_minussi3 */

    case 2:
      if (!
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (DImode)))
        return -1;
      return 749; /* *aarch64_ashr_reg_minusdi3 */

    case 3:
      if (!
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1866; /* aarch64_simd_ashrv8qi */

    case 4:
      if (!
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1869; /* aarch64_simd_ashrv16qi */

    case 5:
      if (!
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1870; /* aarch64_simd_ashrv4hi */

    case 6:
      if (!
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1873; /* aarch64_simd_ashrv8hi */

    case 7:
      if (!
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1874; /* aarch64_simd_ashrv2si */

    case 8:
      if (!
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1877; /* aarch64_simd_ashrv4si */

    case 9:
      if (!
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1878; /* aarch64_simd_ashrv2di */

    case 10:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8234; /* *post_ra_v_ashrvnx16qi3 */

    case 11:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8236; /* *post_ra_v_ashrvnx8qi3 */

    case 12:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8238; /* *post_ra_v_ashrvnx4qi3 */

    case 13:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8240; /* *post_ra_v_ashrvnx2qi3 */

    case 14:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8242; /* *post_ra_v_ashrvnx8hi3 */

    case 15:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8244; /* *post_ra_v_ashrvnx4hi3 */

    case 16:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8246; /* *post_ra_v_ashrvnx2hi3 */

    case 17:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8248; /* *post_ra_v_ashrvnx4si3 */

    case 18:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8250; /* *post_ra_v_ashrvnx2si3 */

    case 19:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8252; /* *post_ra_v_ashrvnx2di3 */

    default:
      return -1;
    }
}

 int
recog_565 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10102; /* while_ugesivnx16bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10112; /* while_ugedivnx16bi_ptest */
}

 int
recog_575 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10061; /* *while_ugtsivnx4bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10071; /* *while_ugtdivnx4bi_cc */
}

 int
recog_585 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10020; /* *while_gtsivnx16bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10030; /* *while_gtdivnx16bi_cc */
}

 int
recog_595 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  switch (GET_CODE (x4))
    {
    case CONST:
      switch (pattern1083 (x1))
        {
        case 0:
          if (!
#line 983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5704; /* *aarch64_sve_ptruevnx16bi_cc */

        case 1:
          if (!
#line 1035 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5708; /* *aarch64_sve_ptruevnx16bi_ptest */

        default:
          return -1;
        }

    case SUBREG:
      switch (pattern1085 (x1))
        {
        case 0:
          if (!
#line 1009 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5705; /* *aarch64_sve_ptruevnx8bi_cc */

        case 1:
          if (!
#line 1009 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5706; /* *aarch64_sve_ptruevnx4bi_cc */

        case 2:
          if (!
#line 1009 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5707; /* *aarch64_sve_ptruevnx2bi_cc */

        case 3:
          if (!
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5709; /* *aarch64_sve_ptruevnx8bi_ptest */

        case 4:
          if (!
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5710; /* *aarch64_sve_ptruevnx4bi_ptest */

        case 5:
          if (!
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 5711; /* *aarch64_sve_ptruevnx2bi_ptest */

        default:
          return -1;
        }

    case REG:
      if (REGNO (x4) != 86
          || GET_MODE (x4) != E_VNx16BImode)
        return -1;
      x5 = XVECEXP (x3, 0, 0);
      operands[1] = x5;
      if (!register_operand (operands[1], E_VNx16BImode))
        return -1;
      x6 = XVECEXP (x3, 0, 1);
      if (!rtx_equal_p (x6, operands[1]))
        return -1;
      x7 = XVECEXP (x1, 0, 1);
      switch (GET_CODE (x7))
        {
        case CLOBBER:
          x8 = XEXP (x7, 0);
          operands[0] = x8;
          if (!scratch_operand (operands[0], E_VNx16BImode)
              || !
#line 1200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
            return -1;
          return 5720; /* *aarch64_rdffr_ptest */

        case SET:
          x9 = XEXP (x7, 1);
          if (GET_CODE (x9) != REG
              || REGNO (x9) != 86
              || GET_MODE (x9) != E_VNx16BImode)
            return -1;
          x8 = XEXP (x7, 0);
          operands[0] = x8;
          if (!register_operand (operands[0], E_VNx16BImode)
              || !
#line 1242 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
            return -1;
          return 5722; /* *aarch64_rdffr_cc */

        default:
          return -1;
        }

    case UNSPEC:
      return recog_594 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_606 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (XWINT (x4, 0) != 0L)
    return -1;
  x5 = XEXP (x3, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[1] = x5;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != NEG
          || GET_MODE (x7) != E_DImode
          || !register_operand (operands[0], E_DImode))
        return -1;
      x8 = XEXP (x7, 0);
      if (!rtx_equal_p (x8, operands[1]))
        return -1;
      return 278; /* negdi_carryout */

    case PLUS:
      x9 = XEXP (x5, 0);
      if (GET_CODE (x9) != ZERO_EXTEND)
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != MINUS)
        return -1;
      x8 = XEXP (x7, 0);
      if (GET_CODE (x8) != NEG)
        return -1;
      x10 = XEXP (x9, 0);
      operands[1] = x10;
      x11 = XEXP (x5, 1);
      operands[2] = x11;
      x12 = XEXP (x7, 1);
      operands[3] = x12;
      x13 = XEXP (x8, 0);
      if (!rtx_equal_p (x13, operands[1]))
        return -1;
      switch (GET_MODE (x5))
        {
        case E_DImode:
          if (pattern1312 (x1, 
E_SImode, 
E_DImode) != 0)
            return -1;
          return 337; /* *usubsi3_carryinC_z1 */

        case E_TImode:
          if (pattern1312 (x1, 
E_DImode, 
E_TImode) != 0)
            return -1;
          return 338; /* *usubdi3_carryinC_z1 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_611 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG)
    return -1;
  switch (REGNO (x3))
    {
    case 85:
      if (GET_MODE (x3) != E_VNx16BImode)
        return -1;
      x4 = XVECEXP (x1, 0, 1);
      if (pattern773 (x4, 
E_VNx16BImode, 
161, 
1, 
UNSPEC) != 0)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != REG
          || REGNO (x5) != 86
          || GET_MODE (x5) != E_VNx16BImode
          || !aarch64_simd_reg_or_minus_one (operands[0], E_VNx16BImode))
        return -1;
      x6 = XEXP (x4, 1);
      x7 = XVECEXP (x6, 0, 0);
      if (!rtx_equal_p (x7, operands[0])
          || !
#line 1110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 5714; /* aarch64_wrffr */

    case 94:
      if (GET_MODE (x3) != E_V8DImode)
        return -1;
      x4 = XVECEXP (x1, 0, 1);
      if (pattern444 (x4, 
89, 
E_DImode, 
USE) != 0
          || !aarch64_sync_memory_operand (operands[0], E_V8DImode)
          || !
#line 547 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME2))
        return -1;
      return 12951; /* aarch64_sme_ldr_zt0 */

    default:
      return -1;
    }
}

 int
recog_612 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  switch (XVECLEN (x3, 0))
    {
    case 1:
      switch (XINT (x3, 1))
        {
        case 44:
          x4 = XVECEXP (x1, 0, 1);
          if (pattern443 (x4, 
45, 
1, 
UNSPEC) != 0)
            return -1;
          x5 = XEXP (x2, 0);
          operands[0] = x5;
          x6 = XVECEXP (x3, 0, 0);
          operands[1] = x6;
          if (aarch64_mem_pair_lanes_operand (operands[1], E_V2x4QImode)
              && aarch64_ldp_reg_operand (operands[0], E_SImode))
            {
              x7 = XEXP (x4, 0);
              operands[2] = x7;
              if (aarch64_ldp_reg_operand (operands[2], E_SImode))
                {
                  x8 = XEXP (x4, 1);
                  x9 = XVECEXP (x8, 0, 0);
                  if (rtx_equal_p (x9, operands[1]))
                    return 88; /* *load_pair_4 */
                }
            }
          if (aarch64_mem_pair_lanes_operand (operands[1], E_V2x8QImode)
              && aarch64_ldp_reg_operand (operands[0], E_DImode))
            {
              x7 = XEXP (x4, 0);
              operands[2] = x7;
              if (aarch64_ldp_reg_operand (operands[2], E_DImode))
                {
                  x8 = XEXP (x4, 1);
                  x9 = XVECEXP (x8, 0, 0);
                  if (rtx_equal_p (x9, operands[1]))
                    return 89; /* *load_pair_8 */
                }
            }
          if (!aarch64_mem_pair_lanes_operand (operands[1], E_V2x16QImode)
              || !aarch64_ldp_reg_operand (operands[0], E_TImode))
            return -1;
          x7 = XEXP (x4, 0);
          operands[2] = x7;
          if (!aarch64_ldp_reg_operand (operands[2], E_TImode))
            return -1;
          x8 = XEXP (x4, 1);
          x9 = XVECEXP (x8, 0, 0);
          if (!rtx_equal_p (x9, operands[1])
              || !
#line 2085 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 90; /* *load_pair_16 */

        case 21:
          if (GET_MODE (x3) != E_SImode)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != CLOBBER)
            return -1;
          x7 = XEXP (x4, 0);
          if (GET_CODE (x7) != REG
              || REGNO (x7) != 66
              || GET_MODE (x7) != E_CCmode)
            return -1;
          x5 = XEXP (x2, 0);
          operands[0] = x5;
          if (!register_operand (operands[0], E_SImode))
            return -1;
          x6 = XVECEXP (x3, 0, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_DFmode)
              || !
#line 7886 "../../gcc/config/aarch64/aarch64.md"
(TARGET_JSCVT))
            return -1;
          return 1141; /* aarch64_fjcvtzs */

        case 108:
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != SET)
            return -1;
          x8 = XEXP (x4, 1);
          if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x5 = XEXP (x2, 0);
          operands[0] = x5;
          x6 = XVECEXP (x3, 0, 0);
          operands[1] = x6;
          x7 = XEXP (x4, 0);
          operands[2] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern1028 (x3, 
E_SImode) != 0
                  || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
                return -1;
              return 1157; /* stack_protect_set_si */

            case E_DImode:
              if (pattern1028 (x3, 
E_DImode) != 0
                  || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
                return -1;
              return 1158; /* stack_protect_set_di */

            default:
              return -1;
            }

        case 691:
          if (pnum_clobbers == NULL
              || pattern567 (x3, 
0) != 0)
            return -1;
          x5 = XEXP (x2, 0);
          if (GET_CODE (x5) != REG
              || REGNO (x5) != 92
              || GET_MODE (x5) != E_DImode)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (pattern1143 (x4) != 0)
            return -1;
          *pnum_clobbers = 7;
          return 12922; /* aarch64_tpidr2_restore */

        default:
          return -1;
        }

    case 4:
      return recog_604 (x1, insn, pnum_clobbers);

    case 3:
      return recog_605 (x1, insn, pnum_clobbers);

    case 5:
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      switch (XINT (x3, 1))
        {
        case 136:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12659; /* aarch64_sve_whilege_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12667; /* aarch64_sve_whilege_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12675; /* aarch64_sve_whilege_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12683; /* aarch64_sve_whilege_c64 */

            default:
              return -1;
            }

        case 137:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12660; /* aarch64_sve_whilegt_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12668; /* aarch64_sve_whilegt_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12676; /* aarch64_sve_whilegt_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12684; /* aarch64_sve_whilegt_c64 */

            default:
              return -1;
            }

        case 138:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12661; /* aarch64_sve_whileugt_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12669; /* aarch64_sve_whileugt_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12677; /* aarch64_sve_whileugt_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12685; /* aarch64_sve_whileugt_c64 */

            default:
              return -1;
            }

        case 139:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12662; /* aarch64_sve_whileuge_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12670; /* aarch64_sve_whileuge_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12678; /* aarch64_sve_whileuge_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12686; /* aarch64_sve_whileuge_c64 */

            default:
              return -1;
            }

        case 140:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12663; /* aarch64_sve_whilele_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12671; /* aarch64_sve_whilele_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12679; /* aarch64_sve_whilele_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12687; /* aarch64_sve_whilele_c64 */

            default:
              return -1;
            }

        case 141:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12664; /* aarch64_sve_whileult_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12672; /* aarch64_sve_whileult_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12680; /* aarch64_sve_whileult_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12688; /* aarch64_sve_whileult_c64 */

            default:
              return -1;
            }

        case 142:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12665; /* aarch64_sve_whileule_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12673; /* aarch64_sve_whileule_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12681; /* aarch64_sve_whileule_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12689; /* aarch64_sve_whileule_c64 */

            default:
              return -1;
            }

        case 143:
          switch (pattern684 (x1))
            {
            case 0:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12666; /* aarch64_sve_whilelt_c8 */

            case 1:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12674; /* aarch64_sve_whilelt_c16 */

            case 2:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12682; /* aarch64_sve_whilelt_c32 */

            case 3:
              if (!
#line 3695 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 12690; /* aarch64_sve_whilelt_c64 */

            default:
              return -1;
            }

        case 653:
          switch (pattern689 (x1, 
653))
            {
            case 0:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13025; /* aarch64_sme_readz_horvnx16qivnx16qi */

            case 1:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13027; /* aarch64_sme_readz_horvnx8hivnx8hi */

            case 2:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13029; /* aarch64_sme_readz_horvnx4sivnx4si */

            case 3:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13031; /* aarch64_sme_readz_horvnx2divnx2di */

            case 4:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13033; /* aarch64_sme_readz_horvnx8hivnx8bf */

            case 5:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13035; /* aarch64_sme_readz_horvnx8hivnx8hf */

            case 6:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13037; /* aarch64_sme_readz_horvnx4sivnx4sf */

            case 7:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13039; /* aarch64_sme_readz_horvnx2divnx2df */

            case 8:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13185; /* aarch64_sme_readz_horvnx32qivnx32qi */

            case 9:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13187; /* aarch64_sme_readz_horvnx16hivnx16hi */

            case 10:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13189; /* aarch64_sme_readz_horvnx8sivnx8si */

            case 11:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13191; /* aarch64_sme_readz_horvnx4divnx4di */

            case 12:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13193; /* aarch64_sme_readz_horvnx16bfvnx16bf */

            case 13:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13195; /* aarch64_sme_readz_horvnx16hfvnx16hf */

            case 14:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13197; /* aarch64_sme_readz_horvnx8sfvnx8sf */

            case 15:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13199; /* aarch64_sme_readz_horvnx4dfvnx4df */

            case 16:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13201; /* aarch64_sme_readz_horvnx64qivnx64qi */

            case 17:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13203; /* aarch64_sme_readz_horvnx32hivnx32hi */

            case 18:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13205; /* aarch64_sme_readz_horvnx16sivnx16si */

            case 19:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13207; /* aarch64_sme_readz_horvnx8divnx8di */

            case 20:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13209; /* aarch64_sme_readz_horvnx32bfvnx32bf */

            case 21:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13211; /* aarch64_sme_readz_horvnx32hfvnx32hf */

            case 22:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13213; /* aarch64_sme_readz_horvnx16sfvnx16sf */

            case 23:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13215; /* aarch64_sme_readz_horvnx8dfvnx8df */

            case 24:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13057; /* aarch64_sme_readz_horvnx1tivnx16qi */

            case 25:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13059; /* aarch64_sme_readz_horvnx1tivnx8hi */

            case 26:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13061; /* aarch64_sme_readz_horvnx1tivnx4si */

            case 27:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13063; /* aarch64_sme_readz_horvnx1tivnx2di */

            case 28:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13065; /* aarch64_sme_readz_horvnx1tivnx8bf */

            case 29:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13067; /* aarch64_sme_readz_horvnx1tivnx8hf */

            case 30:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13069; /* aarch64_sme_readz_horvnx1tivnx4sf */

            case 31:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13071; /* aarch64_sme_readz_horvnx1tivnx2df */

            case 32:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13041; /* *aarch64_sme_readz_horvnx16qivnx16qi_plus */

            case 33:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13043; /* *aarch64_sme_readz_horvnx8hivnx8hi_plus */

            case 34:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13045; /* *aarch64_sme_readz_horvnx4sivnx4si_plus */

            case 35:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13047; /* *aarch64_sme_readz_horvnx2divnx2di_plus */

            case 36:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13049; /* *aarch64_sme_readz_horvnx8hivnx8bf_plus */

            case 37:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13051; /* *aarch64_sme_readz_horvnx8hivnx8hf_plus */

            case 38:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13053; /* *aarch64_sme_readz_horvnx4sivnx4sf_plus */

            case 39:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13055; /* *aarch64_sme_readz_horvnx2divnx2df_plus */

            case 40:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13217; /* *aarch64_sme_readz_horvnx32qivnx32qi_plus */

            case 41:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13219; /* *aarch64_sme_readz_horvnx16hivnx16hi_plus */

            case 42:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13221; /* *aarch64_sme_readz_horvnx8sivnx8si_plus */

            case 43:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13223; /* *aarch64_sme_readz_horvnx4divnx4di_plus */

            case 44:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13225; /* *aarch64_sme_readz_horvnx16bfvnx16bf_plus */

            case 45:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13227; /* *aarch64_sme_readz_horvnx16hfvnx16hf_plus */

            case 46:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13229; /* *aarch64_sme_readz_horvnx8sfvnx8sf_plus */

            case 47:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13231; /* *aarch64_sme_readz_horvnx4dfvnx4df_plus */

            case 48:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13233; /* *aarch64_sme_readz_horvnx64qivnx64qi_plus */

            case 49:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13235; /* *aarch64_sme_readz_horvnx32hivnx32hi_plus */

            case 50:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13237; /* *aarch64_sme_readz_horvnx16sivnx16si_plus */

            case 51:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13239; /* *aarch64_sme_readz_horvnx8divnx8di_plus */

            case 52:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13241; /* *aarch64_sme_readz_horvnx32bfvnx32bf_plus */

            case 53:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13243; /* *aarch64_sme_readz_horvnx32hfvnx32hf_plus */

            case 54:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13245; /* *aarch64_sme_readz_horvnx16sfvnx16sf_plus */

            case 55:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13247; /* *aarch64_sme_readz_horvnx8dfvnx8df_plus */

            default:
              return -1;
            }

        case 654:
          switch (pattern689 (x1, 
654))
            {
            case 0:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13026; /* aarch64_sme_readz_vervnx16qivnx16qi */

            case 1:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13028; /* aarch64_sme_readz_vervnx8hivnx8hi */

            case 2:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13030; /* aarch64_sme_readz_vervnx4sivnx4si */

            case 3:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13032; /* aarch64_sme_readz_vervnx2divnx2di */

            case 4:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13034; /* aarch64_sme_readz_vervnx8hivnx8bf */

            case 5:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13036; /* aarch64_sme_readz_vervnx8hivnx8hf */

            case 6:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13038; /* aarch64_sme_readz_vervnx4sivnx4sf */

            case 7:
              if (!
#line 718 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13040; /* aarch64_sme_readz_vervnx2divnx2df */

            case 8:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13186; /* aarch64_sme_readz_vervnx32qivnx32qi */

            case 9:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13188; /* aarch64_sme_readz_vervnx16hivnx16hi */

            case 10:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13190; /* aarch64_sme_readz_vervnx8sivnx8si */

            case 11:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13192; /* aarch64_sme_readz_vervnx4divnx4di */

            case 12:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13194; /* aarch64_sme_readz_vervnx16bfvnx16bf */

            case 13:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13196; /* aarch64_sme_readz_vervnx16hfvnx16hf */

            case 14:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13198; /* aarch64_sme_readz_vervnx8sfvnx8sf */

            case 15:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13200; /* aarch64_sme_readz_vervnx4dfvnx4df */

            case 16:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13202; /* aarch64_sme_readz_vervnx64qivnx64qi */

            case 17:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13204; /* aarch64_sme_readz_vervnx32hivnx32hi */

            case 18:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13206; /* aarch64_sme_readz_vervnx16sivnx16si */

            case 19:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13208; /* aarch64_sme_readz_vervnx8divnx8di */

            case 20:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13210; /* aarch64_sme_readz_vervnx32bfvnx32bf */

            case 21:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13212; /* aarch64_sme_readz_vervnx32hfvnx32hf */

            case 22:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13214; /* aarch64_sme_readz_vervnx16sfvnx16sf */

            case 23:
              if (!
#line 870 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13216; /* aarch64_sme_readz_vervnx8dfvnx8df */

            case 24:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13058; /* aarch64_sme_readz_vervnx1tivnx16qi */

            case 25:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13060; /* aarch64_sme_readz_vervnx1tivnx8hi */

            case 26:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13062; /* aarch64_sme_readz_vervnx1tivnx4si */

            case 27:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13064; /* aarch64_sme_readz_vervnx1tivnx2di */

            case 28:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13066; /* aarch64_sme_readz_vervnx1tivnx8bf */

            case 29:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13068; /* aarch64_sme_readz_vervnx1tivnx8hf */

            case 30:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13070; /* aarch64_sme_readz_vervnx1tivnx4sf */

            case 31:
              if (!
#line 763 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1))
                return -1;
              return 13072; /* aarch64_sme_readz_vervnx1tivnx2df */

            case 32:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13042; /* *aarch64_sme_readz_vervnx16qivnx16qi_plus */

            case 33:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13044; /* *aarch64_sme_readz_vervnx8hivnx8hi_plus */

            case 34:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13046; /* *aarch64_sme_readz_vervnx4sivnx4si_plus */

            case 35:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13048; /* *aarch64_sme_readz_vervnx2divnx2di_plus */

            case 36:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13050; /* *aarch64_sme_readz_vervnx8hivnx8bf_plus */

            case 37:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13052; /* *aarch64_sme_readz_vervnx8hivnx8hf_plus */

            case 38:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13054; /* *aarch64_sme_readz_vervnx4sivnx4sf_plus */

            case 39:
              if (!
#line 741 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13056; /* *aarch64_sme_readz_vervnx2divnx2df_plus */

            case 40:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13218; /* *aarch64_sme_readz_vervnx32qivnx32qi_plus */

            case 41:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13220; /* *aarch64_sme_readz_vervnx16hivnx16hi_plus */

            case 42:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13222; /* *aarch64_sme_readz_vervnx8sivnx8si_plus */

            case 43:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13224; /* *aarch64_sme_readz_vervnx4divnx4di_plus */

            case 44:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13226; /* *aarch64_sme_readz_vervnx16bfvnx16bf_plus */

            case 45:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13228; /* *aarch64_sme_readz_vervnx16hfvnx16hf_plus */

            case 46:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13230; /* *aarch64_sme_readz_vervnx8sfvnx8sf_plus */

            case 47:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13232; /* *aarch64_sme_readz_vervnx4dfvnx4df_plus */

            case 48:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 8))
                return -1;
              return 13234; /* *aarch64_sme_readz_vervnx64qivnx64qi_plus */

            case 49:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13236; /* *aarch64_sme_readz_vervnx32hivnx32hi_plus */

            case 50:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13238; /* *aarch64_sme_readz_vervnx16sivnx16si_plus */

            case 51:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13240; /* *aarch64_sme_readz_vervnx8divnx8di_plus */

            case 52:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13242; /* *aarch64_sme_readz_vervnx32bfvnx32bf_plus */

            case 53:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
                return -1;
              return 13244; /* *aarch64_sme_readz_vervnx32hfvnx32hf_plus */

            case 54:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
                return -1;
              return 13246; /* *aarch64_sme_readz_vervnx16sfvnx16sf_plus */

            case 55:
              if (!
#line 898 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2p1
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
                return -1;
              return 13248; /* *aarch64_sme_readz_vervnx8dfvnx8df_plus */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 rtx_insn *
split_7 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern836 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1104 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx16QImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1114 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1105 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx8QImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1115 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1106 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4QImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1116 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1107 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2QImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1117 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1108 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx8HImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1118 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1109 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4HImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1119 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1110 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2HImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1120 (insn, operands);

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1111 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4SImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1121 (insn, operands);

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1112 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2SImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1122 (insn, operands);

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3565 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return gen_split_1113 (insn, operands);
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2DImode)
          || !(
#line 3596 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])) && 
#line 3602 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_1123 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_11 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return NULL;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1131 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
          || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1164 (insn, operands);

    case E_VNx4SFmode:
      if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1142 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1175 (insn, operands);

    case E_VNx2DFmode:
      if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1153 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
          || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1186 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_18 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1249 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2941 (insn, operands);
    }
  if (register_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1274 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2949 (insn, operands);
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    return NULL;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))) && 
#line 1308 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2957 (insn, operands);
}

 rtx_insn *
split_23 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2813 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2860 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2900 (insn, operands);
}

 rtx_insn *
split_28 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2847 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2888 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2928 (insn, operands);
}

 rtx_insn *
split_33 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2834 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2877 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2917 (insn, operands);
}

 rtx_insn *
split_38 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2821 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2866 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2906 (insn, operands);
}

 rtx_insn *
split_43 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2807 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2855 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2895 (insn, operands);
}

 rtx_insn *
split_48 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2841 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2883 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2923 (insn, operands);
}

 rtx_insn *
split_54 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2816 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2862 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2902 (insn, operands);
}

 rtx_insn *
split_60 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1038 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1682 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && ((
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1755 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !((
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1807 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1695 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1768 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1820 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1708 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1781 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1833 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1721 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1794 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1846 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1728 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1905 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1735 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1912 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1742 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1919 (insn, operands);

    case 7:
      if (!((
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8BFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1859 (insn, operands);

    case 8:
      if (!(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1872 (insn, operands);

    case 9:
      if (!(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1885 (insn, operands);

    case 10:
      if (!(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1898 (insn, operands);

    case 11:
      if (!(
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1926 (insn, operands);

    case 12:
      if (!(
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1933 (insn, operands);

    case 13:
      if (!(
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1940 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_66 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (XINT (x3, 1) != 125)
    return NULL;
  switch (pattern850 (x2))
    {
    case 0:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1569 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1609 (insn, operands);

    case 1:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1573 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1613 (insn, operands);

    case 2:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1577 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1617 (insn, operands);

    case 3:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1581 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1621 (insn, operands);

    case 4:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1585 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1625 (insn, operands);

    case 5:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1589 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1629 (insn, operands);

    case 6:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1593 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1633 (insn, operands);

    case 7:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1597 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1637 (insn, operands);

    case 8:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1601 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1641 (insn, operands);

    case 9:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1605 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1645 (insn, operands);

    case 10:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1570 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1610 (insn, operands);

    case 11:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1574 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1614 (insn, operands);

    case 12:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1578 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1618 (insn, operands);

    case 13:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1582 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1622 (insn, operands);

    case 14:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1586 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1626 (insn, operands);

    case 15:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1590 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1630 (insn, operands);

    case 16:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1594 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1634 (insn, operands);

    case 17:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1598 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1638 (insn, operands);

    case 18:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1602 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1642 (insn, operands);

    case 19:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1606 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1646 (insn, operands);

    case 20:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1571 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1611 (insn, operands);

    case 21:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1575 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1615 (insn, operands);

    case 22:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1579 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1619 (insn, operands);

    case 23:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1583 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1623 (insn, operands);

    case 24:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1587 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1627 (insn, operands);

    case 25:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1591 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1631 (insn, operands);

    case 26:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1595 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1635 (insn, operands);

    case 27:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1599 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1639 (insn, operands);

    case 28:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1603 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1643 (insn, operands);

    case 29:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1607 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1647 (insn, operands);

    case 30:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1572 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1612 (insn, operands);

    case 31:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1576 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1616 (insn, operands);

    case 32:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1580 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1620 (insn, operands);

    case 33:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1584 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1624 (insn, operands);

    case 34:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1588 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1628 (insn, operands);

    case 35:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1592 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1632 (insn, operands);

    case 36:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1596 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1636 (insn, operands);

    case 37:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1600 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1640 (insn, operands);

    case 38:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1604 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1644 (insn, operands);

    case 39:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5115 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_1608 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !((
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 5141 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1648 (insn, operands);

    case 40:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2803 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2851 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
        return NULL;
      return gen_split_2891 (insn, operands);

    case 41:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2815 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2861 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
        return NULL;
      return gen_split_2901 (insn, operands);

    case 42:
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2827 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2871 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
        return NULL;
      return gen_split_2911 (insn, operands);

    case 43:
      return split_56 (x1, insn);

    case 44:
      return split_55 (x1, insn);

    case 45:
      return split_54 (x1, insn);

    case 46:
      return split_53 (x1, insn);

    case 47:
      return split_52 (x1, insn);

    case 48:
      return split_51 (x1, insn);

    case 49:
      return split_50 (x1, insn);

    case 50:
      return split_49 (x1, insn);

    case 51:
      return split_48 (x1, insn);

    case 52:
      return split_47 (x1, insn);

    case 53:
      return split_46 (x1, insn);

    case 54:
      return split_45 (x1, insn);

    case 55:
      return split_44 (x1, insn);

    case 56:
      return split_43 (x1, insn);

    case 57:
      return split_42 (x1, insn);

    case 58:
      return split_41 (x1, insn);

    case 59:
      return split_40 (x1, insn);

    case 60:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2808 (insn, operands);

    case 61:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2820 (insn, operands);

    case 62:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2832 (insn, operands);

    case 63:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2844 (insn, operands);

    case 64:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2931 (insn, operands);

    case 65:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2933 (insn, operands);

    case 66:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2935 (insn, operands);

    case 67:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2937 (insn, operands);

    case 68:
      return split_39 (x1, insn);

    case 69:
      return split_38 (x1, insn);

    case 70:
      return split_37 (x1, insn);

    case 71:
      return split_36 (x1, insn);

    case 72:
      return split_35 (x1, insn);

    case 73:
      return split_34 (x1, insn);

    case 74:
      return split_33 (x1, insn);

    case 75:
      return split_32 (x1, insn);

    case 76:
      return split_31 (x1, insn);

    case 77:
      return split_30 (x1, insn);

    case 78:
      return split_29 (x1, insn);

    case 79:
      return split_28 (x1, insn);

    case 80:
      return split_27 (x1, insn);

    case 81:
      return split_26 (x1, insn);

    case 82:
      return split_25 (x1, insn);

    case 83:
      return split_24 (x1, insn);

    case 84:
      return split_23 (x1, insn);

    case 85:
      return split_22 (x1, insn);

    case 86:
      return split_21 (x1, insn);

    case 87:
      return split_20 (x1, insn);

    case 88:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2814 (insn, operands);

    case 89:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2826 (insn, operands);

    case 90:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2838 (insn, operands);

    case 91:
      if (!(
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2850 (insn, operands);

    case 92:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2932 (insn, operands);

    case 93:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2934 (insn, operands);

    case 94:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2936 (insn, operands);

    case 95:
      if (!(
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1140 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
        return NULL;
      return gen_split_2938 (insn, operands);

    case 96:
      return split_19 (x1, insn);

    case 97:
      return split_18 (x1, insn);

    case 98:
      return split_17 (x1, insn);

    case 99:
      return split_16 (x1, insn);

    case 100:
      return split_15 (x1, insn);

    case 101:
      return split_14 (x1, insn);

    case 102:
      return split_13 (x1, insn);

    case 103:
      return split_12 (x1, insn);

    case 104:
      if (!(
#line 3503 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3509 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_3040 (insn, operands);

    case 105:
      if (!(
#line 3503 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3509 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_3041 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_87 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2497 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2507 (insn, operands);
}

 rtx_insn *
split_90 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2437 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2447 (insn, operands);
}

 rtx_insn *
split_93 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2536 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2546 (insn, operands);
}

 rtx_insn *
split_96 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2476 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2486 (insn, operands);
}

 rtx_insn *
split_100 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2555 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2565 (insn, operands);
}

 rtx_insn *
split_104 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2475 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2485 (insn, operands);
}

 rtx_insn *
split_109 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2534 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2544 (insn, operands);
}

 rtx_insn *
split_115 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2414 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2424 (insn, operands);
}

 rtx_insn *
split_122 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2433 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2443 (insn, operands);
}

 rtx_insn *
split_130 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2432 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2442 (insn, operands);
}

 rtx_insn *
split_138 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (GET_CODE (x2))
    {
    case IF_THEN_ELSE:
      x3 = XEXP (x2, 1);
      if (GET_CODE (x3) != LABEL_REF)
        return NULL;
      x4 = XEXP (x2, 2);
      if (GET_CODE (x4) != PC)
        return NULL;
      x5 = XEXP (x1, 0);
      if (GET_CODE (x5) != PC)
        return NULL;
      x6 = XEXP (x3, 0);
      operands[2] = x6;
      x7 = XEXP (x2, 0);
      switch (GET_CODE (x7))
        {
        case EQ:
          switch (pattern693 (x2))
            {
            case 0:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_1 (insn, operands);

            case 1:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_5 (insn, operands);

            case 2:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_3 (insn, operands);

            case 3:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_7 (insn, operands);

            default:
              return NULL;
            }

        case NE:
          switch (pattern693 (x2))
            {
            case 0:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_2 (insn, operands);

            case 1:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), SImode)
   && !aarch64_plus_operand (operands[1], SImode)
   && !reload_completed) && 
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_6 (insn, operands);

            case 2:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_4 (insn, operands);

            case 3:
              if (!((
#line 908 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[1]), DImode)
   && !aarch64_plus_operand (operands[1], DImode)
   && !reload_completed) && 
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)) && 
#line 912 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_8 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case CONST_INT:
    case CONST_WIDE_INT:
    case CONST_POLY_INT:
    case CONST_FIXED:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case CONST:
    case REG:
    case SUBREG:
    case MEM:
    case LABEL_REF:
    case SYMBOL_REF:
    case TRUNCATE:
    case HIGH:
      switch (GET_CODE (x2))
        {
        case CONST_INT:
        case CONST_WIDE_INT:
        case CONST_POLY_INT:
        case CONST_FIXED:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case CONST:
        case REG:
        case SUBREG:
        case MEM:
        case LABEL_REF:
        case SYMBOL_REF:
        case HIGH:
          operands[1] = x2;
          x5 = XEXP (x1, 0);
          operands[0] = x5;
          res = split_1 (x1, insn);
          if (res != NULL_RTX)
            return res;
          operands[0] = x2;
          if (aarch64_reg_or_zero (operands[0], E_DImode)
              && GET_CODE (x5) == REG
              && REGNO (x5) == 84
              && GET_MODE (x5) == E_DImode
              && 
#line 1901 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP8 && !TARGET_CHEAP_FPMR_WRITE && can_create_pseudo_p ()))
            return gen_split_14 (insn, operands);
          break;

        case TRUNCATE:
          res = split_2 (x1, insn);
          if (res != NULL_RTX)
            return res;
          break;

        default:
          break;
        }
      if (!subreg_lowpart_operator (x2, E_DImode))
        return NULL;
      switch (pattern29 (x1))
        {
        case 0:
          if (!(
#line 6458 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64) && 
#line 6462 "../../gcc/config/aarch64/aarch64.md"
( 1)))
            return NULL;
          return gen_split_120 (insn, operands);

        case 1:
          if (!(
#line 6458 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64) && 
#line 6462 "../../gcc/config/aarch64/aarch64.md"
( 1)))
            return NULL;
          return gen_split_121 (insn, operands);

        case 2:
          if (!(
#line 6458 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64) && 
#line 6462 "../../gcc/config/aarch64/aarch64.md"
( 1)))
            return NULL;
          return gen_split_123 (insn, operands);

        case 3:
          if (!(
#line 6458 "../../gcc/config/aarch64/aarch64.md"
(16 <= 16
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64) && 
#line 6462 "../../gcc/config/aarch64/aarch64.md"
( 1)))
            return NULL;
          return gen_split_122 (insn, operands);

        case 4:
          if (!(
#line 6458 "../../gcc/config/aarch64/aarch64.md"
(16 <= 32
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64) && 
#line 6462 "../../gcc/config/aarch64/aarch64.md"
( 1)))
            return NULL;
          return gen_split_124 (insn, operands);

        case 5:
          if (!(
#line 6458 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 64) && 
#line 6462 "../../gcc/config/aarch64/aarch64.md"
( 1)))
            return NULL;
          return gen_split_125 (insn, operands);

        default:
          return NULL;
        }

    case PLUS:
      return split_79 (x1, insn);

    case ZERO_EXTEND:
      return split_81 (x1, insn);

    case IOR:
      return split_82 (x1, insn);

    case XOR:
      return split_83 (x1, insn);

    case AND:
      return split_80 (x1, insn);

    case NOT:
      x7 = XEXP (x2, 0);
      if (GET_CODE (x7) != XOR)
        return NULL;
      x5 = XEXP (x1, 0);
      operands[0] = x5;
      switch (pattern364 (x2))
        {
        case 0:
          if (!
#line 5337 "../../gcc/config/aarch64/aarch64.md"
(reload_completed && FP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_69 (insn, operands);

        case 1:
          if (!
#line 5337 "../../gcc/config/aarch64/aarch64.md"
(reload_completed && FP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_70 (insn, operands);

        default:
          return NULL;
        }

    case CTZ:
      switch (pattern3 (x1))
        {
        case 0:
          if (!
#line 5643 "../../gcc/config/aarch64/aarch64.md"
(reload_completed && !TARGET_CSSC))
            return NULL;
          return gen_split_71 (insn, operands);

        case 1:
          if (!
#line 5643 "../../gcc/config/aarch64/aarch64.md"
(reload_completed && !TARGET_CSSC))
            return NULL;
          return gen_split_72 (insn, operands);

        default:
          return NULL;
        }

    case ASHIFT:
      x5 = XEXP (x1, 0);
      operands[0] = x5;
      x7 = XEXP (x2, 0);
      operands[1] = x7;
      x3 = XEXP (x2, 1);
      switch (GET_CODE (x3))
        {
        case SUBREG:
        case TRUNCATE:
          switch (pattern17 (x2))
            {
            case 0:
              if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_85 (insn, operands);

            case 1:
              if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_90 (insn, operands);

            default:
              return NULL;
            }

        case MINUS:
          if (GET_MODE (x3) != E_QImode)
            return NULL;
          x6 = XEXP (x3, 0);
          operands[2] = x6;
          if (!const_int_operand (operands[2], E_VOIDmode))
            return NULL;
          x8 = XEXP (x3, 1);
          if (subreg_lowpart_operator (x8, E_VOIDmode))
            {
              switch (pattern834 (x2))
                {
                case 0:
                  if ((
#line 5896 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[4]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)
   && INTVAL (operands[2]) == GET_MODE_BITSIZE (SImode)) && 
#line 5899 "../../gcc/config/aarch64/aarch64.md"
( true)))
                    return gen_split_95 (insn, operands);
                  break;

                case 1:
                  if ((
#line 5896 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[4]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)
   && INTVAL (operands[2]) == GET_MODE_BITSIZE (DImode)) && 
#line 5899 "../../gcc/config/aarch64/aarch64.md"
( true)))
                    return gen_split_96 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          operands[3] = x8;
          if (!register_operand (operands[3], E_QImode))
            return NULL;
          switch (pattern2 (x2))
            {
            case 0:
              if (!(
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (SImode)) && 
#line 5943 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_97 (insn, operands);

            case 1:
              if (!(
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (DImode)) && 
#line 5943 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_100 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case ASHIFTRT:
      switch (pattern18 (x1))
        {
        case 0:
          if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_86 (insn, operands);

        case 1:
          if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_91 (insn, operands);

        case 2:
          if (!(
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (SImode)) && 
#line 5943 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_98 (insn, operands);

        case 3:
          if (!(
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (DImode)) && 
#line 5943 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_101 (insn, operands);

        case 4:
          if (!
#line 6046 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD && reload_completed))
            return NULL;
          return gen_split_105 (insn, operands);

        case 5:
          if (!
#line 6061 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD && reload_completed))
            return NULL;
          return gen_split_106 (insn, operands);

        default:
          return NULL;
        }

    case LSHIFTRT:
      switch (pattern18 (x1))
        {
        case 0:
          if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_87 (insn, operands);

        case 1:
          if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_92 (insn, operands);

        case 2:
          if (!(
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (SImode)) && 
#line 5943 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_99 (insn, operands);

        case 3:
          if (!(
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (DImode)) && 
#line 5943 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_102 (insn, operands);

        case 4:
          if (!
#line 6000 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD && reload_completed))
            return NULL;
          return gen_split_103 (insn, operands);

        case 5:
          if (!
#line 6015 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD && reload_completed))
            return NULL;
          return gen_split_104 (insn, operands);

        default:
          return NULL;
        }

    case ROTATERT:
      x3 = XEXP (x2, 1);
      if (!subreg_lowpart_operator (x3, E_VOIDmode))
        return NULL;
      operands[4] = x3;
      x6 = XEXP (x3, 0);
      if (GET_CODE (x6) != NEG
          || GET_MODE (x6) != E_SImode)
        return NULL;
      x9 = XEXP (x6, 0);
      if (GET_CODE (x9) != AND
          || GET_MODE (x9) != E_SImode)
        return NULL;
      x5 = XEXP (x1, 0);
      operands[0] = x5;
      x7 = XEXP (x2, 0);
      operands[1] = x7;
      switch (pattern15 (x2))
        {
        case 0:
          if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_88 (insn, operands);

        case 1:
          if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_93 (insn, operands);

        default:
          return NULL;
        }

    case ROTATE:
      x5 = XEXP (x1, 0);
      operands[0] = x5;
      x7 = XEXP (x2, 0);
      operands[1] = x7;
      x3 = XEXP (x2, 1);
      switch (GET_CODE (x3))
        {
        case SUBREG:
        case TRUNCATE:
          switch (pattern17 (x2))
            {
            case 0:
              if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_89 (insn, operands);

            case 1:
              if (!(
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)) && 
#line 5873 "../../gcc/config/aarch64/aarch64.md"
( true)))
                return NULL;
              return gen_split_94 (insn, operands);

            default:
              return NULL;
            }

        case CONST_VECTOR:
        case CONST:
          switch (pattern452 (x2))
            {
            case 0:
              if (!(
#line 1305 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && can_create_pseudo_p ()) && 
#line 1307 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                return NULL;
              return gen_split_147 (insn, operands);

            case 1:
              if (!(
#line 1305 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && can_create_pseudo_p ()) && 
#line 1307 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                return NULL;
              return gen_split_148 (insn, operands);

            case 2:
              if (!(
#line 1305 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && can_create_pseudo_p ()) && 
#line 1307 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                return NULL;
              return gen_split_149 (insn, operands);

            case 3:
              if (!(
#line 1305 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && can_create_pseudo_p ()) && 
#line 1307 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                return NULL;
              return gen_split_150 (insn, operands);

            case 4:
              if (!(
#line 1305 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && can_create_pseudo_p ()) && 
#line 1307 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                return NULL;
              return gen_split_151 (insn, operands);

            case 5:
              if (!(
#line 1305 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && can_create_pseudo_p ()) && 
#line 1307 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                return NULL;
              return gen_split_152 (insn, operands);

            case 6:
              if (!(
#line 1305 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && can_create_pseudo_p ()) && 
#line 1307 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                return NULL;
              return gen_split_153 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case ZERO_EXTRACT:
      if (GET_MODE (x2) != E_DImode)
        return NULL;
      x5 = XEXP (x1, 0);
      operands[0] = x5;
      if (!register_operand (operands[0], E_DImode))
        return NULL;
      x7 = XEXP (x2, 0);
      operands[1] = x7;
      if (!register_operand (operands[1], E_DImode))
        return NULL;
      x3 = XEXP (x2, 1);
      operands[2] = x3;
      if (!aarch64_simd_shift_imm_offset_di (operands[2], E_VOIDmode))
        return NULL;
      x4 = XEXP (x2, 2);
      operands[3] = x4;
      if (!aarch64_simd_shift_imm_di (operands[3], E_VOIDmode)
          || !
#line 6345 "../../gcc/config/aarch64/aarch64.md"
(IN_RANGE (INTVAL (operands[2]) + INTVAL (operands[3]), 1,
	     GET_MODE_BITSIZE (DImode) - 1)
   && (INTVAL (operands[2]) + INTVAL (operands[3]))
       == GET_MODE_BITSIZE (SImode)))
        return NULL;
      return gen_split_107 (insn, operands);

    case VEC_SELECT:
      return split_78 (x1, insn);

    case SIGN_EXTEND:
      x5 = XEXP (x1, 0);
      operands[0] = x5;
      x7 = XEXP (x2, 0);
      switch (GET_CODE (x7))
        {
        case VEC_SELECT:
          switch (pattern360 (x2))
            {
            case 0:
              if (!(
#line 1968 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
( SIGN_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_154 (insn, operands);

            case 1:
              if (!(
#line 1968 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
( SIGN_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_156 (insn, operands);

            case 2:
              if (!(
#line 1968 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 1970 "../../gcc/config/aarch64/aarch64-simd.md"
( SIGN_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_158 (insn, operands);

            default:
              return NULL;
            }

        case REG:
        case SUBREG:
          switch (pattern365 (x2))
            {
            case 0:
              if (!(
#line 9844 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
( SIGN_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_342 (insn, operands);

            case 1:
              if (!(
#line 9844 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
( SIGN_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_344 (insn, operands);

            case 2:
              if (!(
#line 9844 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 9846 "../../gcc/config/aarch64/aarch64-simd.md"
( SIGN_EXTEND == ZERO_EXTEND
   && aarch64_split_simd_shift_p (insn))))
                return NULL;
              return gen_split_346 (insn, operands);

            default:
              return NULL;
            }

        case SS_PLUS:
          if (pattern38 (x7, 
E_SImode) != 0)
            return NULL;
          switch (pattern916 (x2))
            {
            case 0:
              if (!(
#line 10771 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10778 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2713 (insn, operands);

            case 1:
              if (!(
#line 10771 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10778 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2715 (insn, operands);

            case 2:
              if (!(
#line 10771 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10778 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2717 (insn, operands);

            case 3:
              if (!(
#line 10771 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10778 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2719 (insn, operands);

            default:
              return NULL;
            }

        case SS_MINUS:
          if (pattern39 (x7) != 0)
            return NULL;
          switch (pattern917 (x2))
            {
            case 0:
              if (!(
#line 11004 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11011 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2746 (insn, operands);

            case 1:
              if (!(
#line 11004 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11011 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2748 (insn, operands);

            case 2:
              if (!(
#line 11004 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11011 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2750 (insn, operands);

            case 3:
              if (!(
#line 11004 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11011 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2752 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case UNSPEC:
      return split_77 (x1, insn);

    case SS_PLUS:
      switch (pattern21 (x1))
        {
        case 0:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2698 (insn, operands);

        case 1:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2701 (insn, operands);

        case 2:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2704 (insn, operands);

        case 3:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2707 (insn, operands);

        case 4:
          if (!(
#line 10823 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10828 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2722 (insn, operands);

        case 5:
          if (!(
#line 10862 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10867 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2725 (insn, operands);

        case 6:
          if (!(
#line 10903 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10908 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2728 (insn, operands);

        default:
          return NULL;
        }

    case US_PLUS:
      switch (pattern21 (x1))
        {
        case 0:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2699 (insn, operands);

        case 1:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2702 (insn, operands);

        case 2:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2705 (insn, operands);

        case 3:
          if (!(
#line 10716 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10718 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2708 (insn, operands);

        case 4:
          if (!(
#line 10823 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10828 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2723 (insn, operands);

        case 5:
          if (!(
#line 10862 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10867 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2726 (insn, operands);

        case 6:
          if (!(
#line 10903 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10908 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2729 (insn, operands);

        default:
          return NULL;
        }

    case MINUS:
      x5 = XEXP (x1, 0);
      operands[0] = x5;
      x7 = XEXP (x2, 0);
      operands[1] = x7;
      x3 = XEXP (x2, 1);
      switch (GET_CODE (x3))
        {
        case ZERO_EXTEND:
          switch (pattern23 (x2))
            {
            case 0:
              if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2730 (insn, operands);

            case 1:
              if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2733 (insn, operands);

            case 2:
              if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2736 (insn, operands);

            case 3:
              if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2739 (insn, operands);

            default:
              return NULL;
            }

        case UNSPEC:
          if (XVECLEN (x3, 0) != 3
              || XINT (x3, 1) != 307
              || GET_MODE (x3) != E_SImode)
            return NULL;
          x10 = XVECEXP (x3, 0, 1);
          if (x10 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
              || !register_operand (operands[0], E_SImode)
              || GET_MODE (x2) != E_SImode
              || !register_operand (operands[1], E_SImode))
            return NULL;
          switch (pattern1042 (x3))
            {
            case 0:
              if (!(
#line 10968 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10970 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2742 (insn, operands);

            case 1:
              if (!(
#line 10968 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10970 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2743 (insn, operands);

            case 2:
              if (!(
#line 10968 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10970 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2744 (insn, operands);

            case 3:
              if (!(
#line 10968 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10970 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2745 (insn, operands);

            default:
              return NULL;
            }

        case VEC_DUPLICATE:
          switch (pattern24 (x2))
            {
            case 0:
              if (!(
#line 11056 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11061 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2754 (insn, operands);

            case 1:
              if (!(
#line 11095 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11100 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_2757 (insn, operands);

            case 2:
              if (!(
#line 11136 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11141 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
                return NULL;
              return gen_split_2760 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case SS_MINUS:
      switch (pattern25 (x1))
        {
        case 0:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2731 (insn, operands);

        case 1:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2734 (insn, operands);

        case 2:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2737 (insn, operands);

        case 3:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2740 (insn, operands);

        case 4:
          if (!(
#line 11056 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11061 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2755 (insn, operands);

        case 5:
          if (!(
#line 11095 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11100 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2758 (insn, operands);

        case 6:
          if (!(
#line 11136 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11141 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2761 (insn, operands);

        default:
          return NULL;
        }

    case US_MINUS:
      switch (pattern25 (x1))
        {
        case 0:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2732 (insn, operands);

        case 1:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2735 (insn, operands);

        case 2:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2738 (insn, operands);

        case 3:
          if (!(
#line 10949 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10951 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2741 (insn, operands);

        case 4:
          if (!(
#line 11056 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11061 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2756 (insn, operands);

        case 5:
          if (!(
#line 11095 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11100 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2759 (insn, operands);

        case 6:
          if (!(
#line 11136 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 11141 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2762 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}
