/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern6 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  switch (GET_CODE (x5))
    {
    case CONST_INT:
    case REG:
    case SUBREG:
    case TRUNCATE:
      return 0;

    case MINUS:
      res = pattern4 (x3);
      if (res >= 0)
        return res + 1; /* [1, 2] */
      return -1;

    case CONST_VECTOR:
    case CONST:
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern5 (x3, 
E_V8QImode) != 0)
            return -1;
          return 3;

        case E_V16QImode:
          if (pattern5 (x3, 
E_V16QImode) != 0)
            return -1;
          return 4;

        case E_V4HImode:
          if (pattern5 (x3, 
E_V4HImode) != 0)
            return -1;
          return 5;

        case E_V8HImode:
          if (pattern5 (x3, 
E_V8HImode) != 0)
            return -1;
          return 6;

        case E_V2SImode:
          if (pattern5 (x3, 
E_V2SImode) != 0)
            return -1;
          return 7;

        case E_V4SImode:
          if (pattern5 (x3, 
E_V4SImode) != 0)
            return -1;
          return 8;

        case E_V2DImode:
          if (pattern5 (x3, 
E_V2DImode) != 0)
            return -1;
          return 9;

        case E_VNx16QImode:
          if (pattern5 (x3, 
E_VNx16QImode) != 0)
            return -1;
          return 10;

        case E_VNx8QImode:
          if (pattern5 (x3, 
E_VNx8QImode) != 0)
            return -1;
          return 11;

        case E_VNx4QImode:
          if (pattern5 (x3, 
E_VNx4QImode) != 0)
            return -1;
          return 12;

        case E_VNx2QImode:
          if (pattern5 (x3, 
E_VNx2QImode) != 0)
            return -1;
          return 13;

        case E_VNx8HImode:
          if (pattern5 (x3, 
E_VNx8HImode) != 0)
            return -1;
          return 14;

        case E_VNx4HImode:
          if (pattern5 (x3, 
E_VNx4HImode) != 0)
            return -1;
          return 15;

        case E_VNx2HImode:
          if (pattern5 (x3, 
E_VNx2HImode) != 0)
            return -1;
          return 16;

        case E_VNx4SImode:
          if (pattern5 (x3, 
E_VNx4SImode) != 0)
            return -1;
          return 17;

        case E_VNx2SImode:
          if (pattern5 (x3, 
E_VNx2SImode) != 0)
            return -1;
          return 18;

        case E_VNx2DImode:
          if (pattern5 (x3, 
E_VNx2DImode) != 0)
            return -1;
          return 19;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern30 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_uminmax_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern32 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aligned_register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aligned_register_operand (operands[1], i1)
      || !aligned_register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern37 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != MEM
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 1
      || XINT (x4, 1) != 5
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x3, 0);
  operands[0] = x5;
  if (!aarch64_call_insn_operand (operands[0], E_DImode))
    return -1;
  x6 = XEXP (x2, 1);
  operands[1] = x6;
  x7 = XVECEXP (x4, 0, 0);
  operands[2] = x7;
  if (!const_int_operand (operands[2], E_DImode))
    return -1;
  return 0;
}

int
pattern42 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode)
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern51 (rtx x1, unsigned int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x1, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != i1
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[0] = x4;
  return 0;
}

int
pattern55 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode))
        return -1;
      return 0;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      return 1;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode))
        return -1;
      return 2;

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode))
        return -1;
      return 3;

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode))
        return -1;
      return 4;

    default:
      return -1;
    }
}

int
pattern66 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode
          || !register_operand (operands[1], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x3) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 1;

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x3) != E_VNx2DImode
          || !register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 2;

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x3) != E_VNx8BImode
          || !register_operand (operands[1], E_VNx16BImode))
        return -1;
      return 3;

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x3) != E_VNx4BImode
          || !register_operand (operands[1], E_VNx8BImode))
        return -1;
      return 4;

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x3) != E_VNx2BImode
          || !register_operand (operands[1], E_VNx4BImode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern83 (rtx x1, machine_mode i1, unsigned int i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != i2
      || GET_MODE (x4) != i1)
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[0] = x5;
  return 0;
}

int
pattern86 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      return pattern75 (x3, 
E_V4HFmode); /* [-1, 0] */

    case E_V8HFmode:
      if (pattern75 (x3, 
E_V8HFmode) != 0)
        return -1;
      return 1;

    case E_V2SFmode:
      if (pattern75 (x3, 
E_V2SFmode) != 0)
        return -1;
      return 2;

    case E_V4SFmode:
      if (pattern75 (x3, 
E_V4SFmode) != 0)
        return -1;
      return 3;

    case E_V2DFmode:
      if (pattern75 (x3, 
E_V2DFmode) != 0)
        return -1;
      return 4;

    case E_HFmode:
      if (pattern75 (x3, 
E_HFmode) != 0)
        return -1;
      return 5;

    case E_SFmode:
      if (pattern75 (x3, 
E_SFmode) != 0)
        return -1;
      return 6;

    case E_DFmode:
      if (pattern75 (x3, 
E_DFmode) != 0)
        return -1;
      return 7;

    case E_VNx8HFmode:
      if (pattern75 (x3, 
E_VNx8HFmode) != 0)
        return -1;
      return 8;

    case E_VNx4SFmode:
      if (pattern75 (x3, 
E_VNx4SFmode) != 0)
        return -1;
      return 9;

    case E_VNx2DFmode:
      if (pattern75 (x3, 
E_VNx2DFmode) != 0)
        return -1;
      return 10;

    default:
      return -1;
    }
}

int
pattern99 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_shift_imm_hi (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern105 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V4SImode:
      return pattern75 (x3, 
E_V4SImode); /* [-1, 0] */

    case E_VNx4SImode:
      if (pattern75 (x3, 
E_VNx4SImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern111 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern114 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], E_DImode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[1], E_VNx16BImode)
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[1], E_VNx8BImode)
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[1], E_VNx4BImode)
          || !register_operand (operands[2], E_VNx4SImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[1], E_VNx2BImode)
          || !register_operand (operands[2], E_VNx2DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern122 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern125 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern111 (x3, 
E_VNx8HImode, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern111 (x3, 
E_VNx4SImode, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern111 (x3, 
E_VNx2DImode, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern132 (rtx x1, unsigned int i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i1
      || GET_MODE (x2) != E_DImode)
    return -1;
  return 0;
}

int
pattern138 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      return pattern137 (x3, 
E_VNx32QImode, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx16HImode:
      if (pattern137 (x3, 
E_VNx16HImode, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx8SImode:
      if (pattern137 (x3, 
E_VNx8SImode, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx4DImode:
      if (pattern137 (x3, 
E_VNx4DImode, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    case E_VNx16BFmode:
      if (pattern137 (x3, 
E_VNx16BFmode, 
E_VNx8BFmode) != 0)
        return -1;
      return 4;

    case E_VNx16HFmode:
      if (pattern137 (x3, 
E_VNx16HFmode, 
E_VNx8HFmode) != 0)
        return -1;
      return 5;

    case E_VNx8SFmode:
      if (pattern137 (x3, 
E_VNx8SFmode, 
E_VNx4SFmode) != 0)
        return -1;
      return 6;

    case E_VNx4DFmode:
      if (pattern137 (x3, 
E_VNx4DFmode, 
E_VNx2DFmode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern160 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 2);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 86
      || GET_MODE (x3) != E_VNx16BImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[2] = x5;
  x6 = XVECEXP (x2, 0, 1);
  operands[1] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return 0;

    case E_VNx8HImode:
      return 1;

    case E_VNx4SImode:
      return 2;

    case E_VNx2DImode:
      return 3;

    case E_VNx8BFmode:
      return 4;

    case E_VNx8HFmode:
      return 5;

    case E_VNx4SFmode:
      return 6;

    case E_VNx2DFmode:
      return 7;

    default:
      return -1;
    }
}

int
pattern170 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern168 (x3, 
E_VNx16QImode, 
E_VNx16BImode, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern168 (x3, 
E_VNx8HImode, 
E_VNx8BImode, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern168 (x3, 
E_VNx4SImode, 
E_VNx4BImode, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern168 (x3, 
E_VNx2DImode, 
E_VNx2BImode, 
E_DImode) != 0)
        return -1;
      return 3;

    case E_BFmode:
      if (pattern168 (x3, 
E_VNx8BFmode, 
E_VNx8BImode, 
E_BFmode) != 0)
        return -1;
      return 4;

    case E_HFmode:
      if (pattern168 (x3, 
E_VNx8HFmode, 
E_VNx8BImode, 
E_HFmode) != 0)
        return -1;
      return 5;

    case E_SFmode:
      if (pattern168 (x3, 
E_VNx4SFmode, 
E_VNx4BImode, 
E_SFmode) != 0)
        return -1;
      return 6;

    case E_DFmode:
      if (pattern168 (x3, 
E_VNx2DFmode, 
E_VNx2BImode, 
E_DFmode) != 0)
        return -1;
      return 7;

    case E_VNx16QImode:
      if (pattern169 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
        return -1;
      return 8;

    case E_VNx8HImode:
      if (pattern169 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 9;

    case E_VNx4SImode:
      if (pattern169 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 10;

    case E_VNx2DImode:
      if (pattern169 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 11;

    case E_VNx8BFmode:
      if (pattern169 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 12;

    case E_VNx8HFmode:
      if (pattern169 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 13;

    case E_VNx4SFmode:
      if (pattern169 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 14;

    case E_VNx2DFmode:
      if (pattern169 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern194 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[3] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern192 (x3, 
E_VNx16QImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern192 (x3, 
E_VNx8HImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern192 (x3, 
E_VNx4SImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern192 (x3, 
E_VNx2DImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x6, 0) != 2
          || XINT (x6, 1) != 168)
        return -1;
      x7 = XVECEXP (x6, 0, 0);
      operands[3] = x7;
      x8 = XVECEXP (x6, 0, 1);
      operands[4] = x8;
      if (!const_int_operand (operands[4], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          if (pattern193 (x3, 
E_VNx8HImode) != 0)
            return -1;
          return 4;

        case E_VNx4SImode:
          if (pattern193 (x3, 
E_VNx4SImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern212 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!aarch64_sve_ptrue_flag (operands[2], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  return pattern211 (x3); /* [-1, 2] */
}

int
pattern218 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_VNx16QImode)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != 93
      || GET_MODE (x2) != E_VNx16QImode)
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x4) != i1)
    return -1;
  return 0;
}

int
pattern223 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[0] = x6;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[1] = x7;
      switch (GET_MODE (x5))
        {
        case E_VNx8SFmode:
          if (GET_MODE (x2) != E_VNx8SFmode
              || GET_MODE (x3) != E_VNx8SFmode
              || !aligned_register_operand (operands[1], E_VNx8SFmode))
            return -1;
          return 0;

        case E_VNx16SFmode:
          if (GET_MODE (x2) != E_VNx16SFmode
              || GET_MODE (x3) != E_VNx16SFmode
              || !aligned_register_operand (operands[1], E_VNx16SFmode))
            return -1;
          return 1;

        case E_VNx4DFmode:
          if (GET_MODE (x2) != E_VNx4DFmode
              || GET_MODE (x3) != E_VNx4DFmode
              || !aligned_register_operand (operands[1], E_VNx4DFmode))
            return -1;
          return 2;

        case E_VNx8DFmode:
          if (GET_MODE (x2) != E_VNx8DFmode
              || GET_MODE (x3) != E_VNx8DFmode
              || !aligned_register_operand (operands[1], E_VNx8DFmode))
            return -1;
          return 3;

        case E_VNx16HFmode:
          if (GET_MODE (x2) != E_VNx16HFmode
              || GET_MODE (x3) != E_VNx16HFmode
              || !aligned_register_operand (operands[1], E_VNx16HFmode))
            return -1;
          return 4;

        case E_VNx32HFmode:
          if (GET_MODE (x2) != E_VNx32HFmode
              || GET_MODE (x3) != E_VNx32HFmode
              || !aligned_register_operand (operands[1], E_VNx32HFmode))
            return -1;
          return 5;

        case E_VNx16BFmode:
          if (GET_MODE (x2) != E_VNx16BFmode
              || GET_MODE (x3) != E_VNx16BFmode
              || !aligned_register_operand (operands[1], E_VNx16BFmode))
            return -1;
          return 6;

        case E_VNx32BFmode:
          if (GET_MODE (x2) != E_VNx32BFmode
              || GET_MODE (x3) != E_VNx32BFmode
              || !aligned_register_operand (operands[1], E_VNx32BFmode))
            return -1;
          return 7;

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x6) != E_SImode)
        return -1;
      x8 = XEXP (x6, 0);
      operands[0] = x8;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x9 = XEXP (x6, 1);
      operands[1] = x9;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[2] = x7;
      switch (GET_MODE (x5))
        {
        case E_VNx8SFmode:
          if (GET_MODE (x2) != E_VNx8SFmode
              || GET_MODE (x3) != E_VNx8SFmode
              || !aligned_register_operand (operands[2], E_VNx8SFmode))
            return -1;
          return 8;

        case E_VNx16SFmode:
          if (GET_MODE (x2) != E_VNx16SFmode
              || GET_MODE (x3) != E_VNx16SFmode
              || !aligned_register_operand (operands[2], E_VNx16SFmode))
            return -1;
          return 9;

        case E_VNx4DFmode:
          if (GET_MODE (x2) != E_VNx4DFmode
              || GET_MODE (x3) != E_VNx4DFmode
              || !aligned_register_operand (operands[2], E_VNx4DFmode))
            return -1;
          return 10;

        case E_VNx8DFmode:
          if (GET_MODE (x2) != E_VNx8DFmode
              || GET_MODE (x3) != E_VNx8DFmode
              || !aligned_register_operand (operands[2], E_VNx8DFmode))
            return -1;
          return 11;

        case E_VNx16HFmode:
          if (GET_MODE (x2) != E_VNx16HFmode
              || GET_MODE (x3) != E_VNx16HFmode
              || !aligned_register_operand (operands[2], E_VNx16HFmode))
            return -1;
          return 12;

        case E_VNx32HFmode:
          if (GET_MODE (x2) != E_VNx32HFmode
              || GET_MODE (x3) != E_VNx32HFmode
              || !aligned_register_operand (operands[2], E_VNx32HFmode))
            return -1;
          return 13;

        case E_VNx16BFmode:
          if (GET_MODE (x2) != E_VNx16BFmode
              || GET_MODE (x3) != E_VNx16BFmode
              || !aligned_register_operand (operands[2], E_VNx16BFmode))
            return -1;
          return 14;

        case E_VNx32BFmode:
          if (GET_MODE (x2) != E_VNx32BFmode
              || GET_MODE (x3) != E_VNx32BFmode
              || !aligned_register_operand (operands[2], E_VNx32BFmode))
            return -1;
          return 15;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern257 (machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i2)
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern261 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx4SImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93
      || GET_MODE (x3) != E_VNx4SImode)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93
      || GET_MODE (x5) != E_VNx4SImode)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  if (!register_operand (operands[1], E_VNx4BImode))
    return -1;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  if (!register_operand (operands[2], E_VNx4BImode))
    return -1;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  if (!register_operand (operands[3], E_VNx4SImode))
    return -1;
  x10 = XVECEXP (x2, 0, 6);
  operands[4] = x10;
  if (!register_operand (operands[4], E_VNx4SImode))
    return -1;
  return 0;
}

int
pattern271 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  operands[0] = x5;
  x6 = XVECEXP (x2, 0, 3);
  operands[1] = x6;
  if (!const_int_operand (operands[1], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 2);
  if (!rtx_equal_p (x7, operands[0]))
    return -1;
  x8 = XVECEXP (x2, 0, 4);
  switch (GET_CODE (x8))
    {
    case REG:
    case SUBREG:
      operands[2] = x8;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 5);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern269 (x2, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern269 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern269 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern269 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        case E_VNx1TImode:
          if (pattern269 (x2, 
E_VNx1TImode, 
E_VNx2BImode) != 0)
            return -1;
          return 4;

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x8) != E_SImode)
        return -1;
      x10 = XEXP (x8, 0);
      operands[2] = x10;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x11 = XEXP (x8, 1);
      operands[3] = x11;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 5);
      operands[4] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern270 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 5;

        case E_VNx8HImode:
          if (pattern270 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 6;

        case E_VNx4SImode:
          if (pattern270 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 7;

        case E_VNx2DImode:
          if (pattern270 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 8;

        case E_VNx1TImode:
          if (pattern270 (x2, 
E_VNx1TImode, 
E_VNx2BImode) != 0)
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern289 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  if (!rtx_equal_p (x5, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HImode:
      return pattern288 (x1, 
E_V16QImode, 
E_V8QImode, 
E_V8HImode); /* [-1, 0] */

    case E_V4SImode:
      if (pattern288 (x1, 
E_V8HImode, 
E_V4HImode, 
E_V4SImode) != 0)
        return -1;
      return 1;

    case E_V2DImode:
      if (pattern288 (x1, 
E_V4SImode, 
E_V2SImode, 
E_V2DImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern296 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_DFmode)
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != PARALLEL
      || XVECLEN (x3, 0) != 1
      || !register_operand (operands[0], E_DFmode)
      || GET_MODE (x1) != E_DFmode)
    return -1;
  x4 = XEXP (x2, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_V2DFmode))
    return -1;
  x5 = XVECEXP (x3, 0, 0);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern301 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[1]))
    {
    case E_QImode:
      if (!register_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[1], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[1], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern305 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
      operands[1] = x3;
      x4 = XEXP (x1, 1);
      operands[2] = x4;
      switch (GET_CODE (operands[2]))
        {
        case CONST_INT:
          if (!const_int_operand (operands[2], E_VOIDmode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              return pattern302 (x1, 
E_SImode); /* [-1, 2] */

            case E_DImode:
              res = pattern302 (x1, 
E_DImode);
              if (res >= 0)
                return res + 3; /* [3, 5] */
              return -1;

            default:
              return -1;
            }

        case CONST_VECTOR:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HImode:
              if (pattern303 (x1, 
E_V8HImode, 
E_V8QImode) != 0)
                return -1;
              return 6;

            case E_V4SImode:
              if (pattern303 (x1, 
E_V4SImode, 
E_V4HImode) != 0)
                return -1;
              return 7;

            case E_V2DImode:
              if (pattern303 (x1, 
E_V2DImode, 
E_V2SImode) != 0)
                return -1;
              return 8;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_SELECT:
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      x4 = XEXP (x1, 1);
      operands[3] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HImode:
          if (pattern304 (x1, 
E_V8HImode, 
E_V16QImode, 
E_V8QImode) != 0)
            return -1;
          return 9;

        case E_V4SImode:
          if (pattern304 (x1, 
E_V4SImode, 
E_V8HImode, 
E_V4HImode) != 0)
            return -1;
          return 10;

        case E_V2DImode:
          if (pattern304 (x1, 
E_V2DImode, 
E_V4SImode, 
E_V2SImode) != 0)
            return -1;
          return 11;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern325 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  switch (XINT (x1, 1))
    {
    case 169:
      x2 = XVECEXP (x1, 0, 0);
      operands[2] = x2;
      if (!const_int_operand (operands[2], E_DImode))
        return -1;
      x3 = XVECEXP (x1, 0, 1);
      operands[3] = x3;
      if (!const_int_operand (operands[3], E_DImode))
        return -1;
      x4 = XVECEXP (x1, 0, 2);
      operands[4] = x4;
      if (!const_int_operand (operands[4], E_DImode))
        return -1;
      return 0;

    case 307:
      x3 = XVECEXP (x1, 0, 1);
      if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      operands[3] = x2;
      x4 = XVECEXP (x1, 0, 2);
      operands[2] = x4;
      res = pattern19 ();
      if (res >= 0)
        return res + 1; /* [1, 4] */
      return -1;

    default:
      return -1;
    }
}

int
pattern334 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x1) != E_V8QImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode)
          || !aarch64_simd_shift_imm_vec_qi (operands[2], E_V8HImode))
        return -1;
      return 0;

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x1) != E_V4HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !aarch64_simd_shift_imm_vec_hi (operands[2], E_V4SImode))
        return -1;
      return 1;

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x1) != E_V2SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2DImode
          || !register_operand (operands[1], E_V2DImode)
          || !aarch64_simd_shift_imm_vec_si (operands[2], E_V2DImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern349 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != CLOBBER)
    return -1;
  x3 = XVECEXP (x1, 0, 0);
  x4 = XEXP (x3, 0);
  operands[0] = x4;
  x5 = XEXP (x3, 1);
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  x7 = XEXP (x2, 0);
  operands[2] = x7;
  if (!scratch_operand (operands[2], E_VNx16BImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x5) != E_VNx16QImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_QImode:
          if (!aarch64_sve_dup_operand (operands[1], E_QImode))
            return -1;
          return 0;

        case E_V16QImode:
          if (!nonimmediate_operand (operands[1], E_V16QImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_VNx8QImode:
      if (!register_operand (operands[0], E_VNx8QImode)
          || GET_MODE (x5) != E_VNx8QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode))
        return -1;
      return 2;

    case E_VNx4QImode:
      if (!register_operand (operands[0], E_VNx4QImode)
          || GET_MODE (x5) != E_VNx4QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode))
        return -1;
      return 3;

    case E_VNx2QImode:
      if (!register_operand (operands[0], E_VNx2QImode)
          || GET_MODE (x5) != E_VNx2QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode))
        return -1;
      return 4;

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x5) != E_VNx8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_HImode:
          if (!aarch64_sve_dup_operand (operands[1], E_HImode))
            return -1;
          return 5;

        case E_V8HImode:
          if (!nonimmediate_operand (operands[1], E_V8HImode))
            return -1;
          return 6;

        default:
          return -1;
        }

    case E_VNx4HImode:
      if (!register_operand (operands[0], E_VNx4HImode)
          || GET_MODE (x5) != E_VNx4HImode
          || !aarch64_sve_dup_operand (operands[1], E_HImode))
        return -1;
      return 7;

    case E_VNx2HImode:
      if (!register_operand (operands[0], E_VNx2HImode)
          || GET_MODE (x5) != E_VNx2HImode
          || !aarch64_sve_dup_operand (operands[1], E_HImode))
        return -1;
      return 8;

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x5) != E_VNx4SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!aarch64_sve_dup_operand (operands[1], E_SImode))
            return -1;
          return 9;

        case E_V4SImode:
          if (!nonimmediate_operand (operands[1], E_V4SImode))
            return -1;
          return 10;

        default:
          return -1;
        }

    case E_VNx2SImode:
      if (!register_operand (operands[0], E_VNx2SImode)
          || GET_MODE (x5) != E_VNx2SImode
          || !aarch64_sve_dup_operand (operands[1], E_SImode))
        return -1;
      return 11;

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x5) != E_VNx2DImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DImode:
          if (!aarch64_sve_dup_operand (operands[1], E_DImode))
            return -1;
          return 12;

        case E_V2DImode:
          if (!nonimmediate_operand (operands[1], E_V2DImode))
            return -1;
          return 13;

        default:
          return -1;
        }

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x5) != E_VNx8HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_HFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_HFmode))
            return -1;
          return 14;

        case E_V8HFmode:
          if (!nonimmediate_operand (operands[1], E_V8HFmode))
            return -1;
          return 15;

        default:
          return -1;
        }

    case E_VNx4HFmode:
      if (!register_operand (operands[0], E_VNx4HFmode)
          || GET_MODE (x5) != E_VNx4HFmode
          || !aarch64_sve_dup_operand (operands[1], E_HFmode))
        return -1;
      return 16;

    case E_VNx2HFmode:
      if (!register_operand (operands[0], E_VNx2HFmode)
          || GET_MODE (x5) != E_VNx2HFmode
          || !aarch64_sve_dup_operand (operands[1], E_HFmode))
        return -1;
      return 17;

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x5) != E_VNx8BFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_BFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_BFmode))
            return -1;
          return 18;

        case E_V8BFmode:
          if (!nonimmediate_operand (operands[1], E_V8BFmode))
            return -1;
          return 19;

        default:
          return -1;
        }

    case E_VNx4BFmode:
      if (!register_operand (operands[0], E_VNx4BFmode)
          || GET_MODE (x5) != E_VNx4BFmode
          || !aarch64_sve_dup_operand (operands[1], E_BFmode))
        return -1;
      return 20;

    case E_VNx2BFmode:
      if (!register_operand (operands[0], E_VNx2BFmode)
          || GET_MODE (x5) != E_VNx2BFmode
          || !aarch64_sve_dup_operand (operands[1], E_BFmode))
        return -1;
      return 21;

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x5) != E_VNx4SFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_SFmode))
            return -1;
          return 22;

        case E_V4SFmode:
          if (!nonimmediate_operand (operands[1], E_V4SFmode))
            return -1;
          return 23;

        default:
          return -1;
        }

    case E_VNx2SFmode:
      if (!register_operand (operands[0], E_VNx2SFmode)
          || GET_MODE (x5) != E_VNx2SFmode
          || !aarch64_sve_dup_operand (operands[1], E_SFmode))
        return -1;
      return 24;

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x5) != E_VNx2DFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_DFmode))
            return -1;
          return 25;

        case E_V2DFmode:
          if (!nonimmediate_operand (operands[1], E_V2DFmode))
            return -1;
          return 26;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern401 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (XINT (x2, 1) != 125)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != NOT)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[3] = x4;
  x5 = XEXP (x3, 0);
  operands[2] = x5;
  x6 = XEXP (x1, 1);
  operands[1] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern400 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern400 (x1, 
E_VNx8QImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern400 (x1, 
E_VNx4QImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern400 (x1, 
E_VNx2QImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern400 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern400 (x1, 
E_VNx4HImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern400 (x1, 
E_VNx2HImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern400 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern400 (x1, 
E_VNx2SImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern400 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern412 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_rshift_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern417 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern423 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern429 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V4SImode)
      || GET_MODE (x1) != E_V4SImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_V2SImode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_si (operands[2], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], E_V2SImode))
    return -1;
  return 0;
}

int
pattern434 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      x5 = XEXP (x1, 1);
      switch (GET_CODE (x5))
        {
        case CONST_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case CONST:
          return pattern425 (x1); /* [-1, 2] */

        case REG:
        case SUBREG:
          res = pattern426 (x1);
          if (res >= 0)
            return res + 3; /* [3, 5] */
          return -1;

        default:
          return -1;
        }

    case PLUS:
      x6 = XEXP (x4, 0);
      if (GET_CODE (x6) != i1)
        return -1;
      x5 = XEXP (x1, 1);
      switch (GET_CODE (x5))
        {
        case CONST_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case CONST:
          operands[4] = x5;
          x7 = XEXP (x6, 0);
          operands[1] = x7;
          x8 = XEXP (x4, 1);
          operands[3] = x8;
          x9 = XEXP (x3, 1);
          operands[2] = x9;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern427 (x1, 
E_V8HImode, 
E_V8SImode) != 0)
                return -1;
              return 6;

            case E_V8HImode:
              if (pattern428 (x1, 
E_V4SImode, 
E_V4DImode) != 0)
                return -1;
              return 7;

            case E_V4SImode:
              if (pattern429 (x1, 
E_V2DImode, 
E_V2TImode) != 0)
                return -1;
              return 8;

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          res = pattern433 (x1);
          if (res >= 0)
            return res + 9; /* [9, 11] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern453 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  x3 = XVECEXP (x1, 0, 1);
  operands[4] = x3;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  operands[2] = x4;
  x5 = XVECEXP (x1, 0, 3);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      return pattern201 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx8HFmode:
      if (pattern201 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4SFmode:
      if (pattern201 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2DFmode:
      if (pattern201 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern462 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_struct_nonimmediate_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !aarch64_sve_struct_nonimmediate_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern466 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_vsm_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern470 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  operands[3] = x3;
  x4 = XEXP (x2, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[2] = x4;
      x5 = XVECEXP (x1, 0, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern466 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8QImode:
          if (pattern466 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4QImode:
          if (pattern466 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2QImode:
          if (pattern466 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        case E_VNx8HImode:
          if (pattern466 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4HImode:
          if (pattern466 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2HImode:
          if (pattern466 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        case E_VNx4SImode:
          if (pattern466 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 7;

        case E_VNx2SImode:
          if (pattern466 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 8;

        case E_VNx2DImode:
          if (pattern466 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 9;

        case E_V2DImode:
          if (pattern466 (x1, 
E_V2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 10;

        default:
          return -1;
        }

    case UNSPEC:
      res = pattern469 (x1, 
SMAX);
      if (res >= 0)
        return res + 11; /* [11, 14] */
      return -1;

    default:
      return -1;
    }
}

int
pattern486 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  return 0;
}

int
pattern491 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XVECEXP (x2, 0, 1);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[2] = x4;
      x5 = XEXP (x1, 1);
      operands[3] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V2SImode:
          return pattern489 (x1, 
E_V2SImode, 
E_V8QImode); /* [-1, 0] */

        case E_V4SImode:
          if (pattern489 (x1, 
E_V4SImode, 
E_V16QImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (!register_operand (operands[0], E_VNx4SImode)
              || GET_MODE (x1) != E_VNx4SImode
              || GET_MODE (x2) != E_VNx4SImode
              || !register_operand (operands[3], E_VNx4SImode))
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_VNx16QImode:
              if (!register_operand (operands[1], E_VNx16QImode)
                  || !register_operand (operands[2], E_VNx16QImode))
                return -1;
              return 2;

            case E_VNx8HImode:
              if (!register_operand (operands[1], E_VNx8HImode)
                  || !register_operand (operands[2], E_VNx8HImode))
                return -1;
              return 3;

            default:
              return -1;
            }

        case E_VNx2DImode:
          if (pattern489 (x1, 
E_VNx2DImode, 
E_VNx8HImode) != 0)
            return -1;
          return 4;

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x4, 0) != 2
          || XINT (x4, 1) != 168)
        return -1;
      x6 = XVECEXP (x4, 0, 0);
      operands[2] = x6;
      x7 = XVECEXP (x4, 0, 1);
      operands[3] = x7;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      x5 = XEXP (x1, 1);
      operands[4] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx4SImode:
          res = pattern490 (x1, 
E_VNx4SImode);
          if (res >= 0)
            return res + 5; /* [5, 6] */
          return -1;

        case E_VNx2DImode:
          res = pattern490 (x1, 
E_VNx2DImode);
          if (res >= 0)
            return res + 7; /* [7, 8] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern520 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != i1)
    return -1;
  x4 = XEXP (x1, 0);
  operands[3] = x4;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  x7 = XEXP (x5, 1);
  operands[2] = x7;
  x8 = XEXP (x3, 0);
  if (!rtx_equal_p (x8, operands[1]))
    return -1;
  x9 = XEXP (x3, 1);
  if (!rtx_equal_p (x9, operands[2]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern519 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern519 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern519 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern528 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x1, 0);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern527 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern527 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern527 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern538 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[3] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[1] = x5;
  x6 = XEXP (x4, 1);
  operands[2] = x6;
  return pattern529 (x1); /* [-1, 2] */
}

int
pattern543 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[2] = x4;
  x5 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[3] = x5;
      x6 = XEXP (x1, 1);
      operands[4] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HImode:
          return pattern542 (x1, 
E_V4HImode, 
E_V8HImode); /* [-1, 0] */

        case E_V4SImode:
          if (pattern542 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
            return -1;
          return 1;

        default:
          return -1;
        }

    case VEC_SELECT:
      x7 = XEXP (x5, 1);
      if (GET_CODE (x7) != PARALLEL
          || XVECLEN (x7, 0) != 1)
        return -1;
      x8 = XEXP (x5, 0);
      operands[3] = x8;
      x9 = XVECEXP (x7, 0, 0);
      operands[4] = x9;
      if (!immediate_operand (operands[4], E_SImode))
        return -1;
      x6 = XEXP (x1, 1);
      operands[5] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x1) != E_V8HImode
              || GET_MODE (x2) != E_V4HImode
              || !register_operand (operands[1], E_V4HImode)
              || !register_operand (operands[2], E_V4HImode)
              || GET_MODE (x5) != E_HImode
              || !aarch64_simd_or_scalar_imm_zero (operands[5], E_V4HImode))
            return -1;
          switch (GET_MODE (operands[3]))
            {
            case E_V4HImode:
              if (!register_operand (operands[3], E_V4HImode))
                return -1;
              return 2;

            case E_V8HImode:
              if (!register_operand (operands[3], E_V8HImode))
                return -1;
              return 3;

            default:
              return -1;
            }

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x1) != E_V4SImode
              || GET_MODE (x2) != E_V2SImode
              || !register_operand (operands[1], E_V2SImode)
              || !register_operand (operands[2], E_V2SImode)
              || GET_MODE (x5) != E_SImode
              || !aarch64_simd_or_scalar_imm_zero (operands[5], E_V2SImode))
            return -1;
          switch (GET_MODE (operands[3]))
            {
            case E_V2SImode:
              if (!register_operand (operands[3], E_V2SImode))
                return -1;
              return 4;

            case E_V4SImode:
              if (!register_operand (operands[3], E_V4SImode))
                return -1;
              return 5;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern579 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i3)
      || !vect_par_cnst_select_half (operands[2], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !vect_par_cnst_select_half (operands[3], i1))
    return -1;
  return 0;
}

int
pattern587 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  switch (GET_MODE (x3))
    {
    case E_VNx2QImode:
      if (!aarch64_gather_scale_operand_b (operands[4], E_DImode)
          || !aarch64_maskload_else_operand (operands[8], E_VNx2QImode))
        return -1;
      return 0;

    case E_VNx2HImode:
      if (!aarch64_gather_scale_operand_h (operands[4], E_DImode)
          || !aarch64_maskload_else_operand (operands[8], E_VNx2HImode))
        return -1;
      return 1;

    case E_VNx2SImode:
      if (!aarch64_gather_scale_operand_w (operands[4], E_DImode)
          || !aarch64_maskload_else_operand (operands[8], E_VNx2SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern593 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XVECEXP (x1, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern592 (x1, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 5] */

    case E_VNx4HImode:
      res = pattern592 (x1, 
E_VNx4HImode, 
E_VNx4BImode);
      if (res >= 0)
        return res + 6; /* [6, 11] */
      return -1;

    case E_VNx2HImode:
      res = pattern592 (x1, 
E_VNx2HImode, 
E_VNx2BImode);
      if (res >= 0)
        return res + 12; /* [12, 17] */
      return -1;

    case E_VNx4SImode:
      res = pattern592 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
      if (res >= 0)
        return res + 18; /* [18, 23] */
      return -1;

    case E_VNx2SImode:
      res = pattern592 (x1, 
E_VNx2SImode, 
E_VNx2BImode);
      if (res >= 0)
        return res + 24; /* [24, 29] */
      return -1;

    case E_VNx2DImode:
      res = pattern592 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
      if (res >= 0)
        return res + 30; /* [30, 35] */
      return -1;

    default:
      return -1;
    }
}

int
pattern607 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern606 (x1, 
E_SImode); /* [-1, 5] */

    case E_DImode:
      res = pattern606 (x1, 
E_DImode);
      if (res >= 0)
        return res + 6; /* [6, 11] */
      return -1;

    default:
      return -1;
    }
}

int
pattern611 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  if (!register_operand (operands[2], i2))
    return -1;
  x4 = XEXP (x1, 1);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern618 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  if (!register_operand (operands[2], i2))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  if (!register_operand (operands[3], i2))
    return -1;
  x7 = XEXP (x1, 1);
  operands[1] = x7;
  if (!register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern624 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!const_int_operand (operands[4], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x1) != E_V4HFmode
          || GET_MODE (x2) != E_V4HFmode
          || !register_operand (operands[2], E_V4HFmode)
          || !register_operand (operands[1], E_V4HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4HFmode:
          if (!register_operand (operands[3], E_V4HFmode))
            return -1;
          return 0;

        case E_V8HFmode:
          if (!register_operand (operands[3], E_V8HFmode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x1) != E_V8HFmode
          || GET_MODE (x2) != E_V8HFmode
          || !register_operand (operands[2], E_V8HFmode)
          || !register_operand (operands[1], E_V8HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V8HFmode:
          if (!register_operand (operands[3], E_V8HFmode))
            return -1;
          return 2;

        case E_V4HFmode:
          if (!register_operand (operands[3], E_V4HFmode))
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_V2SFmode:
      if (pattern487 (x1, 
E_V2SFmode) != 0)
        return -1;
      return 4;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x1) != E_V4SFmode
          || GET_MODE (x2) != E_V4SFmode
          || !register_operand (operands[2], E_V4SFmode)
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4SFmode:
          if (!register_operand (operands[3], E_V4SFmode))
            return -1;
          return 5;

        case E_V2SFmode:
          if (!register_operand (operands[3], E_V2SFmode))
            return -1;
          return 6;

        default:
          return -1;
        }

    case E_V2DFmode:
      if (pattern487 (x1, 
E_V2DFmode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern649 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_reg_or_xor_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern655 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern658 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x5, 1);
  operands[2] = x8;
  x9 = XEXP (x3, 1);
  operands[3] = x9;
  x10 = XEXP (x1, 1);
  operands[4] = x10;
  x11 = XEXP (x4, 0);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HImode:
      return pattern657 (x1, 
E_V4HImode, 
E_V8HImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4SImode:
      if (pattern657 (x1, 
E_V2SImode, 
E_V4SImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2DImode:
      if (pattern657 (x1, 
E_DImode, 
E_V2DImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern670 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  return pattern668 (x1); /* [-1, 2] */
}

int
pattern672 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XEXP (x4, 0);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x5, 0);
  operands[2] = x8;
  x9 = XEXP (x3, 1);
  operands[3] = x9;
  x10 = XEXP (x1, 1);
  operands[4] = x10;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern671 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern671 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern671 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern678 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (GET_CODE (x2))
    {
    case CONST_INT:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case CONST:
      operands[5] = x2;
      x3 = XEXP (x1, 0);
      x4 = XEXP (x3, 0);
      x5 = XEXP (x4, 0);
      x6 = XEXP (x5, 0);
      x7 = XEXP (x6, 0);
      operands[1] = x7;
      x8 = XEXP (x6, 1);
      operands[2] = x8;
      x9 = XEXP (x5, 1);
      operands[3] = x9;
      x10 = XEXP (x4, 1);
      operands[4] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          return pattern676 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V16QImode); /* [-1, 0] */

        case E_V8HImode:
          if (pattern676 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V8HImode) != 0)
            return -1;
          return 1;

        case E_V4SImode:
          if (pattern676 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V4SImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x2;
      x3 = XEXP (x1, 0);
      x4 = XEXP (x3, 0);
      x5 = XEXP (x4, 0);
      x6 = XEXP (x5, 0);
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      x8 = XEXP (x6, 1);
      operands[3] = x8;
      x9 = XEXP (x5, 1);
      operands[4] = x9;
      x10 = XEXP (x4, 1);
      operands[5] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern677 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V16QImode) != 0)
            return -1;
          return 3;

        case E_V8HImode:
          if (pattern677 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V8HImode) != 0)
            return -1;
          return 4;

        case E_V4SImode:
          if (pattern677 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V4SImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern697 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x5, 0, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern702 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern705 (rtx x1, rtx_code i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 66
      || GET_MODE (x3) != i2)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != i1)
    return -1;
  return 0;
}

int
pattern708 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!register_operand (operands[0], E_QImode)
          || !aarch64_simd_shift_imm_qi (operands[1], E_VOIDmode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[0], E_HImode)
          || !aarch64_simd_shift_imm_hi (operands[1], E_VOIDmode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !aarch64_simd_shift_imm_si (operands[1], E_VOIDmode))
        return -1;
      return 2;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !aarch64_simd_shift_imm_di (operands[1], E_VOIDmode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern716 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], E_VNx8BImode)
      || !aarch64_sve_ld1ro_operand_h (operands[1], E_OImode))
    return -1;
  return 0;
}

int
pattern720 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern726 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_SImode:
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[2], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern730 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i2)
      || !immediate_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern735 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_reg_or_zero (operands[1], i1)
      || !aarch64_borrow_operation (operands[2], i1))
    return -1;
  return 0;
}

int
pattern741 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern743 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_imm24 (operands[2], i1))
    return -1;
  return 0;
}

int
pattern749 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sminmax_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern752 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern756 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern764 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XEXP (x3, 0);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  x7 = XEXP (x5, 1);
  operands[3] = x7;
  x8 = XEXP (x4, 0);
  if (!rtx_equal_p (x8, operands[2]))
    return -1;
  x9 = XEXP (x4, 1);
  if (!rtx_equal_p (x9, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern763 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern763 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern763 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern774 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[4] = x3;
  x4 = XVECEXP (x2, 0, 1);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern622 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern622 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern622 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern622 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern785 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern791 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[3], i3)
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern800 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[2] = x4;
      x5 = XVECEXP (x2, 0, 0);
      operands[4] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx2QImode:
          return pattern799 (x1, 
E_VNx2QImode); /* [-1, 0] */

        case E_VNx2HImode:
          if (pattern799 (x1, 
E_VNx2HImode) != 0)
            return -1;
          return 1;

        case E_VNx2SImode:
          if (pattern799 (x1, 
E_VNx2SImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern799 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 3;

        case E_VNx4QImode:
          if (pattern799 (x1, 
E_VNx4QImode) != 0)
            return -1;
          return 4;

        case E_VNx4HImode:
          if (pattern799 (x1, 
E_VNx4HImode) != 0)
            return -1;
          return 5;

        case E_VNx4SImode:
          if (pattern799 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 6;

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x4, 0) != 2
          || XINT (x4, 1) != 125
          || GET_MODE (x4) != E_VNx2DImode)
        return -1;
      x6 = XVECEXP (x4, 0, 1);
      if (GET_CODE (x6) != SIGN_EXTEND
          || GET_MODE (x6) != E_VNx2DImode)
        return -1;
      x7 = XEXP (x6, 0);
      if (GET_CODE (x7) != TRUNCATE
          || GET_MODE (x7) != E_VNx2SImode
          || !register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode
          || GET_MODE (x2) != E_VNx2DImode)
        return -1;
      x5 = XVECEXP (x2, 0, 0);
      operands[4] = x5;
      if (GET_MODE (x3) != E_VNx2DImode)
        return -1;
      x8 = XVECEXP (x4, 0, 0);
      operands[5] = x8;
      x9 = XEXP (x7, 0);
      operands[2] = x9;
      if (!register_operand (operands[2], E_VNx2DImode)
          || !const_1_to_3_operand (operands[3], E_VNx2DImode)
          || !register_operand (operands[1], E_VNx2DImode))
        return -1;
      return 7;

    case AND:
      if (GET_MODE (x4) != E_VNx2DImode
          || !register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode
          || GET_MODE (x2) != E_VNx2DImode)
        return -1;
      x5 = XVECEXP (x2, 0, 0);
      operands[5] = x5;
      if (GET_MODE (x3) != E_VNx2DImode)
        return -1;
      x10 = XEXP (x4, 0);
      operands[2] = x10;
      if (!register_operand (operands[2], E_VNx2DImode))
        return -1;
      x11 = XEXP (x4, 1);
      operands[4] = x11;
      if (!aarch64_sve_uxtw_immediate (operands[4], E_VNx2DImode)
          || !const_1_to_3_operand (operands[3], E_VNx2DImode)
          || !register_operand (operands[1], E_VNx2DImode))
        return -1;
      return 8;

    default:
      return -1;
    }
}

int
pattern843 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      if (!rtx_equal_p (x5, operands[2]))
        return -1;
      x6 = XVECEXP (x2, 0, 0);
      operands[4] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          return pattern841 (x1, 
E_VNx16QImode, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx4SImode:
          if (pattern841 (x1, 
E_VNx8HImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 1;

        case E_VNx2DImode:
          if (pattern841 (x1, 
E_VNx4SImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      operands[4] = x5;
      x6 = XVECEXP (x2, 0, 0);
      operands[5] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          if (pattern842 (x1, 
E_VNx8HImode, 
E_VNx16QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 3;

        case E_VNx4SImode:
          if (pattern842 (x1, 
E_VNx4SImode, 
E_VNx8HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 4;

        case E_VNx2DImode:
          if (pattern842 (x1, 
E_VNx2DImode, 
E_VNx4SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern863 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      if (!rtx_equal_p (x5, operands[2]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern861 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern861 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern861 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern861 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      operands[4] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern862 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 4;

        case E_VNx8HImode:
          if (pattern862 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 5;

        case E_VNx4SImode:
          if (pattern862 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 6;

        case E_VNx2DImode:
          if (pattern862 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern881 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_imm_zero (operands[2], i1)
      || !aarch64_simd_imm_minus_one (operands[3], i1))
    return -1;
  return 0;
}

int
pattern887 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern892 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  x3 = XEXP (x1, 2);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern898 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_lshift_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern904 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern911 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != PLUS)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_CODE (x7) != i1)
    return -1;
  x8 = XEXP (x2, 0);
  if (GET_MODE (x8) != E_CC_NZmode
      || GET_MODE (x3) != E_CC_NZmode)
    return -1;
  x9 = XEXP (x3, 0);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  operands[1] = x11;
  x12 = XEXP (x10, 1);
  operands[2] = x12;
  x13 = XEXP (x9, 1);
  operands[3] = x13;
  return pattern910 (x1); /* [-1, 1] */
}

int
pattern920 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_reg_or_zero (operands[1], i1)
      || GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != MINUS
      || GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!aarch64_general_reg (operands[0], i1))
    return -1;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  x5 = XEXP (x2, 1);
  if (!rtx_equal_p (x5, operands[2]))
    return -1;
  return 0;
}

int
pattern924 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (peep2_current_count < 4
      || !register_operand (operands[0], i1)
      || !memory_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !memory_operand (operands[3], i1)
      || GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 0);
  operands[4] = x2;
  if (!register_operand (operands[4], i1))
    return -1;
  x3 = XEXP (x1, 1);
  return pattern923 (x3, 
i1); /* [-1, 0] */
}

int
pattern930 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx8BImode:
      if (!register_operand (operands[1], E_VNx8BImode))
        return -1;
      return 0;

    case E_VNx4BImode:
      if (!register_operand (operands[1], E_VNx4BImode))
        return -1;
      return 1;

    case E_VNx2BImode:
      if (!register_operand (operands[1], E_VNx2BImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern939 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern946 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[4] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SImode:
          return pattern945 (x1, 
E_HImode, 
E_SImode, 
E_V4SImode, 
E_V8HImode, 
E_V4HImode); /* [-1, 0] */

        case E_V2DImode:
          if (pattern945 (x1, 
E_SImode, 
E_DImode, 
E_V2DImode, 
E_V4SImode, 
E_V2SImode) != 0)
            return -1;
          return 1;

        default:
          return -1;
        }

    case VEC_SELECT:
      x6 = XEXP (x5, 1);
      if (GET_CODE (x6) != PARALLEL
          || XVECLEN (x6, 0) != 1)
        return -1;
      x7 = XEXP (x5, 0);
      operands[4] = x7;
      x8 = XVECEXP (x6, 0, 0);
      operands[5] = x8;
      if (!immediate_operand (operands[5], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x1) != E_V4SImode
              || !register_operand (operands[1], E_V4SImode)
              || GET_MODE (x2) != E_V4SImode)
            return -1;
          x9 = XEXP (x2, 0);
          if (GET_MODE (x9) != E_V4SImode)
            return -1;
          x10 = XEXP (x9, 0);
          if (GET_MODE (x10) != E_V4HImode
              || !register_operand (operands[2], E_V8HImode)
              || !vect_par_cnst_hi_half (operands[3], E_V8HImode)
              || GET_MODE (x3) != E_V4SImode
              || GET_MODE (x4) != E_SImode
              || GET_MODE (x5) != E_HImode)
            return -1;
          switch (GET_MODE (operands[4]))
            {
            case E_V4HImode:
              if (!register_operand (operands[4], E_V4HImode))
                return -1;
              return 2;

            case E_V8HImode:
              if (!register_operand (operands[4], E_V8HImode))
                return -1;
              return 3;

            default:
              return -1;
            }

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x1) != E_V2DImode
              || !register_operand (operands[1], E_V2DImode)
              || GET_MODE (x2) != E_V2DImode)
            return -1;
          x9 = XEXP (x2, 0);
          if (GET_MODE (x9) != E_V2DImode)
            return -1;
          x10 = XEXP (x9, 0);
          if (GET_MODE (x10) != E_V2SImode
              || !register_operand (operands[2], E_V4SImode)
              || !vect_par_cnst_hi_half (operands[3], E_V4SImode)
              || GET_MODE (x3) != E_V2DImode
              || GET_MODE (x4) != E_DImode
              || GET_MODE (x5) != E_SImode)
            return -1;
          switch (GET_MODE (operands[4]))
            {
            case E_V2SImode:
              if (!register_operand (operands[4], E_V2SImode))
                return -1;
              return 4;

            case E_V4SImode:
              if (!register_operand (operands[4], E_V4SImode))
                return -1;
              return 5;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern978 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  operands[5] = x1;
  if (!aarch64_reg_or_zero (operands[5], i1))
    return -1;
  x2 = PATTERN (peep2_next_insn (3));
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 0);
  operands[6] = x3;
  if (!memory_operand (operands[6], i1))
    return -1;
  x4 = XEXP (x2, 1);
  operands[7] = x4;
  if (!aarch64_reg_or_zero (operands[7], i1))
    return -1;
  return 0;
}

int
pattern983 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern989 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_lshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern994 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1002 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !register_operand (operands[2], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !register_operand (operands[2], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1007 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1016 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!const_int_operand (operands[4], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x1) != E_V8HFmode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4HFmode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[2], E_V4HFmode)
          || !register_operand (operands[1], E_V4HFmode)
          || !aarch64_simd_or_scalar_imm_zero (operands[5], E_V4HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4HFmode:
          if (!register_operand (operands[3], E_V4HFmode))
            return -1;
          return 0;

        case E_V8HFmode:
          if (!register_operand (operands[3], E_V8HFmode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x1) != E_V4SFmode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2SFmode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[2], E_V2SFmode)
          || !register_operand (operands[3], E_V2SFmode)
          || !register_operand (operands[1], E_V2SFmode)
          || !aarch64_simd_or_scalar_imm_zero (operands[5], E_V2SFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1034 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1032 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1032 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1032 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1032 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x1, 0, 2);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x5, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          if (pattern1033 (x1, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx8HFmode:
          if (pattern1033 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 5;

        case E_VNx4SFmode:
          if (pattern1033 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 6;

        case E_VNx2DFmode:
          if (pattern1033 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1056 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x1) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode))
        return -1;
      return 0;

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x1) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1066 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i2)
      || !aarch64_int_rnd_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1076 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1083 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  operands[1] = x4;
  if (!aarch64_sve_ptrue_svpattern_immediate (operands[1], E_VNx16BImode))
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != UNSPEC
      || XVECLEN (x5, 0) != 2
      || XINT (x5, 1) != 128
      || GET_MODE (x5) != E_VNx16BImode)
    return -1;
  x6 = XVECEXP (x3, 0, 0);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 1);
  operands[3] = x7;
  x8 = XVECEXP (x5, 0, 0);
  operands[4] = x8;
  if (!const_int_operand (operands[4], E_SImode))
    return -1;
  x9 = XVECEXP (x5, 0, 1);
  operands[5] = x9;
  if (!aarch64_simd_imm_zero (operands[5], E_VNx16BImode))
    return -1;
  x10 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x10))
    {
    case SET:
      x11 = XEXP (x10, 0);
      operands[0] = x11;
      if (!register_operand (operands[0], E_VNx16BImode))
        return -1;
      x12 = XEXP (x10, 1);
      if (!rtx_equal_p (x12, operands[1]))
        return -1;
      return 0;

    case CLOBBER:
      x11 = XEXP (x10, 0);
      operands[0] = x11;
      if (!scratch_operand (operands[0], E_VNx16BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1097 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (operands[2]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1032 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1032 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1032 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1032 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1096 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4SFmode:
          if (pattern1096 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2DFmode:
          if (pattern1096 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1111 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (!rtx_equal_p (x3, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern837 (x1, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 2] */

    case E_VNx4SImode:
      res = pattern837 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DImode:
      res = pattern837 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
      if (res >= 0)
        return res + 6; /* [6, 8] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1121 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (XVECLEN (x1, 0) != 2
      || XINT (x1, 1) != 125
      || GET_MODE (x1) != E_VNx2DImode
      || !register_operand (operands[5], E_VNx2BImode))
    return -1;
  return 0;
}

int
pattern1126 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XEXP (x2, 0);
  x6 = XVECEXP (x5, 0, 1);
  x7 = XEXP (x6, 0);
  operands[2] = x7;
  x8 = XEXP (x6, 1);
  operands[3] = x8;
  x9 = XEXP (x4, 0);
  if (!rtx_equal_p (x9, operands[2]))
    return -1;
  x10 = XEXP (x4, 1);
  if (!rtx_equal_p (x10, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern1125 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern1125 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern1125 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern1125 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1140 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1150 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i3))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1159 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_V8QImode:
      if (!register_operand (operands[2], E_V8QImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[2], E_V16QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1169 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1173 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i3))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i3
      || !register_operand (operands[2], i4))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i3)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1181 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_reg_or_zero (operands[1], i1)
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (!rtx_equal_p (x2, operands[1]))
    return -1;
  x3 = XEXP (x1, 1);
  if (!rtx_equal_p (x3, operands[2]))
    return -1;
  return 0;
}

int
pattern1187 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !aarch64_sync_memory_operand (operands[1], i1)
      || !aarch64_logical_operand (operands[2], i1))
    return -1;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern1197 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[0], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x5 = XEXP (x1, 1);
  if (GET_MODE (x5) != i2)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern1202 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4, machine_mode i5)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i5
      || !register_operand (operands[2], i4)
      || !vect_par_cnst_hi_half (operands[4], i4))
    return -1;
  x6 = XEXP (x3, 1);
  return pattern1171 (x6, 
i1, 
i2, 
i3); /* [-1, 0] */
}

int
pattern1211 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1217 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1224 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i2)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1231 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i4)
      || GET_MODE (x1) != i4
      || !register_operand (operands[1], i3))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_int_rnd_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1239 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XVECEXP (x4, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x6))
    {
    case SET:
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != UNSPEC
          || XVECLEN (x7, 0) != 3
          || XINT (x7, 1) != i1)
        return -1;
      x8 = XEXP (x6, 0);
      operands[0] = x8;
      x9 = XVECEXP (x7, 0, 0);
      if (!rtx_equal_p (x9, operands[4]))
        return -1;
      x10 = XVECEXP (x7, 0, 1);
      if (!rtx_equal_p (x10, operands[5]))
        return -1;
      x11 = XVECEXP (x7, 0, 2);
      if (!rtx_equal_p (x11, operands[6]))
        return -1;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (!register_operand (operands[6], E_VNx16BImode)
              || !register_operand (operands[0], E_VNx16BImode)
              || GET_MODE (x7) != E_VNx16BImode)
            return -1;
          return 0;

        case E_VNx8BImode:
          if (!register_operand (operands[6], E_VNx8BImode)
              || !register_operand (operands[0], E_VNx8BImode)
              || GET_MODE (x7) != E_VNx8BImode)
            return -1;
          return 1;

        case E_VNx4BImode:
          if (!register_operand (operands[6], E_VNx4BImode)
              || !register_operand (operands[0], E_VNx4BImode)
              || GET_MODE (x7) != E_VNx4BImode)
            return -1;
          return 2;

        case E_VNx2BImode:
          if (!register_operand (operands[6], E_VNx2BImode)
              || !register_operand (operands[0], E_VNx2BImode)
              || GET_MODE (x7) != E_VNx2BImode)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CLOBBER:
      x8 = XEXP (x6, 0);
      operands[0] = x8;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (!register_operand (operands[6], E_VNx16BImode)
              || !scratch_operand (operands[0], E_VNx16BImode))
            return -1;
          return 4;

        case E_VNx8BImode:
          if (!register_operand (operands[6], E_VNx8BImode)
              || !scratch_operand (operands[0], E_VNx8BImode))
            return -1;
          return 5;

        case E_VNx4BImode:
          if (!register_operand (operands[6], E_VNx4BImode)
              || !scratch_operand (operands[0], E_VNx4BImode))
            return -1;
          return 6;

        case E_VNx2BImode:
          if (!register_operand (operands[6], E_VNx2BImode)
              || !scratch_operand (operands[0], E_VNx2BImode))
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1275 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_qi (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1282 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 1);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[0], i1))
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 1);
  if (GET_MODE (x7) != i1)
    return -1;
  return 0;
}

int
pattern1292 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  return 0;
}

int
pattern1296 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_gather_scale_operand_h (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[7], i1))
    return -1;
  return 0;
}

int
pattern1301 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 5);
  operands[7] = x2;
  x3 = XVECEXP (x1, 0, 2);
  x4 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x4))
    {
    case SIGN_EXTEND:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          return pattern1300 (x1); /* [-1, 7] */

        case TRUNCATE:
          if (GET_MODE (x5) != E_VNx2SImode)
            return -1;
          x6 = XEXP (x5, 0);
          operands[2] = x6;
          if (!register_operand (operands[2], E_VNx2DImode))
            return -1;
          res = pattern1299 (x1);
          if (res >= 0)
            return res + 8; /* [8, 15] */
          return -1;

        default:
          return -1;
        }

    case ZERO_EXTEND:
      res = pattern1300 (x1);
      if (res >= 0)
        return res + 16; /* [16, 23] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1314 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx32QImode:
      if (!aligned_register_operand (operands[2], E_VNx32QImode)
          || !aligned_register_operand (operands[3], E_VNx32QImode))
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!aligned_register_operand (operands[2], E_VNx64QImode)
          || !aligned_register_operand (operands[3], E_VNx64QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1320 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx4QImode:
      if (!register_operand (operands[2], E_VNx4QImode)
          || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx4QImode))
        return -1;
      return 0;

    case E_VNx4HImode:
      if (!register_operand (operands[2], E_VNx4HImode)
          || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx4HImode))
        return -1;
      return 1;

    case E_VNx4SImode:
      if (!register_operand (operands[2], E_VNx4SImode)
          || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1329 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[2], i1)
      || pattern1327 (x1, 
i1, 
i2) != 0)
    return -1;
  return 0;
}

int
pattern1334 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_gather_scale_operand_d (operands[4], E_DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode)
        return -1;
      return 0;

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x1) != E_VNx2DFmode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1341 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[3]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[3], E_V4HFmode)
          || !aarch64_imm2 (operands[5], E_SImode))
        return -1;
      return 0;

    case E_V8HFmode:
      if (!register_operand (operands[3], E_V8HFmode)
          || !aarch64_lane_imm3 (operands[5], E_SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1346 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BFmode:
      if (!aligned_register_operand (operands[2], E_VNx16BFmode)
          || GET_MODE (x1) != E_VNx16BFmode
          || !register_operand (operands[3], E_VNx8BFmode))
        return -1;
      return 0;

    case E_VNx32BFmode:
      if (!aligned_register_operand (operands[2], E_VNx32BFmode)
          || GET_MODE (x1) != E_VNx32BFmode
          || !register_operand (operands[3], E_VNx8BFmode))
        return -1;
      return 1;

    case E_VNx16HFmode:
      if (!aligned_register_operand (operands[2], E_VNx16HFmode)
          || GET_MODE (x1) != E_VNx16HFmode
          || !register_operand (operands[3], E_VNx8HFmode))
        return -1;
      return 2;

    case E_VNx32HFmode:
      if (!aligned_register_operand (operands[2], E_VNx32HFmode)
          || GET_MODE (x1) != E_VNx32HFmode
          || !register_operand (operands[3], E_VNx8HFmode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1359 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_simd_register (operands[0], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1
      || !memory_operand (operands[4], i2)
      || !aarch64_simd_register (operands[1], i1))
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  x5 = XEXP (x4, 1);
  if (GET_MODE (x5) != i1
      || !aarch64_simd_register (operands[2], i1))
    return -1;
  x6 = XVECEXP (x1, 0, 2);
  x7 = XEXP (x6, 1);
  if (GET_MODE (x7) != i1
      || !aarch64_simd_register (operands[3], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 3);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  return 0;
}

 int
recog_6 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  operands[6] = x3;
  if (!subreg_lowpart_operator (operands[6], E_SImode))
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != ZERO_EXTRACT
      || GET_MODE (x4) != E_DImode
      || !register_operand (operands[0], E_SImode)
      || GET_MODE (x2) != E_SImode)
    return -1;
  x5 = XEXP (x2, 0);
  if (GET_MODE (x5) != E_SImode)
    return -1;
  x6 = XEXP (x5, 0);
  operands[1] = x6;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x7 = XEXP (x5, 1);
  operands[2] = x7;
  if (!const_int_operand (operands[2], E_SImode))
    return -1;
  x8 = XEXP (x4, 0);
  operands[3] = x8;
  if (!register_operand (operands[3], E_DImode))
    return -1;
  x9 = XEXP (x4, 1);
  operands[4] = x9;
  if (!aarch64_simd_shift_imm_si (operands[4], E_SImode))
    return -1;
  x10 = XEXP (x4, 2);
  operands[5] = x10;
  if (!aarch64_simd_shift_imm_si (operands[5], E_SImode)
      || !
#line 6600 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == HOST_WIDE_INT_M1U << INTVAL (operands[4])
   && INTVAL (operands[4])
   && UINTVAL (operands[4]) + UINTVAL (operands[5]) <= 32))
    return -1;
  return 850; /* *aarch64_bfxilsi_extrdi */
}

 int
recog_13 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V3x16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x16QImode)
          || GET_MODE (x3) != E_V3x16QImode
          || !register_operand (operands[1], E_V3x16QImode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4483; /* aarch64_simd_st3v16qi */

    case E_V3x8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8HImode)
          || GET_MODE (x3) != E_V3x8HImode
          || !register_operand (operands[1], E_V3x8HImode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4484; /* aarch64_simd_st3v8hi */

    case E_V3x4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4SImode)
          || GET_MODE (x3) != E_V3x4SImode
          || !register_operand (operands[1], E_V3x4SImode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4485; /* aarch64_simd_st3v4si */

    case E_V3x2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2DImode)
          || GET_MODE (x3) != E_V3x2DImode
          || !register_operand (operands[1], E_V3x2DImode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4486; /* aarch64_simd_st3v2di */

    case E_V3x8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8HFmode)
          || GET_MODE (x3) != E_V3x8HFmode
          || !register_operand (operands[1], E_V3x8HFmode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4487; /* aarch64_simd_st3v8hf */

    case E_V3x4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4SFmode)
          || GET_MODE (x3) != E_V3x4SFmode
          || !register_operand (operands[1], E_V3x4SFmode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4488; /* aarch64_simd_st3v4sf */

    case E_V3x2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2DFmode)
          || GET_MODE (x3) != E_V3x2DFmode
          || !register_operand (operands[1], E_V3x2DFmode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4489; /* aarch64_simd_st3v2df */

    case E_V3x8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8BFmode)
          || GET_MODE (x3) != E_V3x8BFmode
          || !register_operand (operands[1], E_V3x8BFmode)
          || !
#line 7717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4490; /* aarch64_simd_st3v8bf */

    case E_V3x8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8QImode)
          || GET_MODE (x3) != E_V3x8QImode
          || !register_operand (operands[1], E_V3x8QImode)
          || !
#line 8707 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5094; /* aarch64_st3v8qi_dreg */

    case E_V3x4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4HImode)
          || GET_MODE (x3) != E_V3x4HImode
          || !register_operand (operands[1], E_V3x4HImode)
          || !
#line 8707 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5095; /* aarch64_st3v4hi_dreg */

    case E_V3x2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2SImode)
          || GET_MODE (x3) != E_V3x2SImode
          || !register_operand (operands[1], E_V3x2SImode)
          || !
#line 8707 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5096; /* aarch64_st3v2si_dreg */

    case E_V3x4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4HFmode)
          || GET_MODE (x3) != E_V3x4HFmode
          || !register_operand (operands[1], E_V3x4HFmode)
          || !
#line 8707 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5097; /* aarch64_st3v4hf_dreg */

    case E_V3x2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2SFmode)
          || GET_MODE (x3) != E_V3x2SFmode
          || !register_operand (operands[1], E_V3x2SFmode)
          || !
#line 8707 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5098; /* aarch64_st3v2sf_dreg */

    case E_V3x4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4BFmode)
          || GET_MODE (x3) != E_V3x4BFmode
          || !register_operand (operands[1], E_V3x4BFmode)
          || !
#line 8707 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5099; /* aarch64_st3v4bf_dreg */

    case E_V3x1DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x1DImode)
          || GET_MODE (x3) != E_V3x1DImode
          || !register_operand (operands[1], E_V3x1DImode)
          || !
#line 8717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5100; /* aarch64_st3di_dreg */

    case E_V3x1DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x1DFmode)
          || GET_MODE (x3) != E_V3x1DFmode
          || !register_operand (operands[1], E_V3x1DFmode)
          || !
#line 8717 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5101; /* aarch64_st3df_dreg */

    default:
      return -1;
    }
}

 int
recog_17 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  if (!aarch64_simd_struct_operand (operands[1], E_BLKmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V4x8QImode:
      if (!register_operand (operands[0], E_V4x8QImode)
          || GET_MODE (x3) != E_V4x8QImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4515; /* aarch64_simd_ld4rv8qi */

    case E_V4x4HImode:
      if (!register_operand (operands[0], E_V4x4HImode)
          || GET_MODE (x3) != E_V4x4HImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4516; /* aarch64_simd_ld4rv4hi */

    case E_V4x2SImode:
      if (!register_operand (operands[0], E_V4x2SImode)
          || GET_MODE (x3) != E_V4x2SImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4517; /* aarch64_simd_ld4rv2si */

    case E_V4x1DImode:
      if (!register_operand (operands[0], E_V4x1DImode)
          || GET_MODE (x3) != E_V4x1DImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4518; /* aarch64_simd_ld4rdi */

    case E_V4x4HFmode:
      if (!register_operand (operands[0], E_V4x4HFmode)
          || GET_MODE (x3) != E_V4x4HFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4519; /* aarch64_simd_ld4rv4hf */

    case E_V4x2SFmode:
      if (!register_operand (operands[0], E_V4x2SFmode)
          || GET_MODE (x3) != E_V4x2SFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4520; /* aarch64_simd_ld4rv2sf */

    case E_V4x1DFmode:
      if (!register_operand (operands[0], E_V4x1DFmode)
          || GET_MODE (x3) != E_V4x1DFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4521; /* aarch64_simd_ld4rdf */

    case E_V4x4BFmode:
      if (!register_operand (operands[0], E_V4x4BFmode)
          || GET_MODE (x3) != E_V4x4BFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4522; /* aarch64_simd_ld4rv4bf */

    case E_V4x16QImode:
      if (!register_operand (operands[0], E_V4x16QImode)
          || GET_MODE (x3) != E_V4x16QImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4523; /* aarch64_simd_ld4rv16qi */

    case E_V4x8HImode:
      if (!register_operand (operands[0], E_V4x8HImode)
          || GET_MODE (x3) != E_V4x8HImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4524; /* aarch64_simd_ld4rv8hi */

    case E_V4x4SImode:
      if (!register_operand (operands[0], E_V4x4SImode)
          || GET_MODE (x3) != E_V4x4SImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4525; /* aarch64_simd_ld4rv4si */

    case E_V4x2DImode:
      if (!register_operand (operands[0], E_V4x2DImode)
          || GET_MODE (x3) != E_V4x2DImode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4526; /* aarch64_simd_ld4rv2di */

    case E_V4x8HFmode:
      if (!register_operand (operands[0], E_V4x8HFmode)
          || GET_MODE (x3) != E_V4x8HFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4527; /* aarch64_simd_ld4rv8hf */

    case E_V4x4SFmode:
      if (!register_operand (operands[0], E_V4x4SFmode)
          || GET_MODE (x3) != E_V4x4SFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4528; /* aarch64_simd_ld4rv4sf */

    case E_V4x2DFmode:
      if (!register_operand (operands[0], E_V4x2DFmode)
          || GET_MODE (x3) != E_V4x2DFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4529; /* aarch64_simd_ld4rv2df */

    case E_V4x8BFmode:
      if (!register_operand (operands[0], E_V4x8BFmode)
          || GET_MODE (x3) != E_V4x8BFmode
          || !
#line 7772 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4530; /* aarch64_simd_ld4rv8bf */

    default:
      return -1;
    }
}

 int
recog_23 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V3x8QImode:
      if (!register_operand (operands[0], E_V3x8QImode)
          || GET_MODE (x3) != E_V3x8QImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x8QImode)
          || !
#line 8403 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4797; /* aarch64_ld3v8qi_dreg */

    case E_V3x4HImode:
      if (!register_operand (operands[0], E_V3x4HImode)
          || GET_MODE (x3) != E_V3x4HImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4HImode)
          || !
#line 8403 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4798; /* aarch64_ld3v4hi_dreg */

    case E_V3x2SImode:
      if (!register_operand (operands[0], E_V3x2SImode)
          || GET_MODE (x3) != E_V3x2SImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2SImode)
          || !
#line 8403 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4799; /* aarch64_ld3v2si_dreg */

    case E_V3x4HFmode:
      if (!register_operand (operands[0], E_V3x4HFmode)
          || GET_MODE (x3) != E_V3x4HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4HFmode)
          || !
#line 8403 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4800; /* aarch64_ld3v4hf_dreg */

    case E_V3x2SFmode:
      if (!register_operand (operands[0], E_V3x2SFmode)
          || GET_MODE (x3) != E_V3x2SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x2SFmode)
          || !
#line 8403 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4801; /* aarch64_ld3v2sf_dreg */

    case E_V3x4BFmode:
      if (!register_operand (operands[0], E_V3x4BFmode)
          || GET_MODE (x3) != E_V3x4BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x4BFmode)
          || !
#line 8403 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4802; /* aarch64_ld3v4bf_dreg */

    case E_V3x1DImode:
      if (!register_operand (operands[0], E_V3x1DImode)
          || GET_MODE (x3) != E_V3x1DImode
          || !aarch64_simd_struct_operand (operands[1], E_V3x1DImode)
          || !
#line 8413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4803; /* aarch64_ld3di_dreg */

    case E_V3x1DFmode:
      if (!register_operand (operands[0], E_V3x1DFmode)
          || GET_MODE (x3) != E_V3x1DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V3x1DFmode)
          || !
#line 8413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4804; /* aarch64_ld3df_dreg */

    default:
      return -1;
    }
}

 int
recog_28 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1611; /* aarch64_absv8qi */

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1614; /* aarch64_absv16qi */

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x3) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1615; /* aarch64_absv4hi */

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x3) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1618; /* aarch64_absv8hi */

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1619; /* aarch64_absv2si */

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1622; /* aarch64_absv4si */

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x3) != E_V2DImode
          || !register_operand (operands[1], E_V2DImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1623; /* aarch64_absv2di */

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DImode)
          || !
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1624; /* aarch64_absdi */

    default:
      return -1;
    }
}

 int
recog_36 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode)
          || !(
#line 8847 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 5148; /* aarch64_frecpxhf */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 8847 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5149; /* aarch64_frecpxsf */

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode)
          || !
#line 8847 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5150; /* aarch64_frecpxdf */

    default:
      return -1;
    }
}

 int
recog_42 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern70 (x1))
    {
    case 0:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12842; /* aarch64_sve_zipqvnx64qi */

    case 1:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12844; /* aarch64_sve_zipqvnx32hi */

    case 2:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12846; /* aarch64_sve_zipqvnx16si */

    case 3:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12848; /* aarch64_sve_zipqvnx8di */

    case 4:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12850; /* aarch64_sve_zipqvnx32bf */

    case 5:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12852; /* aarch64_sve_zipqvnx32hf */

    case 6:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12854; /* aarch64_sve_zipqvnx16sf */

    case 7:
      if (!
#line 3903 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12856; /* aarch64_sve_zipqvnx8df */

    default:
      return -1;
    }
}

 int
recog_49 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !aarch64_valid_symref (operands[1], E_SImode)
          || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
        return -1;
      return 1116; /* ldr_got_tiny_si */

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !aarch64_valid_symref (operands[1], E_DImode)
          || !
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
        return -1;
      return 1117; /* ldr_got_tiny_di */

    default:
      return -1;
    }
}

 int
recog_55 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern66 (x1))
    {
    case 0:
      if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10757; /* aarch64_sve_uunpklo_vnx16qi */

    case 1:
      if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10761; /* aarch64_sve_uunpklo_vnx8hi */

    case 2:
      if (!
#line 9370 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10765; /* aarch64_sve_uunpklo_vnx4si */

    case 3:
      if (!
#line 10036 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10904; /* aarch64_sve_punpklo_vnx16bi */

    case 4:
      if (!
#line 10036 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10906; /* aarch64_sve_punpklo_vnx8bi */

    case 5:
      if (!
#line 10036 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10908; /* aarch64_sve_punpklo_vnx4bi */

    default:
      return -1;
    }
}

 int
recog_63 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[2] = x4;
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern464 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6535; /* aarch64_pred_one_cmplvnx16qi */

        case E_VNx8QImode:
          if (pattern464 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6544; /* aarch64_pred_one_cmplvnx8qi */

        case E_VNx4QImode:
          if (pattern464 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6553; /* aarch64_pred_one_cmplvnx4qi */

        case E_VNx2QImode:
          if (pattern464 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6562; /* aarch64_pred_one_cmplvnx2qi */

        case E_VNx8HImode:
          if (pattern464 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6571; /* aarch64_pred_one_cmplvnx8hi */

        case E_VNx4HImode:
          if (pattern464 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6580; /* aarch64_pred_one_cmplvnx4hi */

        case E_VNx2HImode:
          if (pattern464 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6589; /* aarch64_pred_one_cmplvnx2hi */

        case E_VNx4SImode:
          if (pattern464 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6598; /* aarch64_pred_one_cmplvnx4si */

        case E_VNx2SImode:
          if (pattern464 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6607; /* aarch64_pred_one_cmplvnx2si */

        case E_VNx2DImode:
          if (pattern464 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6616; /* aarch64_pred_one_cmplvnx2di */

        case E_V8QImode:
          if (pattern464 (x2, 
E_V8QImode, 
E_VNx8BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6625; /* aarch64_pred_one_cmplv8qi */

        case E_V16QImode:
          if (pattern464 (x2, 
E_V16QImode, 
E_VNx16BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6634; /* aarch64_pred_one_cmplv16qi */

        case E_V4HImode:
          if (pattern464 (x2, 
E_V4HImode, 
E_VNx4BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6643; /* aarch64_pred_one_cmplv4hi */

        case E_V8HImode:
          if (pattern464 (x2, 
E_V8HImode, 
E_VNx8BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6652; /* aarch64_pred_one_cmplv8hi */

        case E_V2SImode:
          if (pattern464 (x2, 
E_V2SImode, 
E_VNx2BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6661; /* aarch64_pred_one_cmplv2si */

        case E_V4SImode:
          if (pattern464 (x2, 
E_V4SImode, 
E_VNx4BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6670; /* aarch64_pred_one_cmplv4si */

        case E_V2DImode:
          if (pattern464 (x2, 
E_V2DImode, 
E_VNx2BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6679; /* aarch64_pred_one_cmplv2di */

        case E_V1DImode:
          if (pattern464 (x2, 
E_V1DImode, 
E_VNx2BImode) != 0
              || !
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6688; /* aarch64_pred_one_cmplv1di */

        default:
          return -1;
        }

    case XOR:
      switch (pattern595 (x2))
        {
        case 0:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11874; /* *aarch64_sve2_nbslvnx16qi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11875; /* *aarch64_sve2_nbslvnx16qi */

        case 1:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11876; /* *aarch64_sve2_nbslvnx8hi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11877; /* *aarch64_sve2_nbslvnx8hi */

        case 2:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11878; /* *aarch64_sve2_nbslvnx4si */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11879; /* *aarch64_sve2_nbslvnx4si */

        case 3:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11880; /* *aarch64_sve2_nbslvnx2di */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11881; /* *aarch64_sve2_nbslvnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_70 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern465 (x2))
    {
    case 0:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6538; /* aarch64_pred_popcountvnx16qi */

    case 1:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6547; /* aarch64_pred_popcountvnx8qi */

    case 2:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6556; /* aarch64_pred_popcountvnx4qi */

    case 3:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6565; /* aarch64_pred_popcountvnx2qi */

    case 4:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6574; /* aarch64_pred_popcountvnx8hi */

    case 5:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6583; /* aarch64_pred_popcountvnx4hi */

    case 6:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6592; /* aarch64_pred_popcountvnx2hi */

    case 7:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6601; /* aarch64_pred_popcountvnx4si */

    case 8:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6610; /* aarch64_pred_popcountvnx2si */

    case 9:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6619; /* aarch64_pred_popcountvnx2di */

    case 10:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6628; /* aarch64_pred_popcountv8qi */

    case 11:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6637; /* aarch64_pred_popcountv16qi */

    case 12:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6646; /* aarch64_pred_popcountv4hi */

    case 13:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6655; /* aarch64_pred_popcountv8hi */

    case 14:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6664; /* aarch64_pred_popcountv2si */

    case 15:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6673; /* aarch64_pred_popcountv4si */

    case 16:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6682; /* aarch64_pred_popcountv2di */

    case 17:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6691; /* aarch64_pred_popcountv1di */

    default:
      return -1;
    }
}

 int
recog_74 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XVECEXP (x3, 0, 1);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_HFmode:
              if (pattern75 (x3, 
E_HFmode) != 0
                  || !(
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
                return -1;
              return 1087; /* fminhf3 */

            case E_SFmode:
              if (pattern75 (x3, 
E_SFmode) != 0
                  || !
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return -1;
              return 1091; /* fminsf3 */

            case E_DFmode:
              if (pattern75 (x3, 
E_DFmode) != 0
                  || !
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return -1;
              return 1095; /* fmindf3 */

            case E_V4HFmode:
              if (pattern75 (x3, 
E_V4HFmode) != 0
                  || !(
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 2675; /* fminv4hf3 */

            case E_V8HFmode:
              if (pattern119 (x3, 
E_V8HFmode, 
E_V8HFmode) != 0
                  || !(
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 2681; /* fminv8hf3 */

            case E_V2SFmode:
              if (pattern75 (x3, 
E_V2SFmode) != 0
                  || !
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2691; /* fminv2sf3 */

            case E_V4SFmode:
              if (pattern75 (x3, 
E_V4SFmode) != 0
                  || !
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2697; /* fminv4sf3 */

            case E_V2DFmode:
              if (pattern75 (x3, 
E_V2DFmode) != 0
                  || !
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2701; /* fminv2df3 */

            case E_VNx16BFmode:
              if (pattern76 (x3, 
E_VNx16BFmode) != 0
                  || !(
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return -1;
              return 12216; /* *aarch64_sve_fminnmvnx16bf */

            case E_VNx32BFmode:
              if (pattern76 (x3, 
E_VNx32BFmode) != 0
                  || !(
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return -1;
              return 12220; /* *aarch64_sve_fminnmvnx32bf */

            case E_VNx16HFmode:
              if (pattern76 (x3, 
E_VNx16HFmode) != 0
                  || !
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12224; /* *aarch64_sve_fminnmvnx16hf */

            case E_VNx8SFmode:
              if (pattern76 (x3, 
E_VNx8SFmode) != 0
                  || !
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12228; /* *aarch64_sve_fminnmvnx8sf */

            case E_VNx4DFmode:
              if (pattern76 (x3, 
E_VNx4DFmode) != 0
                  || !
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12232; /* *aarch64_sve_fminnmvnx4df */

            case E_VNx32HFmode:
              if (pattern76 (x3, 
E_VNx32HFmode) != 0
                  || !
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12236; /* *aarch64_sve_fminnmvnx32hf */

            case E_VNx16SFmode:
              if (pattern76 (x3, 
E_VNx16SFmode) != 0
                  || !
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12240; /* *aarch64_sve_fminnmvnx16sf */

            case E_VNx8DFmode:
              if (pattern76 (x3, 
E_VNx8DFmode) != 0
                  || !
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12244; /* *aarch64_sve_fminnmvnx8df */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          switch (pattern78 (x3))
            {
            case 0:
              if (!(
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return -1;
              return 12248; /* aarch64_sve_single_fminnmvnx16bf */

            case 1:
              if (!(
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return -1;
              return 12252; /* aarch64_sve_single_fminnmvnx32bf */

            case 2:
              if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12256; /* aarch64_sve_single_fminnmvnx16hf */

            case 3:
              if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12260; /* aarch64_sve_single_fminnmvnx8sf */

            case 4:
              if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12264; /* aarch64_sve_single_fminnmvnx4df */

            case 5:
              if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12268; /* aarch64_sve_single_fminnmvnx32hf */

            case 6:
              if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12272; /* aarch64_sve_single_fminnmvnx16sf */

            case 7:
              if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 12276; /* aarch64_sve_single_fminnmvnx8df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x4, 0) != 2
          || XINT (x4, 1) != 277)
        return -1;
      x6 = XVECEXP (x4, 0, 0);
      operands[1] = x6;
      x7 = XVECEXP (x4, 0, 1);
      switch (GET_CODE (x7))
        {
        case REG:
        case SUBREG:
          operands[2] = x7;
          x5 = XVECEXP (x3, 0, 1);
          operands[3] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx8BFmode:
              if (pattern1046 (x3, 
E_VNx8BFmode) != 0
                  || !
#line 491 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16))
                return -1;
              return 11779; /* aarch64_sve_fclampvnx8bf */

            case E_VNx8HFmode:
              if (pattern1046 (x3, 
E_VNx8HFmode) != 0
                  || !
#line 492 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 11780; /* aarch64_sve_fclampvnx8hf */

            case E_VNx4SFmode:
              if (pattern1046 (x3, 
E_VNx4SFmode) != 0
                  || !
#line 493 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 11781; /* aarch64_sve_fclampvnx4sf */

            case E_VNx2DFmode:
              if (pattern1046 (x3, 
E_VNx2DFmode) != 0
                  || !
#line 494 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
                return -1;
              return 11782; /* aarch64_sve_fclampvnx2df */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x5 = XVECEXP (x3, 0, 1);
          if (GET_CODE (x5) != VEC_DUPLICATE)
            return -1;
          x8 = XEXP (x7, 0);
          operands[2] = x8;
          x9 = XEXP (x5, 0);
          operands[3] = x9;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16BFmode:
              if (pattern1107 (x3, 
E_VNx8BFmode, 
E_VNx16BFmode) != 0
                  || !(
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return -1;
              return 11787; /* aarch64_sve_fclamp_singlevnx16bf */

            case E_VNx32BFmode:
              if (pattern1107 (x3, 
E_VNx8BFmode, 
E_VNx32BFmode) != 0
                  || !(
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return -1;
              return 11788; /* aarch64_sve_fclamp_singlevnx32bf */

            case E_VNx16HFmode:
              if (pattern1107 (x3, 
E_VNx8HFmode, 
E_VNx16HFmode) != 0
                  || !
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 11789; /* aarch64_sve_fclamp_singlevnx16hf */

            case E_VNx8SFmode:
              if (pattern1107 (x3, 
E_VNx4SFmode, 
E_VNx8SFmode) != 0
                  || !
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 11790; /* aarch64_sve_fclamp_singlevnx8sf */

            case E_VNx4DFmode:
              if (pattern1107 (x3, 
E_VNx2DFmode, 
E_VNx4DFmode) != 0
                  || !
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 11791; /* aarch64_sve_fclamp_singlevnx4df */

            case E_VNx32HFmode:
              if (pattern1107 (x3, 
E_VNx8HFmode, 
E_VNx32HFmode) != 0
                  || !
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 11792; /* aarch64_sve_fclamp_singlevnx32hf */

            case E_VNx16SFmode:
              if (pattern1107 (x3, 
E_VNx4SFmode, 
E_VNx16SFmode) != 0
                  || !
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 11793; /* aarch64_sve_fclamp_singlevnx16sf */

            case E_VNx8DFmode:
              if (pattern1107 (x3, 
E_VNx2DFmode, 
E_VNx8DFmode) != 0
                  || !
#line 1422 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 11794; /* aarch64_sve_fclamp_singlevnx8df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_80 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern104 (x1))
    {
    case 0:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4842; /* aarch64_uzp1v8qi */

    case 1:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4852; /* aarch64_uzp1v16qi */

    case 2:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4866; /* aarch64_uzp1v4hi */

    case 3:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4876; /* aarch64_uzp1v8hi */

    case 4:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4890; /* aarch64_uzp1v2si */

    case 5:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4900; /* aarch64_uzp1v4si */

    case 6:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4906; /* aarch64_uzp1v2di */

    case 7:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4920; /* aarch64_uzp1v4hf */

    case 8:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4930; /* aarch64_uzp1v8hf */

    case 9:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4944; /* aarch64_uzp1v4bf */

    case 10:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4954; /* aarch64_uzp1v8bf */

    case 11:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4968; /* aarch64_uzp1v2sf */

    case 12:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4978; /* aarch64_uzp1v4sf */

    case 13:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4984; /* aarch64_uzp1v2df */

    case 14:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10455; /* aarch64_sve_uzp1vnx16qi */

    case 15:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10465; /* aarch64_sve_uzp1vnx8qi */

    case 16:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10475; /* aarch64_sve_uzp1vnx4qi */

    case 17:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10485; /* aarch64_sve_uzp1vnx2qi */

    case 18:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10495; /* aarch64_sve_uzp1vnx8hi */

    case 19:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10505; /* aarch64_sve_uzp1vnx4hi */

    case 20:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10515; /* aarch64_sve_uzp1vnx2hi */

    case 21:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10525; /* aarch64_sve_uzp1vnx4si */

    case 22:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10535; /* aarch64_sve_uzp1vnx2si */

    case 23:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10545; /* aarch64_sve_uzp1vnx2di */

    case 24:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10555; /* aarch64_sve_uzp1vnx8hf */

    case 25:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10565; /* aarch64_sve_uzp1vnx4hf */

    case 26:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10575; /* aarch64_sve_uzp1vnx2hf */

    case 27:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10585; /* aarch64_sve_uzp1vnx8bf */

    case 28:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10595; /* aarch64_sve_uzp1vnx4bf */

    case 29:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10605; /* aarch64_sve_uzp1vnx2bf */

    case 30:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10615; /* aarch64_sve_uzp1vnx4sf */

    case 31:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10625; /* aarch64_sve_uzp1vnx2sf */

    case 32:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10635; /* aarch64_sve_uzp1vnx2df */

    case 33:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10716; /* aarch64_sve_uzp1vnx16bi */

    case 34:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10722; /* aarch64_sve_uzp1vnx8bi */

    case 35:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10728; /* aarch64_sve_uzp1vnx4bi */

    case 36:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10734; /* aarch64_sve_uzp1vnx2bi */

    default:
      return -1;
    }
}

 int
recog_87 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!const_int_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x3) != E_VNx16QImode
          || !register_operand (operands[1], E_VNx16QImode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (8 / 8), 0, 15)))
        return -1;
      return 12754; /* aarch64_sve_dupqvnx16qi */

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode
          || !register_operand (operands[1], E_VNx8HImode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (16 / 8), 0, 15)))
        return -1;
      return 12755; /* aarch64_sve_dupqvnx8hi */

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x3) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4SImode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (32 / 8), 0, 15)))
        return -1;
      return 12756; /* aarch64_sve_dupqvnx4si */

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x3) != E_VNx2DImode
          || !register_operand (operands[1], E_VNx2DImode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (64 / 8), 0, 15)))
        return -1;
      return 12757; /* aarch64_sve_dupqvnx2di */

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x3) != E_VNx8BFmode
          || !register_operand (operands[1], E_VNx8BFmode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (16 / 8), 0, 15)))
        return -1;
      return 12758; /* aarch64_sve_dupqvnx8bf */

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x3) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (16 / 8), 0, 15)))
        return -1;
      return 12759; /* aarch64_sve_dupqvnx8hf */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (32 / 8), 0, 15)))
        return -1;
      return 12760; /* aarch64_sve_dupqvnx4sf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2DFmode)
          || !
#line 3804 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1
   && TARGET_NON_STREAMING
   && IN_RANGE (INTVAL (operands[2]) * (64 / 8), 0, 15)))
        return -1;
      return 12761; /* aarch64_sve_dupqvnx2df */

    default:
      return -1;
    }
}

 int
recog_93 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern79 (x1))
    {
    case 0:
      if (!(
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 1086; /* fmaxhf3 */

    case 1:
      if (!
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1090; /* fmaxsf3 */

    case 2:
      if (!
#line 7428 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1094; /* fmaxdf3 */

    case 3:
      if (!(
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2672; /* fmaxv4hf3 */

    case 4:
      if (!(
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2680; /* fmaxv8hf3 */

    case 5:
      if (!
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2688; /* fmaxv2sf3 */

    case 6:
      if (!
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2696; /* fmaxv4sf3 */

    case 7:
      if (!
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2700; /* fmaxv2df3 */

    case 8:
      if (!(
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12214; /* *aarch64_sve_fmaxnmvnx16bf */

    case 9:
      if (!(
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12218; /* *aarch64_sve_fmaxnmvnx32bf */

    case 10:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12222; /* *aarch64_sve_fmaxnmvnx16hf */

    case 11:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12226; /* *aarch64_sve_fmaxnmvnx8sf */

    case 12:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12230; /* *aarch64_sve_fmaxnmvnx4df */

    case 13:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12234; /* *aarch64_sve_fmaxnmvnx32hf */

    case 14:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12238; /* *aarch64_sve_fmaxnmvnx16sf */

    case 15:
      if (!
#line 2515 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12242; /* *aarch64_sve_fmaxnmvnx8df */

    case 16:
      if (!(
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12246; /* aarch64_sve_single_fmaxnmvnx16bf */

    case 17:
      if (!(
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12250; /* aarch64_sve_single_fmaxnmvnx32bf */

    case 18:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12254; /* aarch64_sve_single_fmaxnmvnx16hf */

    case 19:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12258; /* aarch64_sve_single_fmaxnmvnx8sf */

    case 20:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12262; /* aarch64_sve_single_fmaxnmvnx4df */

    case 21:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12266; /* aarch64_sve_single_fmaxnmvnx32hf */

    case 22:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12270; /* aarch64_sve_single_fmaxnmvnx16sf */

    case 23:
      if (!
#line 2526 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12274; /* aarch64_sve_single_fmaxnmvnx8df */

    default:
      return -1;
    }
}

 int
recog_101 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern116 (x1))
    {
    case 0:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10458; /* aarch64_sve_uzpq2vnx16qi */

    case 1:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10468; /* aarch64_sve_uzpq2vnx8qi */

    case 2:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10478; /* aarch64_sve_uzpq2vnx4qi */

    case 3:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10488; /* aarch64_sve_uzpq2vnx2qi */

    case 4:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10498; /* aarch64_sve_uzpq2vnx8hi */

    case 5:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10508; /* aarch64_sve_uzpq2vnx4hi */

    case 6:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10518; /* aarch64_sve_uzpq2vnx2hi */

    case 7:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10528; /* aarch64_sve_uzpq2vnx4si */

    case 8:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10538; /* aarch64_sve_uzpq2vnx2si */

    case 9:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10548; /* aarch64_sve_uzpq2vnx2di */

    case 10:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10558; /* aarch64_sve_uzpq2vnx8hf */

    case 11:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10568; /* aarch64_sve_uzpq2vnx4hf */

    case 12:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10578; /* aarch64_sve_uzpq2vnx2hf */

    case 13:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10588; /* aarch64_sve_uzpq2vnx8bf */

    case 14:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10598; /* aarch64_sve_uzpq2vnx4bf */

    case 15:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10608; /* aarch64_sve_uzpq2vnx2bf */

    case 16:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10618; /* aarch64_sve_uzpq2vnx4sf */

    case 17:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10628; /* aarch64_sve_uzpq2vnx2sf */

    case 18:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10638; /* aarch64_sve_uzpq2vnx2df */

    default:
      return -1;
    }
}

 int
recog_112 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern86 (x1))
    {
    case 0:
      if (!(
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5151; /* aarch64_frecpsv4hf */

    case 1:
      if (!(
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5152; /* aarch64_frecpsv8hf */

    case 2:
      if (!
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5153; /* aarch64_frecpsv2sf */

    case 3:
      if (!
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5154; /* aarch64_frecpsv4sf */

    case 4:
      if (!
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5155; /* aarch64_frecpsv2df */

    case 5:
      if (!(
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5156; /* aarch64_frecpshf */

    case 6:
      if (!
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5157; /* aarch64_frecpssf */

    case 7:
      if (!
#line 8858 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5158; /* aarch64_frecpsdf */

    case 8:
      if (!
#line 5408 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8475; /* aarch64_sve_frecpsvnx8hf */

    case 9:
      if (!
#line 5408 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8477; /* aarch64_sve_frecpsvnx4sf */

    case 10:
      if (!
#line 5408 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8479; /* aarch64_sve_frecpsvnx2df */

    default:
      return -1;
    }
}

 int
recog_122 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern89 (x1))
    {
    case 0:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2106; /* aarch64_umaxpv8qi */

    case 1:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2118; /* aarch64_umaxpv16qi */

    case 2:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2122; /* aarch64_umaxpv4hi */

    case 3:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2134; /* aarch64_umaxpv8hi */

    case 4:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2138; /* aarch64_umaxpv2si */

    case 5:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2150; /* aarch64_umaxpv4si */

    case 6:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10335; /* aarch64_pred_reduc_umax_vnx16qi */

    case 7:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10342; /* aarch64_pred_reduc_umax_vnx8hi */

    case 8:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10349; /* aarch64_pred_reduc_umax_vnx4si */

    case 9:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10356; /* aarch64_pred_reduc_umax_vnx2di */

    default:
      return -1;
    }
}

 int
recog_130 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern138 (x1))
    {
    case 0:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12794; /* aarch64_sve_zipvnx32qi */

    case 1:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12796; /* aarch64_sve_zipvnx16hi */

    case 2:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12798; /* aarch64_sve_zipvnx8si */

    case 3:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12800; /* aarch64_sve_zipvnx4di */

    case 4:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12802; /* aarch64_sve_zipvnx16bf */

    case 5:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12804; /* aarch64_sve_zipvnx16hf */

    case 6:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12806; /* aarch64_sve_zipvnx8sf */

    case 7:
      if (!
#line 3875 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12808; /* aarch64_sve_zipvnx4df */

    default:
      return -1;
    }
}

 int
recog_140 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern109 (x1))
    {
    case 0:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6517; /* extract_after_last_vnx16qi */

    case 1:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6519; /* extract_after_last_vnx8hi */

    case 2:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6521; /* extract_after_last_vnx4si */

    case 3:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6523; /* extract_after_last_vnx2di */

    case 4:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6525; /* extract_after_last_vnx8bf */

    case 5:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6527; /* extract_after_last_vnx8hf */

    case 6:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6529; /* extract_after_last_vnx4sf */

    case 7:
      if (!
#line 3112 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6531; /* extract_after_last_vnx2df */

    default:
      return -1;
    }
}

 int
recog_150 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern74 (x1))
    {
    case 0:
      return 1027; /* scvtfsi3 */

    case 1:
      return 1029; /* scvtfdi3 */

    case 2:
      if (!
#line 7223 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1035; /* scvtfsihf3 */

    case 3:
      if (!
#line 7223 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1037; /* scvtfdihf3 */

    case 4:
      if (!
#line 7243 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 1041; /* scvtfhi3 */

    case 5:
      if (!(
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 291 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2628; /* scvtfv4hi3 */

    case 6:
      if (!(
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 292 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2630; /* scvtfv8hi3 */

    case 7:
      if (!
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2632; /* scvtfv2si3 */

    case 8:
      if (!
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2634; /* scvtfv4si3 */

    case 9:
      if (!
#line 3136 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2636; /* scvtfv2di3 */

    default:
      return -1;
    }
}

 int
recog_161 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern123 (x1))
    {
    case 0:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12064; /* aarch64_sve_umulltvnx8hi */

    case 1:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12085; /* aarch64_sve_umulltvnx4si */

    case 2:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12106; /* aarch64_sve_umulltvnx2di */

    case 3:
      if (!
#line 2283 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12114; /* aarch64_sve_umullt_lane_vnx4si */

    case 4:
      if (!
#line 2283 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12120; /* aarch64_sve_umullt_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_171 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern129 (x1))
    {
    case 0:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12860; /* aarch64_sve_bgrpvnx16qi */

    case 1:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12863; /* aarch64_sve_bgrpvnx8hi */

    case 2:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12866; /* aarch64_sve_bgrpvnx4si */

    case 3:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12869; /* aarch64_sve_bgrpvnx2di */

    default:
      return -1;
    }
}

 int
recog_181 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern135 (x1))
    {
    case 0:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12692; /* aarch64_pred_reduc_andqv_vnx16qi */

    case 1:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12700; /* aarch64_pred_reduc_andqv_vnx8hi */

    case 2:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12708; /* aarch64_pred_reduc_andqv_vnx4si */

    case 3:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12716; /* aarch64_pred_reduc_andqv_vnx2di */

    default:
      return -1;
    }
}

 int
recog_192 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern107 (x1))
    {
    case 0:
      if (!
#line 10079 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5303; /* aarch64_f1cvtlv8hf */

    case 1:
      if (!
#line 10079 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5305; /* aarch64_f1cvtlv8bf */

    case 2:
      if (!
#line 10092 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5307; /* aarch64_f1cvtlv8hf_high */

    case 3:
      if (!
#line 10092 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FP8))
        return -1;
      return 5309; /* aarch64_f1cvtlv8bf_high */

    default:
      return -1;
    }
}

 int
recog_201 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  switch (XWINT (x4, 0))
    {
    case 0L:
      switch (pattern1110 (x2))
        {
        case 0:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10787; /* *cond_fixuns_trunc_nontruncvnx8hfvnx8hi_relaxed */
          break;

        case 1:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10789; /* *cond_fixuns_trunc_nontruncvnx4sfvnx8hi_relaxed */
          break;

        case 2:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10791; /* *cond_fixuns_trunc_nontruncvnx2dfvnx8hi_relaxed */
          break;

        case 3:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10793; /* *cond_fixuns_trunc_nontruncvnx8hfvnx4si_relaxed */
          break;

        case 4:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10795; /* *cond_fixuns_trunc_nontruncvnx4sfvnx4si_relaxed */
          break;

        case 5:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10797; /* *cond_fixuns_trunc_nontruncvnx2dfvnx4si_relaxed */
          break;

        case 6:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10799; /* *cond_fixuns_trunc_nontruncvnx8hfvnx2di_relaxed */
          break;

        case 7:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10801; /* *cond_fixuns_trunc_nontruncvnx4sfvnx2di_relaxed */
          break;

        case 8:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10803; /* *cond_fixuns_trunc_nontruncvnx2dfvnx2di_relaxed */
          break;

        default:
          break;
        }
      break;

    case 1L:
      switch (pattern1111 (x2))
        {
        case 0:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10805; /* *cond_fixuns_trunc_nontruncvnx8hfvnx8hi_strict */
          break;

        case 1:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10807; /* *cond_fixuns_trunc_nontruncvnx4sfvnx8hi_strict */
          break;

        case 2:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10809; /* *cond_fixuns_trunc_nontruncvnx2dfvnx8hi_strict */
          break;

        case 3:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10811; /* *cond_fixuns_trunc_nontruncvnx8hfvnx4si_strict */
          break;

        case 4:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10813; /* *cond_fixuns_trunc_nontruncvnx4sfvnx4si_strict */
          break;

        case 5:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10815; /* *cond_fixuns_trunc_nontruncvnx2dfvnx4si_strict */
          break;

        case 6:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10817; /* *cond_fixuns_trunc_nontruncvnx8hfvnx2di_strict */
          break;

        case 7:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10819; /* *cond_fixuns_trunc_nontruncvnx4sfvnx2di_strict */
          break;

        case 8:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10821; /* *cond_fixuns_trunc_nontruncvnx2dfvnx2di_strict */
          break;

        default:
          break;
        }
      break;

    default:
      break;
    }
  if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
      || pattern1112 (x2, 
E_VNx2DFmode, 
E_VNx4SImode) != 0
      || !
#line 9516 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
    return -1;
  return 10823; /* *cond_fixuns_trunc_truncvnx2dfvnx4si */
}

 int
recog_211 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11746; /* *cond_uqshlvnx16qi_2 */
    }
  if (register_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11754; /* *cond_uqshlvnx16qi_3 */
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))))
    return -1;
  return 11762; /* *cond_uqshlvnx16qi_any */
}

 int
recog_218 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11609; /* *cond_urshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11654; /* *cond_urshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11694; /* *cond_urshlvnx8hi_any */
}

 int
recog_224 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11631; /* *cond_uqrshlvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11672; /* *cond_uqrshlvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11712; /* *cond_uqrshlvnx2di_any */
}

 int
recog_233 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11617; /* *cond_uhaddvnx4si_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11660; /* *cond_uhaddvnx4si_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11700; /* *cond_uhaddvnx4si_any */
}

 int
recog_243 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11590; /* *cond_srhaddvnx16qi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11638; /* *cond_srhaddvnx16qi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11678; /* *cond_srhaddvnx16qi_any */
}

 int
recog_253 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern850 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8359; /* *cond_asrdvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8399; /* *cond_asrdvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8363; /* *cond_asrdvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8403; /* *cond_asrdvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8367; /* *cond_asrdvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8407; /* *cond_asrdvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8371; /* *cond_asrdvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8411; /* *cond_asrdvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8375; /* *cond_asrdvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8415; /* *cond_asrdvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8379; /* *cond_asrdvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8419; /* *cond_asrdvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8383; /* *cond_asrdvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8423; /* *cond_asrdvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8387; /* *cond_asrdvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8427; /* *cond_asrdvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8391; /* *cond_asrdvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8431; /* *cond_asrdvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8395; /* *cond_asrdvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8435; /* *cond_asrdvnx2di_any */

    case 10:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8360; /* *cond_sqshluvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8400; /* *cond_sqshluvnx16qi_any */

    case 11:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8364; /* *cond_sqshluvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8404; /* *cond_sqshluvnx8qi_any */

    case 12:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8368; /* *cond_sqshluvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8408; /* *cond_sqshluvnx4qi_any */

    case 13:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8372; /* *cond_sqshluvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8412; /* *cond_sqshluvnx2qi_any */

    case 14:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8376; /* *cond_sqshluvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8416; /* *cond_sqshluvnx8hi_any */

    case 15:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8380; /* *cond_sqshluvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8420; /* *cond_sqshluvnx4hi_any */

    case 16:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8384; /* *cond_sqshluvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8424; /* *cond_sqshluvnx2hi_any */

    case 17:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8388; /* *cond_sqshluvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8428; /* *cond_sqshluvnx4si_any */

    case 18:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8392; /* *cond_sqshluvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8432; /* *cond_sqshluvnx2si_any */

    case 19:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8396; /* *cond_sqshluvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8436; /* *cond_sqshluvnx2di_any */

    case 20:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8361; /* *cond_srshrvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8401; /* *cond_srshrvnx16qi_any */

    case 21:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8365; /* *cond_srshrvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8405; /* *cond_srshrvnx8qi_any */

    case 22:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8369; /* *cond_srshrvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8409; /* *cond_srshrvnx4qi_any */

    case 23:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8373; /* *cond_srshrvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8413; /* *cond_srshrvnx2qi_any */

    case 24:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8377; /* *cond_srshrvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8417; /* *cond_srshrvnx8hi_any */

    case 25:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8381; /* *cond_srshrvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8421; /* *cond_srshrvnx4hi_any */

    case 26:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8385; /* *cond_srshrvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8425; /* *cond_srshrvnx2hi_any */

    case 27:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8389; /* *cond_srshrvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8429; /* *cond_srshrvnx4si_any */

    case 28:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8393; /* *cond_srshrvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8433; /* *cond_srshrvnx2si_any */

    case 29:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8397; /* *cond_srshrvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8437; /* *cond_srshrvnx2di_any */

    case 30:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8362; /* *cond_urshrvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8402; /* *cond_urshrvnx16qi_any */

    case 31:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8366; /* *cond_urshrvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8406; /* *cond_urshrvnx8qi_any */

    case 32:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8370; /* *cond_urshrvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8410; /* *cond_urshrvnx4qi_any */

    case 33:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8374; /* *cond_urshrvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8414; /* *cond_urshrvnx2qi_any */

    case 34:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8378; /* *cond_urshrvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8418; /* *cond_urshrvnx8hi_any */

    case 35:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8382; /* *cond_urshrvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8422; /* *cond_urshrvnx4hi_any */

    case 36:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8386; /* *cond_urshrvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8426; /* *cond_urshrvnx2hi_any */

    case 37:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8390; /* *cond_urshrvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8430; /* *cond_urshrvnx4si_any */

    case 38:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8394; /* *cond_urshrvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8434; /* *cond_urshrvnx2si_any */

    case 39:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8398; /* *cond_urshrvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 5135 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8438; /* *cond_urshrvnx2di_any */

    case 40:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11587; /* *cond_shaddvnx16qi_2 */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11635; /* *cond_shaddvnx16qi_3 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 11675; /* *cond_shaddvnx16qi_any */

    case 41:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11599; /* *cond_shaddvnx8hi_2 */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11645; /* *cond_shaddvnx8hi_3 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 11685; /* *cond_shaddvnx8hi_any */

    case 42:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11611; /* *cond_shaddvnx4si_2 */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11655; /* *cond_shaddvnx4si_3 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 11695; /* *cond_shaddvnx4si_any */

    case 43:
      return recog_252 (x1, insn, pnum_clobbers);

    case 44:
      return recog_251 (x1, insn, pnum_clobbers);

    case 45:
      return recog_250 (x1, insn, pnum_clobbers);

    case 46:
      return recog_249 (x1, insn, pnum_clobbers);

    case 47:
      return recog_248 (x1, insn, pnum_clobbers);

    case 48:
      return recog_247 (x1, insn, pnum_clobbers);

    case 49:
      return recog_246 (x1, insn, pnum_clobbers);

    case 50:
      return recog_245 (x1, insn, pnum_clobbers);

    case 51:
      return recog_244 (x1, insn, pnum_clobbers);

    case 52:
      return recog_243 (x1, insn, pnum_clobbers);

    case 53:
      return recog_242 (x1, insn, pnum_clobbers);

    case 54:
      return recog_241 (x1, insn, pnum_clobbers);

    case 55:
      return recog_240 (x1, insn, pnum_clobbers);

    case 56:
      return recog_239 (x1, insn, pnum_clobbers);

    case 57:
      return recog_238 (x1, insn, pnum_clobbers);

    case 58:
      return recog_237 (x1, insn, pnum_clobbers);

    case 59:
      return recog_236 (x1, insn, pnum_clobbers);

    case 60:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11592; /* *cond_suqaddvnx16qi_2 */

    case 61:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11604; /* *cond_suqaddvnx8hi_2 */

    case 62:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11616; /* *cond_suqaddvnx4si_2 */

    case 63:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11628; /* *cond_suqaddvnx2di_2 */

    case 64:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11715; /* *cond_suqaddvnx16qi_z */

    case 65:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11717; /* *cond_suqaddvnx8hi_z */

    case 66:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11719; /* *cond_suqaddvnx4si_z */

    case 67:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11721; /* *cond_suqaddvnx2di_z */

    case 68:
      return recog_235 (x1, insn, pnum_clobbers);

    case 69:
      return recog_234 (x1, insn, pnum_clobbers);

    case 70:
      return recog_233 (x1, insn, pnum_clobbers);

    case 71:
      return recog_232 (x1, insn, pnum_clobbers);

    case 72:
      return recog_231 (x1, insn, pnum_clobbers);

    case 73:
      return recog_230 (x1, insn, pnum_clobbers);

    case 74:
      return recog_229 (x1, insn, pnum_clobbers);

    case 75:
      return recog_228 (x1, insn, pnum_clobbers);

    case 76:
      return recog_227 (x1, insn, pnum_clobbers);

    case 77:
      return recog_226 (x1, insn, pnum_clobbers);

    case 78:
      return recog_225 (x1, insn, pnum_clobbers);

    case 79:
      return recog_224 (x1, insn, pnum_clobbers);

    case 80:
      return recog_223 (x1, insn, pnum_clobbers);

    case 81:
      return recog_222 (x1, insn, pnum_clobbers);

    case 82:
      return recog_221 (x1, insn, pnum_clobbers);

    case 83:
      return recog_220 (x1, insn, pnum_clobbers);

    case 84:
      return recog_219 (x1, insn, pnum_clobbers);

    case 85:
      return recog_218 (x1, insn, pnum_clobbers);

    case 86:
      return recog_217 (x1, insn, pnum_clobbers);

    case 87:
      return recog_216 (x1, insn, pnum_clobbers);

    case 88:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11598; /* *cond_usqaddvnx16qi_2 */

    case 89:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11610; /* *cond_usqaddvnx8hi_2 */

    case 90:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11622; /* *cond_usqaddvnx4si_2 */

    case 91:
      if (!
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11634; /* *cond_usqaddvnx2di_2 */

    case 92:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11716; /* *cond_usqaddvnx16qi_z */

    case 93:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11718; /* *cond_usqaddvnx8hi_z */

    case 94:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11720; /* *cond_usqaddvnx4si_z */

    case 95:
      if (!
#line 1135 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11722; /* *cond_usqaddvnx2di_z */

    case 96:
      return recog_215 (x1, insn, pnum_clobbers);

    case 97:
      return recog_214 (x1, insn, pnum_clobbers);

    case 98:
      return recog_213 (x1, insn, pnum_clobbers);

    case 99:
      return recog_212 (x1, insn, pnum_clobbers);

    case 100:
      return recog_211 (x1, insn, pnum_clobbers);

    case 101:
      return recog_210 (x1, insn, pnum_clobbers);

    case 102:
      return recog_209 (x1, insn, pnum_clobbers);

    case 103:
      return recog_208 (x1, insn, pnum_clobbers);

    case 104:
      if (!
#line 3503 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12589; /* *cond_urecpevnx4si */

    case 105:
      if (!
#line 3503 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12590; /* *cond_ursqrtevnx4si */

    default:
      return -1;
    }
}

 int
recog_280 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern724 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7454; /* *cond_ussubvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7624; /* *cond_ussubvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7794; /* *cond_ussubvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7471; /* *cond_ussubvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7641; /* *cond_ussubvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7811; /* *cond_ussubvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7488; /* *cond_ussubvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7658; /* *cond_ussubvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7828; /* *cond_ussubvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7505; /* *cond_ussubvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7675; /* *cond_ussubvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7845; /* *cond_ussubvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7522; /* *cond_ussubvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7692; /* *cond_ussubvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7862; /* *cond_ussubvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7539; /* *cond_ussubvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7709; /* *cond_ussubvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7879; /* *cond_ussubvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7556; /* *cond_ussubvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7726; /* *cond_ussubvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7896; /* *cond_ussubvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7573; /* *cond_ussubvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7743; /* *cond_ussubvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7913; /* *cond_ussubvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7590; /* *cond_ussubvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7760; /* *cond_ussubvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7930; /* *cond_ussubvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7607; /* *cond_ussubvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7777; /* *cond_ussubvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7947; /* *cond_ussubvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_287 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern724 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7443; /* *cond_sminvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7613; /* *cond_sminvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7783; /* *cond_sminvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7460; /* *cond_sminvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7630; /* *cond_sminvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7800; /* *cond_sminvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7477; /* *cond_sminvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7647; /* *cond_sminvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7817; /* *cond_sminvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7494; /* *cond_sminvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7664; /* *cond_sminvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7834; /* *cond_sminvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7511; /* *cond_sminvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7681; /* *cond_sminvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7851; /* *cond_sminvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7528; /* *cond_sminvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7698; /* *cond_sminvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7868; /* *cond_sminvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7545; /* *cond_sminvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7715; /* *cond_sminvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7885; /* *cond_sminvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7562; /* *cond_sminvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7732; /* *cond_sminvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7902; /* *cond_sminvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7579; /* *cond_sminvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7749; /* *cond_sminvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7919; /* *cond_sminvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7596; /* *cond_sminvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7766; /* *cond_sminvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7936; /* *cond_sminvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_297 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      x5 = XVECEXP (x3, 0, 1);
      switch (GET_CODE (x5))
        {
        case VEC_DUPLICATE:
          return recog_273 (x1, insn, pnum_clobbers);

        case ABS:
          switch (pattern599 (x3))
            {
            case 0:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6695; /* *cond_absvnx16qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6785; /* *cond_absvnx16qi_any */

            case 1:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6704; /* *cond_absvnx8qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6794; /* *cond_absvnx8qi_any */

            case 2:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6713; /* *cond_absvnx4qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6803; /* *cond_absvnx4qi_any */

            case 3:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6722; /* *cond_absvnx2qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6812; /* *cond_absvnx2qi_any */

            case 4:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6731; /* *cond_absvnx8hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6821; /* *cond_absvnx8hi_any */

            case 5:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6740; /* *cond_absvnx4hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6830; /* *cond_absvnx4hi_any */

            case 6:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6749; /* *cond_absvnx2hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6839; /* *cond_absvnx2hi_any */

            case 7:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6758; /* *cond_absvnx4si_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6848; /* *cond_absvnx4si_any */

            case 8:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6767; /* *cond_absvnx2si_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2SImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6857; /* *cond_absvnx2si_any */

            case 9:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6776; /* *cond_absvnx2di_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6866; /* *cond_absvnx2di_any */

            default:
              return -1;
            }

        case NEG:
          switch (pattern599 (x3))
            {
            case 0:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6696; /* *cond_negvnx16qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6786; /* *cond_negvnx16qi_any */

            case 1:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6705; /* *cond_negvnx8qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6795; /* *cond_negvnx8qi_any */

            case 2:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6714; /* *cond_negvnx4qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6804; /* *cond_negvnx4qi_any */

            case 3:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6723; /* *cond_negvnx2qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6813; /* *cond_negvnx2qi_any */

            case 4:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6732; /* *cond_negvnx8hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6822; /* *cond_negvnx8hi_any */

            case 5:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6741; /* *cond_negvnx4hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6831; /* *cond_negvnx4hi_any */

            case 6:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6750; /* *cond_negvnx2hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6840; /* *cond_negvnx2hi_any */

            case 7:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6759; /* *cond_negvnx4si_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6849; /* *cond_negvnx4si_any */

            case 8:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6768; /* *cond_negvnx2si_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2SImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6858; /* *cond_negvnx2si_any */

            case 9:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6777; /* *cond_negvnx2di_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6867; /* *cond_negvnx2di_any */

            default:
              return -1;
            }

        case NOT:
          switch (pattern599 (x3))
            {
            case 0:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6697; /* *cond_one_cmplvnx16qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6787; /* *cond_one_cmplvnx16qi_any */

            case 1:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6706; /* *cond_one_cmplvnx8qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6796; /* *cond_one_cmplvnx8qi_any */

            case 2:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6715; /* *cond_one_cmplvnx4qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6805; /* *cond_one_cmplvnx4qi_any */

            case 3:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6724; /* *cond_one_cmplvnx2qi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2QImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6814; /* *cond_one_cmplvnx2qi_any */

            case 4:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6733; /* *cond_one_cmplvnx8hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6823; /* *cond_one_cmplvnx8hi_any */

            case 5:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6742; /* *cond_one_cmplvnx4hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6832; /* *cond_one_cmplvnx4hi_any */

            case 6:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6751; /* *cond_one_cmplvnx2hi_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2HImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6841; /* *cond_one_cmplvnx2hi_any */

            case 7:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6760; /* *cond_one_cmplvnx4si_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6850; /* *cond_one_cmplvnx4si_any */

            case 8:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6769; /* *cond_one_cmplvnx2si_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2SImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6859; /* *cond_one_cmplvnx2si_any */

            case 9:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 6778; /* *cond_one_cmplvnx2di_2 */
              operands[3] = x6;
              if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DImode)
                  || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
                return -1;
              return 6868; /* *cond_one_cmplvnx2di_any */

            default:
              return -1;
            }

        case CLRSB:
          return recog_296 (x1, insn, pnum_clobbers);

        case CLZ:
          return recog_295 (x1, insn, pnum_clobbers);

        case POPCOUNT:
          return recog_294 (x1, insn, pnum_clobbers);

        case BITREVERSE:
          return recog_293 (x1, insn, pnum_clobbers);

        case SS_ABS:
          return recog_291 (x1, insn, pnum_clobbers);

        case SS_NEG:
          return recog_292 (x1, insn, pnum_clobbers);

        case UNSPEC:
          return recog_278 (x1, insn, pnum_clobbers);

        case SIGN_EXTEND:
          x7 = XEXP (x5, 0);
          if (GET_CODE (x7) != TRUNCATE)
            return -1;
          operands[1] = x4;
          x8 = XEXP (x7, 0);
          operands[2] = x8;
          x6 = XVECEXP (x3, 0, 2);
          operands[3] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx8HImode:
              switch (pattern987 (x3, 
E_VNx8HImode, 
E_VNx8BImode))
                {
                case 0:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x81) == 0))
                    return -1;
                  return 7046; /* aarch64_cond_sxtvnx8hivnx8qi */

                case 1:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x41) == 0))
                    return -1;
                  return 7047; /* aarch64_cond_sxtvnx8hivnx4qi */

                case 2:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x21) == 0))
                    return -1;
                  return 7048; /* aarch64_cond_sxtvnx8hivnx2qi */

                case 3:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x42) == 0))
                    return -1;
                  return 7049; /* aarch64_cond_sxtvnx8hivnx4hi */

                case 4:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x22) == 0))
                    return -1;
                  return 7050; /* aarch64_cond_sxtvnx8hivnx2hi */

                case 5:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x24) == 0))
                    return -1;
                  return 7051; /* aarch64_cond_sxtvnx8hivnx2si */

                default:
                  return -1;
                }

            case E_VNx4SImode:
              switch (pattern987 (x3, 
E_VNx4SImode, 
E_VNx4BImode))
                {
                case 0:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x81) == 0))
                    return -1;
                  return 7052; /* aarch64_cond_sxtvnx4sivnx8qi */

                case 1:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x41) == 0))
                    return -1;
                  return 7053; /* aarch64_cond_sxtvnx4sivnx4qi */

                case 2:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x21) == 0))
                    return -1;
                  return 7054; /* aarch64_cond_sxtvnx4sivnx2qi */

                case 3:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x42) == 0))
                    return -1;
                  return 7055; /* aarch64_cond_sxtvnx4sivnx4hi */

                case 4:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x22) == 0))
                    return -1;
                  return 7056; /* aarch64_cond_sxtvnx4sivnx2hi */

                case 5:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x24) == 0))
                    return -1;
                  return 7057; /* aarch64_cond_sxtvnx4sivnx2si */

                default:
                  return -1;
                }

            case E_VNx2DImode:
              switch (pattern987 (x3, 
E_VNx2DImode, 
E_VNx2BImode))
                {
                case 0:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x81) == 0))
                    return -1;
                  return 7058; /* aarch64_cond_sxtvnx2divnx8qi */

                case 1:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x41) == 0))
                    return -1;
                  return 7059; /* aarch64_cond_sxtvnx2divnx4qi */

                case 2:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x21) == 0))
                    return -1;
                  return 7060; /* aarch64_cond_sxtvnx2divnx2qi */

                case 3:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x42) == 0))
                    return -1;
                  return 7061; /* aarch64_cond_sxtvnx2divnx4hi */

                case 4:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x22) == 0))
                    return -1;
                  return 7062; /* aarch64_cond_sxtvnx2divnx2hi */

                case 5:
                  if (!
#line 3389 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x24) == 0))
                    return -1;
                  return 7063; /* aarch64_cond_sxtvnx2divnx2si */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case AND:
          return recog_272 (x1, insn, pnum_clobbers);

        case PLUS:
          return recog_274 (x1, insn, pnum_clobbers);

        case MINUS:
          return recog_271 (x1, insn, pnum_clobbers);

        case MULT:
          return recog_290 (x1, insn, pnum_clobbers);

        case SMAX:
          return recog_289 (x1, insn, pnum_clobbers);

        case UMAX:
          return recog_288 (x1, insn, pnum_clobbers);

        case SMIN:
          return recog_287 (x1, insn, pnum_clobbers);

        case UMIN:
          return recog_286 (x1, insn, pnum_clobbers);

        case ASHIFT:
          return recog_275 (x1, insn, pnum_clobbers);

        case ASHIFTRT:
          return recog_276 (x1, insn, pnum_clobbers);

        case LSHIFTRT:
          return recog_277 (x1, insn, pnum_clobbers);

        case IOR:
          return recog_285 (x1, insn, pnum_clobbers);

        case XOR:
          return recog_284 (x1, insn, pnum_clobbers);

        case SS_PLUS:
          return recog_283 (x1, insn, pnum_clobbers);

        case US_PLUS:
          return recog_282 (x1, insn, pnum_clobbers);

        case SS_MINUS:
          return recog_281 (x1, insn, pnum_clobbers);

        case US_MINUS:
          return recog_280 (x1, insn, pnum_clobbers);

        case DIV:
          switch (pattern602 (x3))
            {
            case 0:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 4645 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8122; /* *cond_divvnx4si_2 */
              if (rtx_equal_p (x6, operands[3])
                  && 
#line 4662 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8126; /* *cond_divvnx4si_3 */
              operands[4] = x6;
              if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
                  || !
#line 4679 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 8130; /* *cond_divvnx4si_any */

            case 1:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 4645 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8124; /* *cond_divvnx2di_2 */
              if (rtx_equal_p (x6, operands[3])
                  && 
#line 4662 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8128; /* *cond_divvnx2di_3 */
              operands[4] = x6;
              if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
                  || !
#line 4679 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 8132; /* *cond_divvnx2di_any */

            default:
              return -1;
            }

        case UDIV:
          switch (pattern602 (x3))
            {
            case 0:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 4645 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8123; /* *cond_udivvnx4si_2 */
              if (rtx_equal_p (x6, operands[3])
                  && 
#line 4662 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8127; /* *cond_udivvnx4si_3 */
              operands[4] = x6;
              if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
                  || !
#line 4679 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 8131; /* *cond_udivvnx4si_any */

            case 1:
              x6 = XVECEXP (x3, 0, 2);
              if (rtx_equal_p (x6, operands[2])
                  && 
#line 4645 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8125; /* *cond_udivvnx2di_2 */
              if (rtx_equal_p (x6, operands[3])
                  && 
#line 4662 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 8129; /* *cond_udivvnx2di_3 */
              operands[4] = x6;
              if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
                  || !
#line 4679 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 8133; /* *cond_udivvnx2di_any */

            default:
              return -1;
            }

        case CONST_VECTOR:
        case CONST:
        case REG:
        case SUBREG:
          return recog_279 (x1, insn, pnum_clobbers);

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x4, 0) != 3
          || XINT (x4, 1) != 126)
        return -1;
      x9 = XVECEXP (x4, 0, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x10 = XVECEXP (x4, 0, 2);
      if (GET_CODE (x10) != EQ)
        return -1;
      x11 = XVECEXP (x4, 0, 0);
      operands[1] = x11;
      x12 = XEXP (x10, 0);
      operands[2] = x12;
      x13 = XEXP (x10, 1);
      operands[3] = x13;
      x5 = XVECEXP (x3, 0, 1);
      operands[4] = x5;
      x6 = XVECEXP (x3, 0, 2);
      if (!rtx_equal_p (x6, operands[3]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern1192 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7120; /* *cnotvnx16qi */

        case E_VNx8QImode:
          if (pattern1192 (x3, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7121; /* *cnotvnx8qi */

        case E_VNx4QImode:
          if (pattern1192 (x3, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7122; /* *cnotvnx4qi */

        case E_VNx2QImode:
          if (pattern1192 (x3, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7123; /* *cnotvnx2qi */

        case E_VNx8HImode:
          if (pattern1192 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7124; /* *cnotvnx8hi */

        case E_VNx4HImode:
          if (pattern1192 (x3, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7125; /* *cnotvnx4hi */

        case E_VNx2HImode:
          if (pattern1192 (x3, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7126; /* *cnotvnx2hi */

        case E_VNx4SImode:
          if (pattern1192 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7127; /* *cnotvnx4si */

        case E_VNx2SImode:
          if (pattern1192 (x3, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7128; /* *cnotvnx2si */

        case E_VNx2DImode:
          if (pattern1192 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 3508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 7129; /* *cnotvnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_399 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!const_int_operand (operands[3], E_SImode))
    return -1;
  x7 = XVECEXP (x3, 0, 3);
  operands[4] = x7;
  if (!const_int_operand (operands[4], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V8QImode:
          switch (pattern1159 (
E_V8QImode))
            {
            case 0:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (8)))
                return -1;
              return 5287; /* aarch64_lutv8qiv8qi */

            case 1:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (8)))
                return -1;
              return 5292; /* aarch64_lutv8qiv16qi */

            default:
              return -1;
            }

        case E_V16QImode:
          switch (pattern1159 (
E_V16QImode))
            {
            case 0:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (16)))
                return -1;
              return 5288; /* aarch64_lutv16qiv8qi */

            case 1:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (16)))
                return -1;
              return 5293; /* aarch64_lutv16qiv16qi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x3) != E_V8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4HImode:
          switch (pattern1159 (
E_V4HImode))
            {
            case 0:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (4)))
                return -1;
              return 5289; /* aarch64_lutv4hiv8qi */

            case 1:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (4)))
                return -1;
              return 5294; /* aarch64_lutv4hiv16qi */

            default:
              return -1;
            }

        case E_V2x8HImode:
          switch (pattern1159 (
E_V2x8HImode))
            {
            case 0:
              if (!
#line 10068 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) == 4))
                return -1;
              return 5297; /* aarch64_lutv2x8hiv8qi */

            case 1:
              if (!
#line 10068 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) == 4))
                return -1;
              return 5300; /* aarch64_lutv2x8hiv16qi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4HFmode:
          switch (pattern1159 (
E_V4HFmode))
            {
            case 0:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (4)))
                return -1;
              return 5290; /* aarch64_lutv4hfv8qi */

            case 1:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (4)))
                return -1;
              return 5295; /* aarch64_lutv4hfv16qi */

            default:
              return -1;
            }

        case E_V2x8HFmode:
          switch (pattern1159 (
E_V2x8HFmode))
            {
            case 0:
              if (!
#line 10068 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) == 4))
                return -1;
              return 5298; /* aarch64_lutv2x8hfv8qi */

            case 1:
              if (!
#line 10068 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) == 4))
                return -1;
              return 5301; /* aarch64_lutv2x8hfv16qi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case E_V8BFmode:
      if (!register_operand (operands[0], E_V8BFmode)
          || GET_MODE (x3) != E_V8BFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4BFmode:
          switch (pattern1159 (
E_V4BFmode))
            {
            case 0:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (4)))
                return -1;
              return 5291; /* aarch64_lutv4bfv8qi */

            case 1:
              if (!
#line 10055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) <= exact_log2 (4)))
                return -1;
              return 5296; /* aarch64_lutv4bfv16qi */

            default:
              return -1;
            }

        case E_V2x8BFmode:
          switch (pattern1159 (
E_V2x8BFmode))
            {
            case 0:
              if (!
#line 10068 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) == 4))
                return -1;
              return 5299; /* aarch64_lutv2x8bfv8qi */

            case 1:
              if (!
#line 10068 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_LUT && INTVAL (operands[4]) == 4))
                return -1;
              return 5302; /* aarch64_lutv2x8bfv16qi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_408 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern223 (x1))
    {
    case 0:
      if (!
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13368; /* aarch64_sme_fsubvnx8sf */

    case 1:
      if (!
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13370; /* aarch64_sme_fsubvnx16sf */

    case 2:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13372; /* aarch64_sme_fsubvnx4df */

    case 3:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13374; /* aarch64_sme_fsubvnx8df */

    case 4:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13376; /* aarch64_sme_fsubvnx16hf */

    case 5:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13378; /* aarch64_sme_fsubvnx32hf */

    case 6:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13380; /* aarch64_sme_fsubvnx16bf */

    case 7:
      if (!(
#line 1184 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13382; /* aarch64_sme_fsubvnx32bf */

    case 8:
      if (!
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13384; /* *aarch64_sme_fsubvnx8sf_plus */

    case 9:
      if (!
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13386; /* *aarch64_sme_fsubvnx16sf_plus */

    case 10:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13388; /* *aarch64_sme_fsubvnx4df_plus */

    case 11:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13390; /* *aarch64_sme_fsubvnx8df_plus */

    case 12:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13392; /* *aarch64_sme_fsubvnx16hf_plus */

    case 13:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13394; /* *aarch64_sme_fsubvnx32hf_plus */

    case 14:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13396; /* *aarch64_sme_fsubvnx16bf_plus */

    case 15:
      if (!(
#line 1197 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13398; /* *aarch64_sme_fsubvnx32bf_plus */

    default:
      return -1;
    }
}

 int
recog_420 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 84
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  x6 = XVECEXP (x2, 0, 1);
  operands[2] = x6;
  x7 = XVECEXP (x2, 0, 2);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (pattern186 (x2, 
E_V8QImode, 
E_V4HFmode) != 0
          || !
#line 203 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT2))
        return -1;
      return 5321; /* aarch64_fdotv4hf */

    case E_V8HFmode:
      if (pattern186 (x2, 
E_V16QImode, 
E_V8HFmode) != 0
          || !
#line 204 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT2))
        return -1;
      return 5322; /* aarch64_fdotv8hf */

    case E_V2SFmode:
      if (pattern186 (x2, 
E_V8QImode, 
E_V2SFmode) != 0
          || !
#line 205 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT4))
        return -1;
      return 5323; /* aarch64_fdotv2sf */

    case E_V4SFmode:
      if (pattern186 (x2, 
E_V16QImode, 
E_V4SFmode) != 0
          || !
#line 206 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP8DOT4))
        return -1;
      return 5324; /* aarch64_fdotv4sf */

    default:
      return -1;
    }
}

 int
recog_427 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (pattern254 (x1))
    {
    case 0:
      if (!
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13906; /* aarch64_sme_fmlsvnx8sfvnx8sf */

    case 1:
      if (!
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13908; /* aarch64_sme_fmlsvnx16sfvnx16sf */

    case 2:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13910; /* aarch64_sme_fmlsvnx4dfvnx4df */

    case 3:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13912; /* aarch64_sme_fmlsvnx8dfvnx8df */

    case 4:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13914; /* aarch64_sme_fmlsvnx16hfvnx16hf */

    case 5:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13916; /* aarch64_sme_fmlsvnx32hfvnx32hf */

    case 6:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13918; /* aarch64_sme_fmlsvnx16bfvnx16bf */

    case 7:
      if (!(
#line 1867 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13920; /* aarch64_sme_fmlsvnx32bfvnx32bf */

    case 8:
      if (!
#line 1966 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14002; /* aarch64_sme_fmlsvnx4sivnx8bf */

    case 9:
      if (!
#line 1966 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14004; /* aarch64_sme_fmlsvnx4sivnx8hf */

    case 10:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14010; /* aarch64_sme_fmlsvnx4sivnx16bf */

    case 11:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14012; /* aarch64_sme_fmlsvnx4sivnx32bf */

    case 12:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14014; /* aarch64_sme_fmlsvnx4sivnx16hf */

    case 13:
      if (!
#line 1996 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14016; /* aarch64_sme_fmlsvnx4sivnx32hf */

    case 14:
      if (!
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13938; /* aarch64_sme_single_fmlsvnx8sfvnx8sf */

    case 15:
      if (!
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13940; /* aarch64_sme_single_fmlsvnx16sfvnx16sf */

    case 16:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13942; /* aarch64_sme_single_fmlsvnx4dfvnx4df */

    case 17:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13944; /* aarch64_sme_single_fmlsvnx8dfvnx8df */

    case 18:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13946; /* aarch64_sme_single_fmlsvnx16hfvnx16hf */

    case 19:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13948; /* aarch64_sme_single_fmlsvnx32hfvnx32hf */

    case 20:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13950; /* aarch64_sme_single_fmlsvnx16bfvnx16bf */

    case 21:
      if (!(
#line 1895 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13952; /* aarch64_sme_single_fmlsvnx32bfvnx32bf */

    case 22:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14026; /* aarch64_sme_single_fmlsvnx4sivnx16bf */

    case 23:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14028; /* aarch64_sme_single_fmlsvnx4sivnx32bf */

    case 24:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14030; /* aarch64_sme_single_fmlsvnx4sivnx16hf */

    case 25:
      if (!
#line 2027 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14032; /* aarch64_sme_single_fmlsvnx4sivnx32hf */

    case 26:
      if (!
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13970; /* aarch64_sme_lane_fmlsvnx8sfvnx8sf */

    case 27:
      if (!
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13972; /* aarch64_sme_lane_fmlsvnx16sfvnx16sf */

    case 28:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13974; /* aarch64_sme_lane_fmlsvnx4dfvnx4df */

    case 29:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13976; /* aarch64_sme_lane_fmlsvnx8dfvnx8df */

    case 30:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13978; /* aarch64_sme_lane_fmlsvnx16hfvnx16hf */

    case 31:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13980; /* aarch64_sme_lane_fmlsvnx32hfvnx32hf */

    case 32:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13982; /* aarch64_sme_lane_fmlsvnx16bfvnx16bf */

    case 33:
      if (!(
#line 1926 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13984; /* aarch64_sme_lane_fmlsvnx32bfvnx32bf */

    case 34:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14042; /* aarch64_sme_lane_fmlsvnx4sivnx8bf */

    case 35:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14044; /* aarch64_sme_lane_fmlsvnx4sivnx16bf */

    case 36:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14046; /* aarch64_sme_lane_fmlsvnx4sivnx32bf */

    case 37:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14048; /* aarch64_sme_lane_fmlsvnx4sivnx8hf */

    case 38:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14050; /* aarch64_sme_lane_fmlsvnx4sivnx16hf */

    case 39:
      if (!
#line 2061 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14052; /* aarch64_sme_lane_fmlsvnx4sivnx32hf */

    case 40:
      if (!
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13922; /* *aarch64_sme_fmlsvnx8sfvnx8sf_plus */

    case 41:
      if (!
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13924; /* *aarch64_sme_fmlsvnx16sfvnx16sf_plus */

    case 42:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13926; /* *aarch64_sme_fmlsvnx4dfvnx4df_plus */

    case 43:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13928; /* *aarch64_sme_fmlsvnx8dfvnx8df_plus */

    case 44:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13930; /* *aarch64_sme_fmlsvnx16hfvnx16hf_plus */

    case 45:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13932; /* *aarch64_sme_fmlsvnx32hfvnx32hf_plus */

    case 46:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13934; /* *aarch64_sme_fmlsvnx16bfvnx16bf_plus */

    case 47:
      if (!(
#line 1881 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13936; /* *aarch64_sme_fmlsvnx32bfvnx32bf_plus */

    case 48:
      if (const_0_to_14_step_2_operand (operands[1], E_SImode))
        {
          switch (pattern1318 ())
            {
            case 0:
              if (
#line 1980 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14006; /* *aarch64_sme_fmlsvnx4sivnx8bf_plus */
              break;

            case 1:
              if (
#line 1980 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14008; /* *aarch64_sme_fmlsvnx4sivnx8hf_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1317 ())
        {
        case 0:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14018; /* *aarch64_sme_fmlsvnx4sivnx16bf_plus */

        case 1:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14020; /* *aarch64_sme_fmlsvnx4sivnx32bf_plus */

        case 2:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14022; /* *aarch64_sme_fmlsvnx4sivnx16hf_plus */

        case 3:
          if (!
#line 2010 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14024; /* *aarch64_sme_fmlsvnx4sivnx32hf_plus */

        default:
          return -1;
        }

    case 49:
      if (!
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13954; /* *aarch64_sme_single_fmlsvnx8sfvnx8sf_plus */

    case 50:
      if (!
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13956; /* *aarch64_sme_single_fmlsvnx16sfvnx16sf_plus */

    case 51:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13958; /* *aarch64_sme_single_fmlsvnx4dfvnx4df_plus */

    case 52:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13960; /* *aarch64_sme_single_fmlsvnx8dfvnx8df_plus */

    case 53:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13962; /* *aarch64_sme_single_fmlsvnx16hfvnx16hf_plus */

    case 54:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13964; /* *aarch64_sme_single_fmlsvnx32hfvnx32hf_plus */

    case 55:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13966; /* *aarch64_sme_single_fmlsvnx16bfvnx16bf_plus */

    case 56:
      if (!(
#line 1910 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13968; /* *aarch64_sme_single_fmlsvnx32bfvnx32bf_plus */

    case 57:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14034; /* *aarch64_sme_single_fmlsvnx4sivnx16bf_plus */

    case 58:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14036; /* *aarch64_sme_single_fmlsvnx4sivnx32bf_plus */

    case 59:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14038; /* *aarch64_sme_single_fmlsvnx4sivnx16hf_plus */

    case 60:
      if (!
#line 2042 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 14040; /* *aarch64_sme_single_fmlsvnx4sivnx32hf_plus */

    case 61:
      if (!
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13986; /* *aarch64_sme_lane_fmlsvnx8sfvnx8sf */

    case 62:
      if (!
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13988; /* *aarch64_sme_lane_fmlsvnx16sfvnx16sf */

    case 63:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 724 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13990; /* *aarch64_sme_lane_fmlsvnx4dfvnx4df */

    case 64:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 725 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
        return -1;
      return 13992; /* *aarch64_sme_lane_fmlsvnx8dfvnx8df */

    case 65:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 726 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13994; /* *aarch64_sme_lane_fmlsvnx16hfvnx16hf */

    case 66:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 727 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
        return -1;
      return 13996; /* *aarch64_sme_lane_fmlsvnx32hfvnx32hf */

    case 67:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 728 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 13998; /* *aarch64_sme_lane_fmlsvnx16bfvnx16bf */

    case 68:
      if (!(
#line 1943 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 729 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
        return -1;
      return 14000; /* *aarch64_sme_lane_fmlsvnx32bfvnx32bf */

    case 69:
      if (const_0_to_14_step_2_operand (operands[1], E_SImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          switch (pattern1347 (x3))
            {
            case 0:
              if (
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14054; /* *aarch64_sme_lane_fmlsvnx4sivnx8bf */
              break;

            case 1:
              if (
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 14060; /* *aarch64_sme_lane_fmlsvnx4sivnx8hf */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1346 (x3))
        {
        case 0:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14056; /* *aarch64_sme_lane_fmlsvnx4sivnx16bf */

        case 1:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14058; /* *aarch64_sme_lane_fmlsvnx4sivnx32bf */

        case 2:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14062; /* *aarch64_sme_lane_fmlsvnx4sivnx16hf */

        case 3:
          if (!
#line 2078 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 14064; /* *aarch64_sme_lane_fmlsvnx4sivnx32hf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_442 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern245 (x1))
    {
    case 0:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13536; /* aarch64_sme_lane_suvdotvnx4sivnx32qi */

    case 1:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13544; /* aarch64_sme_lane_suvdotvnx4sivnx64qi */

    case 2:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13552; /* aarch64_sme_lane_suvdotvnx4sivnx16hi */

    case 3:
      if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13560; /* aarch64_sme_lane_suvdotvnx4sivnx32hi */

    case 4:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13568; /* aarch64_sme_lane_suvdotvnx2divnx32qi */

    case 5:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13576; /* aarch64_sme_lane_suvdotvnx2divnx64qi */

    case 6:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13584; /* aarch64_sme_lane_suvdotvnx2divnx16hi */

    case 7:
      if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13592; /* aarch64_sme_lane_suvdotvnx2divnx32hi */

    case 8:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13600; /* *aarch64_sme_lane_suvdotvnx4sivnx32qi_plus */

    case 9:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13608; /* *aarch64_sme_lane_suvdotvnx4sivnx64qi_plus */

    case 10:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13616; /* *aarch64_sme_lane_suvdotvnx4sivnx16hi_plus */

    case 11:
      if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13624; /* *aarch64_sme_lane_suvdotvnx4sivnx32hi_plus */

    case 12:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13632; /* *aarch64_sme_lane_suvdotvnx2divnx32qi_plus */

    case 13:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13640; /* *aarch64_sme_lane_suvdotvnx2divnx64qi_plus */

    case 14:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13648; /* *aarch64_sme_lane_suvdotvnx2divnx16hi_plus */

    case 15:
      if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13656; /* *aarch64_sme_lane_suvdotvnx2divnx32hi_plus */

    default:
      return -1;
    }
}

 int
recog_450 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 2);
  operands[1] = x3;
  if (!const_int_operand (operands[1], E_VOIDmode))
    return -1;
  x4 = XEXP (x1, 1);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  switch (GET_MODE (x2))
    {
    case E_SImode:
      switch (pattern940 (x4, 
E_SImode))
        {
        case 0:
          if (!
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32))
            return -1;
          return 812; /* *aarch64_bfisiqi_8 */

        case 1:
          if (!
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32))
            return -1;
          return 814; /* *aarch64_bfisihi_8 */

        case 2:
          if (!
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 32))
            return -1;
          return 818; /* *aarch64_bfisisi_8 */

        default:
          return -1;
        }

    case E_DImode:
      switch (pattern940 (x4, 
E_DImode))
        {
        case 0:
          if (!
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(8 <= 8
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
            return -1;
          return 813; /* *aarch64_bfidiqi_8 */

        case 1:
          if (!
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(8 <= 16
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
            return -1;
          return 816; /* *aarch64_bfidihi_8 */

        case 2:
          if (!
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(8 <= 32
   && multiple_p (UINTVAL (operands[1]), 8)
   && UINTVAL (operands[1]) + 8 <= 64))
            return -1;
          return 821; /* *aarch64_bfidisi_8 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_453 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  switch (GET_CODE (x2))
    {
    case REG:
    case SUBREG:
      operands[0] = x2;
      x3 = XEXP (x1, 1);
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_DImode:
          switch (pattern481 (x3))
            {
            case 0:
              return 108; /* *zero_extendsidi2_aarch64 */

            case 1:
              return 115; /* *zero_extendqidi2_aarch64 */

            case 2:
              return 117; /* *zero_extendhidi2_aarch64 */

            default:
              return -1;
            }

        case E_SImode:
          switch (pattern482 (x3))
            {
            case 0:
              return 114; /* *zero_extendqisi2_aarch64 */

            case 1:
              return 116; /* *zero_extendhisi2_aarch64 */

            default:
              return -1;
            }

        case E_HImode:
          if (!register_operand (operands[0], E_HImode)
              || GET_MODE (x3) != E_HImode
              || !nonimmediate_operand (operands[1], E_QImode))
            return -1;
          return 119; /* *zero_extendqihi2_aarch64 */

        case E_TImode:
          if (!register_operand (operands[0], E_TImode)
              || GET_MODE (x3) != E_TImode
              || !register_operand (operands[1], E_DImode)
              || !
#line 7611 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
            return -1;
          return 1107; /* aarch64_movtilow_di */

        case E_TFmode:
          if (!register_operand (operands[0], E_TFmode)
              || GET_MODE (x3) != E_TFmode
              || !register_operand (operands[1], E_DImode)
              || !
#line 7611 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
            return -1;
          return 1108; /* aarch64_movtflow_di */

        case E_TDmode:
          if (!register_operand (operands[0], E_TDmode)
              || GET_MODE (x3) != E_TDmode
              || !register_operand (operands[1], E_DImode)
              || !
#line 7611 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
            return -1;
          return 1109; /* aarch64_movtdlow_di */

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x3) != E_V8HImode
              || !register_operand (operands[1], E_V8QImode)
              || !
#line 9844 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5229; /* zero_extendv8qiv8hi2 */

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x3) != E_V4SImode
              || !register_operand (operands[1], E_V4HImode)
              || !
#line 9844 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5231; /* zero_extendv4hiv4si2 */

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x3) != E_V2DImode
              || !register_operand (operands[1], E_V2SImode)
              || !
#line 9844 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5233; /* zero_extendv2siv2di2 */

        case E_VNx16HImode:
          if (!aligned_register_operand (operands[0], E_VNx16HImode)
              || GET_MODE (x3) != E_VNx16HImode
              || !register_operand (operands[1], E_VNx16QImode)
              || !
#line 2201 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12011; /* zero_extendvnx16qivnx16hi2 */

        case E_VNx8SImode:
          if (!aligned_register_operand (operands[0], E_VNx8SImode)
              || GET_MODE (x3) != E_VNx8SImode
              || !register_operand (operands[1], E_VNx8HImode)
              || !
#line 2201 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12013; /* zero_extendvnx8hivnx8si2 */

        case E_VNx4DImode:
          if (!aligned_register_operand (operands[0], E_VNx4DImode)
              || GET_MODE (x3) != E_VNx4DImode
              || !register_operand (operands[1], E_VNx4SImode)
              || !
#line 2201 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12015; /* zero_extendvnx4sivnx4di2 */

        case E_VNx32HImode:
          if (!aligned_register_operand (operands[0], E_VNx32HImode)
              || GET_MODE (x3) != E_VNx32HImode
              || !aligned_register_operand (operands[1], E_VNx32QImode)
              || !
#line 2209 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12017; /* zero_extendvnx32qivnx32hi2 */

        case E_VNx16SImode:
          if (!aligned_register_operand (operands[0], E_VNx16SImode)
              || GET_MODE (x3) != E_VNx16SImode
              || !aligned_register_operand (operands[1], E_VNx16HImode)
              || !
#line 2209 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12019; /* zero_extendvnx16hivnx16si2 */

        case E_VNx8DImode:
          if (!aligned_register_operand (operands[0], E_VNx8DImode)
              || GET_MODE (x3) != E_VNx8DImode
              || !aligned_register_operand (operands[1], E_VNx8SImode)
              || !
#line 2209 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12021; /* zero_extendvnx8sivnx8di2 */

        default:
          return -1;
        }

    case ZERO_EXTRACT:
      x5 = XEXP (x2, 1);
      if (GET_CODE (x5) != CONST_INT)
        return -1;
      x6 = XEXP (x2, 0);
      operands[0] = x6;
      switch (XWINT (x5, 0))
        {
        case 8L:
          res = recog_450 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        case 16L:
          res = recog_451 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        case 32L:
          x7 = XEXP (x2, 2);
          operands[1] = x7;
          if (const_int_operand (operands[1], E_VOIDmode))
            {
              x3 = XEXP (x1, 1);
              x4 = XEXP (x3, 0);
              operands[2] = x4;
              switch (pattern872 (x1))
                {
                case 0:
                  if (
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 32))
                    return 820; /* *aarch64_bfisisi_32 */
                  break;

                case 1:
                  if (
#line 6424 "../../gcc/config/aarch64/aarch64.md"
(32 <= 32
   && multiple_p (UINTVAL (operands[1]), 32)
   && UINTVAL (operands[1]) + 32 <= 64))
                    return 823; /* *aarch64_bfidisi_32 */
                  break;

                default:
                  break;
                }
            }
          break;

        case 64L:
          x7 = XEXP (x2, 2);
          if (x7 == const_int_rtx[MAX_SAVED_CONST_INT + 64])
            {
              x3 = XEXP (x1, 1);
              x4 = XEXP (x3, 0);
              operands[1] = x4;
              if (register_operand (operands[1], E_DImode))
                {
                  switch (GET_MODE (x2))
                    {
                    case E_TImode:
                      if (register_operand (operands[0], E_TImode)
                          && GET_MODE (x3) == E_TImode
                          && 
#line 7602 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
                        return 1104; /* aarch64_movtihigh_di */
                      break;

                    case E_TFmode:
                      if (register_operand (operands[0], E_TFmode)
                          && GET_MODE (x3) == E_TFmode
                          && 
#line 7602 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
                        return 1105; /* aarch64_movtfhigh_di */
                      break;

                    case E_TDmode:
                      if (register_operand (operands[0], E_TDmode)
                          && GET_MODE (x3) == E_TDmode
                          && 
#line 7602 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT && (reload_completed || reload_in_progress)))
                        return 1106; /* aarch64_movtdhigh_di */
                      break;

                    default:
                      break;
                    }
                }
            }
          break;

        default:
          break;
        }
      operands[1] = x5;
      if (!const_int_operand (operands[1], E_VOIDmode))
        return -1;
      x7 = XEXP (x2, 2);
      operands[2] = x7;
      if (!const_int_operand (operands[2], E_VOIDmode))
        return -1;
      x3 = XEXP (x1, 1);
      x4 = XEXP (x3, 0);
      operands[3] = x4;
      switch (GET_MODE (x2))
        {
        case E_SImode:
          switch (pattern991 (x3, 
E_SImode))
            {
            case 0:
              if (!
#line 6446 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 8))
                return -1;
              return 824; /* *aarch64_bfisiqi4 */

            case 1:
              if (!
#line 6446 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 16))
                return -1;
              return 826; /* *aarch64_bfisihi4 */

            case 2:
              if (!
#line 6446 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 32))
                return -1;
              return 828; /* *aarch64_bfisisi4 */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern991 (x3, 
E_DImode))
            {
            case 0:
              if (!
#line 6446 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 8))
                return -1;
              return 825; /* *aarch64_bfidiqi4 */

            case 1:
              if (!
#line 6446 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 16))
                return -1;
              return 827; /* *aarch64_bfidihi4 */

            case 2:
              if (!
#line 6446 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) <= 32))
                return -1;
              return 829; /* *aarch64_bfidisi4 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_456 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x2) != E_DImode)
    return -1;
  x5 = XEXP (x3, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      if (!aarch64_logical_operand (operands[2], E_SImode))
        return -1;
      return 511; /* *iorsi3_uxtw */

    case ASHIFT:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x7 = XEXP (x5, 0);
      operands[1] = x7;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x3, 1);
      switch (GET_CODE (x6))
        {
        case REG:
        case SUBREG:
          operands[3] = x6;
          if (!register_operand (operands[3], E_SImode))
            return -1;
          x8 = XEXP (x5, 1);
          operands[2] = x8;
          if (!aarch64_shift_imm_si (operands[2], E_QImode))
            return -1;
          return 562; /* *ior_ashlsi3_uxtw */

        case LSHIFTRT:
          if (GET_MODE (x6) != E_SImode)
            return -1;
          x8 = XEXP (x5, 1);
          operands[3] = x8;
          if (!const_int_operand (operands[3], E_VOIDmode))
            return -1;
          x9 = XEXP (x6, 0);
          operands[2] = x9;
          if (!register_operand (operands[2], E_SImode))
            return -1;
          x10 = XEXP (x6, 1);
          operands[4] = x10;
          if (!const_int_operand (operands[4], E_VOIDmode)
              || !
#line 6230 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < 32 &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32)))
            return -1;
          return 781; /* *extrsi5_insn_uxtw */

        default:
          return -1;
        }

    case ASHIFTRT:
      if (pattern725 (x3) != 0)
        return -1;
      return 565; /* *ior_ashrsi3_uxtw */

    case LSHIFTRT:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x7 = XEXP (x5, 0);
      if (!register_operand (x7, E_SImode))
        return -1;
      x6 = XEXP (x3, 1);
      switch (GET_CODE (x6))
        {
        case REG:
        case SUBREG:
          operands[3] = x6;
          if (!register_operand (operands[3], E_SImode))
            return -1;
          operands[1] = x7;
          x8 = XEXP (x5, 1);
          operands[2] = x8;
          if (!aarch64_shift_imm_si (operands[2], E_QImode))
            return -1;
          return 568; /* *ior_lshrsi3_uxtw */

        case ASHIFT:
          if (GET_MODE (x6) != E_SImode)
            return -1;
          operands[2] = x7;
          x8 = XEXP (x5, 1);
          operands[4] = x8;
          if (!const_int_operand (operands[4], E_VOIDmode))
            return -1;
          x9 = XEXP (x6, 0);
          operands[1] = x9;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x10 = XEXP (x6, 1);
          operands[3] = x10;
          if (!const_int_operand (operands[3], E_VOIDmode)
              || !
#line 6243 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < 32 &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32)))
            return -1;
          return 782; /* *extrsi5_insn_uxtw_alt */

        default:
          return -1;
        }

    case ROTATERT:
      if (pattern725 (x3) != 0)
        return -1;
      return 571; /* *ior_rotrsi3_uxtw */

    case ROTATE:
      if (pattern725 (x3) != 0)
        return -1;
      return 574; /* *ior_rotlsi3_uxtw */

    case NOT:
      switch (pattern728 (x3))
        {
        case 0:
          return 594; /* *iornsidi3_ze */

        case 1:
          return 634; /* ior_one_cmpl_ashlsidi_uxtw */

        case 2:
          return 637; /* ior_one_cmpl_ashrsidi_uxtw */

        case 3:
          return 640; /* ior_one_cmpl_lshrsidi_uxtw */

        case 4:
          return 643; /* ior_one_cmpl_rotrsidi_uxtw */

        case 5:
          return 646; /* ior_one_cmpl_rotlsidi_uxtw */

        default:
          return -1;
        }

    case AND:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x6 = XEXP (x3, 1);
      if (GET_CODE (x6) != AND
          || GET_MODE (x6) != E_SImode)
        return -1;
      x7 = XEXP (x5, 0);
      operands[1] = x7;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x8 = XEXP (x5, 1);
      operands[3] = x8;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      x9 = XEXP (x6, 0);
      operands[2] = x9;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x10 = XEXP (x6, 1);
      operands[4] = x10;
      if (!const_int_operand (operands[4], E_SImode)
          || !
#line 6744 "../../gcc/config/aarch64/aarch64.md"
((INTVAL (operands[3]) == ~INTVAL (operands[4]))
  && (aarch64_high_bits_all_ones_p (INTVAL (operands[3]))
    || aarch64_high_bits_all_ones_p (INTVAL (operands[4])))))
        return -1;
      return 875; /* *aarch64_bfxilsi_uxtw */

    default:
      return -1;
    }
}

 int
recog_459 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (XINT (x3, 1))
    {
    case 407:
      switch (pattern488 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1404; /* aarch64_fcmla0v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1416; /* aarch64_fcmla0v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1420; /* aarch64_fcmla0v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1432; /* aarch64_fcmla0v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1436; /* aarch64_fcmla0v2df */

        default:
          return -1;
        }

    case 408:
      switch (pattern488 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1407; /* aarch64_fcmla90v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1417; /* aarch64_fcmla90v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1423; /* aarch64_fcmla90v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1433; /* aarch64_fcmla90v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1437; /* aarch64_fcmla90v2df */

        default:
          return -1;
        }

    case 409:
      switch (pattern488 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1410; /* aarch64_fcmla180v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1418; /* aarch64_fcmla180v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1426; /* aarch64_fcmla180v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1434; /* aarch64_fcmla180v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1438; /* aarch64_fcmla180v2df */

        default:
          return -1;
        }

    case 410:
      switch (pattern488 (x2))
        {
        case 0:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1413; /* aarch64_fcmla270v4hf */

        case 1:
          if (!(
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 1419; /* aarch64_fcmla270v8hf */

        case 2:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1429; /* aarch64_fcmla270v2sf */

        case 3:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1435; /* aarch64_fcmla270v4sf */

        case 4:
          if (!
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
            return -1;
          return 1439; /* aarch64_fcmla270v2df */

        default:
          return -1;
        }

    case 279:
      switch (pattern491 (x2))
        {
        case 0:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1496; /* sdot_prodv2siv8qi */

        case 1:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1502; /* sdot_prodv4siv16qi */

        case 2:
          if (!
#line 7303 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9193; /* sdot_prodvnx4sivnx16qi */

        case 3:
          if (!
#line 2483 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12211; /* sdot_prodvnx4sivnx8hi */

        case 4:
          if (!
#line 7303 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9195; /* sdot_prodvnx2divnx8hi */

        case 5:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 8 == 16))))
            return -1;
          return 9197; /* aarch64_sdot_prod_lanevnx4sivnx16qi */

        case 6:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 16 == 16))))
            return -1;
          return 9201; /* aarch64_sdot_prod_lanevnx4sivnx8hi */

        case 7:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 8 == 16))))
            return -1;
          return 9199; /* aarch64_sdot_prod_lanevnx2divnx16qi */

        case 8:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 16 == 16))))
            return -1;
          return 9203; /* aarch64_sdot_prod_lanevnx2divnx8hi */

        default:
          return -1;
        }

    case 280:
      switch (pattern491 (x2))
        {
        case 0:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1499; /* udot_prodv2siv8qi */

        case 1:
          if (!
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
            return -1;
          return 1503; /* udot_prodv4siv16qi */

        case 2:
          if (!
#line 7303 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9194; /* udot_prodvnx4sivnx16qi */

        case 3:
          if (!
#line 2483 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12212; /* udot_prodvnx4sivnx8hi */

        case 4:
          if (!
#line 7303 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9196; /* udot_prodvnx2divnx8hi */

        case 5:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 8 == 16))))
            return -1;
          return 9198; /* aarch64_udot_prod_lanevnx4sivnx16qi */

        case 6:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (32 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 32 == 32
	   && 16 == 16))))
            return -1;
          return 9202; /* aarch64_udot_prod_lanevnx4sivnx8hi */

        case 7:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 8 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 8 == 16))))
            return -1;
          return 9200; /* aarch64_udot_prod_lanevnx2divnx16qi */

        case 8:
          if (!
#line 7322 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (64 == 16 * 4
       || (TARGET_SVE2p1_OR_SME2
	   && 64 == 32
	   && 16 == 16))))
            return -1;
          return 9204; /* aarch64_udot_prod_lanevnx2divnx8hi */

        default:
          return -1;
        }

    case 573:
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      x5 = XVECEXP (x3, 0, 1);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          x6 = XEXP (x2, 1);
          operands[3] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V2SImode:
              if (pattern489 (x2, 
E_V2SImode, 
E_V8QImode) != 0
                  || !
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1504; /* usdot_prodv2siv8qi */

            case E_V4SImode:
              if (pattern489 (x2, 
E_V4SImode, 
E_V16QImode) != 0
                  || !
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1507; /* usdot_prodv4siv16qi */

            case E_VNx4SImode:
              if (pattern489 (x2, 
E_VNx4SImode, 
E_VNx16QImode) != 0
                  || !
#line 7341 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM))
                return -1;
              return 9205; /* usdot_prodvnx4sivnx16qi */

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x5, 0) != 2
              || XINT (x5, 1) != 168
              || GET_MODE (x5) != E_VNx16QImode
              || !register_operand (operands[0], E_VNx4SImode)
              || GET_MODE (x2) != E_VNx4SImode
              || GET_MODE (x3) != E_VNx4SImode
              || pattern1124 (x2) != 0
              || !
#line 7359 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM))
            return -1;
          return 9206; /* aarch64_usdot_prod_lanevnx4sivnx16qi */

        default:
          return -1;
        }

    case 579:
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      x5 = XVECEXP (x3, 0, 1);
      operands[3] = x5;
      x6 = XEXP (x2, 1);
      operands[1] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V2SFmode:
          if (pattern492 (x2, 
E_V2SFmode, 
E_V4BFmode) != 0
              || !
#line 9896 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
            return -1;
          return 5243; /* aarch64_bfdotv2sf */

        case E_V4SFmode:
          if (pattern492 (x2, 
E_V4SFmode, 
E_V8BFmode) != 0
              || !
#line 9896 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
            return -1;
          return 5244; /* aarch64_bfdotv4sf */

        default:
          return -1;
        }

    case 330:
      switch (pattern493 (x2))
        {
        case 0:
          if (!
#line 9966 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
            return -1;
          return 5256; /* aarch64_simd_smmlav16qi */

        case 1:
          if (!
#line 7414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM && TARGET_NON_STREAMING))
            return -1;
          return 9208; /* aarch64_sve_add_smatmulvnx16qi */

        default:
          return -1;
        }

    case 332:
      switch (pattern493 (x2))
        {
        case 0:
          if (!
#line 9966 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
            return -1;
          return 5257; /* aarch64_simd_ummlav16qi */

        case 1:
          if (!
#line 7414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM && TARGET_NON_STREAMING))
            return -1;
          return 9209; /* aarch64_sve_add_umatmulvnx16qi */

        default:
          return -1;
        }

    case 333:
      switch (pattern493 (x2))
        {
        case 0:
          if (!
#line 9966 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
            return -1;
          return 5258; /* aarch64_simd_usmmlav16qi */

        case 1:
          if (!
#line 7414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM && TARGET_NON_STREAMING))
            return -1;
          return 9210; /* aarch64_sve_add_usmatmulvnx16qi */

        default:
          return -1;
        }

    case 125:
      x5 = XVECEXP (x3, 0, 1);
      switch (GET_CODE (x5))
        {
        case ASHIFT:
          x7 = XEXP (x5, 1);
          operands[3] = x7;
          x6 = XEXP (x2, 1);
          operands[1] = x6;
          switch (pattern800 (x2))
            {
            case 0:
              if (!
#line 4208 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7973; /* *aarch64_adrvnx2qi_shift */

            case 1:
              if (!
#line 4208 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7974; /* *aarch64_adrvnx2hi_shift */

            case 2:
              if (!
#line 4208 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7975; /* *aarch64_adrvnx2si_shift */

            case 3:
              if (!
#line 4208 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7976; /* *aarch64_adrvnx2di_shift */

            case 4:
              if (!
#line 4208 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7977; /* *aarch64_adrvnx4qi_shift */

            case 5:
              if (!
#line 4208 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7978; /* *aarch64_adrvnx4hi_shift */

            case 6:
              if (!
#line 4208 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7979; /* *aarch64_adrvnx4si_shift */

            case 7:
              if (!
#line 4232 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7980; /* *aarch64_adr_shift_sxtw */

            case 8:
              if (!
#line 4253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 7981; /* *aarch64_adr_shift_uxtw */

            default:
              return -1;
            }

        case MULT:
          x4 = XVECEXP (x3, 0, 0);
          operands[1] = x4;
          x8 = XEXP (x5, 0);
          operands[2] = x8;
          x7 = XEXP (x5, 1);
          operands[3] = x7;
          x6 = XEXP (x2, 1);
          operands[4] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern994 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9113; /* aarch64_pred_fmavnx16qi */

            case E_VNx8QImode:
              if (pattern994 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9114; /* aarch64_pred_fmavnx8qi */

            case E_VNx4QImode:
              if (pattern994 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9115; /* aarch64_pred_fmavnx4qi */

            case E_VNx2QImode:
              if (pattern994 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9116; /* aarch64_pred_fmavnx2qi */

            case E_VNx8HImode:
              if (pattern994 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9117; /* aarch64_pred_fmavnx8hi */

            case E_VNx4HImode:
              if (pattern994 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9118; /* aarch64_pred_fmavnx4hi */

            case E_VNx2HImode:
              if (pattern994 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9119; /* aarch64_pred_fmavnx2hi */

            case E_VNx4SImode:
              if (pattern994 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9120; /* aarch64_pred_fmavnx4si */

            case E_VNx2SImode:
              if (pattern994 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9121; /* aarch64_pred_fmavnx2si */

            case E_VNx2DImode:
              if (pattern994 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                  || !
#line 7037 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 9122; /* aarch64_pred_fmavnx2di */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern623 (x2))
            {
            case 0:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11962; /* *aarch64_sve2_sravnx16qi */

            case 1:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11964; /* *aarch64_sve2_sravnx8hi */

            case 2:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11966; /* *aarch64_sve2_sravnx4si */

            case 3:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11968; /* *aarch64_sve2_sravnx2di */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern623 (x2))
            {
            case 0:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11963; /* *aarch64_sve2_sravnx16qi */

            case 1:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11965; /* *aarch64_sve2_sravnx8hi */

            case 2:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11967; /* *aarch64_sve2_sravnx4si */

            case 3:
              if (!
#line 1960 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11969; /* *aarch64_sve2_sravnx2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 578:
      if (GET_MODE (x3) != E_VNx4SImode)
        return -1;
      x5 = XVECEXP (x3, 0, 1);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 2
          || XINT (x5, 1) != 168
          || GET_MODE (x5) != E_VNx16QImode
          || !register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x2) != E_VNx4SImode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      if (pattern1124 (x2) != 0
          || !
#line 7359 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_I8MM))
        return -1;
      return 9207; /* aarch64_sudot_prod_lanevnx4sivnx16qi */

    case 224:
      switch (pattern495 (x2))
        {
        case 0:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11970; /* aarch64_sve_add_srshrvnx16qi */

        case 1:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11972; /* aarch64_sve_add_srshrvnx8hi */

        case 2:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11974; /* aarch64_sve_add_srshrvnx4si */

        case 3:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11976; /* aarch64_sve_add_srshrvnx2di */

        default:
          return -1;
        }

    case 225:
      switch (pattern495 (x2))
        {
        case 0:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11971; /* aarch64_sve_add_urshrvnx16qi */

        case 1:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11973; /* aarch64_sve_add_urshrvnx8hi */

        case 2:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11975; /* aarch64_sve_add_urshrvnx4si */

        case 3:
          if (!
#line 1980 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11977; /* aarch64_sve_add_urshrvnx2di */

        default:
          return -1;
        }

    case 489:
      switch (pattern496 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12133; /* aarch64_sve_add_sabdlbvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12141; /* aarch64_sve_add_sabdlbvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12149; /* aarch64_sve_add_sabdlbvnx2di */

        default:
          return -1;
        }

    case 490:
      switch (pattern496 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12134; /* aarch64_sve_add_sabdltvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12142; /* aarch64_sve_add_sabdltvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12150; /* aarch64_sve_add_sabdltvnx2di */

        default:
          return -1;
        }

    case 505:
      switch (pattern499 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12135; /* aarch64_sve_add_smullbvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12143; /* aarch64_sve_add_smullbvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12151; /* aarch64_sve_add_smullbvnx2di */

        case 3:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12157; /* aarch64_sve_add_smullb_lane_vnx4si */

        case 4:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12161; /* aarch64_sve_add_smullb_lane_vnx2di */

        default:
          return -1;
        }

    case 506:
      switch (pattern499 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12136; /* aarch64_sve_add_smulltvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12144; /* aarch64_sve_add_smulltvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12152; /* aarch64_sve_add_smulltvnx2di */

        case 3:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12158; /* aarch64_sve_add_smullt_lane_vnx4si */

        case 4:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12162; /* aarch64_sve_add_smullt_lane_vnx2di */

        default:
          return -1;
        }

    case 547:
      switch (pattern496 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12137; /* aarch64_sve_add_uabdlbvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12145; /* aarch64_sve_add_uabdlbvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12153; /* aarch64_sve_add_uabdlbvnx2di */

        default:
          return -1;
        }

    case 548:
      switch (pattern496 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12138; /* aarch64_sve_add_uabdltvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12146; /* aarch64_sve_add_uabdltvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12154; /* aarch64_sve_add_uabdltvnx2di */

        default:
          return -1;
        }

    case 557:
      switch (pattern499 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12139; /* aarch64_sve_add_umullbvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12147; /* aarch64_sve_add_umullbvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12155; /* aarch64_sve_add_umullbvnx2di */

        case 3:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12159; /* aarch64_sve_add_umullb_lane_vnx4si */

        case 4:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12163; /* aarch64_sve_add_umullb_lane_vnx2di */

        default:
          return -1;
        }

    case 558:
      switch (pattern499 (x2))
        {
        case 0:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12140; /* aarch64_sve_add_umulltvnx8hi */

        case 1:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12148; /* aarch64_sve_add_umulltvnx4si */

        case 2:
          if (!
#line 2343 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12156; /* aarch64_sve_add_umulltvnx2di */

        case 3:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12160; /* aarch64_sve_add_umullt_lane_vnx4si */

        case 4:
          if (!
#line 2362 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12164; /* aarch64_sve_add_umullt_lane_vnx2di */

        default:
          return -1;
        }

    case 606:
      if (GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x2) != E_VNx4SFmode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_VNx8HFmode))
        return -1;
      x6 = XEXP (x2, 1);
      if (!register_operand (x6, E_VNx4SFmode))
        return -1;
      x5 = XVECEXP (x3, 0, 1);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          if (!register_operand (operands[2], E_VNx8HFmode))
            return -1;
          operands[3] = x6;
          if (!
#line 2581 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12285; /* aarch64_sve_fdotvnx4sfvnx8hf */

        case UNSPEC:
          if (XVECLEN (x5, 0) != 2
              || XINT (x5, 1) != 168
              || GET_MODE (x5) != E_VNx8HFmode)
            return -1;
          x9 = XVECEXP (x5, 0, 0);
          operands[2] = x9;
          if (!register_operand (operands[2], E_VNx8HFmode))
            return -1;
          x10 = XVECEXP (x5, 0, 1);
          operands[3] = x10;
          if (!const_int_operand (operands[3], E_SImode))
            return -1;
          operands[4] = x6;
          if (!
#line 2599 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12286; /* aarch64_fdot_prod_lanevnx4sfvnx8hf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_476 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[2] = x2;
  x3 = XEXP (x1, 0);
  if (GET_CODE (x3) != ZERO_EXTRACT)
    return -1;
  x4 = XEXP (x3, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 16])
    return -1;
  x5 = XEXP (x3, 0);
  operands[0] = x5;
  x6 = XEXP (x3, 2);
  operands[1] = x6;
  switch (GET_MODE (x3))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !const_int_operand (operands[1], E_SImode)
          || !const_int_operand (operands[2], E_SImode)
          || !
#line 1663 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (SImode)
   && UINTVAL (operands[1]) % 16 == 0))
        return -1;
      return 71; /* insv_immsi */

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !const_int_operand (operands[1], E_DImode)
          || !const_int_operand (operands[2], E_DImode)
          || !
#line 1663 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[1]) < GET_MODE_BITSIZE (DImode)
   && UINTVAL (operands[1]) % 16 == 0))
        return -1;
      return 72; /* insv_immdi */

    default:
      return -1;
    }
}

 int
recog_478 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case PLUS:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case SIGN_EXTEND:
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          x7 = XEXP (x4, 1);
          switch (GET_CODE (x7))
            {
            case SIGN_EXTEND:
              switch (pattern805 (x2))
                {
                case 0:
                  if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3068; /* *aarch64_shaddv8qi_insn */

                case 1:
                  if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3080; /* *aarch64_shaddv16qi_insn */

                case 2:
                  if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3084; /* *aarch64_shaddv4hi_insn */

                case 3:
                  if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3096; /* *aarch64_shaddv8hi_insn */

                case 4:
                  if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3100; /* *aarch64_shaddv2si_insn */

                case 5:
                  if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3112; /* *aarch64_shaddv4si_insn */

                default:
                  return -1;
                }

            case CONST_INT:
            case CONST_WIDE_INT:
            case CONST_VECTOR:
              switch (pattern745 (x2))
                {
                case 0:
                  if (pattern1003 (x2, 
E_V8QImode, 
E_V8HImode) != 0
                      || !
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3780; /* aarch64_srshr_nv8qi_insn */

                case 1:
                  if (pattern1003 (x2, 
E_V16QImode, 
E_V16HImode) != 0
                      || !
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3786; /* aarch64_srshr_nv16qi_insn */

                case 2:
                  if (pattern1004 (x2, 
E_V4HImode, 
E_V4SImode) != 0
                      || !
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3788; /* aarch64_srshr_nv4hi_insn */

                case 3:
                  if (pattern1004 (x2, 
E_V8HImode, 
E_V8SImode) != 0
                      || !
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3794; /* aarch64_srshr_nv8hi_insn */

                case 4:
                  if (pattern1005 (x2, 
E_V2SImode, 
E_V2DImode) != 0
                      || !
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3796; /* aarch64_srshr_nv2si_insn */

                case 5:
                  if (pattern1005 (x2, 
E_V4SImode, 
E_V4DImode) != 0
                      || !
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3802; /* aarch64_srshr_nv4si_insn */

                case 6:
                  if (pattern1006 (x2) != 0
                      || !
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3804; /* aarch64_srshr_nv2di_insn */

                case 7:
                  if (!
#line 6600 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
                    return -1;
                  return 3806; /* aarch64_srshr_ndi_insn */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case ZERO_EXTEND:
          x7 = XEXP (x4, 1);
          if (GET_CODE (x7) != ZERO_EXTEND)
            return -1;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          switch (pattern805 (x2))
            {
            case 0:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3074; /* *aarch64_uhaddv8qi_insn */

            case 1:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3082; /* *aarch64_uhaddv16qi_insn */

            case 2:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3090; /* *aarch64_uhaddv4hi_insn */

            case 3:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3098; /* *aarch64_uhaddv8hi_insn */

            case 4:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3106; /* *aarch64_uhaddv2si_insn */

            case 5:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3114; /* *aarch64_uhaddv4si_insn */

            default:
              return -1;
            }

        case PLUS:
          x7 = XEXP (x4, 1);
          operands[3] = x7;
          x6 = XEXP (x5, 0);
          switch (GET_CODE (x6))
            {
            case SIGN_EXTEND:
              switch (pattern807 (x2, 
SIGN_EXTEND))
                {
                case 0:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3116; /* *aarch64_srhaddv8qi_insn */

                case 1:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3122; /* *aarch64_srhaddv16qi_insn */

                case 2:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3124; /* *aarch64_srhaddv4hi_insn */

                case 3:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3130; /* *aarch64_srhaddv8hi_insn */

                case 4:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3132; /* *aarch64_srhaddv2si_insn */

                case 5:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3138; /* *aarch64_srhaddv4si_insn */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              switch (pattern807 (x2, 
ZERO_EXTEND))
                {
                case 0:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3119; /* *aarch64_urhaddv8qi_insn */

                case 1:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3123; /* *aarch64_urhaddv16qi_insn */

                case 2:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3127; /* *aarch64_urhaddv4hi_insn */

                case 3:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3131; /* *aarch64_urhaddv8hi_insn */

                case 4:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3135; /* *aarch64_urhaddv2si_insn */

                case 5:
                  if (!
#line 4836 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3139; /* *aarch64_urhaddv4si_insn */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[1] = x6;
              x8 = XEXP (x5, 1);
              operands[2] = x8;
              switch (pattern891 (x2))
                {
                case 0:
                  if (!
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3158; /* aarch64_raddhnv8hi_insn */

                case 1:
                  if (!
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3164; /* aarch64_raddhnv4si_insn */

                case 2:
                  if (!
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3170; /* aarch64_raddhnv2di_insn */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x5;
          x7 = XEXP (x4, 1);
          operands[2] = x7;
          x9 = XEXP (x3, 1);
          operands[3] = x9;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern951 (x2, 
E_V8HImode, 
E_V8QImode) != 0
                  || !
#line 4850 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3140; /* aarch64_addhnv8hi_insn */

            case E_V4HImode:
              if (pattern951 (x2, 
E_V4SImode, 
E_V4HImode) != 0
                  || !
#line 4850 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3146; /* aarch64_addhnv4si_insn */

            case E_V2SImode:
              if (pattern951 (x2, 
E_V2DImode, 
E_V2SImode) != 0
                  || !
#line 4850 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3152; /* aarch64_addhnv2di_insn */

            default:
              return -1;
            }

        case MINUS:
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          x8 = XEXP (x5, 1);
          operands[2] = x8;
          x7 = XEXP (x4, 1);
          operands[3] = x7;
          switch (pattern891 (x2))
            {
            case 0:
              if (!
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3161; /* aarch64_rsubhnv8hi_insn */

            case 1:
              if (!
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3167; /* aarch64_rsubhnv4si_insn */

            case 2:
              if (!
#line 4864 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3173; /* aarch64_rsubhnv2di_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case MINUS:
      x9 = XEXP (x3, 1);
      operands[3] = x9;
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case SIGN_EXTEND:
          switch (pattern748 (x2, 
SIGN_EXTEND))
            {
            case 0:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3071; /* *aarch64_shsubv8qi_insn */

            case 1:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3081; /* *aarch64_shsubv16qi_insn */

            case 2:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3087; /* *aarch64_shsubv4hi_insn */

            case 3:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3097; /* *aarch64_shsubv8hi_insn */

            case 4:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3103; /* *aarch64_shsubv2si_insn */

            case 5:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3113; /* *aarch64_shsubv4si_insn */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern748 (x2, 
ZERO_EXTEND))
            {
            case 0:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3077; /* *aarch64_uhsubv8qi_insn */

            case 1:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3083; /* *aarch64_uhsubv16qi_insn */

            case 2:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3093; /* *aarch64_uhsubv4hi_insn */

            case 3:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3099; /* *aarch64_uhsubv8hi_insn */

            case 4:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3109; /* *aarch64_uhsubv2si_insn */

            case 5:
              if (!
#line 4819 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3115; /* *aarch64_uhsubv4si_insn */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x5;
          x7 = XEXP (x4, 1);
          operands[2] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern951 (x2, 
E_V8HImode, 
E_V8QImode) != 0
                  || !
#line 4850 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3143; /* aarch64_subhnv8hi_insn */

            case E_V4HImode:
              if (pattern951 (x2, 
E_V4SImode, 
E_V4HImode) != 0
                  || !
#line 4850 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3149; /* aarch64_subhnv4si_insn */

            case E_V2SImode:
              if (pattern951 (x2, 
E_V2DImode, 
E_V2SImode) != 0
                  || !
#line 4850 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3155; /* aarch64_subhnv2di_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      switch (pattern339 (x2))
        {
        case 0:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (TRUNCATE, ASHIFTRT)))
            return -1;
          return 3897; /* *aarch64_sshrn_nv8hi_insn */

        case 1:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (TRUNCATE, ASHIFTRT)))
            return -1;
          return 3915; /* *aarch64_sshrn_nv4si_insn */

        case 2:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (TRUNCATE, ASHIFTRT)))
            return -1;
          return 3933; /* *aarch64_sshrn_nv2di_insn */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_485 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x2, 0);
      operands[3] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern414 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 346 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1341; /* addv8qi3_vec_concatz_be */

        case E_V8HImode:
          if (pattern414 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 346 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1345; /* addv4hi3_vec_concatz_be */

        case E_V4SImode:
          if (pattern414 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 346 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1349; /* addv2si3_vec_concatz_be */

        case E_V8HFmode:
          if (pattern414 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2635 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2348; /* addv4hf3_vec_concatz_be */

        case E_V4SFmode:
          if (pattern414 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2635 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2352; /* addv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case UNSPEC:
      switch (XVECLEN (x4, 0))
        {
        case 2:
          x5 = XEXP (x2, 0);
          operands[4] = x5;
          switch (XINT (x4, 1))
            {
            case 407:
              switch (pattern817 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1406; /* aarch64_fcmla0v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1422; /* aarch64_fcmla0v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 408:
              switch (pattern817 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1409; /* aarch64_fcmla90v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1425; /* aarch64_fcmla90v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 409:
              switch (pattern817 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1412; /* aarch64_fcmla180v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1428; /* aarch64_fcmla180v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 410:
              switch (pattern817 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1415; /* aarch64_fcmla270v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1431; /* aarch64_fcmla270v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 279:
              if (pattern818 (x2) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                return -1;
              return 1498; /* sdot_prodv2siv8qi_vec_concatz_be */

            case 280:
              if (pattern818 (x2) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                return -1;
              return 1501; /* udot_prodv2siv8qi_vec_concatz_be */

            case 573:
              if (pattern818 (x2) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                return -1;
              return 1506; /* usdot_prodv2siv8qi_vec_concatz_be */

            default:
              return -1;
            }

        case 3:
          x5 = XEXP (x2, 0);
          operands[5] = x5;
          x7 = XVECEXP (x4, 0, 0);
          operands[2] = x7;
          x8 = XVECEXP (x4, 0, 1);
          operands[3] = x8;
          x9 = XVECEXP (x4, 0, 2);
          operands[4] = x9;
          x6 = XEXP (x3, 1);
          operands[1] = x6;
          switch (XINT (x4, 1))
            {
            case 407:
              switch (pattern1068 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1442; /* aarch64_fcmla_lane0v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1478; /* aarch64_fcmla_laneq0v4hf_vec_concatz_be */

                case 2:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1458; /* aarch64_fcmla_lane0v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 408:
              switch (pattern1068 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1445; /* aarch64_fcmla_lane90v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1481; /* aarch64_fcmla_laneq90v4hf_vec_concatz_be */

                case 2:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1461; /* aarch64_fcmla_lane90v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 409:
              switch (pattern1068 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1448; /* aarch64_fcmla_lane180v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1484; /* aarch64_fcmla_laneq180v4hf_vec_concatz_be */

                case 2:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1464; /* aarch64_fcmla_lane180v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 410:
              switch (pattern1068 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1451; /* aarch64_fcmla_lane270v4hf_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1487; /* aarch64_fcmla_laneq270v4hf_vec_concatz_be */

                case 2:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1467; /* aarch64_fcmla_lane270v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case 279:
              switch (pattern1069 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1510; /* aarch64_sdot_lanev8qi_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1518; /* aarch64_sdot_laneqv8qi_vec_concatz_be */

                default:
                  return -1;
                }

            case 280:
              switch (pattern1069 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1513; /* aarch64_udot_lanev8qi_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1521; /* aarch64_udot_laneqv8qi_vec_concatz_be */

                default:
                  return -1;
                }

            case 573:
              switch (pattern1069 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1526; /* aarch64_usdot_lanev8qi_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1534; /* aarch64_usdot_laneqv8qi_vec_concatz_be */

                default:
                  return -1;
                }

            case 578:
              switch (pattern1069 (x2))
                {
                case 0:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1529; /* aarch64_sudot_lanev8qi_vec_concatz_be */

                case 1:
                  if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1537; /* aarch64_sudot_laneqv8qi_vec_concatz_be */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      x10 = XEXP (x4, 0);
      if (GET_CODE (x10) != VEC_SELECT)
        return -1;
      x11 = XEXP (x4, 1);
      if (GET_CODE (x11) != VEC_SELECT)
        return -1;
      x5 = XEXP (x2, 0);
      operands[5] = x5;
      x12 = XEXP (x10, 1);
      operands[3] = x12;
      x13 = XEXP (x11, 1);
      operands[4] = x13;
      x6 = XEXP (x3, 1);
      operands[1] = x6;
      x14 = XEXP (x10, 0);
      switch (GET_CODE (x14))
        {
        case SIGN_EXTEND:
          switch (pattern1071 (x2, 
SIGN_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1689; /* *aarch64_sadalpv8qi_vec_concatz_be_insn */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1697; /* *aarch64_sadalpv4hi_vec_concatz_be_insn */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1707; /* *aarch64_sadalpv2si_vec_concatz_be_insn */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern1071 (x2, 
ZERO_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1692; /* *aarch64_uadalpv8qi_vec_concatz_be_insn */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1700; /* *aarch64_uadalpv4hi_vec_concatz_be_insn */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1710; /* *aarch64_uadalpv2si_vec_concatz_be_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case MINUS:
      x5 = XEXP (x2, 0);
      operands[4] = x5;
      x6 = XEXP (x3, 1);
      operands[1] = x6;
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case SMAX:
          switch (pattern820 (x2, 
SMIN))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1713; /* aarch64_sabav8qi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1721; /* aarch64_sabav4hi_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1729; /* aarch64_sabav2si_vec_concatz_be */

            default:
              return -1;
            }

        case UMAX:
          switch (pattern820 (x2, 
UMIN))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1716; /* aarch64_uabav8qi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1724; /* aarch64_uabav4hi_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1732; /* aarch64_uabav2si_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case MULT:
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case REG:
        case SUBREG:
          operands[2] = x10;
          x5 = XEXP (x2, 0);
          operands[4] = x5;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x6 = XEXP (x3, 1);
          operands[1] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern1007 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1988; /* aarch64_mlav8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern1007 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1992; /* aarch64_mlav4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern1007 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1996; /* aarch64_mlav2si_vec_concatz_be */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x14 = XEXP (x10, 0);
          switch (GET_CODE (x14))
            {
            case VEC_SELECT:
              x15 = XEXP (x14, 1);
              if (GET_CODE (x15) != PARALLEL
                  || XVECLEN (x15, 0) != 1)
                return -1;
              x5 = XEXP (x2, 0);
              operands[5] = x5;
              x16 = XEXP (x14, 0);
              operands[1] = x16;
              x17 = XVECEXP (x15, 0, 0);
              operands[2] = x17;
              if (!immediate_operand (operands[2], E_SImode))
                return -1;
              x11 = XEXP (x4, 1);
              operands[3] = x11;
              x6 = XEXP (x3, 1);
              operands[4] = x6;
              switch (GET_MODE (operands[0]))
                {
                case E_V8HImode:
                  if (pattern1227 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0)
                    return -1;
                  switch (GET_MODE (operands[1]))
                    {
                    case E_V4HImode:
                      if (!register_operand (operands[1], E_V4HImode)
                          || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1651 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2000; /* *aarch64_mla_eltv4hi_vec_concatz_be */

                    case E_V8HImode:
                      if (!register_operand (operands[1], E_V8HImode)
                          || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1669 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2008; /* *aarch64_mla_elt_to_128v4hi_vec_concatz_be */

                    default:
                      return -1;
                    }

                case E_V4SImode:
                  if (pattern1227 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0)
                    return -1;
                  switch (GET_MODE (operands[1]))
                    {
                    case E_V2SImode:
                      if (!register_operand (operands[1], E_V2SImode)
                          || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1651 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2004; /* *aarch64_mla_eltv2si_vec_concatz_be */

                    case E_V4SImode:
                      if (!register_operand (operands[1], E_V4SImode)
                          || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1669 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2012; /* *aarch64_mla_elt_to_128v2si_vec_concatz_be */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[3] = x14;
              x5 = XEXP (x2, 0);
              operands[4] = x5;
              x11 = XEXP (x4, 1);
              operands[2] = x11;
              x6 = XEXP (x3, 1);
              operands[1] = x6;
              switch (GET_MODE (operands[0]))
                {
                case E_V8HImode:
                  if (pattern1072 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1685 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2016; /* aarch64_mla_nv4hi_vec_concatz_be */

                case E_V4SImode:
                  if (pattern1072 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1685 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2020; /* aarch64_mla_nv2si_vec_concatz_be */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_SELECT:
      x6 = XEXP (x3, 1);
      if (GET_CODE (x6) != VEC_SELECT)
        return -1;
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case SIGN_EXTEND:
          switch (pattern751 (x2, 
SIGN_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2782; /* *aarch64_saddlpv8qi_vec_concatz_be_insn */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2790; /* *aarch64_saddlpv4hi_vec_concatz_be_insn */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2800; /* *aarch64_saddlpv2si_vec_concatz_be_insn */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern751 (x2, 
ZERO_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2785; /* *aarch64_uaddlpv8qi_vec_concatz_be_insn */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2793; /* *aarch64_uaddlpv4hi_vec_concatz_be_insn */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2803; /* *aarch64_uaddlpv2si_vec_concatz_be_insn */

            default:
              return -1;
            }

        case VEC_CONCAT:
          x18 = XEXP (x6, 0);
          if (GET_CODE (x18) != VEC_CONCAT)
            return -1;
          x5 = XEXP (x2, 0);
          operands[5] = x5;
          x14 = XEXP (x10, 0);
          operands[1] = x14;
          x12 = XEXP (x10, 1);
          operands[2] = x12;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x19 = XEXP (x6, 1);
          operands[4] = x19;
          x20 = XEXP (x18, 0);
          if (!rtx_equal_p (x20, operands[1]))
            return -1;
          x21 = XEXP (x18, 1);
          if (!rtx_equal_p (x21, operands[2]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern1228 (x2, 
E_V16QImode, 
E_V8QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7484 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 4359; /* aarch64_addpv8qi_vec_concatz_be_insn */

            case E_V8HImode:
              if (pattern1228 (x2, 
E_V8HImode, 
E_V4HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7484 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 4362; /* aarch64_addpv4hi_vec_concatz_be_insn */

            case E_V4SImode:
              if (pattern1228 (x2, 
E_V4SImode, 
E_V2SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7484 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 4365; /* aarch64_addpv2si_vec_concatz_be_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case EQ:
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case AND:
          x5 = XEXP (x2, 0);
          operands[5] = x5;
          x14 = XEXP (x10, 0);
          operands[1] = x14;
          x12 = XEXP (x10, 1);
          operands[2] = x12;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x6 = XEXP (x3, 1);
          operands[4] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern1073 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4199; /* aarch64_cmtstv8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern1073 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4203; /* aarch64_cmtstv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern1073 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4207; /* aarch64_cmtstv2si_vec_concatz_be */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x10;
          x5 = XEXP (x2, 0);
          operands[4] = x5;
          x11 = XEXP (x4, 1);
          operands[2] = x11;
          x6 = XEXP (x3, 1);
          operands[3] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern1008 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4212; /* *aarch64_cmtst_same_v8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern1008 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4216; /* *aarch64_cmtst_same_v4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern1008 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4220; /* *aarch64_cmtst_same_v2si_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_501 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x3, 1);
      operands[2] = x5;
      x6 = XEXP (x3, 2);
      operands[3] = x6;
      x7 = XEXP (x2, 1);
      operands[4] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern904 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2855 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2402; /* fmav4hf4_vec_concatz_le */

        case E_V4SFmode:
          if (pattern904 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2855 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2406; /* fmav2sf4_vec_concatz_le */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x8 = XEXP (x4, 0);
      switch (GET_CODE (x8))
        {
        case VEC_SELECT:
          if (GET_MODE (x8) != E_SFmode)
            return -1;
          x9 = XEXP (x8, 1);
          if (GET_CODE (x9) != PARALLEL
              || XVECLEN (x9, 0) != 1
              || !register_operand (operands[0], E_V4SFmode)
              || GET_MODE (x2) != E_V4SFmode
              || GET_MODE (x3) != E_V2SFmode
              || GET_MODE (x4) != E_V2SFmode)
            return -1;
          x10 = XEXP (x8, 0);
          operands[1] = x10;
          x11 = XVECEXP (x9, 0, 0);
          operands[2] = x11;
          if (!immediate_operand (operands[2], E_SImode))
            return -1;
          x5 = XEXP (x3, 1);
          operands[3] = x5;
          if (!register_operand (operands[3], E_V2SFmode))
            return -1;
          x6 = XEXP (x3, 2);
          operands[4] = x6;
          if (!register_operand (operands[4], E_V2SFmode))
            return -1;
          x7 = XEXP (x2, 1);
          operands[5] = x7;
          if (!aarch64_simd_or_scalar_imm_zero (operands[5], E_V2SFmode))
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_V2SFmode:
              if (!register_operand (operands[1], E_V2SFmode)
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2869 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2411; /* *aarch64_fma4_eltv2sf_vec_concatz_le */

            case E_V4SFmode:
              if (!register_operand (operands[1], E_V4SFmode)
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2886 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2416; /* *aarch64_fma4_elt_to_128v2sf_vec_concatz_le */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x8;
          x5 = XEXP (x3, 1);
          operands[2] = x5;
          x6 = XEXP (x3, 2);
          operands[3] = x6;
          x7 = XEXP (x2, 1);
          operands[4] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HImode:
              if (pattern961 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2420; /* *aarch64_fma4_elt_from_dupv4hi_vec_concatz_le */

            case E_V4SImode:
              if (pattern961 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2424; /* *aarch64_fma4_elt_from_dupv2si_vec_concatz_le */

            case E_V8HFmode:
              if (pattern961 (x2, 
E_V4HFmode, 
E_HFmode, 
E_V8HFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 440 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2428; /* *aarch64_fma4_elt_from_dupv4hf_vec_concatz_le */

            case E_V4SFmode:
              if (pattern961 (x2, 
E_V2SFmode, 
E_SFmode, 
E_V4SFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2432; /* *aarch64_fma4_elt_from_dupv2sf_vec_concatz_le */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      x5 = XEXP (x3, 1);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          x8 = XEXP (x4, 0);
          operands[1] = x8;
          x6 = XEXP (x3, 2);
          operands[3] = x6;
          x7 = XEXP (x2, 1);
          operands[4] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern962 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2438; /* fnmav4hf4_vec_concatz_le */

            case E_V4SFmode:
              if (pattern962 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2442; /* fnmav2sf4_vec_concatz_le */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x12 = XEXP (x5, 0);
          switch (GET_CODE (x12))
            {
            case VEC_SELECT:
              if (GET_MODE (x12) != E_SFmode)
                return -1;
              x13 = XEXP (x12, 1);
              if (GET_CODE (x13) != PARALLEL
                  || XVECLEN (x13, 0) != 1
                  || !register_operand (operands[0], E_V4SFmode)
                  || GET_MODE (x2) != E_V4SFmode
                  || GET_MODE (x3) != E_V2SFmode
                  || GET_MODE (x4) != E_V2SFmode)
                return -1;
              x8 = XEXP (x4, 0);
              operands[3] = x8;
              if (!register_operand (operands[3], E_V2SFmode)
                  || GET_MODE (x5) != E_V2SFmode)
                return -1;
              x14 = XEXP (x12, 0);
              operands[1] = x14;
              x15 = XVECEXP (x13, 0, 0);
              operands[2] = x15;
              if (!immediate_operand (operands[2], E_SImode))
                return -1;
              x6 = XEXP (x3, 2);
              operands[4] = x6;
              if (!register_operand (operands[4], E_V2SFmode))
                return -1;
              x7 = XEXP (x2, 1);
              operands[5] = x7;
              if (!aarch64_simd_or_scalar_imm_zero (operands[5], E_V2SFmode))
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (!register_operand (operands[1], E_V2SFmode)
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2943 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2447; /* *aarch64_fnma4_eltv2sf_vec_concatz_le */

                case E_V4SFmode:
                  if (!register_operand (operands[1], E_V4SFmode)
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2961 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2452; /* *aarch64_fnma4_elt_to_128v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[1] = x12;
              x8 = XEXP (x4, 0);
              operands[2] = x8;
              x6 = XEXP (x3, 2);
              operands[3] = x6;
              x7 = XEXP (x2, 1);
              operands[4] = x7;
              switch (GET_MODE (operands[0]))
                {
                case E_V8HImode:
                  if (pattern1023 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2456; /* *aarch64_fnma4_elt_from_dupv4hi_vec_concatz_le */

                case E_V4SImode:
                  if (pattern1023 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2460; /* *aarch64_fnma4_elt_from_dupv2si_vec_concatz_le */

                case E_V8HFmode:
                  if (pattern1023 (x2, 
E_V4HFmode, 
E_HFmode, 
E_V8HFmode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 440 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 2464; /* *aarch64_fnma4_elt_from_dupv4hf_vec_concatz_le */

                case E_V4SFmode:
                  if (pattern1023 (x2, 
E_V2SFmode, 
E_SFmode, 
E_V4SFmode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2468; /* *aarch64_fnma4_elt_from_dupv2sf_vec_concatz_le */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_504 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case IOR:
      switch (pattern314 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1314; /* iornv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1318; /* iornv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1322; /* iornv2si3_vec_concatz_le */

        case 3:
          if (pattern814 (x3, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1763; /* iorv8qi3_vec_concatz_le */

        case 4:
          if (pattern814 (x3, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1767; /* iorv4hi3_vec_concatz_le */

        case 5:
          if (pattern814 (x3, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1771; /* iorv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case CONST_INT:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case CONST:
      return recog_495 (x1, insn, pnum_clobbers);

    case AND:
      switch (pattern314 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 337 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1327; /* andnv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 337 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1331; /* andnv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 337 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1335; /* andnv2si3_vec_concatz_le */

        case 3:
          if (pattern823 (x3, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1750; /* andv8qi3_vec_concatz_le */

        case 4:
          if (pattern823 (x3, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1754; /* andv4hi3_vec_concatz_le */

        case 5:
          if (pattern823 (x3, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1758; /* andv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case PLUS:
      return recog_496 (x1, insn, pnum_clobbers);

    case MINUS:
      return recog_502 (x1, insn, pnum_clobbers);

    case MULT:
      switch (pattern317 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 364 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1366; /* mulv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 364 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1370; /* mulv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 364 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1374; /* mulv2si3_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2653 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2365; /* mulv4hf3_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2653 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2369; /* mulv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case BITREVERSE:
      if (pattern318 (x3) != 0
          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
        return -1;
      return 1383; /* aarch64_rbitv8qi_vec_concatz_le */

    case UNSPEC:
      return recog_499 (x1, insn, pnum_clobbers);

    case NEG:
      return recog_500 (x1, insn, pnum_clobbers);

    case ABS:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern419 (x3))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1599; /* absv8qi2_vec_concatz_le */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1603; /* absv4hi2_vec_concatz_le */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 790 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1607; /* absv2si2_vec_concatz_le */

            case 3:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2393; /* absv4hf2_vec_concatz_le */

            case 4:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2699 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2397; /* absv2sf2_vec_concatz_le */

            default:
              return -1;
            }

        case MINUS:
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          x7 = XEXP (x5, 1);
          operands[2] = x7;
          x8 = XEXP (x3, 1);
          operands[3] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern423 (x3, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 1736; /* fabdv4hf3_vec_concatz_le */

            case E_V4SFmode:
              if (pattern423 (x3, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1740; /* fabdv2sf3_vec_concatz_le */

            case E_V2DFmode:
              if (pattern423 (x3, 
E_DFmode, 
E_V2DFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1747; /* fabddf3_vec_concatz_le */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case XOR:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          x9 = XEXP (x4, 1);
          operands[2] = x9;
          x8 = XEXP (x3, 1);
          operands[3] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern824 (x3, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1151 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1776; /* xorv8qi3_vec_concatz_le */

            case E_V8HImode:
              if (pattern824 (x3, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1151 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1780; /* xorv4hi3_vec_concatz_le */

            case E_V4SImode:
              if (pattern824 (x3, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1151 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1784; /* xorv2si3_vec_concatz_le */

            default:
              return -1;
            }

        case AND:
          x6 = XEXP (x5, 0);
          if (GET_CODE (x6) != XOR)
            return -1;
          x10 = XEXP (x6, 0);
          operands[3] = x10;
          x11 = XEXP (x6, 1);
          operands[2] = x11;
          x7 = XEXP (x5, 1);
          operands[1] = x7;
          x8 = XEXP (x3, 1);
          operands[4] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern960 (x3, 
E_V8QImode, 
E_V16QImode) != 0)
                return -1;
              x9 = XEXP (x4, 1);
              if (rtx_equal_p (x9, operands[3])
                  && (
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return 2877; /* aarch64_simd_bslv8qi_internal_vec_concatz_le */
              if (!rtx_equal_p (x9, operands[2])
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2890; /* *aarch64_simd_bslv8qi_alt_vec_concatz_le */

            case E_V8HImode:
              if (pattern960 (x3, 
E_V4HImode, 
E_V8HImode) != 0)
                return -1;
              x9 = XEXP (x4, 1);
              if (rtx_equal_p (x9, operands[3])
                  && (
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return 2881; /* aarch64_simd_bslv4hi_internal_vec_concatz_le */
              if (!rtx_equal_p (x9, operands[2])
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2894; /* *aarch64_simd_bslv4hi_alt_vec_concatz_le */

            case E_V4SImode:
              if (pattern960 (x3, 
E_V2SImode, 
E_V4SImode) != 0)
                return -1;
              x9 = XEXP (x4, 1);
              if (rtx_equal_p (x9, operands[3])
                  && (
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3731 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return 2885; /* aarch64_simd_bslv2si_internal_vec_concatz_le */
              if (!rtx_equal_p (x9, operands[2])
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3755 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2898; /* *aarch64_simd_bslv2si_alt_vec_concatz_le */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NOT:
      switch (pattern320 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1789; /* one_cmplv8qi2_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1793; /* one_cmplv4hi2_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1797; /* one_cmplv2si2_vec_concatz_le */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern322 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1854; /* aarch64_simd_lshrv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1858; /* aarch64_simd_lshrv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1862; /* aarch64_simd_lshrv2si_vec_concatz_le */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern322 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1867; /* aarch64_simd_ashrv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1871; /* aarch64_simd_ashrv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1278 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1875; /* aarch64_simd_ashrv2si_vec_concatz_le */

        default:
          return -1;
        }

    case ASHIFT:
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x9 = XEXP (x4, 1);
      operands[2] = x9;
      x8 = XEXP (x3, 1);
      operands[3] = x8;
      switch (GET_CODE (operands[2]))
        {
        case CONST_VECTOR:
        case CONST:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern825 (x3, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1393 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1917; /* aarch64_simd_imm_shlv8qi_vec_concatz_le */

            case E_V8HImode:
              if (pattern825 (x3, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1393 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1921; /* aarch64_simd_imm_shlv4hi_vec_concatz_le */

            case E_V4SImode:
              if (pattern825 (x3, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1393 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1925; /* aarch64_simd_imm_shlv2si_vec_concatz_le */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern315 (x3, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1404 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1930; /* aarch64_simd_reg_sshlv8qi_vec_concatz_le */

            case E_V8HImode:
              if (pattern315 (x3, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1404 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1934; /* aarch64_simd_reg_sshlv4hi_vec_concatz_le */

            case E_V4SImode:
              if (pattern315 (x3, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1404 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1938; /* aarch64_simd_reg_sshlv2si_vec_concatz_le */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SMAX:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2059; /* smaxv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2075; /* smaxv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2091; /* smaxv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case SMIN:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2062; /* sminv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2078; /* sminv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2094; /* sminv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case UMAX:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2065; /* umaxv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2081; /* umaxv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2097; /* umaxv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case UMIN:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2068; /* uminv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2084; /* uminv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2100; /* uminv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case REG:
    case SUBREG:
    case MEM:
      return recog_498 (x1, insn, pnum_clobbers);

    case TRUNCATE:
      return recog_497 (x1, insn, pnum_clobbers);

    case DIV:
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x9 = XEXP (x4, 1);
      operands[2] = x9;
      x8 = XEXP (x3, 1);
      operands[3] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern315 (x3, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2674 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2374; /* *divv4hf3_vec_concatz_le */

        case E_V4SFmode:
          if (pattern315 (x3, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2674 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2378; /* *divv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case FMA:
      return recog_501 (x1, insn, pnum_clobbers);

    case FLOAT_TRUNCATE:
      x8 = XEXP (x3, 1);
      switch (GET_CODE (x8))
        {
        case CONST_INT:
        case CONST_DOUBLE:
        case CONST_VECTOR:
        case CONST:
          operands[2] = x8;
          x5 = XEXP (x4, 0);
          operands[1] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_V4SFmode:
              if (pattern546 (x3, 
E_V2SFmode, 
E_V2DFmode, 
E_V4SFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3253 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2647; /* truncv2dfv2sf2_vec_concatz_le */

            case E_V8HFmode:
              if (pattern546 (x3, 
E_V4HFmode, 
E_V4SFmode, 
E_V8HFmode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3253 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2650; /* truncv4sfv4hf2_vec_concatz_le */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x8;
          x5 = XEXP (x4, 0);
          operands[2] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_V4SFmode:
              if (pattern544 (x3, 
E_V2SFmode, 
E_V2DFmode, 
E_V4SFmode) != 0
                  || !
#line 3275 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                return -1;
              return 2654; /* aarch64_float_truncate_hi_v4sf_be */

            case E_V8HFmode:
              if (pattern544 (x3, 
E_V4HFmode, 
E_V4SFmode, 
E_V8HFmode) != 0
                  || !
#line 3275 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                return -1;
              return 2655; /* aarch64_float_truncate_hi_v8hf_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case CLRSB:
      switch (pattern320 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3549 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2805; /* clrsbv8qi2_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3549 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2809; /* clrsbv4hi2_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3549 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2813; /* clrsbv2si2_vec_concatz_le */

        default:
          return -1;
        }

    case CLZ:
      switch (pattern320 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2817; /* clzv8qi2_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2821; /* clzv4hi2_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3557 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2825; /* clzv2si2_vec_concatz_le */

        default:
          return -1;
        }

    case POPCOUNT:
      if (pattern318 (x3) != 0
          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3565 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
        return -1;
      return 2829; /* popcountv8qi2_vec_concatz_le */

    case SS_PLUS:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3229; /* ssaddv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3245; /* ssaddv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3261; /* ssaddv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case US_PLUS:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3232; /* usaddv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3248; /* usaddv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3264; /* usaddv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case SS_MINUS:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3235; /* sssubv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3251; /* sssubv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3267; /* sssubv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case US_MINUS:
      switch (pattern323 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3238; /* ussubv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3254; /* ussubv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5170 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3270; /* ussubv2si3_vec_concatz_le */

        default:
          return -1;
        }

    case SS_TRUNCATE:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          x8 = XEXP (x3, 1);
          switch (GET_CODE (x8))
            {
            case CONST_INT:
            case CONST_DOUBLE:
            case CONST_VECTOR:
            case CONST:
              switch (pattern547 (x3))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 3341; /* aarch64_sqmovnv8hi_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 3347; /* aarch64_sqmovnv4si_vec_concatz_le */

                case 2:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 3353; /* aarch64_sqmovnv2di_vec_concatz_le */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              switch (pattern545 (x3))
                {
                case 0:
                  if (!
#line 5422 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                    return -1;
                  return 3364; /* aarch64_sqxtn2v8hi_be */

                case 1:
                  if (!
#line 5422 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                    return -1;
                  return 3366; /* aarch64_sqxtn2v4si_be */

                case 2:
                  if (!
#line 5422 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN))
                    return -1;
                  return 3368; /* aarch64_sqxtn2v2di_be */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern434 (x3, 
SIGN_EXTEND))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3886; /* *aarch64_sqsshrn_nv8hi_insn_vec_concatz_le */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3904; /* *aarch64_sqsshrn_nv4si_insn_vec_concatz_le */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3922; /* *aarch64_sqsshrn_nv2di_insn_vec_concatz_le */

            case 3:
              if (!
#line 6956 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT)))
                return -1;
              return 4014; /* aarch64_sqsshrn2_nv8hi_insn_be */

            case 4:
              if (!
#line 6956 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT)))
                return -1;
              return 4020; /* aarch64_sqsshrn2_nv4si_insn_be */

            case 5:
              if (!
#line 6956 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT)))
                return -1;
              return 4026; /* aarch64_sqsshrn2_nv2di_insn_be */

            case 6:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3940; /* *aarch64_sqrshrn_nv8hi_insn_vec_concatz_le */

            case 7:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3949; /* *aarch64_sqrshrn_nv4si_insn_vec_concatz_le */

            case 8:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3958; /* *aarch64_sqrshrn_nv2di_insn_vec_concatz_le */

            case 9:
              if (!
#line 7011 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && aarch64_const_vec_rnd_cst_p (operands[4], operands[3])))
                return -1;
              return 4041; /* aarch64_sqrshrn2_nv8hi_insn_be */

            case 10:
              if (!
#line 7011 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && aarch64_const_vec_rnd_cst_p (operands[4], operands[3])))
                return -1;
              return 4044; /* aarch64_sqrshrn2_nv4si_insn_be */

            case 11:
              if (!
#line 7011 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && aarch64_const_vec_rnd_cst_p (operands[4], operands[3])))
                return -1;
              return 4047; /* aarch64_sqrshrn2_nv2di_insn_be */

            default:
              return -1;
            }

        case LSHIFTRT:
          x8 = XEXP (x3, 1);
          switch (GET_CODE (x8))
            {
            case CONST_INT:
            case CONST_DOUBLE:
            case CONST_VECTOR:
            case CONST:
              switch (pattern425 (x3))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                    return -1;
                  return 3889; /* *aarch64_sqshrn_nv8hi_insn_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                    return -1;
                  return 3907; /* *aarch64_sqshrn_nv4si_insn_vec_concatz_le */

                case 2:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                    return -1;
                  return 3925; /* *aarch64_sqshrn_nv2di_insn_vec_concatz_le */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              switch (pattern426 (x3))
                {
                case 0:
                  if (!
#line 6956 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT)))
                    return -1;
                  return 4015; /* aarch64_squshrn2_nv8hi_insn_be */

                case 1:
                  if (!
#line 6956 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT)))
                    return -1;
                  return 4021; /* aarch64_squshrn2_nv4si_insn_be */

                case 2:
                  if (!
#line 6956 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && BYTES_BIG_ENDIAN
   && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT)))
                    return -1;
                  return 4027; /* aarch64_squshrn2_nv2di_insn_be */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case US_TRUNCATE:
      return recog_503 (x1, insn, pnum_clobbers);

    case SS_NEG:
      switch (pattern324 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3389; /* aarch64_sqnegv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3397; /* aarch64_sqnegv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3405; /* aarch64_sqnegv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3421; /* aarch64_sqnegdi_vec_concatz_le */

        default:
          return -1;
        }

    case SS_ABS:
      switch (pattern324 (x3))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3392; /* aarch64_sqabsv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3400; /* aarch64_sqabsv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3408; /* aarch64_sqabsv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5542 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3424; /* aarch64_sqabsdi_vec_concatz_le */

        default:
          return -1;
        }

    case SQRT:
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x8 = XEXP (x3, 1);
      operands[2] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern319 (x3, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 7550 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 4371; /* *sqrtv4hf2_vec_concatz_le */

        case E_V4SFmode:
          if (pattern319 (x3, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7550 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4375; /* *sqrtv2sf2_vec_concatz_le */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_524 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern12 (x1))
    {
    case 0:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 903; /* lbtrunchfsi2 */

    case 1:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 923; /* lbtruncsfsi2 */

    case 2:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 943; /* lbtruncdfsi2 */

    case 3:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 913; /* lbtrunchfdi2 */

    case 4:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 933; /* lbtruncsfdi2 */

    case 5:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 953; /* lbtruncdfdi2 */

    case 6:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2536; /* lbtruncv4hfv4hi2 */

    case 7:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2546; /* lbtruncv8hfv8hi2 */

    case 8:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2556; /* lbtruncv2sfv2si2 */

    case 9:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2566; /* lbtruncv4sfv4si2 */

    case 10:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2576; /* lbtruncv2dfv2di2 */

    case 11:
      if (!
#line 3027 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2586; /* lbtrunchfhi2 */

    case 12:
      if (!
#line 3055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2SFmode)))))
        return -1;
      return 2600; /* *aarch64_fcvtv2sfv2si2_mult */

    case 13:
      if (!
#line 3055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V4SFmode)))))
        return -1;
      return 2602; /* *aarch64_fcvtv4sfv4si2_mult */

    case 14:
      if (!
#line 3055 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && IN_RANGE (aarch64_vec_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (GET_MODE_INNER (V2DFmode)))))
        return -1;
      return 2604; /* *aarch64_fcvtv2dfv2di2_mult */

    case 15:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 904; /* lceilhfsi2 */

    case 16:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 924; /* lceilsfsi2 */

    case 17:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 944; /* lceildfsi2 */

    case 18:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 914; /* lceilhfdi2 */

    case 19:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 934; /* lceilsfdi2 */

    case 20:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 954; /* lceildfdi2 */

    case 21:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2537; /* lceilv4hfv4hi2 */

    case 22:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2547; /* lceilv8hfv8hi2 */

    case 23:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2557; /* lceilv2sfv2si2 */

    case 24:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2567; /* lceilv4sfv4si2 */

    case 25:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2577; /* lceilv2dfv2di2 */

    case 26:
      if (!
#line 3027 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2587; /* lceilhfhi2 */

    case 27:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 905; /* lfloorhfsi2 */

    case 28:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 925; /* lfloorsfsi2 */

    case 29:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 945; /* lfloordfsi2 */

    case 30:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 915; /* lfloorhfdi2 */

    case 31:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 935; /* lfloorsfdi2 */

    case 32:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 955; /* lfloordfdi2 */

    case 33:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2538; /* lfloorv4hfv4hi2 */

    case 34:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2548; /* lfloorv8hfv8hi2 */

    case 35:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2558; /* lfloorv2sfv2si2 */

    case 36:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2568; /* lfloorv4sfv4si2 */

    case 37:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2578; /* lfloorv2dfv2di2 */

    case 38:
      if (!
#line 3027 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2588; /* lfloorhfhi2 */

    case 39:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 906; /* lroundhfsi2 */

    case 40:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 926; /* lroundsfsi2 */

    case 41:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 946; /* lrounddfsi2 */

    case 42:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 916; /* lroundhfdi2 */

    case 43:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 936; /* lroundsfdi2 */

    case 44:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 956; /* lrounddfdi2 */

    case 45:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2539; /* lroundv4hfv4hi2 */

    case 46:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2549; /* lroundv8hfv8hi2 */

    case 47:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2559; /* lroundv2sfv2si2 */

    case 48:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2569; /* lroundv4sfv4si2 */

    case 49:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2579; /* lroundv2dfv2di2 */

    case 50:
      if (!
#line 3027 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2589; /* lroundhfhi2 */

    case 51:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 907; /* lfrintnhfsi2 */

    case 52:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 927; /* lfrintnsfsi2 */

    case 53:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 947; /* lfrintndfsi2 */

    case 54:
      if (!(
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 917; /* lfrintnhfdi2 */

    case 55:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 937; /* lfrintnsfdi2 */

    case 56:
      if (!
#line 6852 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 957; /* lfrintndfdi2 */

    case 57:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2540; /* lfrintnv4hfv4hi2 */

    case 58:
      if (!(
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2550; /* lfrintnv8hfv8hi2 */

    case 59:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2560; /* lfrintnv2sfv2si2 */

    case 60:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2570; /* lfrintnv4sfv4si2 */

    case 61:
      if (!
#line 3017 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2580; /* lfrintnv2dfv2di2 */

    case 62:
      if (!
#line 3027 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2590; /* lfrintnhfhi2 */

    case 63:
      if (!
#line 6863 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (SImode))))
        return -1;
      return 963; /* *aarch64_fcvtsfsi2_mult */

    case 64:
      if (!
#line 6863 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (SImode))))
        return -1;
      return 967; /* *aarch64_fcvtdfsi2_mult */

    case 65:
      if (!
#line 6863 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (DImode))))
        return -1;
      return 965; /* *aarch64_fcvtsfdi2_mult */

    case 66:
      if (!
#line 6863 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && IN_RANGE (aarch64_fpconst_pow_of_2 (operands[2]), 1,
		GET_MODE_BITSIZE (DImode))))
        return -1;
      return 969; /* *aarch64_fcvtdfdi2_mult */

    case 67:
      if (!
#line 7025 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 989; /* fix_truncsfsi2 */

    case 68:
      if (!
#line 7037 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 993; /* fix_trunchfsi2 */

    case 69:
      if (!
#line 7048 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 997; /* fix_truncdfsi2 */

    case 70:
      if (!
#line 7025 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 991; /* fix_truncdfdi2 */

    case 71:
      if (!
#line 7037 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 995; /* fix_trunchfdi2 */

    case 72:
      if (!
#line 7048 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 999; /* fix_truncsfdi2 */

    case 73:
      if (!
#line 3035 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_F16INST))
        return -1;
      return 2596; /* fix_trunchfhi2 */

    case 74:
      if (!
#line 3440 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12583; /* fixvnx8sfvnx8si2 */

    case 75:
      if (!
#line 3440 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12585; /* fixvnx16sfvnx16si2 */

    default:
      return -1;
    }
}

 int
recog_534 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  switch (pattern36 (x3))
    {
    case 0:
      if (!
#line 7381 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
        return -1;
      return 1070; /* *aarch64_umaxsi3_cssc */

    case 1:
      if (!
#line 7381 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
        return -1;
      return 1074; /* *aarch64_umaxdi3_cssc */

    case 2:
      if (!
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2064; /* umaxv8qi3 */

    case 3:
      if (!
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2072; /* umaxv16qi3 */

    case 4:
      if (!
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2080; /* umaxv4hi3 */

    case 5:
      if (!
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2088; /* umaxv8hi3 */

    case 6:
      if (!
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2096; /* umaxv2si3 */

    case 7:
      if (!
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2104; /* umaxv4si3 */

    case 8:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11378; /* *umaxvnx32qi3 */

    case 9:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11382; /* *umaxvnx16hi3 */

    case 10:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11386; /* *umaxvnx8si3 */

    case 11:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11390; /* *umaxvnx4di3 */

    case 12:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11394; /* *umaxvnx64qi3 */

    case 13:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11398; /* *umaxvnx32hi3 */

    case 14:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11402; /* *umaxvnx16si3 */

    case 15:
      if (!
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11406; /* *umaxvnx8di3 */

    case 16:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7386; /* *post_ra_umaxvnx16qi3 */

    case 17:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7391; /* *post_ra_umaxvnx8qi3 */

    case 18:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7396; /* *post_ra_umaxvnx4qi3 */

    case 19:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7401; /* *post_ra_umaxvnx2qi3 */

    case 20:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7406; /* *post_ra_umaxvnx8hi3 */

    case 21:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7411; /* *post_ra_umaxvnx4hi3 */

    case 22:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7416; /* *post_ra_umaxvnx2hi3 */

    case 23:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7421; /* *post_ra_umaxvnx4si3 */

    case 24:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7426; /* *post_ra_umaxvnx2si3 */

    case 25:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7431; /* *post_ra_umaxvnx2di3 */

    case 26:
      if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 7436; /* *post_ra_umaxv2di3 */

    case 27:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11411; /* aarch64_sve_single_umaxvnx32qi */

    case 28:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11416; /* aarch64_sve_single_umaxvnx16hi */

    case 29:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11421; /* aarch64_sve_single_umaxvnx8si */

    case 30:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11426; /* aarch64_sve_single_umaxvnx4di */

    case 31:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11431; /* aarch64_sve_single_umaxvnx64qi */

    case 32:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11436; /* aarch64_sve_single_umaxvnx32hi */

    case 33:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11441; /* aarch64_sve_single_umaxvnx16si */

    case 34:
      if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11446; /* aarch64_sve_single_umaxvnx8di */

    default:
      return -1;
    }
}

 int
recog_543 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      switch (pattern332 (x3))
        {
        case 0:
          if (!
#line 5391 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3335; /* aarch64_uqmovnhi */

        case 1:
          if (!
#line 5391 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3337; /* aarch64_uqmovnsi */

        case 2:
          if (!
#line 5391 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3339; /* aarch64_uqmovndi */

        case 3:
          if (!
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3343; /* aarch64_uqmovnv8hi */

        case 4:
          if (!
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3349; /* aarch64_uqmovnv4si */

        case 5:
          if (!
#line 5400 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3355; /* aarch64_uqmovnv2di */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern338 (x3, 
ZERO_EXTEND))
        {
        case 0:
          if (!
#line 6682 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3880; /* aarch64_uqshrn_nhi */

        case 1:
          if (!
#line 6682 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3882; /* aarch64_uqshrn_nsi */

        case 2:
          if (!
#line 6682 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3884; /* aarch64_uqshrn_ndi */

        case 3:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT)))
            return -1;
          return 3894; /* *aarch64_uqshrn_nv8hi_insn */

        case 4:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT)))
            return -1;
          return 3912; /* *aarch64_uqshrn_nv4si_insn */

        case 5:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT)))
            return -1;
          return 3930; /* *aarch64_uqshrn_nv2di_insn */

        case 6:
          if (!
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
            return -1;
          return 3942; /* *aarch64_uqrshrn_nv8hi_insn */

        case 7:
          if (!
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
            return -1;
          return 3951; /* *aarch64_uqrshrn_nv4si_insn */

        case 8:
          if (!
#line 6720 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
            return -1;
          return 3960; /* *aarch64_uqrshrn_nv2di_insn */

        case 9:
          if (!
#line 6735 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
            return -1;
          return 3967; /* *aarch64_uqrshrn_nhi_insn */

        case 10:
          if (!
#line 6735 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
            return -1;
          return 3969; /* *aarch64_uqrshrn_nsi_insn */

        case 11:
          if (!
#line 6735 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2])))
            return -1;
          return 3971; /* *aarch64_uqrshrn_ndi_insn */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern339 (x3))
        {
        case 0:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT)))
            return -1;
          return 3891; /* *aarch64_uqsshrn_nv8hi_insn */

        case 1:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT)))
            return -1;
          return 3909; /* *aarch64_uqsshrn_nv4si_insn */

        case 2:
          if (!
#line 6693 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT)))
            return -1;
          return 3927; /* *aarch64_uqsshrn_nv2di_insn */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_568 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10042; /* *while_ugesivnx8bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10052; /* *while_ugedivnx8bi_cc */
}

 int
recog_578 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10160; /* while_gtsivnx2bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10170; /* while_gtdivnx2bi_ptest */
}

 int
recog_588 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10119; /* while_gesivnx8bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10129; /* while_gedivnx8bi_ptest */
}

 int
recog_598 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 1);
  operands[4] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[5] = x5;
  x6 = XVECEXP (x3, 0, 3);
  x7 = XVECEXP (x6, 0, 0);
  operands[6] = x7;
  x8 = XVECEXP (x6, 0, 1);
  operands[7] = x8;
  if (!aarch64_sve_ptrue_flag (operands[7], E_SImode))
    return -1;
  x9 = XVECEXP (x6, 0, 2);
  switch (GET_CODE (x9))
    {
    case LT:
      switch (pattern1322 (x1, 
LT))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9545; /* *cmpltvnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9555; /* *cmpltvnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9585; /* *cmpltvnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9565; /* *cmpltvnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9595; /* *cmpltvnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9615; /* *cmpltvnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9575; /* *cmpltvnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9605; /* *cmpltvnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9625; /* *cmpltvnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9635; /* *cmpltvnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9645; /* *cmpltvnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9655; /* *cmpltvnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9685; /* *cmpltvnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9665; /* *cmpltvnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9695; /* *cmpltvnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9715; /* *cmpltvnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9675; /* *cmpltvnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9705; /* *cmpltvnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9725; /* *cmpltvnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9735; /* *cmpltvnx2di_ptest */

        default:
          return -1;
        }

    case LE:
      switch (pattern1322 (x1, 
LE))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9546; /* *cmplevnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9556; /* *cmplevnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9586; /* *cmplevnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9566; /* *cmplevnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9596; /* *cmplevnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9616; /* *cmplevnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9576; /* *cmplevnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9606; /* *cmplevnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9626; /* *cmplevnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9636; /* *cmplevnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9646; /* *cmplevnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9656; /* *cmplevnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9686; /* *cmplevnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9666; /* *cmplevnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9696; /* *cmplevnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9716; /* *cmplevnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9676; /* *cmplevnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9706; /* *cmplevnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9726; /* *cmplevnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9736; /* *cmplevnx2di_ptest */

        default:
          return -1;
        }

    case EQ:
      switch (pattern1322 (x1, 
EQ))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9547; /* *cmpeqvnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9557; /* *cmpeqvnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9587; /* *cmpeqvnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9567; /* *cmpeqvnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9597; /* *cmpeqvnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9617; /* *cmpeqvnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9577; /* *cmpeqvnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9607; /* *cmpeqvnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9627; /* *cmpeqvnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9637; /* *cmpeqvnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9647; /* *cmpeqvnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9657; /* *cmpeqvnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9687; /* *cmpeqvnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9667; /* *cmpeqvnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9697; /* *cmpeqvnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9717; /* *cmpeqvnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9677; /* *cmpeqvnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9707; /* *cmpeqvnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9727; /* *cmpeqvnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9737; /* *cmpeqvnx2di_ptest */

        default:
          return -1;
        }

    case NE:
      switch (pattern1322 (x1, 
NE))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9548; /* *cmpnevnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9558; /* *cmpnevnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9588; /* *cmpnevnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9568; /* *cmpnevnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9598; /* *cmpnevnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9618; /* *cmpnevnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9578; /* *cmpnevnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9608; /* *cmpnevnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9628; /* *cmpnevnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9638; /* *cmpnevnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9648; /* *cmpnevnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9658; /* *cmpnevnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9688; /* *cmpnevnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9668; /* *cmpnevnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9698; /* *cmpnevnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9718; /* *cmpnevnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9678; /* *cmpnevnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9708; /* *cmpnevnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9728; /* *cmpnevnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9738; /* *cmpnevnx2di_ptest */

        default:
          return -1;
        }

    case GE:
      switch (pattern1322 (x1, 
GE))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9549; /* *cmpgevnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9559; /* *cmpgevnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9589; /* *cmpgevnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9569; /* *cmpgevnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9599; /* *cmpgevnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9619; /* *cmpgevnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9579; /* *cmpgevnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9609; /* *cmpgevnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9629; /* *cmpgevnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9639; /* *cmpgevnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9649; /* *cmpgevnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9659; /* *cmpgevnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9689; /* *cmpgevnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9669; /* *cmpgevnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9699; /* *cmpgevnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9719; /* *cmpgevnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9679; /* *cmpgevnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9709; /* *cmpgevnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9729; /* *cmpgevnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9739; /* *cmpgevnx2di_ptest */

        default:
          return -1;
        }

    case GT:
      switch (pattern1322 (x1, 
GT))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9550; /* *cmpgtvnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9560; /* *cmpgtvnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9590; /* *cmpgtvnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9570; /* *cmpgtvnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9600; /* *cmpgtvnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9620; /* *cmpgtvnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9580; /* *cmpgtvnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9610; /* *cmpgtvnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9630; /* *cmpgtvnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9640; /* *cmpgtvnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9650; /* *cmpgtvnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9660; /* *cmpgtvnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9690; /* *cmpgtvnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9670; /* *cmpgtvnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9700; /* *cmpgtvnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9720; /* *cmpgtvnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9680; /* *cmpgtvnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9710; /* *cmpgtvnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9730; /* *cmpgtvnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9740; /* *cmpgtvnx2di_ptest */

        default:
          return -1;
        }

    case LTU:
      switch (pattern1326 (x1, 
LTU))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9551; /* *cmplovnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9561; /* *cmplovnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9591; /* *cmplovnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9571; /* *cmplovnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9601; /* *cmplovnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9621; /* *cmplovnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9581; /* *cmplovnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9611; /* *cmplovnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9631; /* *cmplovnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9641; /* *cmplovnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9651; /* *cmplovnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9661; /* *cmplovnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9691; /* *cmplovnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9671; /* *cmplovnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9701; /* *cmplovnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9721; /* *cmplovnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9681; /* *cmplovnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9711; /* *cmplovnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9731; /* *cmplovnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9741; /* *cmplovnx2di_ptest */

        default:
          return -1;
        }

    case LEU:
      switch (pattern1326 (x1, 
LEU))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9552; /* *cmplsvnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9562; /* *cmplsvnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9592; /* *cmplsvnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9572; /* *cmplsvnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9602; /* *cmplsvnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9622; /* *cmplsvnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9582; /* *cmplsvnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9612; /* *cmplsvnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9632; /* *cmplsvnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9642; /* *cmplsvnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9652; /* *cmplsvnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9662; /* *cmplsvnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9692; /* *cmplsvnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9672; /* *cmplsvnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9702; /* *cmplsvnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9722; /* *cmplsvnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9682; /* *cmplsvnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9712; /* *cmplsvnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9732; /* *cmplsvnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9742; /* *cmplsvnx2di_ptest */

        default:
          return -1;
        }

    case GEU:
      switch (pattern1326 (x1, 
GEU))
        {
        case 0:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9553; /* *cmphsvnx16qi_cc */

        case 1:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9563; /* *cmphsvnx8qi_cc */

        case 2:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9593; /* *cmphsvnx8hi_cc */

        case 3:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9573; /* *cmphsvnx4qi_cc */

        case 4:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9603; /* *cmphsvnx4hi_cc */

        case 5:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9623; /* *cmphsvnx4si_cc */

        case 6:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9583; /* *cmphsvnx2qi_cc */

        case 7:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9613; /* *cmphsvnx2hi_cc */

        case 8:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9633; /* *cmphsvnx2si_cc */

        case 9:
          if (!
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9643; /* *cmphsvnx2di_cc */

        case 10:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9653; /* *cmphsvnx16qi_ptest */

        case 11:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9663; /* *cmphsvnx8qi_ptest */

        case 12:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9693; /* *cmphsvnx8hi_ptest */

        case 13:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9673; /* *cmphsvnx4qi_ptest */

        case 14:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9703; /* *cmphsvnx4hi_ptest */

        case 15:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9723; /* *cmphsvnx4si_ptest */

        case 16:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9683; /* *cmphsvnx2qi_ptest */

        case 17:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9713; /* *cmphsvnx2hi_ptest */

        case 18:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9733; /* *cmphsvnx2si_ptest */

        case 19:
          if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
            return -1;
          return 9743; /* *cmphsvnx2di_ptest */

        default:
          return -1;
        }

    case GTU:
      return recog_597 (x1, insn, pnum_clobbers);

    case UNSPEC:
      return recog_596 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 rtx_insn *
split_5 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
    case MEM:
      switch (pattern463 (x2))
        {
        case 0:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16QImode)
       || register_operand (operands[2], VNx16QImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx16QImode)
   && register_operand (operands[2], VNx16QImode))))
            return NULL;
          return gen_split_429 (insn, operands);

        case 1:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8QImode)
       || register_operand (operands[2], VNx8QImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx8QImode)
   && register_operand (operands[2], VNx8QImode))))
            return NULL;
          return gen_split_430 (insn, operands);

        case 2:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4QImode)
       || register_operand (operands[2], VNx4QImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx4QImode)
   && register_operand (operands[2], VNx4QImode))))
            return NULL;
          return gen_split_431 (insn, operands);

        case 3:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2QImode)
       || register_operand (operands[2], VNx2QImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2QImode)
   && register_operand (operands[2], VNx2QImode))))
            return NULL;
          return gen_split_432 (insn, operands);

        case 4:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8HImode)
       || register_operand (operands[2], VNx8HImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx8HImode)
   && register_operand (operands[2], VNx8HImode))))
            return NULL;
          return gen_split_433 (insn, operands);

        case 5:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4HImode)
       || register_operand (operands[2], VNx4HImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx4HImode)
   && register_operand (operands[2], VNx4HImode))))
            return NULL;
          return gen_split_434 (insn, operands);

        case 6:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2HImode)
       || register_operand (operands[2], VNx2HImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2HImode)
   && register_operand (operands[2], VNx2HImode))))
            return NULL;
          return gen_split_435 (insn, operands);

        case 7:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4SImode)
       || register_operand (operands[2], VNx4SImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx4SImode)
   && register_operand (operands[2], VNx4SImode))))
            return NULL;
          return gen_split_436 (insn, operands);

        case 8:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2SImode)
       || register_operand (operands[2], VNx2SImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2SImode)
   && register_operand (operands[2], VNx2SImode))))
            return NULL;
          return gen_split_437 (insn, operands);

        case 9:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2DImode)
       || register_operand (operands[2], VNx2DImode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2DImode)
   && register_operand (operands[2], VNx2DImode))))
            return NULL;
          return gen_split_438 (insn, operands);

        case 10:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8HFmode)
       || register_operand (operands[2], VNx8HFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx8HFmode)
   && register_operand (operands[2], VNx8HFmode))))
            return NULL;
          return gen_split_439 (insn, operands);

        case 11:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4HFmode)
       || register_operand (operands[2], VNx4HFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx4HFmode)
   && register_operand (operands[2], VNx4HFmode))))
            return NULL;
          return gen_split_440 (insn, operands);

        case 12:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2HFmode)
       || register_operand (operands[2], VNx2HFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2HFmode)
   && register_operand (operands[2], VNx2HFmode))))
            return NULL;
          return gen_split_441 (insn, operands);

        case 13:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8BFmode)
       || register_operand (operands[2], VNx8BFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx8BFmode)
   && register_operand (operands[2], VNx8BFmode))))
            return NULL;
          return gen_split_442 (insn, operands);

        case 14:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4BFmode)
       || register_operand (operands[2], VNx4BFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx4BFmode)
   && register_operand (operands[2], VNx4BFmode))))
            return NULL;
          return gen_split_443 (insn, operands);

        case 15:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2BFmode)
       || register_operand (operands[2], VNx2BFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2BFmode)
   && register_operand (operands[2], VNx2BFmode))))
            return NULL;
          return gen_split_444 (insn, operands);

        case 16:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4SFmode)
       || register_operand (operands[2], VNx4SFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx4SFmode)
   && register_operand (operands[2], VNx4SFmode))))
            return NULL;
          return gen_split_445 (insn, operands);

        case 17:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2SFmode)
       || register_operand (operands[2], VNx2SFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2SFmode)
   && register_operand (operands[2], VNx2SFmode))))
            return NULL;
          return gen_split_446 (insn, operands);

        case 18:
          if (!(
#line 753 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2DFmode)
       || register_operand (operands[2], VNx2DFmode))) && 
#line 761 "../../gcc/config/aarch64/aarch64-sve.md"
( register_operand (operands[0], VNx2DFmode)
   && register_operand (operands[2], VNx2DFmode))))
            return NULL;
          return gen_split_447 (insn, operands);

        case 19:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32QImode)
       || register_operand (operands[2], VNx32QImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_534 (insn, operands);

        case 20:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16HImode)
       || register_operand (operands[2], VNx16HImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_535 (insn, operands);

        case 21:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8SImode)
       || register_operand (operands[2], VNx8SImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_536 (insn, operands);

        case 22:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4DImode)
       || register_operand (operands[2], VNx4DImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_537 (insn, operands);

        case 23:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16BFmode)
       || register_operand (operands[2], VNx16BFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_538 (insn, operands);

        case 24:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16HFmode)
       || register_operand (operands[2], VNx16HFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_539 (insn, operands);

        case 25:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8SFmode)
       || register_operand (operands[2], VNx8SFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_540 (insn, operands);

        case 26:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4DFmode)
       || register_operand (operands[2], VNx4DFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_541 (insn, operands);

        case 27:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx48QImode)
       || register_operand (operands[2], VNx48QImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_542 (insn, operands);

        case 28:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx24HImode)
       || register_operand (operands[2], VNx24HImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_543 (insn, operands);

        case 29:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx12SImode)
       || register_operand (operands[2], VNx12SImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_544 (insn, operands);

        case 30:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx6DImode)
       || register_operand (operands[2], VNx6DImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_545 (insn, operands);

        case 31:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx24BFmode)
       || register_operand (operands[2], VNx24BFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_546 (insn, operands);

        case 32:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx24HFmode)
       || register_operand (operands[2], VNx24HFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_547 (insn, operands);

        case 33:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx12SFmode)
       || register_operand (operands[2], VNx12SFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_548 (insn, operands);

        case 34:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx6DFmode)
       || register_operand (operands[2], VNx6DFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_549 (insn, operands);

        case 35:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx64QImode)
       || register_operand (operands[2], VNx64QImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_550 (insn, operands);

        case 36:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32HImode)
       || register_operand (operands[2], VNx32HImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_551 (insn, operands);

        case 37:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16SImode)
       || register_operand (operands[2], VNx16SImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_552 (insn, operands);

        case 38:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8DImode)
       || register_operand (operands[2], VNx8DImode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_553 (insn, operands);

        case 39:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32BFmode)
       || register_operand (operands[2], VNx32BFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_554 (insn, operands);

        case 40:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32HFmode)
       || register_operand (operands[2], VNx32HFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_555 (insn, operands);

        case 41:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16SFmode)
       || register_operand (operands[2], VNx16SFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_556 (insn, operands);

        case 42:
          if (!(
#line 904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8DFmode)
       || register_operand (operands[2], VNx8DFmode))) && 
#line 908 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_557 (insn, operands);

        default:
          return NULL;
        }

    case SIGN_EXTEND:
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != UNSPEC)
        return NULL;
      return split_3 (x1, insn);

    case ZERO_EXTEND:
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != UNSPEC)
        return NULL;
      return split_4 (x1, insn);

    case MULT:
      switch (pattern467 (x2))
        {
        case 0:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1190 (insn, operands);

        case 1:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1195 (insn, operands);

        case 2:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1200 (insn, operands);

        case 3:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1205 (insn, operands);

        case 4:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1210 (insn, operands);

        case 5:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1215 (insn, operands);

        case 6:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1220 (insn, operands);

        case 7:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1225 (insn, operands);

        case 8:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1230 (insn, operands);

        case 9:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1235 (insn, operands);

        case 10:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], V2DImode))))
            return NULL;
          return gen_split_1240 (insn, operands);

        default:
          return NULL;
        }

    case SMAX:
      switch (pattern467 (x2))
        {
        case 0:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1191 (insn, operands);

        case 1:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1196 (insn, operands);

        case 2:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1201 (insn, operands);

        case 3:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1206 (insn, operands);

        case 4:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1211 (insn, operands);

        case 5:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1216 (insn, operands);

        case 6:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1221 (insn, operands);

        case 7:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1226 (insn, operands);

        case 8:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1231 (insn, operands);

        case 9:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1236 (insn, operands);

        case 10:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], V2DImode))))
            return NULL;
          return gen_split_1241 (insn, operands);

        default:
          return NULL;
        }

    case SMIN:
      switch (pattern470 (x2))
        {
        case 0:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1192 (insn, operands);

        case 1:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1197 (insn, operands);

        case 2:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1202 (insn, operands);

        case 3:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1207 (insn, operands);

        case 4:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1212 (insn, operands);

        case 5:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1217 (insn, operands);

        case 6:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1222 (insn, operands);

        case 7:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1227 (insn, operands);

        case 8:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1232 (insn, operands);

        case 9:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1237 (insn, operands);

        case 10:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], V2DImode))))
            return NULL;
          return gen_split_1242 (insn, operands);

        case 11:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2795 (insn, operands);

        case 12:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2797 (insn, operands);

        case 13:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2799 (insn, operands);

        case 14:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2801 (insn, operands);

        default:
          return NULL;
        }

    case UMAX:
      switch (pattern472 (x2))
        {
        case 0:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1193 (insn, operands);

        case 1:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1198 (insn, operands);

        case 2:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1203 (insn, operands);

        case 3:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1208 (insn, operands);

        case 4:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1213 (insn, operands);

        case 5:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1218 (insn, operands);

        case 6:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1223 (insn, operands);

        case 7:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1228 (insn, operands);

        case 8:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1233 (insn, operands);

        case 9:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1238 (insn, operands);

        case 10:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], V2DImode))))
            return NULL;
          return gen_split_1243 (insn, operands);

        default:
          return NULL;
        }

    case UMIN:
      switch (pattern473 (x2))
        {
        case 0:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1194 (insn, operands);

        case 1:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1199 (insn, operands);

        case 2:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1204 (insn, operands);

        case 3:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1209 (insn, operands);

        case 4:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1214 (insn, operands);

        case 5:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1219 (insn, operands);

        case 6:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1224 (insn, operands);

        case 7:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1229 (insn, operands);

        case 8:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1234 (insn, operands);

        case 9:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1239 (insn, operands);

        case 10:
          if (!(
#line 3951 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3960 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], V2DImode))))
            return NULL;
          return gen_split_1244 (insn, operands);

        case 11:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2796 (insn, operands);

        case 12:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2798 (insn, operands);

        case 13:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2800 (insn, operands);

        case 14:
          if (!(
#line 806 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME) && 
#line 811 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
            return NULL;
          return gen_split_2802 (insn, operands);

        default:
          return NULL;
        }

    case ASHIFT:
      switch (pattern477 (x2))
        {
        case 0:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1509 (insn, operands);

        case 1:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1512 (insn, operands);

        case 2:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1515 (insn, operands);

        case 3:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1518 (insn, operands);

        case 4:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1521 (insn, operands);

        case 5:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1524 (insn, operands);

        case 6:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1527 (insn, operands);

        case 7:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1530 (insn, operands);

        case 8:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1533 (insn, operands);

        case 9:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1536 (insn, operands);

        default:
          return NULL;
        }

    case ASHIFTRT:
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      switch (pattern597 (x2))
        {
        case 0:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1510 (insn, operands);

        case 1:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1513 (insn, operands);

        case 2:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1516 (insn, operands);

        case 3:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1519 (insn, operands);

        case 4:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1522 (insn, operands);

        case 5:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1525 (insn, operands);

        case 6:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1528 (insn, operands);

        case 7:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1531 (insn, operands);

        case 8:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1534 (insn, operands);

        case 9:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1537 (insn, operands);

        default:
          return NULL;
        }

    case LSHIFTRT:
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      switch (pattern597 (x2))
        {
        case 0:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx16QImode))))
            return NULL;
          return gen_split_1511 (insn, operands);

        case 1:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8QImode))))
            return NULL;
          return gen_split_1514 (insn, operands);

        case 2:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4QImode))))
            return NULL;
          return gen_split_1517 (insn, operands);

        case 3:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2QImode))))
            return NULL;
          return gen_split_1520 (insn, operands);

        case 4:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx8HImode))))
            return NULL;
          return gen_split_1523 (insn, operands);

        case 5:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4HImode))))
            return NULL;
          return gen_split_1526 (insn, operands);

        case 6:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2HImode))))
            return NULL;
          return gen_split_1529 (insn, operands);

        case 7:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx4SImode))))
            return NULL;
          return gen_split_1532 (insn, operands);

        case 8:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2SImode))))
            return NULL;
          return gen_split_1535 (insn, operands);

        case 9:
          if (!(
#line 4890 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4897 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && !register_operand (operands[3], VNx2DImode))))
            return NULL;
          return gen_split_1538 (insn, operands);

        default:
          return NULL;
        }

    case AND:
      switch (pattern479 (x2))
        {
        case 0:
          if (!(
#line 1628 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1633 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2971 (insn, operands);

        case 1:
          if (!(
#line 1628 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1633 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2972 (insn, operands);

        case 2:
          if (!(
#line 1628 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1633 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2973 (insn, operands);

        case 3:
          if (!(
#line 1628 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1633 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2974 (insn, operands);

        default:
          return NULL;
        }

    case IOR:
      switch (pattern479 (x2))
        {
        case 0:
          if (!(
#line 1650 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1655 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2975 (insn, operands);

        case 1:
          if (!(
#line 1650 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1655 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2976 (insn, operands);

        case 2:
          if (!(
#line 1650 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1655 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2977 (insn, operands);

        case 3:
          if (!(
#line 1650 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1655 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[3]))))
            return NULL;
          return gen_split_2978 (insn, operands);

        default:
          return NULL;
        }

    case NOT:
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != XOR)
        return NULL;
      switch (pattern595 (x2))
        {
        case 0:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && (
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return gen_split_2979 (insn, operands);
          if (!rtx_equal_p (x6, operands[2])
              || !(
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2980 (insn, operands);

        case 1:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && (
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return gen_split_2981 (insn, operands);
          if (!rtx_equal_p (x6, operands[2])
              || !(
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2982 (insn, operands);

        case 2:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && (
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return gen_split_2983 (insn, operands);
          if (!rtx_equal_p (x6, operands[2])
              || !(
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2984 (insn, operands);

        case 3:
          x6 = XEXP (x4, 1);
          if (rtx_equal_p (x6, operands[1])
              && (
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return gen_split_2985 (insn, operands);
          if (!rtx_equal_p (x6, operands[2])
              || !(
#line 1725 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1730 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_2986 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_73 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      switch (pattern701 (x2))
        {
        case 0:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1245 (insn, operands);

        case 1:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1262 (insn, operands);

        case 2:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1279 (insn, operands);

        case 3:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1296 (insn, operands);

        case 4:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1313 (insn, operands);

        case 5:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1330 (insn, operands);

        case 6:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1347 (insn, operands);

        case 7:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1364 (insn, operands);

        case 8:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1381 (insn, operands);

        case 9:
          if (!(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 4049 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1398 (insn, operands);

        default:
          return NULL;
        }

    case MULT:
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      x6 = XEXP (x4, 1);
      operands[3] = x6;
      x7 = XEXP (x3, 1);
      operands[4] = x7;
      x8 = XVECEXP (x2, 0, 2);
      operands[5] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern1102 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx16QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1992 (insn, operands);

        case E_VNx8QImode:
          if (pattern1102 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx8QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1993 (insn, operands);

        case E_VNx4QImode:
          if (pattern1102 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx4QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1994 (insn, operands);

        case E_VNx2QImode:
          if (pattern1102 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2QImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1995 (insn, operands);

        case E_VNx8HImode:
          if (pattern1102 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx8HImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1996 (insn, operands);

        case E_VNx4HImode:
          if (pattern1102 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx4HImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1997 (insn, operands);

        case E_VNx2HImode:
          if (pattern1102 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2HImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1998 (insn, operands);

        case E_VNx4SImode:
          if (pattern1102 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx4SImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_1999 (insn, operands);

        case E_VNx2SImode:
          if (pattern1102 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2SImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2000 (insn, operands);

        case E_VNx2DImode:
          if (pattern1102 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !(
#line 7118 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 7130 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[5], VNx2DImode)
   && !rtx_equal_p (operands[0], operands[5]))))
            return NULL;
          return gen_split_2001 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_77 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XVECLEN (x2, 0))
    {
    case 1:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      switch (XINT (x2, 1))
        {
        case 205:
          x4 = XVECEXP (x2, 0, 0);
          switch (GET_CODE (x4))
            {
            case PLUS:
              switch (pattern460 (x2))
                {
                case 0:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_160 (insn, operands);

                case 1:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_162 (insn, operands);

                case 2:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_164 (insn, operands);

                case 3:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_166 (insn, operands);

                case 4:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_168 (insn, operands);

                case 5:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_170 (insn, operands);

                case 6:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_161 (insn, operands);

                case 7:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_163 (insn, operands);

                case 8:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_165 (insn, operands);

                case 9:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_167 (insn, operands);

                case 10:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_169 (insn, operands);

                case 11:
                  if (!(
#line 3458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3460 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_171 (insn, operands);

                default:
                  return NULL;
                }

            case ZERO_EXTEND:
              x5 = XEXP (x4, 0);
              if (GET_CODE (x5) != PLUS)
                return NULL;
              switch (pattern580 (x2))
                {
                case 0:
                  if (!(
#line 3485 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3487 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_172 (insn, operands);

                case 1:
                  if (!(
#line 3485 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3487 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_173 (insn, operands);

                case 2:
                  if (!(
#line 3485 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3487 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_174 (insn, operands);

                case 3:
                  if (!(
#line 3485 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])) && 
#line 3487 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
                    return NULL;
                  return gen_split_175 (insn, operands);

                default:
                  return NULL;
                }

            default:
              return NULL;
            }

        case 153:
          switch (pattern371 (x2))
            {
            case 0:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_467 (insn, operands);

            case 1:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_468 (insn, operands);

            case 2:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_469 (insn, operands);

            case 3:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_470 (insn, operands);

            case 4:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_471 (insn, operands);

            case 5:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_472 (insn, operands);

            case 6:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_473 (insn, operands);

            case 7:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_474 (insn, operands);

            case 8:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_475 (insn, operands);

            case 9:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_476 (insn, operands);

            case 10:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_477 (insn, operands);

            case 11:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_478 (insn, operands);

            case 12:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_479 (insn, operands);

            case 13:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_480 (insn, operands);

            case 14:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_481 (insn, operands);

            case 15:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_482 (insn, operands);

            case 16:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_483 (insn, operands);

            case 17:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_484 (insn, operands);

            case 18:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_485 (insn, operands);

            case 19:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_486 (insn, operands);

            case 20:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_487 (insn, operands);

            case 21:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_488 (insn, operands);

            case 22:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_489 (insn, operands);

            case 23:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_490 (insn, operands);

            case 24:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_491 (insn, operands);

            case 25:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_492 (insn, operands);

            case 26:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_493 (insn, operands);

            case 27:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_494 (insn, operands);

            case 28:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_495 (insn, operands);

            case 29:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_496 (insn, operands);

            case 30:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_497 (insn, operands);

            case 31:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_498 (insn, operands);

            case 32:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_499 (insn, operands);

            case 33:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_500 (insn, operands);

            case 34:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_501 (insn, operands);

            case 35:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_502 (insn, operands);

            case 36:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_503 (insn, operands);

            case 37:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_504 (insn, operands);

            case 38:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_505 (insn, operands);

            case 39:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_506 (insn, operands);

            case 40:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_507 (insn, operands);

            case 41:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_508 (insn, operands);

            case 42:
              if (!(
#line 812 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 814 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
                return NULL;
              return gen_split_509 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case 2:
      return split_76 (x1, insn);

    case 7:
      x6 = XVECEXP (x2, 0, 2);
      if (GET_CODE (x6) != UNSPEC
          || XVECLEN (x6, 0) != 2
          || XINT (x6, 1) != 125
          || GET_MODE (x6) != E_VNx2DImode)
        return NULL;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[5] = x4;
      if (!register_operand (operands[5], E_VNx2BImode))
        return NULL;
      x7 = XVECEXP (x2, 0, 1);
      operands[1] = x7;
      if (!register_operand (operands[1], E_DImode))
        return NULL;
      x8 = XVECEXP (x6, 0, 0);
      operands[6] = x8;
      x9 = XVECEXP (x6, 0, 1);
      if (GET_MODE (x9) != E_VNx2DImode)
        return NULL;
      x10 = XVECEXP (x2, 0, 3);
      operands[3] = x10;
      if (!const_int_operand (operands[3], E_DImode))
        return NULL;
      x11 = XVECEXP (x2, 0, 4);
      operands[4] = x11;
      switch (XINT (x2, 1))
        {
        case 120:
          x12 = XVECEXP (x2, 0, 6);
          if (GET_CODE (x12) != MEM
              || GET_MODE (x12) != E_BLKmode)
            return NULL;
          x13 = XEXP (x12, 0);
          if (GET_CODE (x13) != SCRATCH)
            return NULL;
          switch (pattern1301 (x2))
            {
            case 0:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_856 (insn, operands);

            case 1:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_858 (insn, operands);

            case 2:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_860 (insn, operands);

            case 3:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_862 (insn, operands);

            case 4:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_864 (insn, operands);

            case 5:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_866 (insn, operands);

            case 6:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_868 (insn, operands);

            case 7:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_870 (insn, operands);

            case 8:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_872 (insn, operands);

            case 9:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_873 (insn, operands);

            case 10:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_874 (insn, operands);

            case 11:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_875 (insn, operands);

            case 12:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_876 (insn, operands);

            case 13:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_877 (insn, operands);

            case 14:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_878 (insn, operands);

            case 15:
              if (!(
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1604 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_879 (insn, operands);

            case 16:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_857 (insn, operands);

            case 17:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_859 (insn, operands);

            case 18:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_861 (insn, operands);

            case 19:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_863 (insn, operands);

            case 20:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_865 (insn, operands);

            case 21:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_867 (insn, operands);

            case 22:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_869 (insn, operands);

            case 23:
              if (!(
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1573 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_871 (insn, operands);

            default:
              return NULL;
            }

        case 121:
          if (GET_CODE (x9) != SIGN_EXTEND)
            return NULL;
          x14 = XEXP (x9, 0);
          if (GET_CODE (x14) != TRUNCATE
              || GET_MODE (x14) != E_VNx2SImode
              || pattern256 (x2) != 0)
            return NULL;
          switch (pattern1348 (x2))
            {
            case 0:
              if (!(
#line 1911 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1918 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_978 (insn, operands);

            case 1:
              if (!(
#line 1911 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1918 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
                return NULL;
              return gen_split_979 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case 6:
      return split_75 (x1, insn);

    case 3:
      return split_74 (x1, insn);

    case 4:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      switch (XINT (x2, 1))
        {
        case 352:
          switch (pattern453 (x2))
            {
            case 0:
              if (!(
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return NULL;
              return gen_split_1658 (insn, operands);

            case 1:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1661 (insn, operands);

            case 2:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1664 (insn, operands);

            case 3:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1667 (insn, operands);

            default:
              return NULL;
            }

        case 393:
          switch (pattern453 (x2))
            {
            case 0:
              if (!(
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return NULL;
              return gen_split_1659 (insn, operands);

            case 1:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1662 (insn, operands);

            case 2:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1665 (insn, operands);

            case 3:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1668 (insn, operands);

            default:
              return NULL;
            }

        case 378:
          switch (pattern453 (x2))
            {
            case 0:
              if (!(
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
                return NULL;
              return gen_split_1660 (insn, operands);

            case 1:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1663 (insn, operands);

            case 2:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1666 (insn, operands);

            case 3:
              if (!
#line 5358 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && reload_completed
   && INTVAL (operands[4]) == SVE_RELAXED_GP))
                return NULL;
              return gen_split_1669 (insn, operands);

            default:
              return NULL;
            }

        case 358:
          switch (pattern455 (x2))
            {
            case 0:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2631 (insn, operands);

            case 1:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2635 (insn, operands);

            case 2:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2639 (insn, operands);

            default:
              return NULL;
            }

        case 359:
          switch (pattern455 (x2))
            {
            case 0:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2632 (insn, operands);

            case 1:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2636 (insn, operands);

            case 2:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2640 (insn, operands);

            default:
              return NULL;
            }

        case 364:
          switch (pattern455 (x2))
            {
            case 0:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2633 (insn, operands);

            case 1:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2637 (insn, operands);

            case 2:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2641 (insn, operands);

            default:
              return NULL;
            }

        case 365:
          switch (pattern455 (x2))
            {
            case 0:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2634 (insn, operands);

            case 1:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2638 (insn, operands);

            case 2:
              if (!(
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8787 "../../gcc/config/aarch64/aarch64-sve.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_2642 (insn, operands);

            default:
              return NULL;
            }

        case 375:
          x7 = XVECEXP (x2, 0, 1);
          if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return NULL;
          x6 = XVECEXP (x2, 0, 2);
          if (pattern480 (x6, 
373) != 0)
            return NULL;
          switch (pattern919 (x2))
            {
            case 0:
              if (!(
#line 491 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16) && 
#line 1400 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
                return NULL;
              return gen_split_2963 (insn, operands);

            case 1:
              if (!(
#line 492 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2) && 
#line 1400 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
                return NULL;
              return gen_split_2964 (insn, operands);

            case 2:
              if (!(
#line 493 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2) && 
#line 1400 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
                return NULL;
              return gen_split_2965 (insn, operands);

            case 3:
              if (!(
#line 494 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2) && 
#line 1400 "../../gcc/config/aarch64/aarch64-sve2.md"
( true)))
                return NULL;
              return gen_split_2966 (insn, operands);

            default:
              return NULL;
            }

        case 395:
          switch (pattern456 (x2))
            {
            case 0:
              if (!(
#line 2953 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_FAMINMAX && TARGET_SVE2_OR_SME2) && 
#line 2958 "../../gcc/config/aarch64/aarch64-sve2.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_3031 (insn, operands);

            case 1:
              if (!(
#line 2953 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_FAMINMAX && TARGET_SVE2_OR_SME2) && 
#line 2958 "../../gcc/config/aarch64/aarch64-sve2.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_3033 (insn, operands);

            case 2:
              if (!(
#line 2953 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_FAMINMAX && TARGET_SVE2_OR_SME2) && 
#line 2958 "../../gcc/config/aarch64/aarch64-sve2.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_3035 (insn, operands);

            default:
              return NULL;
            }

        case 396:
          switch (pattern456 (x2))
            {
            case 0:
              if (!(
#line 2953 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_FAMINMAX && TARGET_SVE2_OR_SME2) && 
#line 2958 "../../gcc/config/aarch64/aarch64-sve2.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_3032 (insn, operands);

            case 1:
              if (!(
#line 2953 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_FAMINMAX && TARGET_SVE2_OR_SME2) && 
#line 2958 "../../gcc/config/aarch64/aarch64-sve2.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_3034 (insn, operands);

            case 2:
              if (!(
#line 2953 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_FAMINMAX && TARGET_SVE2_OR_SME2) && 
#line 2958 "../../gcc/config/aarch64/aarch64-sve2.md"
( (!rtx_equal_p (operands[1], operands[5])
       || !rtx_equal_p (operands[1], operands[6])))))
                return NULL;
              return gen_split_3036 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_3 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_V2DImode))
    {
      switch (pattern925 (
E_V2DImode))
        {
        case 0:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_116 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 1:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_117 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 2:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_118 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 3:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_119 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 4:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_120 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 5:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_121 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 6:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_122 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 7:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_123 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (memory_operand (operands[0], E_V2DImode))
    {
      if (register_operand (operands[1], E_V2DImode))
        {
          switch (pattern980 ())
            {
            case 0:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_180 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 1:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_181 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 2:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_182 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 3:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_183 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 4:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_184 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 5:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_185 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 6:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_186 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 7:
              if (
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_187 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            default:
              break;
            }
        }
      if (peep2_current_count >= 3)
        {
          x2 = PATTERN (peep2_next_insn (2));
          if (pattern979 (x2, 
E_V2DImode) == 0
              && 
#line 304 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_adjust_ok_for_ldpstp (operands, false, V2DImode)))
            {
              *pmatch_len_ = 3;
              res = gen_peephole2_238 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
    }
  if (peep2_current_count < 3)
    return NULL;
  x2 = PATTERN (peep2_next_insn (2));
  if (pattern924 (x2, 
E_V2DImode) != 0
      || !
#line 325 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_adjust_ok_for_ldpstp (operands, true, V2DImode)))
    return NULL;
  *pmatch_len_ = 3;
  return gen_peephole2_242 (insn, operands);
}

 rtx_insn *
peephole2_6 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_V8HFmode))
    {
      switch (pattern925 (
E_V8HFmode))
        {
        case 0:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_124 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 1:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_125 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 2:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_126 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 3:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_127 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 4:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_128 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 5:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_129 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 6:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_130 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 7:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_131 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (!memory_operand (operands[0], E_V8HFmode)
      || !register_operand (operands[1], E_V8HFmode))
    return NULL;
  switch (pattern980 ())
    {
    case 0:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_188 (insn, operands);

    case 1:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_189 (insn, operands);

    case 2:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_190 (insn, operands);

    case 3:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_191 (insn, operands);

    case 4:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_192 (insn, operands);

    case 5:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_193 (insn, operands);

    case 6:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_194 (insn, operands);

    case 7:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_195 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_10 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_V2SFmode))
    {
      switch (pattern922 (
E_V2SFmode))
        {
        case 0:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_24 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 1:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_30 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 2:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_36 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 3:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_42 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 4:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_48 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 5:
          if (
#line 74 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_54 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (memory_operand (operands[0], E_V2SFmode))
    {
      if (register_operand (operands[1], E_V2SFmode))
        {
          switch (pattern977 ())
            {
            case 0:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_60 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 1:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_66 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 2:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_72 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 3:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_78 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 4:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_84 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 5:
              if (
#line 86 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_90 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            default:
              break;
            }
        }
      if (peep2_current_count >= 3)
        {
          x2 = PATTERN (peep2_next_insn (2));
          if (pattern979 (x2, 
E_V2SFmode) == 0
              && 
#line 304 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_adjust_ok_for_ldpstp (operands, false, V2SFmode)))
            {
              *pmatch_len_ = 3;
              res = gen_peephole2_237 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
    }
  if (peep2_current_count < 3)
    return NULL;
  x2 = PATTERN (peep2_next_insn (2));
  if (pattern924 (x2, 
E_V2SFmode) != 0
      || !
#line 325 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_adjust_ok_for_ldpstp (operands, true, V2SFmode)))
    return NULL;
  *pmatch_len_ = 3;
  return gen_peephole2_241 (insn, operands);
}
