/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern8 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern12 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case UNSPEC:
      if (XVECLEN (x4, 0) != 1)
        return -1;
      switch (XINT (x4, 1))
        {
        case 36:
          x5 = XVECEXP (x4, 0, 0);
          switch (GET_CODE (x5))
            {
            case REG:
            case SUBREG:
              return pattern9 (x3); /* [-1, 11] */

            case MULT:
              x6 = XEXP (x5, 0);
              operands[1] = x6;
              x7 = XEXP (x5, 1);
              operands[2] = x7;
              switch (GET_MODE (operands[0]))
                {
                case E_V2SImode:
                  if (pattern10 (x3, 
E_V2SFmode, 
E_V2SImode) != 0)
                    return -1;
                  return 12;

                case E_V4SImode:
                  if (pattern10 (x3, 
E_V4SFmode, 
E_V4SImode) != 0)
                    return -1;
                  return 13;

                case E_V2DImode:
                  if (pattern10 (x3, 
E_V2DFmode, 
E_V2DImode) != 0)
                    return -1;
                  return 14;

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 34:
          res = pattern9 (x3);
          if (res >= 0)
            return res + 15; /* [15, 26] */
          return -1;

        case 32:
          res = pattern9 (x3);
          if (res >= 0)
            return res + 27; /* [27, 38] */
          return -1;

        case 30:
          res = pattern9 (x3);
          if (res >= 0)
            return res + 39; /* [39, 50] */
          return -1;

        case 33:
          res = pattern9 (x3);
          if (res >= 0)
            return res + 51; /* [51, 62] */
          return -1;

        default:
          return -1;
        }

    case MULT:
      x8 = XEXP (x4, 0);
      operands[1] = x8;
      x9 = XEXP (x4, 1);
      operands[2] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          res = pattern11 (x3, 
E_SImode);
          if (res >= 0)
            return res + 63; /* [63, 64] */
          return -1;

        case E_DImode:
          res = pattern11 (x3, 
E_DImode);
          if (res >= 0)
            return res + 65; /* [65, 66] */
          return -1;

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || GET_MODE (x3) != E_SImode)
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_SFmode:
              if (!register_operand (operands[1], E_SFmode))
                return -1;
              return 67;

            case E_HFmode:
              if (!register_operand (operands[1], E_HFmode))
                return -1;
              return 68;

            case E_DFmode:
              if (!register_operand (operands[1], E_DFmode))
                return -1;
              return 69;

            default:
              return -1;
            }

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode)
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_DFmode:
              if (!register_operand (operands[1], E_DFmode))
                return -1;
              return 70;

            case E_HFmode:
              if (!register_operand (operands[1], E_HFmode))
                return -1;
              return 71;

            case E_SFmode:
              if (!register_operand (operands[1], E_SFmode))
                return -1;
              return 72;

            default:
              return -1;
            }

        case E_HImode:
          if (!register_operand (operands[0], E_HImode)
              || GET_MODE (x3) != E_HImode
              || !register_operand (operands[1], E_HFmode))
            return -1;
          return 73;

        case E_VNx8SImode:
          if (!aligned_register_operand (operands[0], E_VNx8SImode)
              || GET_MODE (x3) != E_VNx8SImode
              || !aligned_register_operand (operands[1], E_VNx8SFmode))
            return -1;
          return 74;

        case E_VNx16SImode:
          if (!aligned_register_operand (operands[0], E_VNx16SImode)
              || GET_MODE (x3) != E_VNx16SImode
              || !aligned_register_operand (operands[1], E_VNx16SFmode))
            return -1;
          return 75;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern58 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode))
        return -1;
      return 0;

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode))
        return -1;
      return 1;

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode))
        return -1;
      return 2;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      return 3;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode))
        return -1;
      return 4;

    default:
      return -1;
    }
}

int
pattern68 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  return pattern67 (x3); /* [-1, 2] */
}

int
pattern71 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], i2))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i2))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern76 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aligned_register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aligned_register_operand (operands[1], i1)
      || !aligned_register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern81 (rtx x1, machine_mode i1, unsigned int i2, unsigned int i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != i3
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != i2
      || GET_MODE (x5) != i1)
    return -1;
  return 0;
}

int
pattern84 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 15
      || pattern83 (x1, 
E_DImode, 
15) != 0)
    return -1;
  return 0;
}

int
pattern88 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern92 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != E_HImode)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_V4HImode:
      if (!register_operand (operands[2], E_V4HImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[2], E_V8HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern95 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      return 0;

    case VEC_DUPLICATE:
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      return 1;

    case VEC_SELECT:
      x7 = XEXP (x5, 1);
      if (GET_CODE (x7) != PARALLEL
          || XVECLEN (x7, 0) != 1)
        return -1;
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      x8 = XVECEXP (x7, 0, 0);
      operands[3] = x8;
      if (!immediate_operand (operands[3], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          res = pattern92 (x3, 
E_V4HImode);
          if (res >= 0)
            return res + 2; /* [2, 3] */
          return -1;

        case E_V8HImode:
          res = pattern92 (x3, 
E_V8HImode);
          if (res >= 0)
            return res + 4; /* [4, 5] */
          return -1;

        case E_V2SImode:
          res = pattern93 (x3, 
E_V2SImode);
          if (res >= 0)
            return res + 6; /* [6, 7] */
          return -1;

        case E_V4SImode:
          res = pattern93 (x3, 
E_V4SImode);
          if (res >= 0)
            return res + 8; /* [8, 9] */
          return -1;

        case E_HImode:
          res = pattern92 (x3, 
E_HImode);
          if (res >= 0)
            return res + 10; /* [10, 11] */
          return -1;

        case E_SImode:
          res = pattern93 (x3, 
E_SImode);
          if (res >= 0)
            return res + 12; /* [12, 13] */
          return -1;

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x5, 0) != 2
          || XINT (x5, 1) != 168)
        return -1;
      x9 = XVECEXP (x5, 0, 0);
      operands[2] = x9;
      x10 = XVECEXP (x5, 0, 1);
      operands[3] = x10;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          if (pattern94 (x3, 
E_VNx8HImode) != 0)
            return -1;
          return 14;

        case E_VNx4SImode:
          if (pattern94 (x3, 
E_VNx4SImode) != 0)
            return -1;
          return 15;

        case E_VNx2DImode:
          if (pattern94 (x3, 
E_VNx2DImode) != 0)
            return -1;
          return 16;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern120 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  operands[2] = x2;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern119 (x1, 
E_VNx8HImode, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx4SImode:
      if (pattern119 (x1, 
E_VNx4SImode, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx2DImode:
      if (pattern119 (x1, 
E_VNx2DImode, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern127 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!const_int_operand (operands[2], E_DImode))
    return -1;
  return pattern67 (x3); /* [-1, 2] */
}

int
pattern131 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 84
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  if (!register_operand (operands[1], E_VNx16QImode))
    return -1;
  return pattern130 (x2); /* [-1, 1] */
}

int
pattern136 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HFmode:
      return pattern88 (x3, 
E_VNx8HFmode, 
E_VNx8BImode, 
E_V8HFmode); /* [-1, 0] */

    case E_V4SFmode:
      if (pattern88 (x3, 
E_VNx4SFmode, 
E_VNx4BImode, 
E_V4SFmode) != 0)
        return -1;
      return 1;

    case E_V2DFmode:
      if (pattern88 (x3, 
E_VNx2DFmode, 
E_VNx2BImode, 
E_V2DFmode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern149 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_hi (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern155 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_offset_si (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern163 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern166 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx4SFmode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], E_VNx4SFmode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_VNx4SFmode))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], E_VNx8BFmode))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  if (!register_operand (operands[3], E_VNx8BFmode))
    return -1;
  return 0;
}

int
pattern176 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx16BImode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], E_VNx16BImode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_VNx16BImode))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16BImode))
    return -1;
  return 0;
}

int
pattern183 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern186 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern188 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!const_int_operand (operands[3], E_DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern111 (x3, 
E_VNx8HImode, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern111 (x3, 
E_VNx4SImode, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern111 (x3, 
E_VNx2DImode, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern197 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_V4SImode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], E_V4SImode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_V4SImode))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], E_V4SImode))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  if (!register_operand (operands[3], E_V4SImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[4] = x7;
  if (!aarch64_imm2 (operands[4], E_SImode))
    return -1;
  return 0;
}

int
pattern205 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  return pattern204 (x3); /* [-1, 3] */
}

int
pattern210 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern217 (rtx x1, int *pnum_clobbers)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx32BImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x4 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  x5 = XEXP (x1, 0);
  operands[0] = x5;
  if (!register_operand (operands[0], E_VNx32BImode))
    return -1;
  x6 = XVECEXP (x2, 0, 1);
  operands[1] = x6;
  if (!aarch64_reg_or_zero (operands[1], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 2);
  operands[2] = x7;
  if (!aarch64_reg_or_zero (operands[2], E_DImode))
    return -1;
  switch (XWINT (x4, 0))
    {
    case 8L:
      return 0;

    case 16L:
      return 1;

    case 32L:
      return 2;

    case 64L:
      return 3;

    default:
      return -1;
    }
}

int
pattern227 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  if (!register_operand (operands[0], i1))
    return -1;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], i2))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!register_operand (operands[3], i2))
    return -1;
  x7 = XVECEXP (x3, 0, 3);
  operands[4] = x7;
  if (!const_int_operand (operands[4], E_SImode))
    return -1;
  return 0;
}

int
pattern233 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aligned_register_operand (operands[2], i1)
      || !aligned_register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern236 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx32QImode:
      if (!aligned_register_operand (operands[1], E_VNx32QImode)
          || !aligned_register_operand (operands[2], E_VNx32QImode))
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!aligned_register_operand (operands[1], E_VNx64QImode)
          || !aligned_register_operand (operands[2], E_VNx64QImode))
        return -1;
      return 1;

    case E_VNx16HImode:
      if (!aligned_register_operand (operands[1], E_VNx16HImode)
          || !aligned_register_operand (operands[2], E_VNx16HImode))
        return -1;
      return 2;

    case E_VNx32HImode:
      if (!aligned_register_operand (operands[1], E_VNx32HImode)
          || !aligned_register_operand (operands[2], E_VNx32HImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern241 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx32QImode:
      if (!register_operand (operands[2], E_VNx32QImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx32QImode
          || !register_operand (operands[3], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!register_operand (operands[2], E_VNx64QImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx64QImode
          || !register_operand (operands[3], E_VNx16QImode))
        return -1;
      return 1;

    case E_VNx16HImode:
      if (!register_operand (operands[2], E_VNx16HImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx16HImode
          || !register_operand (operands[3], E_VNx8HImode))
        return -1;
      return 2;

    case E_VNx32HImode:
      if (!register_operand (operands[2], E_VNx32HImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx32HImode
          || !register_operand (operands[3], E_VNx8HImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern248 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx16BFmode:
      if (!register_operand (operands[1], E_VNx16BFmode)
          || GET_MODE (x1) != E_VNx16BFmode
          || !register_operand (operands[2], E_VNx8BFmode))
        return -1;
      return 0;

    case E_VNx32BFmode:
      if (!register_operand (operands[1], E_VNx32BFmode)
          || GET_MODE (x1) != E_VNx32BFmode
          || !register_operand (operands[2], E_VNx8BFmode))
        return -1;
      return 1;

    case E_VNx16HFmode:
      if (!register_operand (operands[1], E_VNx16HFmode)
          || GET_MODE (x1) != E_VNx16HFmode
          || !register_operand (operands[2], E_VNx8HFmode))
        return -1;
      return 2;

    case E_VNx32HFmode:
      if (!register_operand (operands[1], E_VNx32HFmode)
          || GET_MODE (x1) != E_VNx32HFmode
          || !register_operand (operands[2], E_VNx8HFmode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern256 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 5);
  if (GET_CODE (x2) != MEM
      || GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != SCRATCH)
    return -1;
  x4 = XVECEXP (x1, 0, 6);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 86
      || GET_MODE (x4) != E_VNx16BImode)
    return -1;
  return 0;
}

int
pattern263 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  x10 = XVECEXP (x2, 0, 6);
  operands[4] = x10;
  switch (GET_MODE (x5))
    {
    case E_VNx4SFmode:
      return pattern262 (x2, 
E_VNx4SFmode, 
E_VNx4BImode); /* [-1, 0] */

    case E_VNx2DFmode:
      if (pattern262 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 1;

    case E_VNx8HFmode:
      if (pattern262 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 2;

    case E_VNx8BFmode:
      if (pattern262 (x2, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 3;

    case E_VNx4SImode:
      if (GET_MODE (x2) != E_VNx4SImode
          || GET_MODE (x3) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4BImode)
          || !register_operand (operands[2], E_VNx4BImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx8BFmode:
          if (!register_operand (operands[3], E_VNx8BFmode)
              || !register_operand (operands[4], E_VNx8BFmode))
            return -1;
          return 4;

        case E_VNx8HFmode:
          if (!register_operand (operands[3], E_VNx8HFmode)
              || !register_operand (operands[4], E_VNx8HFmode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern278 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  switch (GET_CODE (x7))
    {
    case REG:
    case SUBREG:
      operands[1] = x7;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x8 = XVECEXP (x2, 0, 4);
      operands[2] = x8;
      x9 = XVECEXP (x2, 0, 5);
      operands[3] = x9;
      switch (GET_MODE (x5))
        {
        case E_VNx16QImode:
          if (GET_MODE (x2) != E_VNx16QImode
              || GET_MODE (x3) != E_VNx16QImode
              || !register_operand (operands[2], E_VNx16BImode)
              || !register_operand (operands[3], E_VNx16QImode))
            return -1;
          return 0;

        case E_VNx8HImode:
          if (GET_MODE (x2) != E_VNx8HImode
              || !register_operand (operands[2], E_VNx8BImode))
            return -1;
          switch (GET_MODE (x3))
            {
            case E_VNx8HImode:
              if (!register_operand (operands[3], E_VNx8HImode))
                return -1;
              return 1;

            case E_VNx8BFmode:
              if (!register_operand (operands[3], E_VNx8BFmode))
                return -1;
              return 2;

            case E_VNx8HFmode:
              if (!register_operand (operands[3], E_VNx8HFmode))
                return -1;
              return 3;

            default:
              return -1;
            }

        case E_VNx4SImode:
          if (GET_MODE (x2) != E_VNx4SImode
              || !register_operand (operands[2], E_VNx4BImode))
            return -1;
          switch (GET_MODE (x3))
            {
            case E_VNx4SImode:
              if (!register_operand (operands[3], E_VNx4SImode))
                return -1;
              return 4;

            case E_VNx4SFmode:
              if (!register_operand (operands[3], E_VNx4SFmode))
                return -1;
              return 5;

            default:
              return -1;
            }

        case E_VNx2DImode:
          if (GET_MODE (x2) != E_VNx2DImode
              || !register_operand (operands[2], E_VNx2BImode))
            return -1;
          switch (GET_MODE (x3))
            {
            case E_VNx2DImode:
              if (!register_operand (operands[3], E_VNx2DImode))
                return -1;
              return 6;

            case E_VNx2DFmode:
              if (!register_operand (operands[3], E_VNx2DFmode))
                return -1;
              return 7;

            default:
              return -1;
            }

        case E_VNx1TImode:
          if (GET_MODE (x2) != E_VNx1TImode
              || GET_MODE (x3) != E_VNx1TImode
              || !register_operand (operands[2], E_VNx2BImode))
            return -1;
          switch (GET_MODE (operands[3]))
            {
            case E_VNx16QImode:
              if (!register_operand (operands[3], E_VNx16QImode))
                return -1;
              return 8;

            case E_VNx8HImode:
              if (!register_operand (operands[3], E_VNx8HImode))
                return -1;
              return 9;

            case E_VNx4SImode:
              if (!register_operand (operands[3], E_VNx4SImode))
                return -1;
              return 10;

            case E_VNx2DImode:
              if (!register_operand (operands[3], E_VNx2DImode))
                return -1;
              return 11;

            case E_VNx8BFmode:
              if (!register_operand (operands[3], E_VNx8BFmode))
                return -1;
              return 12;

            case E_VNx8HFmode:
              if (!register_operand (operands[3], E_VNx8HFmode))
                return -1;
              return 13;

            case E_VNx4SFmode:
              if (!register_operand (operands[3], E_VNx4SFmode))
                return -1;
              return 14;

            case E_VNx2DFmode:
              if (!register_operand (operands[3], E_VNx2DFmode))
                return -1;
              return 15;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x7) != E_SImode)
        return -1;
      x10 = XEXP (x7, 0);
      operands[1] = x10;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x11 = XEXP (x7, 1);
      operands[2] = x11;
      if (!const_int_operand (operands[2], E_SImode))
        return -1;
      x8 = XVECEXP (x2, 0, 4);
      operands[3] = x8;
      x9 = XVECEXP (x2, 0, 5);
      operands[4] = x9;
      switch (GET_MODE (x5))
        {
        case E_VNx16QImode:
          if (GET_MODE (x2) != E_VNx16QImode
              || GET_MODE (x3) != E_VNx16QImode
              || !register_operand (operands[3], E_VNx16BImode)
              || !register_operand (operands[4], E_VNx16QImode))
            return -1;
          return 16;

        case E_VNx8HImode:
          if (GET_MODE (x2) != E_VNx8HImode
              || !register_operand (operands[3], E_VNx8BImode))
            return -1;
          switch (GET_MODE (x3))
            {
            case E_VNx8HImode:
              if (!register_operand (operands[4], E_VNx8HImode))
                return -1;
              return 17;

            case E_VNx8BFmode:
              if (!register_operand (operands[4], E_VNx8BFmode))
                return -1;
              return 18;

            case E_VNx8HFmode:
              if (!register_operand (operands[4], E_VNx8HFmode))
                return -1;
              return 19;

            default:
              return -1;
            }

        case E_VNx4SImode:
          if (GET_MODE (x2) != E_VNx4SImode
              || !register_operand (operands[3], E_VNx4BImode))
            return -1;
          switch (GET_MODE (x3))
            {
            case E_VNx4SImode:
              if (!register_operand (operands[4], E_VNx4SImode))
                return -1;
              return 20;

            case E_VNx4SFmode:
              if (!register_operand (operands[4], E_VNx4SFmode))
                return -1;
              return 21;

            default:
              return -1;
            }

        case E_VNx2DImode:
          if (GET_MODE (x2) != E_VNx2DImode
              || !register_operand (operands[3], E_VNx2BImode))
            return -1;
          switch (GET_MODE (x3))
            {
            case E_VNx2DImode:
              if (!register_operand (operands[4], E_VNx2DImode))
                return -1;
              return 22;

            case E_VNx2DFmode:
              if (!register_operand (operands[4], E_VNx2DFmode))
                return -1;
              return 23;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern336 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_hi (operands[2], i1))
    return -1;
  return 0;
}

int
pattern342 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_plus_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern346 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  if (!rtx_equal_p (x5, operands[2]))
    return -1;
  x6 = XEXP (x2, 0);
  if (!rtx_equal_p (x6, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern345 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern345 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern345 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern345 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern357 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != UNSPEC_VOLATILE
      || XVECLEN (x3, 0) != 3
      || XINT (x3, 1) != 31)
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x4) != CLOBBER)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 66
      || GET_MODE (x5) != E_CCmode)
    return -1;
  x6 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x6) != CLOBBER)
    return -1;
  x7 = XVECEXP (x1, 0, 0);
  x8 = XEXP (x7, 0);
  operands[0] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[1] = x10;
  x11 = XEXP (x9, 1);
  operands[2] = x11;
  x12 = XVECEXP (x3, 0, 2);
  operands[3] = x12;
  if (!const_int_operand (operands[3], E_SImode))
    return -1;
  x13 = XEXP (x6, 0);
  operands[4] = x13;
  if (!scratch_operand (operands[4], E_SImode))
    return -1;
  return pattern346 (x1); /* [-1, 3] */
}

int
pattern366 (rtx x1, machine_mode i1, unsigned int i2, rtx_code i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != i2
      || GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x1, 0, 0);
  x5 = XEXP (x4, 0);
  operands[0] = x5;
  return 0;
}

int
pattern371 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  if (!aarch64_any_register_operand (operands[1], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x1) != E_VNx16QImode)
        return -1;
      return 0;

    case E_VNx8QImode:
      if (!register_operand (operands[0], E_VNx8QImode)
          || GET_MODE (x1) != E_VNx8QImode)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (!register_operand (operands[0], E_VNx4QImode)
          || GET_MODE (x1) != E_VNx4QImode)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (!register_operand (operands[0], E_VNx2QImode)
          || GET_MODE (x1) != E_VNx2QImode)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x1) != E_VNx8HImode)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (!register_operand (operands[0], E_VNx4HImode)
          || GET_MODE (x1) != E_VNx4HImode)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (!register_operand (operands[0], E_VNx2HImode)
          || GET_MODE (x1) != E_VNx2HImode)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (!register_operand (operands[0], E_VNx2SImode)
          || GET_MODE (x1) != E_VNx2SImode)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode)
        return -1;
      return 9;

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x1) != E_VNx8HFmode)
        return -1;
      return 10;

    case E_VNx4HFmode:
      if (!register_operand (operands[0], E_VNx4HFmode)
          || GET_MODE (x1) != E_VNx4HFmode)
        return -1;
      return 11;

    case E_VNx2HFmode:
      if (!register_operand (operands[0], E_VNx2HFmode)
          || GET_MODE (x1) != E_VNx2HFmode)
        return -1;
      return 12;

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x1) != E_VNx8BFmode)
        return -1;
      return 13;

    case E_VNx4BFmode:
      if (!register_operand (operands[0], E_VNx4BFmode)
          || GET_MODE (x1) != E_VNx4BFmode)
        return -1;
      return 14;

    case E_VNx2BFmode:
      if (!register_operand (operands[0], E_VNx2BFmode)
          || GET_MODE (x1) != E_VNx2BFmode)
        return -1;
      return 15;

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x1) != E_VNx4SFmode)
        return -1;
      return 16;

    case E_VNx2SFmode:
      if (!register_operand (operands[0], E_VNx2SFmode)
          || GET_MODE (x1) != E_VNx2SFmode)
        return -1;
      return 17;

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x1) != E_VNx2DFmode)
        return -1;
      return 18;

    case E_VNx32QImode:
      if (!register_operand (operands[0], E_VNx32QImode)
          || GET_MODE (x1) != E_VNx32QImode)
        return -1;
      return 19;

    case E_VNx16HImode:
      if (!register_operand (operands[0], E_VNx16HImode)
          || GET_MODE (x1) != E_VNx16HImode)
        return -1;
      return 20;

    case E_VNx8SImode:
      if (!register_operand (operands[0], E_VNx8SImode)
          || GET_MODE (x1) != E_VNx8SImode)
        return -1;
      return 21;

    case E_VNx4DImode:
      if (!register_operand (operands[0], E_VNx4DImode)
          || GET_MODE (x1) != E_VNx4DImode)
        return -1;
      return 22;

    case E_VNx16BFmode:
      if (!register_operand (operands[0], E_VNx16BFmode)
          || GET_MODE (x1) != E_VNx16BFmode)
        return -1;
      return 23;

    case E_VNx16HFmode:
      if (!register_operand (operands[0], E_VNx16HFmode)
          || GET_MODE (x1) != E_VNx16HFmode)
        return -1;
      return 24;

    case E_VNx8SFmode:
      if (!register_operand (operands[0], E_VNx8SFmode)
          || GET_MODE (x1) != E_VNx8SFmode)
        return -1;
      return 25;

    case E_VNx4DFmode:
      if (!register_operand (operands[0], E_VNx4DFmode)
          || GET_MODE (x1) != E_VNx4DFmode)
        return -1;
      return 26;

    case E_VNx48QImode:
      if (!register_operand (operands[0], E_VNx48QImode)
          || GET_MODE (x1) != E_VNx48QImode)
        return -1;
      return 27;

    case E_VNx24HImode:
      if (!register_operand (operands[0], E_VNx24HImode)
          || GET_MODE (x1) != E_VNx24HImode)
        return -1;
      return 28;

    case E_VNx12SImode:
      if (!register_operand (operands[0], E_VNx12SImode)
          || GET_MODE (x1) != E_VNx12SImode)
        return -1;
      return 29;

    case E_VNx6DImode:
      if (!register_operand (operands[0], E_VNx6DImode)
          || GET_MODE (x1) != E_VNx6DImode)
        return -1;
      return 30;

    case E_VNx24BFmode:
      if (!register_operand (operands[0], E_VNx24BFmode)
          || GET_MODE (x1) != E_VNx24BFmode)
        return -1;
      return 31;

    case E_VNx24HFmode:
      if (!register_operand (operands[0], E_VNx24HFmode)
          || GET_MODE (x1) != E_VNx24HFmode)
        return -1;
      return 32;

    case E_VNx12SFmode:
      if (!register_operand (operands[0], E_VNx12SFmode)
          || GET_MODE (x1) != E_VNx12SFmode)
        return -1;
      return 33;

    case E_VNx6DFmode:
      if (!register_operand (operands[0], E_VNx6DFmode)
          || GET_MODE (x1) != E_VNx6DFmode)
        return -1;
      return 34;

    case E_VNx64QImode:
      if (!register_operand (operands[0], E_VNx64QImode)
          || GET_MODE (x1) != E_VNx64QImode)
        return -1;
      return 35;

    case E_VNx32HImode:
      if (!register_operand (operands[0], E_VNx32HImode)
          || GET_MODE (x1) != E_VNx32HImode)
        return -1;
      return 36;

    case E_VNx16SImode:
      if (!register_operand (operands[0], E_VNx16SImode)
          || GET_MODE (x1) != E_VNx16SImode)
        return -1;
      return 37;

    case E_VNx8DImode:
      if (!register_operand (operands[0], E_VNx8DImode)
          || GET_MODE (x1) != E_VNx8DImode)
        return -1;
      return 38;

    case E_VNx32BFmode:
      if (!register_operand (operands[0], E_VNx32BFmode)
          || GET_MODE (x1) != E_VNx32BFmode)
        return -1;
      return 39;

    case E_VNx32HFmode:
      if (!register_operand (operands[0], E_VNx32HFmode)
          || GET_MODE (x1) != E_VNx32HFmode)
        return -1;
      return 40;

    case E_VNx16SFmode:
      if (!register_operand (operands[0], E_VNx16SFmode)
          || GET_MODE (x1) != E_VNx16SFmode)
        return -1;
      return 41;

    case E_VNx8DFmode:
      if (!register_operand (operands[0], E_VNx8DFmode)
          || GET_MODE (x1) != E_VNx8DFmode)
        return -1;
      return 42;

    default:
      return -1;
    }
}

int
pattern422 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[3] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[1] = x5;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      return pattern420 (x1); /* [-1, 5] */

    case ABS:
      x6 = XEXP (x4, 1);
      if (GET_CODE (x6) != ABS)
        return -1;
      x7 = XEXP (x5, 0);
      operands[1] = x7;
      x8 = XEXP (x6, 0);
      operands[2] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HImode:
          if (pattern421 (x1, 
E_V4HImode, 
E_V4HFmode, 
E_V8HImode) != 0)
            return -1;
          return 6;

        case E_V4SImode:
          if (pattern421 (x1, 
E_V2SImode, 
E_V2SFmode, 
E_V4SImode) != 0)
            return -1;
          return 7;

        case E_V2DImode:
          if (pattern421 (x1, 
E_DImode, 
E_DFmode, 
E_V2DImode) != 0)
            return -1;
          return 8;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern431 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_V4HImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_int_rnd_operand (operands[4], i2)
      || !aarch64_simd_shift_imm_vec_hi (operands[3], i1)
      || !register_operand (operands[1], E_V4HImode))
    return -1;
  return 0;
}

int
pattern436 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sve_sqadd_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern441 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 3
      || !register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode
      || !register_operand (operands[1], E_DImode))
    return -1;
  return pattern440 (x3); /* [-1, 4] */
}

int
pattern445 (rtx x1, int *pnum_clobbers)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XVECEXP (x2, 0, 0);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  return pattern444 (x4, 
67, 
E_DImode, 
USE); /* [-1, 0] */
}

int
pattern450 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  x5 = XEXP (x1, 1);
  x6 = XEXP (x5, 1);
  operands[3] = x6;
  x7 = XEXP (x5, 0);
  if (!rtx_equal_p (x7, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern449 (x1, 
E_V16QImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4HImode:
      if (pattern449 (x1, 
E_V8HImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2SImode:
      if (pattern449 (x1, 
E_V4SImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern449 (x1, 
E_V2DImode, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern459 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x4, 0);
  if (!rtx_equal_p (x8, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_HImode:
      if (!register_operand (operands[0], E_HImode)
          || GET_MODE (x1) != E_HImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_V4HImode:
          return pattern458 (x2, 
E_V8HImode, 
E_V4HImode, 
E_V8QImode); /* [-1, 0] */

        case E_V8HImode:
          if (pattern458 (x2, 
E_V16HImode, 
E_V8HImode, 
E_V16QImode) != 0)
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_V2SImode:
          if (pattern458 (x2, 
E_V4SImode, 
E_V2SImode, 
E_V4HImode) != 0)
            return -1;
          return 2;

        case E_V4SImode:
          if (pattern458 (x2, 
E_V8SImode, 
E_V4SImode, 
E_V8HImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_V2DImode:
          if (pattern458 (x2, 
E_V4DImode, 
E_V2DImode, 
E_V4SImode) != 0)
            return -1;
          return 4;

        case E_DImode:
          if (pattern458 (x2, 
E_V2DImode, 
E_DImode, 
E_V2SImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern474 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern477 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  x3 = XVECEXP (x1, 0, 1);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern476 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern476 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern476 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern476 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern476 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern476 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern476 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern476 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern476 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern476 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern495 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern494 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern494 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern494 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern494 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern506 (rtx x1, rtx_code i1, rtx_code i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_MODE (x5) != E_CC_Vmode
      || GET_MODE (x2) != E_CC_Vmode)
    return -1;
  x6 = XEXP (x2, 0);
  x7 = XEXP (x6, 0);
  x8 = XEXP (x7, 0);
  operands[0] = x8;
  x9 = XEXP (x4, 0);
  if (!rtx_equal_p (x9, operands[0]))
    return -1;
  return 0;
}

int
pattern509 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  return pattern369 (x1); /* [-1, 1] */
}

int
pattern512 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
      operands[2] = x3;
      x4 = XEXP (x2, 0);
      x5 = XEXP (x4, 0);
      operands[3] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16BImode:
          return pattern510 (x1, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8BImode:
          if (pattern510 (x1, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4BImode:
          if (pattern510 (x1, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2BImode:
          if (pattern510 (x1, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case NOT:
      x4 = XEXP (x2, 0);
      x5 = XEXP (x4, 0);
      operands[2] = x5;
      x6 = XEXP (x3, 0);
      operands[3] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16BImode:
          if (pattern511 (x1, 
E_VNx16BImode) != 0)
            return -1;
          return 4;

        case E_VNx8BImode:
          if (pattern511 (x1, 
E_VNx8BImode) != 0)
            return -1;
          return 5;

        case E_VNx4BImode:
          if (pattern511 (x1, 
E_VNx4BImode) != 0)
            return -1;
          return 6;

        case E_VNx2BImode:
          if (pattern511 (x1, 
E_VNx2BImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern532 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_V16QImode)
      || GET_MODE (x1) != E_V16QImode
      || !aarch64_simd_or_scalar_imm_zero (operands[4], E_V8QImode))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_V8QImode)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  return pattern531 (x4, 
i1, 
i2); /* [-1, 0] */
}

int
pattern539 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i1))
    return -1;
  return 0;
}

int
pattern545 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[1] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern544 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern544 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern544 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern552 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != E_VNx32BImode)
    return -1;
  x4 = XVECEXP (x3, 0, 0);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x5 = XVECEXP (x3, 0, 3);
  if (GET_CODE (x5) != CONST_INT)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x6) != CLOBBER)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_CODE (x7) != REG
      || REGNO (x7) != 66
      || GET_MODE (x7) != E_CC_NZCmode)
    return -1;
  x8 = XEXP (x2, 0);
  operands[0] = x8;
  if (!register_operand (operands[0], E_VNx32BImode))
    return -1;
  x9 = XVECEXP (x3, 0, 1);
  operands[1] = x9;
  if (!aarch64_reg_or_zero (operands[1], E_DImode))
    return -1;
  x10 = XVECEXP (x3, 0, 2);
  operands[2] = x10;
  if (!aarch64_reg_or_zero (operands[2], E_DImode))
    return -1;
  switch (XWINT (x5, 0))
    {
    case 8L:
      return 0;

    case 16L:
      return 1;

    case 32L:
      return 2;

    case 64L:
      return 3;

    default:
      return -1;
    }
}

int
pattern568 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx8HImode:
      if (!register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 0;

    case E_VNx4HImode:
      if (!register_operand (operands[1], E_VNx4HImode))
        return -1;
      return 1;

    case E_VNx2HImode:
      if (!register_operand (operands[1], E_VNx2HImode))
        return -1;
      return 2;

    case E_VNx4SImode:
      if (!register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 3;

    case E_VNx2SImode:
      if (!register_operand (operands[1], E_VNx2SImode))
        return -1;
      return 4;

    case E_VNx2DImode:
      if (!register_operand (operands[1], E_VNx2DImode))
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern580 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != VEC_SELECT)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != ZERO_EXTEND)
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_CODE (x6) != VEC_SELECT)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_CODE (x7) != ZERO_EXTEND)
    return -1;
  x8 = XEXP (x5, 0);
  operands[1] = x8;
  x9 = XEXP (x4, 1);
  operands[2] = x9;
  x10 = XEXP (x6, 1);
  operands[3] = x10;
  x11 = XEXP (x7, 0);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x1) != E_SImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_V4SImode:
          return pattern579 (x3, 
E_V8HImode, 
E_V4HImode, 
E_V8QImode); /* [-1, 0] */

        case E_V8SImode:
          if (pattern579 (x3, 
E_V16HImode, 
E_V8HImode, 
E_V16QImode) != 0)
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      switch (GET_MODE (x2))
        {
        case E_V2DImode:
          if (pattern579 (x3, 
E_V4SImode, 
E_V2SImode, 
E_V4HImode) != 0)
            return -1;
          return 2;

        case E_V4DImode:
          if (pattern579 (x3, 
E_V8SImode, 
E_V4SImode, 
E_V8HImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern596 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_rshift_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern600 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern605 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != E_SImode)
    return -1;
  switch (XINT (x4, 1))
    {
    case 169:
      x5 = XVECEXP (x4, 0, 0);
      operands[2] = x5;
      if (!const_int_operand (operands[2], E_DImode))
        return -1;
      x6 = XVECEXP (x4, 0, 1);
      operands[3] = x6;
      if (!const_int_operand (operands[3], E_DImode))
        return -1;
      x7 = XVECEXP (x4, 0, 2);
      operands[4] = x7;
      if (!const_int_operand (operands[4], E_DImode))
        return -1;
      return 0;

    case 307:
      x6 = XVECEXP (x4, 0, 1);
      if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      res = pattern604 (x4);
      if (res >= 0)
        return res + 1; /* [1, 4] */
      return -1;

    default:
      return -1;
    }
}

int
pattern619 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x5 = XEXP (x2, 1);
      if (GET_MODE (x5) != E_DImode)
        return -1;
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x7 = XEXP (x1, 1);
      operands[3] = x7;
      if (!register_operand (operands[3], E_DImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (pattern618 (x1, 
E_V8HImode, 
E_V8QImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern618 (x1, 
E_V4SImode, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern618 (x1, 
E_V2DImode, 
E_V2SImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern628 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_QImode:
      if (!register_operand (operands[2], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[2], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern634 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  if (!register_operand (operands[1], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  if (!register_operand (operands[2], i1))
    return -1;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern642 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (!rtx_equal_p (x3, operands[1]))
    return -1;
  x4 = XEXP (x2, 1);
  if (!rtx_equal_p (x4, operands[2]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern641 (x1, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern641 (x1, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern641 (x1, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern641 (x1, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern641 (x1, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern641 (x1, 
E_V4SImode) != 0)
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern654 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  if (!register_operand (operands[2], i1))
    return -1;
  x5 = XEXP (x1, 2);
  operands[3] = x5;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern663 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern668 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x1) != E_V16QImode
          || !register_operand (operands[1], E_V8QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V8QImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V8HImode
          || !register_operand (operands[2], E_V8HImode)
          || !aarch64_simd_shift_imm_vec_qi (operands[3], E_V8HImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode
          || !register_operand (operands[1], E_V4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4HImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[2], E_V4SImode)
          || !aarch64_simd_shift_imm_vec_hi (operands[3], E_V4SImode))
        return -1;
      return 1;

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode
          || !register_operand (operands[1], E_V2SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2SImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V2DImode
          || !register_operand (operands[2], E_V2DImode)
          || !aarch64_simd_shift_imm_vec_si (operands[3], E_V2DImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern681 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != CLOBBER)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 66
      || GET_MODE (x3) != E_CC_NZCmode)
    return -1;
  x4 = XVECEXP (x1, 0, 0);
  x5 = XEXP (x4, 1);
  x6 = XVECEXP (x5, 0, 0);
  operands[1] = x6;
  x7 = XVECEXP (x5, 0, 1);
  operands[2] = x7;
  if (!aarch64_sve_ptrue_flag (operands[2], E_SImode))
    return -1;
  x8 = XVECEXP (x5, 0, 2);
  operands[3] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      return pattern680 (x5, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8BImode:
      if (pattern680 (x5, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (pattern680 (x5, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2BImode:
      if (pattern680 (x5, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern688 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern686 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern686 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern686 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern686 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    case E_VNx8BFmode:
      if (pattern687 (x1, 
E_VNx8HImode, 
E_VNx8BFmode) != 0)
        return -1;
      return 4;

    case E_VNx8HFmode:
      if (pattern687 (x1, 
E_VNx8HImode, 
E_VNx8HFmode) != 0)
        return -1;
      return 5;

    case E_VNx4SFmode:
      if (pattern687 (x1, 
E_VNx4SImode, 
E_VNx4SFmode) != 0)
        return -1;
      return 6;

    case E_VNx2DFmode:
      if (pattern687 (x1, 
E_VNx2DImode, 
E_VNx2DFmode) != 0)
        return -1;
      return 7;

    case E_VNx32QImode:
      if (!aligned_register_operand (operands[0], E_VNx32QImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx32QImode
          || pattern685 (x1, 
E_VNx32QImode) != 0)
        return -1;
      return 8;

    case E_VNx16HImode:
      if (!aligned_register_operand (operands[0], E_VNx16HImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx16HImode
          || pattern685 (x1, 
E_VNx16HImode) != 0)
        return -1;
      return 9;

    case E_VNx8SImode:
      if (!aligned_register_operand (operands[0], E_VNx8SImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx8SImode
          || pattern685 (x1, 
E_VNx8SImode) != 0)
        return -1;
      return 10;

    case E_VNx4DImode:
      if (!aligned_register_operand (operands[0], E_VNx4DImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx4DImode
          || pattern685 (x1, 
E_VNx4DImode) != 0)
        return -1;
      return 11;

    case E_VNx16BFmode:
      if (!aligned_register_operand (operands[0], E_VNx16BFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx16BFmode
          || pattern685 (x1, 
E_VNx16BFmode) != 0)
        return -1;
      return 12;

    case E_VNx16HFmode:
      if (!aligned_register_operand (operands[0], E_VNx16HFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx16HFmode
          || pattern685 (x1, 
E_VNx16HFmode) != 0)
        return -1;
      return 13;

    case E_VNx8SFmode:
      if (!aligned_register_operand (operands[0], E_VNx8SFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx8SFmode
          || pattern685 (x1, 
E_VNx8SFmode) != 0)
        return -1;
      return 14;

    case E_VNx4DFmode:
      if (!aligned_register_operand (operands[0], E_VNx4DFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx4DFmode
          || pattern685 (x1, 
E_VNx4DFmode) != 0)
        return -1;
      return 15;

    case E_VNx64QImode:
      if (!aligned_register_operand (operands[0], E_VNx64QImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx64QImode
          || pattern685 (x1, 
E_VNx64QImode) != 0)
        return -1;
      return 16;

    case E_VNx32HImode:
      if (!aligned_register_operand (operands[0], E_VNx32HImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx32HImode
          || pattern685 (x1, 
E_VNx32HImode) != 0)
        return -1;
      return 17;

    case E_VNx16SImode:
      if (!aligned_register_operand (operands[0], E_VNx16SImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx16SImode
          || pattern685 (x1, 
E_VNx16SImode) != 0)
        return -1;
      return 18;

    case E_VNx8DImode:
      if (!aligned_register_operand (operands[0], E_VNx8DImode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx8DImode
          || pattern685 (x1, 
E_VNx8DImode) != 0)
        return -1;
      return 19;

    case E_VNx32BFmode:
      if (!aligned_register_operand (operands[0], E_VNx32BFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx32BFmode
          || pattern685 (x1, 
E_VNx32BFmode) != 0)
        return -1;
      return 20;

    case E_VNx32HFmode:
      if (!aligned_register_operand (operands[0], E_VNx32HFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx32HFmode
          || pattern685 (x1, 
E_VNx32HFmode) != 0)
        return -1;
      return 21;

    case E_VNx16SFmode:
      if (!aligned_register_operand (operands[0], E_VNx16SFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx16SFmode
          || pattern685 (x1, 
E_VNx16SFmode) != 0)
        return -1;
      return 22;

    case E_VNx8DFmode:
      if (!aligned_register_operand (operands[0], E_VNx8DFmode))
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      x3 = XEXP (x2, 1);
      if (GET_MODE (x3) != E_VNx8DFmode
          || pattern685 (x1, 
E_VNx8DFmode) != 0)
        return -1;
      return 23;

    default:
      return -1;
    }
}

int
pattern747 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_simd_imm_one (operands[3], i1))
    return -1;
  return 0;
}

int
pattern754 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[3] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern752 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern752 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern752 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern761 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[3] = x5;
  x6 = XEXP (x2, 1);
  operands[1] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HFmode:
      return pattern760 (x1, 
E_V4HFmode, 
E_V8HFmode); /* [-1, 0] */

    case E_V4SFmode:
      if (pattern760 (x1, 
E_V2SFmode, 
E_V4SFmode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern767 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !nonimmediate_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i1))
    return -1;
  return 0;
}

int
pattern772 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != SET)
    return -1;
  x5 = XEXP (x4, 1);
  if (GET_CODE (x5) != UNSPEC_VOLATILE
      || XVECLEN (x5, 0) != 1
      || XINT (x5, 1) != i1
      || GET_MODE (x5) != E_V8DImode)
    return -1;
  x6 = XEXP (x4, 0);
  if (GET_CODE (x6) != MEM
      || GET_MODE (x6) != E_V8DImode
      || !register_operand (operands[0], E_DImode))
    return -1;
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  if (!register_operand (operands[1], E_DImode))
    return -1;
  x8 = XVECEXP (x5, 0, 0);
  operands[2] = x8;
  if (!register_operand (operands[2], E_V8DImode))
    return -1;
  return 0;
}

int
pattern782 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 56]
      || !register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_MODE (x4) != E_DImode)
    return -1;
  return 0;
}

int
pattern789 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], i2)
      || !memory_operand (operands[1], i1)
      || !aarch64_maskload_else_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern798 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_carry_operation (operands[3], i1)
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern804 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sve_cnt_immediate (operands[2], i1))
    return -1;
  return 0;
}

int
pattern811 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !immediate_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern817 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[3] = x5;
  x6 = XEXP (x2, 1);
  operands[1] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HFmode:
      return pattern816 (x1, 
E_V4HFmode, 
E_V8HFmode); /* [-1, 0] */

    case E_V4SFmode:
      if (pattern816 (x1, 
E_V2SFmode, 
E_V4SFmode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern826 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_raddsubhn_imm_vec (operands[4], i1)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[5], i1))
    return -1;
  return 0;
}

int
pattern838 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  operands[2] = x5;
  x6 = XVECEXP (x1, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern837 (x1, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 2] */

    case E_VNx4SImode:
      res = pattern837 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DImode:
      res = pattern837 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
      if (res >= 0)
        return res + 6; /* [6, 8] */
      return -1;

    default:
      return -1;
    }
}

int
pattern848 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  switch (GET_CODE (x2))
    {
    case REG:
    case SUBREG:
      if (!rtx_equal_p (x2, operands[2]))
        return -1;
      x3 = XVECEXP (x1, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      operands[4] = x2;
      x3 = XVECEXP (x1, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[5] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern847 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 4;

        case E_VNx8HImode:
          if (pattern847 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 5;

        case E_VNx4SImode:
          if (pattern847 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 6;

        case E_VNx2DImode:
          if (pattern847 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern872 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[2], E_SImode))
    return -1;
  x2 = XEXP (x1, 0);
  switch (GET_MODE (x2))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_SImode)
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_DImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern877 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != VEC_SELECT)
    return -1;
  x5 = XEXP (x4, 0);
  operands[4] = x5;
  x6 = XEXP (x4, 1);
  if (!rtx_equal_p (x6, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HImode:
      return pattern876 (x1, 
E_V8HImode, 
E_V16QImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4SImode:
      if (pattern876 (x1, 
E_V4SImode, 
E_V8HImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2DImode:
      if (pattern876 (x1, 
E_V2DImode, 
E_V4SImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern884 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1
      || !register_operand (operands[2], i1))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!register_operand (operands[0], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[0], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[0], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern891 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  operands[4] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern890 (x1, 
E_V8HImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4HImode:
      if (pattern890 (x1, 
E_V4SImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2SImode:
      if (pattern890 (x1, 
E_V2DImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern897 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_reg_or_xor_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern903 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XEXP (x4, 0);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x5, 0);
  operands[2] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern902 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern902 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern902 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern914 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 2);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x1) != E_VNx16BImode
          || GET_MODE (x2) != E_VNx16BImode
          || GET_MODE (x3) != E_VNx16BImode
          || !register_operand (operands[2], E_VNx16QImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx16QImode)
          || !register_operand (operands[1], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x1) != E_VNx8BImode
          || GET_MODE (x2) != E_VNx8BImode
          || GET_MODE (x3) != E_VNx8BImode
          || !register_operand (operands[1], E_VNx8BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx8QImode:
          if (!register_operand (operands[2], E_VNx8QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8QImode))
            return -1;
          return 1;

        case E_VNx8HImode:
          if (!register_operand (operands[2], E_VNx8HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8HImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x1) != E_VNx4BImode
          || GET_MODE (x2) != E_VNx4BImode
          || GET_MODE (x3) != E_VNx4BImode
          || !register_operand (operands[1], E_VNx4BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx4QImode:
          if (!register_operand (operands[2], E_VNx4QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4QImode))
            return -1;
          return 3;

        case E_VNx4HImode:
          if (!register_operand (operands[2], E_VNx4HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4HImode))
            return -1;
          return 4;

        case E_VNx4SImode:
          if (!register_operand (operands[2], E_VNx4SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x1) != E_VNx2BImode
          || GET_MODE (x2) != E_VNx2BImode
          || GET_MODE (x3) != E_VNx2BImode
          || !register_operand (operands[1], E_VNx2BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx2QImode:
          if (!register_operand (operands[2], E_VNx2QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2QImode))
            return -1;
          return 6;

        case E_VNx2HImode:
          if (!register_operand (operands[2], E_VNx2HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2HImode))
            return -1;
          return 7;

        case E_VNx2SImode:
          if (!register_operand (operands[2], E_VNx2SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2SImode))
            return -1;
          return 8;

        case E_VNx2DImode:
          if (!register_operand (operands[2], E_VNx2DImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2DImode))
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern956 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  x7 = XEXP (x3, 1);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern902 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern902 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern902 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern962 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern968 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
      operands[4] = x3;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          return pattern966 (x1, 
E_VNx8BImode, 
E_VNx8HFmode); /* [-1, 0] */

        case E_VNx4BImode:
          if (pattern966 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 1;

        case E_VNx2BImode:
          if (pattern966 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case NOT:
      x4 = XEXP (x3, 0);
      operands[4] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BImode:
          if (pattern967 (x1, 
E_VNx8BImode, 
E_VNx8HFmode) != 0)
            return -1;
          return 3;

        case E_VNx4BImode:
          if (pattern967 (x1, 
E_VNx4BImode, 
E_VNx4SFmode) != 0)
            return -1;
          return 4;

        case E_VNx2BImode:
          if (pattern967 (x1, 
E_VNx2BImode, 
E_VNx2DFmode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern981 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  return 0;
}

int
pattern985 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_lshift_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern992 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 0);
  operands[2] = x5;
  x6 = XEXP (x2, 1);
  operands[3] = x6;
  if (!aarch64_imm3 (operands[3], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_QImode:
      if (!register_operand (operands[2], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[2], E_HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1001 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_SFmode
      || !register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_V2SFmode:
      if (!register_operand (operands[2], E_V2SFmode))
        return -1;
      return 0;

    case E_V4SFmode:
      if (!register_operand (operands[2], E_V4SFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1010 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1018 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[2], i3)
      || !vect_par_cnst_even_or_odd_half (operands[3], i2))
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i2
      || !vect_par_cnst_even_or_odd_half (operands[4], i2)
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  return 0;
}

int
pattern1028 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !memory_operand (operands[1], i1)
      || !scratch_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1033 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1040 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_lshift_imm (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1046 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1052 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1060 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1068 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!const_int_operand (operands[4], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x1) != E_V8HFmode
          || !aarch64_simd_or_scalar_imm_zero (operands[5], E_V4HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4HFmode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[2], E_V4HFmode)
          || !register_operand (operands[1], E_V4HFmode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4HFmode:
          if (!register_operand (operands[3], E_V4HFmode))
            return -1;
          return 0;

        case E_V8HFmode:
          if (!register_operand (operands[3], E_V8HFmode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x1) != E_V4SFmode
          || !aarch64_simd_or_scalar_imm_zero (operands[5], E_V2SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (pattern815 (x2, 
E_V2SFmode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1087 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (x1))
    {
    case SET:
      x2 = XEXP (x1, 1);
      if (GET_CODE (x2) != UNSPEC
          || XVECLEN (x2, 0) != 3
          || XINT (x2, 1) != i1
          || GET_MODE (x2) != E_VNx16BImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_VNx16BImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x4, operands[1]))
        return -1;
      x5 = XVECEXP (x2, 0, 1);
      if (!rtx_equal_p (x5, operands[2]))
        return -1;
      x6 = XVECEXP (x2, 0, 2);
      if (!rtx_equal_p (x6, operands[3]))
        return -1;
      return 0;

    case CLOBBER:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!scratch_operand (operands[0], E_VNx16BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1096 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !aarch64_sve_float_arith_immediate (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1100 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          return pattern1098 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx4SFmode:
          if (pattern1098 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 1;

        case E_VNx2DFmode:
          if (pattern1098 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 2;

        case E_VNx8BFmode:
          if (pattern1098 (x1, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x1, 0, 2);
      operands[5] = x4;
      x5 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x5, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          if (pattern1099 (x1, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx8HFmode:
          if (pattern1099 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 5;

        case E_VNx4SFmode:
          if (pattern1099 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 6;

        case E_VNx2DFmode:
          if (pattern1099 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1122 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_VNx2DImode
      || !register_operand (operands[5], E_VNx2BImode)
      || !register_operand (operands[1], E_DImode))
    return -1;
  x2 = XEXP (x1, 0);
  operands[2] = x2;
  if (!register_operand (operands[2], E_VNx2DImode))
    return -1;
  x3 = XEXP (x1, 1);
  operands[6] = x3;
  if (!aarch64_sve_uxtw_immediate (operands[6], E_VNx2DImode))
    return -1;
  return 0;
}

int
pattern1128 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1136 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1143 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 1
      || XINT (x2, 1) != 691
      || GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  return 0;
}

int
pattern1152 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i3))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1162 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1168 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1174 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XEXP (x2, 0);
  operands[3] = x3;
  x4 = XEXP (x2, 1);
  operands[4] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x1) != E_VNx16BImode
          || !register_operand (operands[1], E_VNx16BImode)
          || GET_MODE (x2) != E_VNx16BImode
          || !register_operand (operands[3], E_VNx16QImode)
          || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x1) != E_VNx8BImode
          || !register_operand (operands[1], E_VNx8BImode)
          || GET_MODE (x2) != E_VNx8BImode)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx8QImode:
          if (!register_operand (operands[3], E_VNx8QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx8QImode))
            return -1;
          return 1;

        case E_VNx8HImode:
          if (!register_operand (operands[3], E_VNx8HImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx8HImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x1) != E_VNx4BImode
          || !register_operand (operands[1], E_VNx4BImode)
          || GET_MODE (x2) != E_VNx4BImode)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx4QImode:
          if (!register_operand (operands[3], E_VNx4QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx4QImode))
            return -1;
          return 3;

        case E_VNx4HImode:
          if (!register_operand (operands[3], E_VNx4HImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx4HImode))
            return -1;
          return 4;

        case E_VNx4SImode:
          if (!register_operand (operands[3], E_VNx4SImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx4SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x1) != E_VNx2BImode
          || !register_operand (operands[1], E_VNx2BImode)
          || GET_MODE (x2) != E_VNx2BImode)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx2QImode:
          if (!register_operand (operands[3], E_VNx2QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2QImode))
            return -1;
          return 6;

        case E_VNx2HImode:
          if (!register_operand (operands[3], E_VNx2HImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2HImode))
            return -1;
          return 7;

        case E_VNx2SImode:
          if (!register_operand (operands[3], E_VNx2SImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2SImode))
            return -1;
          return 8;

        case E_VNx2DImode:
          if (!register_operand (operands[3], E_VNx2DImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2DImode))
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1218 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  if (peep2_current_count < 4
      || GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != i1
      || GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[4] = x3;
  if (!register_operand (operands[4], E_DImode))
    return -1;
  x4 = XEXP (x2, 0);
  operands[5] = x4;
  if (!memory_operand (operands[5], E_SImode))
    return -1;
  x5 = PATTERN (peep2_next_insn (3));
  if (GET_CODE (x5) != SET)
    return -1;
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != i1
      || GET_MODE (x6) != E_DImode)
    return -1;
  x7 = XEXP (x5, 0);
  operands[6] = x7;
  if (!register_operand (operands[6], E_DImode))
    return -1;
  x8 = XEXP (x6, 0);
  operands[7] = x8;
  if (!memory_operand (operands[7], E_SImode))
    return -1;
  return 0;
}

int
pattern1230 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i1))
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  return 0;
}

int
pattern1236 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  x5 = XVECEXP (x3, 0, 3);
  x6 = XVECEXP (x5, 0, 0);
  if (!rtx_equal_p (x6, operands[1]))
    return -1;
  x7 = XVECEXP (x1, 0, 1);
  return pattern1087 (x7, 
i1); /* [-1, 1] */
}

int
pattern1244 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (!rtx_equal_p (x5, operands[1]))
    return -1;
  x6 = XEXP (x3, 1);
  if (!rtx_equal_p (x6, operands[2]))
    return -1;
  x7 = XVECEXP (x1, 0, 0);
  x8 = XEXP (x7, 1);
  x9 = XEXP (x8, 0);
  switch (GET_MODE (x9))
    {
    case E_SImode:
      return pattern1243 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern1243 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1252 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 3);
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  x5 = XVECEXP (x4, 0, 0);
  operands[5] = x5;
  x6 = XVECEXP (x2, 0, 0);
  operands[6] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BImode:
      return pattern454 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4BImode:
      if (pattern454 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2BImode:
      if (pattern454 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1260 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1)
      || !aarch64_plus_immediate (operands[2], i1)
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_plus_immediate (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1267 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !aarch64_sync_memory_operand (operands[1], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_logical_operand (operands[2], i1)
      || !scratch_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1274 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i2)
      || !vect_par_cnst_even_or_odd_half (operands[3], i2))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1
      || !vect_par_cnst_even_or_odd_half (operands[4], i2))
    return -1;
  x5 = XEXP (x1, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !register_operand (operands[2], i2))
    return -1;
  x7 = XEXP (x5, 1);
  if (GET_MODE (x7) != i1)
    return -1;
  return 0;
}

int
pattern1287 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i3)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[2], i1)
      || !vect_par_cnst_hi_half (operands[5], i1))
    return -1;
  return 0;
}

int
pattern1297 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_gather_scale_operand_w (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[7], i1))
    return -1;
  return 0;
}

int
pattern1302 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XVECEXP (x2, 0, 1);
  switch (GET_CODE (x3))
    {
    case SIGN_EXTEND:
      x4 = XEXP (x3, 0);
      switch (GET_CODE (x4))
        {
        case REG:
        case SUBREG:
          operands[1] = x4;
          if (!register_operand (operands[1], E_VNx2SImode))
            return -1;
          x5 = XVECEXP (x1, 0, 5);
          operands[4] = x5;
          return 0;

        case TRUNCATE:
          if (GET_MODE (x4) != E_VNx2SImode)
            return -1;
          x6 = XEXP (x4, 0);
          operands[1] = x6;
          if (!register_operand (operands[1], E_VNx2DImode))
            return -1;
          x5 = XVECEXP (x1, 0, 5);
          switch (GET_CODE (x5))
            {
            case REG:
            case SUBREG:
              operands[4] = x5;
              return 1;

            case TRUNCATE:
              return 2;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case ZERO_EXTEND:
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_VNx2SImode))
        return -1;
      x5 = XVECEXP (x1, 0, 5);
      operands[4] = x5;
      return 3;

    default:
      return -1;
    }
}

int
pattern1318 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx8BFmode:
      if (!register_operand (operands[2], E_VNx8BFmode)
          || !register_operand (operands[3], E_VNx8BFmode))
        return -1;
      return 0;

    case E_VNx8HFmode:
      if (!register_operand (operands[2], E_VNx8HFmode)
          || !register_operand (operands[3], E_VNx8HFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1325 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx2QImode:
      if (!register_operand (operands[2], E_VNx2QImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2QImode))
        return -1;
      return 0;

    case E_VNx2HImode:
      if (!register_operand (operands[2], E_VNx2HImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2HImode))
        return -1;
      return 1;

    case E_VNx2SImode:
      if (!register_operand (operands[2], E_VNx2SImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2SImode))
        return -1;
      return 2;

    case E_VNx2DImode:
      if (!register_operand (operands[2], E_VNx2DImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1335 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_MODE (x6) != i2)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i2)
    return -1;
  x8 = XEXP (x6, 1);
  if (GET_MODE (x8) != i2
      || !register_operand (operands[0], i1))
    return -1;
  x9 = XVECEXP (x1, 0, 1);
  x10 = XEXP (x9, 1);
  if (GET_MODE (x10) != i1)
    return -1;
  return 0;
}

int
pattern1342 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[3]))
    {
    case E_V8HFmode:
      if (!register_operand (operands[3], E_V8HFmode)
          || !aarch64_lane_imm3 (operands[5], E_SImode))
        return -1;
      return 0;

    case E_V4HFmode:
      if (!register_operand (operands[3], E_V4HFmode)
          || !aarch64_imm2 (operands[5], E_SImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1349 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XVECEXP (x4, 0, 2);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[0], i1))
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 1);
  if (GET_MODE (x7) != i1)
    return -1;
  x8 = XVECEXP (x7, 0, 2);
  if (GET_MODE (x8) != i1)
    return -1;
  return 0;
}

int
pattern1356 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !aarch64_carry_operation (operands[3], i2))
    return -1;
  x6 = XEXP (x5, 1);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x7 = XEXP (x4, 1);
  if (GET_MODE (x7) != i2
      || !register_operand (operands[2], i1))
    return -1;
  x8 = XEXP (x3, 1);
  if (GET_MODE (x8) != i2)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1
      || !aarch64_carry_operation (operands[4], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x11 = XVECEXP (x1, 0, 1);
  x12 = XEXP (x11, 1);
  if (GET_MODE (x12) != i1)
    return -1;
  x13 = XEXP (x12, 0);
  if (GET_MODE (x13) != i1)
    return -1;
  return 0;
}

 int
recog_4 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x2, 1);
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  x8 = XEXP (x6, 1);
  operands[4] = x8;
  switch (pattern928 (x2))
    {
    case 0:
      if (!
#line 6520 "../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (SImode, UINTVAL (operands[2]),
				      UINTVAL (operands[4]),
				      HOST_WIDE_INT_M1U << UINTVAL (operands[4]) )))
        return -1;
      return 840; /* *aarch64_bfisi4_noand */

    case 1:
      if (!
#line 6520 "../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (DImode, UINTVAL (operands[2]),
				      UINTVAL (operands[4]),
				      HOST_WIDE_INT_M1U << UINTVAL (operands[4]) )))
        return -1;
      return 841; /* *aarch64_bfidi4_noand */

    default:
      return -1;
    }
}

 int
recog_10 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_V2x8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x8QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x8QImode
          || !register_operand (operands[1], E_V2x8QImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4659; /* aarch64_st1_x2_v8qi */

    case E_V2x4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x4HImode
          || !register_operand (operands[1], E_V2x4HImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4660; /* aarch64_st1_x2_v4hi */

    case E_V2x2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x2SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x2SImode
          || !register_operand (operands[1], E_V2x2SImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4661; /* aarch64_st1_x2_v2si */

    case E_V2x1DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x1DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x1DImode
          || !register_operand (operands[1], E_V2x1DImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4662; /* aarch64_st1_x2_di */

    case E_V2x4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x4HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x4HFmode
          || !register_operand (operands[1], E_V2x4HFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4663; /* aarch64_st1_x2_v4hf */

    case E_V2x2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x2SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x2SFmode
          || !register_operand (operands[1], E_V2x2SFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4664; /* aarch64_st1_x2_v2sf */

    case E_V2x1DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x1DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x1DFmode
          || !register_operand (operands[1], E_V2x1DFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4665; /* aarch64_st1_x2_df */

    case E_V2x4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x4BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x4BFmode
          || !register_operand (operands[1], E_V2x4BFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4666; /* aarch64_st1_x2_v4bf */

    case E_V2x16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x16QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x16QImode
          || !register_operand (operands[1], E_V2x16QImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4667; /* aarch64_st1_x2_v16qi */

    case E_V2x8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x8HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x8HImode
          || !register_operand (operands[1], E_V2x8HImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4668; /* aarch64_st1_x2_v8hi */

    case E_V2x4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x4SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x4SImode
          || !register_operand (operands[1], E_V2x4SImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4669; /* aarch64_st1_x2_v4si */

    case E_V2x2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x2DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x2DImode
          || !register_operand (operands[1], E_V2x2DImode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4670; /* aarch64_st1_x2_v2di */

    case E_V2x8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x8HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x8HFmode
          || !register_operand (operands[1], E_V2x8HFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4671; /* aarch64_st1_x2_v8hf */

    case E_V2x4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x4SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x4SFmode
          || !register_operand (operands[1], E_V2x4SFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4672; /* aarch64_st1_x2_v4sf */

    case E_V2x2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x2DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x2DFmode
          || !register_operand (operands[1], E_V2x2DFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4673; /* aarch64_st1_x2_v2df */

    case E_V2x8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2x8BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2x8BFmode
          || !register_operand (operands[1], E_V2x8BFmode)
          || !
#line 8046 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4674; /* aarch64_st1_x2_v8bf */

    case E_V3x8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x8QImode
          || !register_operand (operands[1], E_V3x8QImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4675; /* aarch64_st1_x3_v8qi */

    case E_V3x4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x4HImode
          || !register_operand (operands[1], E_V3x4HImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4676; /* aarch64_st1_x3_v4hi */

    case E_V3x2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x2SImode
          || !register_operand (operands[1], E_V3x2SImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4677; /* aarch64_st1_x3_v2si */

    case E_V3x1DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x1DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x1DImode
          || !register_operand (operands[1], E_V3x1DImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4678; /* aarch64_st1_x3_di */

    case E_V3x4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x4HFmode
          || !register_operand (operands[1], E_V3x4HFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4679; /* aarch64_st1_x3_v4hf */

    case E_V3x2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x2SFmode
          || !register_operand (operands[1], E_V3x2SFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4680; /* aarch64_st1_x3_v2sf */

    case E_V3x1DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x1DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x1DFmode
          || !register_operand (operands[1], E_V3x1DFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4681; /* aarch64_st1_x3_df */

    case E_V3x4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x4BFmode
          || !register_operand (operands[1], E_V3x4BFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4682; /* aarch64_st1_x3_v4bf */

    case E_V3x16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x16QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x16QImode
          || !register_operand (operands[1], E_V3x16QImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4683; /* aarch64_st1_x3_v16qi */

    case E_V3x8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x8HImode
          || !register_operand (operands[1], E_V3x8HImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4684; /* aarch64_st1_x3_v8hi */

    case E_V3x4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x4SImode
          || !register_operand (operands[1], E_V3x4SImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4685; /* aarch64_st1_x3_v4si */

    case E_V3x2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x2DImode
          || !register_operand (operands[1], E_V3x2DImode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4686; /* aarch64_st1_x3_v2di */

    case E_V3x8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x8HFmode
          || !register_operand (operands[1], E_V3x8HFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4687; /* aarch64_st1_x3_v8hf */

    case E_V3x4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x4SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x4SFmode
          || !register_operand (operands[1], E_V3x4SFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4688; /* aarch64_st1_x3_v4sf */

    case E_V3x2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x2DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x2DFmode
          || !register_operand (operands[1], E_V3x2DFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4689; /* aarch64_st1_x3_v2df */

    case E_V3x8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V3x8BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V3x8BFmode
          || !register_operand (operands[1], E_V3x8BFmode)
          || !
#line 8066 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4690; /* aarch64_st1_x3_v8bf */

    case E_V4x8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x8QImode
          || !register_operand (operands[1], E_V4x8QImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4691; /* aarch64_st1_x4_v8qi */

    case E_V4x4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x4HImode
          || !register_operand (operands[1], E_V4x4HImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4692; /* aarch64_st1_x4_v4hi */

    case E_V4x2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x2SImode
          || !register_operand (operands[1], E_V4x2SImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4693; /* aarch64_st1_x4_v2si */

    case E_V4x1DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x1DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x1DImode
          || !register_operand (operands[1], E_V4x1DImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4694; /* aarch64_st1_x4_di */

    case E_V4x4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x4HFmode
          || !register_operand (operands[1], E_V4x4HFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4695; /* aarch64_st1_x4_v4hf */

    case E_V4x2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x2SFmode
          || !register_operand (operands[1], E_V4x2SFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4696; /* aarch64_st1_x4_v2sf */

    case E_V4x1DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x1DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x1DFmode
          || !register_operand (operands[1], E_V4x1DFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4697; /* aarch64_st1_x4_df */

    case E_V4x4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x4BFmode
          || !register_operand (operands[1], E_V4x4BFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4698; /* aarch64_st1_x4_v4bf */

    case E_V4x16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x16QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x16QImode
          || !register_operand (operands[1], E_V4x16QImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4699; /* aarch64_st1_x4_v16qi */

    case E_V4x8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x8HImode
          || !register_operand (operands[1], E_V4x8HImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4700; /* aarch64_st1_x4_v8hi */

    case E_V4x4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x4SImode
          || !register_operand (operands[1], E_V4x4SImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4701; /* aarch64_st1_x4_v4si */

    case E_V4x2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x2DImode
          || !register_operand (operands[1], E_V4x2DImode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4702; /* aarch64_st1_x4_v2di */

    case E_V4x8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x8HFmode
          || !register_operand (operands[1], E_V4x8HFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4703; /* aarch64_st1_x4_v8hf */

    case E_V4x4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x4SFmode
          || !register_operand (operands[1], E_V4x4SFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4704; /* aarch64_st1_x4_v4sf */

    case E_V4x2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x2DFmode
          || !register_operand (operands[1], E_V4x2DFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4705; /* aarch64_st1_x4_v2df */

    case E_V4x8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4x8BFmode
          || !register_operand (operands[1], E_V4x8BFmode)
          || !
#line 8086 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4706; /* aarch64_st1_x4_v8bf */

    case E_V8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V8QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4723; /* aarch64_be_st1v8qi */

    case E_V16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V16QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4724; /* aarch64_be_st1v16qi */

    case E_V4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4HImode
          || !register_operand (operands[1], E_V4HImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4725; /* aarch64_be_st1v4hi */

    case E_V8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V8HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4726; /* aarch64_be_st1v8hi */

    case E_V2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4727; /* aarch64_be_st1v2si */

    case E_V4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4728; /* aarch64_be_st1v4si */

    case E_V2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2DImode
          || !register_operand (operands[1], E_V2DImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4729; /* aarch64_be_st1v2di */

    case E_V4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4730; /* aarch64_be_st1v4hf */

    case E_V8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V8HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4731; /* aarch64_be_st1v8hf */

    case E_V4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4BFmode
          || !register_operand (operands[1], E_V4BFmode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4732; /* aarch64_be_st1v4bf */

    case E_V8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V8BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V8BFmode
          || !register_operand (operands[1], E_V8BFmode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4733; /* aarch64_be_st1v8bf */

    case E_V2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4734; /* aarch64_be_st1v2sf */

    case E_V4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4735; /* aarch64_be_st1v4sf */

    case E_V2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V2DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4736; /* aarch64_be_st1v2df */

    case E_DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_DImode
          || !register_operand (operands[1], E_DImode)
          || !
#line 8115 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4737; /* aarch64_be_st1di */

    default:
      return -1;
    }
}

 int
recog_67 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern465 (x2))
    {
    case 0:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6541; /* aarch64_pred_qnegvnx16qi */

    case 1:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6550; /* aarch64_pred_qnegvnx8qi */

    case 2:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6559; /* aarch64_pred_qnegvnx4qi */

    case 3:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6568; /* aarch64_pred_qnegvnx2qi */

    case 4:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6577; /* aarch64_pred_qnegvnx8hi */

    case 5:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6586; /* aarch64_pred_qnegvnx4hi */

    case 6:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6595; /* aarch64_pred_qnegvnx2hi */

    case 7:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6604; /* aarch64_pred_qnegvnx4si */

    case 8:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6613; /* aarch64_pred_qnegvnx2si */

    case 9:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6622; /* aarch64_pred_qnegvnx2di */

    case 10:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6631; /* aarch64_pred_qnegv8qi */

    case 11:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6640; /* aarch64_pred_qnegv16qi */

    case 12:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6649; /* aarch64_pred_qnegv4hi */

    case 13:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6658; /* aarch64_pred_qnegv8hi */

    case 14:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6667; /* aarch64_pred_qnegv2si */

    case 15:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6676; /* aarch64_pred_qnegv4si */

    case 16:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6685; /* aarch64_pred_qnegv2di */

    case 17:
      if (!(
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2755 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6694; /* aarch64_pred_qnegv1di */

    default:
      return -1;
    }
}

 int
recog_69 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern465 (x2))
    {
    case 0:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6539; /* aarch64_pred_rbitvnx16qi */

    case 1:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6548; /* aarch64_pred_rbitvnx8qi */

    case 2:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6557; /* aarch64_pred_rbitvnx4qi */

    case 3:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6566; /* aarch64_pred_rbitvnx2qi */

    case 4:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6575; /* aarch64_pred_rbitvnx8hi */

    case 5:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6584; /* aarch64_pred_rbitvnx4hi */

    case 6:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6593; /* aarch64_pred_rbitvnx2hi */

    case 7:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6602; /* aarch64_pred_rbitvnx4si */

    case 8:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6611; /* aarch64_pred_rbitvnx2si */

    case 9:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6620; /* aarch64_pred_rbitvnx2di */

    case 10:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6629; /* aarch64_pred_rbitv8qi */

    case 11:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6638; /* aarch64_pred_rbitv16qi */

    case 12:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6647; /* aarch64_pred_rbitv4hi */

    case 13:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6656; /* aarch64_pred_rbitv8hi */

    case 14:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6665; /* aarch64_pred_rbitv2si */

    case 15:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6674; /* aarch64_pred_rbitv4si */

    case 16:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6683; /* aarch64_pred_rbitv2di */

    case 17:
      if (!
#line 3200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6692; /* aarch64_pred_rbitv1di */

    default:
      return -1;
    }
}

 int
recog_73 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (pattern95 (x1))
    {
    case 0:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V4HImode) != 0
              || !
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3426; /* aarch64_sqdmulhv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V8HImode) != 0
              || !
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3432; /* aarch64_sqdmulhv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V2SImode) != 0
              || !
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3434; /* aarch64_sqdmulhv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V4SImode) != 0
              || !
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3440; /* aarch64_sqdmulhv4si */

        case E_HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_HImode) != 0
              || !
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3442; /* aarch64_sqdmulhhi */

        case E_SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_SImode) != 0
              || !
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3444; /* aarch64_sqdmulhsi */

        case E_VNx32QImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx32QImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11448; /* aarch64_sve_sqdmulhvnx32qi */

        case E_VNx16HImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx16HImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11451; /* aarch64_sve_sqdmulhvnx16hi */

        case E_VNx8SImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx8SImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11454; /* aarch64_sve_sqdmulhvnx8si */

        case E_VNx4DImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx4DImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11457; /* aarch64_sve_sqdmulhvnx4di */

        case E_VNx64QImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx64QImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11460; /* aarch64_sve_sqdmulhvnx64qi */

        case E_VNx32HImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx32HImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11463; /* aarch64_sve_sqdmulhvnx32hi */

        case E_VNx16SImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx16SImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11466; /* aarch64_sve_sqdmulhvnx16si */

        case E_VNx8DImode:
          x2 = XEXP (x1, 1);
          if (pattern76 (x2, 
E_VNx8DImode) != 0
              || !
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11469; /* aarch64_sve_sqdmulhvnx8di */

        case E_VNx16QImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx16QImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11723; /* aarch64_sve_sqdmulhvnx16qi */

        case E_VNx8HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx8HImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11725; /* aarch64_sve_sqdmulhvnx8hi */

        case E_VNx4SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx4SImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11727; /* aarch64_sve_sqdmulhvnx4si */

        case E_VNx2DImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx2DImode) != 0
              || !
#line 1161 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11729; /* aarch64_sve_sqdmulhvnx2di */

        default:
          return -1;
        }

    case 1:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_HImode, 
E_V4HImode) != 0
              || !
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3446; /* aarch64_sqdmulh_nv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_HImode, 
E_V8HImode) != 0
              || !
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3452; /* aarch64_sqdmulh_nv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_SImode, 
E_V2SImode) != 0
              || !
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3454; /* aarch64_sqdmulh_nv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_SImode, 
E_V4SImode) != 0
              || !
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3460; /* aarch64_sqdmulh_nv4si */

        case E_VNx32QImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx16QImode, 
E_VNx32QImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11472; /* aarch64_sve_single_sqdmulhvnx32qi */

        case E_VNx16HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx8HImode, 
E_VNx16HImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11475; /* aarch64_sve_single_sqdmulhvnx16hi */

        case E_VNx8SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx4SImode, 
E_VNx8SImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11478; /* aarch64_sve_single_sqdmulhvnx8si */

        case E_VNx4DImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx2DImode, 
E_VNx4DImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11481; /* aarch64_sve_single_sqdmulhvnx4di */

        case E_VNx64QImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx16QImode, 
E_VNx64QImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11484; /* aarch64_sve_single_sqdmulhvnx64qi */

        case E_VNx32HImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx8HImode, 
E_VNx32HImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11487; /* aarch64_sve_single_sqdmulhvnx32hi */

        case E_VNx16SImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx4SImode, 
E_VNx16SImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11490; /* aarch64_sve_single_sqdmulhvnx16si */

        case E_VNx8DImode:
          x2 = XEXP (x1, 1);
          if (pattern77 (x2, 
E_VNx2DImode, 
E_VNx8DImode) != 0
              || !
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11493; /* aarch64_sve_single_sqdmulhvnx8di */

        default:
          return -1;
        }

    case 2:
      if (!
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3462; /* aarch64_sqdmulh_lanev4hi */

    case 3:
      if (!
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3478; /* aarch64_sqdmulh_laneqv4hi */

    case 4:
      if (!
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3468; /* aarch64_sqdmulh_lanev8hi */

    case 5:
      if (!
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3484; /* aarch64_sqdmulh_laneqv8hi */

    case 6:
      if (!
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3470; /* aarch64_sqdmulh_lanev2si */

    case 7:
      if (!
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3486; /* aarch64_sqdmulh_laneqv2si */

    case 8:
      if (!
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3476; /* aarch64_sqdmulh_lanev4si */

    case 9:
      if (!
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3492; /* aarch64_sqdmulh_laneqv4si */

    case 10:
      if (!
#line 5612 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3494; /* aarch64_sqdmulh_lanehi */

    case 11:
      if (!
#line 5627 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3498; /* aarch64_sqdmulh_laneqhi */

    case 12:
      if (!
#line 5612 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3496; /* aarch64_sqdmulh_lanesi */

    case 13:
      if (!
#line 5627 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3500; /* aarch64_sqdmulh_laneqsi */

    case 14:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11731; /* aarch64_sve_sqdmulh_lane_vnx8hi */

    case 15:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11733; /* aarch64_sve_sqdmulh_lane_vnx4si */

    case 16:
      if (!
#line 1174 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11735; /* aarch64_sve_sqdmulh_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_79 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern104 (x1))
    {
    case 0:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4845; /* aarch64_uzp2v8qi */

    case 1:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4853; /* aarch64_uzp2v16qi */

    case 2:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4869; /* aarch64_uzp2v4hi */

    case 3:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4877; /* aarch64_uzp2v8hi */

    case 4:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4893; /* aarch64_uzp2v2si */

    case 5:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4901; /* aarch64_uzp2v4si */

    case 6:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4907; /* aarch64_uzp2v2di */

    case 7:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4923; /* aarch64_uzp2v4hf */

    case 8:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4931; /* aarch64_uzp2v8hf */

    case 9:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4947; /* aarch64_uzp2v4bf */

    case 10:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4955; /* aarch64_uzp2v8bf */

    case 11:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4971; /* aarch64_uzp2v2sf */

    case 12:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4979; /* aarch64_uzp2v4sf */

    case 13:
      if (!
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4985; /* aarch64_uzp2v2df */

    case 14:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10456; /* aarch64_sve_uzp2vnx16qi */

    case 15:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10466; /* aarch64_sve_uzp2vnx8qi */

    case 16:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10476; /* aarch64_sve_uzp2vnx4qi */

    case 17:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10486; /* aarch64_sve_uzp2vnx2qi */

    case 18:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10496; /* aarch64_sve_uzp2vnx8hi */

    case 19:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10506; /* aarch64_sve_uzp2vnx4hi */

    case 20:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10516; /* aarch64_sve_uzp2vnx2hi */

    case 21:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10526; /* aarch64_sve_uzp2vnx4si */

    case 22:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10536; /* aarch64_sve_uzp2vnx2si */

    case 23:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10546; /* aarch64_sve_uzp2vnx2di */

    case 24:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10556; /* aarch64_sve_uzp2vnx8hf */

    case 25:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10566; /* aarch64_sve_uzp2vnx4hf */

    case 26:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10576; /* aarch64_sve_uzp2vnx2hf */

    case 27:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10586; /* aarch64_sve_uzp2vnx8bf */

    case 28:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10596; /* aarch64_sve_uzp2vnx4bf */

    case 29:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10606; /* aarch64_sve_uzp2vnx2bf */

    case 30:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10616; /* aarch64_sve_uzp2vnx4sf */

    case 31:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10626; /* aarch64_sve_uzp2vnx2sf */

    case 32:
      if (!
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10636; /* aarch64_sve_uzp2vnx2df */

    case 33:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10717; /* aarch64_sve_uzp2vnx16bi */

    case 34:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10723; /* aarch64_sve_uzp2vnx8bi */

    case 35:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10729; /* aarch64_sve_uzp2vnx4bi */

    case 36:
      if (!
#line 9284 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10735; /* aarch64_sve_uzp2vnx2bi */

    default:
      return -1;
    }
}

 int
recog_84 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!aarch64_simd_struct_operand (operands[0], E_BLKmode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V4x8QImode:
      if (!register_operand (operands[1], E_V4x8QImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4555; /* aarch64_vec_store_lanesv4x8qi_lanev8qi */

    case E_V4x4HImode:
      if (!register_operand (operands[1], E_V4x4HImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4556; /* aarch64_vec_store_lanesv4x4hi_lanev4hi */

    case E_V4x2SImode:
      if (!register_operand (operands[1], E_V4x2SImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4557; /* aarch64_vec_store_lanesv4x2si_lanev2si */

    case E_V4x1DImode:
      if (!register_operand (operands[1], E_V4x1DImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4558; /* aarch64_vec_store_lanesv4x1di_lanedi */

    case E_V4x4HFmode:
      if (!register_operand (operands[1], E_V4x4HFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4559; /* aarch64_vec_store_lanesv4x4hf_lanev4hf */

    case E_V4x2SFmode:
      if (!register_operand (operands[1], E_V4x2SFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4560; /* aarch64_vec_store_lanesv4x2sf_lanev2sf */

    case E_V4x1DFmode:
      if (!register_operand (operands[1], E_V4x1DFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4561; /* aarch64_vec_store_lanesv4x1df_lanedf */

    case E_V4x4BFmode:
      if (!register_operand (operands[1], E_V4x4BFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4562; /* aarch64_vec_store_lanesv4x4bf_lanev4bf */

    case E_V4x16QImode:
      if (!register_operand (operands[1], E_V4x16QImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4563; /* aarch64_vec_store_lanesv4x16qi_lanev16qi */

    case E_V4x8HImode:
      if (!register_operand (operands[1], E_V4x8HImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4564; /* aarch64_vec_store_lanesv4x8hi_lanev8hi */

    case E_V4x4SImode:
      if (!register_operand (operands[1], E_V4x4SImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4565; /* aarch64_vec_store_lanesv4x4si_lanev4si */

    case E_V4x2DImode:
      if (!register_operand (operands[1], E_V4x2DImode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4566; /* aarch64_vec_store_lanesv4x2di_lanev2di */

    case E_V4x8HFmode:
      if (!register_operand (operands[1], E_V4x8HFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4567; /* aarch64_vec_store_lanesv4x8hf_lanev8hf */

    case E_V4x4SFmode:
      if (!register_operand (operands[1], E_V4x4SFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4568; /* aarch64_vec_store_lanesv4x4sf_lanev4sf */

    case E_V4x2DFmode:
      if (!register_operand (operands[1], E_V4x2DFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4569; /* aarch64_vec_store_lanesv4x2df_lanev2df */

    case E_V4x8BFmode:
      if (!register_operand (operands[1], E_V4x8BFmode)
          || !
#line 7829 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4570; /* aarch64_vec_store_lanesv4x8bf_lanev8bf */

    default:
      return -1;
    }
}

 int
recog_91 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern97 (x1))
    {
    case 0:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3637; /* aarch64_urshlv8qi */

    case 1:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3643; /* aarch64_urshlv16qi */

    case 2:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3653; /* aarch64_urshlv4hi */

    case 3:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3659; /* aarch64_urshlv8hi */

    case 4:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3669; /* aarch64_urshlv2si */

    case 5:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3675; /* aarch64_urshlv4si */

    case 6:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3679; /* aarch64_urshlv2di */

    case 7:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3689; /* aarch64_urshldi */

    case 8:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11450; /* aarch64_sve_urshlvnx32qi */

    case 9:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11453; /* aarch64_sve_urshlvnx16hi */

    case 10:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11456; /* aarch64_sve_urshlvnx8si */

    case 11:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11459; /* aarch64_sve_urshlvnx4di */

    case 12:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11462; /* aarch64_sve_urshlvnx64qi */

    case 13:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11465; /* aarch64_sve_urshlvnx32hi */

    case 14:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11468; /* aarch64_sve_urshlvnx16si */

    case 15:
      if (!
#line 755 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11471; /* aarch64_sve_urshlvnx8di */

    case 16:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11474; /* aarch64_sve_single_urshlvnx32qi */

    case 17:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11477; /* aarch64_sve_single_urshlvnx16hi */

    case 18:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11480; /* aarch64_sve_single_urshlvnx8si */

    case 19:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11483; /* aarch64_sve_single_urshlvnx4di */

    case 20:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11486; /* aarch64_sve_single_urshlvnx64qi */

    case 21:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11489; /* aarch64_sve_single_urshlvnx32hi */

    case 22:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11492; /* aarch64_sve_single_urshlvnx16si */

    case 23:
      if (!
#line 766 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11495; /* aarch64_sve_single_urshlvnx8di */

    default:
      return -1;
    }
}

 int
recog_99 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern116 (x1))
    {
    case 0:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10460; /* aarch64_sve_zipq2vnx16qi */

    case 1:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10470; /* aarch64_sve_zipq2vnx8qi */

    case 2:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10480; /* aarch64_sve_zipq2vnx4qi */

    case 3:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10490; /* aarch64_sve_zipq2vnx2qi */

    case 4:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10500; /* aarch64_sve_zipq2vnx8hi */

    case 5:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10510; /* aarch64_sve_zipq2vnx4hi */

    case 6:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10520; /* aarch64_sve_zipq2vnx2hi */

    case 7:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10530; /* aarch64_sve_zipq2vnx4si */

    case 8:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10540; /* aarch64_sve_zipq2vnx2si */

    case 9:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10550; /* aarch64_sve_zipq2vnx2di */

    case 10:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10560; /* aarch64_sve_zipq2vnx8hf */

    case 11:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10570; /* aarch64_sve_zipq2vnx4hf */

    case 12:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10580; /* aarch64_sve_zipq2vnx2hf */

    case 13:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10590; /* aarch64_sve_zipq2vnx8bf */

    case 14:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10600; /* aarch64_sve_zipq2vnx4bf */

    case 15:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10610; /* aarch64_sve_zipq2vnx2bf */

    case 16:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10620; /* aarch64_sve_zipq2vnx4sf */

    case 17:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10630; /* aarch64_sve_zipq2vnx2sf */

    case 18:
      if (!(
#line 9215 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3178 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10640; /* aarch64_sve_zipq2vnx2df */

    default:
      return -1;
    }
}

 int
recog_107 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern75 (x3, 
E_VNx16QImode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10378; /* aarch64_sve_tblqvnx16qi */

    case E_VNx8HImode:
      if (pattern75 (x3, 
E_VNx8HImode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10380; /* aarch64_sve_tblqvnx8hi */

    case E_VNx4SImode:
      if (pattern75 (x3, 
E_VNx4SImode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10382; /* aarch64_sve_tblqvnx4si */

    case E_VNx2DImode:
      if (pattern75 (x3, 
E_VNx2DImode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10384; /* aarch64_sve_tblqvnx2di */

    case E_VNx8BFmode:
      if (pattern111 (x3, 
E_VNx8HImode, 
E_VNx8BFmode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10386; /* aarch64_sve_tblqvnx8bf */

    case E_VNx8HFmode:
      if (pattern111 (x3, 
E_VNx8HImode, 
E_VNx8HFmode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10388; /* aarch64_sve_tblqvnx8hf */

    case E_VNx4SFmode:
      if (pattern111 (x3, 
E_VNx4SImode, 
E_VNx4SFmode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10390; /* aarch64_sve_tblqvnx4sf */

    case E_VNx2DFmode:
      if (pattern111 (x3, 
E_VNx2DImode, 
E_VNx2DFmode) != 0
          || !(
#line 9093 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3182 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10392; /* aarch64_sve_tblqvnx2df */

    default:
      return -1;
    }
}

 int
recog_120 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern89 (x1))
    {
    case 0:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2109; /* aarch64_uminpv8qi */

    case 1:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2119; /* aarch64_uminpv16qi */

    case 2:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2125; /* aarch64_uminpv4hi */

    case 3:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2135; /* aarch64_uminpv8hi */

    case 4:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2141; /* aarch64_uminpv2si */

    case 5:
      if (!
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2151; /* aarch64_uminpv4si */

    case 6:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10336; /* aarch64_pred_reduc_umin_vnx16qi */

    case 7:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10343; /* aarch64_pred_reduc_umin_vnx8hi */

    case 8:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10350; /* aarch64_pred_reduc_umin_vnx4si */

    case 9:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10357; /* aarch64_pred_reduc_umin_vnx2di */

    default:
      return -1;
    }
}

 int
recog_128 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern138 (x1))
    {
    case 0:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12810; /* aarch64_sve_zipqvnx32qi */

    case 1:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12812; /* aarch64_sve_zipqvnx16hi */

    case 2:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12814; /* aarch64_sve_zipqvnx8si */

    case 3:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12816; /* aarch64_sve_zipqvnx4di */

    case 4:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12818; /* aarch64_sve_zipqvnx16bf */

    case 5:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12820; /* aarch64_sve_zipqvnx16hf */

    case 6:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12822; /* aarch64_sve_zipqvnx8sf */

    case 7:
      if (!
#line 3885 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12824; /* aarch64_sve_zipqvnx4df */

    default:
      return -1;
    }
}

 int
recog_138 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx4SImode:
      if (pattern720 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 9113 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10393; /* aarch64_sve_compactvnx4si */

    case E_VNx2DImode:
      if (pattern720 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 9113 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10394; /* aarch64_sve_compactvnx2di */

    case E_VNx4SFmode:
      if (pattern720 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 9113 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10395; /* aarch64_sve_compactvnx4sf */

    case E_VNx2DFmode:
      if (pattern720 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 9113 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10396; /* aarch64_sve_compactvnx2df */

    default:
      return -1;
    }
}

 int
recog_147 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern90 (x1))
    {
    case 0:
      if (!(
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2154; /* aarch64_smax_nanpv4hf */

    case 1:
      if (!(
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2166; /* aarch64_smax_nanpv8hf */

    case 2:
      if (!
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2170; /* aarch64_smax_nanpv2sf */

    case 3:
      if (!
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2182; /* aarch64_smax_nanpv4sf */

    case 4:
      if (!
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2186; /* aarch64_smax_nanpv2df */

    case 5:
      if (!
#line 9027 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10360; /* aarch64_pred_reduc_smax_nan_vnx8hf */

    case 6:
      if (!
#line 9027 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10365; /* aarch64_pred_reduc_smax_nan_vnx4sf */

    case 7:
      if (!
#line 9027 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10370; /* aarch64_pred_reduc_smax_nan_vnx2df */

    default:
      return -1;
    }
}

 int
recog_158 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern132 (x2, 
84, 
E_VNx16QImode) != 0)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], E_VNx16QImode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx16BFmode:
      if (!aligned_register_operand (operands[1], E_VNx16BFmode)
          || !
#line 3387 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
        return -1;
      return 12575; /* aarch64_sve2_fp8_cvtnvnx16bf */

    case E_VNx16HFmode:
      if (!aligned_register_operand (operands[1], E_VNx16HFmode)
          || !
#line 3387 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
        return -1;
      return 12576; /* aarch64_sve2_fp8_cvtnvnx16hf */

    default:
      return -1;
    }
}

 int
recog_167 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern85 (x1))
    {
    case 0:
      if (!(
#line 10034 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5268; /* aarch64_faminv4hf */

    case 1:
      if (!(
#line 10034 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 5270; /* aarch64_faminv8hf */

    case 2:
      if (!
#line 10034 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
        return -1;
      return 5272; /* aarch64_faminv2sf */

    case 3:
      if (!
#line 10034 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
        return -1;
      return 5274; /* aarch64_faminv4sf */

    case 4:
      if (!
#line 10034 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
        return -1;
      return 5276; /* aarch64_faminv2df */

    default:
      return -1;
    }
}

 int
recog_177 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern135 (x1))
    {
    case 0:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12695; /* aarch64_pred_reduc_smaxqv_vnx16qi */

    case 1:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12703; /* aarch64_pred_reduc_smaxqv_vnx8hi */

    case 2:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12711; /* aarch64_pred_reduc_smaxqv_vnx4si */

    case 3:
      if (!
#line 3723 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12719; /* aarch64_pred_reduc_smaxqv_vnx2di */

    default:
      return -1;
    }
}

 int
recog_187 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern115 (x1))
    {
    case 0:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10332; /* aarch64_pred_reduc_ior_vnx16qi */

    case 1:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10339; /* aarch64_pred_reduc_ior_vnx8hi */

    case 2:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10346; /* aarch64_pred_reduc_ior_vnx4si */

    case 3:
      if (!
#line 8983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10353; /* aarch64_pred_reduc_ior_vnx2di */

    default:
      return -1;
    }
}

 int
recog_197 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  switch (XWINT (x4, 0))
    {
    case 0L:
      res = recog_193 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
      break;

    case 1L:
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (pattern859 (x2))
        {
        case 0:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 3732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7225; /* *cond_absvnx8hf_2_strict */
          operands[3] = x6;
          if (aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              && 
#line 3781 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
            return 7291; /* *cond_absvnx8hf_any_strict */
          break;

        case 1:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 3732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7236; /* *cond_absvnx4sf_2_strict */
          operands[3] = x6;
          if (aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              && 
#line 3781 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
            return 7302; /* *cond_absvnx4sf_any_strict */
          break;

        case 2:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 3732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7247; /* *cond_absvnx2df_2_strict */
          operands[3] = x6;
          if (aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              && 
#line 3781 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
            return 7313; /* *cond_absvnx2df_any_strict */
          break;

        default:
          break;
        }
      break;

    default:
      break;
    }
  operands[4] = x4;
  if (aarch64_sve_gp_strictness (operands[4], E_SImode))
    {
      res = recog_194 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  x5 = XVECEXP (x3, 0, 2);
  if (GET_CODE (x5) != UNSPEC
      || XVECLEN (x5, 0) != 4
      || XINT (x5, 1) != 393)
    return -1;
  x7 = XVECEXP (x5, 0, 2);
  operands[2] = x7;
  x8 = XVECEXP (x5, 0, 3);
  operands[3] = x8;
  x6 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x6, operands[3]))
    {
      res = recog_195 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[4] = x6;
  if (XWINT (x4, 0) == 0L)
    {
      x9 = XVECEXP (x5, 0, 1);
      if (x9 == const_int_rtx[MAX_SAVED_CONST_INT + 0])
        {
          x10 = XVECEXP (x3, 0, 0);
          operands[5] = x10;
          x11 = XVECEXP (x5, 0, 0);
          operands[6] = x11;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx8HFmode:
              if (pattern1294 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) == 0
                  && 
#line 6408 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
                return 8967; /* *aarch64_cond_abdvnx8hf_any_relaxed */
              break;

            case E_VNx4SFmode:
              if (pattern1294 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) == 0
                  && 
#line 6408 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
                return 8968; /* *aarch64_cond_abdvnx4sf_any_relaxed */
              break;

            case E_VNx2DFmode:
              if (pattern1294 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) == 0
                  && 
#line 6408 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
                return 8969; /* *aarch64_cond_abdvnx2df_any_relaxed */
              break;

            default:
              break;
            }
        }
    }
  operands[5] = x4;
  if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
    return -1;
  x9 = XVECEXP (x5, 0, 1);
  operands[6] = x9;
  if (!aarch64_sve_gp_strictness (operands[6], E_SImode))
    return -1;
  switch (pattern1295 (x2))
    {
    case 0:
      if (!
#line 6456 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8970; /* *aarch64_cond_abdvnx8hf_any_strict */

    case 1:
      if (!
#line 6456 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8971; /* *aarch64_cond_abdvnx4sf_any_strict */

    case 2:
      if (!
#line 6456 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8972; /* *aarch64_cond_abdvnx2df_any_strict */

    default:
      return -1;
    }
}

 int
recog_213 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx4SImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11749; /* *cond_sqshlvnx4si_2 */
    }
  if (register_operand (operands[3], E_VNx4SImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11757; /* *cond_sqshlvnx4si_3 */
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx4SImode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))))
    return -1;
  return 11765; /* *cond_sqshlvnx4si_any */
}

 int
recog_221 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11620; /* *cond_urhaddvnx4si_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11663; /* *cond_urhaddvnx4si_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11703; /* *cond_urhaddvnx4si_any */
}

 int
recog_230 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11606; /* *cond_uhsubvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11651; /* *cond_uhsubvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11691; /* *cond_uhsubvnx8hi_any */
}

 int
recog_240 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11626; /* *cond_srhaddvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11668; /* *cond_srhaddvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11708; /* *cond_srhaddvnx2di_any */
}

 int
recog_250 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11600; /* *cond_shsubvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11646; /* *cond_shsubvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11686; /* *cond_shsubvnx8hi_any */
}

 int
recog_260 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1049 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8499; /* *cond_fmin_nanvnx8bf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8645; /* *cond_fmin_nanvnx8bf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8749; /* *cond_fmin_nanvnx8bf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8512; /* *cond_fmin_nanvnx8hf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8658; /* *cond_fmin_nanvnx8hf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8762; /* *cond_fmin_nanvnx8hf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8525; /* *cond_fmin_nanvnx4sf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8671; /* *cond_fmin_nanvnx4sf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8775; /* *cond_fmin_nanvnx4sf_any_relaxed */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8538; /* *cond_fmin_nanvnx2df_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8684; /* *cond_fmin_nanvnx2df_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8788; /* *cond_fmin_nanvnx2df_any_relaxed */

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8599; /* *cond_fmin_nanvnx8hf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8849; /* *cond_fmin_nanvnx8hf_any_const_relaxed */

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8606; /* *cond_fmin_nanvnx4sf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8856; /* *cond_fmin_nanvnx4sf_any_const_relaxed */

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8613; /* *cond_fmin_nanvnx2df_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8863; /* *cond_fmin_nanvnx2df_any_const_relaxed */

    case 7:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8551; /* *cond_fmin_nanvnx8bf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8697; /* *cond_fmin_nanvnx8bf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8801; /* *cond_fmin_nanvnx8bf_any_strict */

    case 8:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8564; /* *cond_fmin_nanvnx8hf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8710; /* *cond_fmin_nanvnx8hf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8814; /* *cond_fmin_nanvnx8hf_any_strict */

    case 9:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8577; /* *cond_fmin_nanvnx4sf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8723; /* *cond_fmin_nanvnx4sf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8827; /* *cond_fmin_nanvnx4sf_any_strict */

    case 10:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8590; /* *cond_fmin_nanvnx2df_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8736; /* *cond_fmin_nanvnx2df_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8840; /* *cond_fmin_nanvnx2df_any_strict */

    case 11:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8620; /* *cond_fmin_nanvnx8hf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8870; /* *cond_fmin_nanvnx8hf_any_const_strict */

    case 12:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8627; /* *cond_fmin_nanvnx4sf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8877; /* *cond_fmin_nanvnx4sf_any_const_strict */

    case 13:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8634; /* *cond_fmin_nanvnx2df_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8884; /* *cond_fmin_nanvnx2df_any_const_strict */

    default:
      return -1;
    }
}

 int
recog_266 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1115 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[5] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 7508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9229; /* *cond_fnmsvnx8hf_2_relaxed */
      if (rtx_equal_p (x5, operands[4])
          && 
#line 7554 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 9257; /* *cond_fnmsvnx8hf_4_relaxed */
      operands[6] = x4;
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8HFmode)
          || !
#line 7600 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && (false || !rtx_equal_p (operands[2], operands[5]))
   && (false || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9289; /* *cond_fnmsvnx8hf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[5] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 7508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9233; /* *cond_fnmsvnx4sf_2_relaxed */
      if (rtx_equal_p (x5, operands[4])
          && 
#line 7554 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 9261; /* *cond_fnmsvnx4sf_4_relaxed */
      operands[6] = x4;
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4SFmode)
          || !
#line 7600 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && (false || !rtx_equal_p (operands[2], operands[5]))
   && (false || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9293; /* *cond_fnmsvnx4sf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[5] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 7508 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9237; /* *cond_fnmsvnx2df_2_relaxed */
      if (rtx_equal_p (x5, operands[4])
          && 
#line 7554 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 9265; /* *cond_fnmsvnx2df_4_relaxed */
      operands[6] = x4;
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2DFmode)
          || !
#line 7600 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && (false || !rtx_equal_p (operands[2], operands[5]))
   && (false || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9297; /* *cond_fnmsvnx2df_any_relaxed */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[5] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[4])
          && (
#line 7554 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 9253; /* *cond_fnmsvnx8bf_4_relaxed */
      operands[6] = x4;
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8BFmode)
          || !(
#line 7600 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !true)
   && (true || !rtx_equal_p (operands[2], operands[5]))
   && (true || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 9285; /* *cond_fnmsvnx8bf_any_relaxed */

    case 4:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 7532 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9241; /* *cond_fnmsvnx8hf_2_strict */
      if (rtx_equal_p (x5, operands[4])
          && 
#line 7578 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 9273; /* *cond_fnmsvnx8hf_4_strict */
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8HFmode)
          || !
#line 7646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && (false || !rtx_equal_p (operands[2], operands[5]))
   && (false || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9305; /* *cond_fnmsvnx8hf_any_strict */

    case 5:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 7532 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9245; /* *cond_fnmsvnx4sf_2_strict */
      if (rtx_equal_p (x5, operands[4])
          && 
#line 7578 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 9277; /* *cond_fnmsvnx4sf_4_strict */
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4SFmode)
          || !
#line 7646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && (false || !rtx_equal_p (operands[2], operands[5]))
   && (false || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9309; /* *cond_fnmsvnx4sf_any_strict */

    case 6:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 7532 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9249; /* *cond_fnmsvnx2df_2_strict */
      if (rtx_equal_p (x5, operands[4])
          && 
#line 7578 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !false)))
        return 9281; /* *cond_fnmsvnx2df_4_strict */
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2DFmode)
          || !
#line 7646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !false)
   && (false || !rtx_equal_p (operands[2], operands[5]))
   && (false || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9313; /* *cond_fnmsvnx2df_any_strict */

    case 7:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[4])
          && (
#line 7578 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (false || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 9269; /* *cond_fnmsvnx8bf_4_strict */
      operands[5] = x5;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8BFmode)
          || !(
#line 7646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (false || !true)
   && (true || !rtx_equal_p (operands[2], operands[5]))
   && (true || !rtx_equal_p (operands[3], operands[5]))
   && !rtx_equal_p (operands[4], operands[5])) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 9301; /* *cond_fnmsvnx8bf_any_strict */

    default:
      return -1;
    }
}

 int
recog_275 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XVECEXP (x2, 0, 1);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern474 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7445; /* *cond_ashlvnx16qi_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7615; /* *cond_ashlvnx16qi_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7785; /* *cond_ashlvnx16qi_any */

        case E_VNx8QImode:
          if (pattern474 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7462; /* *cond_ashlvnx8qi_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7632; /* *cond_ashlvnx8qi_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7802; /* *cond_ashlvnx8qi_any */

        case E_VNx4QImode:
          if (pattern474 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7479; /* *cond_ashlvnx4qi_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7649; /* *cond_ashlvnx4qi_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7819; /* *cond_ashlvnx4qi_any */

        case E_VNx2QImode:
          if (pattern474 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7496; /* *cond_ashlvnx2qi_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7666; /* *cond_ashlvnx2qi_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7836; /* *cond_ashlvnx2qi_any */

        case E_VNx8HImode:
          if (pattern474 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7513; /* *cond_ashlvnx8hi_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7683; /* *cond_ashlvnx8hi_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7853; /* *cond_ashlvnx8hi_any */

        case E_VNx4HImode:
          if (pattern474 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7530; /* *cond_ashlvnx4hi_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7700; /* *cond_ashlvnx4hi_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7870; /* *cond_ashlvnx4hi_any */

        case E_VNx2HImode:
          if (pattern474 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7547; /* *cond_ashlvnx2hi_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7717; /* *cond_ashlvnx2hi_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7887; /* *cond_ashlvnx2hi_any */

        case E_VNx4SImode:
          if (pattern474 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7564; /* *cond_ashlvnx4si_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7734; /* *cond_ashlvnx4si_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7904; /* *cond_ashlvnx4si_any */

        case E_VNx2SImode:
          if (pattern474 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7581; /* *cond_ashlvnx2si_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7751; /* *cond_ashlvnx2si_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7921; /* *cond_ashlvnx2si_any */

        case E_VNx2DImode:
          if (pattern474 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7598; /* *cond_ashlvnx2di_2 */
          if (rtx_equal_p (x7, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7768; /* *cond_ashlvnx2di_3 */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7938; /* *cond_ashlvnx2di_any */

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern989 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8254; /* *cond_ashlvnx16qi_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8284; /* *cond_ashlvnx16qi_any_const */

        case E_VNx8QImode:
          if (pattern989 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8257; /* *cond_ashlvnx8qi_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8287; /* *cond_ashlvnx8qi_any_const */

        case E_VNx4QImode:
          if (pattern989 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8260; /* *cond_ashlvnx4qi_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8290; /* *cond_ashlvnx4qi_any_const */

        case E_VNx2QImode:
          if (pattern989 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8263; /* *cond_ashlvnx2qi_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8293; /* *cond_ashlvnx2qi_any_const */

        case E_VNx8HImode:
          if (pattern989 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8266; /* *cond_ashlvnx8hi_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8296; /* *cond_ashlvnx8hi_any_const */

        case E_VNx4HImode:
          if (pattern989 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8269; /* *cond_ashlvnx4hi_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8299; /* *cond_ashlvnx4hi_any_const */

        case E_VNx2HImode:
          if (pattern989 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8272; /* *cond_ashlvnx2hi_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8302; /* *cond_ashlvnx2hi_any_const */

        case E_VNx4SImode:
          if (pattern989 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8275; /* *cond_ashlvnx4si_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8305; /* *cond_ashlvnx4si_any_const */

        case E_VNx2SImode:
          if (pattern989 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8278; /* *cond_ashlvnx2si_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8308; /* *cond_ashlvnx2si_any_const */

        case E_VNx2DImode:
          if (pattern989 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          x7 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x7, operands[2])
              && 
#line 4937 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8281; /* *cond_ashlvnx2di_2_const */
          operands[4] = x7;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
              || !
#line 4954 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8311; /* *cond_ashlvnx2di_any_const */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_278 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XVECEXP (x2, 0, 1);
  switch (XVECLEN (x4, 0))
    {
    case 1:
      x5 = XVECEXP (x4, 0, 0);
      operands[2] = x5;
      x6 = XVECEXP (x2, 0, 2);
      operands[3] = x6;
      switch (XINT (x4, 1))
        {
        case 316:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern1047 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 8 >= 16))
                return -1;
              return 6944; /* cond_revbvnx16qi */

            case E_VNx8HImode:
              if (pattern1047 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
                return -1;
              return 6947; /* cond_revbvnx8hi */

            case E_VNx4SImode:
              if (pattern1047 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
                return -1;
              return 6950; /* cond_revbvnx4si */

            case E_VNx2DImode:
              if (pattern1047 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
                return -1;
              return 6953; /* cond_revbvnx2di */

            default:
              return -1;
            }

        case 318:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern1047 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 8 >= 32))
                return -1;
              return 6945; /* cond_revhvnx16qi */

            case E_VNx8HImode:
              if (pattern1047 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
                return -1;
              return 6948; /* cond_revhvnx8hi */

            case E_VNx4SImode:
              if (pattern1047 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
                return -1;
              return 6951; /* cond_revhvnx4si */

            case E_VNx2DImode:
              if (pattern1047 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
                return -1;
              return 6954; /* cond_revhvnx2di */

            default:
              return -1;
            }

        case 319:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern1047 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 8 >= 64))
                return -1;
              return 6946; /* cond_revwvnx16qi */

            case E_VNx8HImode:
              if (pattern1047 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
                return -1;
              return 6949; /* cond_revwvnx8hi */

            case E_VNx4SImode:
              if (pattern1047 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
                return -1;
              return 6952; /* cond_revwvnx4si */

            case E_VNx2DImode:
              if (pattern1047 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                  || !
#line 3313 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
                return -1;
              return 6955; /* cond_revwvnx2di */

            default:
              return -1;
            }

        case 317:
          if (!register_operand (operands[1], E_VNx2BImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern1109 (x2, 
E_VNx16QImode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12746; /* cond_revdvnx16qi */

            case E_VNx8HImode:
              if (pattern1109 (x2, 
E_VNx8HImode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12747; /* cond_revdvnx8hi */

            case E_VNx4SImode:
              if (pattern1109 (x2, 
E_VNx4SImode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12748; /* cond_revdvnx4si */

            case E_VNx2DImode:
              if (pattern1109 (x2, 
E_VNx2DImode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12749; /* cond_revdvnx2di */

            case E_VNx8BFmode:
              if (pattern1109 (x2, 
E_VNx8BFmode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12750; /* cond_revdvnx8bf */

            case E_VNx8HFmode:
              if (pattern1109 (x2, 
E_VNx8HFmode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12751; /* cond_revdvnx8hf */

            case E_VNx4SFmode:
              if (pattern1109 (x2, 
E_VNx4SFmode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12752; /* cond_revdvnx4sf */

            case E_VNx2DFmode:
              if (pattern1109 (x2, 
E_VNx2DFmode) != 0
                  || !
#line 3783 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME))
                return -1;
              return 12753; /* cond_revdvnx2df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 3:
      return recog_269 (x1, insn, pnum_clobbers);

    case 2:
      switch (XINT (x4, 1))
        {
        case 321:
          switch (pattern863 (x2))
            {
            case 0:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8098; /* *cond_smulhvnx16qi_2 */

            case 1:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8100; /* *cond_smulhvnx8hi_2 */

            case 2:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8102; /* *cond_smulhvnx4si_2 */

            case 3:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8104; /* *cond_smulhvnx2di_2 */

            case 4:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8106; /* *cond_smulhvnx16qi_z */

            case 5:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8108; /* *cond_smulhvnx8hi_z */

            case 6:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8110; /* *cond_smulhvnx4si_z */

            case 7:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8112; /* *cond_smulhvnx2di_z */

            default:
              return -1;
            }

        case 322:
          switch (pattern863 (x2))
            {
            case 0:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8099; /* *cond_umulhvnx16qi_2 */

            case 1:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8101; /* *cond_umulhvnx8hi_2 */

            case 2:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8103; /* *cond_umulhvnx4si_2 */

            case 3:
              if (!
#line 4552 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8105; /* *cond_umulhvnx2di_2 */

            case 4:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8107; /* *cond_umulhvnx16qi_z */

            case 5:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8109; /* *cond_umulhvnx8hi_z */

            case 6:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8111; /* *cond_umulhvnx4si_z */

            case 7:
              if (!
#line 4570 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8113; /* *cond_umulhvnx2di_z */

            default:
              return -1;
            }

        case 400:
          switch (pattern866 (x2))
            {
            case 0:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8323; /* *cond_lslvnx16qi_m */

            case 1:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8326; /* *cond_lslvnx8hi_m */

            case 2:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8329; /* *cond_lslvnx4si_m */

            case 3:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8332; /* *cond_lslvnx16qi_z */

            case 4:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8335; /* *cond_lslvnx8hi_z */

            case 5:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8338; /* *cond_lslvnx4si_z */

            default:
              return -1;
            }

        case 401:
          switch (pattern866 (x2))
            {
            case 0:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8324; /* *cond_asrvnx16qi_m */

            case 1:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8327; /* *cond_asrvnx8hi_m */

            case 2:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8330; /* *cond_asrvnx4si_m */

            case 3:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8333; /* *cond_asrvnx16qi_z */

            case 4:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8336; /* *cond_asrvnx8hi_z */

            case 5:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8339; /* *cond_asrvnx4si_z */

            default:
              return -1;
            }

        case 402:
          switch (pattern866 (x2))
            {
            case 0:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8325; /* *cond_lsrvnx16qi_m */

            case 1:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8328; /* *cond_lsrvnx8hi_m */

            case 2:
              if (!
#line 5008 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8331; /* *cond_lsrvnx4si_m */

            case 3:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8334; /* *cond_lsrvnx16qi_z */

            case 4:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8337; /* *cond_lsrvnx8hi_z */

            case 5:
              if (!
#line 5026 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 8340; /* *cond_lsrvnx4si_z */

            default:
              return -1;
            }

        case 125:
          return recog_253 (x1, insn, pnum_clobbers);

        default:
          return -1;
        }

    case 4:
      return recog_268 (x1, insn, pnum_clobbers);

    case 5:
      return recog_267 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_291 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern599 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6702; /* *cond_qabsvnx16qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16QImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6792; /* *cond_qabsvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6711; /* *cond_qabsvnx8qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8QImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6801; /* *cond_qabsvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6720; /* *cond_qabsvnx4qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4QImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6810; /* *cond_qabsvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6729; /* *cond_qabsvnx2qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2QImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6819; /* *cond_qabsvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6738; /* *cond_qabsvnx8hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6828; /* *cond_qabsvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6747; /* *cond_qabsvnx4hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4HImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6837; /* *cond_qabsvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6756; /* *cond_qabsvnx2hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2HImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6846; /* *cond_qabsvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6765; /* *cond_qabsvnx4si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6855; /* *cond_qabsvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6774; /* *cond_qabsvnx2si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2SImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6864; /* *cond_qabsvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && (
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 6783; /* *cond_qabsvnx2di_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DImode)
          || !(
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 2754 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 6873; /* *cond_qabsvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_304 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 2);
  if (!rtx_equal_p (x5, operands[0]))
    return -1;
  x6 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[1] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern790 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6273; /* maskstorevnx16qivnx16bi */

        case E_VNx8QImode:
          if (pattern790 (x3, 
E_VNx8QImode, 
E_VNx8BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6274; /* maskstorevnx8qivnx8bi */

        case E_VNx4QImode:
          if (pattern790 (x3, 
E_VNx4QImode, 
E_VNx4BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6275; /* maskstorevnx4qivnx4bi */

        case E_VNx2QImode:
          if (pattern790 (x3, 
E_VNx2QImode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6276; /* maskstorevnx2qivnx2bi */

        case E_VNx8HImode:
          if (pattern790 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6277; /* maskstorevnx8hivnx8bi */

        case E_VNx4HImode:
          if (pattern790 (x3, 
E_VNx4HImode, 
E_VNx4BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6278; /* maskstorevnx4hivnx4bi */

        case E_VNx2HImode:
          if (pattern790 (x3, 
E_VNx2HImode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6279; /* maskstorevnx2hivnx2bi */

        case E_VNx4SImode:
          if (pattern790 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6280; /* maskstorevnx4sivnx4bi */

        case E_VNx2SImode:
          if (pattern790 (x3, 
E_VNx2SImode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6281; /* maskstorevnx2sivnx2bi */

        case E_VNx2DImode:
          if (pattern790 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6282; /* maskstorevnx2divnx2bi */

        case E_VNx8HFmode:
          if (pattern790 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6283; /* maskstorevnx8hfvnx8bi */

        case E_VNx4HFmode:
          if (pattern790 (x3, 
E_VNx4HFmode, 
E_VNx4BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6284; /* maskstorevnx4hfvnx4bi */

        case E_VNx2HFmode:
          if (pattern790 (x3, 
E_VNx2HFmode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6285; /* maskstorevnx2hfvnx2bi */

        case E_VNx8BFmode:
          if (pattern790 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6286; /* maskstorevnx8bfvnx8bi */

        case E_VNx4BFmode:
          if (pattern790 (x3, 
E_VNx4BFmode, 
E_VNx4BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6287; /* maskstorevnx4bfvnx4bi */

        case E_VNx2BFmode:
          if (pattern790 (x3, 
E_VNx2BFmode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6288; /* maskstorevnx2bfvnx2bi */

        case E_VNx4SFmode:
          if (pattern790 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6289; /* maskstorevnx4sfvnx4bi */

        case E_VNx2SFmode:
          if (pattern790 (x3, 
E_VNx2SFmode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6290; /* maskstorevnx2sfvnx2bi */

        case E_VNx2DFmode:
          if (pattern790 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
              || !
#line 2297 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6291; /* maskstorevnx2dfvnx2bi */

        default:
          return -1;
        }

    case TRUNCATE:
      x7 = XEXP (x6, 0);
      operands[1] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8QImode:
          if (pattern857 (x3, 
E_VNx8QImode, 
E_VNx8HImode, 
E_VNx8BImode) != 0
              || !
#line 2349 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6316; /* aarch64_store_truncvnx8qivnx8hi */

        case E_VNx4QImode:
          if (pattern857 (x3, 
E_VNx4QImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 2362 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6317; /* aarch64_store_truncvnx4qivnx4si */

        case E_VNx4HImode:
          if (pattern857 (x3, 
E_VNx4HImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
              || !
#line 2362 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6318; /* aarch64_store_truncvnx4hivnx4si */

        case E_VNx2QImode:
          if (pattern857 (x3, 
E_VNx2QImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 2375 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6319; /* aarch64_store_truncvnx2qivnx2di */

        case E_VNx2HImode:
          if (pattern857 (x3, 
E_VNx2HImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 2375 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6320; /* aarch64_store_truncvnx2hivnx2di */

        case E_VNx2SImode:
          if (pattern857 (x3, 
E_VNx2SImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
              || !
#line 2375 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 6321; /* aarch64_store_truncvnx2sivnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_311 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern146 (x1))
    {
    case 0:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3505; /* aarch64_sqrdmlshv4hi */

    case 1:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3509; /* aarch64_sqrdmlshv8hi */

    case 2:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3513; /* aarch64_sqrdmlshv2si */

    case 3:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3517; /* aarch64_sqrdmlshv4si */

    case 4:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3519; /* aarch64_sqrdmlshhi */

    case 5:
      if (!
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3521; /* aarch64_sqrdmlshsi */

    case 6:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11802; /* aarch64_sve_sqrdmlshvnx16qi */

    case 7:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11810; /* aarch64_sve_sqrdmlshvnx8hi */

    case 8:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11818; /* aarch64_sve_sqrdmlshvnx4si */

    case 9:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11826; /* aarch64_sve_sqrdmlshvnx2di */

    case 10:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3525; /* aarch64_sqrdmlsh_lanev4hi */

    case 11:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3545; /* aarch64_sqrdmlsh_laneqv4hi */

    case 12:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3529; /* aarch64_sqrdmlsh_lanev8hi */

    case 13:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3549; /* aarch64_sqrdmlsh_laneqv8hi */

    case 14:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3533; /* aarch64_sqrdmlsh_lanev2si */

    case 15:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3553; /* aarch64_sqrdmlsh_laneqv2si */

    case 16:
      if (!
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3537; /* aarch64_sqrdmlsh_lanev4si */

    case 17:
      if (!
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3557; /* aarch64_sqrdmlsh_laneqv4si */

    case 18:
      if (!
#line 5677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3539; /* aarch64_sqrdmlsh_lanehi */

    case 19:
      if (!
#line 5715 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3559; /* aarch64_sqrdmlsh_laneqhi */

    case 20:
      if (!
#line 5677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3541; /* aarch64_sqrdmlsh_lanesi */

    case 21:
      if (!
#line 5715 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA))
        return -1;
      return 3561; /* aarch64_sqrdmlsh_laneqsi */

    case 22:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11828; /* aarch64_sve_sqrdmlsh_lane_vnx8hi */

    case 23:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11830; /* aarch64_sve_sqrdmlsh_lane_vnx4si */

    case 24:
      if (!
#line 1468 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11832; /* aarch64_sve_sqrdmlsh_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_319 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern167 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9938; /* while_ltsivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9948; /* while_ltdivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9958; /* while_ltsivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9968; /* while_ltdivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9978; /* while_ltsivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9988; /* while_ltdivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9998; /* while_ltsivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10008; /* while_ltdivnx2bi */

    default:
      return -1;
    }
}

 int
recog_327 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern192 (x3, 
E_VNx16QImode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12779; /* aarch64_sve_tbxqvnx16qi */

    case E_VNx8HImode:
      if (pattern192 (x3, 
E_VNx8HImode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12781; /* aarch64_sve_tbxqvnx8hi */

    case E_VNx4SImode:
      if (pattern192 (x3, 
E_VNx4SImode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12783; /* aarch64_sve_tbxqvnx4si */

    case E_VNx2DImode:
      if (pattern192 (x3, 
E_VNx2DImode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12785; /* aarch64_sve_tbxqvnx2di */

    case E_VNx8BFmode:
      if (pattern785 (x3, 
E_VNx8HImode, 
E_VNx8BFmode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12787; /* aarch64_sve_tbxqvnx8bf */

    case E_VNx8HFmode:
      if (pattern785 (x3, 
E_VNx8HImode, 
E_VNx8HFmode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12789; /* aarch64_sve_tbxqvnx8hf */

    case E_VNx4SFmode:
      if (pattern785 (x3, 
E_VNx4SImode, 
E_VNx4SFmode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12791; /* aarch64_sve_tbxqvnx4sf */

    case E_VNx2DFmode:
      if (pattern785 (x3, 
E_VNx2DImode, 
E_VNx2DFmode) != 0
          || !(
#line 3857 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 12793; /* aarch64_sve_tbxqvnx2df */

    default:
      return -1;
    }
}

 int
recog_336 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern789 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6071; /* aarch64_ldnt1vnx16qi */

    case E_VNx8HImode:
      if (pattern789 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6072; /* aarch64_ldnt1vnx8hi */

    case E_VNx4SImode:
      if (pattern789 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6073; /* aarch64_ldnt1vnx4si */

    case E_VNx2DImode:
      if (pattern789 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6074; /* aarch64_ldnt1vnx2di */

    case E_VNx8BFmode:
      if (pattern789 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6075; /* aarch64_ldnt1vnx8bf */

    case E_VNx8HFmode:
      if (pattern789 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6076; /* aarch64_ldnt1vnx8hf */

    case E_VNx4SFmode:
      if (pattern789 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6077; /* aarch64_ldnt1vnx4sf */

    case E_VNx2DFmode:
      if (pattern789 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 1463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6078; /* aarch64_ldnt1vnx2df */

    default:
      return -1;
    }
}

 int
recog_344 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern173 (x1))
    {
    case 0:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
        return -1;
      return 10767; /* aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi */

    case 1:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
        return -1;
      return 10769; /* aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx8hi */

    case 2:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
        return -1;
      return 10771; /* aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx8hi */

    case 3:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
        return -1;
      return 10773; /* aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si */

    case 4:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
        return -1;
      return 10775; /* aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si */

    case 5:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
        return -1;
      return 10777; /* aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx4si */

    case 6:
      if (!
#line 9420 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10785; /* aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si */

    case 7:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
        return -1;
      return 10779; /* aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di */

    case 8:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
        return -1;
      return 10781; /* aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di */

    case 9:
      if (!
#line 9405 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
        return -1;
      return 10783; /* aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di */

    default:
      return -1;
    }
}

 int
recog_355 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!const_int_operand (operands[3], E_DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern75 (x3, 
E_VNx8HFmode) != 0
          || !
#line 7935 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9391; /* aarch64_sve_tmadvnx8hf */

    case E_VNx4SFmode:
      if (pattern75 (x3, 
E_VNx4SFmode) != 0
          || !
#line 7935 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9392; /* aarch64_sve_tmadvnx4sf */

    case E_VNx2DFmode:
      if (pattern75 (x3, 
E_VNx2DFmode) != 0
          || !
#line 7935 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9393; /* aarch64_sve_tmadvnx2df */

    default:
      return -1;
    }
}

 int
recog_363 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern194 (x1))
    {
    case 0:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12485; /* aarch64_sve_cmlavnx16qi */

    case 1:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12493; /* aarch64_sve_cmlavnx8hi */

    case 2:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12501; /* aarch64_sve_cmlavnx4si */

    case 3:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12509; /* aarch64_sve_cmlavnx2di */

    case 4:
      if (!
#line 3033 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12517; /* aarch64_cmla_lane_vnx8hi */

    case 5:
      if (!
#line 3033 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12525; /* aarch64_cmla_lane_vnx4si */

    default:
      return -1;
    }
}

 int
recog_372 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern196 (x1))
    {
    case 0:
      if (!
#line 3096 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12533; /* aarch64_sve_cdotvnx4si */

    case 1:
      if (!
#line 3096 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12537; /* aarch64_sve_cdotvnx2di */

    case 2:
      if (!
#line 3113 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12541; /* aarch64_cdot_lane_vnx4si */

    case 3:
      if (!
#line 3113 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12545; /* aarch64_cdot_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_380 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern184 (x1))
    {
    case 0:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11798; /* aarch64_sve_eortbvnx16qi */

    case 1:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11806; /* aarch64_sve_eortbvnx8hi */

    case 2:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11814; /* aarch64_sve_eortbvnx4si */

    case 3:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11822; /* aarch64_sve_eortbvnx2di */

    default:
      return -1;
    }
}

 int
recog_388 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern178 (x1, pnum_clobbers))
    {
    case 0:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 8 >= 8))
        return -1;
      *pnum_clobbers = 1;
      return 10925; /* aarch64_sve_pfirstvnx16bi */

    case 1:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 8 >= 16))
        return -1;
      *pnum_clobbers = 1;
      return 10927; /* aarch64_sve_pfirstvnx8bi */

    case 2:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 8 >= 32))
        return -1;
      *pnum_clobbers = 1;
      return 10929; /* aarch64_sve_pfirstvnx4bi */

    case 3:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 8 >= 64))
        return -1;
      *pnum_clobbers = 1;
      return 10931; /* aarch64_sve_pfirstvnx2bi */

    default:
      return -1;
    }
}

 int
recog_396 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 3);
  if (XVECLEN (x3, 0) != 3)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  switch (XINT (x3, 1))
    {
    case 126:
      x5 = XVECEXP (x2, 0, 1);
      operands[4] = x5;
      x6 = XVECEXP (x2, 0, 2);
      operands[5] = x6;
      x7 = XVECEXP (x3, 0, 0);
      operands[6] = x7;
      x8 = XVECEXP (x3, 0, 1);
      operands[7] = x8;
      if (!aarch64_sve_ptrue_flag (operands[7], E_SImode))
        return -1;
      x9 = XVECEXP (x3, 0, 2);
      switch (GET_CODE (x9))
        {
        case LT:
          switch (pattern1307 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9645; /* *cmpltvnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9655; /* *cmpltvnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9685; /* *cmpltvnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9665; /* *cmpltvnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9695; /* *cmpltvnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9715; /* *cmpltvnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9675; /* *cmpltvnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9705; /* *cmpltvnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9725; /* *cmpltvnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9735; /* *cmpltvnx2di_ptest */

            default:
              return -1;
            }

        case LE:
          switch (pattern1307 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9646; /* *cmplevnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9656; /* *cmplevnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9686; /* *cmplevnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9666; /* *cmplevnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9696; /* *cmplevnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9716; /* *cmplevnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9676; /* *cmplevnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9706; /* *cmplevnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9726; /* *cmplevnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9736; /* *cmplevnx2di_ptest */

            default:
              return -1;
            }

        case EQ:
          switch (pattern1307 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9647; /* *cmpeqvnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9657; /* *cmpeqvnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9687; /* *cmpeqvnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9667; /* *cmpeqvnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9697; /* *cmpeqvnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9717; /* *cmpeqvnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9677; /* *cmpeqvnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9707; /* *cmpeqvnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9727; /* *cmpeqvnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9737; /* *cmpeqvnx2di_ptest */

            default:
              return -1;
            }

        case NE:
          switch (pattern1307 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9648; /* *cmpnevnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9658; /* *cmpnevnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9688; /* *cmpnevnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9668; /* *cmpnevnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9698; /* *cmpnevnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9718; /* *cmpnevnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9678; /* *cmpnevnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9708; /* *cmpnevnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9728; /* *cmpnevnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9738; /* *cmpnevnx2di_ptest */

            default:
              return -1;
            }

        case GE:
          switch (pattern1307 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9649; /* *cmpgevnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9659; /* *cmpgevnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9689; /* *cmpgevnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9669; /* *cmpgevnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9699; /* *cmpgevnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9719; /* *cmpgevnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9679; /* *cmpgevnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9709; /* *cmpgevnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9729; /* *cmpgevnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9739; /* *cmpgevnx2di_ptest */

            default:
              return -1;
            }

        case GT:
          switch (pattern1307 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9650; /* *cmpgtvnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9660; /* *cmpgtvnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9690; /* *cmpgtvnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9670; /* *cmpgtvnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9700; /* *cmpgtvnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9720; /* *cmpgtvnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9680; /* *cmpgtvnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9710; /* *cmpgtvnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9730; /* *cmpgtvnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9740; /* *cmpgtvnx2di_ptest */

            default:
              return -1;
            }

        case LTU:
          switch (pattern1308 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9651; /* *cmplovnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9661; /* *cmplovnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9691; /* *cmplovnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9671; /* *cmplovnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9701; /* *cmplovnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9721; /* *cmplovnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9681; /* *cmplovnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9711; /* *cmplovnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9731; /* *cmplovnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9741; /* *cmplovnx2di_ptest */

            default:
              return -1;
            }

        case LEU:
          switch (pattern1308 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9652; /* *cmplsvnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9662; /* *cmplsvnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9692; /* *cmplsvnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9672; /* *cmplsvnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9702; /* *cmplsvnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9722; /* *cmplsvnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9682; /* *cmplsvnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9712; /* *cmplsvnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9732; /* *cmplsvnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9742; /* *cmplsvnx2di_ptest */

            default:
              return -1;
            }

        case GEU:
          switch (pattern1308 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9653; /* *cmphsvnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9663; /* *cmphsvnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9693; /* *cmphsvnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9673; /* *cmphsvnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9703; /* *cmphsvnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9723; /* *cmphsvnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9683; /* *cmphsvnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9713; /* *cmphsvnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9733; /* *cmphsvnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9743; /* *cmphsvnx2di_ptest */

            default:
              return -1;
            }

        case GTU:
          switch (pattern1308 (x3))
            {
            case 0:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9654; /* *cmphivnx16qi_ptest */

            case 1:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9664; /* *cmphivnx8qi_ptest */

            case 2:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9694; /* *cmphivnx8hi_ptest */

            case 3:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9674; /* *cmphivnx4qi_ptest */

            case 4:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9704; /* *cmphivnx4hi_ptest */

            case 5:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9724; /* *cmphivnx4si_ptest */

            case 6:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9684; /* *cmphivnx2qi_ptest */

            case 7:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9714; /* *cmphivnx2hi_ptest */

            case 8:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9734; /* *cmphivnx2si_ptest */

            case 9:
              if (!
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                return -1;
              *pnum_clobbers = 1;
              return 9744; /* *cmphivnx2di_ptest */

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x9, 0) != 2)
            return -1;
          x10 = XVECEXP (x9, 0, 0);
          operands[2] = x10;
          x11 = XVECEXP (x9, 0, 1);
          operands[3] = x11;
          switch (XINT (x9, 1))
            {
            case 341:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9905; /* *aarch64_pred_cmpeqvnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9915; /* *aarch64_pred_cmpeqvnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9925; /* *aarch64_pred_cmpeqvnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 342:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9906; /* *aarch64_pred_cmpgevnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9916; /* *aarch64_pred_cmpgevnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9926; /* *aarch64_pred_cmpgevnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 343:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9907; /* *aarch64_pred_cmpgtvnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9917; /* *aarch64_pred_cmpgtvnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9927; /* *aarch64_pred_cmpgtvnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 344:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9908; /* *aarch64_pred_cmphivnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9918; /* *aarch64_pred_cmphivnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9928; /* *aarch64_pred_cmphivnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 345:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9909; /* *aarch64_pred_cmphsvnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9919; /* *aarch64_pred_cmphsvnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9929; /* *aarch64_pred_cmphsvnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 346:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9910; /* *aarch64_pred_cmplevnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9920; /* *aarch64_pred_cmplevnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9930; /* *aarch64_pred_cmplevnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 347:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9911; /* *aarch64_pred_cmplovnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9921; /* *aarch64_pred_cmplovnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9931; /* *aarch64_pred_cmplovnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 348:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9912; /* *aarch64_pred_cmplsvnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9922; /* *aarch64_pred_cmplsvnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9932; /* *aarch64_pred_cmplsvnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 349:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9913; /* *aarch64_pred_cmpltvnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9923; /* *aarch64_pred_cmpltvnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9933; /* *aarch64_pred_cmpltvnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 350:
              switch (pattern1339 (x3))
                {
                case 0:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9914; /* *aarch64_pred_cmpnevnx16qi_wide_ptest */

                case 1:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9924; /* *aarch64_pred_cmpnevnx8hi_wide_ptest */

                case 2:
                  if (!
#line 8374 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 9934; /* *aarch64_pred_cmpnevnx4si_wide_ptest */

                default:
                  return -1;
                }

            case 473:
              switch (pattern1340 (x3))
                {
                case 0:
                  if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 12881; /* *aarch64_pred_matchvnx16qi_ptest */

                case 1:
                  if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 12883; /* *aarch64_pred_matchvnx8hi_ptest */

                default:
                  return -1;
                }

            case 474:
              switch (pattern1340 (x3))
                {
                case 0:
                  if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 12882; /* *aarch64_pred_nmatchvnx16qi_ptest */

                case 1:
                  if (!
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
                    return -1;
                  *pnum_clobbers = 1;
                  return 12884; /* *aarch64_pred_nmatchvnx8hi_ptest */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 300:
      if (pattern1193 (x2) != 0
          || !
#line 10116 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10914; /* *aarch64_brka_ptest */

    case 301:
      if (pattern1193 (x2) != 0
          || !
#line 10116 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10915; /* *aarch64_brkb_ptest */

    case 303:
      if (pattern1194 (x2) != 0
          || !
#line 10247 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10923; /* *aarch64_brkpa_ptest */

    case 304:
      if (pattern1194 (x2) != 0
          || !
#line 10247 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10924; /* *aarch64_brkpb_ptest */

    case 305:
      switch (pattern1195 (x2))
        {
        case 0:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 8
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10941; /* *aarch64_sve_pfirstvnx16bi_ptest */

        case 1:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 16
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10943; /* *aarch64_sve_pfirstvnx8bi_ptest */

        case 2:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 32
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10945; /* *aarch64_sve_pfirstvnx4bi_ptest */

        case 3:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 64
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10947; /* *aarch64_sve_pfirstvnx2bi_ptest */

        default:
          return -1;
        }

    case 306:
      switch (pattern1195 (x2))
        {
        case 0:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 8
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10942; /* *aarch64_sve_pnextvnx16bi_ptest */

        case 1:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 16
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10944; /* *aarch64_sve_pnextvnx8bi_ptest */

        case 2:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 32
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10946; /* *aarch64_sve_pnextvnx4bi_ptest */

        case 3:
          if (!
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 64
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])))
            return -1;
          *pnum_clobbers = 1;
          return 10948; /* *aarch64_sve_pnextvnx2bi_ptest */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_455 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case CONST_INT:
    case CONST_DOUBLE:
    case REG:
    case SUBREG:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || GET_MODE (x4) != E_SImode)
        return -1;
      x6 = XEXP (x4, 1);
      switch (GET_CODE (x6))
        {
        case REG:
        case SUBREG:
          operands[2] = x6;
          if (!register_operand (operands[2], E_SImode))
            return -1;
          operands[1] = x5;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          return 266; /* *subsi3_uxtw */

        case ASHIFT:
          if (GET_MODE (x6) != E_SImode
              || !register_operand (x5, E_SImode))
            return -1;
          x7 = XEXP (x6, 0);
          switch (GET_CODE (x7))
            {
            case REG:
            case SUBREG:
              operands[1] = x7;
              if (!register_operand (operands[1], E_SImode))
                return -1;
              operands[3] = x5;
              x8 = XEXP (x6, 1);
              operands[2] = x8;
              if (!aarch64_shift_imm_si (operands[2], E_QImode))
                return -1;
              return 293; /* *sub_lsl_si_uxtw */

            case SIGN_EXTEND:
              switch (pattern992 (x4))
                {
                case 0:
                  return 324; /* *sub_extendqi_shft_si_uxtw */

                case 1:
                  return 326; /* *sub_extendhi_shft_si_uxtw */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              switch (pattern992 (x4))
                {
                case 0:
                  return 325; /* *sub_zero_extendqi_shft_si_uxtw */

                case 1:
                  return 327; /* *sub_zero_extendhi_shft_si_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case ASHIFTRT:
          if (pattern795 (x4) != 0)
            return -1;
          return 294; /* *sub_asr_si_uxtw */

        case LSHIFTRT:
          if (pattern795 (x4) != 0)
            return -1;
          return 295; /* *sub_lsr_si_uxtw */

        case SIGN_EXTEND:
          switch (pattern796 (x4))
            {
            case 0:
              return 308; /* *sub_extendqi_si_uxtw */

            case 1:
              return 310; /* *sub_extendhi_si_uxtw */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern796 (x4))
            {
            case 0:
              return 309; /* *sub_zero_extendqi_si_uxtw */

            case 1:
              return 311; /* *sub_zero_extendhi_si_uxtw */

            default:
              return -1;
            }

        case GEU:
        case LTU:
          operands[2] = x6;
          if (!aarch64_borrow_operation (operands[2], E_SImode))
            return -1;
          operands[1] = x5;
          if (!aarch64_reg_or_zero (operands[1], E_SImode))
            return -1;
          return 330; /* *subsi3_carryin_uxtw */

        case AND:
          if (GET_MODE (x6) != E_SImode)
            return -1;
          x7 = XEXP (x6, 0);
          if (GET_CODE (x7) != ASHIFT
              || GET_MODE (x7) != E_SImode)
            return -1;
          operands[4] = x5;
          if (!register_operand (operands[4], E_SImode))
            return -1;
          x9 = XEXP (x7, 0);
          operands[1] = x9;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x10 = XEXP (x7, 1);
          operands[2] = x10;
          if (!aarch64_imm3 (operands[2], E_VOIDmode))
            return -1;
          x8 = XEXP (x6, 1);
          operands[3] = x8;
          if (!const_int_operand (operands[3], E_VOIDmode)
              || !
#line 3976 "../../gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (INTVAL (operands[2]),INTVAL (operands[3])) != 0))
            return -1;
          return 349; /* *sub_uxtsi_shift2_uxtw */

        case MULT:
          if (GET_MODE (x6) != E_SImode)
            return -1;
          operands[3] = x5;
          if (!register_operand (operands[3], E_SImode))
            return -1;
          x7 = XEXP (x6, 0);
          operands[1] = x7;
          if (!register_operand (operands[1], E_SImode))
            return -1;
          x8 = XEXP (x6, 1);
          operands[2] = x8;
          if (!register_operand (operands[2], E_SImode))
            return -1;
          return 385; /* *msubsi_uxtw */

        default:
          return -1;
        }

    case MINUS:
      if (pattern374 (x3) != 0)
        return -1;
      x11 = XEXP (x5, 0);
      operands[1] = x11;
      if (!aarch64_reg_or_zero (operands[1], E_SImode))
        return -1;
      x12 = XEXP (x5, 1);
      switch (GET_CODE (x12))
        {
        case REG:
        case SUBREG:
          operands[2] = x12;
          if (!register_operand (operands[2], E_SImode))
            return -1;
          x6 = XEXP (x4, 1);
          operands[3] = x6;
          if (!aarch64_borrow_operation (operands[3], E_SImode))
            return -1;
          return 333; /* *subsi3_carryin_uxtw */

        case GEU:
        case LTU:
          operands[3] = x12;
          if (!aarch64_borrow_operation (operands[3], E_SImode))
            return -1;
          x6 = XEXP (x4, 1);
          operands[2] = x6;
          if (!register_operand (operands[2], E_SImode))
            return -1;
          return 336; /* *subsi3_carryin_alt_uxtw */

        default:
          return -1;
        }

    case NEG:
      if (pattern374 (x3) != 0)
        return -1;
      x11 = XEXP (x5, 0);
      operands[2] = x11;
      if (!aarch64_borrow_operation (operands[2], E_SImode))
        return -1;
      x6 = XEXP (x4, 1);
      operands[1] = x6;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      return 357; /* *ngcsi_uxtw */

    case SMAX:
      switch (pattern377 (x3, 
SMIN))
        {
        case 0:
          if (!
#line 849 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1651; /* aarch64_sabdlv8qi */

        case 1:
          if (!
#line 849 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1653; /* aarch64_sabdlv4hi */

        case 2:
          if (!
#line 849 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1655; /* aarch64_sabdlv2si */

        case 3:
          if (!
#line 873 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1657; /* aarch64_sabdl2v16qi_insn */

        case 4:
          if (!
#line 873 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1659; /* aarch64_sabdl2v8hi_insn */

        case 5:
          if (!
#line 873 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1661; /* aarch64_sabdl2v4si_insn */

        default:
          return -1;
        }

    case UMAX:
      switch (pattern377 (x3, 
UMIN))
        {
        case 0:
          if (!
#line 849 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1652; /* aarch64_uabdlv8qi */

        case 1:
          if (!
#line 849 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1654; /* aarch64_uabdlv4hi */

        case 2:
          if (!
#line 849 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1656; /* aarch64_uabdlv2si */

        case 3:
          if (!
#line 873 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1658; /* aarch64_uabdl2v16qi_insn */

        case 4:
          if (!
#line 873 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1660; /* aarch64_uabdl2v8hi_insn */

        case 5:
          if (!
#line 873 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1662; /* aarch64_uabdl2v4si_insn */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_458 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x2) != E_DImode)
    return -1;
  x5 = XEXP (x3, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[1] = x5;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      if (!aarch64_pluslong_operand (operands[2], E_SImode))
        return -1;
      return 122; /* *addsi3_aarch64_uxtw */

    case ASHIFT:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      x6 = XEXP (x3, 1);
      operands[3] = x6;
      if (!register_operand (operands[3], E_SImode))
        return -1;
      x8 = XEXP (x5, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[1] = x8;
          if (!register_operand (operands[1], E_SImode)
              || !aarch64_shift_imm_si (operands[2], E_QImode))
            return -1;
          return 212; /* *add_lsl_si_uxtw */

        case SIGN_EXTEND:
          switch (pattern1057 (x8))
            {
            case 0:
              return 247; /* *add_extendqi_shft_si_uxtw */

            case 1:
              return 249; /* *add_extendhi_shft_si_uxtw */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern1057 (x8))
            {
            case 0:
              return 248; /* *add_zero_extendqi_shft_si_uxtw */

            case 1:
              return 250; /* *add_zero_extendhi_shft_si_uxtw */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case ASHIFTRT:
      if (pattern725 (x3) != 0)
        return -1;
      return 213; /* *add_asr_si_uxtw */

    case LSHIFTRT:
      if (pattern725 (x3) != 0)
        return -1;
      return 214; /* *add_lsr_si_uxtw */

    case SIGN_EXTEND:
      switch (pattern727 (x3))
        {
        case 0:
          return 227; /* *add_extendqi_si_uxtw */

        case 1:
          return 229; /* *add_extendqi_si_uxtw */

        case 2:
          return 231; /* *add_extendhi_si_uxtw */

        case 3:
          return 233; /* *add_extendhi_si_uxtw */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      switch (pattern727 (x3))
        {
        case 0:
          return 228; /* *add_zero_extendqi_si_uxtw */

        case 1:
          return 230; /* *add_zero_extendqi_si_uxtw */

        case 2:
          return 232; /* *add_zero_extendhi_si_uxtw */

        case 3:
          return 234; /* *add_zero_extendhi_si_uxtw */

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x8 = XEXP (x5, 0);
      operands[3] = x8;
      if (!aarch64_carry_operation (operands[3], E_SImode))
        return -1;
      x7 = XEXP (x5, 1);
      operands[1] = x7;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      return 253; /* *addsi3_carryin_uxtw */

    case AND:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x8 = XEXP (x5, 0);
      if (GET_CODE (x8) != ASHIFT
          || GET_MODE (x8) != E_SImode)
        return -1;
      x9 = XEXP (x8, 0);
      operands[1] = x9;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x10 = XEXP (x8, 1);
      operands[2] = x10;
      if (!aarch64_imm3 (operands[2], E_VOIDmode))
        return -1;
      x7 = XEXP (x5, 1);
      operands[3] = x7;
      if (!const_int_operand (operands[3], E_VOIDmode))
        return -1;
      x6 = XEXP (x3, 1);
      operands[4] = x6;
      if (!register_operand (operands[4], E_SImode)
          || !
#line 3270 "../../gcc/config/aarch64/aarch64.md"
(aarch64_uxt_size (INTVAL (operands[2]), INTVAL (operands[3])) != 0))
        return -1;
      return 264; /* *add_uxtsi_shift2_uxtw */

    case MULT:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x8 = XEXP (x5, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x6 = XEXP (x3, 1);
      operands[3] = x6;
      if (!register_operand (operands[3], E_SImode))
        return -1;
      return 382; /* *maddsi_uxtw */

    default:
      return -1;
    }
}

 int
recog_462 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (XVECLEN (x3, 0))
    {
    case 2:
      return recog_459 (x1, insn, pnum_clobbers);

    case 3:
      x4 = XEXP (x2, 1);
      operands[1] = x4;
      switch (XINT (x3, 1))
        {
        case 407:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1440; /* aarch64_fcmla_lane0v4hf */

            case 1:
              if (!
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1476; /* aarch64_fcmla_laneq0v4hf */

            case 2:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1452; /* aarch64_fcmla_lane0v8hf */

            case 3:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1488; /* aarch64_fcmlaq_lane0v8hf */

            case 4:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1456; /* aarch64_fcmla_lane0v2sf */

            case 5:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1468; /* aarch64_fcmla_lane0v4sf */

            case 6:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1492; /* aarch64_fcmlaq_lane0v4sf */

            case 7:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1472; /* aarch64_fcmla_lane0v2df */

            default:
              return -1;
            }

        case 408:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1443; /* aarch64_fcmla_lane90v4hf */

            case 1:
              if (!
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1479; /* aarch64_fcmla_laneq90v4hf */

            case 2:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1453; /* aarch64_fcmla_lane90v8hf */

            case 3:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1489; /* aarch64_fcmlaq_lane90v8hf */

            case 4:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1459; /* aarch64_fcmla_lane90v2sf */

            case 5:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1469; /* aarch64_fcmla_lane90v4sf */

            case 6:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1493; /* aarch64_fcmlaq_lane90v4sf */

            case 7:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1473; /* aarch64_fcmla_lane90v2df */

            default:
              return -1;
            }

        case 409:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1446; /* aarch64_fcmla_lane180v4hf */

            case 1:
              if (!
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1482; /* aarch64_fcmla_laneq180v4hf */

            case 2:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1454; /* aarch64_fcmla_lane180v8hf */

            case 3:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1490; /* aarch64_fcmlaq_lane180v8hf */

            case 4:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1462; /* aarch64_fcmla_lane180v2sf */

            case 5:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1470; /* aarch64_fcmla_lane180v4sf */

            case 6:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1494; /* aarch64_fcmlaq_lane180v4sf */

            case 7:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1474; /* aarch64_fcmla_lane180v2df */

            default:
              return -1;
            }

        case 410:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1449; /* aarch64_fcmla_lane270v4hf */

            case 1:
              if (!
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1485; /* aarch64_fcmla_laneq270v4hf */

            case 2:
              if (!(
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1455; /* aarch64_fcmla_lane270v8hf */

            case 3:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1491; /* aarch64_fcmlaq_lane270v8hf */

            case 4:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1465; /* aarch64_fcmla_lane270v2sf */

            case 5:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1471; /* aarch64_fcmla_lane270v4sf */

            case 6:
              if (!
#line 501 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1495; /* aarch64_fcmlaq_lane270v4sf */

            case 7:
              if (!
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1475; /* aarch64_fcmla_lane270v2df */

            default:
              return -1;
            }

        case 279:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1508; /* aarch64_sdot_lanev8qi */

            case 1:
              if (!
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1516; /* aarch64_sdot_laneqv8qi */

            case 2:
              if (!
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1514; /* aarch64_sdot_lanev16qi */

            case 3:
              if (!
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1522; /* aarch64_sdot_laneqv16qi */

            default:
              return -1;
            }

        case 280:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1511; /* aarch64_udot_lanev8qi */

            case 1:
              if (!
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1519; /* aarch64_udot_laneqv8qi */

            case 2:
              if (!
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1515; /* aarch64_udot_lanev16qi */

            case 3:
              if (!
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1523; /* aarch64_udot_laneqv16qi */

            default:
              return -1;
            }

        case 573:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1524; /* aarch64_usdot_lanev8qi */

            case 1:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1532; /* aarch64_usdot_laneqv8qi */

            case 2:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1530; /* aarch64_usdot_lanev16qi */

            case 3:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1538; /* aarch64_usdot_laneqv16qi */

            default:
              return -1;
            }

        case 578:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1527; /* aarch64_sudot_lanev8qi */

            case 1:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1535; /* aarch64_sudot_laneqv8qi */

            case 2:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1531; /* aarch64_sudot_lanev16qi */

            case 3:
              if (!
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1539; /* aarch64_sudot_laneqv16qi */

            default:
              return -1;
            }

        case 579:
          x5 = XVECEXP (x3, 0, 0);
          operands[2] = x5;
          x6 = XVECEXP (x3, 0, 1);
          operands[3] = x6;
          x7 = XVECEXP (x3, 0, 2);
          operands[4] = x7;
          if (!const_int_operand (operands[4], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V2SFmode:
              switch (pattern995 (x2, 
E_V2SFmode, 
E_V4BFmode))
                {
                case 0:
                  if (!
#line 9910 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5245; /* aarch64_bfdot_lanev2sf */

                case 1:
                  if (!
#line 9910 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5247; /* aarch64_bfdot_laneqv2sf */

                default:
                  return -1;
                }

            case E_V4SFmode:
              switch (pattern995 (x2, 
E_V4SFmode, 
E_V8BFmode))
                {
                case 0:
                  if (!
#line 9910 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5246; /* aarch64_bfdot_lanev4sf */

                case 1:
                  if (!
#line 9910 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5248; /* aarch64_bfdot_laneqv4sf */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 169:
          if (GET_MODE (x3) != E_SImode
              || !register_operand (operands[0], E_SImode)
              || GET_MODE (x2) != E_SImode)
            return -1;
          x5 = XVECEXP (x3, 0, 0);
          operands[2] = x5;
          if (!const_int_operand (operands[2], E_DImode))
            return -1;
          x6 = XVECEXP (x3, 0, 1);
          operands[3] = x6;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x7 = XVECEXP (x3, 0, 2);
          operands[4] = x7;
          if (!const_int_operand (operands[4], E_DImode)
              || !register_operand (operands[1], E_SImode)
              || !
#line 10398 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10953; /* *aarch64_sve_incsi_pat */

        case 307:
          switch (pattern627 (x2))
            {
            case 0:
              if (!
#line 10735 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10996; /* *aarch64_incsivnx16bi_cntp */

            case 1:
              if (!
#line 10735 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10997; /* *aarch64_incsivnx8bi_cntp */

            case 2:
              if (!
#line 10735 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10998; /* *aarch64_incsivnx4bi_cntp */

            case 3:
              if (!
#line 10735 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10999; /* *aarch64_incsivnx2bi_cntp */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_468 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x3, 1);
  if (x4 == const_int_rtx[MAX_SAVED_CONST_INT + 0])
    {
      x5 = XEXP (x3, 0);
      operands[2] = x5;
      if (cc_register (operands[2], E_VOIDmode))
        {
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (register_operand (operands[0], E_QImode)
                  && GET_MODE (x2) == E_QImode
                  && aarch64_comparison_operator_mode (operands[1], E_QImode))
                return 450; /* cstoreqi_neg */
              break;

            case E_HImode:
              if (register_operand (operands[0], E_HImode)
                  && GET_MODE (x2) == E_HImode
                  && aarch64_comparison_operator_mode (operands[1], E_HImode))
                return 451; /* cstorehi_neg */
              break;

            case E_SImode:
              if (register_operand (operands[0], E_SImode)
                  && GET_MODE (x2) == E_SImode
                  && aarch64_comparison_operator_mode (operands[1], E_SImode))
                return 452; /* cstoresi_neg */
              break;

            case E_DImode:
              if (register_operand (operands[0], E_DImode)
                  && GET_MODE (x2) == E_DImode
                  && aarch64_comparison_operator_mode (operands[1], E_DImode))
                return 453; /* cstoredi_neg */
              break;

            default:
              break;
            }
        }
    }
  switch (GET_CODE (x3))
    {
    case LT:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4062; /* aarch64_cmltv8qi */

        case 1:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4077; /* aarch64_cmltv16qi */

        case 2:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4082; /* aarch64_cmltv4hi */

        case 3:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4227; /* aarch64_cmltv4hf */

        case 4:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4097; /* aarch64_cmltv8hi */

        case 5:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4242; /* aarch64_cmltv8hf */

        case 6:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4102; /* aarch64_cmltv2si */

        case 7:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4247; /* aarch64_cmltv2sf */

        case 8:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4117; /* aarch64_cmltv4si */

        case 9:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4262; /* aarch64_cmltv4sf */

        case 10:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4122; /* aarch64_cmltv2di */

        case 11:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4267; /* aarch64_cmltv2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4127; /* aarch64_cmltdi */
            }
          if (!
#line 7245 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4132; /* *aarch64_cmltdi */

        case 13:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4282; /* aarch64_cmltdf */

        case 14:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4272; /* aarch64_cmlthf */

        case 15:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4277; /* aarch64_cmltsf */

        case 16:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4297; /* aarch64_facltv4hf */

        case 17:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4309; /* aarch64_facltv8hf */

        case 18:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4313; /* aarch64_facltv2sf */

        case 19:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4325; /* aarch64_facltv4sf */

        case 20:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4329; /* aarch64_facltv2df */

        case 21:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4333; /* aarch64_faclthf */

        case 22:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4337; /* aarch64_facltsf */

        case 23:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4341; /* aarch64_facltdf */

        default:
          return -1;
        }

    case LE:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4065; /* aarch64_cmlev8qi */

        case 1:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4078; /* aarch64_cmlev16qi */

        case 2:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4085; /* aarch64_cmlev4hi */

        case 3:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4230; /* aarch64_cmlev4hf */

        case 4:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4098; /* aarch64_cmlev8hi */

        case 5:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4243; /* aarch64_cmlev8hf */

        case 6:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4105; /* aarch64_cmlev2si */

        case 7:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4250; /* aarch64_cmlev2sf */

        case 8:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4118; /* aarch64_cmlev4si */

        case 9:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4263; /* aarch64_cmlev4sf */

        case 10:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4123; /* aarch64_cmlev2di */

        case 11:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4268; /* aarch64_cmlev2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4128; /* aarch64_cmledi */
            }
          if (!
#line 7245 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4133; /* *aarch64_cmledi */

        case 13:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4285; /* aarch64_cmledf */

        case 14:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4273; /* aarch64_cmlehf */

        case 15:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4278; /* aarch64_cmlesf */

        case 16:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4300; /* aarch64_faclev4hf */

        case 17:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4310; /* aarch64_faclev8hf */

        case 18:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4316; /* aarch64_faclev2sf */

        case 19:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4326; /* aarch64_faclev4sf */

        case 20:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4330; /* aarch64_faclev2df */

        case 21:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4334; /* aarch64_faclehf */

        case 22:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4338; /* aarch64_faclesf */

        case 23:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4344; /* aarch64_facledf */

        default:
          return -1;
        }

    case EQ:
      switch (pattern390 (x2))
        {
        case 0:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4068; /* aarch64_cmeqv8qi */

        case 1:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4079; /* aarch64_cmeqv16qi */

        case 2:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4088; /* aarch64_cmeqv4hi */

        case 3:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4233; /* aarch64_cmeqv4hf */

        case 4:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4099; /* aarch64_cmeqv8hi */

        case 5:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4244; /* aarch64_cmeqv8hf */

        case 6:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4108; /* aarch64_cmeqv2si */

        case 7:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4253; /* aarch64_cmeqv2sf */

        case 8:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4119; /* aarch64_cmeqv4si */

        case 9:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4264; /* aarch64_cmeqv4sf */

        case 10:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4124; /* aarch64_cmeqv2di */

        case 11:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4269; /* aarch64_cmeqv2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4129; /* aarch64_cmeqdi */
            }
          if (!
#line 7245 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4134; /* *aarch64_cmeqdi */

        case 13:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4288; /* aarch64_cmeqdf */

        case 14:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4274; /* aarch64_cmeqhf */

        case 15:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4279; /* aarch64_cmeqsf */

        default:
          return -1;
        }

    case GE:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4071; /* aarch64_cmgev8qi */

        case 1:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4080; /* aarch64_cmgev16qi */

        case 2:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4091; /* aarch64_cmgev4hi */

        case 3:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4236; /* aarch64_cmgev4hf */

        case 4:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4100; /* aarch64_cmgev8hi */

        case 5:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4245; /* aarch64_cmgev8hf */

        case 6:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4111; /* aarch64_cmgev2si */

        case 7:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4256; /* aarch64_cmgev2sf */

        case 8:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4120; /* aarch64_cmgev4si */

        case 9:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4265; /* aarch64_cmgev4sf */

        case 10:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4125; /* aarch64_cmgev2di */

        case 11:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4270; /* aarch64_cmgev2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4130; /* aarch64_cmgedi */
            }
          if (!
#line 7245 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4135; /* *aarch64_cmgedi */

        case 13:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4291; /* aarch64_cmgedf */

        case 14:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4275; /* aarch64_cmgehf */

        case 15:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4280; /* aarch64_cmgesf */

        case 16:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4303; /* aarch64_facgev4hf */

        case 17:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4311; /* aarch64_facgev8hf */

        case 18:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4319; /* aarch64_facgev2sf */

        case 19:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4327; /* aarch64_facgev4sf */

        case 20:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4331; /* aarch64_facgev2df */

        case 21:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4335; /* aarch64_facgehf */

        case 22:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4339; /* aarch64_facgesf */

        case 23:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4347; /* aarch64_facgedf */

        default:
          return -1;
        }

    case GT:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4074; /* aarch64_cmgtv8qi */

        case 1:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4081; /* aarch64_cmgtv16qi */

        case 2:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4094; /* aarch64_cmgtv4hi */

        case 3:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4239; /* aarch64_cmgtv4hf */

        case 4:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4101; /* aarch64_cmgtv8hi */

        case 5:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4246; /* aarch64_cmgtv8hf */

        case 6:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4114; /* aarch64_cmgtv2si */

        case 7:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4259; /* aarch64_cmgtv2sf */

        case 8:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4121; /* aarch64_cmgtv4si */

        case 9:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4266; /* aarch64_cmgtv4sf */

        case 10:
          if (!
#line 7196 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4126; /* aarch64_cmgtv2di */

        case 11:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4271; /* aarch64_cmgtv2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4131; /* aarch64_cmgtdi */
            }
          if (!
#line 7245 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4136; /* *aarch64_cmgtdi */

        case 13:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4294; /* aarch64_cmgtdf */

        case 14:
          if (!(
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4276; /* aarch64_cmgthf */

        case 15:
          if (!
#line 7413 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4281; /* aarch64_cmgtsf */

        case 16:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4306; /* aarch64_facgtv4hf */

        case 17:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4312; /* aarch64_facgtv8hf */

        case 18:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4322; /* aarch64_facgtv2sf */

        case 19:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4328; /* aarch64_facgtv4sf */

        case 20:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4332; /* aarch64_facgtv2df */

        case 21:
          if (!(
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4336; /* aarch64_facgthf */

        case 22:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4340; /* aarch64_facgtsf */

        case 23:
          if (!
#line 7434 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4350; /* aarch64_facgtdf */

        default:
          return -1;
        }

    case LTU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4137; /* aarch64_cmltuv8qi */

        case 1:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4149; /* aarch64_cmltuv16qi */

        case 2:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4153; /* aarch64_cmltuv4hi */

        case 3:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4165; /* aarch64_cmltuv8hi */

        case 4:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4169; /* aarch64_cmltuv2si */

        case 5:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4181; /* aarch64_cmltuv4si */

        case 6:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4185; /* aarch64_cmltuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4189; /* aarch64_cmltudi */
            }
          if (!
#line 7308 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4193; /* *aarch64_cmltudi */

        default:
          return -1;
        }

    case LEU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4140; /* aarch64_cmleuv8qi */

        case 1:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4150; /* aarch64_cmleuv16qi */

        case 2:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4156; /* aarch64_cmleuv4hi */

        case 3:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4166; /* aarch64_cmleuv8hi */

        case 4:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4172; /* aarch64_cmleuv2si */

        case 5:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4182; /* aarch64_cmleuv4si */

        case 6:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4186; /* aarch64_cmleuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4190; /* aarch64_cmleudi */
            }
          if (!
#line 7308 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4194; /* *aarch64_cmleudi */

        default:
          return -1;
        }

    case GEU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4143; /* aarch64_cmgeuv8qi */

        case 1:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4151; /* aarch64_cmgeuv16qi */

        case 2:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4159; /* aarch64_cmgeuv4hi */

        case 3:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4167; /* aarch64_cmgeuv8hi */

        case 4:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4175; /* aarch64_cmgeuv2si */

        case 5:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4183; /* aarch64_cmgeuv4si */

        case 6:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4187; /* aarch64_cmgeuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4191; /* aarch64_cmgeudi */
            }
          if (!
#line 7308 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4195; /* *aarch64_cmgeudi */

        default:
          return -1;
        }

    case GTU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4146; /* aarch64_cmgtuv8qi */

        case 1:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4152; /* aarch64_cmgtuv16qi */

        case 2:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4162; /* aarch64_cmgtuv4hi */

        case 3:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4168; /* aarch64_cmgtuv8hi */

        case 4:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4178; /* aarch64_cmgtuv2si */

        case 5:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4184; /* aarch64_cmgtuv4si */

        case 6:
          if (!
#line 7261 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4188; /* aarch64_cmgtuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4192; /* aarch64_cmgtudi */
            }
          if (!
#line 7308 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4196; /* *aarch64_cmgtudi */

        default:
          return -1;
        }

    case NE:
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      if (GET_CODE (x5) != AND
          || GET_MODE (x5) != E_DImode
          || x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || !register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      if (!register_operand (operands[2], E_DImode))
        return -1;
      if (pnum_clobbers != NULL
          && 
#line 7362 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        {
          *pnum_clobbers = 1;
          return 4223; /* aarch64_cmtstdi */
        }
      if (!
#line 7399 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4224; /* *aarch64_cmtstdi */

    default:
      return -1;
    }
}

 int
recog_489 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x2, 0);
      operands[4] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      x7 = XEXP (x3, 2);
      operands[3] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern955 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2855 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2403; /* fmav4hf4_vec_concatz_be */

        case E_V4SFmode:
          if (pattern955 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2855 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2407; /* fmav2sf4_vec_concatz_be */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x8 = XEXP (x4, 0);
      switch (GET_CODE (x8))
        {
        case VEC_SELECT:
          if (GET_MODE (x8) != E_SFmode)
            return -1;
          x9 = XEXP (x8, 1);
          if (GET_CODE (x9) != PARALLEL
              || XVECLEN (x9, 0) != 1
              || pattern899 (x2) != 0)
            return -1;
          x10 = XEXP (x8, 0);
          operands[1] = x10;
          x11 = XVECEXP (x9, 0, 0);
          operands[2] = x11;
          if (!immediate_operand (operands[2], E_SImode))
            return -1;
          x6 = XEXP (x3, 1);
          operands[3] = x6;
          if (!register_operand (operands[3], E_V2SFmode))
            return -1;
          x7 = XEXP (x3, 2);
          operands[4] = x7;
          if (!register_operand (operands[4], E_V2SFmode))
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_V2SFmode:
              if (!register_operand (operands[1], E_V2SFmode)
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2869 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2412; /* *aarch64_fma4_eltv2sf_vec_concatz_be */

            case E_V4SFmode:
              if (!register_operand (operands[1], E_V4SFmode)
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2886 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2417; /* *aarch64_fma4_elt_to_128v2sf_vec_concatz_be */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x8;
          x5 = XEXP (x2, 0);
          operands[4] = x5;
          x6 = XEXP (x3, 1);
          operands[2] = x6;
          x7 = XEXP (x3, 2);
          operands[3] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HImode:
              if (pattern1011 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2421; /* *aarch64_fma4_elt_from_dupv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern1011 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2425; /* *aarch64_fma4_elt_from_dupv2si_vec_concatz_be */

            case E_V8HFmode:
              if (pattern1011 (x2, 
E_V4HFmode, 
E_HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 440 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2429; /* *aarch64_fma4_elt_from_dupv4hf_vec_concatz_be */

            case E_V4SFmode:
              if (pattern1011 (x2, 
E_V2SFmode, 
E_SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2901 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2433; /* *aarch64_fma4_elt_from_dupv2sf_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      x6 = XEXP (x3, 1);
      switch (GET_CODE (x6))
        {
        case REG:
        case SUBREG:
          operands[2] = x6;
          x5 = XEXP (x2, 0);
          operands[4] = x5;
          x8 = XEXP (x4, 0);
          operands[1] = x8;
          x7 = XEXP (x3, 2);
          operands[3] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern1012 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2439; /* fnmav4hf4_vec_concatz_be */

            case E_V4SFmode:
              if (pattern1012 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2443; /* fnmav2sf4_vec_concatz_be */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x12 = XEXP (x6, 0);
          switch (GET_CODE (x12))
            {
            case VEC_SELECT:
              if (GET_MODE (x12) != E_SFmode)
                return -1;
              x13 = XEXP (x12, 1);
              if (GET_CODE (x13) != PARALLEL
                  || XVECLEN (x13, 0) != 1
                  || pattern899 (x2) != 0)
                return -1;
              x8 = XEXP (x4, 0);
              operands[3] = x8;
              if (!register_operand (operands[3], E_V2SFmode)
                  || GET_MODE (x6) != E_V2SFmode)
                return -1;
              x14 = XEXP (x12, 0);
              operands[1] = x14;
              x15 = XVECEXP (x13, 0, 0);
              operands[2] = x15;
              if (!immediate_operand (operands[2], E_SImode))
                return -1;
              x7 = XEXP (x3, 2);
              operands[4] = x7;
              if (!register_operand (operands[4], E_V2SFmode))
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (!register_operand (operands[1], E_V2SFmode)
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2943 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2448; /* *aarch64_fnma4_eltv2sf_vec_concatz_be */

                case E_V4SFmode:
                  if (!register_operand (operands[1], E_V4SFmode)
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2961 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2453; /* *aarch64_fnma4_elt_to_128v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[1] = x12;
              x5 = XEXP (x2, 0);
              operands[4] = x5;
              x8 = XEXP (x4, 0);
              operands[2] = x8;
              x7 = XEXP (x3, 2);
              operands[3] = x7;
              switch (GET_MODE (operands[0]))
                {
                case E_V8HImode:
                  if (pattern1075 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2457; /* *aarch64_fnma4_elt_from_dupv4hi_vec_concatz_be */

                case E_V4SImode:
                  if (pattern1075 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2461; /* *aarch64_fnma4_elt_from_dupv2si_vec_concatz_be */

                case E_V8HFmode:
                  if (pattern1075 (x2, 
E_V4HFmode, 
E_HFmode, 
E_V8HFmode) != 0
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 440 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 2465; /* *aarch64_fnma4_elt_from_dupv4hf_vec_concatz_be */

                case E_V4SFmode:
                  if (pattern1075 (x2, 
E_V2SFmode, 
E_SFmode, 
E_V4SFmode) != 0
                      || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2977 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2469; /* *aarch64_fnma4_elt_from_dupv2sf_vec_concatz_be */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_492 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (XINT (x3, 1))
    {
    case 405:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 1387; /* aarch64_fcadd90v4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
            return -1;
          return 1395; /* aarch64_fcadd90v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 406:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 1390; /* aarch64_fcadd270v4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 439 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
            return -1;
          return 1398; /* aarch64_fcadd270v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 186:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1414 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1943; /* aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1414 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1947; /* aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1414 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1951; /* aarch64_simd_reg_shlv2si_unsigned_vec_concatz_le */

        default:
          return -1;
        }

    case 185:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1424 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1956; /* aarch64_simd_reg_shlv8qi_signed_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1424 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1960; /* aarch64_simd_reg_shlv4hi_signed_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1424 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1964; /* aarch64_simd_reg_shlv2si_signed_vec_concatz_le */

        default:
          return -1;
        }

    case 274:
      x5 = XVECEXP (x3, 0, 1);
      operands[2] = x5;
      if (!immediate_operand (operands[2], E_SImode))
        return -1;
      x6 = XEXP (x2, 1);
      operands[3] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern959 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1969; /* vec_shr_v8qi_vec_concatz_le */

        case E_V8HImode:
          if (pattern959 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1972; /* vec_shr_v4hi_vec_concatz_le */

        case E_V8HFmode:
          if (pattern959 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1975; /* vec_shr_v4hf_vec_concatz_le */

        case E_V4SImode:
          if (pattern959 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1978; /* vec_shr_v2si_vec_concatz_le */

        case E_V4SFmode:
          if (pattern959 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1981; /* vec_shr_v2sf_vec_concatz_le */

        case E_V8BFmode:
          if (pattern959 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
              || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1984; /* vec_shr_v4bf_vec_concatz_le */

        default:
          return -1;
        }

    case 208:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2107; /* aarch64_umaxpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2123; /* aarch64_umaxpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2139; /* aarch64_umaxpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 209:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2110; /* aarch64_uminpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2126; /* aarch64_uminpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2142; /* aarch64_uminpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 206:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2113; /* aarch64_smaxpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2129; /* aarch64_smaxpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2145; /* aarch64_smaxpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 207:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2116; /* aarch64_sminpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2132; /* aarch64_sminpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2148; /* aarch64_sminpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 198:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2155; /* aarch64_smax_nanpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2171; /* aarch64_smax_nanpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 201:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2158; /* aarch64_smin_nanpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2174; /* aarch64_smin_nanpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 197:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2161; /* aarch64_smaxpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2177; /* aarch64_smaxpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 200:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2164; /* aarch64_sminpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2180; /* aarch64_sminpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 196:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2667; /* fmax_nanv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2683; /* fmax_nanv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 199:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2670; /* fmin_nanv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2686; /* fmin_nanv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 277:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2673; /* fmaxv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2689; /* fmaxv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 278:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2676; /* fminv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2692; /* fminv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 202:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3373 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2703; /* aarch64_faddpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3373 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2707; /* aarch64_faddpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 221:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3297; /* aarch64_suqaddv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3305; /* aarch64_suqaddv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3313; /* aarch64_suqaddv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3329; /* aarch64_suqadddi_vec_concatz_le */

        default:
          return -1;
        }

    case 220:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3300; /* aarch64_usqaddv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3308; /* aarch64_usqaddv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3316; /* aarch64_usqaddv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3332; /* aarch64_usqadddi_vec_concatz_le */

        default:
          return -1;
        }

    case 216:
      switch (pattern664 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3427; /* aarch64_sqdmulhv4hi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3435; /* aarch64_sqdmulhv2si_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3447; /* aarch64_sqdmulh_nv4hi_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3455; /* aarch64_sqdmulh_nv2si_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3463; /* aarch64_sqdmulh_lanev4hi_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3479; /* aarch64_sqdmulh_laneqv4hi_vec_concatz_le */

        case 6:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3471; /* aarch64_sqdmulh_lanev2si_vec_concatz_le */

        case 7:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3487; /* aarch64_sqdmulh_laneqv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 217:
      switch (pattern664 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3430; /* aarch64_sqrdmulhv4hi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3438; /* aarch64_sqrdmulhv2si_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3450; /* aarch64_sqrdmulh_nv4hi_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3458; /* aarch64_sqrdmulh_nv2si_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3466; /* aarch64_sqrdmulh_lanev4hi_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3482; /* aarch64_sqrdmulh_laneqv4hi_vec_concatz_le */

        case 6:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3474; /* aarch64_sqrdmulh_lanev2si_vec_concatz_le */

        case 7:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3490; /* aarch64_sqrdmulh_laneqv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 229:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3629; /* aarch64_sshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3645; /* aarch64_sshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3661; /* aarch64_sshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3681; /* aarch64_sshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 230:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3632; /* aarch64_ushlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3648; /* aarch64_ushlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3664; /* aarch64_ushlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3684; /* aarch64_ushldi_vec_concatz_le */

        default:
          return -1;
        }

    case 231:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3635; /* aarch64_srshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3651; /* aarch64_srshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3667; /* aarch64_srshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3687; /* aarch64_srshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 232:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3638; /* aarch64_urshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3654; /* aarch64_urshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3670; /* aarch64_urshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3690; /* aarch64_urshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 227:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3693; /* aarch64_sqshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3709; /* aarch64_sqshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3725; /* aarch64_sqshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3757; /* aarch64_sqshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 228:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3696; /* aarch64_uqshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3712; /* aarch64_uqshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3728; /* aarch64_uqshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3760; /* aarch64_uqshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 233:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3699; /* aarch64_sqrshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3715; /* aarch64_sqrshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3731; /* aarch64_sqrshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3763; /* aarch64_sqrshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 234:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3702; /* aarch64_uqrshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3718; /* aarch64_uqrshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3734; /* aarch64_uqrshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3766; /* aarch64_uqrshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 247:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4831; /* aarch64_zip1v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4855; /* aarch64_zip1v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4879; /* aarch64_zip1v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4909; /* aarch64_zip1v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4933; /* aarch64_zip1v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4957; /* aarch64_zip1v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 248:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4834; /* aarch64_zip2v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4858; /* aarch64_zip2v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4882; /* aarch64_zip2v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4912; /* aarch64_zip2v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4936; /* aarch64_zip2v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4960; /* aarch64_zip2v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 251:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4837; /* aarch64_trn1v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4861; /* aarch64_trn1v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4885; /* aarch64_trn1v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4915; /* aarch64_trn1v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4939; /* aarch64_trn1v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4963; /* aarch64_trn1v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 252:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4840; /* aarch64_trn2v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4864; /* aarch64_trn2v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4888; /* aarch64_trn2v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4918; /* aarch64_trn2v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4942; /* aarch64_trn2v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4966; /* aarch64_trn2v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 249:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4843; /* aarch64_uzp1v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4867; /* aarch64_uzp1v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4891; /* aarch64_uzp1v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4921; /* aarch64_uzp1v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4945; /* aarch64_uzp1v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4969; /* aarch64_uzp1v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 250:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4846; /* aarch64_uzp2v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4870; /* aarch64_uzp2v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4894; /* aarch64_uzp2v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4924; /* aarch64_uzp2v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4948; /* aarch64_uzp2v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4972; /* aarch64_uzp2v2sf_vec_concatz_le */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_510 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case AND:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          return recog_8 (x1, insn, pnum_clobbers);

        case ASHIFT:
          x6 = XEXP (x5, 1);
          if (GET_CODE (x6) != CONST_INT)
            return -1;
          operands[2] = x6;
          res = recog_7 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          if (XWINT (x6, 0) != 8L)
            return -1;
          x7 = XEXP (x3, 1);
          if (GET_CODE (x7) != AND)
            return -1;
          x8 = XEXP (x7, 0);
          if (GET_CODE (x8) != LSHIFTRT)
            return -1;
          x9 = XEXP (x8, 1);
          if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 8])
            return -1;
          x10 = XEXP (x5, 0);
          operands[1] = x10;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x12 = XEXP (x7, 1);
          operands[2] = x12;
          x13 = XEXP (x8, 0);
          if (!rtx_equal_p (x13, operands[1]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern1157 (x3, 
E_SImode) != 0
                  || !
#line 6775 "../../gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], SImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], SImode)))
                return -1;
              return 876; /* aarch64_rev16si2_alt1 */

            case E_DImode:
              if (pattern1157 (x3, 
E_DImode) != 0
                  || !
#line 6775 "../../gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], DImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], DImode)))
                return -1;
              return 877; /* aarch64_rev16di2_alt1 */

            default:
              return -1;
            }

        case LSHIFTRT:
          x6 = XEXP (x5, 1);
          if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + 8])
            return -1;
          x7 = XEXP (x3, 1);
          if (GET_CODE (x7) != AND)
            return -1;
          x8 = XEXP (x7, 0);
          if (GET_CODE (x8) != ASHIFT)
            return -1;
          x9 = XEXP (x8, 1);
          if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 8])
            return -1;
          x10 = XEXP (x5, 0);
          operands[1] = x10;
          x11 = XEXP (x4, 1);
          operands[2] = x11;
          x12 = XEXP (x7, 1);
          operands[3] = x12;
          x13 = XEXP (x8, 0);
          if (!rtx_equal_p (x13, operands[1]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern1106 (x3, 
E_SImode) != 0
                  || !
#line 6789 "../../gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], SImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], SImode)))
                return -1;
              return 878; /* *aarch64_rev16si2_alt2 */

            case E_DImode:
              if (pattern1106 (x3, 
E_DImode) != 0
                  || !
#line 6789 "../../gcc/config/aarch64/aarch64.md"
(aarch_rev16_shleft_mask_imm_p (operands[3], DImode)
   && aarch_rev16_shright_mask_imm_p (operands[2], DImode)))
                return -1;
              return 879; /* *aarch64_rev16di2_alt2 */

            default:
              return -1;
            }

        case PLUS:
          if (GET_MODE (x5) != E_DImode)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != CONST_INT
              || XWINT (x11, 0) != -1080863910568919041L)
            return -1;
          x7 = XEXP (x3, 1);
          if (GET_CODE (x7) != ASHIFT
              || GET_MODE (x7) != E_DImode)
            return -1;
          x8 = XEXP (x7, 0);
          if (GET_CODE (x8) != UNSPEC
              || XVECLEN (x8, 0) != 2
              || XINT (x8, 1) != 174
              || GET_MODE (x8) != E_QImode)
            return -1;
          x14 = XVECEXP (x8, 0, 0);
          if (GET_CODE (x14) != AND
              || GET_MODE (x14) != E_QImode)
            return -1;
          x15 = XEXP (x14, 0);
          if (GET_CODE (x15) != LSHIFTRT
              || GET_MODE (x15) != E_DImode)
            return -1;
          x16 = XEXP (x15, 1);
          if (x16 != const_int_rtx[MAX_SAVED_CONST_INT + 56])
            return -1;
          x17 = XEXP (x14, 1);
          if (x17 != const_int_rtx[MAX_SAVED_CONST_INT + 15]
              || pattern782 (x3) != 0)
            return -1;
          x10 = XEXP (x5, 0);
          operands[1] = x10;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          x6 = XEXP (x5, 1);
          operands[2] = x6;
          if (!aarch64_granule16_uimm6 (operands[2], E_DImode))
            return -1;
          x18 = XVECEXP (x8, 0, 1);
          operands[3] = x18;
          if (!aarch64_memtag_tag_offset (operands[3], E_QImode))
            return -1;
          x19 = XEXP (x15, 0);
          if (!rtx_equal_p (x19, operands[1])
              || !
#line 8411 "../../gcc/config/aarch64/aarch64.md"
(TARGET_MEMTAG))
            return -1;
          return 1214; /* addg */

        default:
          return -1;
        }

    case NEG:
      switch (pattern48 (x3))
        {
        case 0:
          return 460; /* *cmovsi_insn_m1 */

        case 1:
          return 461; /* *cmovdi_insn_m1 */

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x4;
      x7 = XEXP (x3, 1);
      operands[2] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern576 (x3, 
E_SImode) != 0)
            return -1;
          return 505; /* iorsi3 */

        case E_DImode:
          if (pattern576 (x3, 
E_DImode) != 0)
            return -1;
          return 508; /* iordi3 */

        case E_V8QImode:
          if (pattern577 (x3, 
E_V8QImode) != 0
              || !
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1762; /* iorv8qi3 */

        case E_V16QImode:
          if (pattern577 (x3, 
E_V16QImode) != 0
              || !
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1765; /* iorv16qi3 */

        case E_V4HImode:
          if (pattern577 (x3, 
E_V4HImode) != 0
              || !
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1766; /* iorv4hi3 */

        case E_V8HImode:
          if (pattern577 (x3, 
E_V8HImode) != 0
              || !
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1769; /* iorv8hi3 */

        case E_V2SImode:
          if (pattern577 (x3, 
E_V2SImode) != 0
              || !
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1770; /* iorv2si3 */

        case E_V4SImode:
          if (pattern577 (x3, 
E_V4SImode) != 0
              || !
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1773; /* iorv4si3 */

        case E_V2DImode:
          if (pattern577 (x3, 
E_V2DImode) != 0
              || !
#line 1138 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1774; /* iorv2di3 */

        case E_VNx16QImode:
          if (pattern578 (x3, 
E_VNx16QImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8135; /* iorvnx16qi3 */

        case E_VNx8QImode:
          if (pattern578 (x3, 
E_VNx8QImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8138; /* iorvnx8qi3 */

        case E_VNx4QImode:
          if (pattern578 (x3, 
E_VNx4QImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8141; /* iorvnx4qi3 */

        case E_VNx2QImode:
          if (pattern578 (x3, 
E_VNx2QImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8144; /* iorvnx2qi3 */

        case E_VNx8HImode:
          if (pattern578 (x3, 
E_VNx8HImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8147; /* iorvnx8hi3 */

        case E_VNx4HImode:
          if (pattern578 (x3, 
E_VNx4HImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8150; /* iorvnx4hi3 */

        case E_VNx2HImode:
          if (pattern578 (x3, 
E_VNx2HImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8153; /* iorvnx2hi3 */

        case E_VNx4SImode:
          if (pattern578 (x3, 
E_VNx4SImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8156; /* iorvnx4si3 */

        case E_VNx2SImode:
          if (pattern578 (x3, 
E_VNx2SImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8159; /* iorvnx2si3 */

        case E_VNx2DImode:
          if (pattern578 (x3, 
E_VNx2DImode) != 0
              || !
#line 4715 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8162; /* iorvnx2di3 */

        default:
          return -1;
        }

    case ASHIFT:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          x7 = XEXP (x3, 1);
          switch (GET_CODE (x7))
            {
            case REG:
            case SUBREG:
            case TRUNCATE:
              operands[3] = x7;
              x11 = XEXP (x4, 1);
              operands[2] = x11;
              switch (pattern49 (x3))
                {
                case 0:
                  return 532; /* ior_ashlsi3 */

                case 1:
                  return 547; /* ior_ashldi3 */

                default:
                  break;
                }
              if (!subreg_lowpart_operator (x7, E_SImode))
                return -1;
              operands[6] = x7;
              x8 = XEXP (x7, 0);
              if (GET_CODE (x8) != ZERO_EXTRACT
                  || GET_MODE (x8) != E_DImode
                  || pattern929 (x3, 
E_SImode) != 0)
                return -1;
              operands[3] = x11;
              if (!const_int_operand (operands[3], E_VOIDmode))
                return -1;
              x13 = XEXP (x8, 0);
              operands[2] = x13;
              if (!register_operand (operands[2], E_DImode))
                return -1;
              x9 = XEXP (x8, 1);
              operands[5] = x9;
              if (!const_int_operand (operands[5], E_VOIDmode))
                return -1;
              x20 = XEXP (x8, 2);
              operands[4] = x20;
              if (!const_int_operand (operands[4], E_VOIDmode)
                  || !
#line 6258 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < 32
   && UINTVAL (operands[3]) + UINTVAL (operands[4]) == 32
   && INTVAL (operands[3]) == INTVAL (operands[5])))
                return -1;
              return 783; /* *extrsi5_insn_di */

            case LSHIFTRT:
              x11 = XEXP (x4, 1);
              operands[3] = x11;
              if (!const_int_operand (operands[3], E_VOIDmode))
                return -1;
              x8 = XEXP (x7, 0);
              operands[2] = x8;
              x12 = XEXP (x7, 1);
              operands[4] = x12;
              if (!const_int_operand (operands[4], E_VOIDmode))
                return -1;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (pattern308 (x3, 
E_SImode) != 0
                      || !
#line 6201 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode) &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (SImode))))
                    return -1;
                  return 777; /* *extrsi5_insn */

                case E_DImode:
                  if (pattern308 (x3, 
E_DImode) != 0
                      || !
#line 6201 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode) &&
   (UINTVAL (operands[3]) + UINTVAL (operands[4]) == GET_MODE_BITSIZE (DImode))))
                    return -1;
                  return 778; /* *extrdi5_insn */

                default:
                  return -1;
                }

            case AND:
              x11 = XEXP (x4, 1);
              operands[2] = x11;
              x8 = XEXP (x7, 0);
              operands[3] = x8;
              x12 = XEXP (x7, 1);
              operands[4] = x12;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (pattern929 (x3, 
E_SImode) != 0
                      || !aarch64_simd_shift_imm_si (operands[2], E_SImode)
                      || GET_MODE (x7) != E_SImode
                      || !register_operand (operands[3], E_SImode)
                      || !const_int_operand (operands[4], E_SImode)
                      || !
#line 6537 "../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (SImode, UINTVAL (operands[4]),
				      UINTVAL (operands[2]),
				      HOST_WIDE_INT_M1U << UINTVAL (operands[2]) )))
                    return -1;
                  return 842; /* *aarch64_bfisi4_noand_alt */

                case E_DImode:
                  if (pattern929 (x3, 
E_DImode) != 0
                      || !aarch64_simd_shift_imm_di (operands[2], E_DImode)
                      || GET_MODE (x7) != E_DImode
                      || !register_operand (operands[3], E_DImode)
                      || !const_int_operand (operands[4], E_DImode)
                      || !
#line 6537 "../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (DImode, UINTVAL (operands[4]),
				      UINTVAL (operands[2]),
				      HOST_WIDE_INT_M1U << UINTVAL (operands[2]) )))
                    return -1;
                  return 843; /* *aarch64_bfidi4_noand_alt */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case CONST_INT:
          if (XWINT (x5, 0) != 1L)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != AND
              || GET_MODE (x11) != E_QImode)
            return -1;
          x21 = XEXP (x11, 0);
          if (GET_CODE (x21) != LSHIFTRT
              || GET_MODE (x21) != E_DImode)
            return -1;
          x22 = XEXP (x21, 1);
          if (x22 != const_int_rtx[MAX_SAVED_CONST_INT + 56])
            return -1;
          x23 = XEXP (x11, 1);
          if (x23 != const_int_rtx[MAX_SAVED_CONST_INT + 15]
              || !register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || GET_MODE (x4) != E_DImode)
            return -1;
          x24 = XEXP (x21, 0);
          operands[1] = x24;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          x7 = XEXP (x3, 1);
          operands[2] = x7;
          if (!register_operand (operands[2], E_DImode)
              || !
#line 8394 "../../gcc/config/aarch64/aarch64.md"
(TARGET_MEMTAG))
            return -1;
          return 1213; /* gmi */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern50 (x3))
        {
        case 0:
          return 535; /* ior_ashrsi3 */

        case 1:
          return 550; /* ior_ashrdi3 */

        default:
          return -1;
        }

    case LSHIFTRT:
      x7 = XEXP (x3, 1);
      switch (GET_CODE (x7))
        {
        case REG:
        case SUBREG:
          operands[3] = x7;
          x5 = XEXP (x4, 0);
          operands[1] = x5;
          x11 = XEXP (x4, 1);
          operands[2] = x11;
          switch (pattern49 (x3))
            {
            case 0:
              return 538; /* ior_lshrsi3 */

            case 1:
              return 553; /* ior_lshrdi3 */

            default:
              return -1;
            }

        case ASHIFT:
          x5 = XEXP (x4, 0);
          operands[2] = x5;
          x11 = XEXP (x4, 1);
          operands[4] = x11;
          if (!const_int_operand (operands[4], E_VOIDmode))
            return -1;
          x8 = XEXP (x7, 0);
          operands[1] = x8;
          x12 = XEXP (x7, 1);
          operands[3] = x12;
          if (!const_int_operand (operands[3], E_VOIDmode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern982 (x3, 
E_SImode) != 0
                  || !
#line 6215 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (SImode)
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])
       == GET_MODE_BITSIZE (SImode))))
                return -1;
              return 779; /* *extrsi5_insn_alt */

            case E_DImode:
              if (pattern982 (x3, 
E_DImode) != 0
                  || !
#line 6215 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[3]) < GET_MODE_BITSIZE (DImode)
   && (UINTVAL (operands[3]) + UINTVAL (operands[4])
       == GET_MODE_BITSIZE (DImode))))
                return -1;
              return 780; /* *extrdi5_insn_alt */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case ROTATERT:
      switch (pattern50 (x3))
        {
        case 0:
          return 541; /* ior_rotrsi3 */

        case 1:
          return 556; /* ior_rotrdi3 */

        default:
          return -1;
        }

    case ROTATE:
      switch (pattern50 (x3))
        {
        case 0:
          return 544; /* ior_rotlsi3 */

        case 1:
          return 559; /* ior_rotldi3 */

        default:
          return -1;
        }

    case NOT:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          x7 = XEXP (x3, 1);
          operands[1] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern711 (x3, 
E_SImode) != 0)
                return -1;
              return 590; /* iornsi3 */

            case E_DImode:
              if (pattern711 (x3, 
E_DImode) != 0)
                return -1;
              return 592; /* iorndi3 */

            case E_V8QImode:
              if (pattern711 (x3, 
E_V8QImode) != 0
                  || !
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1313; /* iornv8qi3 */

            case E_V16QImode:
              if (pattern711 (x3, 
E_V16QImode) != 0
                  || !
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1316; /* iornv16qi3 */

            case E_V4HImode:
              if (pattern711 (x3, 
E_V4HImode) != 0
                  || !
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1317; /* iornv4hi3 */

            case E_V8HImode:
              if (pattern711 (x3, 
E_V8HImode) != 0
                  || !
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1320; /* iornv8hi3 */

            case E_V2SImode:
              if (pattern711 (x3, 
E_V2SImode) != 0
                  || !
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1321; /* iornv2si3 */

            case E_V4SImode:
              if (pattern711 (x3, 
E_V4SImode) != 0
                  || !
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1324; /* iornv4si3 */

            case E_V2DImode:
              if (pattern711 (x3, 
E_V2DImode) != 0
                  || !
#line 328 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 1325; /* iornv2di3 */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern370 (x3))
            {
            case 0:
              return 604; /* ior_one_cmpl_ashlsi3 */

            case 1:
              return 619; /* ior_one_cmpl_ashldi3 */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern370 (x3))
            {
            case 0:
              return 607; /* ior_one_cmpl_ashrsi3 */

            case 1:
              return 622; /* ior_one_cmpl_ashrdi3 */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern370 (x3))
            {
            case 0:
              return 610; /* ior_one_cmpl_lshrsi3 */

            case 1:
              return 625; /* ior_one_cmpl_lshrdi3 */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern370 (x3))
            {
            case 0:
              return 613; /* ior_one_cmpl_rotrsi3 */

            case 1:
              return 628; /* ior_one_cmpl_rotrdi3 */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern370 (x3))
            {
            case 0:
              return 616; /* ior_one_cmpl_rotlsi3 */

            case 1:
              return 631; /* ior_one_cmpl_rotldi3 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_517 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != 66)
    return -1;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case PLUS:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[0] = x5;
          x6 = XEXP (x4, 1);
          operands[1] = x6;
          x7 = XEXP (x3, 1);
          switch (GET_CODE (x7))
            {
            case REG:
            case SUBREG:
              if (!rtx_equal_p (x7, operands[0]))
                return -1;
              switch (pattern883 (x1, 
E_CC_Cmode))
                {
                case 0:
                  return 128; /* *addsi3_compareC_cconly */

                case 1:
                  return 129; /* *adddi3_compareC_cconly */

                default:
                  return -1;
                }

            case CONST_INT:
              if (XWINT (x7, 0) != 0L)
                return -1;
              switch (pattern883 (x1, 
E_CC_NZmode))
                {
                case 0:
                  return 200; /* *addsi3nr_compare0 */

                case 1:
                  return 201; /* *adddi3nr_compare0 */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case SIGN_EXTEND:
          if (pattern506 (x1, 
PLUS, 
SIGN_EXTEND) != 0)
            return -1;
          x6 = XEXP (x4, 1);
          switch (GET_CODE (x6))
            {
            case CONST_INT:
            case CONST_WIDE_INT:
              operands[1] = x6;
              x7 = XEXP (x3, 1);
              x8 = XEXP (x7, 0);
              x9 = XEXP (x8, 1);
              operands[2] = x9;
              switch (GET_MODE (x4))
                {
                case E_DImode:
                  if (pattern1196 (x3, 
E_SImode, 
E_DImode) != 0
                      || !
#line 2828 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) == INTVAL (operands[2])))
                    return -1;
                  return 132; /* *addsi3_compareV_cconly_imm */

                case E_TImode:
                  if (pattern1196 (x3, 
E_DImode, 
E_TImode) != 0
                      || !
#line 2828 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) == INTVAL (operands[2])))
                    return -1;
                  return 133; /* *adddi3_compareV_cconly_imm */

                default:
                  return -1;
                }

            case SIGN_EXTEND:
              x10 = XEXP (x6, 0);
              operands[1] = x10;
              x7 = XEXP (x3, 1);
              x8 = XEXP (x7, 0);
              x9 = XEXP (x8, 1);
              if (!rtx_equal_p (x9, operands[1]))
                return -1;
              switch (GET_MODE (x4))
                {
                case E_DImode:
                  if (pattern1197 (x3, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 134; /* *addsi3_compareV_cconly */

                case E_TImode:
                  if (pattern1197 (x3, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 135; /* *adddi3_compareV_cconly */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case MINUS:
      x7 = XEXP (x3, 1);
      if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || GET_MODE (x2) != E_CC_NZmode
          || GET_MODE (x3) != E_CC_NZmode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[0] = x5;
      x6 = XEXP (x4, 1);
      operands[1] = x6;
      switch (pattern882 (x4))
        {
        case 0:
          return 202; /* aarch64_subsi_compare0 */

        case 1:
          return 203; /* aarch64_subdi_compare0 */

        default:
          return -1;
        }

    case NEG:
      if (GET_MODE (x2) != E_CC_Zmode
          || GET_MODE (x3) != E_CC_Zmode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[0] = x5;
      x7 = XEXP (x3, 1);
      operands[1] = x7;
      switch (GET_MODE (x4))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || !register_operand (operands[1], E_SImode))
            return -1;
          return 204; /* *compare_negsi */

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || !register_operand (operands[1], E_DImode))
            return -1;
          return 205; /* *compare_negdi */

        default:
          return -1;
        }

    case SIGN_EXTEND:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case NEG:
          if (pattern506 (x1, 
SIGN_EXTEND, 
NEG) != 0)
            return -1;
          switch (GET_MODE (x4))
            {
            case E_DImode:
              if (pattern1059 (x3, 
E_DImode, 
E_SImode) != 0)
                return -1;
              return 274; /* negvsi_cmp_only */

            case E_TImode:
              if (pattern1059 (x3, 
E_TImode, 
E_DImode) != 0)
                return -1;
              return 275; /* negvdi_cmp_only */

            default:
              return -1;
            }

        case MINUS:
          x7 = XEXP (x3, 1);
          if (GET_CODE (x7) != MINUS)
            return -1;
          x8 = XEXP (x7, 0);
          if (GET_CODE (x8) != SIGN_EXTEND)
            return -1;
          x11 = XEXP (x7, 1);
          if (GET_CODE (x11) != SIGN_EXTEND
              || GET_MODE (x2) != E_CC_Vmode
              || GET_MODE (x3) != E_CC_Vmode)
            return -1;
          x12 = XEXP (x5, 0);
          operands[0] = x12;
          x13 = XEXP (x5, 1);
          operands[1] = x13;
          x14 = XEXP (x8, 0);
          if (!rtx_equal_p (x14, operands[0]))
            return -1;
          x15 = XEXP (x11, 0);
          if (!rtx_equal_p (x15, operands[1]))
            return -1;
          switch (GET_MODE (x4))
            {
            case E_DImode:
              if (pattern1198 (x3, 
E_DImode, 
E_SImode) != 0)
                return -1;
              return 276; /* *cmpvsi_insn */

            case E_TImode:
              if (pattern1198 (x3, 
E_TImode, 
E_DImode) != 0)
                return -1;
              return 277; /* *cmpvdi_insn */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[0] = x5;
          if (GET_MODE (x2) != E_CC_SWPmode
              || GET_MODE (x3) != E_CC_SWPmode)
            return -1;
          switch (pattern733 (x3))
            {
            case 0:
              return 417; /* *cmp_swp_extendqi_regsi */

            case 1:
              return 421; /* *cmp_swp_extendhi_regsi */

            case 2:
              return 425; /* *cmp_swp_extendsi_regsi */

            case 3:
              return 419; /* *cmp_swp_extendqi_regdi */

            case 4:
              return 423; /* *cmp_swp_extendhi_regdi */

            case 5:
              return 427; /* *cmp_swp_extendsi_regdi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[0] = x4;
      x7 = XEXP (x3, 1);
      operands[1] = x7;
      switch (GET_MODE (x2))
        {
        case E_CCmode:
          if (GET_MODE (x3) == E_CCmode)
            {
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (register_operand (operands[0], E_SImode)
                      && aarch64_plus_operand (operands[1], E_SImode))
                    return 405; /* cmpsi */
                  break;

                case E_DImode:
                  if (register_operand (operands[0], E_DImode)
                      && aarch64_plus_operand (operands[1], E_DImode))
                    return 406; /* cmpdi */
                  break;

                default:
                  break;
                }
            }
          break;

        case E_CCFPmode:
          switch (pattern731 (x3, 
E_CCFPmode))
            {
            case 0:
              if (
#line 4343 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 407; /* fcmpsf */
              break;

            case 1:
              if (
#line 4343 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 408; /* fcmpdf */
              break;

            default:
              break;
            }
          break;

        case E_CCFPEmode:
          switch (pattern731 (x3, 
E_CCFPEmode))
            {
            case 0:
              if (
#line 4355 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 409; /* fcmpesf */
              break;

            case 1:
              if (
#line 4355 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 410; /* fcmpedf */
              break;

            default:
              break;
            }
          break;

        default:
          break;
        }
      if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || GET_MODE (x2) != E_CC_Zmode
          || GET_MODE (x3) != E_CC_Zmode)
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_QImode:
          if (!register_operand (operands[0], E_QImode))
            return -1;
          return 698; /* *andqi_compare0 */

        case E_HImode:
          if (!register_operand (operands[0], E_HImode))
            return -1;
          return 699; /* *andhi_compare0 */

        default:
          return -1;
        }

    case ASHIFT:
      if (GET_MODE (x2) != E_CC_SWPmode
          || GET_MODE (x3) != E_CC_SWPmode)
        return -1;
      x6 = XEXP (x4, 1);
      operands[1] = x6;
      x7 = XEXP (x3, 1);
      operands[2] = x7;
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[0] = x5;
          switch (pattern381 (x4))
            {
            case 0:
              return 411; /* *cmp_swp_lsl_regsi */

            case 1:
              return 414; /* *cmp_swp_lsl_regdi */

            default:
              return -1;
            }

        case SIGN_EXTEND:
          switch (pattern885 (x4))
            {
            case 0:
              return 429; /* *cmp_swp_extendqi_shft_si */

            case 1:
              return 433; /* *cmp_swp_extendhi_shft_si */

            case 2:
              return 437; /* *cmp_swp_extendsi_shft_si */

            case 3:
              return 431; /* *cmp_swp_extendqi_shft_di */

            case 4:
              return 435; /* *cmp_swp_extendhi_shft_di */

            case 5:
              return 439; /* *cmp_swp_extendsi_shft_di */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern885 (x4))
            {
            case 0:
              return 430; /* *cmp_swp_zero_extendqi_shft_si */

            case 1:
              return 434; /* *cmp_swp_zero_extendhi_shft_si */

            case 2:
              return 438; /* *cmp_swp_zero_extendsi_shft_si */

            case 3:
              return 432; /* *cmp_swp_zero_extendqi_shft_di */

            case 4:
              return 436; /* *cmp_swp_zero_extendhi_shft_di */

            case 5:
              return 440; /* *cmp_swp_zero_extendsi_shft_di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern382 (x1))
        {
        case 0:
          return 412; /* *cmp_swp_asr_regsi */

        case 1:
          return 415; /* *cmp_swp_asr_regdi */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern382 (x1))
        {
        case 0:
          return 413; /* *cmp_swp_lsr_regsi */

        case 1:
          return 416; /* *cmp_swp_lsr_regdi */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      if (GET_MODE (x2) != E_CC_SWPmode
          || GET_MODE (x3) != E_CC_SWPmode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[0] = x5;
      switch (pattern733 (x3))
        {
        case 0:
          return 418; /* *cmp_swp_zero_extendqi_regsi */

        case 1:
          return 422; /* *cmp_swp_zero_extendhi_regsi */

        case 2:
          return 426; /* *cmp_swp_zero_extendsi_regsi */

        case 3:
          return 420; /* *cmp_swp_zero_extendqi_regdi */

        case 4:
          return 424; /* *cmp_swp_zero_extendhi_regdi */

        case 5:
          return 428; /* *cmp_swp_zero_extendsi_regdi */

        default:
          return -1;
        }

    case AND:
      x7 = XEXP (x3, 1);
      if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || GET_MODE (x2) != E_CC_NZVmode
          || GET_MODE (x3) != E_CC_NZVmode)
        return -1;
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case NOT:
          x12 = XEXP (x5, 0);
          switch (GET_CODE (x12))
            {
            case REG:
            case SUBREG:
              operands[0] = x12;
              x6 = XEXP (x4, 1);
              operands[1] = x6;
              switch (GET_MODE (x4))
                {
                case E_SImode:
                  if (GET_MODE (x5) != E_SImode
                      || !register_operand (operands[0], E_SImode)
                      || !register_operand (operands[1], E_SImode))
                    return -1;
                  return 601; /* *and_one_cmplsi3_compare0_no_reuse */

                case E_DImode:
                  if (GET_MODE (x5) != E_DImode
                      || !register_operand (operands[0], E_DImode)
                      || !register_operand (operands[1], E_DImode))
                    return -1;
                  return 602; /* *and_one_cmpldi3_compare0_no_reuse */

                default:
                  return -1;
                }

            case ASHIFT:
              switch (pattern886 (x4))
                {
                case 0:
                  return 678; /* *and_one_cmpl_ashlsi3_compare0_no_reuse */

                case 1:
                  return 683; /* *and_one_cmpl_ashldi3_compare0_no_reuse */

                default:
                  return -1;
                }

            case ASHIFTRT:
              switch (pattern886 (x4))
                {
                case 0:
                  return 679; /* *and_one_cmpl_ashrsi3_compare0_no_reuse */

                case 1:
                  return 684; /* *and_one_cmpl_ashrdi3_compare0_no_reuse */

                default:
                  return -1;
                }

            case LSHIFTRT:
              switch (pattern886 (x4))
                {
                case 0:
                  return 680; /* *and_one_cmpl_lshrsi3_compare0_no_reuse */

                case 1:
                  return 685; /* *and_one_cmpl_lshrdi3_compare0_no_reuse */

                default:
                  return -1;
                }

            case ROTATERT:
              switch (pattern886 (x4))
                {
                case 0:
                  return 681; /* *and_one_cmpl_rotrsi3_compare0_no_reuse */

                case 1:
                  return 686; /* *and_one_cmpl_rotrdi3_compare0_no_reuse */

                default:
                  return -1;
                }

            case ROTATE:
              switch (pattern886 (x4))
                {
                case 0:
                  return 682; /* *and_one_cmpl_rotlsi3_compare0_no_reuse */

                case 1:
                  return 687; /* *and_one_cmpl_rotldi3_compare0_no_reuse */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[0] = x5;
          x6 = XEXP (x4, 1);
          operands[1] = x6;
          switch (GET_MODE (x4))
            {
            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || !aarch64_logical_operand (operands[1], E_SImode))
                return -1;
              return 704; /* aarch64_andsi3nr_compare0 */

            case E_DImode:
              if (!register_operand (operands[0], E_DImode)
                  || !aarch64_logical_operand (operands[1], E_DImode))
                return -1;
              return 705; /* aarch64_anddi3nr_compare0 */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern801 (x4))
            {
            case 0:
              return 708; /* *and_ashlsi3nr_compare0 */

            case 1:
              return 713; /* *and_ashldi3nr_compare0 */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern801 (x4))
            {
            case 0:
              return 709; /* *and_ashrsi3nr_compare0 */

            case 1:
              return 714; /* *and_ashrdi3nr_compare0 */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern801 (x4))
            {
            case 0:
              return 710; /* *and_lshrsi3nr_compare0 */

            case 1:
              return 715; /* *and_lshrdi3nr_compare0 */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern801 (x4))
            {
            case 0:
              return 711; /* *and_rotrsi3nr_compare0 */

            case 1:
              return 716; /* *and_rotrdi3nr_compare0 */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern801 (x4))
            {
            case 0:
              return 712; /* *and_rotlsi3nr_compare0 */

            case 1:
              return 717; /* *and_rotldi3nr_compare0 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case ZERO_EXTRACT:
      x7 = XEXP (x3, 1);
      if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || GET_MODE (x2) != E_CC_Zmode
          || GET_MODE (x3) != E_CC_Zmode)
        return -1;
      x5 = XEXP (x4, 0);
      operands[0] = x5;
      x6 = XEXP (x4, 1);
      operands[1] = x6;
      x16 = XEXP (x4, 2);
      operands[2] = x16;
      switch (GET_MODE (x4))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || !const_int_operand (operands[1], E_SImode)
              || !const_int_operand (operands[2], E_SImode)
              || !
#line 5709 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) > 0
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))
	<= GET_MODE_BITSIZE (SImode))
   && aarch64_bitmask_imm (
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],
						 operands[2])),
	SImode)))
            return -1;
          return 706; /* *andsi3nr_compare0_zextract */

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || !const_int_operand (operands[1], E_DImode)
              || !const_int_operand (operands[2], E_DImode)
              || !
#line 5709 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[1]) > 0
   && ((INTVAL (operands[1]) + INTVAL (operands[2]))
	<= GET_MODE_BITSIZE (DImode))
   && aarch64_bitmask_imm (
	UINTVAL (aarch64_mask_from_zextract_ops (operands[1],
						 operands[2])),
	DImode)))
            return -1;
          return 707; /* *anddi3nr_compare0_zextract */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_529 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != PARALLEL)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XEXP (x2, 0);
  operands[1] = x5;
  if (XVECLEN (x3, 0) == 1)
    {
      res = recog_483 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[2] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x2) != E_V8QImode
          || !register_operand (operands[1], E_V16QImode))
        return -1;
      if (vect_par_cnst_lo_half (operands[2], E_V16QImode)
          && 
#line 295 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return 1301; /* aarch64_simd_mov_from_v16qilow */
      if (!vect_par_cnst_hi_half (operands[2], E_V16QImode)
          || !
#line 314 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return -1;
      return 1307; /* aarch64_simd_mov_from_v16qihigh */

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x2) != E_V4HImode
          || !register_operand (operands[1], E_V8HImode))
        return -1;
      if (vect_par_cnst_lo_half (operands[2], E_V8HImode)
          && 
#line 295 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return 1302; /* aarch64_simd_mov_from_v8hilow */
      if (!vect_par_cnst_hi_half (operands[2], E_V8HImode)
          || !
#line 314 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return -1;
      return 1308; /* aarch64_simd_mov_from_v8hihigh */

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x2) != E_V2SImode
          || !register_operand (operands[1], E_V4SImode))
        return -1;
      if (vect_par_cnst_lo_half (operands[2], E_V4SImode)
          && 
#line 295 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return 1303; /* aarch64_simd_mov_from_v4silow */
      if (!vect_par_cnst_hi_half (operands[2], E_V4SImode)
          || !
#line 314 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return -1;
      return 1309; /* aarch64_simd_mov_from_v4sihigh */

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x2) != E_V4HFmode
          || !register_operand (operands[1], E_V8HFmode))
        return -1;
      if (vect_par_cnst_lo_half (operands[2], E_V8HFmode)
          && 
#line 295 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return 1304; /* aarch64_simd_mov_from_v8hflow */
      if (!vect_par_cnst_hi_half (operands[2], E_V8HFmode)
          || !
#line 314 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return -1;
      return 1310; /* aarch64_simd_mov_from_v8hfhigh */

    case E_V4BFmode:
      if (!register_operand (operands[0], E_V4BFmode)
          || GET_MODE (x2) != E_V4BFmode
          || !register_operand (operands[1], E_V8BFmode))
        return -1;
      if (vect_par_cnst_lo_half (operands[2], E_V8BFmode)
          && 
#line 295 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return 1305; /* aarch64_simd_mov_from_v8bflow */
      if (!vect_par_cnst_hi_half (operands[2], E_V8BFmode)
          || !
#line 314 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return -1;
      return 1311; /* aarch64_simd_mov_from_v8bfhigh */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x2) != E_V2SFmode
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      if (vect_par_cnst_lo_half (operands[2], E_V4SFmode)
          && 
#line 295 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return 1306; /* aarch64_simd_mov_from_v4sflow */
      if (!vect_par_cnst_hi_half (operands[2], E_V4SFmode)
          || !
#line 314 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT))
        return -1;
      return 1312; /* aarch64_simd_mov_from_v4sfhigh */

    case E_V16QImode:
      if (pattern656 (x2, 
E_VNx16QImode, 
E_V16QImode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V16QImode) - 1)))
        return -1;
      return 11050; /* aarch64_sve_get_neonq_vnx16qi */

    case E_V8HImode:
      if (pattern656 (x2, 
E_VNx8HImode, 
E_V8HImode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V8HImode) - 1)))
        return -1;
      return 11051; /* aarch64_sve_get_neonq_vnx8hi */

    case E_V4SImode:
      if (pattern656 (x2, 
E_VNx4SImode, 
E_V4SImode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V4SImode) - 1)))
        return -1;
      return 11052; /* aarch64_sve_get_neonq_vnx4si */

    case E_V2DImode:
      if (pattern656 (x2, 
E_VNx2DImode, 
E_V2DImode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V2DImode) - 1)))
        return -1;
      return 11053; /* aarch64_sve_get_neonq_vnx2di */

    case E_V8BFmode:
      if (pattern656 (x2, 
E_VNx8BFmode, 
E_V8BFmode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V8BFmode) - 1)))
        return -1;
      return 11054; /* aarch64_sve_get_neonq_vnx8bf */

    case E_V8HFmode:
      if (pattern656 (x2, 
E_VNx8HFmode, 
E_V8HFmode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V8HFmode) - 1)))
        return -1;
      return 11055; /* aarch64_sve_get_neonq_vnx8hf */

    case E_V4SFmode:
      if (pattern656 (x2, 
E_VNx4SFmode, 
E_V4SFmode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V4SFmode) - 1)))
        return -1;
      return 11056; /* aarch64_sve_get_neonq_vnx4sf */

    case E_V2DFmode:
      if (pattern656 (x2, 
E_VNx2DFmode, 
E_V2DFmode) != 0
          || !
#line 11152 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V2DFmode) - 1)))
        return -1;
      return 11057; /* aarch64_sve_get_neonq_vnx2df */

    default:
      return -1;
    }
}

 int
recog_535 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_DFmode:
          if (!register_operand (operands[0], E_DFmode)
              || GET_MODE (x3) != E_DFmode)
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_SFmode:
              if (!register_operand (operands[1], E_SFmode)
                  || !
#line 6974 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return -1;
              return 983; /* extendsfdf2 */

            case E_HFmode:
              if (!register_operand (operands[1], E_HFmode)
                  || !
#line 6990 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return -1;
              return 985; /* extendhfdf2 */

            default:
              return -1;
            }

        case E_SFmode:
          if (!register_operand (operands[0], E_SFmode)
              || GET_MODE (x3) != E_SFmode
              || !register_operand (operands[1], E_HFmode)
              || !
#line 6982 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
            return -1;
          return 984; /* extendhfsf2 */

        case E_V2DFmode:
          if (!register_operand (operands[0], E_V2DFmode)
              || GET_MODE (x3) != E_V2DFmode
              || !register_operand (operands[1], E_V2SFmode)
              || !
#line 3188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2640; /* extendv2sfv2df2 */

        case E_V4SFmode:
          if (!register_operand (operands[0], E_V4SFmode)
              || GET_MODE (x3) != E_V4SFmode
              || !register_operand (operands[1], E_V4HFmode)
              || !
#line 3188 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2641; /* extendv4hfv4sf2 */

        case E_VNx8SFmode:
          if (!aligned_register_operand (operands[0], E_VNx8SFmode)
              || GET_MODE (x3) != E_VNx8SFmode
              || !register_operand (operands[1], E_VNx8HFmode)
              || !
#line 3339 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME_F16F16))
            return -1;
          return 12569; /* extendvnx8hfvnx8sf2 */

        default:
          return -1;
        }

    case VEC_SELECT:
      x5 = XEXP (x4, 0);
      operands[1] = x5;
      x6 = XEXP (x4, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SFmode:
          if (pattern655 (x3, 
E_V8HFmode, 
E_V4HFmode, 
E_V4SFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[2], E_V8HFmode)
              && 
#line 3112 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2616; /* aarch64_simd_vec_unpacks_lo_v8hf */
          if (!vect_par_cnst_hi_half (operands[2], E_V8HFmode)
              || !
#line 3168 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2638; /* aarch64_simd_vec_unpacks_hi_v8hf */

        case E_V2DFmode:
          if (pattern655 (x3, 
E_V4SFmode, 
E_V2SFmode, 
E_V2DFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[2], E_V4SFmode)
              && 
#line 3112 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2617; /* aarch64_simd_vec_unpacks_lo_v4sf */
          if (!vect_par_cnst_hi_half (operands[2], E_V4SFmode)
              || !
#line 3168 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2639; /* aarch64_simd_vec_unpacks_hi_v4sf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_545 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != MEM
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 2
      || XINT (x4, 1) != 6)
    return -1;
  x5 = XEXP (x2, 0);
  if (GET_CODE (x5) != PC)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  if (pattern444 (x6, 
66, 
E_CCmode, 
CLOBBER) != 0)
    return -1;
  x7 = XVECEXP (x1, 0, 4);
  if (GET_CODE (x7) != USE)
    return -1;
  x8 = XEXP (x7, 0);
  if (GET_CODE (x8) != LABEL_REF
      || GET_MODE (x8) != E_DImode)
    return -1;
  x9 = XVECEXP (x4, 0, 0);
  operands[0] = x9;
  if (!register_operand (operands[0], E_DImode))
    return -1;
  x10 = XVECEXP (x4, 0, 1);
  operands[1] = x10;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x11 = XVECEXP (x1, 0, 2);
  x12 = XEXP (x11, 0);
  operands[3] = x12;
  if (!scratch_operand (operands[3], E_DImode))
    return -1;
  x13 = XEXP (x8, 0);
  operands[2] = x13;
  return 28; /* *casesi_dispatch */
}

 int
recog_549 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10104; /* while_wrsivnx16bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10114; /* while_wrdivnx16bi_ptest */
}

 int
recog_553 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10024; /* *while_wrsivnx16bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10034; /* *while_wrdivnx16bi_cc */
}

 int
recog_557 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10103; /* while_rwsivnx16bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10113; /* while_rwdivnx16bi_ptest */
}

 int
recog_562 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10162; /* while_ugesivnx2bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10172; /* while_ugedivnx2bi_ptest */
}

 int
recog_572 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10121; /* while_ugtsivnx8bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10131; /* while_ugtdivnx8bi_ptest */
}

 int
recog_582 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10080; /* *while_gtsivnx2bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10090; /* *while_gtdivnx2bi_cc */
}

 int
recog_592 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10039; /* *while_gesivnx8bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10049; /* *while_gedivnx8bi_cc */
}

 int
recog_602 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern679 (x1))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9942; /* while_ugesivnx16bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9952; /* while_ugedivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9962; /* while_ugesivnx8bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9972; /* while_ugedivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9982; /* while_ugesivnx4bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9992; /* while_ugedivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10002; /* while_ugesivnx2bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10012; /* while_ugedivnx2bi */

    default:
      return -1;
    }
}

 int
recog_607 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != PLUS)
    return -1;
  x7 = XEXP (x3, 1);
  operands[2] = x7;
  x8 = XEXP (x6, 1);
  operands[3] = x8;
  x9 = XEXP (x6, 0);
  if (!rtx_equal_p (x9, operands[1]))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_SImode:
      if (pattern1260 (x6, 
E_SImode) != 0
          || !
#line 3563 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == -UINTVAL (operands[3])))
        return -1;
      return 283; /* subsi3_compare1_imm */

    case E_DImode:
      if (pattern1260 (x6, 
E_DImode) != 0
          || !
#line 3563 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == -UINTVAL (operands[3])))
        return -1;
      return 284; /* subdi3_compare1_imm */

    default:
      return -1;
    }
}

 int
recog_609 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case PLUS:
      if (GET_MODE (x5) != E_TImode)
        return -1;
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != LTU
          || GET_MODE (x6) != E_TImode)
        return -1;
      x7 = XEXP (x6, 0);
      if (GET_CODE (x7) != REG
          || REGNO (x7) != 66
          || GET_MODE (x7) != E_CCmode)
        return -1;
      x8 = XEXP (x6, 1);
      if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x9 = XEXP (x5, 1);
      if (GET_CODE (x9) != SIGN_EXTEND
          || GET_MODE (x9) != E_TImode)
        return -1;
      x10 = XEXP (x3, 1);
      if (GET_CODE (x10) != SIGN_EXTEND
          || GET_MODE (x10) != E_TImode)
        return -1;
      x11 = XEXP (x10, 0);
      if (GET_CODE (x11) != NEG
          || GET_MODE (x11) != E_DImode)
        return -1;
      x12 = XEXP (x11, 0);
      if (GET_CODE (x12) != PLUS
          || GET_MODE (x12) != E_DImode)
        return -1;
      x13 = XEXP (x12, 0);
      if (GET_CODE (x13) != LTU
          || GET_MODE (x13) != E_DImode)
        return -1;
      x14 = XEXP (x13, 0);
      if (GET_CODE (x14) != REG
          || REGNO (x14) != 66
          || GET_MODE (x14) != E_CCmode)
        return -1;
      x15 = XEXP (x13, 1);
      if (x15 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x16 = XVECEXP (x1, 0, 1);
      x17 = XEXP (x16, 1);
      if (GET_CODE (x17) != NEG
          || GET_MODE (x17) != E_DImode)
        return -1;
      x18 = XEXP (x17, 0);
      if (GET_CODE (x18) != PLUS
          || GET_MODE (x18) != E_DImode)
        return -1;
      x19 = XEXP (x18, 0);
      if (GET_CODE (x19) != LTU
          || GET_MODE (x19) != E_DImode)
        return -1;
      x20 = XEXP (x19, 0);
      if (GET_CODE (x20) != REG
          || REGNO (x20) != 66
          || GET_MODE (x20) != E_CCmode)
        return -1;
      x21 = XEXP (x19, 1);
      if (x21 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x22 = XEXP (x2, 0);
      if (GET_MODE (x22) != E_CC_Vmode
          || GET_MODE (x3) != E_CC_Vmode
          || GET_MODE (x4) != E_TImode)
        return -1;
      x23 = XEXP (x9, 0);
      operands[1] = x23;
      if (!register_operand (operands[1], E_DImode)
          || !register_operand (operands[0], E_DImode))
        return -1;
      x24 = XEXP (x12, 1);
      if (!rtx_equal_p (x24, operands[1]))
        return -1;
      x25 = XEXP (x18, 1);
      if (!rtx_equal_p (x25, operands[1]))
        return -1;
      return 279; /* negvdi_carryinV */

    case REG:
    case SUBREG:
      operands[1] = x5;
      x10 = XEXP (x3, 1);
      if (x10 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x22 = XEXP (x2, 0);
      if (GET_MODE (x22) != E_CC_NZmode
          || GET_MODE (x3) != E_CC_NZmode)
        return -1;
      x16 = XVECEXP (x1, 0, 1);
      x17 = XEXP (x16, 1);
      switch (GET_CODE (x17))
        {
        case NEG:
          x18 = XEXP (x17, 0);
          if (!rtx_equal_p (x18, operands[1]))
            return -1;
          switch (GET_MODE (x4))
            {
            case E_SImode:
              if (!register_operand (operands[1], E_SImode)
                  || !register_operand (operands[0], E_SImode)
                  || GET_MODE (x17) != E_SImode)
                return -1;
              return 358; /* negsi2_compare0 */

            case E_DImode:
              if (!register_operand (operands[1], E_DImode)
                  || !register_operand (operands[0], E_DImode)
                  || GET_MODE (x17) != E_DImode)
                return -1;
              return 359; /* negdi2_compare0 */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          if (pattern1180 (x1, 
NEG) != 0
              || !register_operand (operands[0], E_DImode))
            return -1;
          x18 = XEXP (x17, 0);
          x19 = XEXP (x18, 0);
          if (!rtx_equal_p (x19, operands[1]))
            return -1;
          return 360; /* *negsi2_compare0_uxtw */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern912 (x1, 
ASHIFT))
        {
        case 0:
          return 361; /* *neg_lslsi3_compare0 */

        case 1:
          return 364; /* *neg_lsldi3_compare0 */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern912 (x1, 
ASHIFTRT))
        {
        case 0:
          return 362; /* *neg_asrsi3_compare0 */

        case 1:
          return 365; /* *neg_asrdi3_compare0 */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern912 (x1, 
LSHIFTRT))
        {
        case 0:
          return 363; /* *neg_lsrsi3_compare0 */

        case 1:
          return 366; /* *neg_lsrdi3_compare0 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_613 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 66)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != SET)
    return -1;
  x5 = XEXP (x4, 0);
  operands[0] = x5;
  x6 = XEXP (x2, 1);
  x7 = XEXP (x6, 0);
  switch (GET_CODE (x7))
    {
    case PLUS:
      return recog_608 (x1, insn, pnum_clobbers);

    case MINUS:
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[1] = x8;
          x9 = XEXP (x6, 1);
          if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
              || GET_MODE (x3) != E_CC_NZmode
              || GET_MODE (x6) != E_CC_NZmode)
            return -1;
          x10 = XEXP (x7, 1);
          switch (GET_CODE (x10))
            {
            case ASHIFT:
              x11 = XEXP (x4, 1);
              if (GET_CODE (x11) != MINUS)
                return -1;
              x12 = XEXP (x11, 1);
              if (GET_CODE (x12) != ASHIFT)
                return -1;
              x13 = XEXP (x10, 1);
              operands[3] = x13;
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x15 = XEXP (x12, 1);
              if (!rtx_equal_p (x15, operands[3]))
                return -1;
              x16 = XEXP (x10, 0);
              switch (GET_CODE (x16))
                {
                case REG:
                case SUBREG:
                  operands[2] = x16;
                  x17 = XEXP (x12, 0);
                  if (!rtx_equal_p (x17, operands[2]))
                    return -1;
                  switch (pattern1176 (x1))
                    {
                    case 0:
                      return 146; /* *subs_shift_imm_si */

                    case 1:
                      return 149; /* *subs_shift_imm_di */

                    default:
                      return -1;
                    }

                case SIGN_EXTEND:
                  switch (pattern1305 (x1, 
SIGN_EXTEND))
                    {
                    case 0:
                      return 188; /* *subs_extendqi_shift_si */

                    case 1:
                      return 192; /* *subs_extendhi_shift_si */

                    case 2:
                      return 196; /* *subs_extendsi_shift_si */

                    case 3:
                      return 190; /* *subs_extendqi_shift_di */

                    case 4:
                      return 194; /* *subs_extendhi_shift_di */

                    case 5:
                      return 198; /* *subs_extendsi_shift_di */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  switch (pattern1305 (x1, 
ZERO_EXTEND))
                    {
                    case 0:
                      return 189; /* *subs_zero_extendqi_shift_si */

                    case 1:
                      return 193; /* *subs_zero_extendhi_shift_si */

                    case 2:
                      return 197; /* *subs_zero_extendsi_shift_si */

                    case 3:
                      return 191; /* *subs_zero_extendqi_shift_di */

                    case 4:
                      return 195; /* *subs_zero_extendhi_shift_di */

                    case 5:
                      return 199; /* *subs_zero_extendsi_shift_di */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case ASHIFTRT:
              switch (pattern1177 (x1, 
ASHIFTRT))
                {
                case 0:
                  return 147; /* *subs_shift_imm_si */

                case 1:
                  return 150; /* *subs_shift_imm_di */

                default:
                  return -1;
                }

            case LSHIFTRT:
              switch (pattern1177 (x1, 
LSHIFTRT))
                {
                case 0:
                  return 148; /* *subs_shift_imm_si */

                case 1:
                  return 151; /* *subs_shift_imm_di */

                default:
                  return -1;
                }

            case SIGN_EXTEND:
              switch (pattern1179 (x1, 
SIGN_EXTEND))
                {
                case 0:
                  return 164; /* *subs_extendqi_si */

                case 1:
                  return 168; /* *subs_extendhi_si */

                case 2:
                  return 172; /* *subs_extendsi_si */

                case 3:
                  return 166; /* *subs_extendqi_di */

                case 4:
                  return 170; /* *subs_extendhi_di */

                case 5:
                  return 174; /* *subs_extendsi_di */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              switch (pattern1179 (x1, 
ZERO_EXTEND))
                {
                case 0:
                  return 165; /* *subs_zero_extendqi_si */

                case 1:
                  return 169; /* *subs_zero_extendhi_si */

                case 2:
                  return 173; /* *subs_zero_extendsi_si */

                case 3:
                  return 167; /* *subs_zero_extendqi_di */

                case 4:
                  return 171; /* *subs_zero_extendhi_di */

                case 5:
                  return 175; /* *subs_zero_extendsi_di */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[2] = x10;
              x11 = XEXP (x4, 1);
              switch (GET_CODE (x11))
                {
                case MINUS:
                  x14 = XEXP (x11, 0);
                  if (!rtx_equal_p (x14, operands[1]))
                    return -1;
                  x12 = XEXP (x11, 1);
                  if (!rtx_equal_p (x12, operands[2]))
                    return -1;
                  switch (GET_MODE (x7))
                    {
                    case E_SImode:
                      if (pattern1292 (x11, 
E_SImode) != 0)
                        return -1;
                      return 280; /* *subsi3_compare0 */

                    case E_DImode:
                      if (pattern1292 (x11, 
E_DImode) != 0)
                        return -1;
                      return 281; /* *subdi3_compare0 */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  if (pattern1213 (x1, 
MINUS) != 0
                      || !register_operand (operands[1], E_SImode)
                      || !register_operand (operands[2], E_SImode)
                      || !register_operand (operands[0], E_DImode))
                    return -1;
                  x14 = XEXP (x11, 0);
                  x18 = XEXP (x14, 0);
                  if (!rtx_equal_p (x18, operands[1]))
                    return -1;
                  x19 = XEXP (x14, 1);
                  if (!rtx_equal_p (x19, operands[2]))
                    return -1;
                  return 282; /* *subsi3_compare0_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case SIGN_EXTEND:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != SIGN_EXTEND)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != MINUS)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS
              || GET_MODE (x3) != E_CC_Vmode
              || GET_MODE (x6) != E_CC_Vmode)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x10 = XEXP (x7, 1);
          switch (GET_CODE (x10))
            {
            case GEU:
            case LTU:
              operands[2] = x10;
              x23 = XEXP (x20, 1);
              operands[3] = x23;
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[3]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1331 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 343; /* *subsi3_carryinV_z2 */

                case E_TImode:
                  if (pattern1331 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 344; /* *subdi3_carryinV_z2 */

                default:
                  return -1;
                }

            case PLUS:
              x16 = XEXP (x10, 0);
              if (GET_CODE (x16) != SIGN_EXTEND)
                return -1;
              x23 = XEXP (x20, 1);
              if (GET_CODE (x23) != PLUS)
                return -1;
              x14 = XEXP (x11, 0);
              if (GET_CODE (x14) != MINUS)
                return -1;
              x24 = XEXP (x16, 0);
              operands[2] = x24;
              x13 = XEXP (x10, 1);
              operands[3] = x13;
              x25 = XEXP (x23, 0);
              operands[4] = x25;
              x26 = XEXP (x23, 1);
              if (!rtx_equal_p (x26, operands[2]))
                return -1;
              x18 = XEXP (x14, 0);
              if (!rtx_equal_p (x18, operands[1]))
                return -1;
              x19 = XEXP (x14, 1);
              if (!rtx_equal_p (x19, operands[2]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[4]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1357 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 345; /* *subsi3_carryinV */

                case E_TImode:
                  if (pattern1357 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 346; /* *subdi3_carryinV */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SIGN_EXTEND:
      if (GET_MODE (x3) != E_CC_Vmode
          || GET_MODE (x6) != E_CC_Vmode)
        return -1;
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case MINUS:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != MINUS)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != SIGN_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x27 = XEXP (x8, 1);
          operands[2] = x27;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          x12 = XEXP (x11, 1);
          if (!rtx_equal_p (x12, operands[2]))
            return -1;
          switch (GET_CODE (operands[2]))
            {
            case REG:
            case SUBREG:
              x28 = XEXP (x9, 1);
              if (GET_CODE (x28) != SIGN_EXTEND)
                return -1;
              x29 = XEXP (x28, 0);
              if (!rtx_equal_p (x29, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1335 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 268; /* subvsi_insn */

                case E_TImode:
                  if (pattern1335 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 269; /* subvdi_insn */

                default:
                  return -1;
                }

            case CONST_INT:
              x28 = XEXP (x9, 1);
              if (!rtx_equal_p (x28, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1332 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 270; /* subvsi_imm */

                case E_TImode:
                  if (pattern1332 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 271; /* subvdi_imm */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case NEG:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != NEG)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != SIGN_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != NEG)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1283 (x1, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 272; /* negvsi_insn */

            case E_TImode:
              if (pattern1283 (x1, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 273; /* negvdi_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      return recog_609 (x1, insn, pnum_clobbers);

    case CONST_INT:
    case CONST_DOUBLE:
    case REG:
    case SUBREG:
      if (GET_MODE (x3) != E_CCmode
          || GET_MODE (x6) != E_CCmode)
        return -1;
      switch (GET_CODE (x7))
        {
        case CONST_INT:
          res = recog_606 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        case REG:
        case SUBREG:
          res = recog_607 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        default:
          break;
        }
      x11 = XEXP (x4, 1);
      if (GET_CODE (x11) != MINUS)
        return -1;
      operands[1] = x7;
      x9 = XEXP (x6, 1);
      operands[2] = x9;
      if (aarch64_reg_or_zero (operands[2], E_SImode)
          && pattern1181 (x11, 
E_SImode) == 0)
        return 285; /* subsi3_compare1 */
      if (!aarch64_reg_or_zero (operands[2], E_DImode)
          || pattern1181 (x11, 
E_DImode) != 0)
        return -1;
      return 286; /* subdi3_compare1 */

    case ZERO_EXTEND:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      x9 = XEXP (x6, 1);
      switch (GET_CODE (x9))
        {
        case GEU:
        case LTU:
          operands[2] = x9;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS
              || GET_MODE (x3) != E_CCmode
              || GET_MODE (x6) != E_CCmode)
            return -1;
          x12 = XEXP (x11, 1);
          operands[3] = x12;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1261 (x11, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 339; /* *usubsi3_carryinC_z2 */

            case E_TImode:
              if (pattern1261 (x11, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 340; /* *usubdi3_carryinC_z2 */

            default:
              return -1;
            }

        case PLUS:
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != ZERO_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS)
            return -1;
          x14 = XEXP (x11, 0);
          if (GET_CODE (x14) != MINUS
              || GET_MODE (x3) != E_CCmode
              || GET_MODE (x6) != E_CCmode)
            return -1;
          x22 = XEXP (x20, 0);
          operands[2] = x22;
          x28 = XEXP (x9, 1);
          operands[3] = x28;
          x12 = XEXP (x11, 1);
          operands[4] = x12;
          x18 = XEXP (x14, 0);
          if (!rtx_equal_p (x18, operands[1]))
            return -1;
          x19 = XEXP (x14, 1);
          if (!rtx_equal_p (x19, operands[2]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1313 (x1, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 341; /* *usubsi3_carryinC */

            case E_TImode:
              if (pattern1313 (x1, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 342; /* *usubdi3_carryinC */

            default:
              return -1;
            }

        case CONST_INT:
          if (XWINT (x9, 0) != 0L)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != ZERO_EXTEND
              || GET_MODE (x3) != E_CC_Zmode
              || GET_MODE (x6) != E_CC_Zmode)
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_SImode:
              switch (pattern1245 (x11, 
E_SImode))
                {
                case 0:
                  return 700; /* *andssi_compare0 */

                case 1:
                  return 702; /* *andssi_compare0 */

                default:
                  return -1;
                }

            case E_DImode:
              switch (pattern1245 (x11, 
E_DImode))
                {
                case 0:
                  return 701; /* *andsdi_compare0 */

                case 1:
                  return 703; /* *andsdi_compare0 */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case AND:
      x9 = XEXP (x6, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || GET_MODE (x3) != E_CC_NZVmode
          || GET_MODE (x6) != E_CC_NZVmode)
        return -1;
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[1] = x8;
          x10 = XEXP (x7, 1);
          operands[2] = x10;
          x11 = XEXP (x4, 1);
          switch (GET_CODE (x11))
            {
            case AND:
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_SImode:
                  if (pattern1284 (x11, 
E_SImode) != 0)
                    return -1;
                  return 513; /* *andsi3_compare0 */

                case E_DImode:
                  if (pattern1284 (x11, 
E_DImode) != 0)
                    return -1;
                  return 514; /* *anddi3_compare0 */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              if (pattern1213 (x1, 
AND) != 0
                  || !register_operand (operands[1], E_SImode)
                  || !aarch64_logical_operand (operands[2], E_SImode)
                  || !register_operand (operands[0], E_DImode))
                return -1;
              x14 = XEXP (x11, 0);
              x18 = XEXP (x14, 0);
              if (!rtx_equal_p (x18, operands[1]))
                return -1;
              x19 = XEXP (x14, 1);
              if (!rtx_equal_p (x19, operands[2]))
                return -1;
              return 515; /* *andsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern1090 (x1, 
ASHIFT))
            {
            case 0:
              return 516; /* *and_ashlsi3_compare0 */

            case 1:
              return 521; /* *and_ashldi3_compare0 */

            case 2:
              return 526; /* *and_ashlsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern1090 (x1, 
ASHIFTRT))
            {
            case 0:
              return 517; /* *and_ashrsi3_compare0 */

            case 1:
              return 522; /* *and_ashrdi3_compare0 */

            case 2:
              return 527; /* *and_ashrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern1090 (x1, 
LSHIFTRT))
            {
            case 0:
              return 518; /* *and_lshrsi3_compare0 */

            case 1:
              return 523; /* *and_lshrdi3_compare0 */

            case 2:
              return 528; /* *and_lshrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern1090 (x1, 
ROTATERT))
            {
            case 0:
              return 519; /* *and_rotrsi3_compare0 */

            case 1:
              return 524; /* *and_rotrdi3_compare0 */

            case 2:
              return 529; /* *and_rotrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern1090 (x1, 
ROTATE))
            {
            case 0:
              return 520; /* *and_rotlsi3_compare0 */

            case 1:
              return 525; /* *and_rotldi3_compare0 */

            case 2:
              return 530; /* *and_rotlsi3_compare0_uxtw */

            default:
              return -1;
            }

        case NOT:
          x21 = XEXP (x8, 0);
          switch (GET_CODE (x21))
            {
            case REG:
            case SUBREG:
              operands[1] = x21;
              x10 = XEXP (x7, 1);
              operands[2] = x10;
              x11 = XEXP (x4, 1);
              switch (GET_CODE (x11))
                {
                case AND:
                  x14 = XEXP (x11, 0);
                  if (GET_CODE (x14) != NOT)
                    return -1;
                  x18 = XEXP (x14, 0);
                  if (!rtx_equal_p (x18, operands[1]))
                    return -1;
                  x12 = XEXP (x11, 1);
                  if (!rtx_equal_p (x12, operands[2]))
                    return -1;
                  switch (GET_MODE (x7))
                    {
                    case E_SImode:
                      if (pattern1306 (x1, 
E_SImode) != 0)
                        return -1;
                      return 598; /* *and_one_cmplsi3_compare0 */

                    case E_DImode:
                      if (pattern1306 (x1, 
E_DImode) != 0)
                        return -1;
                      return 599; /* *and_one_cmpldi3_compare0 */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  if (GET_MODE (x11) != E_DImode)
                    return -1;
                  x14 = XEXP (x11, 0);
                  if (GET_CODE (x14) != AND
                      || GET_MODE (x14) != E_SImode)
                    return -1;
                  x18 = XEXP (x14, 0);
                  if (GET_CODE (x18) != NOT
                      || GET_MODE (x18) != E_SImode
                      || GET_MODE (x7) != E_SImode
                      || GET_MODE (x8) != E_SImode
                      || !register_operand (operands[1], E_SImode)
                      || !register_operand (operands[2], E_SImode)
                      || !register_operand (operands[0], E_DImode))
                    return -1;
                  x30 = XEXP (x18, 0);
                  if (!rtx_equal_p (x30, operands[1]))
                    return -1;
                  x19 = XEXP (x14, 1);
                  if (!rtx_equal_p (x19, operands[2]))
                    return -1;
                  return 600; /* *and_one_cmplsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ASHIFT:
              switch (pattern1145 (x1, 
ASHIFT))
                {
                case 0:
                  return 663; /* *and_one_cmpl_ashlsi3_compare0 */

                case 1:
                  return 668; /* *and_one_cmpl_ashldi3_compare0 */

                case 2:
                  return 673; /* *and_one_cmpl_ashlsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ASHIFTRT:
              switch (pattern1145 (x1, 
ASHIFTRT))
                {
                case 0:
                  return 664; /* *and_one_cmpl_ashrsi3_compare0 */

                case 1:
                  return 669; /* *and_one_cmpl_ashrdi3_compare0 */

                case 2:
                  return 674; /* *and_one_cmpl_ashrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case LSHIFTRT:
              switch (pattern1145 (x1, 
LSHIFTRT))
                {
                case 0:
                  return 665; /* *and_one_cmpl_lshrsi3_compare0 */

                case 1:
                  return 670; /* *and_one_cmpl_lshrdi3_compare0 */

                case 2:
                  return 675; /* *and_one_cmpl_lshrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ROTATERT:
              switch (pattern1145 (x1, 
ROTATERT))
                {
                case 0:
                  return 666; /* *and_one_cmpl_rotrsi3_compare0 */

                case 1:
                  return 671; /* *and_one_cmpl_rotrdi3_compare0 */

                case 2:
                  return 676; /* *and_one_cmpl_rotrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ROTATE:
              switch (pattern1145 (x1, 
ROTATE))
                {
                case 0:
                  return 667; /* *and_one_cmpl_rotlsi3_compare0 */

                case 1:
                  return 672; /* *and_one_cmpl_rotldi3_compare0 */

                case 2:
                  return 677; /* *and_one_cmpl_rotlsi3_compare0_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19;
  int res ATTRIBUTE_UNUSED;
  recog_data.insn = NULL;
  switch (GET_CODE (x1))
    {
    case SET:
      return recog_622 (x1, insn, pnum_clobbers);

    case UNSPEC_VOLATILE:
      switch (XVECLEN (x1, 0))
        {
        case 2:
          x2 = XVECEXP (x1, 0, 0);
          operands[0] = x2;
          x3 = XVECEXP (x1, 0, 1);
          operands[1] = x3;
          switch (XINT (x1, 1))
            {
            case 165:
              if (GET_MODE (x1) != E_DImode
                  || !aarch64_sysreg_string (operands[0], E_VOIDmode)
                  || !aarch64_reg_or_zero (operands[1], E_DImode))
                return -1;
              return 3; /* aarch64_write_sysregdi */

            case 166:
              if (GET_MODE (x1) != E_TImode
                  || !aarch64_sysreg_string (operands[0], E_VOIDmode)
                  || !register_operand (operands[1], E_TImode)
                  || !
#line 673 "../../gcc/config/aarch64/aarch64.md"
(TARGET_D128))
                return -1;
              return 4; /* aarch64_write_sysregti */

            case 181:
              if (!const_int_operand (operands[0], E_VOIDmode)
                  || !const_int_operand (operands[1], E_VOIDmode))
                return -1;
              return 1222; /* patchable_area */

            default:
              return -1;
            }

        case 1:
          switch (XINT (x1, 1))
            {
            case 5:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1151; /* blockage */

            case 4:
              x2 = XVECEXP (x1, 0, 0);
              operands[0] = x2;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (!register_operand (operands[0], E_SImode))
                    return -1;
                  return 1161; /* aarch64_set_fpsrsi */

                case E_DImode:
                  if (!register_operand (operands[0], E_DImode))
                    return -1;
                  return 1163; /* aarch64_set_fpsrdi */

                default:
                  return -1;
                }

            case 2:
              x2 = XVECEXP (x1, 0, 0);
              operands[0] = x2;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (!register_operand (operands[0], E_SImode))
                    return -1;
                  return 1162; /* aarch64_set_fpcrsi */

                case E_DImode:
                  if (!register_operand (operands[0], E_DImode))
                    return -1;
                  return 1164; /* aarch64_set_fpcrdi */

                default:
                  return -1;
                }

            case 8:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1171; /* bti_noarg */

            case 9:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1172; /* bti_c */

            case 10:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1173; /* bti_j */

            case 11:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1174; /* bti_jc */

            case 7:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1175; /* speculation_barrier */

            case 14:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1228; /* aarch64_gcspopm_xzr */

            case 15:
              x2 = XVECEXP (x1, 0, 0);
              operands[0] = x2;
              if (!register_operand (operands[0], E_DImode))
                return -1;
              return 1229; /* aarch64_gcsss1 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PARALLEL:
      return recog_623 (x1, insn, pnum_clobbers);

    case UNSPEC:
      switch (XVECLEN (x1, 0))
        {
        case 1:
          if (XINT (x1, 1) != 71)
            return -1;
          x2 = XVECEXP (x1, 0, 0);
          if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          return 29; /* nop */

        case 2:
          if (XINT (x1, 1) != 167)
            return -1;
          x2 = XVECEXP (x1, 0, 0);
          operands[0] = x2;
          x3 = XVECEXP (x1, 0, 1);
          operands[1] = x3;
          if (!aarch64_prefetch_operand (operands[1], E_DImode))
            return -1;
          return 31; /* aarch64_pldx */

        default:
          return -1;
        }

    case PREFETCH:
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (aarch64_prefetch_operand (operands[0], E_DImode))
        {
          x5 = XEXP (x1, 1);
          operands[1] = x5;
          if (const_int_operand (operands[1], E_QImode))
            {
              x6 = XEXP (x1, 2);
              operands[2] = x6;
              if (const_int_operand (operands[2], E_QImode))
                return 30; /* prefetch */
            }
        }
      if (GET_CODE (x4) != UNSPEC
          || GET_MODE (x4) != E_DImode)
        return -1;
      x5 = XEXP (x1, 1);
      if (!const_int_operand (x5, E_DImode))
        return -1;
      x6 = XEXP (x1, 2);
      if (!const_int_operand (x6, E_DImode))
        return -1;
      switch (XVECLEN (x4, 0))
        {
        case 3:
          if (XINT (x4, 1) != 170)
            return -1;
          x7 = XVECEXP (x4, 0, 0);
          operands[0] = x7;
          x8 = XVECEXP (x4, 0, 1);
          operands[1] = x8;
          x9 = XVECEXP (x4, 0, 2);
          operands[2] = x9;
          if (!const_int_operand (operands[2], E_DImode))
            return -1;
          operands[3] = x5;
          operands[4] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16BImode:
              if (!register_operand (operands[0], E_VNx16BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx16QImode)
                  || !
#line 2122 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6253; /* aarch64_sve_prefetchvnx16qi */

            case E_VNx8BImode:
              if (!register_operand (operands[0], E_VNx8BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx8HImode)
                  || !
#line 2122 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6254; /* aarch64_sve_prefetchvnx8hi */

            case E_VNx4BImode:
              if (!register_operand (operands[0], E_VNx4BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx4SImode)
                  || !
#line 2122 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6255; /* aarch64_sve_prefetchvnx4si */

            case E_VNx2BImode:
              if (!register_operand (operands[0], E_VNx2BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx2DImode)
                  || !
#line 2122 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6256; /* aarch64_sve_prefetchvnx2di */

            default:
              return -1;
            }

        case 7:
          if (XINT (x4, 1) != 171)
            return -1;
          x7 = XVECEXP (x4, 0, 0);
          operands[0] = x7;
          x8 = XVECEXP (x4, 0, 1);
          operands[1] = x8;
          x10 = XVECEXP (x4, 0, 3);
          operands[3] = x10;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x11 = XVECEXP (x4, 0, 4);
          operands[4] = x11;
          x12 = XVECEXP (x4, 0, 5);
          operands[5] = x12;
          x13 = XVECEXP (x4, 0, 6);
          operands[6] = x13;
          if (!const_int_operand (operands[6], E_DImode))
            return -1;
          operands[7] = x5;
          operands[8] = x6;
          x9 = XVECEXP (x4, 0, 2);
          switch (GET_CODE (x9))
            {
            case REG:
            case SUBREG:
              operands[2] = x9;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4BImode:
                  if (!register_operand (operands[0], E_VNx4BImode)
                      || !register_operand (operands[2], E_VNx4SImode))
                    return -1;
                  if (aarch64_sve_gather_offset_b (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_b (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                      && 
#line 2162 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6257; /* aarch64_sve_gather_prefetchvnx16qivnx4si */
                  if (aarch64_sve_gather_offset_h (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_h (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                      && 
#line 2162 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6258; /* aarch64_sve_gather_prefetchvnx8hivnx4si */
                  if (aarch64_sve_gather_offset_w (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_w (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                      && 
#line 2162 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6259; /* aarch64_sve_gather_prefetchvnx4sivnx4si */
                  if (!aarch64_sve_gather_offset_d (operands[1], E_DImode)
                      || !aarch64_gather_scale_operand_d (operands[4], E_DImode)
                      || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                      || !
#line 2162 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6260; /* aarch64_sve_gather_prefetchvnx2divnx4si */

                case E_VNx2BImode:
                  if (!register_operand (operands[0], E_VNx2BImode)
                      || !register_operand (operands[2], E_VNx2DImode))
                    return -1;
                  if (aarch64_sve_gather_offset_b (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_b (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                      && 
#line 2191 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6261; /* aarch64_sve_gather_prefetchvnx16qivnx2di */
                  if (aarch64_sve_gather_offset_h (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_h (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                      && 
#line 2191 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6262; /* aarch64_sve_gather_prefetchvnx8hivnx2di */
                  if (aarch64_sve_gather_offset_w (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_w (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                      && 
#line 2191 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6263; /* aarch64_sve_gather_prefetchvnx4sivnx2di */
                  if (!aarch64_sve_gather_offset_d (operands[1], E_DImode)
                      || !aarch64_gather_scale_operand_d (operands[4], E_DImode)
                      || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                      || !
#line 2191 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6264; /* aarch64_sve_gather_prefetchvnx2divnx2di */

                default:
                  return -1;
                }

            case UNSPEC:
              if (pattern571 (x9) != 0
                  || !register_operand (operands[0], E_VNx2BImode)
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x14 = XVECEXP (x9, 0, 0);
              operands[9] = x14;
              x15 = XVECEXP (x9, 0, 1);
              x16 = XEXP (x15, 0);
              x17 = XEXP (x16, 0);
              operands[2] = x17;
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              if (aarch64_gather_scale_operand_b (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                  && 
#line 2222 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6265; /* *aarch64_sve_gather_prefetchvnx16qivnx2di_sxtw */
              if (aarch64_gather_scale_operand_h (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                  && 
#line 2222 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6266; /* *aarch64_sve_gather_prefetchvnx8hivnx2di_sxtw */
              if (aarch64_gather_scale_operand_w (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                  && 
#line 2222 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6267; /* *aarch64_sve_gather_prefetchvnx4sivnx2di_sxtw */
              if (!aarch64_gather_scale_operand_d (operands[4], E_DImode)
                  || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                  || !
#line 2222 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 6268; /* *aarch64_sve_gather_prefetchvnx2divnx2di_sxtw */

            case AND:
              if (GET_MODE (x9) != E_VNx2DImode
                  || !register_operand (operands[0], E_VNx2BImode)
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x18 = XEXP (x9, 0);
              operands[2] = x18;
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              x19 = XEXP (x9, 1);
              operands[9] = x19;
              if (!aarch64_sve_uxtw_immediate (operands[9], E_VNx2DImode))
                return -1;
              if (aarch64_gather_scale_operand_b (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                  && 
#line 2252 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6269; /* *aarch64_sve_gather_prefetchvnx16qivnx2di_uxtw */
              if (aarch64_gather_scale_operand_h (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                  && 
#line 2252 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6270; /* *aarch64_sve_gather_prefetchvnx8hivnx2di_uxtw */
              if (aarch64_gather_scale_operand_w (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                  && 
#line 2252 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6271; /* *aarch64_sve_gather_prefetchvnx4sivnx2di_uxtw */
              if (!aarch64_gather_scale_operand_d (operands[4], E_DImode)
                  || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                  || !
#line 2252 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 6272; /* *aarch64_sve_gather_prefetchvnx2divnx2di_uxtw */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case TRAP_IF:
      x4 = XEXP (x1, 0);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x5 = XEXP (x1, 1);
      if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 8])
        return -1;
      return 32; /* trap */

    case RETURN:
      return 33; /* *do_return */

    case SIMPLE_RETURN:
      return 34; /* simple_return */

    default:
      return -1;
    }
}

 rtx_insn *
split_12 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx2DImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1249 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2946 (insn, operands);
    }
  if (register_operand (operands[3], E_VNx2DImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1274 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2954 (insn, operands);
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx2DImode))
    return NULL;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))) && 
#line 1308 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2962 (insn, operands);
}

 rtx_insn *
split_15 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1249 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2940 (insn, operands);
    }
  if (register_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1274 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2948 (insn, operands);
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    return NULL;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))) && 
#line 1308 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2956 (insn, operands);
}

 rtx_insn *
split_20 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2849 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2890 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2930 (insn, operands);
}

 rtx_insn *
split_24 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2848 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2889 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2929 (insn, operands);
}

 rtx_insn *
split_29 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2835 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2878 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2918 (insn, operands);
}

 rtx_insn *
split_34 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2822 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2867 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2907 (insn, operands);
}

 rtx_insn *
split_39 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2809 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2856 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2896 (insn, operands);
}

 rtx_insn *
split_44 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2842 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2884 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2924 (insn, operands);
}

 rtx_insn *
split_49 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2829 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2873 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2913 (insn, operands);
}

 rtx_insn *
split_55 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2804 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2852 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2892 (insn, operands);
}

 rtx_insn *
split_61 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1038 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1681 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && ((
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1754 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !((
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1806 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1694 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1767 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1819 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1707 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1780 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1832 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1720 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1793 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1845 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1727 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1904 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1734 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1911 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1741 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1918 (insn, operands);

    case 7:
      if (!((
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8BFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1858 (insn, operands);

    case 8:
      if (!(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1871 (insn, operands);

    case 9:
      if (!(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1884 (insn, operands);

    case 10:
      if (!(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1897 (insn, operands);

    case 11:
      if (!(
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1925 (insn, operands);

    case 12:
      if (!(
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1932 (insn, operands);

    case 13:
      if (!(
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1939 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_67 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XINT (x3, 1))
    {
    case 299:
      return split_7 (x1, insn);

    case 351:
      x4 = XVECEXP (x3, 0, 1);
      if (GET_CODE (x4) != CONST_INT)
        return NULL;
      if (XWINT (x4, 0) == 0L)
        {
          res = split_6 (x1, insn);
          if (res != NULL_RTX)
            return res;
        }
      operands[5] = x4;
      if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 4
          || XINT (x5, 1) != 393)
        return NULL;
      x6 = XVECEXP (x5, 0, 1);
      operands[6] = x6;
      if (!aarch64_sve_gp_strictness (operands[6], E_SImode))
        return NULL;
      x7 = XVECEXP (x5, 0, 2);
      operands[2] = x7;
      x8 = XVECEXP (x5, 0, 3);
      operands[3] = x8;
      x9 = XVECEXP (x2, 0, 2);
      operands[4] = x9;
      switch (pattern1295 (x2))
        {
        case 0:
          if (!(
#line 6456 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 6466 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1989 (insn, operands);

        case 1:
          if (!(
#line 6456 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 6466 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1990 (insn, operands);

        case 2:
          if (!(
#line 6456 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 6466 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1991 (insn, operands);

        default:
          return NULL;
        }

    case 380:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1125 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1158 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1136 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1169 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1147 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1180 (insn, operands);

        default:
          return NULL;
        }

    case 383:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1126 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1159 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1137 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1170 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1148 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1181 (insn, operands);

        default:
          return NULL;
        }

    case 384:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1127 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1160 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1138 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1171 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1149 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1182 (insn, operands);

        default:
          return NULL;
        }

    case 385:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1128 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1161 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1139 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1172 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1150 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1183 (insn, operands);

        default:
          return NULL;
        }

    case 386:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1129 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1162 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1140 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1173 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1151 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1184 (insn, operands);

        default:
          return NULL;
        }

    case 387:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1130 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1163 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1141 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1174 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1152 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1185 (insn, operands);

        default:
          return NULL;
        }

    case 388:
      return split_11 (x1, insn);

    case 389:
      return split_10 (x1, insn);

    case 390:
      return split_9 (x1, insn);

    case 392:
      return split_8 (x1, insn);

    case 369:
      switch (pattern838 (x2))
        {
        case 0:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2643 (insn, operands);

        case 1:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2645 (insn, operands);

        case 2:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2647 (insn, operands);

        case 3:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2649 (insn, operands);

        case 4:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2651 (insn, operands);

        case 5:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2653 (insn, operands);

        case 6:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2655 (insn, operands);

        case 7:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2657 (insn, operands);

        case 8:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2659 (insn, operands);

        default:
          return NULL;
        }

    case 370:
      switch (pattern838 (x2))
        {
        case 0:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2644 (insn, operands);

        case 1:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2646 (insn, operands);

        case 2:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2648 (insn, operands);

        case 3:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2650 (insn, operands);

        case 4:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2652 (insn, operands);

        case 5:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2654 (insn, operands);

        case 6:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2656 (insn, operands);

        case 7:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2658 (insn, operands);

        case 8:
          if (!(
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9465 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2660 (insn, operands);

        default:
          return NULL;
        }

    case 394:
      switch (pattern840 (x2))
        {
        case 0:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2661 (insn, operands);

        case 1:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2667 (insn, operands);

        case 2:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2673 (insn, operands);

        case 3:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2663 (insn, operands);

        case 4:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2669 (insn, operands);

        case 5:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2675 (insn, operands);

        case 6:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2665 (insn, operands);

        case 7:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2671 (insn, operands);

        case 8:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2677 (insn, operands);

        default:
          return NULL;
        }

    case 397:
      switch (pattern840 (x2))
        {
        case 0:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2662 (insn, operands);

        case 1:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2668 (insn, operands);

        case 2:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2674 (insn, operands);

        case 3:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2664 (insn, operands);

        case 4:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2670 (insn, operands);

        case 5:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2676 (insn, operands);

        case 6:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2666 (insn, operands);

        case 7:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2672 (insn, operands);

        case 8:
          if (!(
#line 9646 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9652 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2678 (insn, operands);

        default:
          return NULL;
        }

    case 78:
      switch (pattern843 (x2))
        {
        case 0:
          if (!(
#line 2894 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3019 (insn, operands);

        case 1:
          if (!(
#line 2894 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3021 (insn, operands);

        case 2:
          if (!(
#line 2894 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3023 (insn, operands);

        case 3:
          if (!(
#line 2917 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3025 (insn, operands);

        case 4:
          if (!(
#line 2917 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3027 (insn, operands);

        case 5:
          if (!(
#line 2917 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3029 (insn, operands);

        default:
          return NULL;
        }

    case 103:
      switch (pattern843 (x2))
        {
        case 0:
          if (!(
#line 2894 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3020 (insn, operands);

        case 1:
          if (!(
#line 2894 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3022 (insn, operands);

        case 2:
          if (!(
#line 2894 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3024 (insn, operands);

        case 3:
          if (!(
#line 2917 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3026 (insn, operands);

        case 4:
          if (!(
#line 2917 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3028 (insn, operands);

        case 5:
          if (!(
#line 2917 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3030 (insn, operands);

        default:
          return NULL;
        }

    case 438:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x10 = XVECEXP (x3, 0, 0);
      operands[4] = x10;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      x9 = XVECEXP (x2, 0, 2);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx4SFmode:
          if (pattern1150 (x2, 
E_VNx4SFmode, 
E_VNx8HFmode, 
E_VNx4BImode) != 0
              || !(
#line 3178 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3180 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3037 (insn, operands);

        case E_VNx2DFmode:
          if (pattern1150 (x2, 
E_VNx2DFmode, 
E_VNx4SFmode, 
E_VNx2BImode) != 0
              || !(
#line 3178 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3180 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3038 (insn, operands);

        default:
          return NULL;
        }

    case 440:
      if (GET_MODE (x3) != E_VNx4SFmode)
        return NULL;
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || !register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x2) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx2BImode))
        return NULL;
      x10 = XVECEXP (x3, 0, 0);
      operands[4] = x10;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      if (!register_operand (operands[2], E_VNx2DFmode))
        return NULL;
      x9 = XVECEXP (x2, 0, 2);
      operands[3] = x9;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !(
#line 3279 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3285 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_3039 (insn, operands);

    case 442:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x10 = XVECEXP (x3, 0, 0);
      operands[4] = x10;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      x9 = XVECEXP (x2, 0, 2);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          if (pattern1151 (x2, 
E_VNx8HImode, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
              || !(
#line 3563 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3569 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3042 (insn, operands);

        case E_VNx4SImode:
          if (pattern1151 (x2, 
E_VNx4SImode, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
              || !(
#line 3563 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3569 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3043 (insn, operands);

        case E_VNx2DImode:
          if (pattern1151 (x2, 
E_VNx2DImode, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
              || !(
#line 3563 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3569 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3044 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_80 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x3, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern694 (x3, 
E_SImode) != 0)
            return NULL;
          return gen_split_37 (insn, operands);

        case E_DImode:
          if (pattern694 (x3, 
E_DImode) != 0)
            return NULL;
          return gen_split_38 (insn, operands);

        default:
          return NULL;
        }

    case AND:
      x6 = XEXP (x4, 0);
      switch (GET_CODE (x6))
        {
        case LSHIFTRT:
          switch (pattern447 (x3))
            {
            case 0:
              if (!
#line 5164 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   SImode)))
                return NULL;
              return gen_split_39 (insn, operands);

            case 1:
              if (!
#line 5164 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   DImode)))
                return NULL;
              return gen_split_43 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFT:
          switch (pattern448 (x3))
            {
            case 0:
              if (!
#line 5186 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[3]))
   && (AND != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_47 (insn, operands);

            case 1:
              if (!
#line 5186 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[3]))
   && (AND != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_51 (insn, operands);

            case 2:
              if (!
#line 5215 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[4]))
   && (AND != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_55 (insn, operands);

            case 3:
              if (!
#line 5215 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[4]))
   && (AND != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_59 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case ASHIFT:
      x7 = XEXP (x4, 1);
      operands[2] = x7;
      x6 = XEXP (x4, 0);
      switch (GET_CODE (x6))
        {
        case SIGN_EXTEND:
          x5 = XEXP (x3, 1);
          if (GET_CODE (x5) != SIGN_EXTEND)
            return NULL;
          x8 = XEXP (x6, 0);
          operands[1] = x8;
          if (!register_operand (operands[1], E_VOIDmode))
            return NULL;
          switch (pattern361 (x3))
            {
            case 0:
              if (!
#line 5238 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
                return NULL;
              return gen_split_63 (insn, operands);

            case 1:
              if (!
#line 5238 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
                return NULL;
              return gen_split_66 (insn, operands);

            default:
              return NULL;
            }

        case REG:
        case SUBREG:
          operands[1] = x6;
          if (!register_operand (operands[1], E_DImode)
              || !register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || GET_MODE (x4) != E_DImode
              || !const_int_operand (operands[2], E_VOIDmode))
            return NULL;
          x5 = XEXP (x3, 1);
          operands[3] = x5;
          if (!const_int_operand (operands[3], E_VOIDmode)
              || !
#line 6685 "../../gcc/config/aarch64/aarch64.md"
(aarch64_mask_and_shift_for_ubfiz_p (DImode, operands[3], operands[2])
  && (INTVAL (operands[2]) + popcount_hwi (INTVAL (operands[3])))
      == GET_MODE_BITSIZE (SImode)))
            return NULL;
          return gen_split_126 (insn, operands);

        default:
          return NULL;
        }

    case UNSPEC:
      switch (XVECLEN (x4, 0))
        {
        case 2:
          switch (pattern401 (x3))
            {
            case 0:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1489 (insn, operands);

            case 1:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1490 (insn, operands);

            case 2:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1491 (insn, operands);

            case 3:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1492 (insn, operands);

            case 4:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1493 (insn, operands);

            case 5:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1494 (insn, operands);

            case 6:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1495 (insn, operands);

            case 7:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1496 (insn, operands);

            case 8:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1497 (insn, operands);

            case 9:
              if (!(
#line 4757 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1498 (insn, operands);

            default:
              return NULL;
            }

        case 4:
          switch (pattern404 (x3))
            {
            case 0:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2568 (insn, operands);

            case 1:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2574 (insn, operands);

            case 2:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2580 (insn, operands);

            case 3:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2569 (insn, operands);

            case 4:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2575 (insn, operands);

            case 5:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2581 (insn, operands);

            case 6:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2570 (insn, operands);

            case 7:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2576 (insn, operands);

            case 8:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2582 (insn, operands);

            case 9:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2571 (insn, operands);

            case 10:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2577 (insn, operands);

            case 11:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2583 (insn, operands);

            case 12:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2572 (insn, operands);

            case 13:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2578 (insn, operands);

            case 14:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2584 (insn, operands);

            case 15:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2573 (insn, operands);

            case 16:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2579 (insn, operands);

            case 17:
              if (!(
#line 8550 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2585 (insn, operands);

            case 18:
              if (!(
#line 8573 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2586 (insn, operands);

            case 19:
              if (!(
#line 8573 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2587 (insn, operands);

            case 20:
              if (!(
#line 8573 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8575 "../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2588 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_107 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2415 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2425 (insn, operands);
}

 rtx_insn *
split_113 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2454 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2464 (insn, operands);
}

 rtx_insn *
split_120 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2473 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2483 (insn, operands);
}

 rtx_insn *
split_127 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2492 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2502 (insn, operands);
}

 rtx_insn *
split_135 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  switch (XINT (x4, 1))
    {
    case 126:
      x5 = XVECEXP (x3, 0, 1);
      operands[4] = x5;
      x6 = XVECEXP (x3, 0, 2);
      operands[5] = x6;
      x7 = XVECEXP (x4, 0, 0);
      operands[6] = x7;
      x8 = XVECEXP (x4, 0, 1);
      operands[7] = x8;
      x9 = XVECEXP (x4, 0, 2);
      switch (GET_CODE (x9))
        {
        case LT:
          switch (pattern1322 (x1, 
LT))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2108 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2118 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2148 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2128 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2158 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2178 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2138 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2168 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2188 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2198 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2208 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2218 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2248 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2228 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2258 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2278 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2238 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2268 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2288 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2298 (insn, operands);

            default:
              return NULL;
            }

        case LE:
          switch (pattern1322 (x1, 
LE))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2109 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2119 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2149 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2129 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2159 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2179 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2139 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2169 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2189 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2199 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2209 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2219 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2249 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2229 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2259 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2279 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2239 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2269 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2289 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2299 (insn, operands);

            default:
              return NULL;
            }

        case EQ:
          switch (pattern1322 (x1, 
EQ))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2110 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2120 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2150 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2130 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2160 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2180 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2140 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2170 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2190 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2200 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2210 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2220 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2250 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2230 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2260 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2280 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2240 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2270 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2290 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2300 (insn, operands);

            default:
              return NULL;
            }

        case NE:
          switch (pattern1322 (x1, 
NE))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2111 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2121 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2151 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2131 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2161 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2181 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2141 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2171 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2191 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2201 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2211 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2221 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2251 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2231 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2261 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2281 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2241 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2271 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2291 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2301 (insn, operands);

            default:
              return NULL;
            }

        case GE:
          switch (pattern1322 (x1, 
GE))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2112 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2122 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2152 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2132 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2162 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2182 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2142 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2172 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2192 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2202 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2212 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2222 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2252 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2232 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2262 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2282 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2242 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2272 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2292 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2302 (insn, operands);

            default:
              return NULL;
            }

        case GT:
          switch (pattern1322 (x1, 
GT))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2113 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2123 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2153 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2133 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2163 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2183 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2143 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2173 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2193 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2203 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2213 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2223 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2253 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2233 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2263 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2283 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2243 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2273 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2293 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2303 (insn, operands);

            default:
              return NULL;
            }

        case LTU:
          switch (pattern1326 (x1, 
LTU))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2114 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2124 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2154 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2134 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2164 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2184 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2144 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2174 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2194 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2204 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2214 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2224 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2254 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2234 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2264 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2284 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2244 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2274 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2294 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2304 (insn, operands);

            default:
              return NULL;
            }

        case LEU:
          switch (pattern1326 (x1, 
LEU))
            {
            case 0:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2115 (insn, operands);

            case 1:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2125 (insn, operands);

            case 2:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2155 (insn, operands);

            case 3:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2135 (insn, operands);

            case 4:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2165 (insn, operands);

            case 5:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2185 (insn, operands);

            case 6:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2145 (insn, operands);

            case 7:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2175 (insn, operands);

            case 8:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2195 (insn, operands);

            case 9:
              if (!(
#line 8219 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2205 (insn, operands);

            case 10:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2215 (insn, operands);

            case 11:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2225 (insn, operands);

            case 12:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2255 (insn, operands);

            case 13:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2235 (insn, operands);

            case 14:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2265 (insn, operands);

            case 15:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2285 (insn, operands);

            case 16:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2245 (insn, operands);

            case 17:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2275 (insn, operands);

            case 18:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2295 (insn, operands);

            case 19:
              if (!(
#line 8253 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
                return NULL;
              return gen_split_2305 (insn, operands);

            default:
              return NULL;
            }

        case GEU:
          return split_134 (x1, insn);

        case GTU:
          return split_133 (x1, insn);

        case UNSPEC:
          if (XVECLEN (x9, 0) != 2)
            return NULL;
          x10 = XVECEXP (x9, 0, 0);
          operands[2] = x10;
          x11 = XVECEXP (x9, 0, 1);
          operands[3] = x11;
          switch (XINT (x9, 1))
            {
            case 473:
              switch (pattern1353 (x1, 
473))
                {
                case 0:
                  if (!(
#line 4054 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4058 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3045 (insn, operands);

                case 1:
                  if (!(
#line 4054 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4058 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3047 (insn, operands);

                case 2:
                  if (!(
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4086 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3049 (insn, operands);

                case 3:
                  if (!(
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4086 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3051 (insn, operands);

                default:
                  return NULL;
                }

            case 474:
              switch (pattern1353 (x1, 
474))
                {
                case 0:
                  if (!(
#line 4054 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4058 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3046 (insn, operands);

                case 1:
                  if (!(
#line 4054 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4058 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3048 (insn, operands);

                case 2:
                  if (!(
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4086 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3050 (insn, operands);

                case 3:
                  if (!(
#line 4082 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 4086 "../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[4], operands[6]))))
                    return NULL;
                  return gen_split_3052 (insn, operands);

                default:
                  return NULL;
                }

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case 305:
      switch (pattern1264 (x1, 
305))
        {
        case 0:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 8
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2681 (insn, operands);

        case 1:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 16
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2683 (insn, operands);

        case 2:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 32
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2685 (insn, operands);

        case 3:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 64
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2687 (insn, operands);

        case 4:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 8
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2689 (insn, operands);

        case 5:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 16
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2691 (insn, operands);

        case 6:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 32
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2693 (insn, operands);

        case 7:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 8 >= 64
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2695 (insn, operands);

        default:
          return NULL;
        }

    case 306:
      switch (pattern1264 (x1, 
306))
        {
        case 0:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 8
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2682 (insn, operands);

        case 1:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 16
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2684 (insn, operands);

        case 2:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 32
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2686 (insn, operands);

        case 3:
          if (!(
#line 10294 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 64
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10298 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2688 (insn, operands);

        case 4:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 8
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2690 (insn, operands);

        case 5:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 16
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2692 (insn, operands);

        case 6:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 32
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2694 (insn, operands);

        case 7:
          if (!(
#line 10319 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && 64 >= 64
   && aarch64_sve_same_pred_for_ptest_p (&operands[2], &operands[4])) && 
#line 10323 "../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[2], operands[4]))))
            return NULL;
          return gen_split_2696 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}
