/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern1 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DImode))
        return -1;
      return 1;

    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode))
        return -1;
      return 2;

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern20 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case ZERO_EXTEND:
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != UNSPEC
          || XVECLEN (x4, 0) != 3
          || XINT (x4, 1) != 307
          || GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XVECEXP (x4, 0, 1);
      if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
          || !register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode
          || GET_MODE (x2) != E_VNx2DImode)
        return -1;
      x6 = XVECEXP (x4, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x4, 0, 2);
      operands[2] = x7;
      if (!register_operand (operands[2], E_VNx2BImode)
          || !register_operand (operands[1], E_VNx2DImode))
        return -1;
      return 0;

    case UNSPEC:
      if (XVECLEN (x3, 0) != 3
          || XINT (x3, 1) != 307
          || GET_MODE (x3) != E_SImode)
        return -1;
      x8 = XVECEXP (x3, 0, 1);
      if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
          || !register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode
          || GET_MODE (x2) != E_VNx4SImode)
        return -1;
      x9 = XVECEXP (x3, 0, 0);
      operands[3] = x9;
      x10 = XVECEXP (x3, 0, 2);
      operands[2] = x10;
      if (!register_operand (operands[2], E_VNx4BImode)
          || !register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 1;

    case SUBREG:
    case TRUNCATE:
      operands[3] = x3;
      if (!subreg_lowpart_operator (operands[3], E_HImode))
        return -1;
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != UNSPEC
          || XVECLEN (x4, 0) != 3
          || XINT (x4, 1) != 307
          || GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XVECEXP (x4, 0, 1);
      if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
          || !register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x1) != E_VNx8HImode
          || GET_MODE (x2) != E_VNx8HImode)
        return -1;
      x6 = XVECEXP (x4, 0, 0);
      operands[4] = x6;
      x7 = XVECEXP (x4, 0, 2);
      operands[2] = x7;
      if (!register_operand (operands[2], E_VNx8BImode)
          || !register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern39 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_SImode)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 3
      || XINT (x2, 1) != 307
      || GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  return 0;
}

int
pattern44 (rtx x1, unsigned int i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != i1
      || GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != i1
      || GET_MODE (x4) != i2)
    return -1;
  return 0;
}

int
pattern52 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode))
        return -1;
      return 0;

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode))
        return -1;
      return 1;

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode))
        return -1;
      return 2;

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode))
        return -1;
      return 3;

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode))
        return -1;
      return 4;

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode))
        return -1;
      return 5;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      return 6;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern69 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x3) != E_VNx16QImode
          || !aligned_register_operand (operands[1], E_VNx16SImode))
        return -1;
      return 0;

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_VNx8SImode:
          if (!aligned_register_operand (operands[1], E_VNx8SImode))
            return -1;
          return 1;

        case E_VNx8DImode:
          if (!aligned_register_operand (operands[1], E_VNx8DImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern79 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_HFmode:
          return pattern75 (x3, 
E_HFmode); /* [-1, 0] */

        case E_SFmode:
          if (pattern75 (x3, 
E_SFmode) != 0)
            return -1;
          return 1;

        case E_DFmode:
          if (pattern75 (x3, 
E_DFmode) != 0)
            return -1;
          return 2;

        case E_V4HFmode:
          if (pattern75 (x3, 
E_V4HFmode) != 0)
            return -1;
          return 3;

        case E_V8HFmode:
          if (pattern75 (x3, 
E_V8HFmode) != 0)
            return -1;
          return 4;

        case E_V2SFmode:
          if (pattern75 (x3, 
E_V2SFmode) != 0)
            return -1;
          return 5;

        case E_V4SFmode:
          if (pattern75 (x3, 
E_V4SFmode) != 0)
            return -1;
          return 6;

        case E_V2DFmode:
          if (pattern75 (x3, 
E_V2DFmode) != 0)
            return -1;
          return 7;

        case E_VNx16BFmode:
          if (pattern76 (x3, 
E_VNx16BFmode) != 0)
            return -1;
          return 8;

        case E_VNx32BFmode:
          if (pattern76 (x3, 
E_VNx32BFmode) != 0)
            return -1;
          return 9;

        case E_VNx16HFmode:
          if (pattern76 (x3, 
E_VNx16HFmode) != 0)
            return -1;
          return 10;

        case E_VNx8SFmode:
          if (pattern76 (x3, 
E_VNx8SFmode) != 0)
            return -1;
          return 11;

        case E_VNx4DFmode:
          if (pattern76 (x3, 
E_VNx4DFmode) != 0)
            return -1;
          return 12;

        case E_VNx32HFmode:
          if (pattern76 (x3, 
E_VNx32HFmode) != 0)
            return -1;
          return 13;

        case E_VNx16SFmode:
          if (pattern76 (x3, 
E_VNx16SFmode) != 0)
            return -1;
          return 14;

        case E_VNx8DFmode:
          if (pattern76 (x3, 
E_VNx8DFmode) != 0)
            return -1;
          return 15;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      res = pattern78 (x3);
      if (res >= 0)
        return res + 16; /* [16, 23] */
      return -1;

    default:
      return -1;
    }
}

int
pattern102 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_CODE (operands[2]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          return pattern75 (x3, 
E_V8QImode); /* [-1, 0] */

        case E_V16QImode:
          if (pattern75 (x3, 
E_V16QImode) != 0)
            return -1;
          return 1;

        case E_V4HImode:
          if (pattern75 (x3, 
E_V4HImode) != 0)
            return -1;
          return 2;

        case E_V8HImode:
          if (pattern75 (x3, 
E_V8HImode) != 0)
            return -1;
          return 3;

        case E_V2SImode:
          if (pattern75 (x3, 
E_V2SImode) != 0)
            return -1;
          return 4;

        case E_V4SImode:
          if (pattern75 (x3, 
E_V4SImode) != 0)
            return -1;
          return 5;

        case E_V2DImode:
          if (pattern75 (x3, 
E_V2DImode) != 0)
            return -1;
          return 6;

        case E_QImode:
          if (pattern75 (x3, 
E_QImode) != 0)
            return -1;
          return 7;

        case E_HImode:
          if (pattern75 (x3, 
E_HImode) != 0)
            return -1;
          return 8;

        case E_SImode:
          if (pattern75 (x3, 
E_SImode) != 0)
            return -1;
          return 9;

        case E_DImode:
          if (pattern75 (x3, 
E_DImode) != 0)
            return -1;
          return 10;

        default:
          return -1;
        }

    case CONST_INT:
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern98 (x3, 
E_V8QImode) != 0)
            return -1;
          return 11;

        case E_V16QImode:
          if (pattern98 (x3, 
E_V16QImode) != 0)
            return -1;
          return 12;

        case E_V4HImode:
          if (pattern99 (x3, 
E_V4HImode) != 0)
            return -1;
          return 13;

        case E_V8HImode:
          if (pattern99 (x3, 
E_V8HImode) != 0)
            return -1;
          return 14;

        case E_V2SImode:
          if (pattern100 (x3, 
E_V2SImode) != 0)
            return -1;
          return 15;

        case E_V4SImode:
          if (pattern100 (x3, 
E_V4SImode) != 0)
            return -1;
          return 16;

        case E_V2DImode:
          if (pattern101 (x3, 
E_V2DImode) != 0)
            return -1;
          return 17;

        case E_QImode:
          if (pattern98 (x3, 
E_QImode) != 0)
            return -1;
          return 18;

        case E_HImode:
          if (pattern99 (x3, 
E_HImode) != 0)
            return -1;
          return 19;

        case E_SImode:
          if (pattern100 (x3, 
E_SImode) != 0)
            return -1;
          return 20;

        case E_DImode:
          if (pattern101 (x3, 
E_DImode) != 0)
            return -1;
          return 21;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern130 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x1) != E_VNx8BFmode)
        return -1;
      return 0;

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x1) != E_VNx8HFmode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern137 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aligned_register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2))
    return -1;
  return 0;
}

int
pattern142 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  operands[2] = x2;
  if (!register_operand (operands[2], i1))
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  operands[3] = x3;
  if (!register_operand (operands[3], i1))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern151 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_di (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern159 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], i1))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], i1))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern167 (rtx x1, int *pnum_clobbers)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x2) != E_VNx16BImode)
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x2) != E_VNx8BImode)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x2) != E_VNx4BImode)
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x2) != E_VNx2BImode)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern181 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  if (!rtx_equal_p (x6, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      if (!memory_operand (operands[0], E_VNx32QImode)
          || GET_MODE (x3) != E_VNx32QImode
          || !aligned_register_operand (operands[1], E_VNx32QImode))
        return -1;
      return 0;

    case E_VNx16HImode:
      if (!memory_operand (operands[0], E_VNx16HImode)
          || GET_MODE (x3) != E_VNx16HImode
          || !aligned_register_operand (operands[1], E_VNx16HImode))
        return -1;
      return 1;

    case E_VNx8SImode:
      if (!memory_operand (operands[0], E_VNx8SImode)
          || GET_MODE (x3) != E_VNx8SImode
          || !aligned_register_operand (operands[1], E_VNx8SImode))
        return -1;
      return 2;

    case E_VNx4DImode:
      if (!memory_operand (operands[0], E_VNx4DImode)
          || GET_MODE (x3) != E_VNx4DImode
          || !aligned_register_operand (operands[1], E_VNx4DImode))
        return -1;
      return 3;

    case E_VNx16BFmode:
      if (!memory_operand (operands[0], E_VNx16BFmode)
          || GET_MODE (x3) != E_VNx16BFmode
          || !aligned_register_operand (operands[1], E_VNx16BFmode))
        return -1;
      return 4;

    case E_VNx16HFmode:
      if (!memory_operand (operands[0], E_VNx16HFmode)
          || GET_MODE (x3) != E_VNx16HFmode
          || !aligned_register_operand (operands[1], E_VNx16HFmode))
        return -1;
      return 5;

    case E_VNx8SFmode:
      if (!memory_operand (operands[0], E_VNx8SFmode)
          || GET_MODE (x3) != E_VNx8SFmode
          || !aligned_register_operand (operands[1], E_VNx8SFmode))
        return -1;
      return 6;

    case E_VNx4DFmode:
      if (!memory_operand (operands[0], E_VNx4DFmode)
          || GET_MODE (x3) != E_VNx4DFmode
          || !aligned_register_operand (operands[1], E_VNx4DFmode))
        return -1;
      return 7;

    case E_VNx64QImode:
      if (!memory_operand (operands[0], E_VNx64QImode)
          || GET_MODE (x3) != E_VNx64QImode
          || !aligned_register_operand (operands[1], E_VNx64QImode))
        return -1;
      return 8;

    case E_VNx32HImode:
      if (!memory_operand (operands[0], E_VNx32HImode)
          || GET_MODE (x3) != E_VNx32HImode
          || !aligned_register_operand (operands[1], E_VNx32HImode))
        return -1;
      return 9;

    case E_VNx16SImode:
      if (!memory_operand (operands[0], E_VNx16SImode)
          || GET_MODE (x3) != E_VNx16SImode
          || !aligned_register_operand (operands[1], E_VNx16SImode))
        return -1;
      return 10;

    case E_VNx8DImode:
      if (!memory_operand (operands[0], E_VNx8DImode)
          || GET_MODE (x3) != E_VNx8DImode
          || !aligned_register_operand (operands[1], E_VNx8DImode))
        return -1;
      return 11;

    case E_VNx32BFmode:
      if (!memory_operand (operands[0], E_VNx32BFmode)
          || GET_MODE (x3) != E_VNx32BFmode
          || !aligned_register_operand (operands[1], E_VNx32BFmode))
        return -1;
      return 12;

    case E_VNx32HFmode:
      if (!memory_operand (operands[0], E_VNx32HFmode)
          || GET_MODE (x3) != E_VNx32HFmode
          || !aligned_register_operand (operands[1], E_VNx32HFmode))
        return -1;
      return 13;

    case E_VNx16SFmode:
      if (!memory_operand (operands[0], E_VNx16SFmode)
          || GET_MODE (x3) != E_VNx16SFmode
          || !aligned_register_operand (operands[1], E_VNx16SFmode))
        return -1;
      return 14;

    case E_VNx8DFmode:
      if (!memory_operand (operands[0], E_VNx8DFmode)
          || GET_MODE (x3) != E_VNx8DFmode
          || !aligned_register_operand (operands[1], E_VNx8DFmode))
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern225 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[5] = x5;
  if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  x8 = XVECEXP (x3, 0, 4);
  operands[4] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      return pattern224 (x3, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx8HFmode:
      if (pattern224 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4SFmode:
      if (pattern224 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2DFmode:
      if (pattern224 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern234 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XVECEXP (x1, 0, 4);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2))
    return -1;
  return 0;
}

int
pattern238 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx32QImode:
      if (!aligned_register_operand (operands[1], E_VNx32QImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx32QImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!aligned_register_operand (operands[1], E_VNx64QImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx64QImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 1;

    case E_VNx16HImode:
      if (!aligned_register_operand (operands[1], E_VNx16HImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx16HImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 2;

    case E_VNx32HImode:
      if (!aligned_register_operand (operands[1], E_VNx32HImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx32HImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern245 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XVECEXP (x2, 0, 4);
  if (GET_CODE (x5) != UNSPEC
      || XVECLEN (x5, 0) != 2
      || XINT (x5, 1) != 168)
    return -1;
  x6 = XEXP (x1, 0);
  if (GET_CODE (x6) != REG
      || REGNO (x6) != 93)
    return -1;
  x7 = XVECEXP (x5, 0, 1);
  if (!const_int_operand (x7, E_SImode))
    return -1;
  x8 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x8))
    {
    case REG:
    case SUBREG:
      operands[0] = x8;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 3);
      operands[1] = x9;
      x10 = XVECEXP (x5, 0, 0);
      operands[2] = x10;
      operands[3] = x7;
      switch (GET_MODE (x6))
        {
        case E_VNx4SImode:
          return pattern238 (x2, 
E_VNx4SImode); /* [-1, 3] */

        case E_VNx2DImode:
          res = pattern238 (x2, 
E_VNx2DImode);
          if (res >= 0)
            return res + 4; /* [4, 7] */
          return -1;

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x8) != E_SImode)
        return -1;
      x11 = XEXP (x8, 0);
      operands[0] = x11;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x12 = XEXP (x8, 1);
      operands[1] = x12;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 3);
      operands[2] = x9;
      x10 = XVECEXP (x5, 0, 0);
      operands[3] = x10;
      operands[4] = x7;
      switch (GET_MODE (x6))
        {
        case E_VNx4SImode:
          res = pattern242 (x2, 
E_VNx4SImode);
          if (res >= 0)
            return res + 8; /* [8, 11] */
          return -1;

        case E_VNx2DImode:
          res = pattern242 (x2, 
E_VNx2DImode);
          if (res >= 0)
            return res + 12; /* [12, 15] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern260 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  x10 = XVECEXP (x2, 0, 6);
  operands[4] = x10;
  switch (GET_MODE (x5))
    {
    case E_VNx4SImode:
      return pattern258 (x2, 
E_VNx16QImode, 
E_VNx4BImode, 
E_VNx4SImode); /* [-1, 0] */

    case E_VNx2DImode:
      if (pattern258 (x2, 
E_VNx8HImode, 
E_VNx2BImode, 
E_VNx2DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern270 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_ldff1_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i2))
    return -1;
  return 0;
}

int
pattern273 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  switch (GET_MODE (x2))
    {
    case E_VNx4SImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 0;

    case E_VNx1TImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern276 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i3
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern280 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  switch (GET_MODE (x5))
    {
    case E_VNx4SImode:
      return pattern279 (x2, 
E_VNx4SImode, 
E_VNx4BImode); /* [-1, 0] */

    case E_VNx2DImode:
      if (pattern279 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern285 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case CONST_INT:
      operands[2] = x3;
      return pattern283 (x1); /* [-1, 1] */

    case CONST_VECTOR:
    case CONST:
      operands[3] = x3;
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      x5 = XEXP (x1, 1);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern284 (x1, 
E_V8QImode) != 0)
            return -1;
          return 2;

        case E_V16QImode:
          if (pattern284 (x1, 
E_V16QImode) != 0)
            return -1;
          return 3;

        case E_V4HImode:
          if (pattern284 (x1, 
E_V4HImode) != 0)
            return -1;
          return 4;

        case E_V8HImode:
          if (pattern284 (x1, 
E_V8HImode) != 0)
            return -1;
          return 5;

        case E_V2SImode:
          if (pattern284 (x1, 
E_V2SImode) != 0)
            return -1;
          return 6;

        case E_V4SImode:
          if (pattern284 (x1, 
E_V4SImode) != 0)
            return -1;
          return 7;

        case E_V2DImode:
          if (pattern284 (x1, 
E_V2DImode) != 0)
            return -1;
          return 8;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern297 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_comparison_operator (operands[1], i1)
      || !general_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern300 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      return pattern299 (x1, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8BImode:
      if (pattern299 (x1, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (pattern299 (x1, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2BImode:
      if (pattern299 (x1, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern308 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern313 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern317 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  return pattern316 (x1); /* [-1, 4] */
}

int
pattern318 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_V8QImode
      || !register_operand (operands[0], E_V16QImode)
      || GET_MODE (x1) != E_V16QImode)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], E_V8QImode))
    return -1;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  if (!aarch64_simd_or_scalar_imm_zero (operands[2], E_V8QImode))
    return -1;
  return 0;
}

int
pattern322 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  x5 = XEXP (x1, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern321 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern321 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern321 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern328 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], E_VNx2DImode))
    return -1;
  switch (XINT (x1, 1))
    {
    case 169:
      x2 = XVECEXP (x1, 0, 0);
      operands[2] = x2;
      if (!const_int_operand (operands[2], E_DImode))
        return -1;
      x3 = XVECEXP (x1, 0, 1);
      operands[3] = x3;
      if (!const_int_operand (operands[3], E_DImode))
        return -1;
      x4 = XVECEXP (x1, 0, 2);
      operands[4] = x4;
      if (!const_int_operand (operands[4], E_DImode))
        return -1;
      return 0;

    case 307:
      x3 = XVECEXP (x1, 0, 1);
      if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      operands[3] = x2;
      x4 = XVECEXP (x1, 0, 2);
      operands[2] = x4;
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern337 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_si (operands[2], i1))
    return -1;
  return 0;
}

int
pattern344 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != CLOBBER)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 66
      || GET_MODE (x5) != E_CCmode)
    return -1;
  x6 = XEXP (x2, 0);
  operands[0] = x6;
  if (!register_operand (operands[0], E_DImode))
    return -1;
  x7 = XEXP (x3, 0);
  if (GET_MODE (x7) != E_DImode)
    return -1;
  switch (GET_CODE (x7))
    {
    case LT:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 0;

    case LE:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 1;

    case EQ:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 2;

    case GE:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 3;

    case GT:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 4;

    case LTU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 5;

    case LEU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 6;

    case GEU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 7;

    case GTU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 8;

    case NE:
      x8 = XEXP (x7, 0);
      if (GET_CODE (x8) != AND
          || GET_MODE (x8) != E_DImode)
        return -1;
      x9 = XEXP (x7, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x10 = XEXP (x8, 0);
      operands[1] = x10;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x11 = XEXP (x8, 1);
      operands[2] = x11;
      if (!register_operand (operands[2], E_DImode))
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern378 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern381 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !aarch64_shift_imm_si (operands[1], E_QImode)
          || !aarch64_reg_or_zero (operands[2], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !aarch64_shift_imm_di (operands[1], E_QImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern388 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_reg_or_zero (operands[2], i1))
    return -1;
  return 0;
}

int
pattern390 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern388 (x1, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern388 (x1, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x1) != E_V4HImode
          || GET_MODE (x2) != E_V4HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4HImode:
          if (!register_operand (operands[1], E_V4HImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HImode))
            return -1;
          return 2;

        case E_V4HFmode:
          if (!register_operand (operands[1], E_V4HFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HFmode))
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode
          || GET_MODE (x2) != E_V8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V8HImode:
          if (!register_operand (operands[1], E_V8HImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V8HImode))
            return -1;
          return 4;

        case E_V8HFmode:
          if (!register_operand (operands[1], E_V8HFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V8HFmode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x1) != E_V2SImode
          || GET_MODE (x2) != E_V2SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V2SImode:
          if (!register_operand (operands[1], E_V2SImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SImode))
            return -1;
          return 6;

        case E_V2SFmode:
          if (!register_operand (operands[1], E_V2SFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SFmode))
            return -1;
          return 7;

        default:
          return -1;
        }

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode
          || GET_MODE (x2) != E_V4SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4SImode:
          if (!register_operand (operands[1], E_V4SImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4SImode))
            return -1;
          return 8;

        case E_V4SFmode:
          if (!register_operand (operands[1], E_V4SFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4SFmode))
            return -1;
          return 9;

        default:
          return -1;
        }

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x1) != E_V2DImode
          || GET_MODE (x2) != E_V2DImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V2DImode:
          if (!register_operand (operands[1], E_V2DImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2DImode))
            return -1;
          return 10;

        case E_V2DFmode:
          if (!register_operand (operands[1], E_V2DFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2DFmode))
            return -1;
          return 11;

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode
          || GET_MODE (x2) != E_DImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DImode:
          if (!register_operand (operands[1], E_DImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_DImode))
            return -1;
          return 12;

        case E_DFmode:
          if (!register_operand (operands[1], E_DFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_DFmode))
            return -1;
          return 13;

        default:
          return -1;
        }

    case E_HImode:
      if (pattern389 (x1, 
E_HFmode, 
E_HImode) != 0)
        return -1;
      return 14;

    case E_SImode:
      if (pattern389 (x1, 
E_SFmode, 
E_SImode) != 0)
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern424 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x1, 1);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern423 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern423 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern423 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern430 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_V8QImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_int_rnd_operand (operands[4], i2)
      || !aarch64_simd_shift_imm_vec_qi (operands[3], i1)
      || !register_operand (operands[1], E_V8QImode))
    return -1;
  return 0;
}

int
pattern435 (rtx x1, int *pnum_clobbers, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_plus_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern437 (rtx x1, int *pnum_clobbers)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[2] = x2;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern31 (x1, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern31 (x1, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern31 (x1, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern31 (x1, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern31 (x1, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern31 (x1, 
E_V4SImode) != 0)
        return -1;
      return 5;

    case E_V2DImode:
      if (pattern31 (x1, 
E_V2DImode) != 0)
        return -1;
      return 6;

    case E_HImode:
      if (pattern31 (x1, 
E_HImode) != 0)
        return -1;
      return 7;

    case E_QImode:
      if (pattern31 (x1, 
E_QImode) != 0)
        return -1;
      return 8;

    case E_SImode:
      if (pattern435 (x1, pnum_clobbers, 
E_SImode) != 0)
        return -1;
      return 9;

    case E_DImode:
      if (pattern435 (x1, pnum_clobbers, 
E_DImode) != 0)
        return -1;
      return 10;

    case E_VNx16QImode:
      if (pattern436 (x1, 
E_VNx16QImode) != 0)
        return -1;
      return 11;

    case E_VNx8HImode:
      if (pattern436 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 12;

    case E_VNx4SImode:
      if (pattern436 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 13;

    case E_VNx2DImode:
      if (pattern436 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 14;

    default:
      return -1;
    }
}

int
pattern455 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 3
      || XINT (x2, 1) != 351)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 3
      || XINT (x4, 1) != 351)
    return -1;
  x5 = XVECEXP (x4, 0, 1);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x6 = XVECEXP (x1, 0, 0);
  operands[1] = x6;
  x7 = XVECEXP (x1, 0, 1);
  operands[4] = x7;
  if (!aarch64_sve_ptrue_flag (operands[4], E_SImode))
    return -1;
  x8 = XVECEXP (x2, 0, 0);
  operands[5] = x8;
  x9 = XVECEXP (x2, 0, 2);
  operands[2] = x9;
  x10 = XVECEXP (x4, 0, 0);
  operands[6] = x10;
  x11 = XVECEXP (x4, 0, 2);
  operands[3] = x11;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BImode:
      return pattern454 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4BImode:
      if (pattern454 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2BImode:
      if (pattern454 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern469 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  if (XVECLEN (x3, 0) != 2
      || XINT (x3, 1) != 125)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XVECEXP (x1, 0, 0);
  operands[4] = x5;
  x6 = XVECEXP (x3, 0, 0);
  operands[5] = x6;
  x7 = XEXP (x4, 0);
  operands[1] = x7;
  x8 = XEXP (x4, 1);
  operands[2] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern468 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern468 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern468 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern468 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern476 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_lshift_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern480 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != UNSPEC
      || XVECLEN (x1, 0) != 4
      || XINT (x1, 1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  return 0;
}

int
pattern482 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_SImode)
      || GET_MODE (x1) != E_SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_QImode:
      if (!nonimmediate_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!nonimmediate_operand (operands[1], E_HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern489 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern496 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern492 (x1, 
E_VNx8HImode, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx4SImode:
      if (pattern492 (x1, 
E_VNx4SImode, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx2DImode:
      if (pattern492 (x1, 
E_VNx2DImode, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern505 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 3
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || GET_MODE (x2) != i1
      || GET_MODE (x4) != E_SImode)
    return -1;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  return 0;
}

int
pattern508 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x3, 1);
  operands[3] = x6;
  if (!aarch64_imm3 (operands[3], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern507 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern507 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern515 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[2] = x2;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!register_operand (operands[0], E_QImode)
          || GET_MODE (x1) != E_QImode
          || !register_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[0], E_HImode)
          || GET_MODE (x1) != E_HImode
          || !register_operand (operands[1], E_HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern523 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern530 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x1, 0);
  operands[3] = x5;
  return pattern529 (x1); /* [-1, 2] */
}

int
pattern535 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_si (operands[2], i1))
    return -1;
  return 0;
}

int
pattern541 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern539 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern539 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern539 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V8HFmode:
      if (pattern539 (x1, 
E_V4HFmode, 
E_V8HFmode) != 0)
        return -1;
      return 3;

    case E_V8BFmode:
      if (pattern539 (x1, 
E_V4BFmode, 
E_V8BFmode) != 0)
        return -1;
      return 4;

    case E_V4SFmode:
      if (pattern539 (x1, 
E_V2SFmode, 
E_V4SFmode) != 0)
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern553 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], i1)
      || !aarch64_plus_immediate (operands[3], i1))
    return -1;
  return 0;
}

int
pattern559 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case ZERO_EXTEND:
      if (GET_MODE (x3) != E_SImode
          || !register_operand (operands[0], E_SImode))
        return -1;
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      x5 = XVECEXP (x1, 0, 2);
      x6 = XEXP (x5, 0);
      if (!rtx_equal_p (x6, operands[1]))
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_QImode:
          if (!aarch64_sync_memory_operand (operands[1], E_QImode))
            return -1;
          x7 = XEXP (x5, 1);
          if (GET_MODE (x7) != E_QImode
              || !aarch64_reg_or_imm (operands[2], E_QImode)
              || !aarch64_reg_or_zero (operands[3], E_QImode))
            return -1;
          return 0;

        case E_HImode:
          if (!aarch64_sync_memory_operand (operands[1], E_HImode))
            return -1;
          x7 = XEXP (x5, 1);
          if (GET_MODE (x7) != E_HImode
              || !aarch64_plushi_operand (operands[2], E_HImode)
              || !aarch64_reg_or_zero (operands[3], E_HImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case SUBREG:
    case MEM:
      operands[1] = x3;
      x5 = XVECEXP (x1, 0, 2);
      x6 = XEXP (x5, 0);
      if (!rtx_equal_p (x6, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          x7 = XEXP (x5, 1);
          if (pattern558 (x7, 
E_SImode) != 0)
            return -1;
          return 2;

        case E_DImode:
          x7 = XEXP (x5, 1);
          if (pattern558 (x7, 
E_DImode) != 0)
            return -1;
          return 3;

        case E_TImode:
          if (!register_operand (operands[0], E_TImode)
              || !aarch64_sync_memory_operand (operands[1], E_TImode))
            return -1;
          x7 = XEXP (x5, 1);
          if (GET_MODE (x7) != E_TImode
              || !aarch64_reg_or_zero (operands[2], E_TImode)
              || !aarch64_reg_or_zero (operands[3], E_TImode))
            return -1;
          return 4;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern588 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 2);
  x5 = XVECEXP (x4, 0, 1);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx2SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx2HImode:
      return pattern587 (x1, 
E_VNx2HImode); /* [-1, 2] */

    case E_VNx2SImode:
      res = pattern587 (x1, 
E_VNx2SImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DImode:
      res = pattern587 (x1, 
E_VNx2DImode);
      if (res >= 0)
        return res + 6; /* [6, 8] */
      return -1;

    default:
      return -1;
    }
}

int
pattern590 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !general_operand (operands[4], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[3], i1))
    return -1;
  x3 = XEXP (x2, 0);
  switch (GET_MODE (x3))
    {
    case E_VNx8QImode:
      return 0;

    case E_VNx4QImode:
      return 1;

    case E_VNx2QImode:
      return 2;

    case E_VNx4HImode:
      return 3;

    case E_VNx2HImode:
      return 4;

    case E_VNx2SImode:
      return 5;

    default:
      return -1;
    }
}

int
pattern599 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  x3 = XVECEXP (x1, 0, 1);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern464 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern464 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern464 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern464 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern464 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern464 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern464 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern464 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern464 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern464 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern614 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[1] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HImode:
      return pattern613 (x1, 
E_V8HImode, 
E_V16QImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4SImode:
      if (pattern613 (x1, 
E_V4SImode, 
E_V8HImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2DImode:
      if (pattern613 (x1, 
E_V2DImode, 
E_V4SImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern622 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern627 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
      || !register_operand (operands[0], E_SImode)
      || GET_MODE (x1) != E_SImode)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[3] = x4;
  x5 = XVECEXP (x2, 0, 2);
  operands[2] = x5;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[2], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[2], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern635 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern641 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  return 0;
}

int
pattern647 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4, machine_mode i5)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i5
      || !register_operand (operands[1], i4)
      || !vect_par_cnst_hi_half (operands[3], i4))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i3)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern656 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i1)
      || !descending_int_parallel (operands[2], E_VOIDmode))
    return -1;
  return 0;
}

int
pattern662 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[2] = x3;
  x4 = XEXP (x1, 1);
  operands[3] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern659 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern659 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern659 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern659 (x1, 
E_DImode, 
E_V2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern669 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  operands[3] = x4;
  x5 = XEXP (x3, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      return pattern668 (x1); /* [-1, 2] */

    case PLUS:
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != i1)
        return -1;
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      x8 = XEXP (x5, 1);
      operands[4] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (!register_operand (operands[0], E_V16QImode)
              || GET_MODE (x1) != E_V16QImode
              || !register_operand (operands[1], E_V8QImode)
              || GET_MODE (x2) != E_V8QImode
              || GET_MODE (x3) != E_V8SImode
              || GET_MODE (x5) != E_V8SImode
              || GET_MODE (x6) != E_V8SImode
              || !register_operand (operands[2], E_V8HImode)
              || !aarch64_int_rnd_operand (operands[4], E_V8SImode)
              || !aarch64_simd_shift_imm_vec_qi (operands[3], E_V8HImode))
            return -1;
          return 3;

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x1) != E_V8HImode
              || !register_operand (operands[1], E_V4HImode)
              || GET_MODE (x2) != E_V4HImode
              || GET_MODE (x3) != E_V4DImode
              || GET_MODE (x5) != E_V4DImode
              || GET_MODE (x6) != E_V4DImode
              || !register_operand (operands[2], E_V4SImode)
              || !aarch64_int_rnd_operand (operands[4], E_V4DImode)
              || !aarch64_simd_shift_imm_vec_hi (operands[3], E_V4SImode))
            return -1;
          return 4;

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x1) != E_V4SImode
              || !register_operand (operands[1], E_V2SImode)
              || GET_MODE (x2) != E_V2SImode
              || GET_MODE (x3) != E_V2TImode
              || GET_MODE (x5) != E_V2TImode
              || GET_MODE (x6) != E_V2TImode
              || !register_operand (operands[2], E_V2DImode)
              || !aarch64_int_rnd_operand (operands[4], E_V2TImode)
              || !aarch64_simd_shift_imm_vec_si (operands[3], E_V2DImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern686 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1
      || pattern685 (x1, 
i1) != 0)
    return -1;
  return 0;
}

int
pattern692 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !aarch64_imm24 (operands[1], E_SImode))
        return -1;
      switch (GET_MODE (x1))
        {
        case E_SImode:
          return 0;

        case E_DImode:
          return 1;

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !aarch64_imm24 (operands[1], E_DImode))
        return -1;
      switch (GET_MODE (x1))
        {
        case E_SImode:
          return 2;

        case E_DImode:
          return 3;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern700 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern703 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  operands[4] = x5;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern700 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8QImode:
          if (pattern700 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4QImode:
          if (pattern700 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2QImode:
          if (pattern700 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        case E_VNx8HImode:
          if (pattern700 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4HImode:
          if (pattern700 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2HImode:
          if (pattern700 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        case E_VNx4SImode:
          if (pattern700 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 7;

        case E_VNx2SImode:
          if (pattern700 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 8;

        case E_VNx2DImode:
          if (pattern700 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 9;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern702 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 10;

        case E_VNx8QImode:
          if (pattern702 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 11;

        case E_VNx4QImode:
          if (pattern702 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          return 12;

        case E_VNx2QImode:
          if (pattern702 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          return 13;

        case E_VNx8HImode:
          if (pattern702 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 14;

        case E_VNx4HImode:
          if (pattern702 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 15;

        case E_VNx2HImode:
          if (pattern702 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          return 16;

        case E_VNx4SImode:
          if (pattern702 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 17;

        case E_VNx2SImode:
          if (pattern702 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 18;

        case E_VNx2DImode:
          if (pattern702 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 19;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern736 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  if (!register_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  if (!register_operand (operands[2], i1))
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_MODE (x6) != i2)
    return -1;
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern745 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  operands[3] = x4;
  x5 = XEXP (x2, 1);
  operands[2] = x5;
  switch (GET_CODE (operands[2]))
    {
    case CONST_VECTOR:
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          return 0;

        case E_V16QImode:
          return 1;

        case E_V4HImode:
          return 2;

        case E_V8HImode:
          return 3;

        case E_V2SImode:
          return 4;

        case E_V4SImode:
          return 5;

        case E_V2DImode:
          return 6;

        default:
          return -1;
        }

    case CONST_INT:
      if (!aarch64_simd_shift_imm_offset_di (operands[2], E_DImode)
          || !register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode
          || GET_MODE (x2) != E_TImode
          || GET_MODE (x3) != E_TImode)
        return -1;
      x6 = XEXP (x3, 0);
      if (GET_MODE (x6) != E_TImode
          || !register_operand (operands[1], E_DImode)
          || !aarch64_int_rnd_operand (operands[3], E_TImode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern760 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern766 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  x7 = XEXP (x3, 1);
  operands[4] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern765 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern765 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern765 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern775 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern778 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[1] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern777 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern777 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern777 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern777 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern790 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern797 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  switch (GET_MODE (x2))
    {
    case E_QImode:
      switch (GET_MODE (operands[1]))
        {
        case E_V8QImode:
          if (!register_operand (operands[1], E_V8QImode))
            return -1;
          return 0;

        case E_V16QImode:
          if (!register_operand (operands[1], E_V16QImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_HImode:
      switch (GET_MODE (operands[1]))
        {
        case E_V4HImode:
          if (!register_operand (operands[1], E_V4HImode))
            return -1;
          return 2;

        case E_V8HImode:
          if (!register_operand (operands[1], E_V8HImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern813 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern819 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern829 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern835 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XVECEXP (x3, 0, 2);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_simd_imm_zero (operands[3], i1)
      || !aarch64_simd_imm_one (operands[4], i1))
    return -1;
  return 0;
}

int
pattern844 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern850 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != UNSPEC)
    return -1;
  switch (XVECLEN (x3, 0))
    {
    case 2:
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      x5 = XVECEXP (x3, 0, 1);
      operands[3] = x5;
      switch (XINT (x3, 1))
        {
        case 415:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              return pattern844 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

            case E_VNx8QImode:
              if (pattern844 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 1;

            case E_VNx4QImode:
              if (pattern844 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 2;

            case E_VNx2QImode:
              if (pattern844 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 3;

            case E_VNx8HImode:
              if (pattern844 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 4;

            case E_VNx4HImode:
              if (pattern844 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 5;

            case E_VNx2HImode:
              if (pattern844 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 6;

            case E_VNx4SImode:
              if (pattern844 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 7;

            case E_VNx2SImode:
              if (pattern844 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 8;

            case E_VNx2DImode:
              if (pattern844 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 9;

            default:
              return -1;
            }

        case 226:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern845 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 10;

            case E_VNx8QImode:
              if (pattern845 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 11;

            case E_VNx4QImode:
              if (pattern845 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 12;

            case E_VNx2QImode:
              if (pattern845 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 13;

            case E_VNx8HImode:
              if (pattern845 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 14;

            case E_VNx4HImode:
              if (pattern845 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 15;

            case E_VNx2HImode:
              if (pattern845 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 16;

            case E_VNx4SImode:
              if (pattern845 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 17;

            case E_VNx2SImode:
              if (pattern845 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 18;

            case E_VNx2DImode:
              if (pattern845 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 19;

            default:
              return -1;
            }

        case 224:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern844 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 20;

            case E_VNx8QImode:
              if (pattern844 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 21;

            case E_VNx4QImode:
              if (pattern844 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 22;

            case E_VNx2QImode:
              if (pattern844 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 23;

            case E_VNx8HImode:
              if (pattern844 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 24;

            case E_VNx4HImode:
              if (pattern844 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 25;

            case E_VNx2HImode:
              if (pattern844 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 26;

            case E_VNx4SImode:
              if (pattern844 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 27;

            case E_VNx2SImode:
              if (pattern844 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 28;

            case E_VNx2DImode:
              if (pattern844 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 29;

            default:
              return -1;
            }

        case 225:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern844 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 30;

            case E_VNx8QImode:
              if (pattern844 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 31;

            case E_VNx4QImode:
              if (pattern844 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 32;

            case E_VNx2QImode:
              if (pattern844 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 33;

            case E_VNx8HImode:
              if (pattern844 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 34;

            case E_VNx4HImode:
              if (pattern844 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 35;

            case E_VNx2HImode:
              if (pattern844 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 36;

            case E_VNx4SImode:
              if (pattern844 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 37;

            case E_VNx2SImode:
              if (pattern844 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 38;

            case E_VNx2DImode:
              if (pattern844 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 39;

            default:
              return -1;
            }

        case 210:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 40;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 41;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 42;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 43;

            default:
              return -1;
            }

        case 214:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 44;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 45;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 46;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 47;

            default:
              return -1;
            }

        case 233:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 48;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 49;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 50;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 51;

            default:
              return -1;
            }

        case 212:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 52;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 53;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 54;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 55;

            default:
              return -1;
            }

        case 231:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 56;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 57;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 58;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 59;

            default:
              return -1;
            }

        case 221:
          res = pattern848 (x1);
          if (res >= 0)
            return res + 60; /* [60, 67] */
          return -1;

        case 211:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 68;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 69;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 70;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 71;

            default:
              return -1;
            }

        case 215:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 72;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 73;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 74;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 75;

            default:
              return -1;
            }

        case 234:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 76;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 77;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 78;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 79;

            default:
              return -1;
            }

        case 213:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 80;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 81;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 82;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 83;

            default:
              return -1;
            }

        case 232:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 84;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 85;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 86;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 87;

            default:
              return -1;
            }

        case 220:
          res = pattern848 (x1);
          if (res >= 0)
            return res + 88; /* [88, 95] */
          return -1;

        case 227:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern849 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 96;

            case E_VNx8HImode:
              if (pattern849 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 97;

            case E_VNx4SImode:
              if (pattern849 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 98;

            case E_VNx2DImode:
              if (pattern849 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 99;

            default:
              return -1;
            }

        case 228:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern849 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 100;

            case E_VNx8HImode:
              if (pattern849 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 101;

            case E_VNx4SImode:
              if (pattern849 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 102;

            case E_VNx2DImode:
              if (pattern849 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 103;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 1:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4BImode)
          || GET_MODE (x2) != E_VNx4SImode)
        return -1;
      x6 = XVECEXP (x2, 0, 0);
      operands[4] = x6;
      if (GET_MODE (x3) != E_VNx4SImode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      if (!register_operand (operands[2], E_VNx4SImode))
        return -1;
      x7 = XVECEXP (x1, 0, 2);
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode))
        return -1;
      switch (XINT (x3, 1))
        {
        case 26:
          return 104;

        case 111:
          return 105;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1042 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[3] = x2;
  x3 = XVECEXP (x1, 0, 2);
  operands[2] = x3;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[2], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[2], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1051 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_uxt_immediate (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1058 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1064 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !register_operand (operands[3], i2)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1072 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1080 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i2)
      || !aarch64_simd_umax_half_mode (operands[3], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1091 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_float_arith_with_sub_immediate (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1095 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1032 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1032 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1032 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1032 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1094 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4SFmode:
          if (pattern1094 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2DFmode:
          if (pattern1094 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1106 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !const_int_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1116 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          return pattern1098 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx4SFmode:
          if (pattern1098 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 1;

        case E_VNx2DFmode:
          if (pattern1098 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x4, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1098 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 3;

        case E_VNx4SFmode:
          if (pattern1098 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 4;

        case E_VNx2DFmode:
          if (pattern1098 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1133 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i3
      || !register_operand (operands[2], i2))
    return -1;
  x5 = XEXP (x1, 1);
  return pattern1064 (x5, 
i1, 
i2, 
i3); /* [-1, 0] */
}

int
pattern1144 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  return 0;
}

int
pattern1149 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (x1))
    {
    case CLOBBER:
      x2 = XEXP (x1, 0);
      if (GET_CODE (x2) != REG
          || REGNO (x2) != 30
          || GET_MODE (x2) != E_DImode)
        return -1;
      return 0;

    case RETURN:
      return 1;

    default:
      return -1;
    }
}

int
pattern1157 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[3], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !const_int_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1170 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1176 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_MODE (x4))
    {
    case E_SImode:
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x5 = XEXP (x4, 1);
      if (GET_MODE (x5) != E_SImode
          || !register_operand (operands[2], E_SImode)
          || !aarch64_shift_imm_si (operands[3], E_QImode)
          || !register_operand (operands[0], E_SImode))
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_MODE (x7) != E_SImode)
        return -1;
      x8 = XEXP (x7, 1);
      if (GET_MODE (x8) != E_SImode)
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x5 = XEXP (x4, 1);
      if (GET_MODE (x5) != E_DImode
          || !register_operand (operands[2], E_DImode)
          || !aarch64_shift_imm_di (operands[3], E_QImode)
          || !register_operand (operands[0], E_DImode))
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_MODE (x7) != E_DImode)
        return -1;
      x8 = XEXP (x7, 1);
      if (GET_MODE (x8) != E_DImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1191 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !aarch64_simd_reg_or_zero (operands[3], i1))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx4BImode:
      return 0;

    case E_VNx2BImode:
      return 1;

    default:
      return -1;
    }
}

int
pattern1198 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[0], i2)
      || !aarch64_plus_operand (operands[1], i2))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern1205 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  return 0;
}

int
pattern1210 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x7 = XEXP (x5, 1);
  if (GET_MODE (x7) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 1);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  x11 = XEXP (x10, 0);
  if (GET_MODE (x11) != i1)
    return -1;
  x12 = XEXP (x10, 1);
  if (GET_MODE (x12) != i1)
    return -1;
  return 0;
}

int
pattern1223 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], E_VNx2BImode)
      || !aarch64_sve_gather_offset_d (operands[1], E_DImode)
      || !register_operand (operands[2], E_VNx2DImode)
      || !aarch64_gather_scale_operand_d (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[6], i1))
    return -1;
  return 0;
}

int
pattern1229 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i4)
      || GET_MODE (x1) != i4
      || !aarch64_simd_or_scalar_imm_zero (operands[6], i3))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1
      || !register_operand (operands[1], i2)
      || !aarch64_int_rnd_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1237 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  if (GET_MODE (x4) != E_VNx16BImode)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[4] = x5;
  x6 = XVECEXP (x4, 0, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x7 = XVECEXP (x4, 0, 2);
  operands[3] = x7;
  if (!aarch64_simd_imm_zero (operands[3], E_VNx16BImode))
    return -1;
  return pattern1236 (x1, 
i1); /* [-1, 1] */
}

int
pattern1246 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || !memory_operand (operands[1], i1)
      || !scratch_operand (operands[2], i1)
      || !scratch_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1250 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 2);
  if (GET_MODE (x3) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_SFmode:
      if (!register_operand (operands[2], E_SFmode)
          || !register_operand (operands[3], E_SFmode))
        return -1;
      return 0;

    case E_DFmode:
      if (!register_operand (operands[2], E_DFmode)
          || !register_operand (operands[3], E_DFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1258 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i1)
      || !vect_par_cnst_hi_half (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1266 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern1265 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern1265 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern1265 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern1265 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1276 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_hi (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1283 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1)
      || pattern1282 (x1, 
i1, 
i2) != 0)
    return -1;
  return 0;
}

int
pattern1290 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x7 = XVECEXP (x1, 0, 1);
  x8 = XEXP (x7, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_QImode:
      if (!register_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[1], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[1], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1308 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  switch (GET_MODE (x1))
    {
    case E_VNx16BImode:
      if (GET_MODE (x2) != E_VNx16BImode
          || !register_operand (operands[2], E_VNx16QImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (GET_MODE (x2) != E_VNx8BImode)
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx8QImode:
          if (!register_operand (operands[2], E_VNx8QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8QImode))
            return -1;
          return 1;

        case E_VNx8HImode:
          if (!register_operand (operands[2], E_VNx8HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8HImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_VNx4BImode:
      if (GET_MODE (x2) != E_VNx4BImode)
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx4QImode:
          if (!register_operand (operands[2], E_VNx4QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4QImode))
            return -1;
          return 3;

        case E_VNx4HImode:
          if (!register_operand (operands[2], E_VNx4HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4HImode))
            return -1;
          return 4;

        case E_VNx4SImode:
          if (!register_operand (operands[2], E_VNx4SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_VNx2BImode:
      if (GET_MODE (x2) != E_VNx2BImode)
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx2QImode:
          if (!register_operand (operands[2], E_VNx2QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2QImode))
            return -1;
          return 6;

        case E_VNx2HImode:
          if (!register_operand (operands[2], E_VNx2HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2HImode))
            return -1;
          return 7;

        case E_VNx2SImode:
          if (!register_operand (operands[2], E_VNx2SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2SImode))
            return -1;
          return 8;

        case E_VNx2DImode:
          if (!register_operand (operands[2], E_VNx2DImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2DImode))
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1338 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !aarch64_carry_operation (operands[3], i2))
    return -1;
  x6 = XEXP (x5, 1);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x7 = XEXP (x4, 1);
  if (GET_MODE (x7) != i2
      || !register_operand (operands[2], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 1);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1
      || !aarch64_carry_operation (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1348 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  if (!register_operand (operands[2], E_VNx2DImode))
    return -1;
  return pattern1334 (x1); /* [-1, 1] */
}

int
pattern1352 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i2)
      || !scratch_operand (operands[0], i1))
    return -1;
  return 0;
}

int
pattern1357 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i2)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_borrow_operation (operands[3], i2))
    return -1;
  x8 = XEXP (x3, 1);
  if (GET_MODE (x8) != i2)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 1);
  if (GET_MODE (x10) != i1
      || !aarch64_borrow_operation (operands[4], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x11 = XVECEXP (x1, 0, 1);
  x12 = XEXP (x11, 1);
  if (GET_MODE (x12) != i1)
    return -1;
  x13 = XEXP (x12, 0);
  if (GET_MODE (x13) != i1)
    return -1;
  return 0;
}

 int
recog_5 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x2, 1);
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  x8 = XEXP (x6, 1);
  operands[4] = x8;
  x9 = XEXP (x6, 2);
  operands[5] = x9;
  switch (pattern928 (x2))
    {
    case 0:
      if (!aarch64_simd_shift_imm_si (operands[5], E_SImode)
          || !
#line 6583 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == HOST_WIDE_INT_M1U << INTVAL (operands[4])
   && INTVAL (operands[4])
   && (UINTVAL (operands[4]) + UINTVAL (operands[5])
       <= GET_MODE_BITSIZE (SImode))))
        return -1;
      return 848; /* *aarch64_bfxilsi_extr */

    case 1:
      if (!aarch64_simd_shift_imm_di (operands[5], E_DImode)
          || !
#line 6583 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == HOST_WIDE_INT_M1U << INTVAL (operands[4])
   && INTVAL (operands[4])
   && (UINTVAL (operands[4]) + UINTVAL (operands[5])
       <= GET_MODE_BITSIZE (DImode))))
        return -1;
      return 849; /* *aarch64_bfxildi_extr */

    default:
      return -1;
    }
}

 int
recog_12 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4x16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x16QImode)
          || GET_MODE (x3) != E_V4x16QImode
          || !register_operand (operands[1], E_V4x16QImode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4547; /* aarch64_simd_st4v16qi */

    case E_V4x8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8HImode)
          || GET_MODE (x3) != E_V4x8HImode
          || !register_operand (operands[1], E_V4x8HImode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4548; /* aarch64_simd_st4v8hi */

    case E_V4x4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4SImode)
          || GET_MODE (x3) != E_V4x4SImode
          || !register_operand (operands[1], E_V4x4SImode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4549; /* aarch64_simd_st4v4si */

    case E_V4x2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2DImode)
          || GET_MODE (x3) != E_V4x2DImode
          || !register_operand (operands[1], E_V4x2DImode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4550; /* aarch64_simd_st4v2di */

    case E_V4x8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8HFmode)
          || GET_MODE (x3) != E_V4x8HFmode
          || !register_operand (operands[1], E_V4x8HFmode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4551; /* aarch64_simd_st4v8hf */

    case E_V4x4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4SFmode)
          || GET_MODE (x3) != E_V4x4SFmode
          || !register_operand (operands[1], E_V4x4SFmode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4552; /* aarch64_simd_st4v4sf */

    case E_V4x2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2DFmode)
          || GET_MODE (x3) != E_V4x2DFmode
          || !register_operand (operands[1], E_V4x2DFmode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4553; /* aarch64_simd_st4v2df */

    case E_V4x8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8BFmode)
          || GET_MODE (x3) != E_V4x8BFmode
          || !register_operand (operands[1], E_V4x8BFmode)
          || !
#line 7818 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4554; /* aarch64_simd_st4v8bf */

    case E_V4x8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8QImode)
          || GET_MODE (x3) != E_V4x8QImode
          || !register_operand (operands[1], E_V4x8QImode)
          || !
#line 8727 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5102; /* aarch64_st4v8qi_dreg */

    case E_V4x4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4HImode)
          || GET_MODE (x3) != E_V4x4HImode
          || !register_operand (operands[1], E_V4x4HImode)
          || !
#line 8727 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5103; /* aarch64_st4v4hi_dreg */

    case E_V4x2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2SImode)
          || GET_MODE (x3) != E_V4x2SImode
          || !register_operand (operands[1], E_V4x2SImode)
          || !
#line 8727 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5104; /* aarch64_st4v2si_dreg */

    case E_V4x4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4HFmode)
          || GET_MODE (x3) != E_V4x4HFmode
          || !register_operand (operands[1], E_V4x4HFmode)
          || !
#line 8727 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5105; /* aarch64_st4v4hf_dreg */

    case E_V4x2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2SFmode)
          || GET_MODE (x3) != E_V4x2SFmode
          || !register_operand (operands[1], E_V4x2SFmode)
          || !
#line 8727 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5106; /* aarch64_st4v2sf_dreg */

    case E_V4x4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4BFmode)
          || GET_MODE (x3) != E_V4x4BFmode
          || !register_operand (operands[1], E_V4x4BFmode)
          || !
#line 8727 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5107; /* aarch64_st4v4bf_dreg */

    case E_V4x1DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x1DImode)
          || GET_MODE (x3) != E_V4x1DImode
          || !register_operand (operands[1], E_V4x1DImode)
          || !
#line 8737 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5108; /* aarch64_st4di_dreg */

    case E_V4x1DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x1DFmode)
          || GET_MODE (x3) != E_V4x1DFmode
          || !register_operand (operands[1], E_V4x1DFmode)
          || !
#line 8737 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5109; /* aarch64_st4df_dreg */

    default:
      return -1;
    }
}

 int
recog_16 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !(
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1566; /* aarch64_rsqrtev4hf */

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode)
          || !(
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1567; /* aarch64_rsqrtev8hf */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1568; /* aarch64_rsqrtev2sf */

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode)
          || !
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1569; /* aarch64_rsqrtev4sf */

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode)
          || !
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1570; /* aarch64_rsqrtev2df */

    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode)
          || !(
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1571; /* aarch64_rsqrtehf */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1572; /* aarch64_rsqrtesf */

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode)
          || !
#line 733 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1573; /* aarch64_rsqrtedf */

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 760 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1582; /* aarch64_ursqrtev2si */

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !
#line 760 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1583; /* aarch64_ursqrtev4si */

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x3) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode)
          || !
#line 3650 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7154; /* aarch64_sve_frsqrtevnx8hf */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode)
          || !
#line 3650 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7156; /* aarch64_sve_frsqrtevnx4sf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2DFmode)
          || !
#line 3650 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7158; /* aarch64_sve_frsqrtevnx2df */

    default:
      return -1;
    }
}

 int
recog_22 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4x8QImode:
      if (!register_operand (operands[0], E_V4x8QImode)
          || GET_MODE (x3) != E_V4x8QImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x8QImode)
          || !
#line 8423 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4805; /* aarch64_ld4v8qi_dreg */

    case E_V4x4HImode:
      if (!register_operand (operands[0], E_V4x4HImode)
          || GET_MODE (x3) != E_V4x4HImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x4HImode)
          || !
#line 8423 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4806; /* aarch64_ld4v4hi_dreg */

    case E_V4x2SImode:
      if (!register_operand (operands[0], E_V4x2SImode)
          || GET_MODE (x3) != E_V4x2SImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x2SImode)
          || !
#line 8423 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4807; /* aarch64_ld4v2si_dreg */

    case E_V4x4HFmode:
      if (!register_operand (operands[0], E_V4x4HFmode)
          || GET_MODE (x3) != E_V4x4HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x4HFmode)
          || !
#line 8423 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4808; /* aarch64_ld4v4hf_dreg */

    case E_V4x2SFmode:
      if (!register_operand (operands[0], E_V4x2SFmode)
          || GET_MODE (x3) != E_V4x2SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x2SFmode)
          || !
#line 8423 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4809; /* aarch64_ld4v2sf_dreg */

    case E_V4x4BFmode:
      if (!register_operand (operands[0], E_V4x4BFmode)
          || GET_MODE (x3) != E_V4x4BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x4BFmode)
          || !
#line 8423 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4810; /* aarch64_ld4v4bf_dreg */

    case E_V4x1DImode:
      if (!register_operand (operands[0], E_V4x1DImode)
          || GET_MODE (x3) != E_V4x1DImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x1DImode)
          || !
#line 8433 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4811; /* aarch64_ld4di_dreg */

    case E_V4x1DFmode:
      if (!register_operand (operands[0], E_V4x1DFmode)
          || GET_MODE (x3) != E_V4x1DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x1DFmode)
          || !
#line 8433 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4812; /* aarch64_ld4df_dreg */

    default:
      return -1;
    }
}

 int
recog_27 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V2x16QImode:
      if (!register_operand (operands[0], E_V2x16QImode)
          || GET_MODE (x3) != E_V2x16QImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x16QImode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4379; /* aarch64_simd_ld2v16qi */

    case E_V2x8HImode:
      if (!register_operand (operands[0], E_V2x8HImode)
          || GET_MODE (x3) != E_V2x8HImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x8HImode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4380; /* aarch64_simd_ld2v8hi */

    case E_V2x4SImode:
      if (!register_operand (operands[0], E_V2x4SImode)
          || GET_MODE (x3) != E_V2x4SImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x4SImode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4381; /* aarch64_simd_ld2v4si */

    case E_V2x2DImode:
      if (!register_operand (operands[0], E_V2x2DImode)
          || GET_MODE (x3) != E_V2x2DImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x2DImode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4382; /* aarch64_simd_ld2v2di */

    case E_V2x8HFmode:
      if (!register_operand (operands[0], E_V2x8HFmode)
          || GET_MODE (x3) != E_V2x8HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x8HFmode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4383; /* aarch64_simd_ld2v8hf */

    case E_V2x4SFmode:
      if (!register_operand (operands[0], E_V2x4SFmode)
          || GET_MODE (x3) != E_V2x4SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x4SFmode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4384; /* aarch64_simd_ld2v4sf */

    case E_V2x2DFmode:
      if (!register_operand (operands[0], E_V2x2DFmode)
          || GET_MODE (x3) != E_V2x2DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x2DFmode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4385; /* aarch64_simd_ld2v2df */

    case E_V2x8BFmode:
      if (!register_operand (operands[0], E_V2x8BFmode)
          || GET_MODE (x3) != E_V2x8BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x8BFmode)
          || !
#line 7562 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4386; /* aarch64_simd_ld2v8bf */

    default:
      return -1;
    }
}

 int
recog_38 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern53 (x1))
    {
    case 0:
      if (!(
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 885; /* roundevenhf2 */

    case 1:
      if (!
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 892; /* roundevensf2 */

    case 2:
      if (!
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 899; /* roundevendf2 */

    case 3:
      if (!(
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2482; /* roundevenv4hf2 */

    case 4:
      if (!(
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2497; /* roundevenv8hf2 */

    case 5:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2510; /* roundevenv2sf2 */

    case 6:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2525; /* roundevenv4sf2 */

    case 7:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2532; /* roundevenv2df2 */

    case 8:
      if (!
#line 700 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11370; /* roundevenvnx8sf2 */

    case 9:
      if (!
#line 700 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11374; /* roundevenvnx16sf2 */

    default:
      return -1;
    }
}

 int
recog_45 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_BFmode:
      if (!register_operand (operands[0], E_BFmode)
          || GET_MODE (x3) != E_BFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 9995 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_FP))
        return -1;
      return 5262; /* aarch64_bfcvtbf */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_BFmode)
          || !
#line 10023 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_FP))
        return -1;
      return 5266; /* aarch64_bfcvtsf */

    default:
      return -1;
    }
}

 int
recog_49 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !aarch64_valid_symref (operands[1], E_SImode)
          || !
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
        return -1;
      return 1116; /* ldr_got_tiny_si */

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !aarch64_valid_symref (operands[1], E_DImode)
          || !
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
        return -1;
      return 1117; /* ldr_got_tiny_di */

    default:
      return -1;
    }
}

 int
recog_56 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern66 (x1))
    {
    case 0:
      if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10755; /* aarch64_sve_uunpkhi_vnx16qi */

    case 1:
      if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10759; /* aarch64_sve_uunpkhi_vnx8hi */

    case 2:
      if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10763; /* aarch64_sve_uunpkhi_vnx4si */

    case 3:
      if (!
#line 10036 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10905; /* aarch64_sve_punpkhi_vnx16bi */

    case 4:
      if (!
#line 10036 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10907; /* aarch64_sve_punpkhi_vnx8bi */

    case 5:
      if (!
#line 10036 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10909; /* aarch64_sve_punpkhi_vnx4bi */

    default:
      return -1;
    }
}

 int
recog_64 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern463 (x2))
    {
    case 0:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16QImode)
       || register_operand (operands[2], VNx16QImode))))
        return -1;
      return 5547; /* aarch64_pred_movvnx16qi */

    case 1:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8QImode)
       || register_operand (operands[2], VNx8QImode))))
        return -1;
      return 5548; /* aarch64_pred_movvnx8qi */

    case 2:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4QImode)
       || register_operand (operands[2], VNx4QImode))))
        return -1;
      return 5549; /* aarch64_pred_movvnx4qi */

    case 3:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2QImode)
       || register_operand (operands[2], VNx2QImode))))
        return -1;
      return 5550; /* aarch64_pred_movvnx2qi */

    case 4:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8HImode)
       || register_operand (operands[2], VNx8HImode))))
        return -1;
      return 5551; /* aarch64_pred_movvnx8hi */

    case 5:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4HImode)
       || register_operand (operands[2], VNx4HImode))))
        return -1;
      return 5552; /* aarch64_pred_movvnx4hi */

    case 6:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2HImode)
       || register_operand (operands[2], VNx2HImode))))
        return -1;
      return 5553; /* aarch64_pred_movvnx2hi */

    case 7:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4SImode)
       || register_operand (operands[2], VNx4SImode))))
        return -1;
      return 5554; /* aarch64_pred_movvnx4si */

    case 8:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2SImode)
       || register_operand (operands[2], VNx2SImode))))
        return -1;
      return 5555; /* aarch64_pred_movvnx2si */

    case 9:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2DImode)
       || register_operand (operands[2], VNx2DImode))))
        return -1;
      return 5556; /* aarch64_pred_movvnx2di */

    case 10:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8HFmode)
       || register_operand (operands[2], VNx8HFmode))))
        return -1;
      return 5557; /* aarch64_pred_movvnx8hf */

    case 11:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4HFmode)
       || register_operand (operands[2], VNx4HFmode))))
        return -1;
      return 5558; /* aarch64_pred_movvnx4hf */

    case 12:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2HFmode)
       || register_operand (operands[2], VNx2HFmode))))
        return -1;
      return 5559; /* aarch64_pred_movvnx2hf */

    case 13:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8BFmode)
       || register_operand (operands[2], VNx8BFmode))))
        return -1;
      return 5560; /* aarch64_pred_movvnx8bf */

    case 14:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4BFmode)
       || register_operand (operands[2], VNx4BFmode))))
        return -1;
      return 5561; /* aarch64_pred_movvnx4bf */

    case 15:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2BFmode)
       || register_operand (operands[2], VNx2BFmode))))
        return -1;
      return 5562; /* aarch64_pred_movvnx2bf */

    case 16:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4SFmode)
       || register_operand (operands[2], VNx4SFmode))))
        return -1;
      return 5563; /* aarch64_pred_movvnx4sf */

    case 17:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2SFmode)
       || register_operand (operands[2], VNx2SFmode))))
        return -1;
      return 5564; /* aarch64_pred_movvnx2sf */

    case 18:
      if (!
#line 753 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx2DFmode)
       || register_operand (operands[2], VNx2DFmode))))
        return -1;
      return 5565; /* aarch64_pred_movvnx2df */

    case 19:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32QImode)
       || register_operand (operands[2], VNx32QImode))))
        return -1;
      return 5676; /* aarch64_pred_movvnx32qi */

    case 20:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16HImode)
       || register_operand (operands[2], VNx16HImode))))
        return -1;
      return 5677; /* aarch64_pred_movvnx16hi */

    case 21:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8SImode)
       || register_operand (operands[2], VNx8SImode))))
        return -1;
      return 5678; /* aarch64_pred_movvnx8si */

    case 22:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4DImode)
       || register_operand (operands[2], VNx4DImode))))
        return -1;
      return 5679; /* aarch64_pred_movvnx4di */

    case 23:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16BFmode)
       || register_operand (operands[2], VNx16BFmode))))
        return -1;
      return 5680; /* aarch64_pred_movvnx16bf */

    case 24:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16HFmode)
       || register_operand (operands[2], VNx16HFmode))))
        return -1;
      return 5681; /* aarch64_pred_movvnx16hf */

    case 25:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8SFmode)
       || register_operand (operands[2], VNx8SFmode))))
        return -1;
      return 5682; /* aarch64_pred_movvnx8sf */

    case 26:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx4DFmode)
       || register_operand (operands[2], VNx4DFmode))))
        return -1;
      return 5683; /* aarch64_pred_movvnx4df */

    case 27:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx48QImode)
       || register_operand (operands[2], VNx48QImode))))
        return -1;
      return 5684; /* aarch64_pred_movvnx48qi */

    case 28:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx24HImode)
       || register_operand (operands[2], VNx24HImode))))
        return -1;
      return 5685; /* aarch64_pred_movvnx24hi */

    case 29:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx12SImode)
       || register_operand (operands[2], VNx12SImode))))
        return -1;
      return 5686; /* aarch64_pred_movvnx12si */

    case 30:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx6DImode)
       || register_operand (operands[2], VNx6DImode))))
        return -1;
      return 5687; /* aarch64_pred_movvnx6di */

    case 31:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx24BFmode)
       || register_operand (operands[2], VNx24BFmode))))
        return -1;
      return 5688; /* aarch64_pred_movvnx24bf */

    case 32:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx24HFmode)
       || register_operand (operands[2], VNx24HFmode))))
        return -1;
      return 5689; /* aarch64_pred_movvnx24hf */

    case 33:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx12SFmode)
       || register_operand (operands[2], VNx12SFmode))))
        return -1;
      return 5690; /* aarch64_pred_movvnx12sf */

    case 34:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx6DFmode)
       || register_operand (operands[2], VNx6DFmode))))
        return -1;
      return 5691; /* aarch64_pred_movvnx6df */

    case 35:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx64QImode)
       || register_operand (operands[2], VNx64QImode))))
        return -1;
      return 5692; /* aarch64_pred_movvnx64qi */

    case 36:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32HImode)
       || register_operand (operands[2], VNx32HImode))))
        return -1;
      return 5693; /* aarch64_pred_movvnx32hi */

    case 37:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16SImode)
       || register_operand (operands[2], VNx16SImode))))
        return -1;
      return 5694; /* aarch64_pred_movvnx16si */

    case 38:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8DImode)
       || register_operand (operands[2], VNx8DImode))))
        return -1;
      return 5695; /* aarch64_pred_movvnx8di */

    case 39:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32BFmode)
       || register_operand (operands[2], VNx32BFmode))))
        return -1;
      return 5696; /* aarch64_pred_movvnx32bf */

    case 40:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx32HFmode)
       || register_operand (operands[2], VNx32HFmode))))
        return -1;
      return 5697; /* aarch64_pred_movvnx32hf */

    case 41:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx16SFmode)
       || register_operand (operands[2], VNx16SFmode))))
        return -1;
      return 5698; /* aarch64_pred_movvnx16sf */

    case 42:
      if (!
#line 904 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (register_operand (operands[0], VNx8DFmode)
       || register_operand (operands[2], VNx8DFmode))))
        return -1;
      return 5699; /* aarch64_pred_movvnx8df */

    default:
      return -1;
    }
}

 int
recog_75 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V4HFmode:
          if (pattern75 (x3, 
E_V4HFmode) != 0
              || !(
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 3207; /* aarch64_fmulxv4hf */

        case E_V8HFmode:
          if (pattern75 (x3, 
E_V8HFmode) != 0
              || !(
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 3208; /* aarch64_fmulxv8hf */

        case E_V2SFmode:
          if (pattern75 (x3, 
E_V2SFmode) != 0
              || !
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3209; /* aarch64_fmulxv2sf */

        case E_V4SFmode:
          if (pattern75 (x3, 
E_V4SFmode) != 0
              || !
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3210; /* aarch64_fmulxv4sf */

        case E_V2DFmode:
          if (pattern75 (x3, 
E_V2DFmode) != 0
              || !
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3211; /* aarch64_fmulxv2df */

        case E_HFmode:
          if (pattern75 (x3, 
E_HFmode) != 0
              || !(
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 3212; /* aarch64_fmulxhf */

        case E_SFmode:
          if (pattern75 (x3, 
E_SFmode) != 0
              || !
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3213; /* aarch64_fmulxsf */

        case E_DFmode:
          if (pattern75 (x3, 
E_DFmode) != 0
              || !
#line 5087 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3214; /* aarch64_fmulxdf */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x6 = XEXP (x5, 0);
      switch (GET_CODE (x6))
        {
        case VEC_SELECT:
          x7 = XEXP (x6, 1);
          if (GET_CODE (x7) != PARALLEL
              || XVECLEN (x7, 0) != 1)
            return -1;
          x8 = XEXP (x6, 0);
          operands[2] = x8;
          x9 = XVECEXP (x7, 0, 0);
          operands[3] = x9;
          if (!immediate_operand (operands[3], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V2SFmode:
              if (pattern1108 (x3, 
E_SFmode, 
E_V2SFmode) != 0)
                return -1;
              switch (GET_MODE (operands[2]))
                {
                case E_V4SFmode:
                  if (!register_operand (operands[2], E_V4SFmode)
                      || !
#line 5103 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3215; /* *aarch64_mulx_elt_to_128v2sf */

                case E_V2SFmode:
                  if (!register_operand (operands[2], E_V2SFmode)
                      || !
#line 5122 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3217; /* *aarch64_mulx_eltv2sf */

                default:
                  return -1;
                }

            case E_V4SFmode:
              if (pattern1108 (x3, 
E_SFmode, 
E_V4SFmode) != 0)
                return -1;
              switch (GET_MODE (operands[2]))
                {
                case E_V2SFmode:
                  if (!register_operand (operands[2], E_V2SFmode)
                      || !
#line 5103 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3216; /* *aarch64_mulx_elt_to_64v4sf */

                case E_V4SFmode:
                  if (!register_operand (operands[2], E_V4SFmode)
                      || !
#line 5122 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3218; /* *aarch64_mulx_eltv4sf */

                default:
                  return -1;
                }

            case E_V2DFmode:
              if (pattern1108 (x3, 
E_DFmode, 
E_V2DFmode) != 0
                  || !register_operand (operands[2], E_V2DFmode)
                  || !
#line 5122 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3219; /* *aarch64_mulx_eltv2df */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[2] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V4HFmode:
              if (pattern784 (x3, 
E_HFmode, 
E_V4HFmode) != 0
                  || !(
#line 5139 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 3220; /* *aarch64_mulx_elt_from_dupv4hf */

            case E_V8HFmode:
              if (pattern784 (x3, 
E_HFmode, 
E_V8HFmode) != 0
                  || !(
#line 5139 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 3221; /* *aarch64_mulx_elt_from_dupv8hf */

            case E_V2SFmode:
              if (pattern784 (x3, 
E_SFmode, 
E_V2SFmode) != 0
                  || !
#line 5139 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3222; /* *aarch64_mulx_elt_from_dupv2sf */

            case E_V4SFmode:
              if (pattern784 (x3, 
E_SFmode, 
E_V4SFmode) != 0
                  || !
#line 5139 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3223; /* *aarch64_mulx_elt_from_dupv4sf */

            case E_V2DFmode:
              if (pattern784 (x3, 
E_DFmode, 
E_V2DFmode) != 0
                  || !
#line 5139 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3224; /* *aarch64_mulx_elt_from_dupv2df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_SELECT:
      x10 = XEXP (x5, 1);
      if (GET_CODE (x10) != PARALLEL
          || XVECLEN (x10, 0) != 1)
        return -1;
      x6 = XEXP (x5, 0);
      operands[2] = x6;
      x11 = XVECEXP (x10, 0, 0);
      operands[3] = x11;
      if (!immediate_operand (operands[3], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_SFmode:
          if (!register_operand (operands[0], E_SFmode)
              || GET_MODE (x3) != E_SFmode
              || !register_operand (operands[1], E_SFmode)
              || GET_MODE (x5) != E_SFmode)
            return -1;
          switch (GET_MODE (operands[2]))
            {
            case E_V2SFmode:
              if (!register_operand (operands[2], E_V2SFmode)
                  || !
#line 5156 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3225; /* *aarch64_vgetfmulxv2sf */

            case E_V4SFmode:
              if (!register_operand (operands[2], E_V4SFmode)
                  || !
#line 5156 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3226; /* *aarch64_vgetfmulxv4sf */

            default:
              return -1;
            }

        case E_DFmode:
          if (pattern784 (x3, 
E_V2DFmode, 
E_DFmode) != 0
              || !
#line 5156 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3227; /* *aarch64_vgetfmulxv2df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_78 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (pattern95 (x1))
    {
    case 0:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V4HImode) != 0
              || !
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3429; /* aarch64_sqrdmulhv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V8HImode) != 0
              || !
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3433; /* aarch64_sqrdmulhv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V2SImode) != 0
              || !
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3437; /* aarch64_sqrdmulhv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_V4SImode) != 0
              || !
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3441; /* aarch64_sqrdmulhv4si */

        case E_HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_HImode) != 0
              || !
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3443; /* aarch64_sqrdmulhhi */

        case E_SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_SImode) != 0
              || !
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3445; /* aarch64_sqrdmulhsi */

        case E_VNx16QImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx16QImode) != 0
              || !
#line 1161 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11724; /* aarch64_sve_sqrdmulhvnx16qi */

        case E_VNx8HImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx8HImode) != 0
              || !
#line 1161 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11726; /* aarch64_sve_sqrdmulhvnx8hi */

        case E_VNx4SImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx4SImode) != 0
              || !
#line 1161 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11728; /* aarch64_sve_sqrdmulhvnx4si */

        case E_VNx2DImode:
          x2 = XEXP (x1, 1);
          if (pattern75 (x2, 
E_VNx2DImode) != 0
              || !
#line 1161 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11730; /* aarch64_sve_sqrdmulhvnx2di */

        default:
          return -1;
        }

    case 1:
      switch (GET_MODE (operands[0]))
        {
        case E_V4HImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_HImode, 
E_V4HImode) != 0
              || !
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3449; /* aarch64_sqrdmulh_nv4hi */

        case E_V8HImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_HImode, 
E_V8HImode) != 0
              || !
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3453; /* aarch64_sqrdmulh_nv8hi */

        case E_V2SImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_SImode, 
E_V2SImode) != 0
              || !
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3457; /* aarch64_sqrdmulh_nv2si */

        case E_V4SImode:
          x2 = XEXP (x1, 1);
          if (pattern784 (x2, 
E_SImode, 
E_V4SImode) != 0
              || !
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3461; /* aarch64_sqrdmulh_nv4si */

        default:
          return -1;
        }

    case 2:
      if (!
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3465; /* aarch64_sqrdmulh_lanev4hi */

    case 3:
      if (!
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3481; /* aarch64_sqrdmulh_laneqv4hi */

    case 4:
      if (!
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3469; /* aarch64_sqrdmulh_lanev8hi */

    case 5:
      if (!
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3485; /* aarch64_sqrdmulh_laneqv8hi */

    case 6:
      if (!
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3473; /* aarch64_sqrdmulh_lanev2si */

    case 7:
      if (!
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3489; /* aarch64_sqrdmulh_laneqv2si */

    case 8:
      if (!
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3477; /* aarch64_sqrdmulh_lanev4si */

    case 9:
      if (!
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3493; /* aarch64_sqrdmulh_laneqv4si */

    case 10:
      if (!
#line 5612 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3495; /* aarch64_sqrdmulh_lanehi */

    case 11:
      if (!
#line 5627 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3499; /* aarch64_sqrdmulh_laneqhi */

    case 12:
      if (!
#line 5612 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3497; /* aarch64_sqrdmulh_lanesi */

    case 13:
      if (!
#line 5627 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3501; /* aarch64_sqrdmulh_laneqsi */

    case 14:
      if (!
#line 1174 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11732; /* aarch64_sve_sqrdmulh_lane_vnx8hi */

    case 15:
      if (!
#line 1174 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11734; /* aarch64_sve_sqrdmulh_lane_vnx4si */

    case 16:
      if (!
#line 1174 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11736; /* aarch64_sve_sqrdmulh_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_85 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!aarch64_simd_struct_operand (operands[0], E_BLKmode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V3x8QImode:
      if (!register_operand (operands[1], E_V3x8QImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4491; /* aarch64_vec_store_lanesv3x8qi_lanev8qi */

    case E_V3x4HImode:
      if (!register_operand (operands[1], E_V3x4HImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4492; /* aarch64_vec_store_lanesv3x4hi_lanev4hi */

    case E_V3x2SImode:
      if (!register_operand (operands[1], E_V3x2SImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4493; /* aarch64_vec_store_lanesv3x2si_lanev2si */

    case E_V3x1DImode:
      if (!register_operand (operands[1], E_V3x1DImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4494; /* aarch64_vec_store_lanesv3x1di_lanedi */

    case E_V3x4HFmode:
      if (!register_operand (operands[1], E_V3x4HFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4495; /* aarch64_vec_store_lanesv3x4hf_lanev4hf */

    case E_V3x2SFmode:
      if (!register_operand (operands[1], E_V3x2SFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4496; /* aarch64_vec_store_lanesv3x2sf_lanev2sf */

    case E_V3x1DFmode:
      if (!register_operand (operands[1], E_V3x1DFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4497; /* aarch64_vec_store_lanesv3x1df_lanedf */

    case E_V3x4BFmode:
      if (!register_operand (operands[1], E_V3x4BFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4498; /* aarch64_vec_store_lanesv3x4bf_lanev4bf */

    case E_V3x16QImode:
      if (!register_operand (operands[1], E_V3x16QImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4499; /* aarch64_vec_store_lanesv3x16qi_lanev16qi */

    case E_V3x8HImode:
      if (!register_operand (operands[1], E_V3x8HImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4500; /* aarch64_vec_store_lanesv3x8hi_lanev8hi */

    case E_V3x4SImode:
      if (!register_operand (operands[1], E_V3x4SImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4501; /* aarch64_vec_store_lanesv3x4si_lanev4si */

    case E_V3x2DImode:
      if (!register_operand (operands[1], E_V3x2DImode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4502; /* aarch64_vec_store_lanesv3x2di_lanev2di */

    case E_V3x8HFmode:
      if (!register_operand (operands[1], E_V3x8HFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4503; /* aarch64_vec_store_lanesv3x8hf_lanev8hf */

    case E_V3x4SFmode:
      if (!register_operand (operands[1], E_V3x4SFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4504; /* aarch64_vec_store_lanesv3x4sf_lanev4sf */

    case E_V3x2DFmode:
      if (!register_operand (operands[1], E_V3x2DFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4505; /* aarch64_vec_store_lanesv3x2df_lanev2df */

    case E_V3x8BFmode:
      if (!register_operand (operands[1], E_V3x8BFmode)
          || !
#line 7728 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4506; /* aarch64_vec_store_lanesv3x8bf_lanev8bf */

    default:
      return -1;
    }
}

 int
recog_92 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern97 (x1))
    {
    case 0:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3634; /* aarch64_srshlv8qi */

    case 1:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3642; /* aarch64_srshlv16qi */

    case 2:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3650; /* aarch64_srshlv4hi */

    case 3:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3658; /* aarch64_srshlv8hi */

    case 4:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3666; /* aarch64_srshlv2si */

    case 5:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3674; /* aarch64_srshlv4si */

    case 6:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3678; /* aarch64_srshlv2di */

    case 7:
      if (!
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3686; /* aarch64_srshldi */

    case 8:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11449; /* aarch64_sve_srshlvnx32qi */

    case 9:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11452; /* aarch64_sve_srshlvnx16hi */

    case 10:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11455; /* aarch64_sve_srshlvnx8si */

    case 11:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11458; /* aarch64_sve_srshlvnx4di */

    case 12:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11461; /* aarch64_sve_srshlvnx64qi */

    case 13:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11464; /* aarch64_sve_srshlvnx32hi */

    case 14:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11467; /* aarch64_sve_srshlvnx16si */

    case 15:
      if (!
#line 755 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11470; /* aarch64_sve_srshlvnx8di */

    case 16:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11473; /* aarch64_sve_single_srshlvnx32qi */

    case 17:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11476; /* aarch64_sve_single_srshlvnx16hi */

    case 18:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11479; /* aarch64_sve_single_srshlvnx8si */

    case 19:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11482; /* aarch64_sve_single_srshlvnx4di */

    case 20:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11485; /* aarch64_sve_single_srshlvnx64qi */

    case 21:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11488; /* aarch64_sve_single_srshlvnx32hi */

    case 22:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11491; /* aarch64_sve_single_srshlvnx16si */

    case 23:
      if (!
#line 766 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11494; /* aarch64_sve_single_srshlvnx8di */

    default:
      return -1;
    }
}

 int
recog_100 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern116 (x1))
    {
    case 0:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10459; /* aarch64_sve_zipq1vnx16qi */

    case 1:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10469; /* aarch64_sve_zipq1vnx8qi */

    case 2:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10479; /* aarch64_sve_zipq1vnx4qi */

    case 3:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10489; /* aarch64_sve_zipq1vnx2qi */

    case 4:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10499; /* aarch64_sve_zipq1vnx8hi */

    case 5:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10509; /* aarch64_sve_zipq1vnx4hi */

    case 6:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10519; /* aarch64_sve_zipq1vnx2hi */

    case 7:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10529; /* aarch64_sve_zipq1vnx4si */

    case 8:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10539; /* aarch64_sve_zipq1vnx2si */

    case 9:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10549; /* aarch64_sve_zipq1vnx2di */

    case 10:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10559; /* aarch64_sve_zipq1vnx8hf */

    case 11:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10569; /* aarch64_sve_zipq1vnx4hf */

    case 12:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10579; /* aarch64_sve_zipq1vnx2hf */

    case 13:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10589; /* aarch64_sve_zipq1vnx8bf */

    case 14:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10599; /* aarch64_sve_zipq1vnx4bf */

    case 15:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10609; /* aarch64_sve_zipq1vnx2bf */

    case 16:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10619; /* aarch64_sve_zipq1vnx4sf */

    case 17:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10629; /* aarch64_sve_zipq1vnx2sf */

    case 18:
      if (!(
#line 9215 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING)))
        return -1;
      return 10639; /* aarch64_sve_zipq1vnx2df */

    default:
      return -1;
    }
}

 int
recog_108 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern719 (x3, 
E_QImode, 
E_VNx16QImode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6457; /* vec_shl_insert_vnx16qi */

    case E_VNx8HImode:
      if (pattern719 (x3, 
E_HImode, 
E_VNx8HImode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6458; /* vec_shl_insert_vnx8hi */

    case E_VNx4SImode:
      if (pattern719 (x3, 
E_SImode, 
E_VNx4SImode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6459; /* vec_shl_insert_vnx4si */

    case E_VNx2DImode:
      if (pattern719 (x3, 
E_DImode, 
E_VNx2DImode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6460; /* vec_shl_insert_vnx2di */

    case E_VNx8BFmode:
      if (pattern719 (x3, 
E_BFmode, 
E_VNx8BFmode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6461; /* vec_shl_insert_vnx8bf */

    case E_VNx8HFmode:
      if (pattern719 (x3, 
E_HFmode, 
E_VNx8HFmode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6462; /* vec_shl_insert_vnx8hf */

    case E_VNx4SFmode:
      if (pattern719 (x3, 
E_SFmode, 
E_VNx4SFmode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6463; /* vec_shl_insert_vnx4sf */

    case E_VNx2DFmode:
      if (pattern719 (x3, 
E_DFmode, 
E_VNx2DFmode) != 0
          || !
#line 2882 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6464; /* vec_shl_insert_vnx2df */

    default:
      return -1;
    }
}

 int
recog_116 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern91 (x1))
    {
    case 0:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3299; /* aarch64_usqaddv8qi */

    case 1:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3303; /* aarch64_usqaddv16qi */

    case 2:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3307; /* aarch64_usqaddv4hi */

    case 3:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3311; /* aarch64_usqaddv8hi */

    case 4:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3315; /* aarch64_usqaddv2si */

    case 5:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3319; /* aarch64_usqaddv4si */

    case 6:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3321; /* aarch64_usqaddv2di */

    case 7:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3323; /* aarch64_usqaddqi */

    case 8:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3325; /* aarch64_usqaddhi */

    case 9:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3327; /* aarch64_usqaddsi */

    case 10:
      if (!
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3331; /* aarch64_usqadddi */

    default:
      return -1;
    }
}

 int
recog_124 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern113 (x1))
    {
    case 0:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8982; /* *xorvnx8hf3 */

    case 1:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8985; /* *xorvnx4hf3 */

    case 2:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8988; /* *xorvnx2hf3 */

    case 3:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8991; /* *xorvnx8bf3 */

    case 4:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8994; /* *xorvnx4bf3 */

    case 5:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8997; /* *xorvnx2bf3 */

    case 6:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9000; /* *xorvnx4sf3 */

    case 7:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9003; /* *xorvnx2sf3 */

    case 8:
      if (!
#line 6579 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 9006; /* *xorvnx2df3 */

    default:
      return -1;
    }
}

 int
recog_134 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern117 (x1))
    {
    case 0:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10644; /* aarch64_sve_trn2qvnx16qi */

    case 1:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10650; /* aarch64_sve_trn2qvnx8hi */

    case 2:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10656; /* aarch64_sve_trn2qvnx4si */

    case 3:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10662; /* aarch64_sve_trn2qvnx2di */

    case 4:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10668; /* aarch64_sve_trn2qvnx8bf */

    case 5:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10674; /* aarch64_sve_trn2qvnx8hf */

    case 6:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10680; /* aarch64_sve_trn2qvnx4sf */

    case 7:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10686; /* aarch64_sve_trn2qvnx2df */

    default:
      return -1;
    }
}

 int
recog_144 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern90 (x1))
    {
    case 0:
      if (!(
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2163; /* aarch64_sminpv4hf */

    case 1:
      if (!(
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2169; /* aarch64_sminpv8hf */

    case 2:
      if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2179; /* aarch64_sminpv2sf */

    case 3:
      if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2185; /* aarch64_sminpv4sf */

    case 4:
      if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2189; /* aarch64_sminpv2df */

    case 5:
      if (!
#line 9027 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10363; /* aarch64_pred_reduc_smin_vnx8hf */

    case 6:
      if (!
#line 9027 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10368; /* aarch64_pred_reduc_smin_vnx4sf */

    case 7:
      if (!
#line 9027 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10373; /* aarch64_pred_reduc_smin_vnx2df */

    default:
      return -1;
    }
}

 int
recog_155 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern87 (x1))
    {
    case 0:
      if (!
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1955; /* aarch64_simd_reg_shlv8qi_signed */

    case 1:
      if (!
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1958; /* aarch64_simd_reg_shlv16qi_signed */

    case 2:
      if (!
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1959; /* aarch64_simd_reg_shlv4hi_signed */

    case 3:
      if (!
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1962; /* aarch64_simd_reg_shlv8hi_signed */

    case 4:
      if (!
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1963; /* aarch64_simd_reg_shlv2si_signed */

    case 5:
      if (!
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1966; /* aarch64_simd_reg_shlv4si_signed */

    case 6:
      if (!
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1967; /* aarch64_simd_reg_shlv2di_signed */

    default:
      return -1;
    }
}

 int
recog_166 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern123 (x1))
    {
    case 0:
      if (!
#line 2270 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12051; /* aarch64_sve_smullbvnx8hi */

    case 1:
      if (!
#line 2270 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12072; /* aarch64_sve_smullbvnx4si */

    case 2:
      if (!
#line 2270 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12093; /* aarch64_sve_smullbvnx2di */

    case 3:
      if (!
#line 2283 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12109; /* aarch64_sve_smullb_lane_vnx4si */

    case 4:
      if (!
#line 2283 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12115; /* aarch64_sve_smullb_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_176 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern135 (x1))
    {
    case 0:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12696; /* aarch64_pred_reduc_sminqv_vnx16qi */

    case 1:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12704; /* aarch64_pred_reduc_sminqv_vnx8hi */

    case 2:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12712; /* aarch64_pred_reduc_sminqv_vnx4si */

    case 3:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12720; /* aarch64_pred_reduc_sminqv_vnx2di */

    default:
      return -1;
    }
}

 int
recog_186 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern115 (x1))
    {
    case 0:
      if (!
#line 8983 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10337; /* aarch64_pred_reduc_xor_vnx16qi */

    case 1:
      if (!
#line 8983 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10344; /* aarch64_pred_reduc_xor_vnx8hi */

    case 2:
      if (!
#line 8983 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10351; /* aarch64_pred_reduc_xor_vnx4si */

    case 3:
      if (!
#line 8983 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10358; /* aarch64_pred_reduc_xor_vnx2di */

    default:
      return -1;
    }
}

 int
recog_196 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern836 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7130; /* *cond_cnotvnx16qi_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx16QImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7140; /* *cond_cnotvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7131; /* *cond_cnotvnx8qi_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx8QImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7141; /* *cond_cnotvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7132; /* *cond_cnotvnx4qi_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4QImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7142; /* *cond_cnotvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7133; /* *cond_cnotvnx2qi_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2QImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7143; /* *cond_cnotvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7134; /* *cond_cnotvnx8hi_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx8HImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7144; /* *cond_cnotvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7135; /* *cond_cnotvnx4hi_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4HImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7145; /* *cond_cnotvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7136; /* *cond_cnotvnx2hi_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2HImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7146; /* *cond_cnotvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7137; /* *cond_cnotvnx4si_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx4SImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7147; /* *cond_cnotvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7138; /* *cond_cnotvnx2si_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2SImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7148; /* *cond_cnotvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7139; /* *cond_cnotvnx2di_2 */
      operands[6] = x3;
      if (!aarch64_simd_reg_or_zero (operands[6], E_VNx2DImode)
          || !
#line 3596 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[6])))
        return -1;
      return 7149; /* *cond_cnotvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_212 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx2DImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1242 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11751; /* *cond_sqshlvnx2di_2 */
    }
  if (register_operand (operands[3], E_VNx2DImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1269 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11759; /* *cond_sqshlvnx2di_3 */
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx2DImode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1294 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))))
    return -1;
  return 11767; /* *cond_sqshlvnx2di_any */
}

 int
recog_220 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11632; /* *cond_urhaddvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11673; /* *cond_urhaddvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11713; /* *cond_urhaddvnx2di_any */
}

 int
recog_226 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11607; /* *cond_uqrshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11652; /* *cond_uqrshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11692; /* *cond_uqrshlvnx8hi_any */
}

 int
recog_236 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11627; /* *cond_srshlvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11669; /* *cond_srshlvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11709; /* *cond_srshlvnx2di_any */
}

 int
recog_246 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11601; /* *cond_sqrshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11647; /* *cond_sqrshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11687; /* *cond_sqrshlvnx8hi_any */
}

 int
recog_256 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  switch (XWINT (x4, 0))
    {
    case 0L:
      switch (pattern1092 (x2))
        {
        case 0:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && (
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8493; /* *cond_addvnx8bf_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && (
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8639; /* *cond_addvnx8bf_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
              || !(
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 8743; /* *cond_addvnx8bf_any_relaxed */

        case 1:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8506; /* *cond_addvnx8hf_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8652; /* *cond_addvnx8hf_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8756; /* *cond_addvnx8hf_any_relaxed */

        case 2:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8519; /* *cond_addvnx4sf_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8665; /* *cond_addvnx4sf_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8769; /* *cond_addvnx4sf_any_relaxed */

        case 3:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8532; /* *cond_addvnx2df_2_relaxed */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8678; /* *cond_addvnx2df_3_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8782; /* *cond_addvnx2df_any_relaxed */

        case 4:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5781 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8892; /* *cond_addvnx8hf_2_const_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5829 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8898; /* *cond_addvnx8hf_any_const_relaxed */

        case 5:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5781 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8893; /* *cond_addvnx4sf_2_const_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5829 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8899; /* *cond_addvnx4sf_any_const_relaxed */

        case 6:
          x5 = XVECEXP (x3, 0, 0);
          operands[4] = x5;
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5781 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8894; /* *cond_addvnx2df_2_const_relaxed */
          operands[5] = x5;
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5829 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8900; /* *cond_addvnx2df_any_const_relaxed */

        default:
          return -1;
        }

    case 1L:
      x5 = XVECEXP (x3, 0, 0);
      if (!rtx_equal_p (x5, operands[1]))
        return -1;
      switch (pattern1092 (x2))
        {
        case 0:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && (
#line 5497 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8545; /* *cond_addvnx8bf_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && (
#line 5583 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return 8691; /* *cond_addvnx8bf_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
              || !(
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
            return -1;
          return 8795; /* *cond_addvnx8bf_any_strict */

        case 1:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5497 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8558; /* *cond_addvnx8hf_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5583 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8704; /* *cond_addvnx8hf_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8808; /* *cond_addvnx8hf_any_strict */

        case 2:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5497 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8571; /* *cond_addvnx4sf_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5583 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8717; /* *cond_addvnx4sf_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8821; /* *cond_addvnx4sf_any_strict */

        case 3:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5497 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8584; /* *cond_addvnx2df_2_strict */
          if (rtx_equal_p (x6, operands[3])
              && 
#line 5583 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
            return 8730; /* *cond_addvnx2df_3_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
            return -1;
          return 8834; /* *cond_addvnx2df_any_strict */

        case 4:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5806 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8895; /* *cond_addvnx8hf_2_const_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
              || !
#line 5868 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8901; /* *cond_addvnx8hf_any_const_strict */

        case 5:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5806 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8896; /* *cond_addvnx4sf_2_const_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
              || !
#line 5868 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8902; /* *cond_addvnx4sf_any_const_strict */

        case 6:
          x6 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x6, operands[2])
              && 
#line 5806 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 8897; /* *cond_addvnx2df_2_const_strict */
          operands[4] = x6;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
              || !
#line 5868 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
            return -1;
          return 8903; /* *cond_addvnx2df_any_const_strict */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_270 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9163; /* *cond_fnmavnx16qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9173; /* *cond_fnmavnx16qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx16QImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9183; /* *cond_fnmavnx16qi_any */

    case E_VNx8QImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9164; /* *cond_fnmavnx8qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9174; /* *cond_fnmavnx8qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8QImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9184; /* *cond_fnmavnx8qi_any */

    case E_VNx4QImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9165; /* *cond_fnmavnx4qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9175; /* *cond_fnmavnx4qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4QImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9185; /* *cond_fnmavnx4qi_any */

    case E_VNx2QImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9166; /* *cond_fnmavnx2qi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9176; /* *cond_fnmavnx2qi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2QImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9186; /* *cond_fnmavnx2qi_any */

    case E_VNx8HImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9167; /* *cond_fnmavnx8hi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9177; /* *cond_fnmavnx8hi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx8HImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9187; /* *cond_fnmavnx8hi_any */

    case E_VNx4HImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9168; /* *cond_fnmavnx4hi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9178; /* *cond_fnmavnx4hi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4HImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9188; /* *cond_fnmavnx4hi_any */

    case E_VNx2HImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9169; /* *cond_fnmavnx2hi_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9179; /* *cond_fnmavnx2hi_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2HImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9189; /* *cond_fnmavnx2hi_any */

    case E_VNx4SImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9170; /* *cond_fnmavnx4si_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9180; /* *cond_fnmavnx4si_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx4SImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9190; /* *cond_fnmavnx4si_any */

    case E_VNx2SImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9171; /* *cond_fnmavnx2si_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9181; /* *cond_fnmavnx2si_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2SImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9191; /* *cond_fnmavnx2si_any */

    case E_VNx2DImode:
      x2 = XEXP (x1, 1);
      if (pattern1117 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 7222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9172; /* *cond_fnmavnx2di_2 */
      if (rtx_equal_p (x3, operands[4])
          && 
#line 7241 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 9182; /* *cond_fnmavnx2di_4 */
      operands[5] = x3;
      if (!aarch64_simd_reg_or_zero (operands[5], E_VNx2DImode)
          || !
#line 7261 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[5])
   && !rtx_equal_p (operands[3], operands[5])
   && !rtx_equal_p (operands[4], operands[5])))
        return -1;
      return 9192; /* *cond_fnmavnx2di_any */

    default:
      return -1;
    }
}

 int
recog_276 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern601 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7446; /* *cond_ashrvnx16qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7616; /* *cond_ashrvnx16qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7786; /* *cond_ashrvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7463; /* *cond_ashrvnx8qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7633; /* *cond_ashrvnx8qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7803; /* *cond_ashrvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7480; /* *cond_ashrvnx4qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7650; /* *cond_ashrvnx4qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7820; /* *cond_ashrvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7497; /* *cond_ashrvnx2qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7667; /* *cond_ashrvnx2qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7837; /* *cond_ashrvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7514; /* *cond_ashrvnx8hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7684; /* *cond_ashrvnx8hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7854; /* *cond_ashrvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7531; /* *cond_ashrvnx4hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7701; /* *cond_ashrvnx4hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7871; /* *cond_ashrvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7548; /* *cond_ashrvnx2hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7718; /* *cond_ashrvnx2hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7888; /* *cond_ashrvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7565; /* *cond_ashrvnx4si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7735; /* *cond_ashrvnx4si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7905; /* *cond_ashrvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7582; /* *cond_ashrvnx2si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7752; /* *cond_ashrvnx2si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7922; /* *cond_ashrvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7599; /* *cond_ashrvnx2di_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7769; /* *cond_ashrvnx2di_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7939; /* *cond_ashrvnx2di_any */

    case 10:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8255; /* *cond_ashrvnx16qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8285; /* *cond_ashrvnx16qi_any_const */

    case 11:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8258; /* *cond_ashrvnx8qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8288; /* *cond_ashrvnx8qi_any_const */

    case 12:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8261; /* *cond_ashrvnx4qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8291; /* *cond_ashrvnx4qi_any_const */

    case 13:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8264; /* *cond_ashrvnx2qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8294; /* *cond_ashrvnx2qi_any_const */

    case 14:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8267; /* *cond_ashrvnx8hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8297; /* *cond_ashrvnx8hi_any_const */

    case 15:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8270; /* *cond_ashrvnx4hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8300; /* *cond_ashrvnx4hi_any_const */

    case 16:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8273; /* *cond_ashrvnx2hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8303; /* *cond_ashrvnx2hi_any_const */

    case 17:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8276; /* *cond_ashrvnx4si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8306; /* *cond_ashrvnx4si_any_const */

    case 18:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8279; /* *cond_ashrvnx2si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8309; /* *cond_ashrvnx2si_any_const */

    case 19:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8282; /* *cond_ashrvnx2di_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8312; /* *cond_ashrvnx2di_any_const */

    default:
      return -1;
    }
}

 int
recog_277 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern601 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7447; /* *cond_lshrvnx16qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7617; /* *cond_lshrvnx16qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7787; /* *cond_lshrvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7464; /* *cond_lshrvnx8qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7634; /* *cond_lshrvnx8qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7804; /* *cond_lshrvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7481; /* *cond_lshrvnx4qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7651; /* *cond_lshrvnx4qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7821; /* *cond_lshrvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7498; /* *cond_lshrvnx2qi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7668; /* *cond_lshrvnx2qi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7838; /* *cond_lshrvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7515; /* *cond_lshrvnx8hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7685; /* *cond_lshrvnx8hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7855; /* *cond_lshrvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7532; /* *cond_lshrvnx4hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7702; /* *cond_lshrvnx4hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7872; /* *cond_lshrvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7549; /* *cond_lshrvnx2hi_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7719; /* *cond_lshrvnx2hi_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7889; /* *cond_lshrvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7566; /* *cond_lshrvnx4si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7736; /* *cond_lshrvnx4si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7906; /* *cond_lshrvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7583; /* *cond_lshrvnx2si_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7753; /* *cond_lshrvnx2si_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7923; /* *cond_lshrvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7600; /* *cond_lshrvnx2di_2 */
      if (rtx_equal_p (x3, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7770; /* *cond_lshrvnx2di_3 */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7940; /* *cond_lshrvnx2di_any */

    case 10:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8256; /* *cond_lshrvnx16qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8286; /* *cond_lshrvnx16qi_any_const */

    case 11:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8259; /* *cond_lshrvnx8qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8289; /* *cond_lshrvnx8qi_any_const */

    case 12:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8262; /* *cond_lshrvnx4qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8292; /* *cond_lshrvnx4qi_any_const */

    case 13:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8265; /* *cond_lshrvnx2qi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8295; /* *cond_lshrvnx2qi_any_const */

    case 14:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8268; /* *cond_lshrvnx8hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8298; /* *cond_lshrvnx8hi_any_const */

    case 15:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8271; /* *cond_lshrvnx4hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8301; /* *cond_lshrvnx4hi_any_const */

    case 16:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8274; /* *cond_lshrvnx2hi_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8304; /* *cond_lshrvnx2hi_any_const */

    case 17:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8277; /* *cond_lshrvnx4si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8307; /* *cond_lshrvnx4si_any_const */

    case 18:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8280; /* *cond_lshrvnx2si_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8310; /* *cond_lshrvnx2si_any_const */

    case 19:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 4937 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8283; /* *cond_lshrvnx2di_2_const */
      operands[4] = x3;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4954 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8313; /* *cond_lshrvnx2di_any_const */

    default:
      return -1;
    }
}

 int
recog_286 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern724 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7444; /* *cond_uminvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7614; /* *cond_uminvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7784; /* *cond_uminvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7461; /* *cond_uminvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7631; /* *cond_uminvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7801; /* *cond_uminvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7478; /* *cond_uminvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7648; /* *cond_uminvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7818; /* *cond_uminvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7495; /* *cond_uminvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7665; /* *cond_uminvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7835; /* *cond_uminvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7512; /* *cond_uminvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7682; /* *cond_uminvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7852; /* *cond_uminvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7529; /* *cond_uminvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7699; /* *cond_uminvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7869; /* *cond_uminvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7546; /* *cond_uminvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7716; /* *cond_uminvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7886; /* *cond_uminvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7563; /* *cond_uminvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7733; /* *cond_uminvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7903; /* *cond_uminvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7580; /* *cond_uminvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7750; /* *cond_uminvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7920; /* *cond_uminvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7597; /* *cond_uminvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7767; /* *cond_uminvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7937; /* *cond_uminvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_296 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern599 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6698; /* *cond_clrsbvnx16qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16QImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6788; /* *cond_clrsbvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6707; /* *cond_clrsbvnx8qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8QImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6797; /* *cond_clrsbvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6716; /* *cond_clrsbvnx4qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4QImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6806; /* *cond_clrsbvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6725; /* *cond_clrsbvnx2qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2QImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6815; /* *cond_clrsbvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6734; /* *cond_clrsbvnx8hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6824; /* *cond_clrsbvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6743; /* *cond_clrsbvnx4hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4HImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6833; /* *cond_clrsbvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6752; /* *cond_clrsbvnx2hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2HImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6842; /* *cond_clrsbvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6761; /* *cond_clrsbvnx4si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6851; /* *cond_clrsbvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6770; /* *cond_clrsbvnx2si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2SImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6860; /* *cond_clrsbvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6779; /* *cond_clrsbvnx2di_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DImode)
          || !
#line 3250 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6869; /* *cond_clrsbvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_306 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  if (!aarch64_maskload_else_operand (operands[3], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      if (pattern856 (x3, 
E_VNx32QImode, 
E_VNx16BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5743; /* vec_mask_load_lanesvnx32qivnx16qi */

    case E_VNx16HImode:
      if (pattern856 (x3, 
E_VNx16HImode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5744; /* vec_mask_load_lanesvnx16hivnx8hi */

    case E_VNx8SImode:
      if (pattern856 (x3, 
E_VNx8SImode, 
E_VNx4BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5745; /* vec_mask_load_lanesvnx8sivnx4si */

    case E_VNx4DImode:
      if (pattern856 (x3, 
E_VNx4DImode, 
E_VNx2BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5746; /* vec_mask_load_lanesvnx4divnx2di */

    case E_VNx16BFmode:
      if (pattern856 (x3, 
E_VNx16BFmode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5747; /* vec_mask_load_lanesvnx16bfvnx8bf */

    case E_VNx16HFmode:
      if (pattern856 (x3, 
E_VNx16HFmode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5748; /* vec_mask_load_lanesvnx16hfvnx8hf */

    case E_VNx8SFmode:
      if (pattern856 (x3, 
E_VNx8SFmode, 
E_VNx4BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5749; /* vec_mask_load_lanesvnx8sfvnx4sf */

    case E_VNx4DFmode:
      if (pattern856 (x3, 
E_VNx4DFmode, 
E_VNx2BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5750; /* vec_mask_load_lanesvnx4dfvnx2df */

    case E_VNx48QImode:
      if (pattern856 (x3, 
E_VNx48QImode, 
E_VNx16BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5751; /* vec_mask_load_lanesvnx48qivnx16qi */

    case E_VNx24HImode:
      if (pattern856 (x3, 
E_VNx24HImode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5752; /* vec_mask_load_lanesvnx24hivnx8hi */

    case E_VNx12SImode:
      if (pattern856 (x3, 
E_VNx12SImode, 
E_VNx4BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5753; /* vec_mask_load_lanesvnx12sivnx4si */

    case E_VNx6DImode:
      if (pattern856 (x3, 
E_VNx6DImode, 
E_VNx2BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5754; /* vec_mask_load_lanesvnx6divnx2di */

    case E_VNx24BFmode:
      if (pattern856 (x3, 
E_VNx24BFmode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5755; /* vec_mask_load_lanesvnx24bfvnx8bf */

    case E_VNx24HFmode:
      if (pattern856 (x3, 
E_VNx24HFmode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5756; /* vec_mask_load_lanesvnx24hfvnx8hf */

    case E_VNx12SFmode:
      if (pattern856 (x3, 
E_VNx12SFmode, 
E_VNx4BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5757; /* vec_mask_load_lanesvnx12sfvnx4sf */

    case E_VNx6DFmode:
      if (pattern856 (x3, 
E_VNx6DFmode, 
E_VNx2BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5758; /* vec_mask_load_lanesvnx6dfvnx2df */

    case E_VNx64QImode:
      if (pattern856 (x3, 
E_VNx64QImode, 
E_VNx16BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5759; /* vec_mask_load_lanesvnx64qivnx16qi */

    case E_VNx32HImode:
      if (pattern856 (x3, 
E_VNx32HImode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5760; /* vec_mask_load_lanesvnx32hivnx8hi */

    case E_VNx16SImode:
      if (pattern856 (x3, 
E_VNx16SImode, 
E_VNx4BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5761; /* vec_mask_load_lanesvnx16sivnx4si */

    case E_VNx8DImode:
      if (pattern856 (x3, 
E_VNx8DImode, 
E_VNx2BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5762; /* vec_mask_load_lanesvnx8divnx2di */

    case E_VNx32BFmode:
      if (pattern856 (x3, 
E_VNx32BFmode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5763; /* vec_mask_load_lanesvnx32bfvnx8bf */

    case E_VNx32HFmode:
      if (pattern856 (x3, 
E_VNx32HFmode, 
E_VNx8BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5764; /* vec_mask_load_lanesvnx32hfvnx8hf */

    case E_VNx16SFmode:
      if (pattern856 (x3, 
E_VNx16SFmode, 
E_VNx4BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5765; /* vec_mask_load_lanesvnx16sfvnx4sf */

    case E_VNx8DFmode:
      if (pattern856 (x3, 
E_VNx8DFmode, 
E_VNx2BImode) != 0
          || !
#line 1323 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5766; /* vec_mask_load_lanesvnx8dfvnx2df */

    default:
      return -1;
    }
}

 int
recog_314 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern167 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 9943; /* while_rwsivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 9953; /* while_rwdivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 9963; /* while_rwsivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 9973; /* while_rwdivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 9983; /* while_rwsivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 9993; /* while_rwdivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10003; /* while_rwsivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10013; /* while_rwdivnx2bi */

    default:
      return -1;
    }
}

 int
recog_322 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern167 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9935; /* while_lesivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9945; /* while_ledivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9955; /* while_lesivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9965; /* while_ledivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9975; /* while_lesivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9985; /* while_ledivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9995; /* while_lesivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10005; /* while_ledivnx2bi */

    default:
      return -1;
    }
}

 int
recog_331 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern180 (x1))
    {
    case 0:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11110; /* aarch64_ld1vnx32qi */

    case 1:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11112; /* aarch64_ld1vnx16hi */

    case 2:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11114; /* aarch64_ld1vnx8si */

    case 3:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11116; /* aarch64_ld1vnx4di */

    case 4:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11118; /* aarch64_ld1vnx16bf */

    case 5:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11120; /* aarch64_ld1vnx16hf */

    case 6:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11122; /* aarch64_ld1vnx8sf */

    case 7:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11124; /* aarch64_ld1vnx4df */

    case 8:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11126; /* aarch64_ld1vnx64qi */

    case 9:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11128; /* aarch64_ld1vnx32hi */

    case 10:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11130; /* aarch64_ld1vnx16si */

    case 11:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11132; /* aarch64_ld1vnx8di */

    case 12:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11134; /* aarch64_ld1vnx32bf */

    case 13:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11136; /* aarch64_ld1vnx32hf */

    case 14:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11138; /* aarch64_ld1vnx16sf */

    case 15:
      if (!
#line 275 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11140; /* aarch64_ld1vnx8df */

    default:
      return -1;
    }
}

 int
recog_339 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  operands[0] = x5;
  x6 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[1] = x6;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1053 (x2))
        {
        case 0:
          if (!
#line 914 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13249; /* aarch64_sme_readvnx4di */

        case 1:
          if (!
#line 914 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13250; /* aarch64_sme_readvnx8di */

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x6) != E_SImode)
        return -1;
      x7 = XEXP (x6, 0);
      operands[1] = x7;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x8 = XEXP (x6, 1);
      operands[2] = x8;
      if (!const_0_to_7_operand (operands[2], E_SImode))
        return -1;
      switch (pattern1053 (x2))
        {
        case 0:
          if (!
#line 926 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13251; /* *aarch64_sme_readvnx4di_plus */

        case 1:
          if (!
#line 926 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13252; /* *aarch64_sme_readvnx8di_plus */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_345 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern173 (x1))
    {
    case 0:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
        return -1;
      return 10766; /* aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi */

    case 1:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
        return -1;
      return 10768; /* aarch64_sve_fix_trunc_nontruncvnx4sfvnx8hi */

    case 2:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
        return -1;
      return 10770; /* aarch64_sve_fix_trunc_nontruncvnx2dfvnx8hi */

    case 3:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
        return -1;
      return 10772; /* aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si */

    case 4:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
        return -1;
      return 10774; /* aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si */

    case 5:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
        return -1;
      return 10776; /* aarch64_sve_fix_trunc_nontruncvnx2dfvnx4si */

    case 6:
      if (!
#line 9420 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10784; /* aarch64_sve_fix_trunc_truncvnx2dfvnx4si */

    case 7:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
        return -1;
      return 10778; /* aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di */

    case 8:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
        return -1;
      return 10780; /* aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di */

    case 9:
      if (!
#line 9405 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
        return -1;
      return 10782; /* aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di */

    default:
      return -1;
    }
}

 int
recog_356 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern194 (x1))
    {
    case 0:
      if (!
#line 3016 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12492; /* aarch64_sve_sqrdcmlah270vnx16qi */

    case 1:
      if (!
#line 3016 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12500; /* aarch64_sve_sqrdcmlah270vnx8hi */

    case 2:
      if (!
#line 3016 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12508; /* aarch64_sve_sqrdcmlah270vnx4si */

    case 3:
      if (!
#line 3016 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12516; /* aarch64_sve_sqrdcmlah270vnx2di */

    case 4:
      if (!
#line 3033 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12524; /* aarch64_sqrdcmlah270_lane_vnx8hi */

    case 5:
      if (!
#line 3033 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12532; /* aarch64_sqrdcmlah270_lane_vnx4si */

    default:
      return -1;
    }
}

 int
recog_364 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[3] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_HFmode:
      if (pattern791 (x3, 
E_VNx8HFmode, 
E_HFmode, 
E_VNx8BImode) != 0
          || !
#line 9058 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10374; /* mask_fold_left_plus_vnx8hf */

    case E_SFmode:
      if (pattern791 (x3, 
E_VNx4SFmode, 
E_SFmode, 
E_VNx4BImode) != 0
          || !
#line 9058 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10375; /* mask_fold_left_plus_vnx4sf */

    case E_DFmode:
      if (pattern791 (x3, 
E_VNx2DFmode, 
E_DFmode, 
E_VNx2BImode) != 0
          || !
#line 9058 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 10376; /* mask_fold_left_plus_vnx2df */

    default:
      return -1;
    }
}

 int
recog_373 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern190 (x1))
    {
    case 0:
      if (!
#line 2821 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12420; /* aarch64_pred_uminpvnx16qi */

    case 1:
      if (!
#line 2821 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12425; /* aarch64_pred_uminpvnx8hi */

    case 2:
      if (!
#line 2821 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12430; /* aarch64_pred_uminpvnx4si */

    case 3:
      if (!
#line 2821 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12435; /* aarch64_pred_uminpvnx2di */

    default:
      return -1;
    }
}

 int
recog_381 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern184 (x1))
    {
    case 0:
      if (!
#line 1451 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11797; /* aarch64_sve_eorbtvnx16qi */

    case 1:
      if (!
#line 1451 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11805; /* aarch64_sve_eorbtvnx8hi */

    case 2:
      if (!
#line 1451 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11813; /* aarch64_sve_eorbtvnx4si */

    case 3:
      if (!
#line 1451 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11821; /* aarch64_sve_eorbtvnx2di */

    default:
      return -1;
    }
}

 int
recog_389 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[3] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[1] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx4SFmode:
      if (pattern183 (x3, 
E_VNx4SFmode) != 0
          || !(
#line 7999 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 553 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE_F32MM)))
        return -1;
      return 9405; /* aarch64_sve_fmmlavnx4sf */

    case E_VNx2DFmode:
      if (pattern183 (x3, 
E_VNx2DFmode) != 0
          || !(
#line 7999 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 554 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE_F64MM)))
        return -1;
      return 9406; /* aarch64_sve_fmmlavnx2df */

    default:
      return -1;
    }
}

 int
recog_397 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_CC_NZCmode)
    return -1;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  if (pnum_clobbers != NULL)
    {
      res = recog_395 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  if (!aarch64_sve_ptrue_flag (x3, E_SImode))
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_CC_NZCmode)
    return -1;
  x5 = XVECEXP (x2, 0, 0);
  if (!register_operand (x5, E_VNx16BImode))
    return -1;
  x6 = XVECEXP (x2, 0, 3);
  switch (GET_CODE (x6))
    {
    case AND:
      if (pnum_clobbers == NULL)
        return -1;
      operands[1] = x5;
      x7 = XEXP (x6, 0);
      switch (GET_CODE (x7))
        {
        case REG:
          if (REGNO (x7) != 86
              || GET_MODE (x7) != E_VNx16BImode)
            return -1;
          operands[2] = x3;
          if (GET_MODE (x6) != E_VNx16BImode)
            return -1;
          x8 = XVECEXP (x2, 0, 1);
          if (!rtx_equal_p (x8, operands[1]))
            return -1;
          x9 = XEXP (x6, 1);
          if (!rtx_equal_p (x9, operands[1])
              || !
#line 1182 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
            return -1;
          *pnum_clobbers = 1;
          return 5719; /* *aarch64_rdffr_z_ptest */

        case AND:
          switch (pattern1163 (x2))
            {
            case 0:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9053; /* *andvnx16bi3_ptest */

            case 1:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9056; /* *andvnx8bi3_ptest */

            case 2:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9059; /* *andvnx4bi3_ptest */

            case 3:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9062; /* *andvnx2bi3_ptest */

            case 4:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9081; /* *bicvnx16bi3_ptest */

            case 5:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9083; /* *bicvnx8bi3_ptest */

            case 6:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9085; /* *bicvnx4bi3_ptest */

            case 7:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9087; /* *bicvnx2bi3_ptest */

            case 8:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9105; /* *norvnx16bi3_ptest */

            case 9:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9107; /* *norvnx8bi3_ptest */

            case 10:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9109; /* *norvnx4bi3_ptest */

            case 11:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9111; /* *norvnx2bi3_ptest */

            default:
              return -1;
            }

        case IOR:
          switch (pattern1163 (x2))
            {
            case 0:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9054; /* *iorvnx16bi3_ptest */

            case 1:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9057; /* *iorvnx8bi3_ptest */

            case 2:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9060; /* *iorvnx4bi3_ptest */

            case 3:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9063; /* *iorvnx2bi3_ptest */

            case 4:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9082; /* *ornvnx16bi3_ptest */

            case 5:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9084; /* *ornvnx8bi3_ptest */

            case 6:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9086; /* *ornvnx4bi3_ptest */

            case 7:
              if (!
#line 6911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9088; /* *ornvnx2bi3_ptest */

            case 8:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9106; /* *nandvnx16bi3_ptest */

            case 9:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9108; /* *nandvnx8bi3_ptest */

            case 10:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9110; /* *nandvnx4bi3_ptest */

            case 11:
              if (!
#line 6987 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9112; /* *nandvnx2bi3_ptest */

            default:
              return -1;
            }

        case XOR:
          x8 = XVECEXP (x2, 0, 1);
          operands[4] = x8;
          operands[5] = x3;
          x10 = XEXP (x7, 0);
          operands[2] = x10;
          x11 = XEXP (x7, 1);
          operands[3] = x11;
          x9 = XEXP (x6, 1);
          if (!rtx_equal_p (x9, operands[4]))
            return -1;
          switch (pattern1160 (x6))
            {
            case 0:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9055; /* *xorvnx16bi3_ptest */

            case 1:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9058; /* *xorvnx8bi3_ptest */

            case 2:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9061; /* *xorvnx4bi3_ptest */

            case 3:
              if (!
#line 6837 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9064; /* *xorvnx2bi3_ptest */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case UNSPEC:
      return recog_396 (x1, insn, pnum_clobbers);

    case REG:
    case SUBREG:
      operands[3] = x6;
      operands[0] = x5;
      x8 = XVECEXP (x2, 0, 1);
      operands[1] = x8;
      operands[2] = x3;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx16BImode:
          if (!register_operand (operands[3], E_VNx16BImode)
              || !
#line 8879 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10287; /* aarch64_ptestvnx16bi */

        case E_VNx8BImode:
          if (!register_operand (operands[3], E_VNx8BImode)
              || !
#line 8879 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10288; /* aarch64_ptestvnx8bi */

        case E_VNx4BImode:
          if (!register_operand (operands[3], E_VNx4BImode)
              || !
#line 8879 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10289; /* aarch64_ptestvnx4bi */

        case E_VNx2BImode:
          if (!register_operand (operands[3], E_VNx2BImode)
              || !
#line 8879 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10290; /* aarch64_ptestvnx2bi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_413 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern935 (x3, 
E_VNx8HImode, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 5198 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8445; /* aarch64_pred_fscalevnx8hf */

    case E_VNx4SFmode:
      if (pattern935 (x3, 
E_VNx4SImode, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 5198 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8446; /* aarch64_pred_fscalevnx4sf */

    case E_VNx2DFmode:
      if (pattern935 (x3, 
E_VNx2DImode, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 5198 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8447; /* aarch64_pred_fscalevnx2df */

    case E_HFmode:
      if (pattern935 (x3, 
E_HImode, 
E_HFmode, 
E_VNx8BImode) != 0
          || !
#line 5198 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8448; /* aarch64_pred_fscalehf */

    case E_SFmode:
      if (pattern935 (x3, 
E_SImode, 
E_SFmode, 
E_VNx4BImode) != 0
          || !
#line 5198 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8449; /* aarch64_pred_fscalesf */

    case E_DFmode:
      if (pattern935 (x3, 
E_DImode, 
E_DFmode, 
E_VNx2BImode) != 0
          || !
#line 5198 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8450; /* aarch64_pred_fscaledf */

    default:
      return -1;
    }
}

 int
recog_417 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  switch (pattern213 (x1))
    {
    case 0:
      if (!
#line 8512 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10177; /* aarch64_pred_fcmgtvnx8hf */

    case 1:
      if (!
#line 8512 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10183; /* aarch64_pred_fcmgtvnx4sf */

    case 2:
      if (!
#line 8512 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10189; /* aarch64_pred_fcmgtvnx2df */

    case 3:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 2);
      x4 = XVECEXP (x3, 0, 1);
      if (XWINT (x4, 0) == 0L)
        {
          switch (pattern1252 (x2))
            {
            case 0:
              if (
#line 8785 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10260; /* *aarch64_pred_facgtvnx8hf_relaxed */
              break;

            case 1:
              if (
#line 8785 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10264; /* *aarch64_pred_facgtvnx4sf_relaxed */
              break;

            case 2:
              if (
#line 8785 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10268; /* *aarch64_pred_facgtvnx2df_relaxed */
              break;

            default:
              break;
            }
        }
      operands[5] = x4;
      switch (pattern1253 (x2))
        {
        case 0:
          if (!
#line 8811 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10272; /* *aarch64_pred_facgtvnx8hf_strict */

        case 1:
          if (!
#line 8811 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10276; /* *aarch64_pred_facgtvnx4sf_strict */

        case 2:
          if (!
#line 8811 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10280; /* *aarch64_pred_facgtvnx2df_strict */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_426 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern222 (x1))
    {
    case 0:
      if (!
#line 1159 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13351; /* aarch64_sme_addvnx8si */

    case 1:
      if (!(
#line 1159 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13353; /* aarch64_sme_addvnx4di */

    case 2:
      if (!
#line 1159 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13355; /* aarch64_sme_addvnx16si */

    case 3:
      if (!(
#line 1159 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13357; /* aarch64_sme_addvnx8di */

    case 4:
      if (!
#line 1172 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13359; /* *aarch64_sme_addvnx8si_plus */

    case 5:
      if (!(
#line 1172 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13361; /* *aarch64_sme_addvnx4di_plus */

    case 6:
      if (!
#line 1172 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13363; /* *aarch64_sme_addvnx16si_plus */

    case 7:
      if (!(
#line 1172 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13365; /* *aarch64_sme_addvnx8di_plus */

    default:
      return -1;
    }
}

 int
recog_434 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  if (pattern82 (x1, 
E_VNx4SImode, 
93, 
89) != 0)
    return -1;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 3);
      operands[1] = x4;
      x5 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          switch (GET_MODE (operands[1]))
            {
            case E_VNx16BFmode:
              if (!aligned_register_operand (operands[1], E_VNx16BFmode)
                  || !aligned_register_operand (operands[2], E_VNx16BFmode)
                  || !
#line 1768 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13873; /* aarch64_sme_fdotvnx4sivnx16bf */

            case E_VNx32BFmode:
              if (!aligned_register_operand (operands[1], E_VNx32BFmode)
                  || !aligned_register_operand (operands[2], E_VNx32BFmode)
                  || !
#line 1768 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13874; /* aarch64_sme_fdotvnx4sivnx32bf */

            case E_VNx16HFmode:
              if (!aligned_register_operand (operands[1], E_VNx16HFmode)
                  || !aligned_register_operand (operands[2], E_VNx16HFmode)
                  || !
#line 1768 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13875; /* aarch64_sme_fdotvnx4sivnx16hf */

            case E_VNx32HFmode:
              if (!aligned_register_operand (operands[1], E_VNx32HFmode)
                  || !aligned_register_operand (operands[2], E_VNx32HFmode)
                  || !
#line 1768 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13876; /* aarch64_sme_fdotvnx4sivnx32hf */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x6 = XEXP (x5, 0);
          operands[2] = x6;
          switch (pattern248 (x5))
            {
            case 0:
              if (!
#line 1796 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13881; /* aarch64_sme_single_fdotvnx4sivnx16bf */

            case 1:
              if (!
#line 1796 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13882; /* aarch64_sme_single_fdotvnx4sivnx32bf */

            case 2:
              if (!
#line 1796 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13883; /* aarch64_sme_single_fdotvnx4sivnx16hf */

            case 3:
              if (!
#line 1796 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13884; /* aarch64_sme_single_fdotvnx4sivnx32hf */

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x5, 0) != 2
              || XINT (x5, 1) != 168)
            return -1;
          x7 = XVECEXP (x5, 0, 0);
          operands[2] = x7;
          x8 = XVECEXP (x5, 0, 1);
          operands[3] = x8;
          if (!const_int_operand (operands[3], E_SImode))
            return -1;
          switch (pattern1333 (x5))
            {
            case 0:
              if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13889; /* aarch64_sme_lane_fdotvnx4sivnx16bf */

            case 1:
              if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13891; /* aarch64_sme_lane_fdotvnx4sivnx32bf */

            case 2:
              if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13893; /* aarch64_sme_lane_fdotvnx4sivnx16hf */

            case 3:
              if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13895; /* aarch64_sme_lane_fdotvnx4sivnx32hf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x3) != E_SImode)
        return -1;
      x9 = XEXP (x3, 0);
      operands[0] = x9;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x10 = XEXP (x3, 1);
      operands[1] = x10;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 3);
      operands[2] = x4;
      x5 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[3] = x5;
          switch (pattern1317 ())
            {
            case 0:
              if (!
#line 1782 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13877; /* *aarch64_sme_fdotvnx4sivnx16bf_plus */

            case 1:
              if (!
#line 1782 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13878; /* *aarch64_sme_fdotvnx4sivnx32bf_plus */

            case 2:
              if (!
#line 1782 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13879; /* *aarch64_sme_fdotvnx4sivnx16hf_plus */

            case 3:
              if (!
#line 1782 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13880; /* *aarch64_sme_fdotvnx4sivnx32hf_plus */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x6 = XEXP (x5, 0);
          operands[3] = x6;
          switch (pattern252 (x5))
            {
            case 0:
              if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13885; /* *aarch64_sme_single_fdotvnx4sivnx16bf_plus */

            case 1:
              if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13886; /* *aarch64_sme_single_fdotvnx4sivnx32bf_plus */

            case 2:
              if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13887; /* *aarch64_sme_single_fdotvnx4sivnx16hf_plus */

            case 3:
              if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13888; /* *aarch64_sme_single_fdotvnx4sivnx32hf_plus */

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x5, 0) != 2
              || XINT (x5, 1) != 168)
            return -1;
          x7 = XVECEXP (x5, 0, 0);
          operands[3] = x7;
          x8 = XVECEXP (x5, 0, 1);
          operands[4] = x8;
          if (!const_int_operand (operands[4], E_SImode))
            return -1;
          switch (pattern1346 (x5))
            {
            case 0:
              if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13897; /* *aarch64_sme_lane_fdotvnx4sivnx16bf_plus */

            case 1:
              if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13899; /* *aarch64_sme_lane_fdotvnx4sivnx32bf_plus */

            case 2:
              if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13901; /* *aarch64_sme_lane_fdotvnx4sivnx16hf_plus */

            case 3:
              if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13903; /* *aarch64_sme_lane_fdotvnx4sivnx32hf_plus */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_436 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern244 (x1))
    {
    case 0:
      if (!
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13431; /* aarch64_sme_sdotvnx4sivnx32qi */

    case 1:
      if (!
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13434; /* aarch64_sme_sdotvnx4sivnx64qi */

    case 2:
      if (!
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13437; /* aarch64_sme_sdotvnx4sivnx16hi */

    case 3:
      if (!
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13440; /* aarch64_sme_sdotvnx4sivnx32hi */

    case 4:
      if (!(
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13443; /* aarch64_sme_sdotvnx2divnx32qi */

    case 5:
      if (!(
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13446; /* aarch64_sme_sdotvnx2divnx64qi */

    case 6:
      if (!(
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13449; /* aarch64_sme_sdotvnx2divnx16hi */

    case 7:
      if (!(
#line 1288 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13452; /* aarch64_sme_sdotvnx2divnx32hi */

    case 8:
      if (!
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13479; /* aarch64_sme_single_sdotvnx4sivnx32qi */

    case 9:
      if (!
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13482; /* aarch64_sme_single_sdotvnx4sivnx64qi */

    case 10:
      if (!
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13485; /* aarch64_sme_single_sdotvnx4sivnx16hi */

    case 11:
      if (!
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13488; /* aarch64_sme_single_sdotvnx4sivnx32hi */

    case 12:
      if (!(
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13491; /* aarch64_sme_single_sdotvnx2divnx32qi */

    case 13:
      if (!(
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13494; /* aarch64_sme_single_sdotvnx2divnx64qi */

    case 14:
      if (!(
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13497; /* aarch64_sme_single_sdotvnx2divnx16hi */

    case 15:
      if (!(
#line 1320 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13500; /* aarch64_sme_single_sdotvnx2divnx32hi */

    case 16:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13531; /* aarch64_sme_lane_sdotvnx4sivnx32qi */

    case 17:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13539; /* aarch64_sme_lane_sdotvnx4sivnx64qi */

    case 18:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13547; /* aarch64_sme_lane_sdotvnx4sivnx16hi */

    case 19:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13555; /* aarch64_sme_lane_sdotvnx4sivnx32hi */

    case 20:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13563; /* aarch64_sme_lane_sdotvnx2divnx32qi */

    case 21:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13571; /* aarch64_sme_lane_sdotvnx2divnx64qi */

    case 22:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13579; /* aarch64_sme_lane_sdotvnx2divnx16hi */

    case 23:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13587; /* aarch64_sme_lane_sdotvnx2divnx32hi */

    case 24:
      if (!
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13455; /* *aarch64_sme_sdotvnx4sivnx32qi_plus */

    case 25:
      if (!
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13458; /* *aarch64_sme_sdotvnx4sivnx64qi_plus */

    case 26:
      if (!
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13461; /* *aarch64_sme_sdotvnx4sivnx16hi_plus */

    case 27:
      if (!
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13464; /* *aarch64_sme_sdotvnx4sivnx32hi_plus */

    case 28:
      if (!(
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13467; /* *aarch64_sme_sdotvnx2divnx32qi_plus */

    case 29:
      if (!(
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13470; /* *aarch64_sme_sdotvnx2divnx64qi_plus */

    case 30:
      if (!(
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13473; /* *aarch64_sme_sdotvnx2divnx16hi_plus */

    case 31:
      if (!(
#line 1304 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13476; /* *aarch64_sme_sdotvnx2divnx32hi_plus */

    case 32:
      if (!
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13503; /* *aarch64_sme_single_sdotvnx4sivnx32qi_plus */

    case 33:
      if (!
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13506; /* *aarch64_sme_single_sdotvnx4sivnx64qi_plus */

    case 34:
      if (!
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13509; /* *aarch64_sme_single_sdotvnx4sivnx16hi_plus */

    case 35:
      if (!
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13512; /* *aarch64_sme_single_sdotvnx4sivnx32hi_plus */

    case 36:
      if (!(
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13515; /* *aarch64_sme_single_sdotvnx2divnx32qi_plus */

    case 37:
      if (!(
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13518; /* *aarch64_sme_single_sdotvnx2divnx64qi_plus */

    case 38:
      if (!(
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13521; /* *aarch64_sme_single_sdotvnx2divnx16hi_plus */

    case 39:
      if (!(
#line 1337 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13524; /* *aarch64_sme_single_sdotvnx2divnx32hi_plus */

    case 40:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13595; /* *aarch64_sme_lane_sdotvnx4sivnx32qi_plus */

    case 41:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || true)))
        return -1;
      return 13603; /* *aarch64_sme_lane_sdotvnx4sivnx64qi_plus */

    case 42:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13611; /* *aarch64_sme_lane_sdotvnx4sivnx16hi_plus */

    case 43:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || true)))
        return -1;
      return 13619; /* *aarch64_sme_lane_sdotvnx4sivnx32hi_plus */

    case 44:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13627; /* *aarch64_sme_lane_sdotvnx2divnx32qi_plus */

    case 45:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13635; /* *aarch64_sme_lane_sdotvnx2divnx64qi_plus */

    case 46:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13643; /* *aarch64_sme_lane_sdotvnx2divnx16hi_plus */

    case 47:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || true)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13651; /* *aarch64_sme_lane_sdotvnx2divnx32hi_plus */

    default:
      return -1;
    }
}

 int
recog_451 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 2);
  operands[1] = x3;
  if (!const_int_operand (operands[1], E_VOIDmode))
    return -1;
  x4 = XEXP (x1, 1);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  switch (GET_MODE (x2))
    {
    case E_SImode:
      switch (pattern941 (x4, 
E_SImode))
        {
        case 0:
          if (!
#line 6424 "../../../gcc/config/aarch64/aarch64.md"
(16 <= 16
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 32))
            return -1;
          return 815; /* *aarch64_bfisihi_16 */

        case 1:
          if (!
#line 6424 "../../../gcc/config/aarch64/aarch64.md"
(16 <= 32
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 32))
            return -1;
          return 819; /* *aarch64_bfisisi_16 */

        default:
          return -1;
        }

    case E_DImode:
      switch (pattern941 (x4, 
E_DImode))
        {
        case 0:
          if (!
#line 6424 "../../../gcc/config/aarch64/aarch64.md"
(16 <= 16
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64))
            return -1;
          return 817; /* *aarch64_bfidihi_16 */

        case 1:
          if (!
#line 6424 "../../../gcc/config/aarch64/aarch64.md"
(16 <= 32
   && multiple_p (UINTVAL (operands[1]), 16)
   && UINTVAL (operands[1]) + 16 <= 64))
            return -1;
          return 822; /* *aarch64_bfidisi_16 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_452 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 1);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x6 = XEXP (x1, 0);
  operands[0] = x6;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x2) != E_DImode)
    return -1;
  x7 = XEXP (x4, 0);
  operands[2] = x7;
  if (!cc_register (operands[2], E_VOIDmode))
    return -1;
  x8 = XEXP (x3, 1);
  operands[3] = x8;
  if (!aarch64_reg_zero_or_m1_or_1 (operands[3], E_SImode))
    return -1;
  x9 = XEXP (x3, 2);
  operands[4] = x9;
  if (!aarch64_reg_zero_or_m1_or_1 (operands[4], E_SImode)
      || !
#line 4575 "../../../gcc/config/aarch64/aarch64.md"
(!((operands[3] == const1_rtx && operands[4] == constm1_rtx)
     || (operands[3] == constm1_rtx && operands[4] == const1_rtx))))
    return -1;
  return 459; /* *cmovsi_insn_uxtw */
}

 int
recog_454 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (XVECLEN (x4, 0))
    {
    case 1:
      switch (XINT (x4, 1))
        {
        case 39:
          if (GET_MODE (x4) != E_SImode)
            return -1;
          x5 = XVECEXP (x4, 0, 0);
          if (GET_CODE (x5) != MEM
              || GET_MODE (x5) != E_SImode)
            return -1;
          x6 = XEXP (x5, 0);
          if (GET_CODE (x6) != LO_SUM
              || GET_MODE (x6) != E_DImode
              || !register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode)
            return -1;
          x7 = XEXP (x6, 0);
          operands[1] = x7;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          x8 = XEXP (x6, 1);
          operands[2] = x8;
          if (!aarch64_valid_symref (operands[2], E_DImode)
              || !
#line 7675 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_ILP32))
            return -1;
          return 1115; /* ldr_got_small_28k_sidi */

        case 41:
          if (GET_MODE (x4) != E_SImode
              || !register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode)
            return -1;
          x5 = XVECEXP (x4, 0, 0);
          operands[1] = x5;
          if (!aarch64_valid_symref (operands[1], E_DImode)
              || !
#line 7694 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_ILP32))
            return -1;
          return 1118; /* ldr_got_tiny_sidi */

        case 40:
          if (pattern485 (x3) != 0)
            return -1;
          return 1124; /* tlsie_small_sidi */

        case 205:
          x5 = XVECEXP (x4, 0, 0);
          switch (GET_CODE (x5))
            {
            case REG:
            case SUBREG:
              operands[1] = x5;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  switch (pattern797 (x3, 
E_SImode))
                    {
                    case 0:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2718; /* aarch64_zero_extendsi_reduc_plus_v8qi */

                    case 1:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2720; /* aarch64_zero_extendsi_reduc_plus_v16qi */

                    case 2:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2722; /* aarch64_zero_extendsi_reduc_plus_v4hi */

                    case 3:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2724; /* aarch64_zero_extendsi_reduc_plus_v8hi */

                    default:
                      return -1;
                    }

                case E_DImode:
                  switch (pattern797 (x3, 
E_DImode))
                    {
                    case 0:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2719; /* aarch64_zero_extenddi_reduc_plus_v8qi */

                    case 1:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2721; /* aarch64_zero_extenddi_reduc_plus_v16qi */

                    case 2:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2723; /* aarch64_zero_extenddi_reduc_plus_v4hi */

                    case 3:
                      if (!
#line 3402 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 2725; /* aarch64_zero_extenddi_reduc_plus_v8hi */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case SIGN_EXTEND:
              switch (pattern607 (x3))
                {
                case 0:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2756; /* *aarch64_saddlvv8qi_zesi */

                case 1:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2760; /* *aarch64_saddlvv16qi_zesi */

                case 2:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2764; /* *aarch64_saddlvv4hi_zesi */

                case 3:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2768; /* *aarch64_saddlvv8hi_zesi */

                case 4:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2772; /* *aarch64_saddlvv4si_zesi */

                case 5:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2776; /* *aarch64_saddlvv2si_zesi */

                case 6:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2758; /* *aarch64_saddlvv8qi_zedi */

                case 7:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2762; /* *aarch64_saddlvv16qi_zedi */

                case 8:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2766; /* *aarch64_saddlvv4hi_zedi */

                case 9:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2770; /* *aarch64_saddlvv8hi_zedi */

                case 10:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2774; /* *aarch64_saddlvv4si_zedi */

                case 11:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2778; /* *aarch64_saddlvv2si_zedi */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              switch (pattern607 (x3))
                {
                case 0:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2757; /* *aarch64_uaddlvv8qi_zesi */

                case 1:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2761; /* *aarch64_uaddlvv16qi_zesi */

                case 2:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2765; /* *aarch64_uaddlvv4hi_zesi */

                case 3:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2769; /* *aarch64_uaddlvv8hi_zesi */

                case 4:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2773; /* *aarch64_uaddlvv4si_zesi */

                case 5:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (SImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2777; /* *aarch64_uaddlvv2si_zesi */

                case 6:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2759; /* *aarch64_uaddlvv8qi_zedi */

                case 7:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (HImode))))
                    return -1;
                  return 2763; /* *aarch64_uaddlvv16qi_zedi */

                case 8:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2767; /* *aarch64_uaddlvv4hi_zedi */

                case 9:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (SImode))))
                    return -1;
                  return 2771; /* *aarch64_uaddlvv8hi_zedi */

                case 10:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2775; /* *aarch64_uaddlvv4si_zedi */

                case 11:
                  if (!
#line 3508 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && (GET_MODE_SIZE (DImode) > GET_MODE_SIZE (DImode))))
                    return -1;
                  return 2779; /* *aarch64_uaddlvv2si_zedi */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 2:
      if (XINT (x4, 1) != 42
          || pattern485 (x3) != 0)
        return -1;
      x9 = XVECEXP (x4, 0, 1);
      operands[2] = x9;
      if (!register_operand (operands[2], E_DImode))
        return -1;
      return 1127; /* tlsie_tiny_sidi */

    case 3:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XVECEXP (x4, 0, 0);
      operands[1] = x5;
      x9 = XVECEXP (x4, 0, 1);
      operands[2] = x9;
      x10 = XVECEXP (x4, 0, 2);
      operands[3] = x10;
      switch (XINT (x4, 1))
        {
        case 169:
          if (!const_int_operand (operands[1], E_DImode)
              || !const_int_operand (operands[2], E_DImode)
              || !const_int_operand (operands[3], E_DImode)
              || !
#line 10356 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10949; /* aarch64_sve_cnt_pat */

        case 307:
          if (!aarch64_sve_ptrue_flag (operands[2], E_SImode))
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_VNx16BImode:
              if (!register_operand (operands[1], E_VNx16BImode)
                  || !register_operand (operands[3], E_VNx16BImode)
                  || !
#line 10678 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10980; /* aarch64_pred_cntpvnx16bi */

            case E_VNx8BImode:
              if (!register_operand (operands[1], E_VNx8BImode)
                  || !register_operand (operands[3], E_VNx8BImode)
                  || !
#line 10678 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10981; /* aarch64_pred_cntpvnx8bi */

            case E_VNx4BImode:
              if (!register_operand (operands[1], E_VNx4BImode)
                  || !register_operand (operands[3], E_VNx4BImode)
                  || !
#line 10678 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10982; /* aarch64_pred_cntpvnx4bi */

            case E_VNx2BImode:
              if (!register_operand (operands[1], E_VNx2BImode)
                  || !register_operand (operands[3], E_VNx2BImode)
                  || !
#line 10678 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10983; /* aarch64_pred_cntpvnx2bi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_457 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (XVECLEN (x3, 0) != 2)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x3, 0, 0);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 1);
  operands[2] = x6;
  if (!const_int_operand (operands[2], E_SImode))
    return -1;
  switch (XINT (x3, 1))
    {
    case 24:
      switch (GET_MODE (operands[0]))
        {
        case E_HImode:
          switch (pattern871 (x2, 
E_HImode))
            {
            case 0:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (HImode) > GET_MODE_SIZE (QImode)))
                return -1;
              return 5473; /* *atomic_loadqi_zexthi */

            case 1:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (HImode) > GET_MODE_SIZE (HImode)))
                return -1;
              return 5476; /* *atomic_loadhi_zexthi */

            case 2:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (HImode) > GET_MODE_SIZE (SImode)))
                return -1;
              return 5479; /* *atomic_loadsi_zexthi */

            default:
              return -1;
            }

        case E_SImode:
          switch (pattern871 (x2, 
E_SImode))
            {
            case 0:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (SImode) > GET_MODE_SIZE (QImode)))
                return -1;
              return 5474; /* *atomic_loadqi_zextsi */

            case 1:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (SImode) > GET_MODE_SIZE (HImode)))
                return -1;
              return 5477; /* *atomic_loadhi_zextsi */

            case 2:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (SImode) > GET_MODE_SIZE (SImode)))
                return -1;
              return 5480; /* *atomic_loadsi_zextsi */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern871 (x2, 
E_DImode))
            {
            case 0:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (DImode) > GET_MODE_SIZE (QImode)))
                return -1;
              return 5475; /* *atomic_loadqi_zextdi */

            case 1:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (DImode) > GET_MODE_SIZE (HImode)))
                return -1;
              return 5478; /* *atomic_loadhi_zextdi */

            case 2:
              if (!
#line 650 "../../../gcc/config/aarch64/atomics.md"
(GET_MODE_SIZE (DImode) > GET_MODE_SIZE (SImode)))
                return -1;
              return 5481; /* *atomic_loadsi_zextdi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 25:
      switch (GET_MODE (operands[0]))
        {
        case E_HImode:
          switch (pattern871 (x2, 
E_HImode))
            {
            case 0:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (16 > 8)))
                return -1;
              return 5490; /* *aarch64_atomic_loadqi_rcpc_zext */

            case 1:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (16 > 16)))
                return -1;
              return 5493; /* *aarch64_atomic_loadhi_rcpc_zext */

            case 2:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (16 > 32)))
                return -1;
              return 5496; /* *aarch64_atomic_loadsi_rcpc_zext */

            default:
              return -1;
            }

        case E_SImode:
          switch (pattern871 (x2, 
E_SImode))
            {
            case 0:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (32 > 8)))
                return -1;
              return 5491; /* *aarch64_atomic_loadqi_rcpc_zext */

            case 1:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (32 > 16)))
                return -1;
              return 5494; /* *aarch64_atomic_loadhi_rcpc_zext */

            case 2:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (32 > 32)))
                return -1;
              return 5497; /* *aarch64_atomic_loadsi_rcpc_zext */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern871 (x2, 
E_DImode))
            {
            case 0:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (64 > 8)))
                return -1;
              return 5492; /* *aarch64_atomic_loadqi_rcpc_zext */

            case 1:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (64 > 16)))
                return -1;
              return 5495; /* *aarch64_atomic_loadhi_rcpc_zext */

            case 2:
              if (!
#line 714 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC && (64 > 32)))
                return -1;
              return 5498; /* *aarch64_atomic_loadsi_rcpc_zext */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 22:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x2) != E_SImode)
        return -1;
      switch (GET_MODE (x3))
        {
        case E_QImode:
          if (!aarch64_sync_memory_operand (operands[1], E_QImode))
            return -1;
          return 5509; /* aarch64_load_exclusiveqi */

        case E_HImode:
          if (!aarch64_sync_memory_operand (operands[1], E_HImode))
            return -1;
          return 5510; /* aarch64_load_exclusivehi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_462 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (XVECLEN (x3, 0))
    {
    case 2:
      return recog_459 (x1, insn, pnum_clobbers);

    case 3:
      x4 = XEXP (x2, 1);
      operands[1] = x4;
      switch (XINT (x3, 1))
        {
        case 407:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1440; /* aarch64_fcmla_lane0v4hf */

            case 1:
              if (!
#line 486 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1476; /* aarch64_fcmla_laneq0v4hf */

            case 2:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1452; /* aarch64_fcmla_lane0v8hf */

            case 3:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1488; /* aarch64_fcmlaq_lane0v8hf */

            case 4:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1456; /* aarch64_fcmla_lane0v2sf */

            case 5:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1468; /* aarch64_fcmla_lane0v4sf */

            case 6:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1492; /* aarch64_fcmlaq_lane0v4sf */

            case 7:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1472; /* aarch64_fcmla_lane0v2df */

            default:
              return -1;
            }

        case 408:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1443; /* aarch64_fcmla_lane90v4hf */

            case 1:
              if (!
#line 486 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1479; /* aarch64_fcmla_laneq90v4hf */

            case 2:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1453; /* aarch64_fcmla_lane90v8hf */

            case 3:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1489; /* aarch64_fcmlaq_lane90v8hf */

            case 4:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1459; /* aarch64_fcmla_lane90v2sf */

            case 5:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1469; /* aarch64_fcmla_lane90v4sf */

            case 6:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1493; /* aarch64_fcmlaq_lane90v4sf */

            case 7:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1473; /* aarch64_fcmla_lane90v2df */

            default:
              return -1;
            }

        case 409:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1446; /* aarch64_fcmla_lane180v4hf */

            case 1:
              if (!
#line 486 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1482; /* aarch64_fcmla_laneq180v4hf */

            case 2:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1454; /* aarch64_fcmla_lane180v8hf */

            case 3:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1490; /* aarch64_fcmlaq_lane180v8hf */

            case 4:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1462; /* aarch64_fcmla_lane180v2sf */

            case 5:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1470; /* aarch64_fcmla_lane180v4sf */

            case 6:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1494; /* aarch64_fcmlaq_lane180v4sf */

            case 7:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1474; /* aarch64_fcmla_lane180v2df */

            default:
              return -1;
            }

        case 410:
          switch (pattern624 (x2))
            {
            case 0:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1449; /* aarch64_fcmla_lane270v4hf */

            case 1:
              if (!
#line 486 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1485; /* aarch64_fcmla_laneq270v4hf */

            case 2:
              if (!(
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return -1;
              return 1455; /* aarch64_fcmla_lane270v8hf */

            case 3:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1491; /* aarch64_fcmlaq_lane270v8hf */

            case 4:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1465; /* aarch64_fcmla_lane270v2sf */

            case 5:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1471; /* aarch64_fcmla_lane270v4sf */

            case 6:
              if (!
#line 501 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1495; /* aarch64_fcmlaq_lane270v4sf */

            case 7:
              if (!
#line 471 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
                return -1;
              return 1475; /* aarch64_fcmla_lane270v2df */

            default:
              return -1;
            }

        case 279:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1508; /* aarch64_sdot_lanev8qi */

            case 1:
              if (!
#line 622 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1516; /* aarch64_sdot_laneqv8qi */

            case 2:
              if (!
#line 606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1514; /* aarch64_sdot_lanev16qi */

            case 3:
              if (!
#line 622 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1522; /* aarch64_sdot_laneqv16qi */

            default:
              return -1;
            }

        case 280:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1511; /* aarch64_udot_lanev8qi */

            case 1:
              if (!
#line 622 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1519; /* aarch64_udot_laneqv8qi */

            case 2:
              if (!
#line 606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1515; /* aarch64_udot_lanev16qi */

            case 3:
              if (!
#line 622 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD))
                return -1;
              return 1523; /* aarch64_udot_laneqv16qi */

            default:
              return -1;
            }

        case 573:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1524; /* aarch64_usdot_lanev8qi */

            case 1:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1532; /* aarch64_usdot_laneqv8qi */

            case 2:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1530; /* aarch64_usdot_lanev16qi */

            case 3:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1538; /* aarch64_usdot_laneqv16qi */

            default:
              return -1;
            }

        case 578:
          switch (pattern626 (x2))
            {
            case 0:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1527; /* aarch64_sudot_lanev8qi */

            case 1:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1535; /* aarch64_sudot_laneqv8qi */

            case 2:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1531; /* aarch64_sudot_lanev16qi */

            case 3:
              if (!
#line 640 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM))
                return -1;
              return 1539; /* aarch64_sudot_laneqv16qi */

            default:
              return -1;
            }

        case 579:
          x5 = XVECEXP (x3, 0, 0);
          operands[2] = x5;
          x6 = XVECEXP (x3, 0, 1);
          operands[3] = x6;
          x7 = XVECEXP (x3, 0, 2);
          operands[4] = x7;
          if (!const_int_operand (operands[4], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V2SFmode:
              switch (pattern995 (x2, 
E_V2SFmode, 
E_V4BFmode))
                {
                case 0:
                  if (!
#line 9910 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5245; /* aarch64_bfdot_lanev2sf */

                case 1:
                  if (!
#line 9910 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5247; /* aarch64_bfdot_laneqv2sf */

                default:
                  return -1;
                }

            case E_V4SFmode:
              switch (pattern995 (x2, 
E_V4SFmode, 
E_V8BFmode))
                {
                case 0:
                  if (!
#line 9910 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5246; /* aarch64_bfdot_lanev4sf */

                case 1:
                  if (!
#line 9910 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
                    return -1;
                  return 5248; /* aarch64_bfdot_laneqv4sf */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 169:
          if (GET_MODE (x3) != E_SImode
              || !register_operand (operands[0], E_SImode)
              || GET_MODE (x2) != E_SImode)
            return -1;
          x5 = XVECEXP (x3, 0, 0);
          operands[2] = x5;
          if (!const_int_operand (operands[2], E_DImode))
            return -1;
          x6 = XVECEXP (x3, 0, 1);
          operands[3] = x6;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x7 = XVECEXP (x3, 0, 2);
          operands[4] = x7;
          if (!const_int_operand (operands[4], E_DImode)
              || !register_operand (operands[1], E_SImode)
              || !
#line 10398 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10953; /* *aarch64_sve_incsi_pat */

        case 307:
          switch (pattern627 (x2))
            {
            case 0:
              if (!
#line 10735 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10996; /* *aarch64_incsivnx16bi_cntp */

            case 1:
              if (!
#line 10735 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10997; /* *aarch64_incsivnx8bi_cntp */

            case 2:
              if (!
#line 10735 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10998; /* *aarch64_incsivnx4bi_cntp */

            case 3:
              if (!
#line 10735 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 10999; /* *aarch64_incsivnx2bi_cntp */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_468 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x3, 1);
  if (x4 == const_int_rtx[MAX_SAVED_CONST_INT + 0])
    {
      x5 = XEXP (x3, 0);
      operands[2] = x5;
      if (cc_register (operands[2], E_VOIDmode))
        {
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (register_operand (operands[0], E_QImode)
                  && GET_MODE (x2) == E_QImode
                  && aarch64_comparison_operator_mode (operands[1], E_QImode))
                return 450; /* cstoreqi_neg */
              break;

            case E_HImode:
              if (register_operand (operands[0], E_HImode)
                  && GET_MODE (x2) == E_HImode
                  && aarch64_comparison_operator_mode (operands[1], E_HImode))
                return 451; /* cstorehi_neg */
              break;

            case E_SImode:
              if (register_operand (operands[0], E_SImode)
                  && GET_MODE (x2) == E_SImode
                  && aarch64_comparison_operator_mode (operands[1], E_SImode))
                return 452; /* cstoresi_neg */
              break;

            case E_DImode:
              if (register_operand (operands[0], E_DImode)
                  && GET_MODE (x2) == E_DImode
                  && aarch64_comparison_operator_mode (operands[1], E_DImode))
                return 453; /* cstoredi_neg */
              break;

            default:
              break;
            }
        }
    }
  switch (GET_CODE (x3))
    {
    case LT:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4062; /* aarch64_cmltv8qi */

        case 1:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4077; /* aarch64_cmltv16qi */

        case 2:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4082; /* aarch64_cmltv4hi */

        case 3:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4227; /* aarch64_cmltv4hf */

        case 4:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4097; /* aarch64_cmltv8hi */

        case 5:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4242; /* aarch64_cmltv8hf */

        case 6:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4102; /* aarch64_cmltv2si */

        case 7:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4247; /* aarch64_cmltv2sf */

        case 8:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4117; /* aarch64_cmltv4si */

        case 9:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4262; /* aarch64_cmltv4sf */

        case 10:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4122; /* aarch64_cmltv2di */

        case 11:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4267; /* aarch64_cmltv2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4127; /* aarch64_cmltdi */
            }
          if (!
#line 7245 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4132; /* *aarch64_cmltdi */

        case 13:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4282; /* aarch64_cmltdf */

        case 14:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4272; /* aarch64_cmlthf */

        case 15:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4277; /* aarch64_cmltsf */

        case 16:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4297; /* aarch64_facltv4hf */

        case 17:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4309; /* aarch64_facltv8hf */

        case 18:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4313; /* aarch64_facltv2sf */

        case 19:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4325; /* aarch64_facltv4sf */

        case 20:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4329; /* aarch64_facltv2df */

        case 21:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4333; /* aarch64_faclthf */

        case 22:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4337; /* aarch64_facltsf */

        case 23:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4341; /* aarch64_facltdf */

        default:
          return -1;
        }

    case LE:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4065; /* aarch64_cmlev8qi */

        case 1:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4078; /* aarch64_cmlev16qi */

        case 2:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4085; /* aarch64_cmlev4hi */

        case 3:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4230; /* aarch64_cmlev4hf */

        case 4:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4098; /* aarch64_cmlev8hi */

        case 5:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4243; /* aarch64_cmlev8hf */

        case 6:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4105; /* aarch64_cmlev2si */

        case 7:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4250; /* aarch64_cmlev2sf */

        case 8:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4118; /* aarch64_cmlev4si */

        case 9:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4263; /* aarch64_cmlev4sf */

        case 10:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4123; /* aarch64_cmlev2di */

        case 11:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4268; /* aarch64_cmlev2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4128; /* aarch64_cmledi */
            }
          if (!
#line 7245 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4133; /* *aarch64_cmledi */

        case 13:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4285; /* aarch64_cmledf */

        case 14:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4273; /* aarch64_cmlehf */

        case 15:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4278; /* aarch64_cmlesf */

        case 16:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4300; /* aarch64_faclev4hf */

        case 17:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4310; /* aarch64_faclev8hf */

        case 18:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4316; /* aarch64_faclev2sf */

        case 19:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4326; /* aarch64_faclev4sf */

        case 20:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4330; /* aarch64_faclev2df */

        case 21:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4334; /* aarch64_faclehf */

        case 22:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4338; /* aarch64_faclesf */

        case 23:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4344; /* aarch64_facledf */

        default:
          return -1;
        }

    case EQ:
      switch (pattern390 (x2))
        {
        case 0:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4068; /* aarch64_cmeqv8qi */

        case 1:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4079; /* aarch64_cmeqv16qi */

        case 2:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4088; /* aarch64_cmeqv4hi */

        case 3:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4233; /* aarch64_cmeqv4hf */

        case 4:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4099; /* aarch64_cmeqv8hi */

        case 5:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4244; /* aarch64_cmeqv8hf */

        case 6:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4108; /* aarch64_cmeqv2si */

        case 7:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4253; /* aarch64_cmeqv2sf */

        case 8:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4119; /* aarch64_cmeqv4si */

        case 9:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4264; /* aarch64_cmeqv4sf */

        case 10:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4124; /* aarch64_cmeqv2di */

        case 11:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4269; /* aarch64_cmeqv2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4129; /* aarch64_cmeqdi */
            }
          if (!
#line 7245 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4134; /* *aarch64_cmeqdi */

        case 13:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4288; /* aarch64_cmeqdf */

        case 14:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4274; /* aarch64_cmeqhf */

        case 15:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4279; /* aarch64_cmeqsf */

        default:
          return -1;
        }

    case GE:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4071; /* aarch64_cmgev8qi */

        case 1:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4080; /* aarch64_cmgev16qi */

        case 2:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4091; /* aarch64_cmgev4hi */

        case 3:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4236; /* aarch64_cmgev4hf */

        case 4:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4100; /* aarch64_cmgev8hi */

        case 5:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4245; /* aarch64_cmgev8hf */

        case 6:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4111; /* aarch64_cmgev2si */

        case 7:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4256; /* aarch64_cmgev2sf */

        case 8:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4120; /* aarch64_cmgev4si */

        case 9:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4265; /* aarch64_cmgev4sf */

        case 10:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4125; /* aarch64_cmgev2di */

        case 11:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4270; /* aarch64_cmgev2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4130; /* aarch64_cmgedi */
            }
          if (!
#line 7245 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4135; /* *aarch64_cmgedi */

        case 13:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4291; /* aarch64_cmgedf */

        case 14:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4275; /* aarch64_cmgehf */

        case 15:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4280; /* aarch64_cmgesf */

        case 16:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4303; /* aarch64_facgev4hf */

        case 17:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4311; /* aarch64_facgev8hf */

        case 18:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4319; /* aarch64_facgev2sf */

        case 19:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4327; /* aarch64_facgev4sf */

        case 20:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4331; /* aarch64_facgev2df */

        case 21:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4335; /* aarch64_facgehf */

        case 22:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4339; /* aarch64_facgesf */

        case 23:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4347; /* aarch64_facgedf */

        default:
          return -1;
        }

    case GT:
      switch (pattern392 (x2))
        {
        case 0:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4074; /* aarch64_cmgtv8qi */

        case 1:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4081; /* aarch64_cmgtv16qi */

        case 2:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4094; /* aarch64_cmgtv4hi */

        case 3:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4239; /* aarch64_cmgtv4hf */

        case 4:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4101; /* aarch64_cmgtv8hi */

        case 5:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4246; /* aarch64_cmgtv8hf */

        case 6:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4114; /* aarch64_cmgtv2si */

        case 7:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4259; /* aarch64_cmgtv2sf */

        case 8:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4121; /* aarch64_cmgtv4si */

        case 9:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4266; /* aarch64_cmgtv4sf */

        case 10:
          if (!
#line 7196 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4126; /* aarch64_cmgtv2di */

        case 11:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4271; /* aarch64_cmgtv2df */

        case 12:
          if (pnum_clobbers != NULL
              && 
#line 7211 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4131; /* aarch64_cmgtdi */
            }
          if (!
#line 7245 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4136; /* *aarch64_cmgtdi */

        case 13:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4294; /* aarch64_cmgtdf */

        case 14:
          if (!(
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4276; /* aarch64_cmgthf */

        case 15:
          if (!
#line 7413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4281; /* aarch64_cmgtsf */

        case 16:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4306; /* aarch64_facgtv4hf */

        case 17:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4312; /* aarch64_facgtv8hf */

        case 18:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4322; /* aarch64_facgtv2sf */

        case 19:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4328; /* aarch64_facgtv4sf */

        case 20:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4332; /* aarch64_facgtv2df */

        case 21:
          if (!(
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 4336; /* aarch64_facgthf */

        case 22:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4340; /* aarch64_facgtsf */

        case 23:
          if (!
#line 7434 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4350; /* aarch64_facgtdf */

        default:
          return -1;
        }

    case LTU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4137; /* aarch64_cmltuv8qi */

        case 1:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4149; /* aarch64_cmltuv16qi */

        case 2:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4153; /* aarch64_cmltuv4hi */

        case 3:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4165; /* aarch64_cmltuv8hi */

        case 4:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4169; /* aarch64_cmltuv2si */

        case 5:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4181; /* aarch64_cmltuv4si */

        case 6:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4185; /* aarch64_cmltuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4189; /* aarch64_cmltudi */
            }
          if (!
#line 7308 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4193; /* *aarch64_cmltudi */

        default:
          return -1;
        }

    case LEU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4140; /* aarch64_cmleuv8qi */

        case 1:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4150; /* aarch64_cmleuv16qi */

        case 2:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4156; /* aarch64_cmleuv4hi */

        case 3:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4166; /* aarch64_cmleuv8hi */

        case 4:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4172; /* aarch64_cmleuv2si */

        case 5:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4182; /* aarch64_cmleuv4si */

        case 6:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4186; /* aarch64_cmleuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4190; /* aarch64_cmleudi */
            }
          if (!
#line 7308 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4194; /* *aarch64_cmleudi */

        default:
          return -1;
        }

    case GEU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4143; /* aarch64_cmgeuv8qi */

        case 1:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4151; /* aarch64_cmgeuv16qi */

        case 2:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4159; /* aarch64_cmgeuv4hi */

        case 3:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4167; /* aarch64_cmgeuv8hi */

        case 4:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4175; /* aarch64_cmgeuv2si */

        case 5:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4183; /* aarch64_cmgeuv4si */

        case 6:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4187; /* aarch64_cmgeuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4191; /* aarch64_cmgeudi */
            }
          if (!
#line 7308 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4195; /* *aarch64_cmgeudi */

        default:
          return -1;
        }

    case GTU:
      switch (pattern393 (x2))
        {
        case 0:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4146; /* aarch64_cmgtuv8qi */

        case 1:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4152; /* aarch64_cmgtuv16qi */

        case 2:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4162; /* aarch64_cmgtuv4hi */

        case 3:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4168; /* aarch64_cmgtuv8hi */

        case 4:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4178; /* aarch64_cmgtuv2si */

        case 5:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4184; /* aarch64_cmgtuv4si */

        case 6:
          if (!
#line 7261 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4188; /* aarch64_cmgtuv2di */

        case 7:
          if (pnum_clobbers != NULL
              && 
#line 7274 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            {
              *pnum_clobbers = 1;
              return 4192; /* aarch64_cmgtudi */
            }
          if (!
#line 7308 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && reload_completed))
            return -1;
          return 4196; /* *aarch64_cmgtudi */

        default:
          return -1;
        }

    case NE:
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x5 = XEXP (x3, 0);
      if (GET_CODE (x5) != AND
          || GET_MODE (x5) != E_DImode
          || x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || !register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return -1;
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      if (!register_operand (operands[2], E_DImode))
        return -1;
      if (pnum_clobbers != NULL
          && 
#line 7362 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        {
          *pnum_clobbers = 1;
          return 4223; /* aarch64_cmtstdi */
        }
      if (!
#line 7399 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4224; /* *aarch64_cmtstdi */

    default:
      return -1;
    }
}

 int
recog_489 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x2, 0);
      operands[4] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      x7 = XEXP (x3, 2);
      operands[3] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern955 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2855 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2403; /* fmav4hf4_vec_concatz_be */

        case E_V4SFmode:
          if (pattern955 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2855 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2407; /* fmav2sf4_vec_concatz_be */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x8 = XEXP (x4, 0);
      switch (GET_CODE (x8))
        {
        case VEC_SELECT:
          if (GET_MODE (x8) != E_SFmode)
            return -1;
          x9 = XEXP (x8, 1);
          if (GET_CODE (x9) != PARALLEL
              || XVECLEN (x9, 0) != 1
              || pattern899 (x2) != 0)
            return -1;
          x10 = XEXP (x8, 0);
          operands[1] = x10;
          x11 = XVECEXP (x9, 0, 0);
          operands[2] = x11;
          if (!immediate_operand (operands[2], E_SImode))
            return -1;
          x6 = XEXP (x3, 1);
          operands[3] = x6;
          if (!register_operand (operands[3], E_V2SFmode))
            return -1;
          x7 = XEXP (x3, 2);
          operands[4] = x7;
          if (!register_operand (operands[4], E_V2SFmode))
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_V2SFmode:
              if (!register_operand (operands[1], E_V2SFmode)
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2869 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2412; /* *aarch64_fma4_eltv2sf_vec_concatz_be */

            case E_V4SFmode:
              if (!register_operand (operands[1], E_V4SFmode)
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2886 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2417; /* *aarch64_fma4_elt_to_128v2sf_vec_concatz_be */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x8;
          x5 = XEXP (x2, 0);
          operands[4] = x5;
          x6 = XEXP (x3, 1);
          operands[2] = x6;
          x7 = XEXP (x3, 2);
          operands[3] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HImode:
              if (pattern1011 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2901 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2421; /* *aarch64_fma4_elt_from_dupv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern1011 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2901 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2425; /* *aarch64_fma4_elt_from_dupv2si_vec_concatz_be */

            case E_V8HFmode:
              if (pattern1011 (x2, 
E_V4HFmode, 
E_HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2901 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 440 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2429; /* *aarch64_fma4_elt_from_dupv4hf_vec_concatz_be */

            case E_V4SFmode:
              if (pattern1011 (x2, 
E_V2SFmode, 
E_SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2901 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2433; /* *aarch64_fma4_elt_from_dupv2sf_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      x6 = XEXP (x3, 1);
      switch (GET_CODE (x6))
        {
        case REG:
        case SUBREG:
          operands[2] = x6;
          x5 = XEXP (x2, 0);
          operands[4] = x5;
          x8 = XEXP (x4, 0);
          operands[1] = x8;
          x7 = XEXP (x3, 2);
          operands[3] = x7;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern1012 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2439; /* fnmav4hf4_vec_concatz_be */

            case E_V4SFmode:
              if (pattern1012 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2443; /* fnmav2sf4_vec_concatz_be */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x12 = XEXP (x6, 0);
          switch (GET_CODE (x12))
            {
            case VEC_SELECT:
              if (GET_MODE (x12) != E_SFmode)
                return -1;
              x13 = XEXP (x12, 1);
              if (GET_CODE (x13) != PARALLEL
                  || XVECLEN (x13, 0) != 1
                  || pattern899 (x2) != 0)
                return -1;
              x8 = XEXP (x4, 0);
              operands[3] = x8;
              if (!register_operand (operands[3], E_V2SFmode)
                  || GET_MODE (x6) != E_V2SFmode)
                return -1;
              x14 = XEXP (x12, 0);
              operands[1] = x14;
              x15 = XVECEXP (x13, 0, 0);
              operands[2] = x15;
              if (!immediate_operand (operands[2], E_SImode))
                return -1;
              x7 = XEXP (x3, 2);
              operands[4] = x7;
              if (!register_operand (operands[4], E_V2SFmode))
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (!register_operand (operands[1], E_V2SFmode)
                      || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2943 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2448; /* *aarch64_fnma4_eltv2sf_vec_concatz_be */

                case E_V4SFmode:
                  if (!register_operand (operands[1], E_V4SFmode)
                      || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2961 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2453; /* *aarch64_fnma4_elt_to_128v2sf_vec_concatz_be */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[1] = x12;
              x5 = XEXP (x2, 0);
              operands[4] = x5;
              x8 = XEXP (x4, 0);
              operands[2] = x8;
              x7 = XEXP (x3, 2);
              operands[3] = x7;
              switch (GET_MODE (operands[0]))
                {
                case E_V8HImode:
                  if (pattern1075 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                      || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2977 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2457; /* *aarch64_fnma4_elt_from_dupv4hi_vec_concatz_be */

                case E_V4SImode:
                  if (pattern1075 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                      || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2977 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2461; /* *aarch64_fnma4_elt_from_dupv2si_vec_concatz_be */

                case E_V8HFmode:
                  if (pattern1075 (x2, 
E_V4HFmode, 
E_HFmode, 
E_V8HFmode) != 0
                      || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2977 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 440 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 2465; /* *aarch64_fnma4_elt_from_dupv4hf_vec_concatz_be */

                case E_V4SFmode:
                  if (pattern1075 (x2, 
E_V2SFmode, 
E_SFmode, 
E_V4SFmode) != 0
                      || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2977 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2469; /* *aarch64_fnma4_elt_from_dupv2sf_vec_concatz_be */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_492 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (XINT (x3, 1))
    {
    case 405:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 1387; /* aarch64_fcadd90v4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
            return -1;
          return 1395; /* aarch64_fcadd90v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 406:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 1390; /* aarch64_fcadd270v4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
            return -1;
          return 1398; /* aarch64_fcadd270v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 186:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1414 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1943; /* aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1414 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1947; /* aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1414 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1951; /* aarch64_simd_reg_shlv2si_unsigned_vec_concatz_le */

        default:
          return -1;
        }

    case 185:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1956; /* aarch64_simd_reg_shlv8qi_signed_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1960; /* aarch64_simd_reg_shlv4hi_signed_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1424 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1964; /* aarch64_simd_reg_shlv2si_signed_vec_concatz_le */

        default:
          return -1;
        }

    case 274:
      x5 = XVECEXP (x3, 0, 1);
      operands[2] = x5;
      if (!immediate_operand (operands[2], E_SImode))
        return -1;
      x6 = XEXP (x2, 1);
      operands[3] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern959 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1969; /* vec_shr_v8qi_vec_concatz_le */

        case E_V8HImode:
          if (pattern959 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1972; /* vec_shr_v4hi_vec_concatz_le */

        case E_V8HFmode:
          if (pattern959 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1975; /* vec_shr_v4hf_vec_concatz_le */

        case E_V4SImode:
          if (pattern959 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1978; /* vec_shr_v2si_vec_concatz_le */

        case E_V4SFmode:
          if (pattern959 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1981; /* vec_shr_v2sf_vec_concatz_le */

        case E_V8BFmode:
          if (pattern959 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
              || !(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1606 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1984; /* vec_shr_v4bf_vec_concatz_le */

        default:
          return -1;
        }

    case 208:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2107; /* aarch64_umaxpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2123; /* aarch64_umaxpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2139; /* aarch64_umaxpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 209:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2110; /* aarch64_uminpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2126; /* aarch64_uminpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2142; /* aarch64_uminpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 206:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2113; /* aarch64_smaxpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2129; /* aarch64_smaxpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2145; /* aarch64_smaxpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 207:
      switch (pattern661 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2116; /* aarch64_sminpv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2132; /* aarch64_sminpv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1800 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2148; /* aarch64_sminpv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 198:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2155; /* aarch64_smax_nanpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2171; /* aarch64_smax_nanpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 201:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2158; /* aarch64_smin_nanpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2174; /* aarch64_smin_nanpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 197:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2161; /* aarch64_smaxpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2177; /* aarch64_smaxpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 200:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2164; /* aarch64_sminpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2180; /* aarch64_sminpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 196:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2667; /* fmax_nanv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2683; /* fmax_nanv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 199:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2670; /* fmin_nanv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2686; /* fmin_nanv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 277:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2673; /* fmaxv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2689; /* fmaxv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 278:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2676; /* fminv4hf3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2692; /* fminv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case 202:
      switch (pattern660 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 3373 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2703; /* aarch64_faddpv4hf_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3373 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2707; /* aarch64_faddpv2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 221:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3297; /* aarch64_suqaddv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3305; /* aarch64_suqaddv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3313; /* aarch64_suqaddv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3329; /* aarch64_suqadddi_vec_concatz_le */

        default:
          return -1;
        }

    case 220:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3300; /* aarch64_usqaddv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3308; /* aarch64_usqaddv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3316; /* aarch64_usqaddv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3332; /* aarch64_usqadddi_vec_concatz_le */

        default:
          return -1;
        }

    case 216:
      switch (pattern664 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3427; /* aarch64_sqdmulhv4hi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3435; /* aarch64_sqdmulhv2si_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3447; /* aarch64_sqdmulh_nv4hi_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3455; /* aarch64_sqdmulh_nv2si_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3463; /* aarch64_sqdmulh_lanev4hi_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3479; /* aarch64_sqdmulh_laneqv4hi_vec_concatz_le */

        case 6:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3471; /* aarch64_sqdmulh_lanev2si_vec_concatz_le */

        case 7:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3487; /* aarch64_sqdmulh_laneqv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 217:
      switch (pattern664 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3430; /* aarch64_sqrdmulhv4hi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5555 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3438; /* aarch64_sqrdmulhv2si_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3450; /* aarch64_sqrdmulh_nv4hi_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5567 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3458; /* aarch64_sqrdmulh_nv2si_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3466; /* aarch64_sqrdmulh_lanev4hi_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3482; /* aarch64_sqrdmulh_laneqv4hi_vec_concatz_le */

        case 6:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5582 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3474; /* aarch64_sqrdmulh_lanev2si_vec_concatz_le */

        case 7:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 5597 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3490; /* aarch64_sqrdmulh_laneqv2si_vec_concatz_le */

        default:
          return -1;
        }

    case 229:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3629; /* aarch64_sshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3645; /* aarch64_sshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3661; /* aarch64_sshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3681; /* aarch64_sshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 230:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3632; /* aarch64_ushlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3648; /* aarch64_ushlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3664; /* aarch64_ushlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3684; /* aarch64_ushldi_vec_concatz_le */

        default:
          return -1;
        }

    case 231:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3635; /* aarch64_srshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3651; /* aarch64_srshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3667; /* aarch64_srshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3687; /* aarch64_srshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 232:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3638; /* aarch64_urshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3654; /* aarch64_urshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3670; /* aarch64_urshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6507 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3690; /* aarch64_urshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 227:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3693; /* aarch64_sqshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3709; /* aarch64_sqshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3725; /* aarch64_sqshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3757; /* aarch64_sqshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 228:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3696; /* aarch64_uqshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3712; /* aarch64_uqshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3728; /* aarch64_uqshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3760; /* aarch64_uqshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 233:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3699; /* aarch64_sqrshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3715; /* aarch64_sqrshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3731; /* aarch64_sqrshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3763; /* aarch64_sqrshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 234:
      switch (pattern662 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3702; /* aarch64_uqrshlv8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3718; /* aarch64_uqrshlv4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3734; /* aarch64_uqrshlv2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 6521 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3766; /* aarch64_uqrshldi_vec_concatz_le */

        default:
          return -1;
        }

    case 247:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4831; /* aarch64_zip1v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4855; /* aarch64_zip1v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4879; /* aarch64_zip1v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4909; /* aarch64_zip1v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4933; /* aarch64_zip1v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4957; /* aarch64_zip1v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 248:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4834; /* aarch64_zip2v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4858; /* aarch64_zip2v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4882; /* aarch64_zip2v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4912; /* aarch64_zip2v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4936; /* aarch64_zip2v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4960; /* aarch64_zip2v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 251:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4837; /* aarch64_trn1v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4861; /* aarch64_trn1v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4885; /* aarch64_trn1v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4915; /* aarch64_trn1v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4939; /* aarch64_trn1v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4963; /* aarch64_trn1v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 252:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4840; /* aarch64_trn2v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4864; /* aarch64_trn2v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4888; /* aarch64_trn2v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4918; /* aarch64_trn2v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4942; /* aarch64_trn2v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4966; /* aarch64_trn2v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 249:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4843; /* aarch64_uzp1v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4867; /* aarch64_uzp1v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4891; /* aarch64_uzp1v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4921; /* aarch64_uzp1v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4945; /* aarch64_uzp1v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4969; /* aarch64_uzp1v2sf_vec_concatz_le */

        default:
          return -1;
        }

    case 250:
      switch (pattern665 (x2))
        {
        case 0:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4846; /* aarch64_uzp2v8qi_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4870; /* aarch64_uzp2v4hi_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4894; /* aarch64_uzp2v2si_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4924; /* aarch64_uzp2v4hf_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4948; /* aarch64_uzp2v4bf_vec_concatz_le */

        case 5:
          if (!(
#line 28 "../../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 8634 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4972; /* aarch64_uzp2v2sf_vec_concatz_le */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_511 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XVECLEN (x2, 0))
    {
    case 1:
      return recog_448 (x1, insn, pnum_clobbers);

    case 2:
      return recog_444 (x1, insn, pnum_clobbers);

    case 3:
      return recog_447 (x1, insn, pnum_clobbers);

    case 4:
      return recog_446 (x1, insn, pnum_clobbers);

    case 5:
      return recog_445 (x1, insn, pnum_clobbers);

    case 7:
      switch (XINT (x2, 1))
        {
        case 120:
          x3 = XVECEXP (x2, 0, 6);
          if (GET_CODE (x3) != MEM
              || GET_MODE (x3) != E_BLKmode)
            return -1;
          x4 = XEXP (x3, 0);
          if (GET_CODE (x4) != SCRATCH)
            return -1;
          x5 = XEXP (x1, 0);
          operands[0] = x5;
          x6 = XVECEXP (x2, 0, 0);
          operands[5] = x6;
          x7 = XVECEXP (x2, 0, 1);
          operands[1] = x7;
          x8 = XVECEXP (x2, 0, 3);
          operands[3] = x8;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x9 = XVECEXP (x2, 0, 4);
          operands[4] = x9;
          x10 = XVECEXP (x2, 0, 2);
          switch (GET_CODE (x10))
            {
            case REG:
            case SUBREG:
              operands[2] = x10;
              x11 = XVECEXP (x2, 0, 5);
              operands[6] = x11;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4QImode:
                  if (pattern1220 (x2, 
E_VNx4QImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6079; /* mask_gather_loadvnx4qivnx4si */

                case E_VNx4HImode:
                  if (pattern1221 (x2, 
E_VNx4HImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6080; /* mask_gather_loadvnx4hivnx4si */

                case E_VNx4HFmode:
                  if (pattern1221 (x2, 
E_VNx4HFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6081; /* mask_gather_loadvnx4hfvnx4si */

                case E_VNx4BFmode:
                  if (pattern1221 (x2, 
E_VNx4BFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6082; /* mask_gather_loadvnx4bfvnx4si */

                case E_VNx4SImode:
                  if (!register_operand (operands[0], E_VNx4SImode)
                      || GET_MODE (x2) != E_VNx4SImode
                      || !register_operand (operands[5], E_VNx4BImode)
                      || !aarch64_sve_gather_offset_w (operands[1], E_DImode)
                      || !register_operand (operands[2], E_VNx4SImode)
                      || !aarch64_gather_scale_operand_w (operands[4], E_DImode)
                      || !aarch64_maskload_else_operand (operands[6], E_VNx4SImode)
                      || !
#line 1507 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6083; /* mask_gather_loadvnx4sivnx4si */

                case E_VNx4SFmode:
                  if (pattern1222 (x2, 
E_VNx4SFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6084; /* mask_gather_loadvnx4sfvnx4si */

                case E_VNx2QImode:
                  if (pattern1220 (x2, 
E_VNx2QImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6085; /* mask_gather_loadvnx2qivnx2di */

                case E_VNx2HImode:
                  if (pattern1221 (x2, 
E_VNx2HImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6086; /* mask_gather_loadvnx2hivnx2di */

                case E_VNx2HFmode:
                  if (pattern1221 (x2, 
E_VNx2HFmode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6087; /* mask_gather_loadvnx2hfvnx2di */

                case E_VNx2BFmode:
                  if (pattern1221 (x2, 
E_VNx2BFmode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6088; /* mask_gather_loadvnx2bfvnx2di */

                case E_VNx2SImode:
                  if (pattern1222 (x2, 
E_VNx2SImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6089; /* mask_gather_loadvnx2sivnx2di */

                case E_VNx2SFmode:
                  if (pattern1222 (x2, 
E_VNx2SFmode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6090; /* mask_gather_loadvnx2sfvnx2di */

                case E_VNx2DImode:
                  if (pattern1223 (x2, 
E_VNx2DImode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6091; /* mask_gather_loadvnx2divnx2di */

                case E_VNx2DFmode:
                  if (pattern1223 (x2, 
E_VNx2DFmode) != 0
                      || !
#line 1537 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6092; /* mask_gather_loadvnx2dfvnx2di */

                default:
                  return -1;
                }

            case UNSPEC:
              if (pattern1121 (x10) != 0
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x12 = XVECEXP (x10, 0, 0);
              operands[6] = x12;
              x13 = XVECEXP (x10, 0, 1);
              if (GET_MODE (x13) != E_VNx2DImode)
                return -1;
              switch (pattern1301 (x2))
                {
                case 0:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6093; /* *mask_gather_loadvnx2qivnx2di_sxtw_unpacked */

                case 1:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6095; /* *mask_gather_loadvnx2hivnx2di_sxtw_unpacked */

                case 2:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6097; /* *mask_gather_loadvnx2hfvnx2di_sxtw_unpacked */

                case 3:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6099; /* *mask_gather_loadvnx2bfvnx2di_sxtw_unpacked */

                case 4:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6101; /* *mask_gather_loadvnx2sivnx2di_sxtw_unpacked */

                case 5:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6103; /* *mask_gather_loadvnx2sfvnx2di_sxtw_unpacked */

                case 6:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6105; /* *mask_gather_loadvnx2divnx2di_sxtw_unpacked */

                case 7:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6107; /* *mask_gather_loadvnx2dfvnx2di_sxtw_unpacked */

                case 8:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6109; /* *mask_gather_loadvnx2qivnx2di_sxtw */

                case 9:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6110; /* *mask_gather_loadvnx2hivnx2di_sxtw */

                case 10:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6111; /* *mask_gather_loadvnx2hfvnx2di_sxtw */

                case 11:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6112; /* *mask_gather_loadvnx2bfvnx2di_sxtw */

                case 12:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6113; /* *mask_gather_loadvnx2sivnx2di_sxtw */

                case 13:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6114; /* *mask_gather_loadvnx2sfvnx2di_sxtw */

                case 14:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6115; /* *mask_gather_loadvnx2divnx2di_sxtw */

                case 15:
                  if (!
#line 1597 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6116; /* *mask_gather_loadvnx2dfvnx2di_sxtw */

                case 16:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6094; /* *mask_gather_loadvnx2qivnx2di_uxtw_unpacked */

                case 17:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6096; /* *mask_gather_loadvnx2hivnx2di_uxtw_unpacked */

                case 18:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6098; /* *mask_gather_loadvnx2hfvnx2di_uxtw_unpacked */

                case 19:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6100; /* *mask_gather_loadvnx2bfvnx2di_uxtw_unpacked */

                case 20:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6102; /* *mask_gather_loadvnx2sivnx2di_uxtw_unpacked */

                case 21:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6104; /* *mask_gather_loadvnx2sfvnx2di_uxtw_unpacked */

                case 22:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6106; /* *mask_gather_loadvnx2divnx2di_uxtw_unpacked */

                case 23:
                  if (!
#line 1566 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6108; /* *mask_gather_loadvnx2dfvnx2di_uxtw_unpacked */

                default:
                  return -1;
                }

            case AND:
              if (pattern1122 (x10) != 0)
                return -1;
              x11 = XVECEXP (x2, 0, 5);
              operands[7] = x11;
              switch (pattern1299 (x2))
                {
                case 0:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6117; /* *mask_gather_loadvnx2qivnx2di_uxtw */

                case 1:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6118; /* *mask_gather_loadvnx2hivnx2di_uxtw */

                case 2:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6119; /* *mask_gather_loadvnx2hfvnx2di_uxtw */

                case 3:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6120; /* *mask_gather_loadvnx2bfvnx2di_uxtw */

                case 4:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6121; /* *mask_gather_loadvnx2sivnx2di_uxtw */

                case 5:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6122; /* *mask_gather_loadvnx2sfvnx2di_uxtw */

                case 6:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6123; /* *mask_gather_loadvnx2divnx2di_uxtw */

                case 7:
                  if (!
#line 1625 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6124; /* *mask_gather_loadvnx2dfvnx2di_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 121:
          if (pattern256 (x2) != 0)
            return -1;
          x5 = XEXP (x1, 0);
          operands[0] = x5;
          x6 = XVECEXP (x2, 0, 0);
          operands[5] = x6;
          x7 = XVECEXP (x2, 0, 1);
          operands[1] = x7;
          x8 = XVECEXP (x2, 0, 3);
          operands[3] = x8;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x9 = XVECEXP (x2, 0, 4);
          operands[4] = x9;
          x10 = XVECEXP (x2, 0, 2);
          switch (GET_CODE (x10))
            {
            case REG:
            case SUBREG:
              operands[2] = x10;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4SImode:
                  if (pattern1272 (x2, 
E_VNx4SImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1851 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6223; /* aarch64_ldff1_gathervnx4si */

                case E_VNx4SFmode:
                  if (pattern1272 (x2, 
E_VNx4SFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1851 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6224; /* aarch64_ldff1_gathervnx4sf */

                case E_VNx2DImode:
                  if (pattern1273 (x2, 
E_VNx2DImode) != 0
                      || !
#line 1881 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6225; /* aarch64_ldff1_gathervnx2di */

                case E_VNx2DFmode:
                  if (pattern1273 (x2, 
E_VNx2DFmode) != 0
                      || !
#line 1881 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6226; /* aarch64_ldff1_gathervnx2df */

                default:
                  return -1;
                }

            case UNSPEC:
              if (XVECLEN (x10, 0) != 2
                  || XINT (x10, 1) != 125
                  || GET_MODE (x10) != E_VNx2DImode)
                return -1;
              x13 = XVECEXP (x10, 0, 1);
              if (GET_CODE (x13) != SIGN_EXTEND
                  || GET_MODE (x13) != E_VNx2DImode)
                return -1;
              x14 = XEXP (x13, 0);
              if (GET_CODE (x14) != TRUNCATE
                  || GET_MODE (x14) != E_VNx2SImode
                  || !register_operand (operands[5], E_VNx2BImode)
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x12 = XVECEXP (x10, 0, 0);
              operands[6] = x12;
              switch (pattern1348 (x2))
                {
                case 0:
                  if (!
#line 1911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6227; /* *aarch64_ldff1_gathervnx2di_sxtw */

                case 1:
                  if (!
#line 1911 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6228; /* *aarch64_ldff1_gathervnx2df_sxtw */

                default:
                  return -1;
                }

            case AND:
              if (pattern1122 (x10) != 0)
                return -1;
              switch (pattern1334 (x2))
                {
                case 0:
                  if (!
#line 1938 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6229; /* *aarch64_ldff1_gathervnx2di_uxtw */

                case 1:
                  if (!
#line 1938 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6230; /* *aarch64_ldff1_gathervnx2df_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 659:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13851; /* aarch64_sme_smopavnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13867; /* aarch64_sme_smopavnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13859; /* aarch64_sme_smopavnx2divnx8hi */

            default:
              return -1;
            }

        case 660:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13852; /* aarch64_sme_smopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13868; /* aarch64_sme_smopsvnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13860; /* aarch64_sme_smopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 667:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13853; /* aarch64_sme_sumopavnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13861; /* aarch64_sme_sumopavnx2divnx8hi */

            default:
              return -1;
            }

        case 668:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13854; /* aarch64_sme_sumopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13862; /* aarch64_sme_sumopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 673:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13855; /* aarch64_sme_umopavnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13869; /* aarch64_sme_umopavnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13863; /* aarch64_sme_umopavnx2divnx8hi */

            default:
              return -1;
            }

        case 674:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13856; /* aarch64_sme_umopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13870; /* aarch64_sme_umopsvnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13864; /* aarch64_sme_umopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 677:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13857; /* aarch64_sme_usmopavnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13865; /* aarch64_sme_usmopavnx2divnx8hi */

            default:
              return -1;
            }

        case 678:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13858; /* aarch64_sme_usmopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13866; /* aarch64_sme_usmopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 637:
          if (pattern261 (x1) != 0
              || !
#line 1747 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13871; /* aarch64_sme_bmopavnx4sivnx4si */

        case 638:
          if (pattern261 (x1) != 0
              || !
#line 1747 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13872; /* aarch64_sme_bmopsvnx4sivnx4si */

        case 644:
          switch (pattern263 (x1))
            {
            case 0:
              if (!
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14065; /* aarch64_sme_fmopavnx4sfvnx4sf */

            case 1:
              if (!(
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 734 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
                return -1;
              return 14067; /* aarch64_sme_fmopavnx2dfvnx2df */

            case 2:
              if (!(
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 735 "../../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
                return -1;
              return 14069; /* aarch64_sme_fmopavnx8hfvnx8hf */

            case 3:
              if (!(
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 736 "../../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
                return -1;
              return 14071; /* aarch64_sme_fmopavnx8bfvnx8bf */

            case 4:
              if (!
#line 2121 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14073; /* aarch64_sme_fmopavnx4sivnx8bf */

            case 5:
              if (!
#line 2121 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14075; /* aarch64_sme_fmopavnx4sivnx8hf */

            default:
              return -1;
            }

        case 645:
          switch (pattern263 (x1))
            {
            case 0:
              if (!
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14066; /* aarch64_sme_fmopsvnx4sfvnx4sf */

            case 1:
              if (!(
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 734 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
                return -1;
              return 14068; /* aarch64_sme_fmopsvnx2dfvnx2df */

            case 2:
              if (!(
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 735 "../../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
                return -1;
              return 14070; /* aarch64_sme_fmopsvnx8hfvnx8hf */

            case 3:
              if (!(
#line 2106 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 736 "../../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
                return -1;
              return 14072; /* aarch64_sme_fmopsvnx8bfvnx8bf */

            case 4:
              if (!
#line 2121 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14074; /* aarch64_sme_fmopsvnx4sivnx8bf */

            case 5:
              if (!
#line 2121 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14076; /* aarch64_sme_fmopsvnx4sivnx8hf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 6:
      return recog_449 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_522 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || GET_MODE (x3) != E_SImode
              || !register_operand (operands[1], E_SImode))
            return -1;
          return 576; /* one_cmplsi2 */

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || !register_operand (operands[1], E_DImode))
            return -1;
          return 577; /* one_cmpldi2 */

        case E_V8QImode:
          if (!register_operand (operands[0], E_V8QImode)
              || GET_MODE (x3) != E_V8QImode
              || !register_operand (operands[1], E_V8QImode)
              || !
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1788; /* one_cmplv8qi2 */

        case E_V16QImode:
          if (!register_operand (operands[0], E_V16QImode)
              || GET_MODE (x3) != E_V16QImode
              || !register_operand (operands[1], E_V16QImode)
              || !
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1791; /* one_cmplv16qi2 */

        case E_V4HImode:
          if (!register_operand (operands[0], E_V4HImode)
              || GET_MODE (x3) != E_V4HImode
              || !register_operand (operands[1], E_V4HImode)
              || !
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1792; /* one_cmplv4hi2 */

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x3) != E_V8HImode
              || !register_operand (operands[1], E_V8HImode)
              || !
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1795; /* one_cmplv8hi2 */

        case E_V2SImode:
          if (!register_operand (operands[0], E_V2SImode)
              || GET_MODE (x3) != E_V2SImode
              || !register_operand (operands[1], E_V2SImode)
              || !
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1796; /* one_cmplv2si2 */

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x3) != E_V4SImode
              || !register_operand (operands[1], E_V4SImode)
              || !
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1799; /* one_cmplv4si2 */

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x3) != E_V2DImode
              || !register_operand (operands[1], E_V2DImode)
              || !
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1800; /* one_cmplv2di2 */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern294 (x3))
        {
        case 0:
          return 579; /* *one_cmpl_ashlsi2 */

        case 1:
          return 584; /* *one_cmpl_ashldi2 */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern294 (x3))
        {
        case 0:
          return 580; /* *one_cmpl_ashrsi2 */

        case 1:
          return 585; /* *one_cmpl_ashrdi2 */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern294 (x3))
        {
        case 0:
          return 581; /* *one_cmpl_lshrsi2 */

        case 1:
          return 586; /* *one_cmpl_lshrdi2 */

        default:
          return -1;
        }

    case ROTATERT:
      switch (pattern294 (x3))
        {
        case 0:
          return 582; /* *one_cmpl_rotrsi2 */

        case 1:
          return 587; /* *one_cmpl_rotrdi2 */

        default:
          return -1;
        }

    case ROTATE:
      switch (pattern294 (x3))
        {
        case 0:
          return 583; /* *one_cmpl_rotlsi2 */

        case 1:
          return 588; /* *one_cmpl_rotldi2 */

        default:
          return -1;
        }

    case XOR:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern364 (x3))
            {
            case 0:
              return 596; /* *xor_one_cmplsi3 */

            case 1:
              return 597; /* *xor_one_cmpldi3 */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern405 (x3))
            {
            case 0:
              return 648; /* *eor_one_cmpl_ashlsi3_alt */

            case 1:
              return 653; /* *eor_one_cmpl_ashldi3_alt */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern405 (x3))
            {
            case 0:
              return 649; /* *eor_one_cmpl_ashrsi3_alt */

            case 1:
              return 654; /* *eor_one_cmpl_ashrdi3_alt */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern405 (x3))
            {
            case 0:
              return 650; /* *eor_one_cmpl_lshrsi3_alt */

            case 1:
              return 655; /* *eor_one_cmpl_lshrdi3_alt */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern405 (x3))
            {
            case 0:
              return 651; /* *eor_one_cmpl_rotrsi3_alt */

            case 1:
              return 656; /* *eor_one_cmpl_rotrdi3_alt */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern405 (x3))
            {
            case 0:
              return 652; /* *eor_one_cmpl_rotlsi3_alt */

            case 1:
              return 657; /* *eor_one_cmpl_rotldi3_alt */

            default:
              return -1;
            }

        case AND:
          x6 = XEXP (x5, 0);
          if (GET_CODE (x6) != XOR)
            return -1;
          x7 = XEXP (x6, 0);
          operands[1] = x7;
          x8 = XEXP (x6, 1);
          operands[2] = x8;
          x9 = XEXP (x5, 1);
          operands[3] = x9;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern888 (x3, 
E_V8QImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11882; /* *aarch64_sve2_nbsl_unpredv8qi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11883; /* *aarch64_sve2_nbsl_unpredv8qi */

            case E_V16QImode:
              if (pattern888 (x3, 
E_V16QImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11884; /* *aarch64_sve2_nbsl_unpredv16qi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11885; /* *aarch64_sve2_nbsl_unpredv16qi */

            case E_V4HImode:
              if (pattern888 (x3, 
E_V4HImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11886; /* *aarch64_sve2_nbsl_unpredv4hi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11887; /* *aarch64_sve2_nbsl_unpredv4hi */

            case E_V8HImode:
              if (pattern888 (x3, 
E_V8HImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11888; /* *aarch64_sve2_nbsl_unpredv8hi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11889; /* *aarch64_sve2_nbsl_unpredv8hi */

            case E_V2SImode:
              if (pattern888 (x3, 
E_V2SImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11890; /* *aarch64_sve2_nbsl_unpredv2si */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11891; /* *aarch64_sve2_nbsl_unpredv2si */

            case E_V4SImode:
              if (pattern888 (x3, 
E_V4SImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11892; /* *aarch64_sve2_nbsl_unpredv4si */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11893; /* *aarch64_sve2_nbsl_unpredv4si */

            case E_V2DImode:
              if (pattern888 (x3, 
E_V2DImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11894; /* *aarch64_sve2_nbsl_unpredv2di */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11895; /* *aarch64_sve2_nbsl_unpredv2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_526 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case NEG:
      switch (pattern298 (x3))
        {
        case 0:
          return 489; /* *cmovsi_insn_insv */

        case 1:
          return 490; /* *cmovdi_insn_insv */

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x3, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern576 (x3, 
E_SImode) != 0)
            return -1;
          return 506; /* xorsi3 */

        case E_DImode:
          if (pattern576 (x3, 
E_DImode) != 0)
            return -1;
          return 509; /* xordi3 */

        case E_V8QImode:
          if (pattern649 (x3, 
E_V8QImode) != 0
              || !
#line 1151 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1775; /* xorv8qi3 */

        case E_V16QImode:
          if (pattern649 (x3, 
E_V16QImode) != 0
              || !
#line 1151 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1778; /* xorv16qi3 */

        case E_V4HImode:
          if (pattern649 (x3, 
E_V4HImode) != 0
              || !
#line 1151 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1779; /* xorv4hi3 */

        case E_V8HImode:
          if (pattern649 (x3, 
E_V8HImode) != 0
              || !
#line 1151 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1782; /* xorv8hi3 */

        case E_V2SImode:
          if (pattern649 (x3, 
E_V2SImode) != 0
              || !
#line 1151 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1783; /* xorv2si3 */

        case E_V4SImode:
          if (pattern649 (x3, 
E_V4SImode) != 0
              || !
#line 1151 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1786; /* xorv4si3 */

        case E_V2DImode:
          if (pattern649 (x3, 
E_V2DImode) != 0
              || !
#line 1151 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1787; /* xorv2di3 */

        case E_VNx16QImode:
          if (pattern578 (x3, 
E_VNx16QImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8136; /* xorvnx16qi3 */

        case E_VNx8QImode:
          if (pattern578 (x3, 
E_VNx8QImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8139; /* xorvnx8qi3 */

        case E_VNx4QImode:
          if (pattern578 (x3, 
E_VNx4QImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8142; /* xorvnx4qi3 */

        case E_VNx2QImode:
          if (pattern578 (x3, 
E_VNx2QImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8145; /* xorvnx2qi3 */

        case E_VNx8HImode:
          if (pattern578 (x3, 
E_VNx8HImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8148; /* xorvnx8hi3 */

        case E_VNx4HImode:
          if (pattern578 (x3, 
E_VNx4HImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8151; /* xorvnx4hi3 */

        case E_VNx2HImode:
          if (pattern578 (x3, 
E_VNx2HImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8154; /* xorvnx2hi3 */

        case E_VNx4SImode:
          if (pattern578 (x3, 
E_VNx4SImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8157; /* xorvnx4si3 */

        case E_VNx2SImode:
          if (pattern578 (x3, 
E_VNx2SImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8160; /* xorvnx2si3 */

        case E_VNx2DImode:
          if (pattern578 (x3, 
E_VNx2DImode) != 0
              || !
#line 4715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8163; /* xorvnx2di3 */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern50 (x3))
        {
        case 0:
          return 533; /* xor_ashlsi3 */

        case 1:
          return 548; /* xor_ashldi3 */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern50 (x3))
        {
        case 0:
          return 536; /* xor_ashrsi3 */

        case 1:
          return 551; /* xor_ashrdi3 */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern50 (x3))
        {
        case 0:
          return 539; /* xor_lshrsi3 */

        case 1:
          return 554; /* xor_lshrdi3 */

        default:
          return -1;
        }

    case ROTATERT:
      switch (pattern50 (x3))
        {
        case 0:
          return 542; /* xor_rotrsi3 */

        case 1:
          return 557; /* xor_rotrdi3 */

        default:
          return -1;
        }

    case ROTATE:
      x6 = XEXP (x4, 1);
      if (GET_CODE (x6) != CONST_INT)
        return -1;
      operands[2] = x6;
      switch (pattern283 (x3))
        {
        case 0:
          return 545; /* xor_rotlsi3 */

        case 1:
          return 560; /* xor_rotldi3 */

        default:
          break;
        }
      if (XWINT (x6, 0) != 1L)
        return -1;
      x7 = XEXP (x4, 0);
      operands[2] = x7;
      x5 = XEXP (x3, 1);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V2DImode:
          if (pattern711 (x3, 
E_V2DImode) != 0
              || !
#line 9131 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
            return -1;
          return 5187; /* aarch64_rax1qv2di */

        case E_VNx2DImode:
          if (pattern711 (x3, 
E_VNx2DImode) != 0
              || !
#line 4212 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_SHA3))
            return -1;
          return 12905; /* aarch64_sve2_rax1 */

        default:
          return -1;
        }

    case NOT:
      x5 = XEXP (x3, 1);
      operands[3] = x5;
      x7 = XEXP (x4, 0);
      switch (GET_CODE (x7))
        {
        case ASHIFT:
          switch (pattern509 (x3))
            {
            case 0:
              return 605; /* xor_one_cmpl_ashlsi3 */

            case 1:
              return 620; /* xor_one_cmpl_ashldi3 */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern509 (x3))
            {
            case 0:
              return 608; /* xor_one_cmpl_ashrsi3 */

            case 1:
              return 623; /* xor_one_cmpl_ashrdi3 */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern509 (x3))
            {
            case 0:
              return 611; /* xor_one_cmpl_lshrsi3 */

            case 1:
              return 626; /* xor_one_cmpl_lshrdi3 */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern509 (x3))
            {
            case 0:
              return 614; /* xor_one_cmpl_rotrsi3 */

            case 1:
              return 629; /* xor_one_cmpl_rotrdi3 */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern509 (x3))
            {
            case 0:
              return 617; /* xor_one_cmpl_rotlsi3 */

            case 1:
              return 632; /* xor_one_cmpl_rotldi3 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case AND:
      return recog_470 (x1, insn, pnum_clobbers);

    case XOR:
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern398 (x3, 
E_V16QImode) != 0
              || !
#line 9119 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
            return -1;
          return 5183; /* eor3qv16qi4 */

        case E_V8HImode:
          if (pattern398 (x3, 
E_V8HImode) != 0
              || !
#line 9119 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
            return -1;
          return 5184; /* eor3qv8hi4 */

        case E_V4SImode:
          if (pattern398 (x3, 
E_V4SImode) != 0
              || !
#line 9119 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
            return -1;
          return 5185; /* eor3qv4si4 */

        case E_V2DImode:
          if (pattern398 (x3, 
E_V2DImode) != 0
              || !
#line 9119 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
            return -1;
          return 5186; /* eor3qv2di4 */

        case E_VNx16QImode:
          if (pattern399 (x3, 
E_VNx16QImode) != 0
              || !
#line 1608 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11854; /* aarch64_sve2_eor3vnx16qi */

        case E_VNx8HImode:
          if (pattern399 (x3, 
E_VNx8HImode) != 0
              || !
#line 1608 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11855; /* aarch64_sve2_eor3vnx8hi */

        case E_VNx4SImode:
          if (pattern399 (x3, 
E_VNx4SImode) != 0
              || !
#line 1608 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11856; /* aarch64_sve2_eor3vnx4si */

        case E_VNx2DImode:
          if (pattern399 (x3, 
E_VNx2DImode) != 0
              || !
#line 1608 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11857; /* aarch64_sve2_eor3vnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_536 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode)
          || !(
#line 7343 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 1062; /* *sqrthf2 */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 7343 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1063; /* *sqrtsf2 */

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode)
          || !
#line 7343 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1064; /* *sqrtdf2 */

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !(
#line 7550 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 4370; /* *sqrtv4hf2 */

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode)
          || !(
#line 7550 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 4373; /* *sqrtv8hf2 */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 7550 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4374; /* *sqrtv2sf2 */

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode)
          || !
#line 7550 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4377; /* *sqrtv4sf2 */

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode)
          || !
#line 7550 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4378; /* *sqrtv2df2 */

    default:
      return -1;
    }
}

 int
recog_546 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10164; /* while_wrsivnx2bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10174; /* while_wrdivnx2bi_ptest */
}

 int
recog_547 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10144; /* while_wrsivnx4bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10154; /* while_wrdivnx4bi_ptest */
}

 int
recog_551 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10064; /* *while_wrsivnx4bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10074; /* *while_wrdivnx4bi_cc */
}

 int
recog_555 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10143; /* while_rwsivnx4bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10153; /* while_rwdivnx4bi_ptest */
}

 int
recog_559 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10063; /* *while_rwsivnx4bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10073; /* *while_rwdivnx4bi_cc */
}

 int
recog_567 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10062; /* *while_ugesivnx4bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10072; /* *while_ugedivnx4bi_cc */
}

 int
recog_577 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10021; /* *while_ugtsivnx16bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10031; /* *while_ugtdivnx16bi_cc */
}

 int
recog_587 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10139; /* while_gesivnx4bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10149; /* while_gedivnx4bi_ptest */
}

 int
recog_597 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern1326 (x1, 
GTU))
    {
    case 0:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9554; /* *cmphivnx16qi_cc */

    case 1:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9564; /* *cmphivnx8qi_cc */

    case 2:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9594; /* *cmphivnx8hi_cc */

    case 3:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9574; /* *cmphivnx4qi_cc */

    case 4:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9604; /* *cmphivnx4hi_cc */

    case 5:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9624; /* *cmphivnx4si_cc */

    case 6:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9584; /* *cmphivnx2qi_cc */

    case 7:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9614; /* *cmphivnx2hi_cc */

    case 8:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9634; /* *cmphivnx2si_cc */

    case 9:
      if (!
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9644; /* *cmphivnx2di_cc */

    case 10:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9654; /* *cmphivnx16qi_ptest */

    case 11:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9664; /* *cmphivnx8qi_ptest */

    case 12:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9694; /* *cmphivnx8hi_ptest */

    case 13:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9674; /* *cmphivnx4qi_ptest */

    case 14:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9704; /* *cmphivnx4hi_ptest */

    case 15:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9724; /* *cmphivnx4si_ptest */

    case 16:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9684; /* *cmphivnx2qi_ptest */

    case 17:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9714; /* *cmphivnx2hi_ptest */

    case 18:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9734; /* *cmphivnx2si_ptest */

    case 19:
      if (!
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])))
        return -1;
      return 9744; /* *cmphivnx2di_ptest */

    default:
      return -1;
    }
}

 int
recog_610 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != UNSPEC_VOLATILE)
    return -1;
  x4 = XVECEXP (x1, 0, 0);
  x5 = XEXP (x4, 0);
  operands[0] = x5;
  x6 = XEXP (x2, 0);
  if (!rtx_equal_p (x6, operands[1]))
    return -1;
  switch (XVECLEN (x3, 0))
    {
    case 3:
      x7 = XVECEXP (x3, 0, 1);
      operands[2] = x7;
      x8 = XVECEXP (x3, 0, 2);
      operands[3] = x8;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      switch (XINT (x3, 1))
        {
        case 27:
          x9 = XVECEXP (x3, 0, 0);
          if (!rtx_equal_p (x9, operands[0]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern1214 (x3, 
E_SImode) != 0
                  || !
#line 150 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5358; /* aarch64_compare_and_swapsi_lse */

            case E_DImode:
              if (pattern1214 (x3, 
E_DImode) != 0
                  || !
#line 150 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5359; /* aarch64_compare_and_swapdi_lse */

            case E_TImode:
              if (pattern1147 (x3, 
E_TImode) != 0
                  || !
#line 172 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5360; /* aarch64_compare_and_swapti_lse */

            default:
              return -1;
            }

        case 32:
          switch (pattern1148 (x3))
            {
            case 0:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5429; /* aarch64_atomic_fetch_iorqi_lse */

            case 1:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5433; /* aarch64_atomic_fetch_iorhi_lse */

            case 2:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5437; /* aarch64_atomic_fetch_iorsi_lse */

            case 3:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5441; /* aarch64_atomic_fetch_iordi_lse */

            default:
              return -1;
            }

        case 33:
          switch (pattern1148 (x3))
            {
            case 0:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5430; /* aarch64_atomic_fetch_bicqi_lse */

            case 1:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5434; /* aarch64_atomic_fetch_bichi_lse */

            case 2:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5438; /* aarch64_atomic_fetch_bicsi_lse */

            case 3:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5442; /* aarch64_atomic_fetch_bicdi_lse */

            default:
              return -1;
            }

        case 34:
          switch (pattern1148 (x3))
            {
            case 0:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5431; /* aarch64_atomic_fetch_xorqi_lse */

            case 1:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5435; /* aarch64_atomic_fetch_xorhi_lse */

            case 2:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5439; /* aarch64_atomic_fetch_xorsi_lse */

            case 3:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5443; /* aarch64_atomic_fetch_xordi_lse */

            default:
              return -1;
            }

        case 35:
          switch (pattern1148 (x3))
            {
            case 0:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5432; /* aarch64_atomic_fetch_addqi_lse */

            case 1:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5436; /* aarch64_atomic_fetch_addhi_lse */

            case 2:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5440; /* aarch64_atomic_fetch_addsi_lse */

            case 3:
              if (!
#line 528 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5444; /* aarch64_atomic_fetch_adddi_lse */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 2:
      x7 = XVECEXP (x3, 0, 1);
      operands[3] = x7;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      switch (XINT (x3, 1))
        {
        case 28:
          x9 = XVECEXP (x3, 0, 0);
          operands[2] = x9;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (pattern1182 (x3, 
E_QImode) != 0)
                return -1;
              if (pnum_clobbers != NULL
                  && 
#line 227 "../../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
                {
                  *pnum_clobbers = 2;
                  return 5361; /* aarch64_atomic_exchangeqi */
                }
              if (!
#line 246 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5365; /* aarch64_atomic_exchangeqi_lse */

            case E_HImode:
              if (pattern1182 (x3, 
E_HImode) != 0)
                return -1;
              if (pnum_clobbers != NULL
                  && 
#line 227 "../../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
                {
                  *pnum_clobbers = 2;
                  return 5362; /* aarch64_atomic_exchangehi */
                }
              if (!
#line 246 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5366; /* aarch64_atomic_exchangehi_lse */

            case E_SImode:
              if (pattern1182 (x3, 
E_SImode) != 0)
                return -1;
              if (pnum_clobbers != NULL
                  && 
#line 227 "../../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
                {
                  *pnum_clobbers = 2;
                  return 5363; /* aarch64_atomic_exchangesi */
                }
              if (!
#line 246 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5367; /* aarch64_atomic_exchangesi_lse */

            case E_DImode:
              if (pattern1182 (x3, 
E_DImode) != 0)
                return -1;
              if (pnum_clobbers != NULL
                  && 
#line 227 "../../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
                {
                  *pnum_clobbers = 2;
                  return 5364; /* aarch64_atomic_exchangedi */
                }
              if (!
#line 246 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              return 5368; /* aarch64_atomic_exchangedi_lse */

            default:
              return -1;
            }

        case 31:
          if (pnum_clobbers == NULL)
            return -1;
          x9 = XVECEXP (x3, 0, 0);
          switch (GET_CODE (x9))
            {
            case PLUS:
              switch (pattern1184 (x3))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5409; /* aarch64_atomic_fetch_addqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5414; /* aarch64_atomic_fetch_addhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5419; /* aarch64_atomic_fetch_addsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5424; /* aarch64_atomic_fetch_adddi */

                default:
                  return -1;
                }

            case MINUS:
              switch (pattern1184 (x3))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5410; /* aarch64_atomic_fetch_subqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5415; /* aarch64_atomic_fetch_subhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5420; /* aarch64_atomic_fetch_subsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5425; /* aarch64_atomic_fetch_subdi */

                default:
                  return -1;
                }

            case IOR:
              switch (pattern1186 (x3))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5411; /* aarch64_atomic_fetch_orqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5416; /* aarch64_atomic_fetch_orhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5421; /* aarch64_atomic_fetch_orsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5426; /* aarch64_atomic_fetch_ordi */

                default:
                  return -1;
                }

            case XOR:
              switch (pattern1186 (x3))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5412; /* aarch64_atomic_fetch_xorqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5417; /* aarch64_atomic_fetch_xorhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5422; /* aarch64_atomic_fetch_xorsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5427; /* aarch64_atomic_fetch_xordi */

                default:
                  return -1;
                }

            case AND:
              switch (pattern1186 (x3))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5413; /* aarch64_atomic_fetch_andqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5418; /* aarch64_atomic_fetch_andhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5423; /* aarch64_atomic_fetch_andsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5428; /* aarch64_atomic_fetch_anddi */

                default:
                  return -1;
                }

            case NOT:
              x10 = XEXP (x9, 0);
              if (GET_CODE (x10) != AND)
                return -1;
              x11 = XEXP (x10, 1);
              operands[2] = x11;
              x12 = XEXP (x10, 0);
              if (!rtx_equal_p (x12, operands[1]))
                return -1;
              switch (GET_MODE (operands[0]))
                {
                case E_QImode:
                  if (pattern1285 (x3, 
E_QImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5445; /* atomic_fetch_nandqi */

                case E_HImode:
                  if (pattern1285 (x3, 
E_HImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5446; /* atomic_fetch_nandhi */

                case E_SImode:
                  if (pattern1285 (x3, 
E_SImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5447; /* atomic_fetch_nandsi */

                case E_DImode:
                  if (pattern1285 (x3, 
E_DImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5448; /* atomic_fetch_nanddi */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_614 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  operands[0] = x3;
  x4 = XEXP (x2, 1);
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case SUBREG:
    case MEM:
      if (pattern555 (x1, pnum_clobbers) != 0)
        return -1;
      switch (pattern347 (x1))
        {
        case 0:
          *pnum_clobbers = 2;
          return 5453; /* aarch64_atomic_and_fetchqi */

        case 1:
          *pnum_clobbers = 2;
          return 5458; /* aarch64_atomic_and_fetchhi */

        case 2:
          *pnum_clobbers = 2;
          return 5463; /* aarch64_atomic_and_fetchsi */

        case 3:
          *pnum_clobbers = 2;
          return 5468; /* aarch64_atomic_and_fetchdi */

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x5, 0) != 3
          || XINT (x5, 1) != 126)
        return -1;
      x6 = XVECEXP (x5, 0, 1);
      if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x7 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x7) != CLOBBER)
        return -1;
      switch (pattern915 (x1))
        {
        case 0:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9745; /* *cmpltvnx16qi_and */

        case 1:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9755; /* *cmpltvnx8qi_and */

        case 2:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9785; /* *cmpltvnx8hi_and */

        case 3:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9765; /* *cmpltvnx4qi_and */

        case 4:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9795; /* *cmpltvnx4hi_and */

        case 5:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9815; /* *cmpltvnx4si_and */

        case 6:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9775; /* *cmpltvnx2qi_and */

        case 7:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9805; /* *cmpltvnx2hi_and */

        case 8:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9825; /* *cmpltvnx2si_and */

        case 9:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9835; /* *cmpltvnx2di_and */

        case 10:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9746; /* *cmplevnx16qi_and */

        case 11:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9756; /* *cmplevnx8qi_and */

        case 12:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9786; /* *cmplevnx8hi_and */

        case 13:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9766; /* *cmplevnx4qi_and */

        case 14:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9796; /* *cmplevnx4hi_and */

        case 15:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9816; /* *cmplevnx4si_and */

        case 16:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9776; /* *cmplevnx2qi_and */

        case 17:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9806; /* *cmplevnx2hi_and */

        case 18:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9826; /* *cmplevnx2si_and */

        case 19:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9836; /* *cmplevnx2di_and */

        case 20:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9747; /* *cmpeqvnx16qi_and */

        case 21:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9757; /* *cmpeqvnx8qi_and */

        case 22:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9787; /* *cmpeqvnx8hi_and */

        case 23:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9767; /* *cmpeqvnx4qi_and */

        case 24:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9797; /* *cmpeqvnx4hi_and */

        case 25:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9817; /* *cmpeqvnx4si_and */

        case 26:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9777; /* *cmpeqvnx2qi_and */

        case 27:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9807; /* *cmpeqvnx2hi_and */

        case 28:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9827; /* *cmpeqvnx2si_and */

        case 29:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9837; /* *cmpeqvnx2di_and */

        case 30:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9748; /* *cmpnevnx16qi_and */

        case 31:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9758; /* *cmpnevnx8qi_and */

        case 32:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9788; /* *cmpnevnx8hi_and */

        case 33:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9768; /* *cmpnevnx4qi_and */

        case 34:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9798; /* *cmpnevnx4hi_and */

        case 35:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9818; /* *cmpnevnx4si_and */

        case 36:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9778; /* *cmpnevnx2qi_and */

        case 37:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9808; /* *cmpnevnx2hi_and */

        case 38:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9828; /* *cmpnevnx2si_and */

        case 39:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9838; /* *cmpnevnx2di_and */

        case 40:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9749; /* *cmpgevnx16qi_and */

        case 41:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9759; /* *cmpgevnx8qi_and */

        case 42:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9789; /* *cmpgevnx8hi_and */

        case 43:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9769; /* *cmpgevnx4qi_and */

        case 44:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9799; /* *cmpgevnx4hi_and */

        case 45:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9819; /* *cmpgevnx4si_and */

        case 46:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9779; /* *cmpgevnx2qi_and */

        case 47:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9809; /* *cmpgevnx2hi_and */

        case 48:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9829; /* *cmpgevnx2si_and */

        case 49:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9839; /* *cmpgevnx2di_and */

        case 50:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9750; /* *cmpgtvnx16qi_and */

        case 51:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9760; /* *cmpgtvnx8qi_and */

        case 52:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9790; /* *cmpgtvnx8hi_and */

        case 53:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9770; /* *cmpgtvnx4qi_and */

        case 54:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9800; /* *cmpgtvnx4hi_and */

        case 55:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9820; /* *cmpgtvnx4si_and */

        case 56:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9780; /* *cmpgtvnx2qi_and */

        case 57:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9810; /* *cmpgtvnx2hi_and */

        case 58:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9830; /* *cmpgtvnx2si_and */

        case 59:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9840; /* *cmpgtvnx2di_and */

        case 60:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9751; /* *cmplovnx16qi_and */

        case 61:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9761; /* *cmplovnx8qi_and */

        case 62:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9791; /* *cmplovnx8hi_and */

        case 63:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9771; /* *cmplovnx4qi_and */

        case 64:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9801; /* *cmplovnx4hi_and */

        case 65:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9821; /* *cmplovnx4si_and */

        case 66:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9781; /* *cmplovnx2qi_and */

        case 67:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9811; /* *cmplovnx2hi_and */

        case 68:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9831; /* *cmplovnx2si_and */

        case 69:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9841; /* *cmplovnx2di_and */

        case 70:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9752; /* *cmplsvnx16qi_and */

        case 71:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9762; /* *cmplsvnx8qi_and */

        case 72:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9792; /* *cmplsvnx8hi_and */

        case 73:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9772; /* *cmplsvnx4qi_and */

        case 74:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9802; /* *cmplsvnx4hi_and */

        case 75:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9822; /* *cmplsvnx4si_and */

        case 76:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9782; /* *cmplsvnx2qi_and */

        case 77:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9812; /* *cmplsvnx2hi_and */

        case 78:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9832; /* *cmplsvnx2si_and */

        case 79:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9842; /* *cmplsvnx2di_and */

        case 80:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9753; /* *cmphsvnx16qi_and */

        case 81:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9763; /* *cmphsvnx8qi_and */

        case 82:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9793; /* *cmphsvnx8hi_and */

        case 83:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9773; /* *cmphsvnx4qi_and */

        case 84:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9803; /* *cmphsvnx4hi_and */

        case 85:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9823; /* *cmphsvnx4si_and */

        case 86:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9783; /* *cmphsvnx2qi_and */

        case 87:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9813; /* *cmphsvnx2hi_and */

        case 88:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9833; /* *cmphsvnx2si_and */

        case 89:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9843; /* *cmphsvnx2di_and */

        case 90:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9754; /* *cmphivnx16qi_and */

        case 91:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9764; /* *cmphivnx8qi_and */

        case 92:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9794; /* *cmphivnx8hi_and */

        case 93:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9774; /* *cmphivnx4qi_and */

        case 94:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9804; /* *cmphivnx4hi_and */

        case 95:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9824; /* *cmphivnx4si_and */

        case 96:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9784; /* *cmphivnx2qi_and */

        case 97:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9814; /* *cmphivnx2hi_and */

        case 98:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9834; /* *cmphivnx2si_and */

        case 99:
          if (!
#line 8286 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 9844; /* *cmphivnx2di_and */

        default:
          return -1;
        }

    case AND:
      x8 = XEXP (x5, 0);
      if (pattern556 (x8) != 0)
        return -1;
      x7 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x7) != CLOBBER)
        return -1;
      switch (pattern971 (x1))
        {
        case 0:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10217; /* *fcmeqvnx8hf_bic_combine */

        case 1:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10223; /* *fcmeqvnx4sf_bic_combine */

        case 2:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10229; /* *fcmeqvnx2df_bic_combine */

        case 3:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10235; /* *fcmeqvnx8hf_nor_combine */

        case 4:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10241; /* *fcmeqvnx4sf_nor_combine */

        case 5:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10247; /* *fcmeqvnx2df_nor_combine */

        case 6:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10218; /* *fcmgevnx8hf_bic_combine */

        case 7:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10224; /* *fcmgevnx4sf_bic_combine */

        case 8:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10230; /* *fcmgevnx2df_bic_combine */

        case 9:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10236; /* *fcmgevnx8hf_nor_combine */

        case 10:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10242; /* *fcmgevnx4sf_nor_combine */

        case 11:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10248; /* *fcmgevnx2df_nor_combine */

        case 12:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10219; /* *fcmgtvnx8hf_bic_combine */

        case 13:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10225; /* *fcmgtvnx4sf_bic_combine */

        case 14:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10231; /* *fcmgtvnx2df_bic_combine */

        case 15:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10237; /* *fcmgtvnx8hf_nor_combine */

        case 16:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10243; /* *fcmgtvnx4sf_nor_combine */

        case 17:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10249; /* *fcmgtvnx2df_nor_combine */

        case 18:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10220; /* *fcmlevnx8hf_bic_combine */

        case 19:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10226; /* *fcmlevnx4sf_bic_combine */

        case 20:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10232; /* *fcmlevnx2df_bic_combine */

        case 21:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10238; /* *fcmlevnx8hf_nor_combine */

        case 22:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10244; /* *fcmlevnx4sf_nor_combine */

        case 23:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10250; /* *fcmlevnx2df_nor_combine */

        case 24:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10221; /* *fcmltvnx8hf_bic_combine */

        case 25:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10227; /* *fcmltvnx4sf_bic_combine */

        case 26:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10233; /* *fcmltvnx2df_bic_combine */

        case 27:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10239; /* *fcmltvnx8hf_nor_combine */

        case 28:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10245; /* *fcmltvnx4sf_nor_combine */

        case 29:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10251; /* *fcmltvnx2df_nor_combine */

        case 30:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10222; /* *fcmnevnx8hf_bic_combine */

        case 31:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10228; /* *fcmnevnx4sf_bic_combine */

        case 32:
          if (!
#line 8602 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10234; /* *fcmnevnx2df_bic_combine */

        case 33:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10240; /* *fcmnevnx8hf_nor_combine */

        case 34:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10246; /* *fcmnevnx4sf_nor_combine */

        case 35:
          if (!
#line 8640 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10252; /* *fcmnevnx2df_nor_combine */

        case 36:
          if (!
#line 8678 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10253; /* *fcmuovnx8hf_bic_combine */

        case 37:
          if (!
#line 8678 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10254; /* *fcmuovnx4sf_bic_combine */

        case 38:
          if (!
#line 8678 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10255; /* *fcmuovnx2df_bic_combine */

        case 39:
          if (!
#line 8715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10256; /* *fcmuovnx8hf_nor_combine */

        case 40:
          if (!
#line 8715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10257; /* *fcmuovnx4sf_nor_combine */

        case 41:
          if (!
#line 8715 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10258; /* *fcmuovnx2df_nor_combine */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 rtx_insn *
split_4 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern591 (x2))
    {
    case 0:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_569 (insn, operands);

    case 1:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_571 (insn, operands);

    case 2:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_573 (insn, operands);

    case 3:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_575 (insn, operands);

    case 4:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_577 (insn, operands);

    case 5:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_579 (insn, operands);

    case 6:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_581 (insn, operands);

    case 7:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_583 (insn, operands);

    case 8:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_585 (insn, operands);

    case 9:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_587 (insn, operands);

    case 10:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_589 (insn, operands);

    case 11:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_591 (insn, operands);

    case 12:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_593 (insn, operands);

    case 13:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_595 (insn, operands);

    case 14:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_597 (insn, operands);

    case 15:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_599 (insn, operands);

    case 16:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_601 (insn, operands);

    case 17:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_603 (insn, operands);

    case 18:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_605 (insn, operands);

    case 19:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_607 (insn, operands);

    case 20:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_609 (insn, operands);

    case 21:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_611 (insn, operands);

    case 22:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_613 (insn, operands);

    case 23:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_615 (insn, operands);

    case 24:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_617 (insn, operands);

    case 25:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_619 (insn, operands);

    case 26:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_621 (insn, operands);

    case 27:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_623 (insn, operands);

    case 28:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_625 (insn, operands);

    case 29:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_627 (insn, operands);

    case 30:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_629 (insn, operands);

    case 31:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_631 (insn, operands);

    case 32:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_633 (insn, operands);

    case 33:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_635 (insn, operands);

    case 34:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_637 (insn, operands);

    case 35:
      if (!(
#line 1351 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0) && 
#line 1353 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_639 (insn, operands);

    case 36:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_714 (insn, operands);

    case 37:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_718 (insn, operands);

    case 38:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_722 (insn, operands);

    case 39:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_726 (insn, operands);

    case 40:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_730 (insn, operands);

    case 41:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_734 (insn, operands);

    case 42:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_738 (insn, operands);

    case 43:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_742 (insn, operands);

    case 44:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_746 (insn, operands);

    case 45:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_750 (insn, operands);

    case 46:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_754 (insn, operands);

    case 47:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_758 (insn, operands);

    case 48:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_762 (insn, operands);

    case 49:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_766 (insn, operands);

    case 50:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_770 (insn, operands);

    case 51:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_774 (insn, operands);

    case 52:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_778 (insn, operands);

    case 53:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_782 (insn, operands);

    case 54:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_786 (insn, operands);

    case 55:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_790 (insn, operands);

    case 56:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_794 (insn, operands);

    case 57:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_798 (insn, operands);

    case 58:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_802 (insn, operands);

    case 59:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_806 (insn, operands);

    case 60:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_810 (insn, operands);

    case 61:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_814 (insn, operands);

    case 62:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_818 (insn, operands);

    case 63:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_822 (insn, operands);

    case 64:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_826 (insn, operands);

    case 65:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_830 (insn, operands);

    case 66:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_834 (insn, operands);

    case 67:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_838 (insn, operands);

    case 68:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_842 (insn, operands);

    case 69:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_846 (insn, operands);

    case 70:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_850 (insn, operands);

    case 71:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_854 (insn, operands);

    case 72:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_715 (insn, operands);

    case 73:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_719 (insn, operands);

    case 74:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_723 (insn, operands);

    case 75:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_727 (insn, operands);

    case 76:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_731 (insn, operands);

    case 77:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_735 (insn, operands);

    case 78:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_739 (insn, operands);

    case 79:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_743 (insn, operands);

    case 80:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_747 (insn, operands);

    case 81:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_751 (insn, operands);

    case 82:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_755 (insn, operands);

    case 83:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_759 (insn, operands);

    case 84:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_763 (insn, operands);

    case 85:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_767 (insn, operands);

    case 86:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_771 (insn, operands);

    case 87:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_775 (insn, operands);

    case 88:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_779 (insn, operands);

    case 89:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_783 (insn, operands);

    case 90:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_787 (insn, operands);

    case 91:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_791 (insn, operands);

    case 92:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_795 (insn, operands);

    case 93:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_799 (insn, operands);

    case 94:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_803 (insn, operands);

    case 95:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_807 (insn, operands);

    case 96:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_811 (insn, operands);

    case 97:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_815 (insn, operands);

    case 98:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_819 (insn, operands);

    case 99:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_823 (insn, operands);

    case 100:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_827 (insn, operands);

    case 101:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_831 (insn, operands);

    case 102:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_835 (insn, operands);

    case 103:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_839 (insn, operands);

    case 104:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_843 (insn, operands);

    case 105:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_847 (insn, operands);

    case 106:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_851 (insn, operands);

    case 107:
      if (!(
#line 1435 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1439 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_855 (insn, operands);

    case 108:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_641 (insn, operands);

    case 109:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_643 (insn, operands);

    case 110:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_645 (insn, operands);

    case 111:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_647 (insn, operands);

    case 112:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_649 (insn, operands);

    case 113:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_651 (insn, operands);

    case 114:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_653 (insn, operands);

    case 115:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_655 (insn, operands);

    case 116:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_657 (insn, operands);

    case 117:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_659 (insn, operands);

    case 118:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_661 (insn, operands);

    case 119:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_663 (insn, operands);

    case 120:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_665 (insn, operands);

    case 121:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_667 (insn, operands);

    case 122:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_669 (insn, operands);

    case 123:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_671 (insn, operands);

    case 124:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_673 (insn, operands);

    case 125:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_675 (insn, operands);

    case 126:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_677 (insn, operands);

    case 127:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_679 (insn, operands);

    case 128:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_681 (insn, operands);

    case 129:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_683 (insn, operands);

    case 130:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_685 (insn, operands);

    case 131:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_687 (insn, operands);

    case 132:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_689 (insn, operands);

    case 133:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_691 (insn, operands);

    case 134:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_693 (insn, operands);

    case 135:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_695 (insn, operands);

    case 136:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_697 (insn, operands);

    case 137:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_699 (insn, operands);

    case 138:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_701 (insn, operands);

    case 139:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_703 (insn, operands);

    case 140:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_705 (insn, operands);

    case 141:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_707 (insn, operands);

    case 142:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_709 (insn, operands);

    case 143:
      if (!(
#line 1371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0) && 
#line 1373 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_711 (insn, operands);

    case 144:
      if (!(
#line 1663 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0) && 
#line 1680 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_881 (insn, operands);

    case 145:
      if (!(
#line 1663 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0) && 
#line 1680 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_885 (insn, operands);

    case 146:
      if (!(
#line 1663 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 1680 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_883 (insn, operands);

    case 147:
      if (!(
#line 1663 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 1680 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_887 (insn, operands);

    case 148:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_889 (insn, operands);

    case 149:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_895 (insn, operands);

    case 150:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_901 (insn, operands);

    case 151:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_891 (insn, operands);

    case 152:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_897 (insn, operands);

    case 153:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_903 (insn, operands);

    case 154:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_893 (insn, operands);

    case 155:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_899 (insn, operands);

    case 156:
      if (!(
#line 1703 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1716 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_905 (insn, operands);

    case 157:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_907 (insn, operands);

    case 158:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_919 (insn, operands);

    case 159:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_931 (insn, operands);

    case 160:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_911 (insn, operands);

    case 161:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_923 (insn, operands);

    case 162:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_935 (insn, operands);

    case 163:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_915 (insn, operands);

    case 164:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_927 (insn, operands);

    case 165:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_939 (insn, operands);

    case 166:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_943 (insn, operands);

    case 167:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_949 (insn, operands);

    case 168:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_955 (insn, operands);

    case 169:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_945 (insn, operands);

    case 170:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_951 (insn, operands);

    case 171:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_957 (insn, operands);

    case 172:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_947 (insn, operands);

    case 173:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_953 (insn, operands);

    case 174:
      if (!(
#line 1780 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1789 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_959 (insn, operands);

    case 175:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_909 (insn, operands);

    case 176:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_921 (insn, operands);

    case 177:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_933 (insn, operands);

    case 178:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_913 (insn, operands);

    case 179:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_925 (insn, operands);

    case 180:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_937 (insn, operands);

    case 181:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_917 (insn, operands);

    case 182:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_929 (insn, operands);

    case 183:
      if (!(
#line 1742 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1751 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_941 (insn, operands);

    case 184:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_961 (insn, operands);

    case 185:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_967 (insn, operands);

    case 186:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_973 (insn, operands);

    case 187:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_963 (insn, operands);

    case 188:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_969 (insn, operands);

    case 189:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_975 (insn, operands);

    case 190:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_965 (insn, operands);

    case 191:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_971 (insn, operands);

    case 192:
      if (!(
#line 1815 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1824 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_977 (insn, operands);

    case 193:
      if (!(
#line 1976 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1991 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_981 (insn, operands);

    case 194:
      if (!(
#line 1976 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1991 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_983 (insn, operands);

    case 195:
      if (!(
#line 2014 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2025 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_985 (insn, operands);

    case 196:
      if (!(
#line 2014 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2025 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_987 (insn, operands);

    case 197:
      if (!(
#line 2014 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2025 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_989 (insn, operands);

    case 198:
      if (!(
#line 2052 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2059 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_991 (insn, operands);

    case 199:
      if (!(
#line 2052 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2059 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_993 (insn, operands);

    case 200:
      if (!(
#line 2052 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2059 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_995 (insn, operands);

    case 201:
      if (!(
#line 2084 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2091 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_997 (insn, operands);

    case 202:
      if (!(
#line 2084 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2091 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_999 (insn, operands);

    case 203:
      if (!(
#line 2084 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2091 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_1001 (insn, operands);

    case 204:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2772 (insn, operands);

    case 205:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2774 (insn, operands);

    case 206:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2776 (insn, operands);

    case 207:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2778 (insn, operands);

    case 208:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2780 (insn, operands);

    case 209:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2782 (insn, operands);

    case 210:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2784 (insn, operands);

    case 211:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2786 (insn, operands);

    case 212:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2788 (insn, operands);

    case 213:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2790 (insn, operands);

    case 214:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2792 (insn, operands);

    case 215:
      if (!(
#line 398 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 407 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2794 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_78 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != PARALLEL)
    return NULL;
  operands[2] = x3;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XEXP (x2, 0);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      if (pattern695 (x2, 
E_V16QImode, 
E_V8QImode) == 0
          && (
#line 295 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT) && 
#line 301 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && aarch64_simd_register (operands[0], V8QImode))))
        return gen_split_141 (insn, operands);
      break;

    case E_V4HImode:
      if (pattern695 (x2, 
E_V8HImode, 
E_V4HImode) == 0
          && (
#line 295 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT) && 
#line 301 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && aarch64_simd_register (operands[0], V4HImode))))
        return gen_split_142 (insn, operands);
      break;

    case E_V2SImode:
      if (pattern695 (x2, 
E_V4SImode, 
E_V2SImode) == 0
          && (
#line 295 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT) && 
#line 301 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && aarch64_simd_register (operands[0], V2SImode))))
        return gen_split_143 (insn, operands);
      break;

    case E_V4HFmode:
      if (pattern695 (x2, 
E_V8HFmode, 
E_V4HFmode) == 0
          && (
#line 295 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT) && 
#line 301 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && aarch64_simd_register (operands[0], V4HFmode))))
        return gen_split_144 (insn, operands);
      break;

    case E_V4BFmode:
      if (pattern695 (x2, 
E_V8BFmode, 
E_V4BFmode) == 0
          && (
#line 295 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT) && 
#line 301 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && aarch64_simd_register (operands[0], V4BFmode))))
        return gen_split_145 (insn, operands);
      break;

    case E_V2SFmode:
      if (pattern695 (x2, 
E_V4SFmode, 
E_V2SFmode) == 0
          && (
#line 295 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT) && 
#line 301 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && aarch64_simd_register (operands[0], V2SFmode))))
        return gen_split_146 (insn, operands);
      break;

    case E_V16QImode:
      if (pattern656 (x2, 
E_VNx16QImode, 
E_V16QImode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V16QImode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2763 (insn, operands);
      break;

    case E_V8HImode:
      if (pattern656 (x2, 
E_VNx8HImode, 
E_V8HImode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V8HImode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2764 (insn, operands);
      break;

    case E_V4SImode:
      if (pattern656 (x2, 
E_VNx4SImode, 
E_V4SImode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V4SImode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2765 (insn, operands);
      break;

    case E_V2DImode:
      if (pattern656 (x2, 
E_VNx2DImode, 
E_V2DImode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V2DImode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2766 (insn, operands);
      break;

    case E_V8BFmode:
      if (pattern656 (x2, 
E_VNx8BFmode, 
E_V8BFmode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V8BFmode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2767 (insn, operands);
      break;

    case E_V8HFmode:
      if (pattern656 (x2, 
E_VNx8HFmode, 
E_V8HFmode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V8HFmode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2768 (insn, operands);
      break;

    case E_V4SFmode:
      if (pattern656 (x2, 
E_VNx4SFmode, 
E_V4SFmode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V4SFmode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2769 (insn, operands);
      break;

    case E_V2DFmode:
      if (pattern656 (x2, 
E_VNx2DFmode, 
E_V2DFmode) == 0
          && (
#line 11152 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && BYTES_BIG_ENDIAN
   && known_eq (INTVAL (XVECEXP (operands[2], 0, 0)),
		GET_MODE_NUNITS (V2DFmode) - 1)) && 
#line 11157 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
        return gen_split_2770 (insn, operands);
      break;

    default:
      break;
    }
  if (XVECLEN (x3, 0) != 1)
    return NULL;
  operands[0] = x4;
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 0);
  operands[2] = x6;
  if (immediate_operand (operands[2], E_SImode))
    {
      switch (GET_MODE (operands[0]))
        {
        case E_QImode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_QImode)
              && GET_MODE (x2) == E_QImode)
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V8QImode:
                  if (register_operand (operands[1], E_V8QImode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0)))
                    return gen_split_178 (insn, operands);
                  break;

                case E_V16QImode:
                  if (register_operand (operands[1], E_V16QImode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (16, INTVAL (operands[2])) == 0)))
                    return gen_split_179 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case E_HImode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_HImode)
              && GET_MODE (x2) == E_HImode)
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HImode:
                  if (register_operand (operands[1], E_V4HImode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0)))
                    return gen_split_180 (insn, operands);
                  break;

                case E_V8HImode:
                  if (register_operand (operands[1], E_V8HImode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0)))
                    return gen_split_181 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case E_SImode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_SImode)
              && GET_MODE (x2) == E_SImode)
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SImode:
                  if (register_operand (operands[1], E_V2SImode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0)))
                    return gen_split_182 (insn, operands);
                  break;

                case E_V4SImode:
                  if (register_operand (operands[1], E_V4SImode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0)))
                    return gen_split_183 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case E_DImode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_DImode)
              && GET_MODE (x2) == E_DImode
              && register_operand (operands[1], E_V2DImode)
              && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0)))
            return gen_split_184 (insn, operands);
          break;

        case E_HFmode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_HFmode)
              && GET_MODE (x2) == E_HFmode)
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HFmode:
                  if (register_operand (operands[1], E_V4HFmode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0)))
                    return gen_split_185 (insn, operands);
                  break;

                case E_V8HFmode:
                  if (register_operand (operands[1], E_V8HFmode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0)))
                    return gen_split_186 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case E_BFmode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_BFmode)
              && GET_MODE (x2) == E_BFmode)
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4BFmode:
                  if (register_operand (operands[1], E_V4BFmode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0)))
                    return gen_split_187 (insn, operands);
                  break;

                case E_V8BFmode:
                  if (register_operand (operands[1], E_V8BFmode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0)))
                    return gen_split_188 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case E_SFmode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_SFmode)
              && GET_MODE (x2) == E_SFmode)
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (register_operand (operands[1], E_V2SFmode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0)))
                    return gen_split_189 (insn, operands);
                  break;

                case E_V4SFmode:
                  if (register_operand (operands[1], E_V4SFmode)
                      && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0)))
                    return gen_split_190 (insn, operands);
                  break;

                default:
                  break;
                }
            }
          break;

        case E_DFmode:
          if (aarch64_simd_nonimmediate_operand (operands[0], E_DFmode)
              && GET_MODE (x2) == E_DFmode
              && register_operand (operands[1], E_V2DFmode)
              && (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 4278 "../../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed
  && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0)))
            return gen_split_191 (insn, operands);
          break;

        default:
          break;
        }
    }
  if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return NULL;
  switch (pattern696 (x2))
    {
    case 0:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1060 (insn, operands);

    case 1:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1061 (insn, operands);

    case 2:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1062 (insn, operands);

    case 3:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1063 (insn, operands);

    case 4:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1064 (insn, operands);

    case 5:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1065 (insn, operands);

    case 6:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1066 (insn, operands);

    case 7:
      if (!(
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3025 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && REG_P (operands[0])
   && REGNO (operands[0]) == REGNO (operands[1]))))
        return NULL;
      return gen_split_1067 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_85 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2537 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2547 (insn, operands);
}

 rtx_insn *
split_88 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2477 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2487 (insn, operands);
}

 rtx_insn *
split_91 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2417 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2427 (insn, operands);
}

 rtx_insn *
split_94 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2516 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2526 (insn, operands);
}

 rtx_insn *
split_97 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2456 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3447 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2466 (insn, operands);
}

 rtx_insn *
split_101 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2535 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2545 (insn, operands);
}

 rtx_insn *
split_105 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2455 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2465 (insn, operands);
}

 rtx_insn *
split_110 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2514 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2524 (insn, operands);
}

 rtx_insn *
split_117 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2533 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2543 (insn, operands);
}

 rtx_insn *
split_124 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2552 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2562 (insn, operands);
}

 rtx_insn *
split_132 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  switch (pattern1088 (x1))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2408 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2418 (insn, operands);

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2428 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2438 (insn, operands);

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2448 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2458 (insn, operands);

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2468 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2478 (insn, operands);

    case 4:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2488 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2498 (insn, operands);

    case 5:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2508 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2518 (insn, operands);

    case 6:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2528 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2538 (insn, operands);

    case 7:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2548 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2558 (insn, operands);

    case 8:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2409 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2419 (insn, operands);

    case 9:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2429 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2439 (insn, operands);

    case 10:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2449 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2459 (insn, operands);

    case 11:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2469 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2479 (insn, operands);

    case 12:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2489 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2499 (insn, operands);

    case 13:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2509 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2519 (insn, operands);

    case 14:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2529 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2539 (insn, operands);

    case 15:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2549 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2559 (insn, operands);

    case 16:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2410 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2420 (insn, operands);

    case 17:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2430 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2440 (insn, operands);

    case 18:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2450 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2460 (insn, operands);

    case 19:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2470 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2480 (insn, operands);

    case 20:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2490 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2500 (insn, operands);

    case 21:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2510 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2520 (insn, operands);

    case 22:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2530 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2540 (insn, operands);

    case 23:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2550 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2560 (insn, operands);

    case 24:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2411 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2421 (insn, operands);

    case 25:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2431 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2441 (insn, operands);

    case 26:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2451 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2461 (insn, operands);

    case 27:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2471 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2481 (insn, operands);

    case 28:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2491 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2501 (insn, operands);

    case 29:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2511 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2521 (insn, operands);

    case 30:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2531 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2541 (insn, operands);

    case 31:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return gen_split_2551 (insn, operands);
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
        return NULL;
      return gen_split_2561 (insn, operands);

    case 32:
      return split_131 (x1, insn);

    case 33:
      return split_130 (x1, insn);

    case 34:
      return split_129 (x1, insn);

    case 35:
      return split_128 (x1, insn);

    case 36:
      return split_127 (x1, insn);

    case 37:
      return split_126 (x1, insn);

    case 38:
      return split_125 (x1, insn);

    case 39:
      return split_124 (x1, insn);

    case 40:
      return split_123 (x1, insn);

    case 41:
      return split_122 (x1, insn);

    case 42:
      return split_121 (x1, insn);

    case 43:
      return split_120 (x1, insn);

    case 44:
      return split_119 (x1, insn);

    case 45:
      return split_118 (x1, insn);

    case 46:
      return split_117 (x1, insn);

    case 47:
      return split_116 (x1, insn);

    case 48:
      return split_115 (x1, insn);

    case 49:
      return split_114 (x1, insn);

    case 50:
      return split_113 (x1, insn);

    case 51:
      return split_112 (x1, insn);

    case 52:
      return split_111 (x1, insn);

    case 53:
      return split_110 (x1, insn);

    case 54:
      return split_109 (x1, insn);

    case 55:
      return split_108 (x1, insn);

    case 56:
      return split_107 (x1, insn);

    case 57:
      return split_106 (x1, insn);

    case 58:
      return split_105 (x1, insn);

    case 59:
      return split_104 (x1, insn);

    case 60:
      return split_103 (x1, insn);

    case 61:
      return split_102 (x1, insn);

    case 62:
      return split_101 (x1, insn);

    case 63:
      return split_100 (x1, insn);

    case 64:
      return split_99 (x1, insn);

    case 65:
      return split_98 (x1, insn);

    case 66:
      return split_97 (x1, insn);

    case 67:
      return split_96 (x1, insn);

    case 68:
      return split_95 (x1, insn);

    case 69:
      return split_94 (x1, insn);

    case 70:
      return split_93 (x1, insn);

    case 71:
      return split_92 (x1, insn);

    case 72:
      return split_91 (x1, insn);

    case 73:
      return split_90 (x1, insn);

    case 74:
      return split_89 (x1, insn);

    case 75:
      return split_88 (x1, insn);

    case 76:
      return split_87 (x1, insn);

    case 77:
      return split_86 (x1, insn);

    case 78:
      return split_85 (x1, insn);

    case 79:
      return split_84 (x1, insn);

    case 80:
      if (!(
#line 10172 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10174 "../../../gcc/config/aarch64/aarch64-sve.md"
( (operands[4] != CONST0_RTX (VNx16BImode)
       || operands[5] != CONST0_RTX (VNx16BImode)))))
        return NULL;
      return gen_split_2679 (insn, operands);

    case 81:
      if (!(
#line 10196 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 10198 "../../../gcc/config/aarch64/aarch64-sve.md"
( (operands[4] != CONST0_RTX (VNx16BImode)
       || operands[5] != CONST0_RTX (VNx16BImode)))))
        return NULL;
      return gen_split_2680 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_insns (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  rtx_insn *res ATTRIBUTE_UNUSED;
  recog_data.insn = NULL;
  if (GET_CODE (x1) != SET)
    return NULL;
  x2 = XEXP (x1, 1);
  switch (GET_CODE (x2))
    {
    case PLUS:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XEXP (x2, 0);
      operands[1] = x4;
      x5 = XEXP (x2, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (GET_MODE (x2) != E_SImode
              || !register_operand (operands[1], E_SImode))
            return NULL;
          if (register_operand (operands[0], E_SImode)
              && aarch64_pluslong_strict_immedate (operands[2], E_SImode)
              && 
#line 2526 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_move_imm (INTVAL (operands[2]), SImode)))
            {
              *pmatch_len_ = 0;
              res = gen_peephole2_1 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          if (peep2_current_count < 2)
            return NULL;
          x6 = PATTERN (peep2_next_insn (1));
          if (pattern851 (x6, 
E_SImode) != 0
              || !
#line 3629 "../../../gcc/config/aarch64/aarch64.md"
(!reg_overlap_mentioned_p (operands[0], operands[1])
   && INTVAL (operands[3]) == -INTVAL (operands[2])))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_8 (insn, operands);

        case E_DImode:
          if (GET_MODE (x2) != E_DImode
              || !register_operand (operands[1], E_DImode))
            return NULL;
          if (register_operand (operands[0], E_DImode)
              && aarch64_pluslong_strict_immedate (operands[2], E_DImode)
              && 
#line 2526 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_move_imm (INTVAL (operands[2]), DImode)))
            {
              *pmatch_len_ = 0;
              res = gen_peephole2_2 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          if (peep2_current_count < 2)
            return NULL;
          x6 = PATTERN (peep2_next_insn (1));
          if (pattern851 (x6, 
E_DImode) != 0
              || !
#line 3629 "../../../gcc/config/aarch64/aarch64.md"
(!reg_overlap_mentioned_p (operands[0], operands[1])
   && INTVAL (operands[3]) == -INTVAL (operands[2])))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_9 (insn, operands);

        default:
          return NULL;
        }

    case ZERO_EXTEND:
      if (GET_MODE (x2) != E_DImode)
        return NULL;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return NULL;
      x4 = XEXP (x2, 0);
      switch (GET_CODE (x4))
        {
        case PLUS:
          if (GET_MODE (x4) != E_SImode)
            return NULL;
          x7 = XEXP (x4, 0);
          operands[1] = x7;
          if (!register_operand (operands[1], E_SImode))
            return NULL;
          x8 = XEXP (x4, 1);
          operands[2] = x8;
          if (!aarch64_pluslong_strict_immedate (operands[2], E_SImode)
              || !
#line 2538 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_move_imm (INTVAL (operands[2]), SImode)))
            return NULL;
          *pmatch_len_ = 0;
          return gen_peephole2_3 (insn, operands);

        case SUBREG:
        case MEM:
          if (peep2_current_count < 2
              || pattern572 (x4, 
ZERO_EXTEND) != 0)
            return NULL;
          if (
#line 139 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_221 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          if (peep2_current_count < 3)
            return NULL;
          x9 = PATTERN (peep2_next_insn (2));
          if (pattern1218 (x9, 
ZERO_EXTEND) != 0
              || !
#line 244 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SImode)))
            return NULL;
          *pmatch_len_ = 3;
          return gen_peephole2_231 (insn, operands);

        default:
          return NULL;
        }

    case MINUS:
      if (peep2_current_count < 2)
        return NULL;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XEXP (x2, 0);
      operands[1] = x4;
      x5 = XEXP (x2, 1);
      operands[2] = x5;
      x6 = PATTERN (peep2_next_insn (1));
      if (GET_CODE (x6) != SET)
        return NULL;
      x10 = XEXP (x6, 1);
      if (GET_CODE (x10) != COMPARE
          || GET_MODE (x10) != E_CCmode)
        return NULL;
      x11 = XEXP (x6, 0);
      if (GET_CODE (x11) != REG
          || REGNO (x11) != 66
          || GET_MODE (x11) != E_CCmode)
        return NULL;
      x12 = XEXP (x10, 0);
      if (!rtx_equal_p (x12, operands[1]))
        return NULL;
      x13 = XEXP (x10, 1);
      if (!rtx_equal_p (x13, operands[2]))
        return NULL;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern1189 (x2, 
E_SImode) != 0
              || !
#line 3591 "../../../gcc/config/aarch64/aarch64.md"
(!reg_overlap_mentioned_p (operands[0], operands[1])
   && !reg_overlap_mentioned_p (operands[0], operands[2])))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_4 (insn, operands);

        case E_DImode:
          if (pattern1189 (x2, 
E_DImode) != 0
              || !
#line 3591 "../../../gcc/config/aarch64/aarch64.md"
(!reg_overlap_mentioned_p (operands[0], operands[1])
   && !reg_overlap_mentioned_p (operands[0], operands[2])))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_5 (insn, operands);

        default:
          return NULL;
        }

    case COMPARE:
      if (peep2_current_count < 2
          || pattern41 (x1) != 0)
        return NULL;
      x4 = XEXP (x2, 0);
      operands[1] = x4;
      x5 = XEXP (x2, 1);
      operands[2] = x5;
      if (aarch64_reg_or_zero (operands[2], E_SImode))
        {
          x6 = PATTERN (peep2_next_insn (1));
          if (pattern920 (x6, 
E_SImode) == 0)
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_6 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (aarch64_reg_or_zero (operands[2], E_DImode))
        {
          x6 = PATTERN (peep2_next_insn (1));
          if (pattern920 (x6, 
E_DImode) == 0)
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_7 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      operands[3] = x5;
      if (const_int_operand (operands[3], E_SImode))
        {
          x6 = PATTERN (peep2_next_insn (1));
          if (pattern921 (x6, 
E_SImode) == 0
              && 
#line 3650 "../../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[3]) == -INTVAL (operands[2])))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_10 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (!const_int_operand (operands[3], E_DImode))
        return NULL;
      x6 = PATTERN (peep2_next_insn (1));
      if (pattern921 (x6, 
E_DImode) != 0
          || !
#line 3650 "../../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[3]) == -INTVAL (operands[2])))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_11 (insn, operands);

    case CONST_INT:
    case CONST_DOUBLE:
    case REG:
    case SUBREG:
    case MEM:
      return peephole2_12 (x1, insn, pmatch_len_);

    case SIGN_EXTEND:
      if (peep2_current_count < 2
          || GET_MODE (x2) != E_DImode)
        return NULL;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return NULL;
      x4 = XEXP (x2, 0);
      if (pattern572 (x4, 
SIGN_EXTEND) != 0)
        return NULL;
      if (
#line 127 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
        {
          *pmatch_len_ = 1;
          res = gen_peephole2_220 (insn, operands);
          if (res != NULL_RTX)
            return res;
        }
      if (peep2_current_count < 3)
        return NULL;
      x9 = PATTERN (peep2_next_insn (2));
      if (pattern1218 (x9, 
SIGN_EXTEND) != 0
          || !
#line 224 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SImode)))
        return NULL;
      *pmatch_len_ = 3;
      return gen_peephole2_230 (insn, operands);

    default:
      return NULL;
    }
}
