/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern7 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  switch (GET_MODE (x2))
    {
    case E_HFmode:
      if (!register_operand (operands[1], E_HFmode))
        return -1;
      return 0;

    case E_SFmode:
      if (!register_operand (operands[1], E_SFmode))
        return -1;
      return 1;

    case E_DFmode:
      if (!register_operand (operands[1], E_DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern15 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  if (!register_operand (operands[2], E_SImode))
    return -1;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  if (!const_int_operand (operands[3], E_VOIDmode))
    return -1;
  return pattern2 (x1); /* [-1, 1] */
}

int
pattern18 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  switch (GET_CODE (x5))
    {
    case SUBREG:
    case TRUNCATE:
      return pattern17 (x3); /* [-1, 1] */

    case MINUS:
      res = pattern4 (x3);
      if (res >= 0)
        return res + 2; /* [2, 3] */
      return -1;

    case REG:
      operands[2] = x5;
      if (!aarch64_simd_register (operands[2], E_QImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_DImode:
          if (!aarch64_simd_register (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || !aarch64_simd_register (operands[1], E_DImode))
            return -1;
          return 4;

        case E_SImode:
          if (!aarch64_simd_register (operands[0], E_SImode)
              || GET_MODE (x3) != E_SImode
              || !aarch64_simd_register (operands[1], E_SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern26 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_SImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x2) != E_DImode)
    return -1;
  x5 = XEXP (x3, 0);
  operands[1] = x5;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x6 = XEXP (x3, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern31 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern35 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      return pattern34 (x1, 
E_VNx16QImode, 
E_VNx32QImode); /* [-1, 0] */

    case E_VNx16HImode:
      if (pattern34 (x1, 
E_VNx8HImode, 
E_VNx16HImode) != 0)
        return -1;
      return 1;

    case E_VNx8SImode:
      if (pattern34 (x1, 
E_VNx4SImode, 
E_VNx8SImode) != 0)
        return -1;
      return 2;

    case E_VNx4DImode:
      if (pattern34 (x1, 
E_VNx2DImode, 
E_VNx4DImode) != 0)
        return -1;
      return 3;

    case E_VNx64QImode:
      if (pattern34 (x1, 
E_VNx16QImode, 
E_VNx64QImode) != 0)
        return -1;
      return 4;

    case E_VNx32HImode:
      if (pattern34 (x1, 
E_VNx8HImode, 
E_VNx32HImode) != 0)
        return -1;
      return 5;

    case E_VNx16SImode:
      if (pattern34 (x1, 
E_VNx4SImode, 
E_VNx16SImode) != 0)
        return -1;
      return 6;

    case E_VNx8DImode:
      if (pattern34 (x1, 
E_VNx2DImode, 
E_VNx8DImode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern48 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case NE:
    case EQ:
    case GE:
    case GT:
    case LE:
    case LT:
    case GEU:
    case GTU:
    case LEU:
    case LTU:
    case UNORDERED:
    case ORDERED:
    case UNGE:
    case UNGT:
    case UNLE:
    case UNLT:
      operands[1] = x3;
      x4 = XEXP (x3, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x5 = XEXP (x3, 0);
      operands[2] = x5;
      if (!cc_register (operands[2], E_VOIDmode))
        return -1;
      x6 = XEXP (x1, 1);
      operands[3] = x6;
      if (!register_operand (operands[3], E_VOIDmode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          return pattern47 (x1, 
E_SImode); /* [-1, 0] */

        case E_DImode:
          if (pattern47 (x1, 
E_DImode) != 0)
            return -1;
          return 1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern61 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != XOR)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XEXP (x3, 0);
  operands[1] = x5;
  x6 = XEXP (x3, 1);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern60 (x2, 
E_V16QImode); /* [-1, 0] */

    case E_VNx16QImode:
      if (pattern60 (x2, 
E_VNx16QImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern64 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x1) != E_VNx8HImode
          || !register_operand (operands[1], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 1;

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode
          || !register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern72 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], i1))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern78 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BFmode:
      return pattern77 (x1, 
E_VNx8BFmode, 
E_VNx16BFmode); /* [-1, 0] */

    case E_VNx32BFmode:
      if (pattern77 (x1, 
E_VNx8BFmode, 
E_VNx32BFmode) != 0)
        return -1;
      return 1;

    case E_VNx16HFmode:
      if (pattern77 (x1, 
E_VNx8HFmode, 
E_VNx16HFmode) != 0)
        return -1;
      return 2;

    case E_VNx8SFmode:
      if (pattern77 (x1, 
E_VNx4SFmode, 
E_VNx8SFmode) != 0)
        return -1;
      return 3;

    case E_VNx4DFmode:
      if (pattern77 (x1, 
E_VNx2DFmode, 
E_VNx4DFmode) != 0)
        return -1;
      return 4;

    case E_VNx32HFmode:
      if (pattern77 (x1, 
E_VNx8HFmode, 
E_VNx32HFmode) != 0)
        return -1;
      return 5;

    case E_VNx16SFmode:
      if (pattern77 (x1, 
E_VNx4SFmode, 
E_VNx16SFmode) != 0)
        return -1;
      return 6;

    case E_VNx8DFmode:
      if (pattern77 (x1, 
E_VNx2DFmode, 
E_VNx8DFmode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern90 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      return pattern75 (x3, 
E_V4HFmode); /* [-1, 0] */

    case E_V8HFmode:
      if (pattern75 (x3, 
E_V8HFmode) != 0)
        return -1;
      return 1;

    case E_V2SFmode:
      if (pattern75 (x3, 
E_V2SFmode) != 0)
        return -1;
      return 2;

    case E_V4SFmode:
      if (pattern75 (x3, 
E_V4SFmode) != 0)
        return -1;
      return 3;

    case E_V2DFmode:
      if (pattern75 (x3, 
E_V2DFmode) != 0)
        return -1;
      return 4;

    case E_HFmode:
      if (pattern88 (x3, 
E_VNx8HFmode, 
E_VNx8BImode, 
E_HFmode) != 0)
        return -1;
      return 5;

    case E_SFmode:
      if (pattern88 (x3, 
E_VNx4SFmode, 
E_VNx4BImode, 
E_SFmode) != 0)
        return -1;
      return 6;

    case E_DFmode:
      if (pattern88 (x3, 
E_VNx2DFmode, 
E_VNx2BImode, 
E_DFmode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern101 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_shift_imm_di (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern107 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 84
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[1] = x5;
      if (!register_operand (operands[1], E_V8QImode))
        return -1;
      return pattern106 (x2); /* [-1, 1] */

    case VEC_SELECT:
      if (GET_MODE (x5) != E_V8QImode)
        return -1;
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      if (!register_operand (operands[1], E_V16QImode))
        return -1;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      if (!vect_par_cnst_hi_half (operands[2], E_V16QImode))
        return -1;
      res = pattern106 (x2);
      if (res >= 0)
        return res + 2; /* [2, 3] */
      return -1;

    default:
      return -1;
    }
}

int
pattern115 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern88 (x3, 
E_VNx16QImode, 
E_VNx16BImode, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern88 (x3, 
E_VNx8HImode, 
E_VNx8BImode, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern88 (x3, 
E_VNx4SImode, 
E_VNx4BImode, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern88 (x3, 
E_VNx2DImode, 
E_VNx2BImode, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern121 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  return pattern120 (x3); /* [-1, 2] */
}

int
pattern124 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!const_int_operand (operands[2], E_DImode))
    return -1;
  return pattern64 (x3); /* [-1, 2] */
}

int
pattern128 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!const_int_operand (operands[2], E_DImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_VNx8SImode:
          if (!register_operand (operands[1], E_VNx8SImode))
            return -1;
          return 0;

        case E_VNx8DImode:
          if (!register_operand (operands[1], E_VNx8DImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x3) != E_VNx16QImode
          || !register_operand (operands[1], E_VNx16SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern143 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_MODE (x2) != E_HImode)
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V4HImode:
      if (!register_operand (operands[3], E_V4HImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[3], E_V8HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern153 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_offset_qi (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern161 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern165 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 2
      || XINT (x3, 1) != 168)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 0);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 1);
  operands[3] = x7;
  if (!const_int_operand (operands[3], E_SImode))
    return -1;
  x8 = XVECEXP (x2, 0, 2);
  operands[4] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern163 (x2, 
E_VNx8HFmode); /* [-1, 0] */

    case E_VNx4SFmode:
      if (pattern163 (x2, 
E_VNx4SFmode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern177 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern180 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      return pattern179 (x3, 
E_VNx32QImode); /* [-1, 0] */

    case E_VNx16HImode:
      if (pattern179 (x3, 
E_VNx16HImode) != 0)
        return -1;
      return 1;

    case E_VNx8SImode:
      if (pattern179 (x3, 
E_VNx8SImode) != 0)
        return -1;
      return 2;

    case E_VNx4DImode:
      if (pattern179 (x3, 
E_VNx4DImode) != 0)
        return -1;
      return 3;

    case E_VNx16BFmode:
      if (pattern179 (x3, 
E_VNx16BFmode) != 0)
        return -1;
      return 4;

    case E_VNx16HFmode:
      if (pattern179 (x3, 
E_VNx16HFmode) != 0)
        return -1;
      return 5;

    case E_VNx8SFmode:
      if (pattern179 (x3, 
E_VNx8SFmode) != 0)
        return -1;
      return 6;

    case E_VNx4DFmode:
      if (pattern179 (x3, 
E_VNx4DFmode) != 0)
        return -1;
      return 7;

    case E_VNx64QImode:
      if (pattern179 (x3, 
E_VNx64QImode) != 0)
        return -1;
      return 8;

    case E_VNx32HImode:
      if (pattern179 (x3, 
E_VNx32HImode) != 0)
        return -1;
      return 9;

    case E_VNx16SImode:
      if (pattern179 (x3, 
E_VNx16SImode) != 0)
        return -1;
      return 10;

    case E_VNx8DImode:
      if (pattern179 (x3, 
E_VNx8DImode) != 0)
        return -1;
      return 11;

    case E_VNx32BFmode:
      if (pattern179 (x3, 
E_VNx32BFmode) != 0)
        return -1;
      return 12;

    case E_VNx32HFmode:
      if (pattern179 (x3, 
E_VNx32HFmode) != 0)
        return -1;
      return 13;

    case E_VNx16SFmode:
      if (pattern179 (x3, 
E_VNx16SFmode) != 0)
        return -1;
      return 14;

    case E_VNx8DFmode:
      if (pattern179 (x3, 
E_VNx8DFmode) != 0)
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern201 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern204 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  operands[2] = x2;
  x3 = XVECEXP (x1, 0, 3);
  operands[3] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      return pattern203 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4SFmode:
      if (pattern203 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2DFmode:
      if (pattern203 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    case E_VNx8BFmode:
      if (pattern201 (x1, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern214 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_register (operands[2], i1)
      || !aarch64_simd_register (operands[3], i1))
    return -1;
  return 0;
}

int
pattern219 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      if (!aligned_register_operand (operands[0], E_VNx32QImode)
          || GET_MODE (x1) != E_VNx32QImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx32QImode)
        return -1;
      return 0;

    case E_VNx16HImode:
      if (!aligned_register_operand (operands[0], E_VNx16HImode)
          || GET_MODE (x1) != E_VNx16HImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx16HImode)
        return -1;
      return 1;

    case E_VNx8SImode:
      if (!aligned_register_operand (operands[0], E_VNx8SImode)
          || GET_MODE (x1) != E_VNx8SImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx8SImode)
        return -1;
      return 2;

    case E_VNx4DImode:
      if (!aligned_register_operand (operands[0], E_VNx4DImode)
          || GET_MODE (x1) != E_VNx4DImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx4DImode)
        return -1;
      return 3;

    case E_VNx16BFmode:
      if (!aligned_register_operand (operands[0], E_VNx16BFmode)
          || GET_MODE (x1) != E_VNx16BFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx16BFmode)
        return -1;
      return 4;

    case E_VNx16HFmode:
      if (!aligned_register_operand (operands[0], E_VNx16HFmode)
          || GET_MODE (x1) != E_VNx16HFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx16HFmode)
        return -1;
      return 5;

    case E_VNx8SFmode:
      if (!aligned_register_operand (operands[0], E_VNx8SFmode)
          || GET_MODE (x1) != E_VNx8SFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx8SFmode)
        return -1;
      return 6;

    case E_VNx4DFmode:
      if (!aligned_register_operand (operands[0], E_VNx4DFmode)
          || GET_MODE (x1) != E_VNx4DFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx4DFmode)
        return -1;
      return 7;

    case E_VNx64QImode:
      if (!aligned_register_operand (operands[0], E_VNx64QImode)
          || GET_MODE (x1) != E_VNx64QImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx64QImode)
        return -1;
      return 8;

    case E_VNx32HImode:
      if (!aligned_register_operand (operands[0], E_VNx32HImode)
          || GET_MODE (x1) != E_VNx32HImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx32HImode)
        return -1;
      return 9;

    case E_VNx16SImode:
      if (!aligned_register_operand (operands[0], E_VNx16SImode)
          || GET_MODE (x1) != E_VNx16SImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx16SImode)
        return -1;
      return 10;

    case E_VNx8DImode:
      if (!aligned_register_operand (operands[0], E_VNx8DImode)
          || GET_MODE (x1) != E_VNx8DImode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx8DImode)
        return -1;
      return 11;

    case E_VNx32BFmode:
      if (!aligned_register_operand (operands[0], E_VNx32BFmode)
          || GET_MODE (x1) != E_VNx32BFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx32BFmode)
        return -1;
      return 12;

    case E_VNx32HFmode:
      if (!aligned_register_operand (operands[0], E_VNx32HFmode)
          || GET_MODE (x1) != E_VNx32HFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx32HFmode)
        return -1;
      return 13;

    case E_VNx16SFmode:
      if (!aligned_register_operand (operands[0], E_VNx16SFmode)
          || GET_MODE (x1) != E_VNx16SFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx16SFmode)
        return -1;
      return 14;

    case E_VNx8DFmode:
      if (!aligned_register_operand (operands[0], E_VNx8DFmode)
          || GET_MODE (x1) != E_VNx8DFmode)
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      if (GET_MODE (x2) != E_VNx8DFmode)
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern247 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[0] = x6;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x7 = XVECEXP (x2, 0, 3);
      operands[1] = x7;
      x8 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[2] = x8;
          switch (GET_MODE (x5))
            {
            case E_VNx4SImode:
              if (GET_MODE (x2) != E_VNx4SImode
                  || GET_MODE (x3) != E_VNx4SImode)
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_VNx16QImode:
                  if (!register_operand (operands[1], E_VNx16QImode)
                      || !register_operand (operands[2], E_VNx16QImode))
                    return -1;
                  return 0;

                case E_VNx8HImode:
                  if (!register_operand (operands[1], E_VNx8HImode)
                      || !register_operand (operands[2], E_VNx8HImode))
                    return -1;
                  return 1;

                case E_VNx32QImode:
                  if (!aligned_register_operand (operands[1], E_VNx32QImode)
                      || !aligned_register_operand (operands[2], E_VNx32QImode))
                    return -1;
                  return 2;

                case E_VNx64QImode:
                  if (!aligned_register_operand (operands[1], E_VNx64QImode)
                      || !aligned_register_operand (operands[2], E_VNx64QImode))
                    return -1;
                  return 3;

                case E_VNx16HImode:
                  if (!aligned_register_operand (operands[1], E_VNx16HImode)
                      || !aligned_register_operand (operands[2], E_VNx16HImode))
                    return -1;
                  return 4;

                case E_VNx32HImode:
                  if (!aligned_register_operand (operands[1], E_VNx32HImode)
                      || !aligned_register_operand (operands[2], E_VNx32HImode))
                    return -1;
                  return 5;

                default:
                  return -1;
                }

            case E_VNx2DImode:
              if (GET_MODE (x2) != E_VNx2DImode
                  || GET_MODE (x3) != E_VNx2DImode)
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_VNx8HImode:
                  if (!register_operand (operands[1], E_VNx8HImode)
                      || !register_operand (operands[2], E_VNx8HImode))
                    return -1;
                  return 6;

                case E_VNx16HImode:
                  if (!aligned_register_operand (operands[1], E_VNx16HImode)
                      || !aligned_register_operand (operands[2], E_VNx16HImode))
                    return -1;
                  return 7;

                case E_VNx32HImode:
                  if (!aligned_register_operand (operands[1], E_VNx32HImode)
                      || !aligned_register_operand (operands[2], E_VNx32HImode))
                    return -1;
                  return 8;

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          operands[2] = x9;
          switch (GET_MODE (x5))
            {
            case E_VNx4SImode:
              res = pattern237 (x2, 
E_VNx4SImode);
              if (res >= 0)
                return res + 9; /* [9, 12] */
              return -1;

            case E_VNx2DImode:
              if (GET_MODE (x2) != E_VNx2DImode
                  || GET_MODE (x3) != E_VNx2DImode
                  || !register_operand (operands[2], E_VNx8HImode))
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_VNx16HImode:
                  if (!register_operand (operands[1], E_VNx16HImode)
                      || GET_MODE (x8) != E_VNx16HImode)
                    return -1;
                  return 13;

                case E_VNx32HImode:
                  if (!register_operand (operands[1], E_VNx32HImode)
                      || GET_MODE (x8) != E_VNx32HImode)
                    return -1;
                  return 14;

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x8, 0) != 2
              || XINT (x8, 1) != 168)
            return -1;
          x10 = XVECEXP (x8, 0, 0);
          operands[2] = x10;
          x11 = XVECEXP (x8, 0, 1);
          operands[3] = x11;
          if (!const_int_operand (operands[3], E_SImode))
            return -1;
          switch (GET_MODE (x5))
            {
            case E_VNx4SImode:
              if (GET_MODE (x2) != E_VNx4SImode
                  || GET_MODE (x3) != E_VNx4SImode)
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_VNx16QImode:
                  if (!register_operand (operands[1], E_VNx16QImode)
                      || GET_MODE (x8) != E_VNx16QImode
                      || !register_operand (operands[2], E_VNx16QImode))
                    return -1;
                  return 15;

                case E_VNx32QImode:
                  if (!aligned_register_operand (operands[1], E_VNx32QImode)
                      || GET_MODE (x8) != E_VNx32QImode
                      || !register_operand (operands[2], E_VNx16QImode))
                    return -1;
                  return 16;

                case E_VNx64QImode:
                  if (!aligned_register_operand (operands[1], E_VNx64QImode)
                      || GET_MODE (x8) != E_VNx64QImode
                      || !register_operand (operands[2], E_VNx16QImode))
                    return -1;
                  return 17;

                case E_VNx8HImode:
                  if (!register_operand (operands[1], E_VNx8HImode)
                      || GET_MODE (x8) != E_VNx8HImode
                      || !register_operand (operands[2], E_VNx8HImode))
                    return -1;
                  return 18;

                case E_VNx16HImode:
                  if (!aligned_register_operand (operands[1], E_VNx16HImode)
                      || GET_MODE (x8) != E_VNx16HImode
                      || !register_operand (operands[2], E_VNx8HImode))
                    return -1;
                  return 19;

                case E_VNx32HImode:
                  if (!aligned_register_operand (operands[1], E_VNx32HImode)
                      || GET_MODE (x8) != E_VNx32HImode
                      || !register_operand (operands[2], E_VNx8HImode))
                    return -1;
                  return 20;

                default:
                  return -1;
                }

            case E_VNx2DImode:
              if (GET_MODE (x2) != E_VNx2DImode
                  || GET_MODE (x3) != E_VNx2DImode
                  || !register_operand (operands[2], E_VNx8HImode))
                return -1;
              switch (GET_MODE (operands[1]))
                {
                case E_VNx8HImode:
                  if (!register_operand (operands[1], E_VNx8HImode)
                      || GET_MODE (x8) != E_VNx8HImode)
                    return -1;
                  return 21;

                case E_VNx16HImode:
                  if (!aligned_register_operand (operands[1], E_VNx16HImode)
                      || GET_MODE (x8) != E_VNx16HImode)
                    return -1;
                  return 22;

                case E_VNx32HImode:
                  if (!aligned_register_operand (operands[1], E_VNx32HImode)
                      || GET_MODE (x8) != E_VNx32HImode)
                    return -1;
                  return 23;

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x6) != E_SImode)
        return -1;
      x12 = XEXP (x6, 0);
      operands[0] = x12;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x13 = XEXP (x6, 1);
      operands[1] = x13;
      x7 = XVECEXP (x2, 0, 3);
      operands[2] = x7;
      x8 = XVECEXP (x2, 0, 4);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[3] = x8;
          switch (GET_MODE (x5))
            {
            case E_VNx4SImode:
              if (GET_MODE (x2) != E_VNx4SImode
                  || GET_MODE (x3) != E_VNx4SImode)
                return -1;
              return 24;

            case E_VNx2DImode:
              if (GET_MODE (x2) != E_VNx2DImode
                  || GET_MODE (x3) != E_VNx2DImode)
                return -1;
              return 25;

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          operands[3] = x9;
          switch (GET_MODE (x5))
            {
            case E_VNx4SImode:
              if (GET_MODE (x2) != E_VNx4SImode
                  || GET_MODE (x3) != E_VNx4SImode)
                return -1;
              return 26;

            case E_VNx2DImode:
              if (GET_MODE (x2) != E_VNx2DImode
                  || GET_MODE (x3) != E_VNx2DImode
                  || !const_0_to_4_step_4_operand (operands[1], E_SImode))
                return -1;
              res = pattern246 (x8);
              if (res >= 0)
                return res + 27; /* [27, 28] */
              return -1;

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x8, 0) != 2
              || XINT (x8, 1) != 168)
            return -1;
          x10 = XVECEXP (x8, 0, 0);
          operands[3] = x10;
          x11 = XVECEXP (x8, 0, 1);
          operands[4] = x11;
          if (!const_int_operand (operands[4], E_SImode))
            return -1;
          switch (GET_MODE (x5))
            {
            case E_VNx4SImode:
              if (GET_MODE (x2) != E_VNx4SImode
                  || GET_MODE (x3) != E_VNx4SImode)
                return -1;
              return 29;

            case E_VNx2DImode:
              if (GET_MODE (x2) != E_VNx2DImode
                  || GET_MODE (x3) != E_VNx2DImode
                  || !register_operand (operands[3], E_VNx8HImode))
                return -1;
              return 30;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern338 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  x4 = XEXP (x2, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_CODE (operands[2]))
        {
        case CONST_INT:
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (!register_operand (operands[0], E_QImode)
                  || GET_MODE (x1) != E_QImode
                  || GET_MODE (x2) != E_HImode
                  || !register_operand (operands[1], E_HImode)
                  || !aarch64_simd_shift_imm_offset_hi (operands[2], E_SImode))
                return -1;
              return 0;

            case E_HImode:
              if (pattern333 (x1, 
E_SImode, 
E_HImode) != 0)
                return -1;
              return 1;

            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || GET_MODE (x1) != E_SImode
                  || GET_MODE (x2) != E_DImode
                  || !register_operand (operands[1], E_DImode)
                  || !aarch64_simd_shift_imm_offset_di (operands[2], E_SImode))
                return -1;
              return 2;

            default:
              return -1;
            }

        case CONST_VECTOR:
          res = pattern334 (x1);
          if (res >= 0)
            return res + 3; /* [3, 5] */
          return -1;

        default:
          return -1;
        }

    case PLUS:
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != i1)
        return -1;
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      x7 = XEXP (x4, 1);
      operands[3] = x7;
      switch (GET_CODE (operands[2]))
        {
        case CONST_VECTOR:
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (!register_operand (operands[0], E_V8QImode)
                  || GET_MODE (x1) != E_V8QImode
                  || GET_MODE (x2) != E_V8SImode
                  || pattern335 (x4, 
E_V8HImode, 
E_V8SImode) != 0)
                return -1;
              return 6;

            case E_V4HImode:
              if (!register_operand (operands[0], E_V4HImode)
                  || GET_MODE (x1) != E_V4HImode
                  || GET_MODE (x2) != E_V4DImode
                  || pattern336 (x4, 
E_V4SImode, 
E_V4DImode) != 0)
                return -1;
              return 7;

            case E_V2SImode:
              if (!register_operand (operands[0], E_V2SImode)
                  || GET_MODE (x1) != E_V2SImode
                  || GET_MODE (x2) != E_V2TImode
                  || pattern337 (x4, 
E_V2DImode, 
E_V2TImode) != 0)
                return -1;
              return 8;

            default:
              return -1;
            }

        case CONST_INT:
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (!register_operand (operands[0], E_QImode)
                  || GET_MODE (x1) != E_QImode
                  || GET_MODE (x2) != E_SImode
                  || GET_MODE (x4) != E_SImode
                  || GET_MODE (x5) != E_SImode
                  || !register_operand (operands[1], E_HImode)
                  || !aarch64_int_rnd_operand (operands[3], E_SImode)
                  || !aarch64_simd_shift_imm_offset_hi (operands[2], E_SImode))
                return -1;
              return 9;

            case E_HImode:
              if (!register_operand (operands[0], E_HImode)
                  || GET_MODE (x1) != E_HImode
                  || GET_MODE (x2) != E_DImode
                  || GET_MODE (x4) != E_DImode
                  || GET_MODE (x5) != E_DImode
                  || !register_operand (operands[1], E_SImode)
                  || !aarch64_int_rnd_operand (operands[3], E_DImode)
                  || !aarch64_simd_shift_imm_offset_si (operands[2], E_SImode))
                return -1;
              return 10;

            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || GET_MODE (x1) != E_SImode
                  || GET_MODE (x2) != E_TImode
                  || GET_MODE (x4) != E_TImode
                  || GET_MODE (x5) != E_TImode
                  || !register_operand (operands[1], E_DImode)
                  || !aarch64_int_rnd_operand (operands[3], E_TImode)
                  || !aarch64_simd_shift_imm_offset_di (operands[2], E_SImode))
                return -1;
              return 11;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern382 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_CC_SWPmode)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != E_CC_SWPmode)
    return -1;
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[0] = x5;
  x6 = XEXP (x4, 1);
  operands[1] = x6;
  x7 = XEXP (x3, 1);
  operands[2] = x7;
  return pattern381 (x4); /* [-1, 1] */
}

int
pattern386 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i3)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern391 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern394 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_CODE (x4) != i1
      || GET_MODE (x4) != E_DImode
      || !register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode
      || GET_MODE (x2) != E_DImode)
    return -1;
  x5 = XEXP (x3, 0);
  operands[1] = x5;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x6 = XEXP (x4, 0);
  operands[2] = x6;
  if (!register_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern397 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (XVECLEN (x3, 0) != 2
      || XINT (x3, 1) != 125)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != NOT)
    return -1;
  x5 = XVECEXP (x3, 0, 0);
  operands[4] = x5;
  x6 = XEXP (x4, 0);
  switch (GET_CODE (x6))
    {
    case REG:
    case SUBREG:
      operands[3] = x6;
      x7 = XEXP (x2, 1);
      operands[2] = x7;
      x8 = XEXP (x1, 1);
      operands[1] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern395 (x1, 
E_VNx16QImode); /* [-1, 0] */

        case E_VNx8HImode:
          if (pattern395 (x1, 
E_VNx8HImode) != 0)
            return -1;
          return 1;

        case E_VNx4SImode:
          if (pattern395 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 2;

        case E_VNx2DImode:
          if (pattern395 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case XOR:
      x9 = XEXP (x6, 0);
      operands[1] = x9;
      x10 = XEXP (x6, 1);
      operands[2] = x10;
      x7 = XEXP (x2, 1);
      operands[3] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern396 (x1, 
E_VNx16QImode) != 0)
            return -1;
          return 4;

        case E_VNx8HImode:
          if (pattern396 (x1, 
E_VNx8HImode) != 0)
            return -1;
          return 5;

        case E_VNx4SImode:
          if (pattern396 (x1, 
E_VNx4SImode) != 0)
            return -1;
          return 6;

        case E_VNx2DImode:
          if (pattern396 (x1, 
E_VNx2DImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern411 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[2] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern410 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern410 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern410 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern416 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[2] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern410 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern410 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern410 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern410 (x1, 
E_DImode, 
E_V2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern425 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[3] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[1] = x5;
  x6 = XEXP (x4, 1);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x1) != E_V16QImode
          || GET_MODE (x3) != E_V8QImode
          || GET_MODE (x4) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode)
          || !aarch64_simd_shift_imm_vec_qi (operands[2], E_V8HImode)
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V8QImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode
          || GET_MODE (x3) != E_V4HImode
          || GET_MODE (x4) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !aarch64_simd_shift_imm_vec_hi (operands[2], E_V4SImode)
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V4HImode))
        return -1;
      return 1;

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode
          || GET_MODE (x3) != E_V2SImode
          || GET_MODE (x4) != E_V2DImode
          || !register_operand (operands[1], E_V2DImode)
          || !aarch64_simd_shift_imm_vec_si (operands[2], E_V2DImode)
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V2SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern438 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_sve_arith_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern443 (rtx x1, int i1, int i2, rtx_code i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != i3
      || XVECLEN (x2, 0) != i2
      || XINT (x2, 1) != i1)
    return -1;
  return 0;
}

int
pattern446 (rtx x1, unsigned int i1, rtx_code i2, unsigned int i3, machine_mode i4, unsigned int i5)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != i5
      || GET_MODE (x3) != i4)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != i3
      || GET_MODE (x5) != E_DImode)
    return -1;
  x6 = XVECEXP (x1, 0, 2);
  return pattern367 (x6, 
i1, 
i2, 
E_DImode); /* [-1, 0] */
}

int
pattern451 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_lshift_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern454 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || pattern206 (x1, 
i1, 
i2) != 0)
    return -1;
  return 0;
}

int
pattern458 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i3)
      || !vect_par_cnst_select_half (operands[2], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !vect_par_cnst_select_half (operands[3], i1))
    return -1;
  return 0;
}

int
pattern463 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  operands[2] = x2;
  x3 = XVECEXP (x1, 0, 0);
  operands[1] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern461 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern461 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern461 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern461 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern461 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern461 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern461 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern461 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern461 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern461 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    case E_VNx8HFmode:
      if (pattern461 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 10;

    case E_VNx4HFmode:
      if (pattern461 (x1, 
E_VNx4HFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 11;

    case E_VNx2HFmode:
      if (pattern461 (x1, 
E_VNx2HFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 12;

    case E_VNx8BFmode:
      if (pattern461 (x1, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 13;

    case E_VNx4BFmode:
      if (pattern461 (x1, 
E_VNx4BFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 14;

    case E_VNx2BFmode:
      if (pattern461 (x1, 
E_VNx2BFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 15;

    case E_VNx4SFmode:
      if (pattern461 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 16;

    case E_VNx2SFmode:
      if (pattern461 (x1, 
E_VNx2SFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 17;

    case E_VNx2DFmode:
      if (pattern461 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 18;

    case E_VNx32QImode:
      if (pattern462 (x1, 
E_VNx32QImode, 
E_VNx16BImode) != 0)
        return -1;
      return 19;

    case E_VNx16HImode:
      if (pattern462 (x1, 
E_VNx16HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 20;

    case E_VNx8SImode:
      if (pattern462 (x1, 
E_VNx8SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 21;

    case E_VNx4DImode:
      if (pattern462 (x1, 
E_VNx4DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 22;

    case E_VNx16BFmode:
      if (pattern462 (x1, 
E_VNx16BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 23;

    case E_VNx16HFmode:
      if (pattern462 (x1, 
E_VNx16HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 24;

    case E_VNx8SFmode:
      if (pattern462 (x1, 
E_VNx8SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 25;

    case E_VNx4DFmode:
      if (pattern462 (x1, 
E_VNx4DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 26;

    case E_VNx48QImode:
      if (pattern462 (x1, 
E_VNx48QImode, 
E_VNx16BImode) != 0)
        return -1;
      return 27;

    case E_VNx24HImode:
      if (pattern462 (x1, 
E_VNx24HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 28;

    case E_VNx12SImode:
      if (pattern462 (x1, 
E_VNx12SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 29;

    case E_VNx6DImode:
      if (pattern462 (x1, 
E_VNx6DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 30;

    case E_VNx24BFmode:
      if (pattern462 (x1, 
E_VNx24BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 31;

    case E_VNx24HFmode:
      if (pattern462 (x1, 
E_VNx24HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 32;

    case E_VNx12SFmode:
      if (pattern462 (x1, 
E_VNx12SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 33;

    case E_VNx6DFmode:
      if (pattern462 (x1, 
E_VNx6DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 34;

    case E_VNx64QImode:
      if (pattern462 (x1, 
E_VNx64QImode, 
E_VNx16BImode) != 0)
        return -1;
      return 35;

    case E_VNx32HImode:
      if (pattern462 (x1, 
E_VNx32HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 36;

    case E_VNx16SImode:
      if (pattern462 (x1, 
E_VNx16SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 37;

    case E_VNx8DImode:
      if (pattern462 (x1, 
E_VNx8DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 38;

    case E_VNx32BFmode:
      if (pattern462 (x1, 
E_VNx32BFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 39;

    case E_VNx32HFmode:
      if (pattern462 (x1, 
E_VNx32HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 40;

    case E_VNx16SFmode:
      if (pattern462 (x1, 
E_VNx16SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 41;

    case E_VNx8DFmode:
      if (pattern462 (x1, 
E_VNx8DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 42;

    default:
      return -1;
    }
}

int
pattern519 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  return 0;
}

int
pattern525 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern529 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x1) != E_V16QImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V8QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V8QImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V8HImode
          || !register_operand (operands[1], E_V8HImode)
          || !aarch64_simd_shift_imm_vec_qi (operands[2], E_V8HImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V4HImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !aarch64_simd_shift_imm_vec_hi (operands[2], E_V4SImode))
        return -1;
      return 1;

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode
          || !aarch64_simd_or_scalar_imm_zero (operands[3], E_V2SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_V2SImode)
        return -1;
      x3 = XEXP (x2, 0);
      if (GET_MODE (x3) != E_V2DImode
          || !register_operand (operands[1], E_V2DImode)
          || !aarch64_simd_shift_imm_vec_si (operands[2], E_V2DImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern554 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x2) != CLOBBER)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 66
      || GET_MODE (x3) != E_CCmode)
    return -1;
  x4 = XVECEXP (x1, 0, 0);
  x5 = XEXP (x4, 1);
  x6 = XEXP (x5, 0);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x6, 1);
  operands[2] = x8;
  x9 = XEXP (x5, 1);
  operands[3] = x9;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern553 (x5, 
E_SImode); /* [-1, 0] */

    case E_DImode:
      if (pattern553 (x5, 
E_DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern565 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  switch (XVECLEN (x3, 0))
    {
    case 1:
      if (XINT (x3, 1) != 27
          || GET_MODE (x3) != E_CCmode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x5 = XEXP (x2, 0);
      if (GET_CODE (x5) != REG
          || REGNO (x5) != 66
          || GET_MODE (x5) != E_CCmode)
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x6) != SET)
        return -1;
      x7 = XVECEXP (x1, 0, 2);
      if (GET_CODE (x7) != SET)
        return -1;
      x8 = XEXP (x7, 1);
      if (GET_CODE (x8) != UNSPEC_VOLATILE
          || XVECLEN (x8, 0) != 5
          || XINT (x8, 1) != 27)
        return -1;
      x9 = XEXP (x6, 0);
      operands[0] = x9;
      x10 = XVECEXP (x8, 0, 0);
      operands[2] = x10;
      x11 = XVECEXP (x8, 0, 1);
      operands[3] = x11;
      x12 = XVECEXP (x8, 0, 2);
      operands[4] = x12;
      if (!const_int_operand (operands[4], E_SImode))
        return -1;
      x13 = XVECEXP (x8, 0, 3);
      operands[5] = x13;
      if (!const_int_operand (operands[5], E_SImode))
        return -1;
      x14 = XVECEXP (x8, 0, 4);
      operands[6] = x14;
      if (!const_int_operand (operands[6], E_SImode))
        return -1;
      x15 = XVECEXP (x1, 0, 3);
      x16 = XEXP (x15, 0);
      operands[7] = x16;
      return pattern559 (x1); /* [-1, 4] */

    case 2:
      if (XINT (x3, 1) != 31)
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x6) != CLOBBER)
        return -1;
      x9 = XEXP (x6, 0);
      if (GET_CODE (x9) != REG
          || REGNO (x9) != 66
          || GET_MODE (x9) != E_CCmode)
        return -1;
      x7 = XVECEXP (x1, 0, 2);
      if (GET_CODE (x7) != CLOBBER)
        return -1;
      x5 = XEXP (x2, 0);
      operands[0] = x5;
      x17 = XVECEXP (x3, 0, 1);
      operands[2] = x17;
      if (!const_int_operand (operands[2], E_SImode))
        return -1;
      x18 = XEXP (x7, 0);
      operands[3] = x18;
      x15 = XVECEXP (x1, 0, 3);
      x16 = XEXP (x15, 0);
      operands[4] = x16;
      x4 = XVECEXP (x3, 0, 0);
      switch (GET_CODE (x4))
        {
        case PLUS:
          res = pattern561 (x3);
          if (res >= 0)
            return res + 5; /* [5, 8] */
          return -1;

        case MINUS:
          res = pattern561 (x3);
          if (res >= 0)
            return res + 9; /* [9, 12] */
          return -1;

        case IOR:
          res = pattern563 (x3);
          if (res >= 0)
            return res + 13; /* [13, 16] */
          return -1;

        case XOR:
          res = pattern563 (x3);
          if (res >= 0)
            return res + 17; /* [17, 20] */
          return -1;

        case AND:
          res = pattern563 (x3);
          if (res >= 0)
            return res + 21; /* [21, 24] */
          return -1;

        case NOT:
          x19 = XEXP (x4, 0);
          if (GET_CODE (x19) != AND)
            return -1;
          x20 = XEXP (x19, 1);
          operands[1] = x20;
          x21 = XEXP (x19, 0);
          if (!rtx_equal_p (x21, operands[0]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (pattern564 (x3, 
E_QImode) != 0)
                return -1;
              return 25;

            case E_HImode:
              if (pattern564 (x3, 
E_HImode) != 0)
                return -1;
              return 26;

            case E_SImode:
              if (pattern564 (x3, 
E_SImode) != 0)
                return -1;
              return 27;

            case E_DImode:
              if (pattern564 (x3, 
E_DImode) != 0)
                return -1;
              return 28;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern606 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  switch (GET_MODE (x2))
    {
    case E_HImode:
      x3 = XVECEXP (x2, 0, 0);
      switch (GET_MODE (x3))
        {
        case E_V8HImode:
          if (!register_operand (operands[1], E_V8QImode))
            return -1;
          return 0;

        case E_V16HImode:
          if (!register_operand (operands[1], E_V16QImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_SImode:
      x3 = XVECEXP (x2, 0, 0);
      switch (GET_MODE (x3))
        {
        case E_V4SImode:
          if (!register_operand (operands[1], E_V4HImode))
            return -1;
          return 2;

        case E_V8SImode:
          if (!register_operand (operands[1], E_V8HImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_DImode:
      x3 = XVECEXP (x2, 0, 0);
      switch (GET_MODE (x3))
        {
        case E_V4DImode:
          if (!register_operand (operands[1], E_V4SImode))
            return -1;
          return 4;

        case E_V2DImode:
          if (!register_operand (operands[1], E_V2SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern621 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  x7 = XEXP (x1, 1);
  operands[1] = x7;
  x8 = XEXP (x4, 0);
  switch (GET_CODE (x8))
    {
    case REG:
    case SUBREG:
      operands[3] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SImode:
          return pattern620 (x1, 
E_V4SImode, 
E_HImode, 
E_SImode, 
E_V4HImode); /* [-1, 0] */

        case E_V2DImode:
          if (pattern620 (x1, 
E_V2DImode, 
E_SImode, 
E_DImode, 
E_V2SImode) != 0)
            return -1;
          return 1;

        default:
          return -1;
        }

    case VEC_SELECT:
      x9 = XEXP (x8, 1);
      if (GET_CODE (x9) != PARALLEL
          || XVECLEN (x9, 0) != 1)
        return -1;
      x10 = XEXP (x8, 0);
      operands[3] = x10;
      x11 = XVECEXP (x9, 0, 0);
      operands[4] = x11;
      if (!immediate_operand (operands[4], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x1) != E_V4SImode
              || GET_MODE (x2) != E_V4SImode
              || GET_MODE (x5) != E_V4SImode
              || !register_operand (operands[2], E_V4HImode)
              || GET_MODE (x3) != E_V4SImode
              || GET_MODE (x4) != E_SImode
              || GET_MODE (x8) != E_HImode
              || !register_operand (operands[1], E_V4SImode))
            return -1;
          switch (GET_MODE (operands[3]))
            {
            case E_V4HImode:
              if (!register_operand (operands[3], E_V4HImode))
                return -1;
              return 2;

            case E_V8HImode:
              if (!register_operand (operands[3], E_V8HImode))
                return -1;
              return 3;

            default:
              return -1;
            }

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x1) != E_V2DImode
              || GET_MODE (x2) != E_V2DImode
              || GET_MODE (x5) != E_V2DImode
              || !register_operand (operands[2], E_V2SImode)
              || GET_MODE (x3) != E_V2DImode
              || GET_MODE (x4) != E_DImode
              || GET_MODE (x8) != E_SImode
              || !register_operand (operands[1], E_V2DImode))
            return -1;
          switch (GET_MODE (operands[3]))
            {
            case E_V2SImode:
              if (!register_operand (operands[3], E_V2SImode))
                return -1;
              return 4;

            case E_V4SImode:
              if (!register_operand (operands[3], E_V4SImode))
                return -1;
              return 5;

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern652 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_reg_or_and_imm (operands[2], i1))
    return -1;
  return 0;
}

int
pattern657 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i3)
      || !vect_par_cnst_even_or_odd_half (operands[2], i2))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !vect_par_cnst_even_or_odd_half (operands[3], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern666 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern671 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_simd_imm_one (operands[3], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern676 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2)
      || !aarch64_simd_raddsubhn_imm_vec (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[4], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  return 0;
}

int
pattern683 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 2);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x5 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x5) != SET)
    return -1;
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != UNSPEC
      || XVECLEN (x6, 0) != 3
      || XINT (x6, 1) != i1)
    return -1;
  x7 = XVECEXP (x6, 0, 2);
  if (x7 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x8 = XVECEXP (x3, 0, 0);
  operands[3] = x8;
  if (!register_operand (operands[3], E_VNx16BImode))
    return -1;
  x9 = XVECEXP (x3, 0, 1);
  operands[2] = x9;
  x10 = XEXP (x5, 0);
  operands[1] = x10;
  x11 = XVECEXP (x6, 0, 0);
  if (!rtx_equal_p (x11, operands[3]))
    return -1;
  x12 = XVECEXP (x6, 0, 1);
  if (!rtx_equal_p (x12, operands[2]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern682 (x1, 
E_VNx16QImode, 
E_VNx32QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern682 (x1, 
E_VNx8HImode, 
E_VNx16HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern682 (x1, 
E_VNx4SImode, 
E_VNx8SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern682 (x1, 
E_VNx2DImode, 
E_VNx4DImode) != 0)
        return -1;
      return 3;

    case E_VNx8BFmode:
      if (pattern682 (x1, 
E_VNx8BFmode, 
E_VNx16BFmode) != 0)
        return -1;
      return 4;

    case E_VNx8HFmode:
      if (pattern682 (x1, 
E_VNx8HFmode, 
E_VNx16HFmode) != 0)
        return -1;
      return 5;

    case E_VNx4SFmode:
      if (pattern682 (x1, 
E_VNx4SFmode, 
E_VNx8SFmode) != 0)
        return -1;
      return 6;

    case E_VNx2DFmode:
      if (pattern682 (x1, 
E_VNx2DFmode, 
E_VNx4DFmode) != 0)
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern701 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  operands[4] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern700 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern700 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern700 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern700 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern700 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern700 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern700 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern700 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern700 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern700 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern712 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[1], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8HImode:
      if (!register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 1;

    case E_VNx4SImode:
      if (!register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 2;

    case E_VNx2DImode:
      if (!register_operand (operands[1], E_VNx2DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern717 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], E_VNx4BImode)
      || !aarch64_sve_ld1ro_operand_w (operands[1], E_OImode))
    return -1;
  return 0;
}

int
pattern721 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[2], i1)
      || !memory_operand (operands[1], i3))
    return -1;
  return 0;
}

int
pattern727 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[1]))
    {
    case E_QImode:
      return pattern726 (
E_QImode); /* [-1, 1] */

    case E_HImode:
      res = pattern726 (
E_HImode);
      if (res >= 0)
        return res + 2; /* [2, 3] */
      return -1;

    default:
      return -1;
    }
}

int
pattern732 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!register_operand (operands[0], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[0], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[0], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern740 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern744 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_lshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern750 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i3)
      || !vect_par_cnst_even_or_odd_half (operands[2], i1))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i2)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !vect_par_cnst_even_or_odd_half (operands[3], i1))
    return -1;
  return 0;
}

int
pattern759 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i1)
      || !nonimmediate_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern763 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern771 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != SET)
    return -1;
  x5 = XEXP (x4, 1);
  if (GET_CODE (x5) != UNSPEC_VOLATILE
      || XVECLEN (x5, 0) != 1
      || XINT (x5, 1) != i1
      || GET_MODE (x5) != E_CC_Zmode)
    return -1;
  x6 = XVECEXP (x5, 0, 0);
  if (x6 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x7 = XEXP (x4, 0);
  if (GET_CODE (x7) != REG
      || REGNO (x7) != 66
      || GET_MODE (x7) != E_CC_Zmode
      || !register_operand (operands[0], E_DImode))
    return -1;
  return 0;
}

int
pattern780 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[1] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern779 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern779 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern779 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern779 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern794 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern801 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[0] = x3;
  x4 = XEXP (x2, 1);
  operands[1] = x4;
  x5 = XEXP (x1, 1);
  operands[2] = x5;
  switch (GET_MODE (x1))
    {
    case E_SImode:
      if (GET_MODE (x2) != E_SImode
          || !register_operand (operands[0], E_SImode)
          || !aarch64_shift_imm_si (operands[1], E_QImode)
          || !register_operand (operands[2], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (GET_MODE (x2) != E_DImode
          || !register_operand (operands[0], E_DImode)
          || !aarch64_shift_imm_di (operands[1], E_QImode)
          || !register_operand (operands[2], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern812 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !immediate_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern818 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != E_V2SImode
      || !register_operand (operands[0], E_V4SImode)
      || GET_MODE (x1) != E_V4SImode
      || !aarch64_simd_or_scalar_imm_zero (operands[4], E_V2SImode)
      || GET_MODE (x2) != E_V2SImode)
    return -1;
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], E_V8QImode))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], E_V8QImode))
    return -1;
  x6 = XEXP (x2, 1);
  operands[3] = x6;
  if (!register_operand (operands[3], E_V2SImode))
    return -1;
  return 0;
}

int
pattern830 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_mem_pair_lanes_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern836 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 3
      || XINT (x3, 1) != 126)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  if (GET_CODE (x5) != EQ)
    return -1;
  x6 = XVECEXP (x3, 0, 0);
  operands[5] = x6;
  x7 = XEXP (x5, 0);
  operands[2] = x7;
  x8 = XEXP (x5, 1);
  operands[3] = x8;
  x9 = XVECEXP (x2, 0, 1);
  operands[4] = x9;
  x10 = XVECEXP (x2, 0, 2);
  if (!rtx_equal_p (x10, operands[3]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern835 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern835 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern835 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern835 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern835 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern835 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern835 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern835 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern835 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern835 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern861 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern867 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XEXP (x2, 0);
  operands[3] = x3;
  x4 = XEXP (x2, 1);
  operands[4] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x1) != E_VNx16BImode
          || !register_operand (operands[1], E_VNx16BImode)
          || GET_MODE (x2) != E_VNx16BImode
          || !register_operand (operands[3], E_VNx16QImode)
          || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x1) != E_VNx8BImode
          || !register_operand (operands[1], E_VNx8BImode)
          || GET_MODE (x2) != E_VNx8BImode)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx8QImode:
          if (!register_operand (operands[3], E_VNx8QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx8QImode))
            return -1;
          return 1;

        case E_VNx8HImode:
          if (!register_operand (operands[3], E_VNx8HImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx8HImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x1) != E_VNx4BImode
          || !register_operand (operands[1], E_VNx4BImode)
          || GET_MODE (x2) != E_VNx4BImode)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx4QImode:
          if (!register_operand (operands[3], E_VNx4QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx4QImode))
            return -1;
          return 3;

        case E_VNx4HImode:
          if (!register_operand (operands[3], E_VNx4HImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx4HImode))
            return -1;
          return 4;

        case E_VNx4SImode:
          if (!register_operand (operands[3], E_VNx4SImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx4SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x1) != E_VNx2BImode
          || !register_operand (operands[1], E_VNx2BImode)
          || GET_MODE (x2) != E_VNx2BImode)
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_VNx2QImode:
          if (!register_operand (operands[3], E_VNx2QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2QImode))
            return -1;
          return 6;

        case E_VNx2HImode:
          if (!register_operand (operands[3], E_VNx2HImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2HImode))
            return -1;
          return 7;

        case E_VNx2SImode:
          if (!register_operand (operands[3], E_VNx2SImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2SImode))
            return -1;
          return 8;

        case E_VNx2DImode:
          if (!register_operand (operands[3], E_VNx2DImode)
              || !aarch64_sve_cmp_vsc_operand (operands[4], E_VNx2DImode))
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern905 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_simd_nonimmediate_operand (operands[1], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern910 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (!rtx_equal_p (x5, operands[1]))
    return -1;
  x6 = XEXP (x4, 1);
  if (!rtx_equal_p (x6, operands[2]))
    return -1;
  x7 = XEXP (x3, 1);
  if (!rtx_equal_p (x7, operands[3]))
    return -1;
  return pattern909 (x1); /* [-1, 1] */
}

int
pattern917 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_DImode)
      || GET_MODE (x1) != E_DImode)
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x4 = XEXP (x2, 1);
  return pattern604 (x4); /* [-1, 3] */
}

int
pattern921 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i1)
      || GET_CODE (x1) != SET)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != PLUS
      || GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!aarch64_general_reg (operands[0], i1))
    return -1;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  if (!aarch64_plus_immediate (operands[2], i1))
    return -1;
  x5 = XEXP (x2, 0);
  if (!rtx_equal_p (x5, operands[1]))
    return -1;
  return 0;
}

int
pattern925 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[1], i1))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_V16QImode:
      if (!register_operand (operands[2], E_V16QImode)
          || !memory_operand (operands[3], E_V16QImode))
        return -1;
      return 0;

    case E_V8HImode:
      if (!register_operand (operands[2], E_V8HImode)
          || !memory_operand (operands[3], E_V8HImode))
        return -1;
      return 1;

    case E_V4SImode:
      if (!register_operand (operands[2], E_V4SImode)
          || !memory_operand (operands[3], E_V4SImode))
        return -1;
      return 2;

    case E_V2DImode:
      if (!register_operand (operands[2], E_V2DImode)
          || !memory_operand (operands[3], E_V2DImode))
        return -1;
      return 3;

    case E_V8HFmode:
      if (!register_operand (operands[2], E_V8HFmode)
          || !memory_operand (operands[3], E_V8HFmode))
        return -1;
      return 4;

    case E_V4SFmode:
      if (!register_operand (operands[2], E_V4SFmode)
          || !memory_operand (operands[3], E_V4SFmode))
        return -1;
      return 5;

    case E_V2DFmode:
      if (!register_operand (operands[2], E_V2DFmode)
          || !memory_operand (operands[3], E_V2DFmode))
        return -1;
      return 6;

    case E_V8BFmode:
      if (!register_operand (operands[2], E_V8BFmode)
          || !memory_operand (operands[3], E_V8BFmode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern943 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !register_operand (operands[1], i3))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1))
    return -1;
  x5 = XEXP (x2, 1);
  if (GET_MODE (x5) != i3)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern950 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 2);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  x5 = XEXP (x3, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x1) != E_VNx16BImode
          || GET_MODE (x2) != E_VNx16BImode
          || GET_MODE (x3) != E_VNx16BImode
          || !register_operand (operands[2], E_VNx16QImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx16QImode)
          || !register_operand (operands[1], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x1) != E_VNx8BImode
          || GET_MODE (x2) != E_VNx8BImode
          || GET_MODE (x3) != E_VNx8BImode
          || !register_operand (operands[1], E_VNx8BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx8QImode:
          if (!register_operand (operands[2], E_VNx8QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8QImode))
            return -1;
          return 1;

        case E_VNx8HImode:
          if (!register_operand (operands[2], E_VNx8HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8HImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x1) != E_VNx4BImode
          || GET_MODE (x2) != E_VNx4BImode
          || GET_MODE (x3) != E_VNx4BImode
          || !register_operand (operands[1], E_VNx4BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx4QImode:
          if (!register_operand (operands[2], E_VNx4QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4QImode))
            return -1;
          return 3;

        case E_VNx4HImode:
          if (!register_operand (operands[2], E_VNx4HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4HImode))
            return -1;
          return 4;

        case E_VNx4SImode:
          if (!register_operand (operands[2], E_VNx4SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x1) != E_VNx2BImode
          || GET_MODE (x2) != E_VNx2BImode
          || GET_MODE (x3) != E_VNx2BImode
          || !register_operand (operands[1], E_VNx2BImode))
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx2QImode:
          if (!register_operand (operands[2], E_VNx2QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2QImode))
            return -1;
          return 6;

        case E_VNx2HImode:
          if (!register_operand (operands[2], E_VNx2HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2HImode))
            return -1;
          return 7;

        case E_VNx2SImode:
          if (!register_operand (operands[2], E_VNx2SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2SImode))
            return -1;
          return 8;

        case E_VNx2DImode:
          if (!register_operand (operands[2], E_VNx2DImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2DImode))
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern990 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x1) != E_VNx16QImode
          || !register_operand (operands[1], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x1) != E_VNx8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_VNx8HImode:
          if (!register_operand (operands[1], E_VNx8HImode))
            return -1;
          return 1;

        case E_VNx16HImode:
          if (!register_operand (operands[1], E_VNx16HImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x1) != E_VNx8HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_VNx8HFmode:
          if (!register_operand (operands[1], E_VNx8HFmode))
            return -1;
          return 3;

        case E_VNx16HFmode:
          if (!register_operand (operands[1], E_VNx16HFmode))
            return -1;
          return 4;

        default:
          return -1;
        }

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x1) != E_VNx8BFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_VNx8BFmode:
          if (!register_operand (operands[1], E_VNx8BFmode))
            return -1;
          return 5;

        case E_VNx16BFmode:
          if (!register_operand (operands[1], E_VNx16BFmode))
            return -1;
          return 6;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1013 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_raddsubhn_imm_vec (operands[3], i1)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1023 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1031 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  x4 = XEXP (x1, 1);
  x5 = XVECEXP (x4, 0, 0);
  operands[4] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern1030 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern1030 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern1030 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern1030 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1041 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1048 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1032 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1032 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1032 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1032 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x4, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          if (pattern1032 (x1, 
E_VNx8BFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx8HFmode:
          if (pattern1032 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 5;

        case E_VNx4SFmode:
          if (pattern1032 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 6;

        case E_VNx2DFmode:
          if (pattern1032 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1071 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XEXP (x3, 0);
  x7 = XEXP (x6, 0);
  x8 = XEXP (x7, 0);
  operands[2] = x8;
  x9 = XEXP (x5, 0);
  if (!rtx_equal_p (x9, operands[2]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HImode:
      return pattern1070 (x1, 
E_V4HImode, 
E_V8HImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4SImode:
      if (pattern1070 (x1, 
E_V2SImode, 
E_V4SImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2DImode:
      if (pattern1070 (x1, 
E_DImode, 
E_V2DImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1086 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XVECEXP (x4, 0, 0);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x6 = XVECEXP (x3, 0, 0);
  operands[3] = x6;
  x7 = XVECEXP (x3, 0, 1);
  operands[4] = x7;
  x8 = XVECEXP (x4, 0, 1);
  operands[1] = x8;
  x9 = XVECEXP (x4, 0, 2);
  operands[2] = x9;
  x10 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x10))
    {
    case SET:
      x11 = XEXP (x10, 1);
      if (GET_CODE (x11) != UNSPEC
          || XVECLEN (x11, 0) != 3
          || XINT (x11, 1) != i1)
        return -1;
      x12 = XVECEXP (x11, 0, 0);
      if (x12 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x13 = XEXP (x10, 0);
      operands[0] = x13;
      x14 = XVECEXP (x11, 0, 1);
      if (!rtx_equal_p (x14, operands[1]))
        return -1;
      x15 = XVECEXP (x11, 0, 2);
      if (!rtx_equal_p (x15, operands[2]))
        return -1;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (!register_operand (operands[0], E_VNx16BImode)
              || GET_MODE (x11) != E_VNx16BImode)
            return -1;
          return 0;

        case E_VNx8BImode:
          if (!register_operand (operands[0], E_VNx8BImode)
              || GET_MODE (x11) != E_VNx8BImode)
            return -1;
          return 1;

        case E_VNx4BImode:
          if (!register_operand (operands[0], E_VNx4BImode)
              || GET_MODE (x11) != E_VNx4BImode)
            return -1;
          return 2;

        case E_VNx2BImode:
          if (!register_operand (operands[0], E_VNx2BImode)
              || GET_MODE (x11) != E_VNx2BImode)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CLOBBER:
      x13 = XEXP (x10, 0);
      operands[0] = x13;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (!scratch_operand (operands[0], E_VNx16BImode))
            return -1;
          return 4;

        case E_VNx8BImode:
          if (!scratch_operand (operands[0], E_VNx8BImode))
            return -1;
          return 5;

        case E_VNx4BImode:
          if (!scratch_operand (operands[0], E_VNx4BImode))
            return -1;
          return 6;

        case E_VNx2BImode:
          if (!scratch_operand (operands[0], E_VNx2BImode))
            return -1;
          return 7;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1110 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[4] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern837 (x1, 
E_VNx8HImode, 
E_VNx8BImode); /* [-1, 2] */

    case E_VNx4SImode:
      res = pattern837 (x1, 
E_VNx4SImode, 
E_VNx4BImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DImode:
      res = pattern837 (x1, 
E_VNx2DImode, 
E_VNx2BImode);
      if (res >= 0)
        return res + 6; /* [6, 8] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1120 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V8QImode:
      if (!register_operand (operands[3], E_V8QImode))
        return -1;
      return 0;

    case E_V16QImode:
      if (!register_operand (operands[3], E_V16QImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1129 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_simd_reg_or_zero (operands[3], i2)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1137 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1145 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  x7 = XEXP (x6, 0);
  operands[1] = x7;
  x8 = XEXP (x6, 1);
  operands[2] = x8;
  x9 = XEXP (x4, 1);
  operands[3] = x9;
  x10 = XVECEXP (x1, 0, 1);
  x11 = XEXP (x10, 1);
  switch (GET_CODE (x11))
    {
    case AND:
      x12 = XEXP (x11, 0);
      if (GET_CODE (x12) != NOT)
        return -1;
      x13 = XEXP (x12, 0);
      if (GET_CODE (x13) != i1)
        return -1;
      x14 = XEXP (x13, 0);
      if (!rtx_equal_p (x14, operands[1]))
        return -1;
      x15 = XEXP (x13, 1);
      if (!rtx_equal_p (x15, operands[2]))
        return -1;
      x16 = XEXP (x11, 1);
      if (!rtx_equal_p (x16, operands[3]))
        return -1;
      switch (GET_MODE (x4))
        {
        case E_SImode:
          if (GET_MODE (x5) != E_SImode
              || GET_MODE (x6) != E_SImode
              || !register_operand (operands[1], E_SImode)
              || !aarch64_shift_imm_si (operands[2], E_QImode)
              || !register_operand (operands[3], E_SImode)
              || pattern1144 (x11, 
E_SImode) != 0)
            return -1;
          return 0;

        case E_DImode:
          if (GET_MODE (x5) != E_DImode
              || GET_MODE (x6) != E_DImode
              || !register_operand (operands[1], E_DImode)
              || !aarch64_shift_imm_di (operands[2], E_QImode)
              || !register_operand (operands[3], E_DImode)
              || pattern1144 (x11, 
E_DImode) != 0)
            return -1;
          return 1;

        default:
          return -1;
        }

    case ZERO_EXTEND:
      if (GET_MODE (x11) != E_DImode)
        return -1;
      x12 = XEXP (x11, 0);
      if (GET_CODE (x12) != AND
          || GET_MODE (x12) != E_SImode)
        return -1;
      x13 = XEXP (x12, 0);
      if (GET_CODE (x13) != NOT
          || GET_MODE (x13) != E_SImode)
        return -1;
      x14 = XEXP (x13, 0);
      if (GET_CODE (x14) != i1
          || GET_MODE (x14) != E_SImode
          || GET_MODE (x4) != E_SImode
          || GET_MODE (x5) != E_SImode
          || GET_MODE (x6) != E_SImode
          || !register_operand (operands[1], E_SImode)
          || !aarch64_shift_imm_si (operands[2], E_QImode)
          || !register_operand (operands[3], E_SImode)
          || !register_operand (operands[0], E_DImode))
        return -1;
      x17 = XEXP (x14, 0);
      if (!rtx_equal_p (x17, operands[1]))
        return -1;
      x18 = XEXP (x14, 1);
      if (!rtx_equal_p (x18, operands[2]))
        return -1;
      x19 = XEXP (x12, 1);
      if (!rtx_equal_p (x19, operands[3]))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1183 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !aarch64_sync_memory_operand (operands[1], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_plus_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1190 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_reg_or_zero (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1195 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  operands[2] = x2;
  x3 = XVECEXP (x1, 0, 2);
  operands[3] = x3;
  x4 = XVECEXP (x1, 0, 3);
  x5 = XVECEXP (x4, 0, 0);
  operands[4] = x5;
  x6 = XVECEXP (x4, 0, 1);
  operands[5] = x6;
  if (!aarch64_sve_ptrue_flag (operands[5], E_SImode))
    return -1;
  x7 = XVECEXP (x4, 0, 2);
  operands[6] = x7;
  switch (GET_MODE (x4))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[6], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[6], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[6], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[6], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1206 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 1);
  if (GET_MODE (x7) != i1)
    return -1;
  x8 = XEXP (x7, 0);
  if (GET_MODE (x8) != i1)
    return -1;
  return 0;
}

int
pattern1214 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !aarch64_sync_memory_operand (operands[1], i1)
      || GET_MODE (x1) != i1
      || !aarch64_reg_or_zero (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1220 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], i3)
      || !aarch64_sve_gather_offset_b (operands[1], E_DImode)
      || !register_operand (operands[2], i2)
      || !aarch64_gather_scale_operand_b (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[6], i1))
    return -1;
  return 0;
}

int
pattern1226 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[2], i3))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1233 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i4)
      || GET_MODE (x1) != i4)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1
      || !register_operand (operands[2], i2)
      || !aarch64_int_rnd_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1243 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 1);
  if (GET_MODE (x7) != i1)
    return -1;
  x8 = XEXP (x7, 0);
  if (GET_MODE (x8) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_QImode:
      if (!register_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[1], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[1], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1255 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[5], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i1))
    return -1;
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1262 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XVECEXP (x1, 0, 2);
  x7 = XVECEXP (x6, 0, 0);
  operands[1] = x7;
  if (!aarch64_valid_symref (operands[1], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1273 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], E_VNx2BImode)
      || !aarch64_sve_gather_offset_d (operands[1], E_DImode)
      || !register_operand (operands[2], E_VNx2DImode)
      || !aarch64_gather_scale_operand_d (operands[4], E_DImode))
    return -1;
  return 0;
}

int
pattern1280 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1285 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || !aarch64_sync_memory_operand (operands[1], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !aarch64_logical_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1293 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (!rtx_equal_p (x2, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      x3 = XEXP (x1, 1);
      return pattern1182 (x3, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      x3 = XEXP (x1, 1);
      if (pattern1182 (x3, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      x3 = XEXP (x1, 1);
      if (pattern1182 (x3, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      x3 = XEXP (x1, 1);
      if (pattern1182 (x3, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1305 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 1);
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x1, 0, 0);
  x7 = XEXP (x6, 1);
  x8 = XEXP (x7, 0);
  x9 = XEXP (x8, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  operands[2] = x11;
  if (!aarch64_imm3 (operands[3], E_VOIDmode))
    return -1;
  x12 = XEXP (x5, 0);
  if (!rtx_equal_p (x12, operands[2]))
    return -1;
  switch (GET_MODE (x8))
    {
    case E_SImode:
      return pattern1304 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern1304 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern1315 ()
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16HImode:
      if (!aligned_register_operand (operands[2], E_VNx16HImode)
          || !aligned_register_operand (operands[3], E_VNx16HImode))
        return -1;
      return 0;

    case E_VNx32HImode:
      if (!aligned_register_operand (operands[2], E_VNx32HImode)
          || !aligned_register_operand (operands[3], E_VNx32HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1322 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XVECEXP (x4, 0, 2);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  x7 = XEXP (x5, 1);
  operands[3] = x7;
  x8 = XVECEXP (x1, 0, 1);
  switch (GET_CODE (x8))
    {
    case SET:
      x9 = XEXP (x8, 1);
      if (GET_CODE (x9) != UNSPEC
          || XVECLEN (x9, 0) != 3
          || XINT (x9, 1) != 126)
        return -1;
      x10 = XVECEXP (x9, 0, 2);
      if (GET_CODE (x10) != i1)
        return -1;
      x11 = XEXP (x8, 0);
      operands[0] = x11;
      x12 = XVECEXP (x9, 0, 0);
      if (!rtx_equal_p (x12, operands[6]))
        return -1;
      x13 = XVECEXP (x9, 0, 1);
      if (!rtx_equal_p (x13, operands[7]))
        return -1;
      x14 = XEXP (x10, 0);
      if (!rtx_equal_p (x14, operands[2]))
        return -1;
      x15 = XEXP (x10, 1);
      if (!rtx_equal_p (x15, operands[3]))
        return -1;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (GET_MODE (x5) != E_VNx16BImode
              || !register_operand (operands[2], E_VNx16QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx16QImode)
              || !register_operand (operands[0], E_VNx16BImode)
              || GET_MODE (x9) != E_VNx16BImode
              || GET_MODE (x10) != E_VNx16BImode)
            return -1;
          return 0;

        case E_VNx8BImode:
          if (GET_MODE (x5) != E_VNx8BImode
              || !register_operand (operands[0], E_VNx8BImode)
              || GET_MODE (x9) != E_VNx8BImode
              || GET_MODE (x10) != E_VNx8BImode)
            return -1;
          res = pattern1319 ();
          if (res >= 0)
            return res + 1; /* [1, 2] */
          return -1;

        case E_VNx4BImode:
          if (GET_MODE (x5) != E_VNx4BImode
              || !register_operand (operands[0], E_VNx4BImode)
              || GET_MODE (x9) != E_VNx4BImode
              || GET_MODE (x10) != E_VNx4BImode)
            return -1;
          res = pattern1320 ();
          if (res >= 0)
            return res + 3; /* [3, 5] */
          return -1;

        case E_VNx2BImode:
          if (GET_MODE (x5) != E_VNx2BImode
              || !register_operand (operands[0], E_VNx2BImode)
              || GET_MODE (x9) != E_VNx2BImode
              || GET_MODE (x10) != E_VNx2BImode)
            return -1;
          res = pattern1321 ();
          if (res >= 0)
            return res + 6; /* [6, 9] */
          return -1;

        default:
          return -1;
        }

    case CLOBBER:
      x11 = XEXP (x8, 0);
      operands[0] = x11;
      switch (GET_MODE (x4))
        {
        case E_VNx16BImode:
          if (GET_MODE (x5) != E_VNx16BImode
              || !register_operand (operands[2], E_VNx16QImode)
              || !aarch64_sve_cmp_vsc_operand (operands[3], E_VNx16QImode)
              || !scratch_operand (operands[0], E_VNx16BImode))
            return -1;
          return 10;

        case E_VNx8BImode:
          if (GET_MODE (x5) != E_VNx8BImode
              || !scratch_operand (operands[0], E_VNx8BImode))
            return -1;
          res = pattern1319 ();
          if (res >= 0)
            return res + 11; /* [11, 12] */
          return -1;

        case E_VNx4BImode:
          if (GET_MODE (x5) != E_VNx4BImode
              || !scratch_operand (operands[0], E_VNx4BImode))
            return -1;
          res = pattern1320 ();
          if (res >= 0)
            return res + 13; /* [13, 15] */
          return -1;

        case E_VNx2BImode:
          if (GET_MODE (x5) != E_VNx2BImode
              || !scratch_operand (operands[0], E_VNx2BImode))
            return -1;
          res = pattern1321 ();
          if (res >= 0)
            return res + 16; /* [16, 19] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_3 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case ASHIFT:
      x5 = XEXP (x2, 0);
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      x8 = XEXP (x4, 0);
      operands[3] = x8;
      x9 = XEXP (x4, 1);
      operands[4] = x9;
      x10 = XEXP (x3, 1);
      operands[5] = x10;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern1104 (x2, 
E_SImode) != 0
              || !aarch64_simd_shift_imm_si (operands[4], E_SImode)
              || !const_int_operand (operands[5], E_SImode)
              || !
#line 6488 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (SImode, UINTVAL (operands[2]),
				      UINTVAL (operands[4]),
				      UINTVAL(operands[5]))))
            return -1;
          return 836; /* *aarch64_bfisi5_shift */

        case E_DImode:
          if (pattern1104 (x2, 
E_DImode) != 0
              || !aarch64_simd_shift_imm_di (operands[4], E_DImode)
              || !const_int_operand (operands[5], E_DImode)
              || !
#line 6488 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (DImode, UINTVAL (operands[2]),
				      UINTVAL (operands[4]),
				      UINTVAL(operands[5]))))
            return -1;
          return 837; /* *aarch64_bfidi5_shift */

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern781 (x2, 
E_SImode) != 0)
            return -1;
          x5 = XEXP (x2, 0);
          x7 = XEXP (x5, 1);
          operands[2] = x7;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          if (GET_MODE (x3) == E_SImode)
            {
              operands[3] = x4;
              if (register_operand (operands[3], E_SImode))
                {
                  x10 = XEXP (x3, 1);
                  operands[4] = x10;
                  if (const_int_operand (operands[4], E_SImode)
                      && 
#line 6557 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (SImode, UINTVAL (operands[2]), 0,
				      UINTVAL (operands[4]))))
                    return 844; /* *aarch64_bfisi4_noshift */
                }
            }
          operands[4] = x7;
          operands[3] = x6;
          if (GET_MODE (x3) == E_SImode)
            {
              operands[1] = x4;
              if (register_operand (operands[1], E_SImode))
                {
                  x10 = XEXP (x3, 1);
                  operands[2] = x10;
                  if (const_int_operand (operands[2], E_SImode)
                      && 
#line 6569 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (SImode, UINTVAL (operands[2]), 0,
				      UINTVAL (operands[4]))))
                    return 846; /* *aarch64_bfisi4_noshift_alt */
                }
            }
          operands[3] = x7;
          operands[1] = x6;
          if (GET_MODE (x3) != E_SImode)
            return -1;
          operands[2] = x4;
          if (!register_operand (operands[2], E_SImode))
            return -1;
          x10 = XEXP (x3, 1);
          operands[4] = x10;
          if (!const_int_operand (operands[4], E_SImode)
              || !
#line 6717 "../../../gcc/config/aarch64/aarch64.md"
((INTVAL (operands[3]) == ~INTVAL (operands[4]))
  && (aarch64_high_bits_all_ones_p (INTVAL (operands[3]))
    || aarch64_high_bits_all_ones_p (INTVAL (operands[4])))))
            return -1;
          return 873; /* *aarch64_bfxilsi */

        case E_DImode:
          if (pattern781 (x2, 
E_DImode) != 0)
            return -1;
          x5 = XEXP (x2, 0);
          x7 = XEXP (x5, 1);
          operands[2] = x7;
          x6 = XEXP (x5, 0);
          operands[1] = x6;
          if (GET_MODE (x3) == E_DImode)
            {
              operands[3] = x4;
              if (register_operand (operands[3], E_DImode))
                {
                  x10 = XEXP (x3, 1);
                  operands[4] = x10;
                  if (const_int_operand (operands[4], E_DImode)
                      && 
#line 6557 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (DImode, UINTVAL (operands[2]), 0,
				      UINTVAL (operands[4]))))
                    return 845; /* *aarch64_bfidi4_noshift */
                }
            }
          operands[4] = x7;
          operands[3] = x6;
          if (GET_MODE (x3) == E_DImode)
            {
              operands[1] = x4;
              if (register_operand (operands[1], E_DImode))
                {
                  x10 = XEXP (x3, 1);
                  operands[2] = x10;
                  if (const_int_operand (operands[2], E_DImode)
                      && 
#line 6569 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_masks_and_shift_for_bfi_p (DImode, UINTVAL (operands[2]), 0,
				      UINTVAL (operands[4]))))
                    return 847; /* *aarch64_bfidi4_noshift_alt */
                }
            }
          operands[3] = x7;
          operands[1] = x6;
          if (GET_MODE (x3) != E_DImode)
            return -1;
          operands[2] = x4;
          if (!register_operand (operands[2], E_DImode))
            return -1;
          x10 = XEXP (x3, 1);
          operands[4] = x10;
          if (!const_int_operand (operands[4], E_DImode)
              || !
#line 6717 "../../../gcc/config/aarch64/aarch64.md"
((INTVAL (operands[3]) == ~INTVAL (operands[4]))
  && (aarch64_high_bits_all_ones_p (INTVAL (operands[3]))
    || aarch64_high_bits_all_ones_p (INTVAL (operands[4])))))
            return -1;
          return 874; /* *aarch64_bfxildi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_15 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_QImode:
          if (!register_operand (operands[0], E_QImode)
              || GET_MODE (x3) != E_QImode)
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_V8QImode:
              if (!register_operand (operands[1], E_V8QImode)
                  || !
#line 3382 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2711; /* reduc_plus_scal_v8qi */

            case E_V16QImode:
              if (!register_operand (operands[1], E_V16QImode)
                  || !
#line 3382 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2712; /* reduc_plus_scal_v16qi */

            default:
              return -1;
            }

        case E_HImode:
          if (!register_operand (operands[0], E_HImode)
              || GET_MODE (x3) != E_HImode)
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_V4HImode:
              if (!register_operand (operands[1], E_V4HImode)
                  || !
#line 3382 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2713; /* reduc_plus_scal_v4hi */

            case E_V8HImode:
              if (!register_operand (operands[1], E_V8HImode)
                  || !
#line 3382 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2714; /* reduc_plus_scal_v8hi */

            default:
              return -1;
            }

        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || GET_MODE (x3) != E_SImode)
            return -1;
          switch (GET_MODE (operands[1]))
            {
            case E_V4SImode:
              if (!register_operand (operands[1], E_V4SImode)
                  || !
#line 3382 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2715; /* reduc_plus_scal_v4si */

            case E_V2SImode:
              if (!register_operand (operands[1], E_V2SImode)
                  || !
#line 3391 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2717; /* reduc_plus_scal_v2si */

            default:
              return -1;
            }

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || !register_operand (operands[1], E_V2DImode)
              || !
#line 3382 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2716; /* reduc_plus_scal_v2di */

        default:
          return -1;
        }

    case SIGN_EXTEND:
      switch (pattern457 (x3))
        {
        case 0:
          if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2728; /* aarch64_saddlvv8qi */

        case 1:
          if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2730; /* aarch64_saddlvv16qi */

        case 2:
          if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2732; /* aarch64_saddlvv4hi */

        case 3:
          if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2734; /* aarch64_saddlvv8hi */

        case 4:
          if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2736; /* aarch64_saddlvv4si */

        case 5:
          if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2738; /* aarch64_saddlvv2si */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern457 (x3))
            {
            case 0:
              if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2729; /* aarch64_uaddlvv8qi */

            case 1:
              if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2731; /* aarch64_uaddlvv16qi */

            case 2:
              if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2733; /* aarch64_uaddlvv4hi */

            case 3:
              if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2735; /* aarch64_uaddlvv8hi */

            case 4:
              if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2737; /* aarch64_uaddlvv4si */

            case 5:
              if (!
#line 3438 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 2739; /* aarch64_uaddlvv2si */

            default:
              return -1;
            }

        case PLUS:
          switch (pattern580 (x3))
            {
            case 0:
              if (!
#line 3485 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
                return -1;
              return 2752; /* *aarch64_uaddlvv8qi_reduction_2 */

            case 1:
              if (!
#line 3485 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
                return -1;
              return 2753; /* *aarch64_uaddlvv16qi_reduction_2 */

            case 2:
              if (!
#line 3485 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
                return -1;
              return 2754; /* *aarch64_uaddlvv4hi_reduction_2 */

            case 3:
              if (!
#line 3485 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
                return -1;
              return 2755; /* *aarch64_uaddlvv8hi_reduction_2 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      switch (pattern460 (x3))
        {
        case 0:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2740; /* *aarch64_saddlvv8qi_reduction */

        case 1:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2742; /* *aarch64_saddlvv16qi_reduction */

        case 2:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2744; /* *aarch64_saddlvv4hi_reduction */

        case 3:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2746; /* *aarch64_saddlvv8hi_reduction */

        case 4:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2748; /* *aarch64_saddlvv4si_reduction */

        case 5:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2750; /* *aarch64_saddlvv2si_reduction */

        case 6:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2741; /* *aarch64_uaddlvv8qi_reduction */

        case 7:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2743; /* *aarch64_uaddlvv16qi_reduction */

        case 8:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2745; /* *aarch64_uaddlvv4hi_reduction */

        case 9:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2747; /* *aarch64_uaddlvv8hi_reduction */

        case 10:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2749; /* *aarch64_uaddlvv4si_reduction */

        case 11:
          if (!
#line 3458 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !aarch64_pars_overlap_p (operands[2], operands[3])))
            return -1;
          return 2751; /* *aarch64_uaddlvv2si_reduction */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_31 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern59 (x1))
    {
    case 0:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5011; /* aarch64_rev32v8qi */

    case 1:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5018; /* aarch64_rev32v16qi */

    case 2:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5023; /* aarch64_rev32v4hi */

    case 3:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5030; /* aarch64_rev32v8hi */

    case 4:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5035; /* aarch64_rev32v2si */

    case 5:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5042; /* aarch64_rev32v4si */

    case 6:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5045; /* aarch64_rev32v2di */

    case 7:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5050; /* aarch64_rev32v4hf */

    case 8:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5057; /* aarch64_rev32v8hf */

    case 9:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5062; /* aarch64_rev32v4bf */

    case 10:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5069; /* aarch64_rev32v8bf */

    case 11:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5074; /* aarch64_rev32v2sf */

    case 12:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5081; /* aarch64_rev32v4sf */

    case 13:
      if (!
#line 8677 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5084; /* aarch64_rev32v2df */

    default:
      return -1;
    }
}

 int
recog_37 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern53 (x1))
    {
    case 0:
      if (!(
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 888; /* roundhf2 */

    case 1:
      if (!
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 895; /* roundsf2 */

    case 2:
      if (!
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 902; /* rounddf2 */

    case 3:
      if (!(
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2491; /* roundv4hf2 */

    case 4:
      if (!(
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2500; /* roundv8hf2 */

    case 5:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2519; /* roundv2sf2 */

    case 6:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2528; /* roundv4sf2 */

    case 7:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2535; /* roundv2df2 */

    case 8:
      if (!
#line 700 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11368; /* roundvnx8sf2 */

    case 9:
      if (!
#line 700 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11372; /* roundvnx16sf2 */

    default:
      return -1;
    }
}

 int
recog_44 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern70 (x1))
    {
    case 0:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12826; /* aarch64_sve_zipvnx64qi */

    case 1:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12828; /* aarch64_sve_zipvnx32hi */

    case 2:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12830; /* aarch64_sve_zipvnx16si */

    case 3:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12832; /* aarch64_sve_zipvnx8di */

    case 4:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12834; /* aarch64_sve_zipvnx32bf */

    case 5:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12836; /* aarch64_sve_zipvnx32hf */

    case 6:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12838; /* aarch64_sve_zipvnx16sf */

    case 7:
      if (!
#line 3894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12840; /* aarch64_sve_zipvnx8df */

    default:
      return -1;
    }
}

 int
recog_52 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern52 (x1))
    {
    case 0:
      if (!(
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 882; /* btrunchf2 */

    case 1:
      if (!
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 889; /* btruncsf2 */

    case 2:
      if (!
#line 6840 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 896; /* btruncdf2 */

    case 3:
      if (!(
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2473; /* btruncv4hf2 */

    case 4:
      if (!(
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2494; /* btruncv8hf2 */

    case 5:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2501; /* btruncv2sf2 */

    case 6:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2522; /* btruncv4sf2 */

    case 7:
      if (!
#line 3005 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2529; /* btruncv2df2 */

    default:
      return -1;
    }
}

 int
recog_62 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case UNSPEC:
      return recog_58 (x1, insn, pnum_clobbers);

    case REG:
    case SUBREG:
      switch (pattern593 (x2))
        {
        case 0:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0))
            return -1;
          return 6956; /* *extendvnx8qivnx8hi2 */

        case 1:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0))
            return -1;
          return 6958; /* *extendvnx4qivnx8hi2 */

        case 2:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0))
            return -1;
          return 6960; /* *extendvnx2qivnx8hi2 */

        case 3:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0))
            return -1;
          return 6962; /* *extendvnx4hivnx8hi2 */

        case 4:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0))
            return -1;
          return 6964; /* *extendvnx2hivnx8hi2 */

        case 5:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0))
            return -1;
          return 6966; /* *extendvnx2sivnx8hi2 */

        case 6:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0))
            return -1;
          return 6968; /* *extendvnx8qivnx4hi2 */

        case 7:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0))
            return -1;
          return 6970; /* *extendvnx4qivnx4hi2 */

        case 8:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0))
            return -1;
          return 6972; /* *extendvnx2qivnx4hi2 */

        case 9:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0))
            return -1;
          return 6974; /* *extendvnx4hivnx4hi2 */

        case 10:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0))
            return -1;
          return 6976; /* *extendvnx2hivnx4hi2 */

        case 11:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0))
            return -1;
          return 6978; /* *extendvnx2sivnx4hi2 */

        case 12:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0))
            return -1;
          return 6980; /* *extendvnx8qivnx2hi2 */

        case 13:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0))
            return -1;
          return 6982; /* *extendvnx4qivnx2hi2 */

        case 14:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0))
            return -1;
          return 6984; /* *extendvnx2qivnx2hi2 */

        case 15:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0))
            return -1;
          return 6986; /* *extendvnx4hivnx2hi2 */

        case 16:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0))
            return -1;
          return 6988; /* *extendvnx2hivnx2hi2 */

        case 17:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0))
            return -1;
          return 6990; /* *extendvnx2sivnx2hi2 */

        case 18:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0))
            return -1;
          return 6992; /* *extendvnx8qivnx4si2 */

        case 19:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0))
            return -1;
          return 6994; /* *extendvnx4qivnx4si2 */

        case 20:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0))
            return -1;
          return 6996; /* *extendvnx2qivnx4si2 */

        case 21:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0))
            return -1;
          return 6998; /* *extendvnx4hivnx4si2 */

        case 22:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0))
            return -1;
          return 7000; /* *extendvnx2hivnx4si2 */

        case 23:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0))
            return -1;
          return 7002; /* *extendvnx2sivnx4si2 */

        case 24:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0))
            return -1;
          return 7004; /* *extendvnx8qivnx2si2 */

        case 25:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0))
            return -1;
          return 7006; /* *extendvnx4qivnx2si2 */

        case 26:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0))
            return -1;
          return 7008; /* *extendvnx2qivnx2si2 */

        case 27:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0))
            return -1;
          return 7010; /* *extendvnx4hivnx2si2 */

        case 28:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0))
            return -1;
          return 7012; /* *extendvnx2hivnx2si2 */

        case 29:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0))
            return -1;
          return 7014; /* *extendvnx2sivnx2si2 */

        case 30:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0))
            return -1;
          return 7016; /* *extendvnx8qivnx2di2 */

        case 31:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0))
            return -1;
          return 7018; /* *extendvnx4qivnx2di2 */

        case 32:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0))
            return -1;
          return 7020; /* *extendvnx2qivnx2di2 */

        case 33:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0))
            return -1;
          return 7022; /* *extendvnx4hivnx2di2 */

        case 34:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0))
            return -1;
          return 7024; /* *extendvnx2hivnx2di2 */

        case 35:
          if (!
#line 3355 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0))
            return -1;
          return 7026; /* *extendvnx2sivnx2di2 */

        default:
          return -1;
        }

    case TRUNCATE:
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      x6 = XEXP (x4, 0);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          switch (pattern854 (x2, 
E_VNx8HImode, 
E_VNx8BImode))
            {
            case 0:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x81) == 0))
                return -1;
              return 7028; /* aarch64_pred_sxtvnx8hivnx8qi */

            case 1:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x41) == 0))
                return -1;
              return 7029; /* aarch64_pred_sxtvnx8hivnx4qi */

            case 2:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x21) == 0))
                return -1;
              return 7030; /* aarch64_pred_sxtvnx8hivnx2qi */

            case 3:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x42) == 0))
                return -1;
              return 7031; /* aarch64_pred_sxtvnx8hivnx4hi */

            case 4:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x22) == 0))
                return -1;
              return 7032; /* aarch64_pred_sxtvnx8hivnx2hi */

            case 5:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x81 & 0x24) == 0))
                return -1;
              return 7033; /* aarch64_pred_sxtvnx8hivnx2si */

            default:
              return -1;
            }

        case E_VNx4SImode:
          switch (pattern854 (x2, 
E_VNx4SImode, 
E_VNx4BImode))
            {
            case 0:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x81) == 0))
                return -1;
              return 7034; /* aarch64_pred_sxtvnx4sivnx8qi */

            case 1:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x41) == 0))
                return -1;
              return 7035; /* aarch64_pred_sxtvnx4sivnx4qi */

            case 2:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x21) == 0))
                return -1;
              return 7036; /* aarch64_pred_sxtvnx4sivnx2qi */

            case 3:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x42) == 0))
                return -1;
              return 7037; /* aarch64_pred_sxtvnx4sivnx4hi */

            case 4:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x22) == 0))
                return -1;
              return 7038; /* aarch64_pred_sxtvnx4sivnx2hi */

            case 5:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x43 & 0x24) == 0))
                return -1;
              return 7039; /* aarch64_pred_sxtvnx4sivnx2si */

            default:
              return -1;
            }

        case E_VNx2DImode:
          switch (pattern854 (x2, 
E_VNx2DImode, 
E_VNx2BImode))
            {
            case 0:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x81) == 0))
                return -1;
              return 7040; /* aarch64_pred_sxtvnx2divnx8qi */

            case 1:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x41) == 0))
                return -1;
              return 7041; /* aarch64_pred_sxtvnx2divnx4qi */

            case 2:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x21) == 0))
                return -1;
              return 7042; /* aarch64_pred_sxtvnx2divnx2qi */

            case 3:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x42) == 0))
                return -1;
              return 7043; /* aarch64_pred_sxtvnx2divnx4hi */

            case 4:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x22) == 0))
                return -1;
              return 7044; /* aarch64_pred_sxtvnx2divnx2hi */

            case 5:
              if (!
#line 3371 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (~0x27 & 0x24) == 0))
                return -1;
              return 7045; /* aarch64_pred_sxtvnx2divnx2si */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_76 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      if (pattern721 (x3, 
E_VNx16BImode, 
E_VNx32QImode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11086; /* aarch64_sve_ldnqvnx32qi */

    case E_VNx16HImode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx16HImode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11087; /* aarch64_sve_ldnqvnx16hi */

    case E_VNx8SImode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx8SImode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11088; /* aarch64_sve_ldnqvnx8si */

    case E_VNx4DImode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx4DImode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11089; /* aarch64_sve_ldnqvnx4di */

    case E_VNx16BFmode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx16BFmode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11090; /* aarch64_sve_ldnqvnx16bf */

    case E_VNx16HFmode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx16HFmode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11091; /* aarch64_sve_ldnqvnx16hf */

    case E_VNx8SFmode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx8SFmode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11092; /* aarch64_sve_ldnqvnx8sf */

    case E_VNx4DFmode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx4DFmode, 
E_VNx2TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11093; /* aarch64_sve_ldnqvnx4df */

    case E_VNx48QImode:
      if (pattern721 (x3, 
E_VNx16BImode, 
E_VNx48QImode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11094; /* aarch64_sve_ldnqvnx48qi */

    case E_VNx24HImode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx24HImode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11095; /* aarch64_sve_ldnqvnx24hi */

    case E_VNx12SImode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx12SImode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11096; /* aarch64_sve_ldnqvnx12si */

    case E_VNx6DImode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx6DImode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11097; /* aarch64_sve_ldnqvnx6di */

    case E_VNx24BFmode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx24BFmode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11098; /* aarch64_sve_ldnqvnx24bf */

    case E_VNx24HFmode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx24HFmode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11099; /* aarch64_sve_ldnqvnx24hf */

    case E_VNx12SFmode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx12SFmode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11100; /* aarch64_sve_ldnqvnx12sf */

    case E_VNx6DFmode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx6DFmode, 
E_VNx3TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11101; /* aarch64_sve_ldnqvnx6df */

    case E_VNx64QImode:
      if (pattern721 (x3, 
E_VNx16BImode, 
E_VNx64QImode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11102; /* aarch64_sve_ldnqvnx64qi */

    case E_VNx32HImode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx32HImode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11103; /* aarch64_sve_ldnqvnx32hi */

    case E_VNx16SImode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx16SImode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11104; /* aarch64_sve_ldnqvnx16si */

    case E_VNx8DImode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx8DImode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11105; /* aarch64_sve_ldnqvnx8di */

    case E_VNx32BFmode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx32BFmode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11106; /* aarch64_sve_ldnqvnx32bf */

    case E_VNx32HFmode:
      if (pattern721 (x3, 
E_VNx8BImode, 
E_VNx32HFmode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11107; /* aarch64_sve_ldnqvnx32hf */

    case E_VNx16SFmode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx16SFmode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11108; /* aarch64_sve_ldnqvnx16sf */

    case E_VNx8DFmode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx8DFmode, 
E_VNx4TImode) != 0
          || !
#line 249 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11109; /* aarch64_sve_ldnqvnx8df */

    default:
      return -1;
    }
}

 int
recog_77 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  switch (pattern372 (x3))
    {
    case 0:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4579; /* aarch64_rev_reglistv2x8qi */

    case 1:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4580; /* aarch64_rev_reglistv2x4hi */

    case 2:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4581; /* aarch64_rev_reglistv2x2si */

    case 3:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4582; /* aarch64_rev_reglistv2x1di */

    case 4:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4583; /* aarch64_rev_reglistv2x4hf */

    case 5:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4584; /* aarch64_rev_reglistv2x2sf */

    case 6:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4585; /* aarch64_rev_reglistv2x1df */

    case 7:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4586; /* aarch64_rev_reglistv2x4bf */

    case 8:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4587; /* aarch64_rev_reglistv3x8qi */

    case 9:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4588; /* aarch64_rev_reglistv3x4hi */

    case 10:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4589; /* aarch64_rev_reglistv3x2si */

    case 11:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4590; /* aarch64_rev_reglistv3x1di */

    case 12:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4591; /* aarch64_rev_reglistv3x4hf */

    case 13:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4592; /* aarch64_rev_reglistv3x2sf */

    case 14:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4593; /* aarch64_rev_reglistv3x1df */

    case 15:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4594; /* aarch64_rev_reglistv3x4bf */

    case 16:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4595; /* aarch64_rev_reglistv4x8qi */

    case 17:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4596; /* aarch64_rev_reglistv4x4hi */

    case 18:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4597; /* aarch64_rev_reglistv4x2si */

    case 19:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4598; /* aarch64_rev_reglistv4x1di */

    case 20:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4599; /* aarch64_rev_reglistv4x4hf */

    case 21:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4600; /* aarch64_rev_reglistv4x2sf */

    case 22:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4601; /* aarch64_rev_reglistv4x1df */

    case 23:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4602; /* aarch64_rev_reglistv4x4bf */

    case 24:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4603; /* aarch64_rev_reglistv2x16qi */

    case 25:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4604; /* aarch64_rev_reglistv2x8hi */

    case 26:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4605; /* aarch64_rev_reglistv2x4si */

    case 27:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4606; /* aarch64_rev_reglistv2x2di */

    case 28:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4607; /* aarch64_rev_reglistv2x8hf */

    case 29:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4608; /* aarch64_rev_reglistv2x4sf */

    case 30:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4609; /* aarch64_rev_reglistv2x2df */

    case 31:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4610; /* aarch64_rev_reglistv2x8bf */

    case 32:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4611; /* aarch64_rev_reglistv3x16qi */

    case 33:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4612; /* aarch64_rev_reglistv3x8hi */

    case 34:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4613; /* aarch64_rev_reglistv3x4si */

    case 35:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4614; /* aarch64_rev_reglistv3x2di */

    case 36:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4615; /* aarch64_rev_reglistv3x8hf */

    case 37:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4616; /* aarch64_rev_reglistv3x4sf */

    case 38:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4617; /* aarch64_rev_reglistv3x2df */

    case 39:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4618; /* aarch64_rev_reglistv3x8bf */

    case 40:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4619; /* aarch64_rev_reglistv4x16qi */

    case 41:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4620; /* aarch64_rev_reglistv4x8hi */

    case 42:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4621; /* aarch64_rev_reglistv4x4si */

    case 43:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4622; /* aarch64_rev_reglistv4x2di */

    case 44:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4623; /* aarch64_rev_reglistv4x8hf */

    case 45:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4624; /* aarch64_rev_reglistv4x4sf */

    case 46:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4625; /* aarch64_rev_reglistv4x2df */

    case 47:
      if (!
#line 7928 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4626; /* aarch64_rev_reglistv4x8bf */

    default:
      return -1;
    }
}

 int
recog_86 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_BLKmode)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!aarch64_simd_struct_operand (operands[0], E_BLKmode))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!immediate_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_V2x8QImode:
      if (!register_operand (operands[1], E_V2x8QImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4427; /* aarch64_vec_store_lanesv2x8qi_lanev8qi */

    case E_V2x4HImode:
      if (!register_operand (operands[1], E_V2x4HImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4428; /* aarch64_vec_store_lanesv2x4hi_lanev4hi */

    case E_V2x2SImode:
      if (!register_operand (operands[1], E_V2x2SImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4429; /* aarch64_vec_store_lanesv2x2si_lanev2si */

    case E_V2x1DImode:
      if (!register_operand (operands[1], E_V2x1DImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4430; /* aarch64_vec_store_lanesv2x1di_lanedi */

    case E_V2x4HFmode:
      if (!register_operand (operands[1], E_V2x4HFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4431; /* aarch64_vec_store_lanesv2x4hf_lanev4hf */

    case E_V2x2SFmode:
      if (!register_operand (operands[1], E_V2x2SFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4432; /* aarch64_vec_store_lanesv2x2sf_lanev2sf */

    case E_V2x1DFmode:
      if (!register_operand (operands[1], E_V2x1DFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4433; /* aarch64_vec_store_lanesv2x1df_lanedf */

    case E_V2x4BFmode:
      if (!register_operand (operands[1], E_V2x4BFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4434; /* aarch64_vec_store_lanesv2x4bf_lanev4bf */

    case E_V2x16QImode:
      if (!register_operand (operands[1], E_V2x16QImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4435; /* aarch64_vec_store_lanesv2x16qi_lanev16qi */

    case E_V2x8HImode:
      if (!register_operand (operands[1], E_V2x8HImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4436; /* aarch64_vec_store_lanesv2x8hi_lanev8hi */

    case E_V2x4SImode:
      if (!register_operand (operands[1], E_V2x4SImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4437; /* aarch64_vec_store_lanesv2x4si_lanev4si */

    case E_V2x2DImode:
      if (!register_operand (operands[1], E_V2x2DImode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4438; /* aarch64_vec_store_lanesv2x2di_lanev2di */

    case E_V2x8HFmode:
      if (!register_operand (operands[1], E_V2x8HFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4439; /* aarch64_vec_store_lanesv2x8hf_lanev8hf */

    case E_V2x4SFmode:
      if (!register_operand (operands[1], E_V2x4SFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4440; /* aarch64_vec_store_lanesv2x4sf_lanev4sf */

    case E_V2x2DFmode:
      if (!register_operand (operands[1], E_V2x2DFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4441; /* aarch64_vec_store_lanesv2x2df_lanev2df */

    case E_V2x8BFmode:
      if (!register_operand (operands[1], E_V2x8BFmode)
          || !
#line 7629 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4442; /* aarch64_vec_store_lanesv2x8bf_lanev8bf */

    default:
      return -1;
    }
}

 int
recog_95 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern79 (x1))
    {
    case 0:
      if (!(
#line 7428 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 1084; /* fmax_nanhf3 */

    case 1:
      if (!
#line 7428 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1088; /* fmax_nansf3 */

    case 2:
      if (!
#line 7428 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 1092; /* fmax_nandf3 */

    case 3:
      if (!(
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2666; /* fmax_nanv4hf3 */

    case 4:
      if (!(
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2678; /* fmax_nanv8hf3 */

    case 5:
      if (!
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2682; /* fmax_nanv2sf3 */

    case 6:
      if (!
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2694; /* fmax_nanv4sf3 */

    case 7:
      if (!
#line 3361 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2698; /* fmax_nanv2df3 */

    case 8:
      if (!(
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12213; /* *aarch64_sve_fmaxvnx16bf */

    case 9:
      if (!(
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12217; /* *aarch64_sve_fmaxvnx32bf */

    case 10:
      if (!
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12221; /* *aarch64_sve_fmaxvnx16hf */

    case 11:
      if (!
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12225; /* *aarch64_sve_fmaxvnx8sf */

    case 12:
      if (!
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12229; /* *aarch64_sve_fmaxvnx4df */

    case 13:
      if (!
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12233; /* *aarch64_sve_fmaxvnx32hf */

    case 14:
      if (!
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12237; /* *aarch64_sve_fmaxvnx16sf */

    case 15:
      if (!
#line 2515 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12241; /* *aarch64_sve_fmaxvnx8df */

    case 16:
      if (!(
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 693 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12245; /* aarch64_sve_single_fmaxvnx16bf */

    case 17:
      if (!(
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 694 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 12249; /* aarch64_sve_single_fmaxvnx32bf */

    case 18:
      if (!
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12253; /* aarch64_sve_single_fmaxvnx16hf */

    case 19:
      if (!
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12257; /* aarch64_sve_single_fmaxvnx8sf */

    case 20:
      if (!
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12261; /* aarch64_sve_single_fmaxvnx4df */

    case 21:
      if (!
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12265; /* aarch64_sve_single_fmaxvnx32hf */

    case 22:
      if (!
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12269; /* aarch64_sve_single_fmaxvnx16sf */

    case 23:
      if (!
#line 2526 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12273; /* aarch64_sve_single_fmaxvnx8df */

    default:
      return -1;
    }
}

 int
recog_104 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  switch (pattern373 (x3))
    {
    case 0:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5566; /* *aarch64_sve_movvnx16qi_subreg_be */

    case 1:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5567; /* *aarch64_sve_movvnx8qi_subreg_be */

    case 2:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5568; /* *aarch64_sve_movvnx4qi_subreg_be */

    case 3:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5569; /* *aarch64_sve_movvnx2qi_subreg_be */

    case 4:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5570; /* *aarch64_sve_movvnx8hi_subreg_be */

    case 5:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5571; /* *aarch64_sve_movvnx4hi_subreg_be */

    case 6:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5572; /* *aarch64_sve_movvnx2hi_subreg_be */

    case 7:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5573; /* *aarch64_sve_movvnx4si_subreg_be */

    case 8:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5574; /* *aarch64_sve_movvnx2si_subreg_be */

    case 9:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5575; /* *aarch64_sve_movvnx2di_subreg_be */

    case 10:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5576; /* *aarch64_sve_movvnx8hf_subreg_be */

    case 11:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5577; /* *aarch64_sve_movvnx4hf_subreg_be */

    case 12:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5578; /* *aarch64_sve_movvnx2hf_subreg_be */

    case 13:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5579; /* *aarch64_sve_movvnx8bf_subreg_be */

    case 14:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5580; /* *aarch64_sve_movvnx4bf_subreg_be */

    case 15:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5581; /* *aarch64_sve_movvnx2bf_subreg_be */

    case 16:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5582; /* *aarch64_sve_movvnx4sf_subreg_be */

    case 17:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5583; /* *aarch64_sve_movvnx2sf_subreg_be */

    case 18:
      if (!
#line 776 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN))
        return -1;
      return 5584; /* *aarch64_sve_movvnx2df_subreg_be */

    default:
      return -1;
    }
}

 int
recog_109 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (pattern715 (x3, 
E_V16QImode, 
E_VNx16BImode, 
E_VNx16QImode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6441; /* aarch64_sve_ld1rqvnx16qi */

    case E_VNx8HImode:
      if (pattern715 (x3, 
E_V8HImode, 
E_VNx8BImode, 
E_VNx8HImode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6442; /* aarch64_sve_ld1rqvnx8hi */

    case E_VNx4SImode:
      if (pattern715 (x3, 
E_V4SImode, 
E_VNx4BImode, 
E_VNx4SImode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6443; /* aarch64_sve_ld1rqvnx4si */

    case E_VNx2DImode:
      if (pattern715 (x3, 
E_V2DImode, 
E_VNx2BImode, 
E_VNx2DImode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6444; /* aarch64_sve_ld1rqvnx2di */

    case E_VNx8BFmode:
      if (pattern715 (x3, 
E_V8BFmode, 
E_VNx8BImode, 
E_VNx8BFmode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6445; /* aarch64_sve_ld1rqvnx8bf */

    case E_VNx8HFmode:
      if (pattern715 (x3, 
E_V8HFmode, 
E_VNx8BImode, 
E_VNx8HFmode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6446; /* aarch64_sve_ld1rqvnx8hf */

    case E_VNx4SFmode:
      if (pattern715 (x3, 
E_V4SFmode, 
E_VNx4BImode, 
E_VNx4SFmode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6447; /* aarch64_sve_ld1rqvnx4sf */

    case E_VNx2DFmode:
      if (pattern715 (x3, 
E_V2DFmode, 
E_VNx2BImode, 
E_VNx2DFmode) != 0
          || !
#line 2804 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 6448; /* aarch64_sve_ld1rqvnx2df */

    default:
      return -1;
    }
}

 int
recog_117 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern86 (x1))
    {
    case 0:
      if (!(
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1574; /* aarch64_rsqrtsv4hf */

    case 1:
      if (!(
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1575; /* aarch64_rsqrtsv8hf */

    case 2:
      if (!
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1576; /* aarch64_rsqrtsv2sf */

    case 3:
      if (!
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1577; /* aarch64_rsqrtsv4sf */

    case 4:
      if (!
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1578; /* aarch64_rsqrtsv2df */

    case 5:
      if (!(
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1579; /* aarch64_rsqrtshf */

    case 6:
      if (!
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1580; /* aarch64_rsqrtssf */

    case 7:
      if (!
#line 742 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1581; /* aarch64_rsqrtsdf */

    case 8:
      if (!
#line 5408 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8476; /* aarch64_sve_frsqrtsvnx8hf */

    case 9:
      if (!
#line 5408 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8478; /* aarch64_sve_frsqrtsvnx4sf */

    case 10:
      if (!
#line 5408 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8480; /* aarch64_sve_frsqrtsvnx2df */

    default:
      return -1;
    }
}

 int
recog_127 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern138 (x1))
    {
    case 0:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12811; /* aarch64_sve_uzpqvnx32qi */

    case 1:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12813; /* aarch64_sve_uzpqvnx16hi */

    case 2:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12815; /* aarch64_sve_uzpqvnx8si */

    case 3:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12817; /* aarch64_sve_uzpqvnx4di */

    case 4:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12819; /* aarch64_sve_uzpqvnx16bf */

    case 5:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12821; /* aarch64_sve_uzpqvnx16hf */

    case 6:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12823; /* aarch64_sve_uzpqvnx8sf */

    case 7:
      if (!
#line 3885 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 12825; /* aarch64_sve_uzpqvnx4df */

    default:
      return -1;
    }
}

 int
recog_136 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern117 (x1))
    {
    case 0:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10642; /* aarch64_sve_zip2qvnx16qi */

    case 1:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10648; /* aarch64_sve_zip2qvnx8hi */

    case 2:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10654; /* aarch64_sve_zip2qvnx4si */

    case 3:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10660; /* aarch64_sve_zip2qvnx2di */

    case 4:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10666; /* aarch64_sve_zip2qvnx8bf */

    case 5:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10672; /* aarch64_sve_zip2qvnx8hf */

    case 6:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10678; /* aarch64_sve_zip2qvnx4sf */

    case 7:
      if (!
#line 9227 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE_F64MM))
        return -1;
      return 10684; /* aarch64_sve_zip2qvnx2df */

    default:
      return -1;
    }
}

 int
recog_146 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern90 (x1))
    {
    case 0:
      if (!(
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2157; /* aarch64_smin_nanpv4hf */

    case 1:
      if (!(
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2167; /* aarch64_smin_nanpv8hf */

    case 2:
      if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2173; /* aarch64_smin_nanpv2sf */

    case 3:
      if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2183; /* aarch64_smin_nanpv4sf */

    case 4:
      if (!
#line 1811 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2187; /* aarch64_smin_nanpv2df */

    case 5:
      if (!
#line 9027 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10362; /* aarch64_pred_reduc_smin_nan_vnx8hf */

    case 6:
      if (!
#line 9027 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10367; /* aarch64_pred_reduc_smin_nan_vnx4sf */

    case 7:
      if (!
#line 9027 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10372; /* aarch64_pred_reduc_smin_nan_vnx2df */

    default:
      return -1;
    }
}

 int
recog_157 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V2x4QImode:
      if (pattern713 (x3, 
E_SImode, 
E_V2x4QImode) != 0)
        return -1;
      return 91; /* *store_pair_4 */

    case E_V2x8QImode:
      if (pattern713 (x3, 
E_DImode, 
E_V2x8QImode) != 0)
        return -1;
      return 92; /* *store_pair_8 */

    case E_V2x16QImode:
      if (!aarch64_mem_pair_lanes_operand (operands[0], E_V2x16QImode)
          || GET_MODE (x3) != E_V2x16QImode
          || !aarch64_ldp_reg_operand (operands[1], E_TImode)
          || !aarch64_ldp_reg_operand (operands[2], E_TImode)
          || !
#line 2110 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 93; /* *store_pair_16 */

    default:
      return -1;
    }
}

 int
recog_169 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern85 (x1))
    {
    case 0:
      if (!(
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1389; /* aarch64_fcadd270v4hf */

    case 1:
      if (!(
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1393; /* aarch64_fcadd270v8hf */

    case 2:
      if (!
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
        return -1;
      return 1397; /* aarch64_fcadd270v2sf */

    case 3:
      if (!
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
        return -1;
      return 1401; /* aarch64_fcadd270v4sf */

    case 4:
      if (!
#line 439 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX))
        return -1;
      return 1403; /* aarch64_fcadd270v2df */

    default:
      return -1;
    }
}

 int
recog_179 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern135 (x1))
    {
    case 0:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12693; /* aarch64_pred_reduc_eorqv_vnx16qi */

    case 1:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12701; /* aarch64_pred_reduc_eorqv_vnx8hi */

    case 2:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12709; /* aarch64_pred_reduc_eorqv_vnx4si */

    case 3:
      if (!
#line 3723 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 12717; /* aarch64_pred_reduc_eorqv_vnx2di */

    default:
      return -1;
    }
}

 int
recog_189 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern114 (x1))
    {
    case 0:
      if (!
#line 8961 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 8))
        return -1;
      return 10324; /* aarch64_pred_reduc_uadd_vnx16qi */

    case 1:
      if (!
#line 8961 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
        return -1;
      return 10326; /* aarch64_pred_reduc_uadd_vnx8hi */

    case 2:
      if (!
#line 8961 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
        return -1;
      return 10328; /* aarch64_pred_reduc_uadd_vnx4si */

    case 3:
      if (!
#line 8961 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
        return -1;
      return 10330; /* aarch64_pred_reduc_uadd_vnx2di */

    default:
      return -1;
    }
}

 int
recog_201 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  switch (XWINT (x4, 0))
    {
    case 0L:
      switch (pattern1110 (x2))
        {
        case 0:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10787; /* *cond_fixuns_trunc_nontruncvnx8hfvnx8hi_relaxed */
          break;

        case 1:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10789; /* *cond_fixuns_trunc_nontruncvnx4sfvnx8hi_relaxed */
          break;

        case 2:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10791; /* *cond_fixuns_trunc_nontruncvnx2dfvnx8hi_relaxed */
          break;

        case 3:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10793; /* *cond_fixuns_trunc_nontruncvnx8hfvnx4si_relaxed */
          break;

        case 4:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10795; /* *cond_fixuns_trunc_nontruncvnx4sfvnx4si_relaxed */
          break;

        case 5:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10797; /* *cond_fixuns_trunc_nontruncvnx2dfvnx4si_relaxed */
          break;

        case 6:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10799; /* *cond_fixuns_trunc_nontruncvnx8hfvnx2di_relaxed */
          break;

        case 7:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10801; /* *cond_fixuns_trunc_nontruncvnx4sfvnx2di_relaxed */
          break;

        case 8:
          if (
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10803; /* *cond_fixuns_trunc_nontruncvnx2dfvnx2di_relaxed */
          break;

        default:
          break;
        }
      break;

    case 1L:
      switch (pattern1111 (x2))
        {
        case 0:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10805; /* *cond_fixuns_trunc_nontruncvnx8hfvnx8hi_strict */
          break;

        case 1:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10807; /* *cond_fixuns_trunc_nontruncvnx4sfvnx8hi_strict */
          break;

        case 2:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10809; /* *cond_fixuns_trunc_nontruncvnx2dfvnx8hi_strict */
          break;

        case 3:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10811; /* *cond_fixuns_trunc_nontruncvnx8hfvnx4si_strict */
          break;

        case 4:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10813; /* *cond_fixuns_trunc_nontruncvnx4sfvnx4si_strict */
          break;

        case 5:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10815; /* *cond_fixuns_trunc_nontruncvnx2dfvnx4si_strict */
          break;

        case 6:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10817; /* *cond_fixuns_trunc_nontruncvnx8hfvnx2di_strict */
          break;

        case 7:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10819; /* *cond_fixuns_trunc_nontruncvnx4sfvnx2di_strict */
          break;

        case 8:
          if (
#line 9482 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10821; /* *cond_fixuns_trunc_nontruncvnx2dfvnx2di_strict */
          break;

        default:
          break;
        }
      break;

    default:
      break;
    }
  if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
      || pattern1112 (x2, 
E_VNx2DFmode, 
E_VNx4SImode) != 0
      || !
#line 9516 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
    return -1;
  return 10823; /* *cond_fixuns_trunc_truncvnx2dfvnx4si */
}

 int
recog_211 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1242 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11746; /* *cond_uqshlvnx16qi_2 */
    }
  if (register_operand (operands[3], E_VNx16QImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1269 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11754; /* *cond_uqshlvnx16qi_3 */
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx16QImode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !
#line 1294 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))))
    return -1;
  return 11762; /* *cond_uqshlvnx16qi_any */
}

 int
recog_218 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11609; /* *cond_urshlvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11654; /* *cond_urshlvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11694; /* *cond_urshlvnx8hi_any */
}

 int
recog_224 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11631; /* *cond_uqrshlvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11672; /* *cond_uqrshlvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11712; /* *cond_uqrshlvnx2di_any */
}

 int
recog_233 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11617; /* *cond_uhaddvnx4si_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11660; /* *cond_uhaddvnx4si_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11700; /* *cond_uhaddvnx4si_any */
}

 int
recog_243 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11590; /* *cond_srhaddvnx16qi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11638; /* *cond_srhaddvnx16qi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11678; /* *cond_srhaddvnx16qi_any */
}

 int
recog_253 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern850 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8359; /* *cond_asrdvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8399; /* *cond_asrdvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8363; /* *cond_asrdvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8403; /* *cond_asrdvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8367; /* *cond_asrdvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8407; /* *cond_asrdvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8371; /* *cond_asrdvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8411; /* *cond_asrdvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8375; /* *cond_asrdvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8415; /* *cond_asrdvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8379; /* *cond_asrdvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8419; /* *cond_asrdvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8383; /* *cond_asrdvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8423; /* *cond_asrdvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8387; /* *cond_asrdvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8427; /* *cond_asrdvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8391; /* *cond_asrdvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8431; /* *cond_asrdvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8395; /* *cond_asrdvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8435; /* *cond_asrdvnx2di_any */

    case 10:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8360; /* *cond_sqshluvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8400; /* *cond_sqshluvnx16qi_any */

    case 11:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8364; /* *cond_sqshluvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8404; /* *cond_sqshluvnx8qi_any */

    case 12:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8368; /* *cond_sqshluvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8408; /* *cond_sqshluvnx4qi_any */

    case 13:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8372; /* *cond_sqshluvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8412; /* *cond_sqshluvnx2qi_any */

    case 14:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8376; /* *cond_sqshluvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8416; /* *cond_sqshluvnx8hi_any */

    case 15:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8380; /* *cond_sqshluvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8420; /* *cond_sqshluvnx4hi_any */

    case 16:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8384; /* *cond_sqshluvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8424; /* *cond_sqshluvnx2hi_any */

    case 17:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8388; /* *cond_sqshluvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8428; /* *cond_sqshluvnx4si_any */

    case 18:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8392; /* *cond_sqshluvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8432; /* *cond_sqshluvnx2si_any */

    case 19:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8396; /* *cond_sqshluvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3254 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8436; /* *cond_sqshluvnx2di_any */

    case 20:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8361; /* *cond_srshrvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8401; /* *cond_srshrvnx16qi_any */

    case 21:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8365; /* *cond_srshrvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8405; /* *cond_srshrvnx8qi_any */

    case 22:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8369; /* *cond_srshrvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8409; /* *cond_srshrvnx4qi_any */

    case 23:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8373; /* *cond_srshrvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8413; /* *cond_srshrvnx2qi_any */

    case 24:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8377; /* *cond_srshrvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8417; /* *cond_srshrvnx8hi_any */

    case 25:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8381; /* *cond_srshrvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8421; /* *cond_srshrvnx4hi_any */

    case 26:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8385; /* *cond_srshrvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8425; /* *cond_srshrvnx2hi_any */

    case 27:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8389; /* *cond_srshrvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8429; /* *cond_srshrvnx4si_any */

    case 28:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8393; /* *cond_srshrvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8433; /* *cond_srshrvnx2si_any */

    case 29:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8397; /* *cond_srshrvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3255 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8437; /* *cond_srshrvnx2di_any */

    case 30:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8362; /* *cond_urshrvnx16qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8402; /* *cond_urshrvnx16qi_any */

    case 31:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8366; /* *cond_urshrvnx8qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8406; /* *cond_urshrvnx8qi_any */

    case 32:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8370; /* *cond_urshrvnx4qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8410; /* *cond_urshrvnx4qi_any */

    case 33:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8374; /* *cond_urshrvnx2qi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8414; /* *cond_urshrvnx2qi_any */

    case 34:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8378; /* *cond_urshrvnx8hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8418; /* *cond_urshrvnx8hi_any */

    case 35:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8382; /* *cond_urshrvnx4hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8422; /* *cond_urshrvnx4hi_any */

    case 36:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8386; /* *cond_urshrvnx2hi_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8426; /* *cond_urshrvnx2hi_any */

    case 37:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8390; /* *cond_urshrvnx4si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8430; /* *cond_urshrvnx4si_any */

    case 38:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8394; /* *cond_urshrvnx2si_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8434; /* *cond_urshrvnx2si_any */

    case 39:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5110 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 8398; /* *cond_urshrvnx2di_2 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 5135 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 3256 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 8438; /* *cond_urshrvnx2di_any */

    case 40:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11587; /* *cond_shaddvnx16qi_2 */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11635; /* *cond_shaddvnx16qi_3 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 11675; /* *cond_shaddvnx16qi_any */

    case 41:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11599; /* *cond_shaddvnx8hi_2 */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11645; /* *cond_shaddvnx8hi_3 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 11685; /* *cond_shaddvnx8hi_any */

    case 42:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11611; /* *cond_shaddvnx4si_2 */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11655; /* *cond_shaddvnx4si_3 */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 11695; /* *cond_shaddvnx4si_any */

    case 43:
      return recog_252 (x1, insn, pnum_clobbers);

    case 44:
      return recog_251 (x1, insn, pnum_clobbers);

    case 45:
      return recog_250 (x1, insn, pnum_clobbers);

    case 46:
      return recog_249 (x1, insn, pnum_clobbers);

    case 47:
      return recog_248 (x1, insn, pnum_clobbers);

    case 48:
      return recog_247 (x1, insn, pnum_clobbers);

    case 49:
      return recog_246 (x1, insn, pnum_clobbers);

    case 50:
      return recog_245 (x1, insn, pnum_clobbers);

    case 51:
      return recog_244 (x1, insn, pnum_clobbers);

    case 52:
      return recog_243 (x1, insn, pnum_clobbers);

    case 53:
      return recog_242 (x1, insn, pnum_clobbers);

    case 54:
      return recog_241 (x1, insn, pnum_clobbers);

    case 55:
      return recog_240 (x1, insn, pnum_clobbers);

    case 56:
      return recog_239 (x1, insn, pnum_clobbers);

    case 57:
      return recog_238 (x1, insn, pnum_clobbers);

    case 58:
      return recog_237 (x1, insn, pnum_clobbers);

    case 59:
      return recog_236 (x1, insn, pnum_clobbers);

    case 60:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11592; /* *cond_suqaddvnx16qi_2 */

    case 61:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11604; /* *cond_suqaddvnx8hi_2 */

    case 62:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11616; /* *cond_suqaddvnx4si_2 */

    case 63:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11628; /* *cond_suqaddvnx2di_2 */

    case 64:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11715; /* *cond_suqaddvnx16qi_z */

    case 65:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11717; /* *cond_suqaddvnx8hi_z */

    case 66:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11719; /* *cond_suqaddvnx4si_z */

    case 67:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11721; /* *cond_suqaddvnx2di_z */

    case 68:
      return recog_235 (x1, insn, pnum_clobbers);

    case 69:
      return recog_234 (x1, insn, pnum_clobbers);

    case 70:
      return recog_233 (x1, insn, pnum_clobbers);

    case 71:
      return recog_232 (x1, insn, pnum_clobbers);

    case 72:
      return recog_231 (x1, insn, pnum_clobbers);

    case 73:
      return recog_230 (x1, insn, pnum_clobbers);

    case 74:
      return recog_229 (x1, insn, pnum_clobbers);

    case 75:
      return recog_228 (x1, insn, pnum_clobbers);

    case 76:
      return recog_227 (x1, insn, pnum_clobbers);

    case 77:
      return recog_226 (x1, insn, pnum_clobbers);

    case 78:
      return recog_225 (x1, insn, pnum_clobbers);

    case 79:
      return recog_224 (x1, insn, pnum_clobbers);

    case 80:
      return recog_223 (x1, insn, pnum_clobbers);

    case 81:
      return recog_222 (x1, insn, pnum_clobbers);

    case 82:
      return recog_221 (x1, insn, pnum_clobbers);

    case 83:
      return recog_220 (x1, insn, pnum_clobbers);

    case 84:
      return recog_219 (x1, insn, pnum_clobbers);

    case 85:
      return recog_218 (x1, insn, pnum_clobbers);

    case 86:
      return recog_217 (x1, insn, pnum_clobbers);

    case 87:
      return recog_216 (x1, insn, pnum_clobbers);

    case 88:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11598; /* *cond_usqaddvnx16qi_2 */

    case 89:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11610; /* *cond_usqaddvnx8hi_2 */

    case 90:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11622; /* *cond_usqaddvnx4si_2 */

    case 91:
      if (!
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11634; /* *cond_usqaddvnx2di_2 */

    case 92:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11716; /* *cond_usqaddvnx16qi_z */

    case 93:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11718; /* *cond_usqaddvnx8hi_z */

    case 94:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11720; /* *cond_usqaddvnx4si_z */

    case 95:
      if (!
#line 1135 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11722; /* *cond_usqaddvnx2di_z */

    case 96:
      return recog_215 (x1, insn, pnum_clobbers);

    case 97:
      return recog_214 (x1, insn, pnum_clobbers);

    case 98:
      return recog_213 (x1, insn, pnum_clobbers);

    case 99:
      return recog_212 (x1, insn, pnum_clobbers);

    case 100:
      return recog_211 (x1, insn, pnum_clobbers);

    case 101:
      return recog_210 (x1, insn, pnum_clobbers);

    case 102:
      return recog_209 (x1, insn, pnum_clobbers);

    case 103:
      return recog_208 (x1, insn, pnum_clobbers);

    case 104:
      if (!
#line 3503 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12589; /* *cond_urecpevnx4si */

    case 105:
      if (!
#line 3503 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12590; /* *cond_ursqrtevnx4si */

    default:
      return -1;
    }
}

 int
recog_280 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern724 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7454; /* *cond_ussubvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7624; /* *cond_ussubvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7794; /* *cond_ussubvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7471; /* *cond_ussubvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7641; /* *cond_ussubvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7811; /* *cond_ussubvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7488; /* *cond_ussubvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7658; /* *cond_ussubvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7828; /* *cond_ussubvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7505; /* *cond_ussubvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7675; /* *cond_ussubvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7845; /* *cond_ussubvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7522; /* *cond_ussubvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7692; /* *cond_ussubvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7862; /* *cond_ussubvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7539; /* *cond_ussubvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7709; /* *cond_ussubvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7879; /* *cond_ussubvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7556; /* *cond_ussubvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7726; /* *cond_ussubvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7896; /* *cond_ussubvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7573; /* *cond_ussubvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7743; /* *cond_ussubvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7913; /* *cond_ussubvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7590; /* *cond_ussubvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7760; /* *cond_ussubvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7930; /* *cond_ussubvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7607; /* *cond_ussubvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7777; /* *cond_ussubvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2764 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7947; /* *cond_ussubvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_288 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern724 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7442; /* *cond_umaxvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7612; /* *cond_umaxvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7782; /* *cond_umaxvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7459; /* *cond_umaxvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7629; /* *cond_umaxvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7799; /* *cond_umaxvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7476; /* *cond_umaxvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7646; /* *cond_umaxvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7816; /* *cond_umaxvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7493; /* *cond_umaxvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7663; /* *cond_umaxvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7833; /* *cond_umaxvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7510; /* *cond_umaxvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7680; /* *cond_umaxvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7850; /* *cond_umaxvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7527; /* *cond_umaxvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7697; /* *cond_umaxvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7867; /* *cond_umaxvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7544; /* *cond_umaxvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7714; /* *cond_umaxvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7884; /* *cond_umaxvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7561; /* *cond_umaxvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7731; /* *cond_umaxvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7901; /* *cond_umaxvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7578; /* *cond_umaxvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7748; /* *cond_umaxvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7918; /* *cond_umaxvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4005 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7595; /* *cond_umaxvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4022 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 7765; /* *cond_umaxvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4039 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 7935; /* *cond_umaxvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_298 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  if (!aarch64_sve_ptrue_flag (operands[2], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  switch (GET_CODE (x6))
    {
    case LT:
      switch (pattern867 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9445; /* aarch64_pred_cmpltvnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9455; /* aarch64_pred_cmpltvnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9485; /* aarch64_pred_cmpltvnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9465; /* aarch64_pred_cmpltvnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9495; /* aarch64_pred_cmpltvnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9515; /* aarch64_pred_cmpltvnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9475; /* aarch64_pred_cmpltvnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9505; /* aarch64_pred_cmpltvnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9525; /* aarch64_pred_cmpltvnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9535; /* aarch64_pred_cmpltvnx2di */

        default:
          return -1;
        }

    case LE:
      switch (pattern867 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9446; /* aarch64_pred_cmplevnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9456; /* aarch64_pred_cmplevnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9486; /* aarch64_pred_cmplevnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9466; /* aarch64_pred_cmplevnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9496; /* aarch64_pred_cmplevnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9516; /* aarch64_pred_cmplevnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9476; /* aarch64_pred_cmplevnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9506; /* aarch64_pred_cmplevnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9526; /* aarch64_pred_cmplevnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9536; /* aarch64_pred_cmplevnx2di */

        default:
          return -1;
        }

    case EQ:
      switch (pattern867 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9447; /* aarch64_pred_cmpeqvnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9457; /* aarch64_pred_cmpeqvnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9487; /* aarch64_pred_cmpeqvnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9467; /* aarch64_pred_cmpeqvnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9497; /* aarch64_pred_cmpeqvnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9517; /* aarch64_pred_cmpeqvnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9477; /* aarch64_pred_cmpeqvnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9507; /* aarch64_pred_cmpeqvnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9527; /* aarch64_pred_cmpeqvnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9537; /* aarch64_pred_cmpeqvnx2di */

        default:
          return -1;
        }

    case NE:
      switch (pattern867 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9448; /* aarch64_pred_cmpnevnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9458; /* aarch64_pred_cmpnevnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9488; /* aarch64_pred_cmpnevnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9468; /* aarch64_pred_cmpnevnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9498; /* aarch64_pred_cmpnevnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9518; /* aarch64_pred_cmpnevnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9478; /* aarch64_pred_cmpnevnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9508; /* aarch64_pred_cmpnevnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9528; /* aarch64_pred_cmpnevnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9538; /* aarch64_pred_cmpnevnx2di */

        default:
          return -1;
        }

    case GE:
      switch (pattern867 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9449; /* aarch64_pred_cmpgevnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9459; /* aarch64_pred_cmpgevnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9489; /* aarch64_pred_cmpgevnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9469; /* aarch64_pred_cmpgevnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9499; /* aarch64_pred_cmpgevnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9519; /* aarch64_pred_cmpgevnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9479; /* aarch64_pred_cmpgevnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9509; /* aarch64_pred_cmpgevnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9529; /* aarch64_pred_cmpgevnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9539; /* aarch64_pred_cmpgevnx2di */

        default:
          return -1;
        }

    case GT:
      switch (pattern867 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9450; /* aarch64_pred_cmpgtvnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9460; /* aarch64_pred_cmpgtvnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9490; /* aarch64_pred_cmpgtvnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9470; /* aarch64_pred_cmpgtvnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9500; /* aarch64_pred_cmpgtvnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9520; /* aarch64_pred_cmpgtvnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9480; /* aarch64_pred_cmpgtvnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9510; /* aarch64_pred_cmpgtvnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9530; /* aarch64_pred_cmpgtvnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9540; /* aarch64_pred_cmpgtvnx2di */

        default:
          return -1;
        }

    case LTU:
      switch (pattern868 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9451; /* aarch64_pred_cmplovnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9461; /* aarch64_pred_cmplovnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9491; /* aarch64_pred_cmplovnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9471; /* aarch64_pred_cmplovnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9501; /* aarch64_pred_cmplovnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9521; /* aarch64_pred_cmplovnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9481; /* aarch64_pred_cmplovnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9511; /* aarch64_pred_cmplovnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9531; /* aarch64_pred_cmplovnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9541; /* aarch64_pred_cmplovnx2di */

        default:
          return -1;
        }

    case LEU:
      switch (pattern868 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9452; /* aarch64_pred_cmplsvnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9462; /* aarch64_pred_cmplsvnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9492; /* aarch64_pred_cmplsvnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9472; /* aarch64_pred_cmplsvnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9502; /* aarch64_pred_cmplsvnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9522; /* aarch64_pred_cmplsvnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9482; /* aarch64_pred_cmplsvnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9512; /* aarch64_pred_cmplsvnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9532; /* aarch64_pred_cmplsvnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9542; /* aarch64_pred_cmplsvnx2di */

        default:
          return -1;
        }

    case GEU:
      switch (pattern868 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9453; /* aarch64_pred_cmphsvnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9463; /* aarch64_pred_cmphsvnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9493; /* aarch64_pred_cmphsvnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9473; /* aarch64_pred_cmphsvnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9503; /* aarch64_pred_cmphsvnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9523; /* aarch64_pred_cmphsvnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9483; /* aarch64_pred_cmphsvnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9513; /* aarch64_pred_cmphsvnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9533; /* aarch64_pred_cmphsvnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9543; /* aarch64_pred_cmphsvnx2di */

        default:
          return -1;
        }

    case GTU:
      switch (pattern868 (x3))
        {
        case 0:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9454; /* aarch64_pred_cmphivnx16qi */

        case 1:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9464; /* aarch64_pred_cmphivnx8qi */

        case 2:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9494; /* aarch64_pred_cmphivnx8hi */

        case 3:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9474; /* aarch64_pred_cmphivnx4qi */

        case 4:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9504; /* aarch64_pred_cmphivnx4hi */

        case 5:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9524; /* aarch64_pred_cmphivnx4si */

        case 6:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9484; /* aarch64_pred_cmphivnx2qi */

        case 7:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9514; /* aarch64_pred_cmphivnx2hi */

        case 8:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9534; /* aarch64_pred_cmphivnx2si */

        case 9:
          if (!
#line 8184 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 9544; /* aarch64_pred_cmphivnx2di */

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x6, 0) != 2)
        return -1;
      x7 = XVECEXP (x6, 0, 0);
      operands[3] = x7;
      x8 = XVECEXP (x6, 0, 1);
      operands[4] = x8;
      switch (XINT (x6, 1))
        {
        case 341:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9845; /* aarch64_pred_cmpeqvnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9855; /* aarch64_pred_cmpeqvnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9865; /* aarch64_pred_cmpeqvnx4si_wide */

            default:
              return -1;
            }

        case 342:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9846; /* aarch64_pred_cmpgevnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9856; /* aarch64_pred_cmpgevnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9866; /* aarch64_pred_cmpgevnx4si_wide */

            default:
              return -1;
            }

        case 343:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9847; /* aarch64_pred_cmpgtvnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9857; /* aarch64_pred_cmpgtvnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9867; /* aarch64_pred_cmpgtvnx4si_wide */

            default:
              return -1;
            }

        case 344:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9848; /* aarch64_pred_cmphivnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9858; /* aarch64_pred_cmphivnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9868; /* aarch64_pred_cmphivnx4si_wide */

            default:
              return -1;
            }

        case 345:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9849; /* aarch64_pred_cmphsvnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9859; /* aarch64_pred_cmphsvnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9869; /* aarch64_pred_cmphsvnx4si_wide */

            default:
              return -1;
            }

        case 346:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9850; /* aarch64_pred_cmplevnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9860; /* aarch64_pred_cmplevnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9870; /* aarch64_pred_cmplevnx4si_wide */

            default:
              return -1;
            }

        case 347:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9851; /* aarch64_pred_cmplovnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9861; /* aarch64_pred_cmplovnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9871; /* aarch64_pred_cmplovnx4si_wide */

            default:
              return -1;
            }

        case 348:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9852; /* aarch64_pred_cmplsvnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9862; /* aarch64_pred_cmplsvnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9872; /* aarch64_pred_cmplsvnx4si_wide */

            default:
              return -1;
            }

        case 349:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9853; /* aarch64_pred_cmpltvnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9863; /* aarch64_pred_cmpltvnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9873; /* aarch64_pred_cmpltvnx4si_wide */

            default:
              return -1;
            }

        case 350:
          switch (pattern1119 (x3))
            {
            case 0:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9854; /* aarch64_pred_cmpnevnx16qi_wide */

            case 1:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9864; /* aarch64_pred_cmpnevnx8hi_wide */

            case 2:
              if (!
#line 8313 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              *pnum_clobbers = 1;
              return 9874; /* aarch64_pred_cmpnevnx4si_wide */

            default:
              return -1;
            }

        case 473:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16BImode:
              if (pattern1158 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0
                  || !
#line 4020 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && TARGET_NON_STREAMING))
                return -1;
              *pnum_clobbers = 1;
              return 12873; /* aarch64_pred_matchvnx16qi */

            case E_VNx8BImode:
              if (pattern1158 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0
                  || !
#line 4020 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && TARGET_NON_STREAMING))
                return -1;
              *pnum_clobbers = 1;
              return 12875; /* aarch64_pred_matchvnx8hi */

            default:
              return -1;
            }

        case 474:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16BImode:
              if (pattern1158 (x3, 
E_VNx16QImode, 
E_VNx16BImode) != 0
                  || !
#line 4020 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && TARGET_NON_STREAMING))
                return -1;
              *pnum_clobbers = 1;
              return 12874; /* aarch64_pred_nmatchvnx16qi */

            case E_VNx8BImode:
              if (pattern1158 (x3, 
E_VNx8HImode, 
E_VNx8BImode) != 0
                  || !
#line 4020 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && TARGET_NON_STREAMING))
                return -1;
              *pnum_clobbers = 1;
              return 12876; /* aarch64_pred_nmatchvnx8hi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_401 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern220 (x1))
    {
    case 0:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13121; /* aarch64_sme_read_horvnx32qivnx32qi */

    case 1:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13123; /* aarch64_sme_read_horvnx16hivnx16hi */

    case 2:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13125; /* aarch64_sme_read_horvnx8sivnx8si */

    case 3:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13127; /* aarch64_sme_read_horvnx4divnx4di */

    case 4:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13129; /* aarch64_sme_read_horvnx16bfvnx16bf */

    case 5:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13131; /* aarch64_sme_read_horvnx16hfvnx16hf */

    case 6:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13133; /* aarch64_sme_read_horvnx8sfvnx8sf */

    case 7:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13135; /* aarch64_sme_read_horvnx4dfvnx4df */

    case 8:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13137; /* aarch64_sme_read_horvnx64qivnx64qi */

    case 9:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13139; /* aarch64_sme_read_horvnx32hivnx32hi */

    case 10:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13141; /* aarch64_sme_read_horvnx16sivnx16si */

    case 11:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13143; /* aarch64_sme_read_horvnx8divnx8di */

    case 12:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13145; /* aarch64_sme_read_horvnx32bfvnx32bf */

    case 13:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13147; /* aarch64_sme_read_horvnx32hfvnx32hf */

    case 14:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13149; /* aarch64_sme_read_horvnx16sfvnx16sf */

    case 15:
      if (!
#line 827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13151; /* aarch64_sme_read_horvnx8dfvnx8df */

    case 16:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 8))
        return -1;
      return 13153; /* *aarch64_sme_read_horvnx32qivnx32qi_plus */

    case 17:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13155; /* *aarch64_sme_read_horvnx16hivnx16hi_plus */

    case 18:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13157; /* *aarch64_sme_read_horvnx8sivnx8si_plus */

    case 19:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13159; /* *aarch64_sme_read_horvnx4divnx4di_plus */

    case 20:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13161; /* *aarch64_sme_read_horvnx16bfvnx16bf_plus */

    case 21:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13163; /* *aarch64_sme_read_horvnx16hfvnx16hf_plus */

    case 22:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13165; /* *aarch64_sme_read_horvnx8sfvnx8sf_plus */

    case 23:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 2 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13167; /* *aarch64_sme_read_horvnx4dfvnx4df_plus */

    case 24:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 8))
        return -1;
      return 13169; /* *aarch64_sme_read_horvnx64qivnx64qi_plus */

    case 25:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13171; /* *aarch64_sme_read_horvnx32hivnx32hi_plus */

    case 26:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13173; /* *aarch64_sme_read_horvnx16sivnx16si_plus */

    case 27:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13175; /* *aarch64_sme_read_horvnx8divnx8di_plus */

    case 28:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13177; /* *aarch64_sme_read_horvnx32bfvnx32bf_plus */

    case 29:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 16))
        return -1;
      return 13179; /* *aarch64_sme_read_horvnx32hfvnx32hf_plus */

    case 30:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 32))
        return -1;
      return 13181; /* *aarch64_sme_read_horvnx16sfvnx16sf_plus */

    case 31:
      if (!
#line 844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && UINTVAL (operands[3]) % 4 == 0
   && UINTVAL (operands[3]) < 128 / 64))
        return -1;
      return 13183; /* *aarch64_sme_read_horvnx8dfvnx8df_plus */

    default:
      return -1;
    }
}

 int
recog_415 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  switch (pattern213 (x1))
    {
    case 0:
      if (!
#line 8512 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10179; /* aarch64_pred_fcmltvnx8hf */

    case 1:
      if (!
#line 8512 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10185; /* aarch64_pred_fcmltvnx4sf */

    case 2:
      if (!
#line 8512 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10191; /* aarch64_pred_fcmltvnx2df */

    case 3:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 2);
      x4 = XVECEXP (x3, 0, 1);
      if (XWINT (x4, 0) == 0L)
        {
          switch (pattern1252 (x2))
            {
            case 0:
              if (
#line 8785 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10262; /* *aarch64_pred_facltvnx8hf_relaxed */
              break;

            case 1:
              if (
#line 8785 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10266; /* *aarch64_pred_facltvnx4sf_relaxed */
              break;

            case 2:
              if (
#line 8785 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10270; /* *aarch64_pred_facltvnx2df_relaxed */
              break;

            default:
              break;
            }
        }
      operands[5] = x4;
      switch (pattern1253 (x2))
        {
        case 0:
          if (!
#line 8811 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10274; /* *aarch64_pred_facltvnx8hf_strict */

        case 1:
          if (!
#line 8811 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10278; /* *aarch64_pred_facltvnx4sf_strict */

        case 2:
          if (!
#line 8811 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10282; /* *aarch64_pred_facltvnx2df_strict */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_419 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x2, 0, 2);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 90
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 92
      || GET_MODE (x5) != E_DImode
      || pattern722 (x1, 
92) != 0)
    return -1;
  *pnum_clobbers = 8;
  return 12923; /* aarch64_restore_za */
}

 int
recog_424 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[4] = x5;
  if (!aarch64_sve_gp_strictness (operands[4], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern201 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
          || !
#line 5437 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8484; /* aarch64_pred_mulxvnx8hf */

    case E_VNx4SFmode:
      if (pattern201 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
          || !
#line 5437 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8488; /* aarch64_pred_mulxvnx4sf */

    case E_VNx2DFmode:
      if (pattern201 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
          || !
#line 5437 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 8492; /* aarch64_pred_mulxvnx2df */

    case E_VNx8BFmode:
      if (pattern201 (x3, 
E_VNx8BFmode, 
E_VNx8BImode) != 0
          || !
#line 1347 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_B16B16 && false))
        return -1;
      return 11775; /* aarch64_pred_mulxvnx8bf */

    default:
      return -1;
    }
}

 int
recog_432 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (pattern247 (x1))
    {
    case 0:
      if (!
#line 1429 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13659; /* aarch64_sme_smlavnx4sivnx16qi */

    case 1:
      if (!
#line 1429 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13663; /* aarch64_sme_smlavnx4sivnx8hi */

    case 2:
      if (!
#line 1459 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13675; /* aarch64_sme_smlavnx4sivnx32qi */

    case 3:
      if (!
#line 1459 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13679; /* aarch64_sme_smlavnx4sivnx64qi */

    case 4:
      if (!
#line 1459 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13683; /* aarch64_sme_smlavnx4sivnx16hi */

    case 5:
      if (!
#line 1459 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13687; /* aarch64_sme_smlavnx4sivnx32hi */

    case 6:
      if (!
#line 1557 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13787; /* aarch64_sme_smlavnx2divnx8hi */

    case 7:
      if (!
#line 1587 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13795; /* aarch64_sme_smlavnx2divnx16hi */

    case 8:
      if (!
#line 1587 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13799; /* aarch64_sme_smlavnx2divnx32hi */

    case 9:
      if (!
#line 1490 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13707; /* aarch64_sme_single_smlavnx4sivnx32qi */

    case 10:
      if (!
#line 1490 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13711; /* aarch64_sme_single_smlavnx4sivnx64qi */

    case 11:
      if (!
#line 1490 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13715; /* aarch64_sme_single_smlavnx4sivnx16hi */

    case 12:
      if (!
#line 1490 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13719; /* aarch64_sme_single_smlavnx4sivnx32hi */

    case 13:
      if (!
#line 1618 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13811; /* aarch64_sme_single_smlavnx2divnx16hi */

    case 14:
      if (!
#line 1618 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13815; /* aarch64_sme_single_smlavnx2divnx32hi */

    case 15:
      if (!
#line 1524 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13739; /* aarch64_sme_lane_smlavnx4sivnx16qi */

    case 16:
      if (!
#line 1524 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13743; /* aarch64_sme_lane_smlavnx4sivnx32qi */

    case 17:
      if (!
#line 1524 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13747; /* aarch64_sme_lane_smlavnx4sivnx64qi */

    case 18:
      if (!
#line 1524 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13751; /* aarch64_sme_lane_smlavnx4sivnx8hi */

    case 19:
      if (!
#line 1524 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13755; /* aarch64_sme_lane_smlavnx4sivnx16hi */

    case 20:
      if (!
#line 1524 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13759; /* aarch64_sme_lane_smlavnx4sivnx32hi */

    case 21:
      if (!
#line 1652 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13827; /* aarch64_sme_lane_smlavnx2divnx8hi */

    case 22:
      if (!
#line 1652 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13831; /* aarch64_sme_lane_smlavnx2divnx16hi */

    case 23:
      if (!
#line 1652 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13835; /* aarch64_sme_lane_smlavnx2divnx32hi */

    case 24:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx16QImode)
          && register_operand (operands[3], E_VNx16QImode)
          && 
#line 1443 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return 13667; /* *aarch64_sme_smlavnx4sivnx16qi_plus */
      if (const_0_to_14_step_2_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode)
          && register_operand (operands[3], E_VNx8HImode)
          && 
#line 1443 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return 13671; /* *aarch64_sme_smlavnx4sivnx8hi_plus */
      if (const_0_to_4_step_4_operand (operands[1], E_SImode))
        {
          switch (pattern1314 ())
            {
            case 0:
              if (
#line 1473 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13691; /* *aarch64_sme_smlavnx4sivnx32qi_plus */
              break;

            case 1:
              if (
#line 1473 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13695; /* *aarch64_sme_smlavnx4sivnx64qi_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1315 ())
        {
        case 0:
          if (!
#line 1473 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13699; /* *aarch64_sme_smlavnx4sivnx16hi_plus */

        case 1:
          if (!
#line 1473 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13703; /* *aarch64_sme_smlavnx4sivnx32hi_plus */

        default:
          return -1;
        }

    case 25:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode)
          && register_operand (operands[3], E_VNx8HImode)
          && 
#line 1571 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return 13791; /* *aarch64_sme_smlavnx2divnx8hi_plus */
      if (!const_0_to_4_step_4_operand (operands[1], E_SImode))
        return -1;
      switch (pattern1315 ())
        {
        case 0:
          if (!
#line 1601 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13803; /* *aarch64_sme_smlavnx2divnx16hi_plus */

        case 1:
          if (!
#line 1601 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13807; /* *aarch64_sme_smlavnx2divnx32hi_plus */

        default:
          return -1;
        }

    case 26:
      if (const_0_to_4_step_4_operand (operands[1], E_SImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          switch (pattern1316 (x3))
            {
            case 0:
              if (
#line 1505 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13723; /* *aarch64_sme_single_smlavnx4sivnx32qi_plus */
              break;

            case 1:
              if (
#line 1505 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13727; /* *aarch64_sme_single_smlavnx4sivnx64qi_plus */
              break;

            default:
              break;
            }
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern246 (x3))
        {
        case 0:
          if (!
#line 1505 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13731; /* *aarch64_sme_single_smlavnx4sivnx16hi_plus */

        case 1:
          if (!
#line 1505 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13735; /* *aarch64_sme_single_smlavnx4sivnx32hi_plus */

        default:
          return -1;
        }

    case 27:
      if (!
#line 1633 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13819; /* *aarch64_sme_single_smlavnx2divnx16hi_plus */

    case 28:
      if (!
#line 1633 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
        return -1;
      return 13823; /* *aarch64_sme_single_smlavnx2divnx32hi_plus */

    case 29:
      if (register_operand (operands[3], E_VNx16QImode))
        {
          if (const_0_to_12_step_4_operand (operands[1], E_SImode)
              && register_operand (operands[2], E_VNx16QImode))
            {
              x2 = XEXP (x1, 1);
              x3 = XVECEXP (x2, 0, 4);
              if (GET_MODE (x3) == E_VNx16QImode
                  && 
#line 1541 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return 13763; /* *aarch64_sme_lane_smlavnx4sivnx16qi */
            }
          if (const_0_to_4_step_4_operand (operands[1], E_SImode))
            {
              x2 = XEXP (x1, 1);
              x3 = XVECEXP (x2, 0, 4);
              switch (pattern1354 (x3))
                {
                case 0:
                  if (
#line 1541 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                    return 13767; /* *aarch64_sme_lane_smlavnx4sivnx32qi */
                  break;

                case 1:
                  if (
#line 1541 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                    return 13771; /* *aarch64_sme_lane_smlavnx4sivnx64qi */
                  break;

                default:
                  break;
                }
            }
        }
      if (!register_operand (operands[3], E_VNx8HImode))
        return -1;
      if (const_0_to_14_step_2_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          if (GET_MODE (x3) == E_VNx8HImode
              && 
#line 1541 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return 13775; /* *aarch64_sme_lane_smlavnx4sivnx8hi */
        }
      if (!const_0_to_6_step_2_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1355 (x3))
        {
        case 0:
          if (!
#line 1541 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13779; /* *aarch64_sme_lane_smlavnx4sivnx16hi */

        case 1:
          if (!
#line 1541 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13783; /* *aarch64_sme_lane_smlavnx4sivnx32hi */

        default:
          return -1;
        }

    case 30:
      if (const_0_to_12_step_4_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_VNx8HImode))
        {
          x2 = XEXP (x1, 1);
          x3 = XVECEXP (x2, 0, 4);
          if (GET_MODE (x3) == E_VNx8HImode
              && 
#line 1669 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return 13839; /* *aarch64_sme_lane_smlavnx2divnx8hi */
        }
      if (!const_0_to_4_step_4_operand (operands[1], E_SImode))
        return -1;
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 4);
      switch (pattern1355 (x3))
        {
        case 0:
          if (!
#line 1669 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13843; /* *aarch64_sme_lane_smlavnx2divnx16hi */

        case 1:
          if (!
#line 1669 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2 && TARGET_SME_I16I64))
            return -1;
          return 13847; /* *aarch64_sme_lane_smlavnx2divnx32hi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_440 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern108 (x2, 
E_VNx4SImode, 
93) != 0)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 89
      || GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x2, 0, 4);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 2
      || XINT (x4, 1) != 168)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93
      || GET_MODE (x5) != E_VNx4SImode)
    return -1;
  x6 = XVECEXP (x4, 0, 1);
  if (!const_int_operand (x6, E_SImode))
    return -1;
  x7 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x7))
    {
    case REG:
    case SUBREG:
      operands[0] = x7;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x8 = XVECEXP (x2, 0, 3);
      operands[1] = x8;
      x9 = XVECEXP (x4, 0, 0);
      operands[2] = x9;
      operands[3] = x6;
      switch (pattern1333 (x4))
        {
        case 0:
          if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13890; /* aarch64_sme_lane_fvdotvnx4sivnx16bf */

        case 1:
          if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13892; /* aarch64_sme_lane_fvdotvnx4sivnx32bf */

        case 2:
          if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13894; /* aarch64_sme_lane_fvdotvnx4sivnx16hf */

        case 3:
          if (!
#line 1827 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13896; /* aarch64_sme_lane_fvdotvnx4sivnx32hf */

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x7) != E_SImode)
        return -1;
      x10 = XEXP (x7, 0);
      operands[0] = x10;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x11 = XEXP (x7, 1);
      operands[1] = x11;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x8 = XVECEXP (x2, 0, 3);
      operands[2] = x8;
      x9 = XVECEXP (x4, 0, 0);
      operands[3] = x9;
      operands[4] = x6;
      switch (pattern1346 (x4))
        {
        case 0:
          if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13898; /* *aarch64_sme_lane_fvdotvnx4sivnx16bf_plus */

        case 1:
          if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13900; /* *aarch64_sme_lane_fvdotvnx4sivnx32bf_plus */

        case 2:
          if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13902; /* *aarch64_sme_lane_fvdotvnx4sivnx16hf_plus */

        case 3:
          if (!
#line 1844 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13904; /* *aarch64_sme_lane_fvdotvnx4sivnx32hf_plus */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_441 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern245 (x1))
    {
    case 0:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13538; /* aarch64_sme_lane_usvdotvnx4sivnx32qi */

    case 1:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13546; /* aarch64_sme_lane_usvdotvnx4sivnx64qi */

    case 2:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13554; /* aarch64_sme_lane_usvdotvnx4sivnx16hi */

    case 3:
      if (!
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13562; /* aarch64_sme_lane_usvdotvnx4sivnx32hi */

    case 4:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13570; /* aarch64_sme_lane_usvdotvnx2divnx32qi */

    case 5:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13578; /* aarch64_sme_lane_usvdotvnx2divnx64qi */

    case 6:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13586; /* aarch64_sme_lane_usvdotvnx2divnx16hi */

    case 7:
      if (!(
#line 1385 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13594; /* aarch64_sme_lane_usvdotvnx2divnx32hi */

    case 8:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13602; /* *aarch64_sme_lane_usvdotvnx4sivnx32qi_plus */

    case 9:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
        return -1;
      return 13610; /* *aarch64_sme_lane_usvdotvnx4sivnx64qi_plus */

    case 10:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13618; /* *aarch64_sme_lane_usvdotvnx4sivnx16hi_plus */

    case 11:
      if (!
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
        return -1;
      return 13626; /* *aarch64_sme_lane_usvdotvnx4sivnx32hi_plus */

    case 12:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13634; /* *aarch64_sme_lane_usvdotvnx2divnx32qi_plus */

    case 13:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13642; /* *aarch64_sme_lane_usvdotvnx2divnx64qi_plus */

    case 14:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13650; /* *aarch64_sme_lane_usvdotvnx2divnx16hi_plus */

    case 15:
      if (!(
#line 1404 "../../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13658; /* *aarch64_sme_lane_usvdotvnx2divnx32hi_plus */

    default:
      return -1;
    }
}

 int
recog_448 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XINT (x2, 1))
    {
    case 162:
      if (pattern51 (x1, 
84) != 0
          || !aarch64_reg_or_zero (operands[0], E_DImode)
          || !
#line 1921 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FP8))
        return -1;
      return 84; /* aarch64_write_fpmr */

    case 82:
      if (GET_MODE (x2) != E_QImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_QImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_QImode)
          || !
#line 6115 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 761; /* *aarch64_sisd_neg_qi */

    case 36:
      return recog_52 (x1, insn, pnum_clobbers);

    case 34:
      return recog_40 (x1, insn, pnum_clobbers);

    case 32:
      return recog_39 (x1, insn, pnum_clobbers);

    case 33:
      return recog_38 (x1, insn, pnum_clobbers);

    case 31:
      return recog_51 (x1, insn, pnum_clobbers);

    case 35:
      return recog_50 (x1, insn, pnum_clobbers);

    case 30:
      return recog_37 (x1, insn, pnum_clobbers);

    case 39:
      x4 = XVECEXP (x2, 0, 0);
      if (GET_CODE (x4) != MEM)
        return -1;
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != LO_SUM)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern853 (x2, 
E_SImode) != 0
              || !
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
            return -1;
          return 1113; /* ldr_got_small_28k_si */

        case E_DImode:
          if (pattern853 (x2, 
E_DImode) != 0
              || !
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
            return -1;
          return 1114; /* ldr_got_small_28k_di */

        default:
          return -1;
        }

    case 41:
      return recog_49 (x1, insn, pnum_clobbers);

    case 97:
      if (GET_MODE (x2) != E_DImode)
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 1119; /* aarch64_load_tp_hard */

    case 40:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!aarch64_tls_ie_symref (operands[1], E_VOIDmode))
        return -1;
      switch (pattern42 (x2))
        {
        case 0:
          if (!
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
            return -1;
          return 1122; /* tlsie_small_si */

        case 1:
          if (!
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
            return -1;
          return 1123; /* tlsie_small_di */

        default:
          return -1;
        }

    case 101:
      switch (pattern54 (x1))
        {
        case 0:
          if (!
#line 163 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
            return -1;
          return 1132; /* tlsle32_si */

        case 1:
          if (!
#line 164 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
            return -1;
          return 1133; /* tlsle32_di */

        default:
          return -1;
        }

    case 102:
      switch (pattern54 (x1))
        {
        case 0:
          if (!
#line 163 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
            return -1;
          return 1134; /* tlsle48_si */

        case 1:
          if (!
#line 164 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
            return -1;
          return 1135; /* tlsle48_di */

        default:
          return -1;
        }

    case 21:
      if (pnum_clobbers == NULL
          || GET_MODE (x2) != E_SImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_DFmode)
          || !
#line 7886 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_JSCVT))
        return -1;
      *pnum_clobbers = 1;
      return 1141; /* aarch64_fjcvtzs */

    case 114:
      if (pattern44 (x1, 
30, 
E_DImode) != 0)
        return -1;
      return 1150; /* xpaclri */

    case 107:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!const_int_operand (operands[1], E_VOIDmode))
        return -1;
      switch (pattern42 (x2))
        {
        case 0:
          if (!(
#line 8018 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_stack_protector_guard != SSP_GLOBAL) && 
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode)))
            return -1;
          return 1155; /* reg_stack_protect_address_si */

        case 1:
          if (!(
#line 8018 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_stack_protector_guard != SSP_GLOBAL) && 
#line 168 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode)))
            return -1;
          return 1156; /* reg_stack_protect_address_di */

        default:
          return -1;
        }

    case 22:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1186; /* aarch64_frint32zv2sf */

        case 1:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1190; /* aarch64_frint32zv4sf */

        case 2:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1194; /* aarch64_frint32zv2df */

        case 3:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1198; /* aarch64_frint32zdf */

        case 4:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1202; /* aarch64_frint32zsf */

        default:
          return -1;
        }

    case 23:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1187; /* aarch64_frint32xv2sf */

        case 1:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1191; /* aarch64_frint32xv4sf */

        case 2:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1195; /* aarch64_frint32xv2df */

        case 3:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1199; /* aarch64_frint32xdf */

        case 4:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1203; /* aarch64_frint32xsf */

        default:
          return -1;
        }

    case 24:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1188; /* aarch64_frint64zv2sf */

        case 1:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1192; /* aarch64_frint64zv4sf */

        case 2:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1196; /* aarch64_frint64zv2df */

        case 3:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1200; /* aarch64_frint64zdf */

        case 4:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1204; /* aarch64_frint64zsf */

        default:
          return -1;
        }

    case 25:
      switch (pattern55 (x1))
        {
        case 0:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2SFmode) && !TARGET_SIMD)))
            return -1;
          return 1189; /* aarch64_frint64xv2sf */

        case 1:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V4SFmode) && !TARGET_SIMD)))
            return -1;
          return 1193; /* aarch64_frint64xv4sf */

        case 2:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (V2DFmode) && !TARGET_SIMD)))
            return -1;
          return 1197; /* aarch64_frint64xv2df */

        case 3:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (DFmode) && !TARGET_SIMD)))
            return -1;
          return 1201; /* aarch64_frint64xdf */

        case 4:
          if (!
#line 8308 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_FRINT && TARGET_FLOAT
   && !(VECTOR_MODE_P (SFmode) && !TARGET_SIMD)))
            return -1;
          return 1205; /* aarch64_frint64xsf */

        default:
          return -1;
        }

    case 179:
      if (pattern56 (x2, 
E_CCmode, 
66, 
E_DImode) != 0)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 1223; /* aarch64_save_nzcv */

    case 180:
      if (pattern41 (x1) != 0)
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[0] = x4;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 1224; /* aarch64_restore_nzcv */

    case 111:
      return recog_16 (x1, insn, pnum_clobbers);

    case 187:
      return recog_28 (x1, insn, pnum_clobbers);

    case 203:
      if (GET_MODE (x2) != E_V2DImode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_V2DImode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_V2DImode)
          || !
#line 2691 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2391; /* aarch64_fnegv2di2 */

    case 588:
      return recog_48 (x1, insn, pnum_clobbers);

    case 205:
      return recog_15 (x1, insn, pnum_clobbers);

    case 202:
      return recog_47 (x1, insn, pnum_clobbers);

    case 208:
      switch (pattern57 (x1))
        {
        case 0:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2832; /* aarch64_reduc_umax_internalv8qi */

        case 1:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2836; /* aarch64_reduc_umax_internalv16qi */

        case 2:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2840; /* aarch64_reduc_umax_internalv4hi */

        case 3:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2844; /* aarch64_reduc_umax_internalv8hi */

        case 4:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2848; /* aarch64_reduc_umax_internalv4si */

        case 5:
          if (!
#line 3687 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2852; /* aarch64_reduc_umax_internalv2si */

        default:
          return -1;
        }

    case 209:
      switch (pattern57 (x1))
        {
        case 0:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2833; /* aarch64_reduc_umin_internalv8qi */

        case 1:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2837; /* aarch64_reduc_umin_internalv16qi */

        case 2:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2841; /* aarch64_reduc_umin_internalv4hi */

        case 3:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2845; /* aarch64_reduc_umin_internalv8hi */

        case 4:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2849; /* aarch64_reduc_umin_internalv4si */

        case 5:
          if (!
#line 3687 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2853; /* aarch64_reduc_umin_internalv2si */

        default:
          return -1;
        }

    case 206:
      switch (pattern57 (x1))
        {
        case 0:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2834; /* aarch64_reduc_smax_internalv8qi */

        case 1:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2838; /* aarch64_reduc_smax_internalv16qi */

        case 2:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2842; /* aarch64_reduc_smax_internalv4hi */

        case 3:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2846; /* aarch64_reduc_smax_internalv8hi */

        case 4:
          if (!
#line 3678 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2850; /* aarch64_reduc_smax_internalv4si */

        case 5:
          if (!
#line 3687 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2854; /* aarch64_reduc_smax_internalv2si */

        default:
          return -1;
        }

    case 207:
      return recog_57 (x1, insn, pnum_clobbers);

    case 198:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2856; /* aarch64_reduc_smax_nan_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2860; /* aarch64_reduc_smax_nan_internalv8hf */

        case 2:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2864; /* aarch64_reduc_smax_nan_internalv2sf */

        case 3:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2868; /* aarch64_reduc_smax_nan_internalv4sf */

        case 4:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2872; /* aarch64_reduc_smax_nan_internalv2df */

        default:
          return -1;
        }

    case 201:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2857; /* aarch64_reduc_smin_nan_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2861; /* aarch64_reduc_smin_nan_internalv8hf */

        case 2:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2865; /* aarch64_reduc_smin_nan_internalv2sf */

        case 3:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2869; /* aarch64_reduc_smin_nan_internalv4sf */

        case 4:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2873; /* aarch64_reduc_smin_nan_internalv2df */

        default:
          return -1;
        }

    case 197:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2858; /* aarch64_reduc_smax_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2862; /* aarch64_reduc_smax_internalv8hf */

        case 2:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2866; /* aarch64_reduc_smax_internalv2sf */

        case 3:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2870; /* aarch64_reduc_smax_internalv4sf */

        case 4:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2874; /* aarch64_reduc_smax_internalv2df */

        default:
          return -1;
        }

    case 200:
      switch (pattern58 (x1))
        {
        case 0:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2859; /* aarch64_reduc_smin_internalv4hf */

        case 1:
          if (!(
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 2863; /* aarch64_reduc_smin_internalv8hf */

        case 2:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2867; /* aarch64_reduc_smin_internalv2sf */

        case 3:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2871; /* aarch64_reduc_smin_internalv4sf */

        case 4:
          if (!
#line 3696 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2875; /* aarch64_reduc_smin_internalv2df */

        default:
          return -1;
        }

    case 51:
      return recog_27 (x1, insn, pnum_clobbers);

    case 53:
      return recog_19 (x1, insn, pnum_clobbers);

    case 91:
      return recog_14 (x1, insn, pnum_clobbers);

    case 54:
      return recog_26 (x1, insn, pnum_clobbers);

    case 56:
      return recog_18 (x1, insn, pnum_clobbers);

    case 92:
      return recog_13 (x1, insn, pnum_clobbers);

    case 57:
      return recog_25 (x1, insn, pnum_clobbers);

    case 59:
      return recog_17 (x1, insn, pnum_clobbers);

    case 93:
      return recog_12 (x1, insn, pnum_clobbers);

    case 46:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      return recog_9 (x1, insn, pnum_clobbers);

    case 86:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      return recog_10 (x1, insn, pnum_clobbers);

    case 52:
      return recog_24 (x1, insn, pnum_clobbers);

    case 55:
      return recog_23 (x1, insn, pnum_clobbers);

    case 58:
      return recog_22 (x1, insn, pnum_clobbers);

    case 254:
      return recog_33 (x1, insn, pnum_clobbers);

    case 255:
      return recog_31 (x1, insn, pnum_clobbers);

    case 256:
      return recog_32 (x1, insn, pnum_clobbers);

    case 27:
      return recog_20 (x1, insn, pnum_clobbers);

    case 29:
      return recog_36 (x1, insn, pnum_clobbers);

    case 26:
      return recog_46 (x1, insn, pnum_clobbers);

    case 257:
      switch (pattern61 (x1))
        {
        case 0:
          if (!
#line 8922 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5161; /* aarch64_crypto_aesev16qi */

        case 1:
          if (!
#line 4147 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12899; /* aarch64_sve2_aese */

        default:
          return -1;
        }

    case 258:
      switch (pattern61 (x1))
        {
        case 0:
          if (!
#line 8922 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5162; /* aarch64_crypto_aesdv16qi */

        case 1:
          if (!
#line 4147 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12900; /* aarch64_sve2_aesd */

        default:
          return -1;
        }

    case 259:
      switch (pattern63 (x1, 
257))
        {
        case 0:
          if (!
#line 8931 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5163; /* aarch64_crypto_aesmcv16qi */

        case 1:
          if (!
#line 4158 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12901; /* aarch64_sve2_aesmc */

        case 2:
          if (!
#line 8950 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES
   && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 5165; /* *aarch64_crypto_aese_fused */

        case 3:
          if (!
#line 4177 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 12903; /* *aarch64_sve2_aese_fused */

        default:
          return -1;
        }

    case 260:
      switch (pattern63 (x1, 
258))
        {
        case 0:
          if (!
#line 8931 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
            return -1;
          return 5164; /* aarch64_crypto_aesimcv16qi */

        case 1:
          if (!
#line 4158 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES))
            return -1;
          return 12902; /* aarch64_sve2_aesimc */

        case 2:
          if (!
#line 8971 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES
   && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 5166; /* *aarch64_crypto_aesd_fused */

        case 3:
          if (!
#line 4192 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_AES && aarch64_fusion_enabled_p (AARCH64_FUSE_AES_AESMC)))
            return -1;
          return 12904; /* *aarch64_sve2_aesd_fused */

        default:
          return -1;
        }

    case 264:
      return recog_35 (x1, insn, pnum_clobbers);

    case 585:
      return recog_30 (x1, insn, pnum_clobbers);

    case 587:
      return recog_45 (x1, insn, pnum_clobbers);

    case 586:
      if (GET_MODE (x2) != E_V4SFmode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_V4SFmode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_V8BFmode)
          || !
#line 10014 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
        return -1;
      return 5265; /* aarch64_vbfcvt_highv8bf */

    case 153:
      return recog_21 (x1, insn, pnum_clobbers);

    case 159:
      if (pattern44 (x1, 
86, 
E_VNx16BImode) != 0
          || !
#line 1257 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 5723; /* aarch64_update_ffrt */

    case 325:
      return recog_34 (x1, insn, pnum_clobbers);

    case 77:
      return recog_11 (x1, insn, pnum_clobbers);

    case 129:
      switch (pattern65 (x1))
        {
        case 0:
          if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10754; /* aarch64_sve_sunpkhi_vnx16qi */

        case 1:
          if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10758; /* aarch64_sve_sunpkhi_vnx8hi */

        case 2:
          if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10762; /* aarch64_sve_sunpkhi_vnx4si */

        default:
          return -1;
        }

    case 130:
      return recog_56 (x1, insn, pnum_clobbers);

    case 131:
      switch (pattern65 (x1))
        {
        case 0:
          if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10756; /* aarch64_sve_sunpklo_vnx16qi */

        case 1:
          if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10760; /* aarch64_sve_sunpklo_vnx8hi */

        case 2:
          if (!
#line 9370 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10764; /* aarch64_sve_sunpklo_vnx4si */

        default:
          return -1;
        }

    case 132:
      return recog_55 (x1, insn, pnum_clobbers);

    case 613:
      return recog_29 (x1, insn, pnum_clobbers);

    case 611:
      return recog_54 (x1, insn, pnum_clobbers);

    case 482:
      return recog_53 (x1, insn, pnum_clobbers);

    case 528:
      switch (pattern68 (x1))
        {
        case 0:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12287; /* aarch64_sve_sqxtnbvnx8hi */

        case 1:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12290; /* aarch64_sve_sqxtnbvnx4si */

        case 2:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12293; /* aarch64_sve_sqxtnbvnx2di */

        default:
          return -1;
        }

    case 530:
      switch (pattern68 (x1))
        {
        case 0:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12288; /* aarch64_sve_sqxtunbvnx8hi */

        case 1:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12291; /* aarch64_sve_sqxtunbvnx4si */

        case 2:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12294; /* aarch64_sve_sqxtunbvnx2di */

        default:
          return -1;
        }

    case 565:
      switch (pattern68 (x1))
        {
        case 0:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12289; /* aarch64_sve_uqxtnbvnx8hi */

        case 1:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12292; /* aarch64_sve_uqxtnbvnx4si */

        case 2:
          if (!
#line 2627 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12295; /* aarch64_sve_uqxtnbvnx2di */

        default:
          return -1;
        }

    case 617:
      switch (pattern69 (x1))
        {
        case 0:
          if (!
#line 2657 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12305; /* aarch64_sve_sqcvtvnx16qivnx16si */

        case 1:
          if (!
#line 3719 "../../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12311; /* aarch64_sve_sqcvtvnx8hivnx8si */

        case 2:
          if (!
#line 2675 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12317; /* aarch64_sve_sqcvtvnx8hivnx8di */

        default:
          return -1;
        }

    case 618:
      switch (pattern69 (x1))
        {
        case 0:
          if (!(
#line 2657 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3720 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12306; /* aarch64_sve_sqcvtnvnx16qivnx16si */

        case 1:
          if (!
#line 3720 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12312; /* aarch64_sve_sqcvtnvnx8hivnx8si */

        case 2:
          if (!(
#line 2675 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3720 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12318; /* aarch64_sve_sqcvtnvnx8hivnx8di */

        default:
          return -1;
        }

    case 619:
      switch (pattern69 (x1))
        {
        case 0:
          if (!
#line 2657 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12307; /* aarch64_sve_sqcvtuvnx16qivnx16si */

        case 1:
          if (!
#line 3721 "../../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12313; /* aarch64_sve_sqcvtuvnx8hivnx8si */

        case 2:
          if (!
#line 2675 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12319; /* aarch64_sve_sqcvtuvnx8hivnx8di */

        default:
          return -1;
        }

    case 620:
      switch (pattern69 (x1))
        {
        case 0:
          if (!(
#line 2657 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3722 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12308; /* aarch64_sve_sqcvtunvnx16qivnx16si */

        case 1:
          if (!
#line 3722 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12314; /* aarch64_sve_sqcvtunvnx8hivnx8si */

        case 2:
          if (!(
#line 2675 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3722 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12320; /* aarch64_sve_sqcvtunvnx8hivnx8di */

        default:
          return -1;
        }

    case 626:
      switch (pattern69 (x1))
        {
        case 0:
          if (!
#line 2657 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12309; /* aarch64_sve_uqcvtvnx16qivnx16si */

        case 1:
          if (!
#line 3723 "../../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12315; /* aarch64_sve_uqcvtvnx8hivnx8si */

        case 2:
          if (!
#line 2675 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12321; /* aarch64_sve_uqcvtvnx8hivnx8di */

        default:
          return -1;
        }

    case 627:
      switch (pattern69 (x1))
        {
        case 0:
          if (!(
#line 2657 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3724 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12310; /* aarch64_sve_uqcvtnvnx16qivnx16si */

        case 1:
          if (!
#line 3724 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
            return -1;
          return 12316; /* aarch64_sve_uqcvtnvnx8hivnx8si */

        case 2:
          if (!(
#line 2675 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2) && 
#line 3724 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12322; /* aarch64_sve_uqcvtnvnx8hivnx8di */

        default:
          return -1;
        }

    case 604:
      if (GET_MODE (x2) != E_VNx8SFmode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!aligned_register_operand (operands[0], E_VNx8SFmode))
        return -1;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_VNx8HFmode)
          || !
#line 3348 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME_F16F16))
        return -1;
      return 12570; /* aarch64_sve_cvtlvnx8sf */

    case 605:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      if (!aligned_register_operand (operands[1], E_VNx8SFmode))
        return -1;
      switch (pattern130 (x2))
        {
        case 0:
          if (!
#line 3377 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12573; /* aarch64_sve_cvtnvnx8bf */

        case 1:
          if (!
#line 3377 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12574; /* aarch64_sve_cvtnvnx8hf */

        default:
          return -1;
        }

    case 576:
      return recog_44 (x1, insn, pnum_clobbers);

    case 574:
      return recog_43 (x1, insn, pnum_clobbers);

    case 577:
      return recog_42 (x1, insn, pnum_clobbers);

    case 575:
      return recog_41 (x1, insn, pnum_clobbers);

    case 683:
      if (pattern44 (x1, 
67, 
E_DImode) != 0)
        return -1;
      return 12909; /* aarch64_update_vg */

    case 694:
      if (pattern51 (x1, 
88) != 0
          || !memory_operand (operands[0], E_V16QImode))
        return -1;
      return 12918; /* aarch64_setup_local_tpidr2 */

    case 696:
      if (pattern44 (x1, 
87, 
E_DImode) != 0)
        return -1;
      return 12926; /* aarch64_start_private_za_call */

    case 697:
      if (pattern44 (x1, 
87, 
E_DImode) != 0)
        return -1;
      return 12927; /* aarch64_end_private_za_call */

    default:
      return -1;
    }
}

 int
recog_465 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  if (aarch64_comparison_operation (operands[2], E_VOIDmode))
    {
      x4 = XEXP (x2, 1);
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (register_operand (operands[0], E_SImode)
              && GET_MODE (x2) == E_SImode
              && register_operand (operands[1], E_SImode))
            return 473; /* *csinc2si_insn */
          break;

        case E_DImode:
          if (register_operand (operands[0], E_DImode)
              && GET_MODE (x2) == E_DImode
              && register_operand (operands[1], E_DImode))
            return 474; /* *csinc2di_insn */
          break;

        default:
          break;
        }
    }
  if (GET_CODE (x3) != EQ)
    return -1;
  x5 = XEXP (x3, 0);
  switch (GET_CODE (x5))
    {
    case AND:
      x6 = XEXP (x5, 0);
      operands[1] = x6;
      x7 = XEXP (x5, 1);
      operands[2] = x7;
      x8 = XEXP (x3, 1);
      operands[3] = x8;
      x4 = XEXP (x2, 1);
      operands[4] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern942 (x2, 
E_V8QImode) != 0
              || !
#line 7331 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4197; /* aarch64_cmtstv8qi */

        case E_V16QImode:
          if (pattern942 (x2, 
E_V16QImode) != 0
              || !
#line 7331 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4200; /* aarch64_cmtstv16qi */

        case E_V4HImode:
          if (pattern942 (x2, 
E_V4HImode) != 0
              || !
#line 7331 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4201; /* aarch64_cmtstv4hi */

        case E_V8HImode:
          if (pattern942 (x2, 
E_V8HImode) != 0
              || !
#line 7331 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4204; /* aarch64_cmtstv8hi */

        case E_V2SImode:
          if (pattern942 (x2, 
E_V2SImode) != 0
              || !
#line 7331 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4205; /* aarch64_cmtstv2si */

        case E_V4SImode:
          if (pattern942 (x2, 
E_V4SImode) != 0
              || !
#line 7331 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4208; /* aarch64_cmtstv4si */

        case E_V2DImode:
          if (pattern942 (x2, 
E_V2DImode) != 0
              || !
#line 7331 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4209; /* aarch64_cmtstv2di */

        default:
          return -1;
        }

    case REG:
    case SUBREG:
      operands[1] = x5;
      x8 = XEXP (x3, 1);
      operands[2] = x8;
      x4 = XEXP (x2, 1);
      operands[3] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern881 (x2, 
E_V8QImode) != 0
              || !
#line 7348 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4210; /* *aarch64_cmtst_same_v8qi */

        case E_V16QImode:
          if (pattern881 (x2, 
E_V16QImode) != 0
              || !
#line 7348 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4213; /* *aarch64_cmtst_same_v16qi */

        case E_V4HImode:
          if (pattern881 (x2, 
E_V4HImode) != 0
              || !
#line 7348 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4214; /* *aarch64_cmtst_same_v4hi */

        case E_V8HImode:
          if (pattern881 (x2, 
E_V8HImode) != 0
              || !
#line 7348 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4217; /* *aarch64_cmtst_same_v8hi */

        case E_V2SImode:
          if (pattern881 (x2, 
E_V2SImode) != 0
              || !
#line 7348 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4218; /* *aarch64_cmtst_same_v2si */

        case E_V4SImode:
          if (pattern881 (x2, 
E_V4SImode) != 0
              || !
#line 7348 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4221; /* *aarch64_cmtst_same_v4si */

        case E_V2DImode:
          if (pattern881 (x2, 
E_V2DImode) != 0
              || !
#line 7348 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 4222; /* *aarch64_cmtst_same_v2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_470 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case XOR:
      x5 = XEXP (x4, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern650 (x2, 
E_V8QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2876; /* aarch64_simd_bslv8qi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2889; /* *aarch64_simd_bslv8qi_alt */

        case E_V16QImode:
          if (pattern650 (x2, 
E_V16QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2879; /* aarch64_simd_bslv16qi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2892; /* *aarch64_simd_bslv16qi_alt */

        case E_V4HImode:
          if (pattern650 (x2, 
E_V4HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2880; /* aarch64_simd_bslv4hi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2893; /* *aarch64_simd_bslv4hi_alt */

        case E_V8HImode:
          if (pattern650 (x2, 
E_V8HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2883; /* aarch64_simd_bslv8hi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2896; /* *aarch64_simd_bslv8hi_alt */

        case E_V2SImode:
          if (pattern650 (x2, 
E_V2SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2884; /* aarch64_simd_bslv2si_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2897; /* *aarch64_simd_bslv2si_alt */

        case E_V4SImode:
          if (pattern650 (x2, 
E_V4SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2887; /* aarch64_simd_bslv4si_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2900; /* *aarch64_simd_bslv4si_alt */

        case E_V2DImode:
          if (pattern650 (x2, 
E_V2DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3731 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2888; /* aarch64_simd_bslv2di_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3755 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2901; /* *aarch64_simd_bslv2di_alt */

        case E_DImode:
          if (pattern650 (x2, 
E_DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[3])
              && 
#line 3784 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2902; /* aarch64_simd_bsldi_internal */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 3825 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2903; /* aarch64_simd_bsldi_alt */

        case E_VNx16QImode:
          if (pattern651 (x2, 
E_VNx16QImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11866; /* *aarch64_sve2_bslvnx16qi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11867; /* *aarch64_sve2_bslvnx16qi */

        case E_VNx8HImode:
          if (pattern651 (x2, 
E_VNx8HImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11868; /* *aarch64_sve2_bslvnx8hi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11869; /* *aarch64_sve2_bslvnx8hi */

        case E_VNx4SImode:
          if (pattern651 (x2, 
E_VNx4SImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11870; /* *aarch64_sve2_bslvnx4si */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11871; /* *aarch64_sve2_bslvnx4si */

        case E_VNx2DImode:
          if (pattern651 (x2, 
E_VNx2DImode) != 0)
            return -1;
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11872; /* *aarch64_sve2_bslvnx2di */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1684 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11873; /* *aarch64_sve2_bslvnx2di */

        default:
          return -1;
        }

    case NOT:
      x7 = XEXP (x4, 0);
      switch (GET_CODE (x7))
        {
        case REG:
        case SUBREG:
          operands[3] = x7;
          x8 = XEXP (x3, 1);
          operands[2] = x8;
          x6 = XEXP (x2, 1);
          operands[1] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern510 (x2, 
E_V16QImode) != 0
                  || !
#line 9180 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5189; /* bcaxqv16qi4 */

            case E_V8HImode:
              if (pattern510 (x2, 
E_V8HImode) != 0
                  || !
#line 9180 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5190; /* bcaxqv8hi4 */

            case E_V4SImode:
              if (pattern510 (x2, 
E_V4SImode) != 0
                  || !
#line 9180 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5191; /* bcaxqv4si4 */

            case E_V2DImode:
              if (pattern510 (x2, 
E_V2DImode) != 0
                  || !
#line 9180 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
                return -1;
              return 5192; /* bcaxqv2di4 */

            default:
              return -1;
            }

        case XOR:
          x9 = XEXP (x7, 0);
          operands[1] = x9;
          x10 = XEXP (x7, 1);
          operands[2] = x10;
          x8 = XEXP (x3, 1);
          operands[3] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern887 (x2, 
E_V8QImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11904; /* *aarch64_sve2_bsl1n_unpredv8qi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11905; /* *aarch64_sve2_bsl1n_unpredv8qi */

            case E_V16QImode:
              if (pattern887 (x2, 
E_V16QImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11906; /* *aarch64_sve2_bsl1n_unpredv16qi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11907; /* *aarch64_sve2_bsl1n_unpredv16qi */

            case E_V4HImode:
              if (pattern887 (x2, 
E_V4HImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11908; /* *aarch64_sve2_bsl1n_unpredv4hi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11909; /* *aarch64_sve2_bsl1n_unpredv4hi */

            case E_V8HImode:
              if (pattern887 (x2, 
E_V8HImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11910; /* *aarch64_sve2_bsl1n_unpredv8hi */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11911; /* *aarch64_sve2_bsl1n_unpredv8hi */

            case E_V2SImode:
              if (pattern887 (x2, 
E_V2SImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11912; /* *aarch64_sve2_bsl1n_unpredv2si */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11913; /* *aarch64_sve2_bsl1n_unpredv2si */

            case E_V4SImode:
              if (pattern887 (x2, 
E_V4SImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11914; /* *aarch64_sve2_bsl1n_unpredv4si */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11915; /* *aarch64_sve2_bsl1n_unpredv4si */

            case E_V2DImode:
              if (pattern887 (x2, 
E_V2DImode) != 0)
                return -1;
              x6 = XEXP (x2, 1);
              if (rtx_equal_p (x6, operands[1])
                  && 
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11916; /* *aarch64_sve2_bsl1n_unpredv2di */
              if (!rtx_equal_p (x6, operands[2])
                  || !
#line 1808 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11917; /* *aarch64_sve2_bsl1n_unpredv2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case UNSPEC:
      switch (pattern397 (x2))
        {
        case 0:
          if (!
#line 1589 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11850; /* *aarch64_sve2_bcaxvnx16qi */

        case 1:
          if (!
#line 1589 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11851; /* *aarch64_sve2_bcaxvnx8hi */

        case 2:
          if (!
#line 1589 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11852; /* *aarch64_sve2_bcaxvnx4si */

        case 3:
          if (!
#line 1589 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11853; /* *aarch64_sve2_bcaxvnx2di */

        case 4:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11896; /* *aarch64_sve2_bsl1nvnx16qi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11897; /* *aarch64_sve2_bsl1nvnx16qi */

        case 5:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11898; /* *aarch64_sve2_bsl1nvnx8hi */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11899; /* *aarch64_sve2_bsl1nvnx8hi */

        case 6:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11900; /* *aarch64_sve2_bsl1nvnx4si */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11901; /* *aarch64_sve2_bsl1nvnx4si */

        case 7:
          x6 = XEXP (x2, 1);
          if (rtx_equal_p (x6, operands[1])
              && 
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return 11902; /* *aarch64_sve2_bsl1nvnx2di */
          if (!rtx_equal_p (x6, operands[2])
              || !
#line 1787 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 11903; /* *aarch64_sve2_bsl1nvnx2di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_480 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != FLOAT_EXTEND)
    return -1;
  x4 = XEXP (x2, 2);
  operands[1] = x4;
  x5 = XEXP (x2, 0);
  x6 = XEXP (x5, 0);
  switch (GET_CODE (x6))
    {
    case VEC_SELECT:
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      x8 = XEXP (x6, 1);
      operands[4] = x8;
      x9 = XEXP (x3, 0);
      switch (pattern810 (x9))
        {
        case 0:
          if (pattern1065 (x2, 
E_V2SFmode, 
E_V4HFmode, 
E_V2HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V4HFmode)
              && 
#line 9301 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5202; /* aarch64_simd_fmlal_lowv2sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V4HFmode)
              || !
#line 9336 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5206; /* aarch64_simd_fmlal_highv2sf */

        case 1:
          if (pattern1065 (x2, 
E_V4SFmode, 
E_V8HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V8HFmode)
              && 
#line 9301 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5203; /* aarch64_simd_fmlalq_lowv4sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V8HFmode)
              || !
#line 9336 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5207; /* aarch64_simd_fmlalq_highv4sf */

        case 2:
          if (pattern1226 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode))
            {
              switch (pattern1341 ())
                {
                case 0:
                  if (
#line 9413 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5210; /* aarch64_simd_fmlal_lane_lowv2sf */
                  break;

                case 1:
                  if (
#line 9643 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5218; /* aarch64_simd_fmlal_laneq_lowv2sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode))
            return -1;
          switch (pattern1341 ())
            {
            case 0:
              if (!
#line 9450 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5212; /* aarch64_simd_fmlal_lane_highv2sf */

            case 1:
              if (!
#line 9680 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5220; /* aarch64_simd_fmlal_laneq_highv2sf */

            default:
              return -1;
            }

        case 3:
          if (pattern1226 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode))
            {
              switch (pattern1342 ())
                {
                case 0:
                  if (
#line 9527 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5214; /* aarch64_simd_fmlalq_laneq_lowv4sf */
                  break;

                case 1:
                  if (
#line 9757 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5222; /* aarch64_simd_fmlalq_lane_lowv4sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode))
            return -1;
          switch (pattern1342 ())
            {
            case 0:
              if (!
#line 9564 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5216; /* aarch64_simd_fmlalq_laneq_highv4sf */

            case 1:
              if (!
#line 9794 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5224; /* aarch64_simd_fmlalq_lane_highv4sf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      x7 = XEXP (x6, 0);
      if (GET_CODE (x7) != VEC_SELECT)
        return -1;
      x10 = XEXP (x7, 0);
      operands[2] = x10;
      x11 = XEXP (x7, 1);
      operands[4] = x11;
      x9 = XEXP (x3, 0);
      switch (pattern810 (x9))
        {
        case 0:
          if (pattern1133 (x2, 
E_V2SFmode, 
E_V4HFmode, 
E_V2HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V4HFmode)
              && 
#line 9319 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5204; /* aarch64_simd_fmlsl_lowv2sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V4HFmode)
              || !
#line 9354 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5208; /* aarch64_simd_fmlsl_highv2sf */

        case 1:
          if (pattern1133 (x2, 
E_V4SFmode, 
E_V8HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode)
              && vect_par_cnst_lo_half (operands[5], E_V8HFmode)
              && 
#line 9319 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return 5205; /* aarch64_simd_fmlslq_lowv4sf */
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode)
              || !vect_par_cnst_hi_half (operands[5], E_V8HFmode)
              || !
#line 9354 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
            return -1;
          return 5209; /* aarch64_simd_fmlslq_highv4sf */

        case 2:
          if (pattern1254 (x2, 
E_V2SFmode, 
E_V2HFmode, 
E_V4HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V4HFmode))
            {
              switch (pattern1341 ())
                {
                case 0:
                  if (
#line 9432 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5211; /* aarch64_simd_fmlsl_lane_lowv2sf */
                  break;

                case 1:
                  if (
#line 9662 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5219; /* aarch64_simd_fmlsl_laneq_lowv2sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V4HFmode))
            return -1;
          switch (pattern1341 ())
            {
            case 0:
              if (!
#line 9469 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5213; /* aarch64_simd_fmlsl_lane_highv2sf */

            case 1:
              if (!
#line 9699 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5221; /* aarch64_simd_fmlsl_laneq_highv2sf */

            default:
              return -1;
            }

        case 3:
          if (pattern1254 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0)
            return -1;
          if (vect_par_cnst_lo_half (operands[4], E_V8HFmode))
            {
              switch (pattern1342 ())
                {
                case 0:
                  if (
#line 9546 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5215; /* aarch64_simd_fmlslq_laneq_lowv4sf */
                  break;

                case 1:
                  if (
#line 9776 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                    return 5223; /* aarch64_simd_fmlslq_lane_lowv4sf */
                  break;

                default:
                  break;
                }
            }
          if (!vect_par_cnst_hi_half (operands[4], E_V8HFmode))
            return -1;
          switch (pattern1342 ())
            {
            case 0:
              if (!
#line 9583 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5217; /* aarch64_simd_fmlslq_laneq_highv4sf */

            case 1:
              if (!
#line 9813 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_F16FML))
                return -1;
              return 5225; /* aarch64_simd_fmlslq_lane_highv4sf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_483 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (GET_MODE (x2) == E_QImode)
        {
          if (memory_operand (operands[0], E_QImode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V8QImode:
                  if (register_operand (operands[1], E_V8QImode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1283; /* aarch64_store_lane0v8qi */
                  break;

                case E_V16QImode:
                  if (register_operand (operands[1], E_V16QImode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (16, INTVAL (operands[2])) == 0))
                    return 1284; /* aarch64_store_lane0v16qi */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_QImode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V8QImode:
                  if (register_operand (operands[1], E_V8QImode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2920; /* aarch64_get_lanev8qi */
                  break;

                case E_V16QImode:
                  if (register_operand (operands[1], E_V16QImode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2921; /* aarch64_get_lanev16qi */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_HImode:
      if (GET_MODE (x2) == E_HImode)
        {
          if (memory_operand (operands[0], E_HImode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HImode:
                  if (register_operand (operands[1], E_V4HImode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1285; /* aarch64_store_lane0v4hi */
                  break;

                case E_V8HImode:
                  if (register_operand (operands[1], E_V8HImode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1286; /* aarch64_store_lane0v8hi */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_HImode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HImode:
                  if (register_operand (operands[1], E_V4HImode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2922; /* aarch64_get_lanev4hi */
                  break;

                case E_V8HImode:
                  if (register_operand (operands[1], E_V8HImode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2923; /* aarch64_get_lanev8hi */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_SImode:
      if (GET_MODE (x2) == E_SImode)
        {
          if (memory_operand (operands[0], E_SImode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SImode:
                  if (register_operand (operands[1], E_V2SImode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
                    return 1287; /* aarch64_store_lane0v2si */
                  break;

                case E_V4SImode:
                  if (register_operand (operands[1], E_V4SImode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1288; /* aarch64_store_lane0v4si */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_SImode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SImode:
                  if (register_operand (operands[1], E_V2SImode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2924; /* aarch64_get_lanev2si */
                  break;

                case E_V4SImode:
                  if (register_operand (operands[1], E_V4SImode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2925; /* aarch64_get_lanev4si */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_DImode:
      if (GET_MODE (x2) == E_DImode
          && register_operand (operands[1], E_V2DImode))
        {
          if (memory_operand (operands[0], E_DImode)
              && const_int_operand (operands[2], E_VOIDmode)
              && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
            return 1289; /* aarch64_store_lane0v2di */
          if (aarch64_simd_nonimmediate_operand (operands[0], E_DImode)
              && immediate_operand (operands[2], E_SImode))
            {
              if (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2926; /* aarch64_get_lanev2di */
              if (
#line 4292 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 1))
                return 2934; /* *aarch64_get_highv2di */
            }
        }
      break;

    case E_HFmode:
      if (GET_MODE (x2) == E_HFmode)
        {
          if (memory_operand (operands[0], E_HFmode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HFmode:
                  if (register_operand (operands[1], E_V4HFmode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1290; /* aarch64_store_lane0v4hf */
                  break;

                case E_V8HFmode:
                  if (register_operand (operands[1], E_V8HFmode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1291; /* aarch64_store_lane0v8hf */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_HFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4HFmode:
                  if (register_operand (operands[1], E_V4HFmode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2927; /* aarch64_get_lanev4hf */
                  break;

                case E_V8HFmode:
                  if (register_operand (operands[1], E_V8HFmode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2928; /* aarch64_get_lanev8hf */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_BFmode:
      if (GET_MODE (x2) == E_BFmode)
        {
          if (memory_operand (operands[0], E_BFmode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4BFmode:
                  if (register_operand (operands[1], E_V4BFmode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1292; /* aarch64_store_lane0v4bf */
                  break;

                case E_V8BFmode:
                  if (register_operand (operands[1], E_V8BFmode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (8, INTVAL (operands[2])) == 0))
                    return 1293; /* aarch64_store_lane0v8bf */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_BFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V4BFmode:
                  if (register_operand (operands[1], E_V4BFmode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2929; /* aarch64_get_lanev4bf */
                  break;

                case E_V8BFmode:
                  if (register_operand (operands[1], E_V8BFmode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2930; /* aarch64_get_lanev8bf */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_SFmode:
      if (GET_MODE (x2) == E_SFmode)
        {
          if (memory_operand (operands[0], E_SFmode)
              && const_int_operand (operands[2], E_VOIDmode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (register_operand (operands[1], E_V2SFmode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
                    return 1294; /* aarch64_store_lane0v2sf */
                  break;

                case E_V4SFmode:
                  if (register_operand (operands[1], E_V4SFmode)
                      && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (4, INTVAL (operands[2])) == 0))
                    return 1295; /* aarch64_store_lane0v4sf */
                  break;

                default:
                  break;
                }
            }
          if (aarch64_simd_nonimmediate_operand (operands[0], E_SFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              switch (GET_MODE (operands[1]))
                {
                case E_V2SFmode:
                  if (register_operand (operands[1], E_V2SFmode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2931; /* aarch64_get_lanev2sf */
                  break;

                case E_V4SFmode:
                  if (register_operand (operands[1], E_V4SFmode)
                      && 
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return 2932; /* aarch64_get_lanev4sf */
                  break;

                default:
                  break;
                }
            }
        }
      break;

    case E_DFmode:
      if (GET_MODE (x2) == E_DFmode
          && register_operand (operands[1], E_V2DFmode))
        {
          if (memory_operand (operands[0], E_DFmode)
              && const_int_operand (operands[2], E_VOIDmode)
              && 
#line 228 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT
   && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 0))
            return 1296; /* aarch64_store_lane0v2df */
          if (aarch64_simd_nonimmediate_operand (operands[0], E_DFmode)
              && immediate_operand (operands[2], E_SImode))
            {
              if (
#line 4263 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2933; /* aarch64_get_lanev2df */
              if (
#line 4292 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && ENDIAN_LANE_N (2, INTVAL (operands[2])) == 1))
                return 2935; /* *aarch64_get_highv2df */
            }
        }
      break;

    default:
      break;
    }
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  if (XWINT (x4, 0) == 0L)
    {
      switch (pattern696 (x2))
        {
        case 0:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6485; /* *vec_extractvnx16qiqi_0 */
          break;

        case 1:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6486; /* *vec_extractvnx8hihi_0 */
          break;

        case 2:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6487; /* *vec_extractvnx4sisi_0 */
          break;

        case 3:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6488; /* *vec_extractvnx2didi_0 */
          break;

        case 4:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6489; /* *vec_extractvnx8bfbf_0 */
          break;

        case 5:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6490; /* *vec_extractvnx8hfhf_0 */
          break;

        case 6:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6491; /* *vec_extractvnx4sfsf_0 */
          break;

        case 7:
          if (
#line 3010 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 6492; /* *vec_extractvnx2dfdf_0 */
          break;

        default:
          break;
        }
    }
  operands[2] = x4;
  if (!const_int_operand (operands[2], E_SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (GET_MODE (x2) != E_QImode
          || !register_operand (operands[1], E_VNx16QImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_QImode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (QImode), 1, 15)))
        return 6493; /* *vec_extractvnx16qiqi_v128 */
      if (!register_operand (operands[0], E_QImode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (QImode), 16, 63)))
        return 6501; /* *vec_extractvnx16qiqi_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (QImode) >= 64))
        return -1;
      return 6509; /* *vec_extractvnx16qiqi_ext */

    case E_HImode:
      if (GET_MODE (x2) != E_HImode
          || !register_operand (operands[1], E_VNx8HImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_HImode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HImode), 1, 15)))
        return 6494; /* *vec_extractvnx8hihi_v128 */
      if (!register_operand (operands[0], E_HImode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HImode), 16, 63)))
        return 6502; /* *vec_extractvnx8hihi_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (HImode) >= 64))
        return -1;
      return 6510; /* *vec_extractvnx8hihi_ext */

    case E_SImode:
      if (GET_MODE (x2) != E_SImode
          || !register_operand (operands[1], E_VNx4SImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_SImode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SImode), 1, 15)))
        return 6495; /* *vec_extractvnx4sisi_v128 */
      if (!register_operand (operands[0], E_SImode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SImode), 16, 63)))
        return 6503; /* *vec_extractvnx4sisi_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (SImode) >= 64))
        return -1;
      return 6511; /* *vec_extractvnx4sisi_ext */

    case E_DImode:
      if (GET_MODE (x2) != E_DImode
          || !register_operand (operands[1], E_VNx2DImode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_DImode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DImode), 1, 15)))
        return 6496; /* *vec_extractvnx2didi_v128 */
      if (!register_operand (operands[0], E_DImode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DImode), 16, 63)))
        return 6504; /* *vec_extractvnx2didi_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (DImode) >= 64))
        return -1;
      return 6512; /* *vec_extractvnx2didi_ext */

    case E_BFmode:
      if (GET_MODE (x2) != E_BFmode
          || !register_operand (operands[1], E_VNx8BFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_BFmode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode), 1, 15)))
        return 6497; /* *vec_extractvnx8bfbf_v128 */
      if (!register_operand (operands[0], E_BFmode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode), 16, 63)))
        return 6505; /* *vec_extractvnx8bfbf_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (BFmode) >= 64))
        return -1;
      return 6513; /* *vec_extractvnx8bfbf_ext */

    case E_HFmode:
      if (GET_MODE (x2) != E_HFmode
          || !register_operand (operands[1], E_VNx8HFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_HFmode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode), 1, 15)))
        return 6498; /* *vec_extractvnx8hfhf_v128 */
      if (!register_operand (operands[0], E_HFmode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode), 16, 63)))
        return 6506; /* *vec_extractvnx8hfhf_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (HFmode) >= 64))
        return -1;
      return 6514; /* *vec_extractvnx8hfhf_ext */

    case E_SFmode:
      if (GET_MODE (x2) != E_SFmode
          || !register_operand (operands[1], E_VNx4SFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_SFmode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode), 1, 15)))
        return 6499; /* *vec_extractvnx4sfsf_v128 */
      if (!register_operand (operands[0], E_SFmode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode), 16, 63)))
        return 6507; /* *vec_extractvnx4sfsf_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (SFmode) >= 64))
        return -1;
      return 6515; /* *vec_extractvnx4sfsf_ext */

    case E_DFmode:
      if (GET_MODE (x2) != E_DFmode
          || !register_operand (operands[1], E_VNx2DFmode))
        return -1;
      if (aarch64_simd_nonimmediate_operand (operands[0], E_DFmode)
          && 
#line 3044 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode), 1, 15)))
        return 6500; /* *vec_extractvnx2dfdf_v128 */
      if (!register_operand (operands[0], E_DFmode))
        return -1;
      if (
#line 3070 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && IN_RANGE (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode), 16, 63)))
        return 6508; /* *vec_extractvnx2dfdf_dup */
      if (!
#line 3085 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && INTVAL (operands[2]) * GET_MODE_SIZE (DFmode) >= 64))
        return -1;
      return 6516; /* *vec_extractvnx2dfdf_ext */

    default:
      return -1;
    }
}

 int
recog_495 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case IOR:
      switch (pattern408 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 328 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1315; /* iornv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 328 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1319; /* iornv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 328 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1323; /* iornv2si3_vec_concatz_be */

        case 3:
          if (pattern894 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1138 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1764; /* iorv8qi3_vec_concatz_be */

        case 4:
          if (pattern894 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1138 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1768; /* iorv4hi3_vec_concatz_be */

        case 5:
          if (pattern894 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1138 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1772; /* iorv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case AND:
      switch (pattern408 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 337 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1328; /* andnv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 337 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1332; /* andnv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 337 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1336; /* andnv2si3_vec_concatz_be */

        case 3:
          if (pattern895 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1125 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1751; /* andv8qi3_vec_concatz_be */

        case 4:
          if (pattern895 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1125 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1755; /* andv4hi3_vec_concatz_be */

        case 5:
          if (pattern895 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1125 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1759; /* andv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case PLUS:
      return recog_485 (x1, insn, pnum_clobbers);

    case MINUS:
      return recog_490 (x1, insn, pnum_clobbers);

    case MULT:
      x4 = XEXP (x2, 0);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern414 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 364 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1367; /* mulv8qi3_vec_concatz_be */

        case E_V8HImode:
          if (pattern414 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 364 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1371; /* mulv4hi3_vec_concatz_be */

        case E_V4SImode:
          if (pattern414 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 364 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1375; /* mulv2si3_vec_concatz_be */

        case E_V8HFmode:
          if (pattern414 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2653 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2366; /* mulv4hf3_vec_concatz_be */

        case E_V4SFmode:
          if (pattern414 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2653 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2370; /* mulv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case BITREVERSE:
      if (pattern409 (x2) != 0
          || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 380 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
        return -1;
      return 1384; /* aarch64_rbitv8qi_vec_concatz_be */

    case UNSPEC:
      return recog_487 (x1, insn, pnum_clobbers);

    case NEG:
      return recog_488 (x1, insn, pnum_clobbers);

    case ABS:
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern521 (x2))
            {
            case 0:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 790 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1600; /* absv8qi2_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 790 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1604; /* absv4hi2_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 790 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1608; /* absv2si2_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2699 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2394; /* absv4hf2_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2699 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2398; /* absv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case MINUS:
          x4 = XEXP (x2, 0);
          operands[3] = x4;
          x7 = XEXP (x5, 0);
          operands[1] = x7;
          x8 = XEXP (x5, 1);
          operands[2] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern525 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 1115 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 1737; /* fabdv4hf3_vec_concatz_be */

            case E_V4SFmode:
              if (pattern525 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1115 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1741; /* fabdv2sf3_vec_concatz_be */

            case E_V2DFmode:
              if (pattern525 (x2, 
E_DFmode, 
E_V2DFmode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1115 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1748; /* fabddf3_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case XOR:
      return recog_491 (x1, insn, pnum_clobbers);

    case NOT:
      switch (pattern411 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1790; /* one_cmplv8qi2_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1794; /* one_cmplv4hi2_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1162 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1798; /* one_cmplv2si2_vec_concatz_be */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern413 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1269 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1855; /* aarch64_simd_lshrv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1269 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1859; /* aarch64_simd_lshrv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1269 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1863; /* aarch64_simd_lshrv2si_vec_concatz_be */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern413 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1278 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1868; /* aarch64_simd_ashrv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1278 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1872; /* aarch64_simd_ashrv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1278 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1876; /* aarch64_simd_ashrv2si_vec_concatz_be */

        default:
          return -1;
        }

    case ASHIFT:
      x4 = XEXP (x2, 0);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_CODE (operands[2]))
        {
        case CONST_VECTOR:
        case CONST:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern898 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1393 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1918; /* aarch64_simd_imm_shlv8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern898 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1393 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1922; /* aarch64_simd_imm_shlv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern898 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1393 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1926; /* aarch64_simd_imm_shlv2si_vec_concatz_be */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern414 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1404 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1931; /* aarch64_simd_reg_sshlv8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern414 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1404 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1935; /* aarch64_simd_reg_sshlv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern414 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1404 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1939; /* aarch64_simd_reg_sshlv2si_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SMAX:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2060; /* smaxv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2076; /* smaxv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2092; /* smaxv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case SMIN:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2063; /* sminv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2079; /* sminv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2095; /* sminv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case UMAX:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2066; /* umaxv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2082; /* umaxv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2098; /* umaxv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case UMIN:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2069; /* uminv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2085; /* uminv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 1754 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2101; /* uminv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case DIV:
      x4 = XEXP (x2, 0);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      x6 = XEXP (x3, 1);
      operands[2] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern414 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 2674 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2375; /* *divv4hf3_vec_concatz_be */

        case E_V4SFmode:
          if (pattern414 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 2674 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2379; /* *divv2sf3_vec_concatz_be */

        default:
          return -1;
        }

    case FMA:
      return recog_489 (x1, insn, pnum_clobbers);

    case FLOAT_TRUNCATE:
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V4SFmode:
          if (pattern527 (x2, 
E_V2DFmode, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3253 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2648; /* truncv2dfv2sf2_vec_concatz_be */

        case E_V8HFmode:
          if (pattern527 (x2, 
E_V4SFmode, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3253 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2651; /* truncv4sfv4hf2_vec_concatz_be */

        default:
          return -1;
        }

    case CLRSB:
      switch (pattern411 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3549 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2806; /* clrsbv8qi2_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3549 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2810; /* clrsbv4hi2_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3549 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2814; /* clrsbv2si2_vec_concatz_be */

        default:
          return -1;
        }

    case CLZ:
      switch (pattern411 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3557 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2818; /* clzv8qi2_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3557 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2822; /* clzv4hi2_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3557 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2826; /* clzv2si2_vec_concatz_be */

        default:
          return -1;
        }

    case POPCOUNT:
      if (pattern409 (x2) != 0
          || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3565 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
        return -1;
      return 2830; /* popcountv8qi2_vec_concatz_be */

    case REG:
    case SUBREG:
    case MEM:
      operands[1] = x3;
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (pattern759 (x2, 
E_V8QImode, 
E_V16QImode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2986; /* *aarch64_combinez_bev8qi */

        case E_V8HImode:
          if (pattern759 (x2, 
E_V4HImode, 
E_V8HImode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2987; /* *aarch64_combinez_bev4hi */

        case E_V8BFmode:
          if (pattern759 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2988; /* *aarch64_combinez_bev4bf */

        case E_V8HFmode:
          if (pattern759 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2989; /* *aarch64_combinez_bev4hf */

        case E_V4SImode:
          if (pattern759 (x2, 
E_V2SImode, 
E_V4SImode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2990; /* *aarch64_combinez_bev2si */

        case E_V4SFmode:
          if (pattern759 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2991; /* *aarch64_combinez_bev2sf */

        case E_V2SImode:
          if (pattern759 (x2, 
E_SImode, 
E_V2SImode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2992; /* *aarch64_combinez_besi */

        case E_V2SFmode:
          if (pattern759 (x2, 
E_SFmode, 
E_V2SFmode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2993; /* *aarch64_combinez_besf */

        case E_V2DImode:
          if (pattern759 (x2, 
E_DImode, 
E_V2DImode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2994; /* *aarch64_combinez_bedi */

        case E_V2DFmode:
          if (pattern759 (x2, 
E_DFmode, 
E_V2DFmode) != 0
              || !
#line 4405 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FLOAT && BYTES_BIG_ENDIAN))
            return -1;
          return 2995; /* *aarch64_combinez_bedf */

        default:
          return -1;
        }

    case TRUNCATE:
      return recog_486 (x1, insn, pnum_clobbers);

    case SS_PLUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3230; /* ssaddv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3246; /* ssaddv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3262; /* ssaddv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case US_PLUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3233; /* usaddv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3249; /* usaddv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3265; /* usaddv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case SS_MINUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3236; /* sssubv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3252; /* sssubv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3268; /* sssubv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case US_MINUS:
      switch (pattern415 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3239; /* ussubv8qi3_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3255; /* ussubv4hi3_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3271; /* ussubv2si3_vec_concatz_be */

        default:
          return -1;
        }

    case SS_TRUNCATE:
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern528 (x2))
            {
            case 0:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3342; /* aarch64_sqmovnv8hi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3348; /* aarch64_sqmovnv4si_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3354; /* aarch64_sqmovnv2di_vec_concatz_be */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern537 (x2, 
SIGN_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3887; /* *aarch64_sqsshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3905; /* *aarch64_sqsshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3923; /* *aarch64_sqsshrn_nv2di_insn_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3941; /* *aarch64_sqrshrn_nv8hi_insn_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3950; /* *aarch64_sqrshrn_nv4si_insn_vec_concatz_be */

            case 5:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3959; /* *aarch64_sqrshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern538 (x2))
            {
            case 0:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3890; /* *aarch64_sqshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3908; /* *aarch64_sqshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (SS_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3926; /* *aarch64_sqshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case US_TRUNCATE:
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern528 (x2))
            {
            case 0:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3345; /* aarch64_uqmovnv8hi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3351; /* aarch64_uqmovnv4si_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5400 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 3357; /* aarch64_uqmovnv2di_vec_concatz_be */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern538 (x2))
            {
            case 0:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3893; /* *aarch64_uqsshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3911; /* *aarch64_uqsshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, ASHIFTRT))))
                return -1;
              return 3929; /* *aarch64_uqsshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern537 (x2, 
ZERO_EXTEND))
            {
            case 0:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3896; /* *aarch64_uqshrn_nv8hi_insn_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3914; /* *aarch64_uqshrn_nv4si_insn_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6693 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && AARCH64_VALID_SHRN_OP (US_TRUNCATE, LSHIFTRT))))
                return -1;
              return 3932; /* *aarch64_uqshrn_nv2di_insn_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3944; /* *aarch64_uqrshrn_nv8hi_insn_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3953; /* *aarch64_uqrshrn_nv4si_insn_vec_concatz_be */

            case 5:
              if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 6720 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
   && aarch64_const_vec_rnd_cst_p (operands[3], operands[2]))))
                return -1;
              return 3962; /* *aarch64_uqrshrn_nv2di_insn_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SS_NEG:
      switch (pattern416 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3390; /* aarch64_sqnegv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3398; /* aarch64_sqnegv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3406; /* aarch64_sqnegv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3422; /* aarch64_sqnegdi_vec_concatz_be */

        default:
          return -1;
        }

    case SS_ABS:
      switch (pattern416 (x2))
        {
        case 0:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3393; /* aarch64_sqabsv8qi_vec_concatz_be */

        case 1:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3401; /* aarch64_sqabsv4hi_vec_concatz_be */

        case 2:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3409; /* aarch64_sqabsv2si_vec_concatz_be */

        case 3:
          if (!(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5542 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 3425; /* aarch64_sqabsdi_vec_concatz_be */

        default:
          return -1;
        }

    case SQRT:
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      x5 = XEXP (x3, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HFmode:
          if (pattern410 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 7550 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 4372; /* *sqrtv4hf2_vec_concatz_be */

        case E_V4SFmode:
          if (pattern410 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
              || !(
#line 37 "../../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 7550 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 4376; /* *sqrtv2sf2_vec_concatz_be */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_513 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XVECLEN (x2, 0))
    {
    case 1:
      switch (XINT (x2, 1))
        {
        case 163:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!aarch64_sysreg_string (operands[1], E_VOIDmode))
            return -1;
          return 1; /* aarch64_read_sysregdi */

        case 164:
          if (GET_MODE (x2) != E_TImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_TImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!aarch64_sysreg_string (operands[1], E_VOIDmode)
              || !
#line 657 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_D128))
            return -1;
          return 2; /* aarch64_read_sysregti */

        case 3:
          switch (pattern43 (x1))
            {
            case 0:
              return 1165; /* aarch64_get_fpsrsi */

            case 1:
              return 1167; /* aarch64_get_fpsrdi */

            default:
              return -1;
            }

        case 1:
          switch (pattern43 (x1))
            {
            case 0:
              return 1166; /* aarch64_get_fpcrsi */

            case 1:
              return 1168; /* aarch64_get_fpcrdi */

            default:
              return -1;
            }

        case 63:
          if (GET_MODE (x2) != E_V8DImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (GET_CODE (x4) != MEM
              || GET_MODE (x4) != E_V8DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_V8DImode))
            return -1;
          x5 = XEXP (x4, 0);
          operands[1] = x5;
          if (!register_operand (operands[1], E_DImode)
              || !
#line 8465 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_LS64))
            return -1;
          return 1218; /* ld64b */

        case 64:
          if (GET_MODE (x2) != E_V8DImode)
            return -1;
          x3 = XEXP (x1, 0);
          if (GET_CODE (x3) != MEM
              || GET_MODE (x3) != E_V8DImode)
            return -1;
          x6 = XEXP (x3, 0);
          operands[0] = x6;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_V8DImode)
              || !
#line 8475 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_LS64))
            return -1;
          return 1219; /* st64b */

        case 12:
          if (pattern44 (x1, 
16, 
E_DImode) != 0)
            return -1;
          return 1225; /* aarch64_chkfeat */

        case 13:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          return 1226; /* aarch64_load_gcspr */

        case 14:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 1227; /* aarch64_gcspopm */

        case 16:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          return 1230; /* aarch64_gcsss2 */

        case 684:
          if (pnum_clobbers == NULL
              || GET_MODE (x2) != E_TImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x3 = XEXP (x1, 0);
          if (GET_CODE (x3) != REG
              || REGNO (x3) != 0
              || GET_MODE (x3) != E_TImode)
            return -1;
          *pnum_clobbers = 5;
          return 12910; /* aarch64_get_sme_state */

        case 685:
          if (GET_MODE (x2) != E_DImode)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          if (!register_operand (operands[0], E_DImode))
            return -1;
          return 12911; /* aarch64_read_svcr */

        default:
          return -1;
        }

    case 2:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      switch (XINT (x2, 1))
        {
        case 6:
          if (GET_MODE (x2) != E_DImode
              || !register_operand (operands[0], E_DImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          if (!register_operand (operands[1], E_DImode))
            return -1;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!register_operand (operands[2], E_DImode))
            return -1;
          return 1152; /* probe_stack_range */

        case 7:
          x7 = XVECEXP (x2, 0, 1);
          if (GET_CODE (x7) != USE)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x8 = XEXP (x7, 0);
          operands[2] = x8;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (pattern775 (x2, 
E_QImode) != 0)
                return -1;
              return 1181; /* despeculate_simpleqi */

            case E_HImode:
              if (pattern775 (x2, 
E_HImode) != 0)
                return -1;
              return 1182; /* despeculate_simplehi */

            case E_SImode:
              if (pattern775 (x2, 
E_SImode) != 0)
                return -1;
              return 1183; /* despeculate_simplesi */

            case E_DImode:
              if (pattern776 (x2, 
E_DImode) != 0)
                return -1;
              return 1184; /* despeculate_simpledi */

            case E_TImode:
              if (pattern776 (x2, 
E_TImode) != 0)
                return -1;
              return 1185; /* despeculate_simpleti */

            default:
              return -1;
            }

        case 31:
          if (pnum_clobbers == NULL)
            return -1;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!const_int_operand (operands[2], E_SImode))
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          switch (GET_CODE (x4))
            {
            case PLUS:
              switch (pattern778 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5369; /* aarch64_atomic_addqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5374; /* aarch64_atomic_addhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5379; /* aarch64_atomic_addsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5384; /* aarch64_atomic_adddi */

                default:
                  return -1;
                }

            case MINUS:
              switch (pattern778 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5370; /* aarch64_atomic_subqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5375; /* aarch64_atomic_subhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5380; /* aarch64_atomic_subsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5385; /* aarch64_atomic_subdi */

                default:
                  return -1;
                }

            case IOR:
              switch (pattern780 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5371; /* aarch64_atomic_orqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5376; /* aarch64_atomic_orhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5381; /* aarch64_atomic_orsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5386; /* aarch64_atomic_ordi */

                default:
                  return -1;
                }

            case XOR:
              switch (pattern780 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5372; /* aarch64_atomic_xorqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5377; /* aarch64_atomic_xorhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5382; /* aarch64_atomic_xorsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5387; /* aarch64_atomic_xordi */

                default:
                  return -1;
                }

            case AND:
              switch (pattern780 (x2))
                {
                case 0:
                  *pnum_clobbers = 3;
                  return 5373; /* aarch64_atomic_andqi */

                case 1:
                  *pnum_clobbers = 3;
                  return 5378; /* aarch64_atomic_andhi */

                case 2:
                  *pnum_clobbers = 3;
                  return 5383; /* aarch64_atomic_andsi */

                case 3:
                  *pnum_clobbers = 3;
                  return 5388; /* aarch64_atomic_anddi */

                default:
                  return -1;
                }

            case NOT:
              x5 = XEXP (x4, 0);
              if (GET_CODE (x5) != AND)
                return -1;
              x9 = XEXP (x5, 1);
              operands[1] = x9;
              x10 = XEXP (x5, 0);
              if (!rtx_equal_p (x10, operands[0]))
                return -1;
              switch (GET_MODE (operands[0]))
                {
                case E_QImode:
                  if (pattern1043 (x2, 
E_QImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5405; /* atomic_nandqi */

                case E_HImode:
                  if (pattern1043 (x2, 
E_HImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5406; /* atomic_nandhi */

                case E_SImode:
                  if (pattern1043 (x2, 
E_SImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5407; /* atomic_nandsi */

                case E_DImode:
                  if (pattern1043 (x2, 
E_DImode) != 0)
                    return -1;
                  *pnum_clobbers = 3;
                  return 5408; /* atomic_nanddi */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 25:
          switch (pattern368 (x2))
            {
            case 0:
              if (!
#line 687 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5482; /* aarch64_atomic_loadqi_rcpc */

            case 1:
              if (!
#line 687 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5483; /* aarch64_atomic_loadhi_rcpc */

            case 2:
              if (!
#line 687 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5484; /* aarch64_atomic_loadsi_rcpc */

            case 3:
              if (!
#line 687 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC))
                return -1;
              return 5485; /* aarch64_atomic_loaddi_rcpc */

            default:
              return -1;
            }

        case 24:
          switch (pattern368 (x2))
            {
            case 0:
              return 5486; /* aarch64_atomic_loadqi */

            case 1:
              return 5487; /* aarch64_atomic_loadhi */

            case 2:
              return 5488; /* aarch64_atomic_loadsi */

            case 3:
              return 5489; /* aarch64_atomic_loaddi */

            default:
              return -1;
            }

        case 26:
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!const_int_operand (operands[2], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_QImode)
                  || GET_MODE (x2) != E_QImode
                  || !general_operand (operands[1], E_QImode))
                return -1;
              return 5505; /* atomic_storeqi */

            case E_HImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_HImode)
                  || GET_MODE (x2) != E_HImode
                  || !general_operand (operands[1], E_HImode))
                return -1;
              return 5506; /* atomic_storehi */

            case E_SImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_SImode)
                  || GET_MODE (x2) != E_SImode
                  || !general_operand (operands[1], E_SImode))
                return -1;
              return 5507; /* atomic_storesi */

            case E_DImode:
              if (!aarch64_rcpc_memory_operand (operands[0], E_DImode)
                  || GET_MODE (x2) != E_DImode
                  || !general_operand (operands[1], E_DImode))
                return -1;
              return 5508; /* atomic_storedi */

            default:
              return -1;
            }

        case 22:
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x7 = XVECEXP (x2, 0, 1);
          operands[2] = x7;
          if (!const_int_operand (operands[2], E_SImode))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || GET_MODE (x2) != E_SImode
                  || !aarch64_sync_memory_operand (operands[1], E_SImode))
                return -1;
              return 5511; /* aarch64_load_exclusivesi */

            case E_DImode:
              if (!register_operand (operands[0], E_DImode)
                  || GET_MODE (x2) != E_DImode
                  || !aarch64_sync_memory_operand (operands[1], E_DImode))
                return -1;
              return 5512; /* aarch64_load_exclusivedi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 4:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 0);
      operands[1] = x4;
      x7 = XVECEXP (x2, 0, 1);
      operands[2] = x7;
      switch (XINT (x2, 1))
        {
        case 6:
          x11 = XVECEXP (x2, 0, 2);
          operands[3] = x11;
          x12 = XVECEXP (x2, 0, 3);
          operands[4] = x12;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern852 (x2, 
E_SImode) != 0
                  || !(
#line 7968 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_SVE) && 
#line 163 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)))
                return -1;
              return 1153; /* probe_sve_stack_clash_si */

            case E_DImode:
              if (pattern852 (x2, 
E_DImode) != 0
                  || !(
#line 7968 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_SVE) && 
#line 164 "../../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)))
                return -1;
              return 1154; /* probe_sve_stack_clash_di */

            default:
              return -1;
            }

        case 7:
          x11 = XVECEXP (x2, 0, 2);
          if (GET_CODE (x11) != USE)
            return -1;
          x13 = XEXP (x11, 0);
          if (GET_CODE (x13) != REG
              || REGNO (x13) != 15
              || GET_MODE (x13) != E_DImode)
            return -1;
          x12 = XVECEXP (x2, 0, 3);
          if (GET_CODE (x12) != CLOBBER)
            return -1;
          x14 = XEXP (x12, 0);
          if (GET_CODE (x14) != REG
              || REGNO (x14) != 66
              || GET_MODE (x14) != E_CCmode)
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_QImode:
              if (pattern1190 (x2, 
E_QImode) != 0)
                return -1;
              return 1176; /* *despeculate_copyqi_insn */

            case E_HImode:
              if (pattern1190 (x2, 
E_HImode) != 0)
                return -1;
              return 1177; /* *despeculate_copyhi_insn */

            case E_SImode:
              if (pattern1190 (x2, 
E_SImode) != 0)
                return -1;
              return 1178; /* *despeculate_copysi_insn */

            case E_DImode:
              if (pattern1190 (x2, 
E_DImode) != 0)
                return -1;
              return 1179; /* *despeculate_copydi_insn */

            case E_TImode:
              if (pattern1190 (x2, 
E_TImode) != 0)
                return -1;
              return 1180; /* *despeculate_copyti_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 3:
      switch (XINT (x2, 1))
        {
        case 32:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5389; /* aarch64_atomic_iorqi_lse */

            case 1:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5393; /* aarch64_atomic_iorhi_lse */

            case 2:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5397; /* aarch64_atomic_iorsi_lse */

            case 3:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5401; /* aarch64_atomic_iordi_lse */

            default:
              return -1;
            }

        case 33:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5390; /* aarch64_atomic_bicqi_lse */

            case 1:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5394; /* aarch64_atomic_bichi_lse */

            case 2:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5398; /* aarch64_atomic_bicsi_lse */

            case 3:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5402; /* aarch64_atomic_bicdi_lse */

            default:
              return -1;
            }

        case 34:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5391; /* aarch64_atomic_xorqi_lse */

            case 1:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5395; /* aarch64_atomic_xorhi_lse */

            case 2:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5399; /* aarch64_atomic_xorsi_lse */

            case 3:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5403; /* aarch64_atomic_xordi_lse */

            default:
              return -1;
            }

        case 35:
          switch (pattern45 (x1, pnum_clobbers))
            {
            case 0:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5392; /* aarch64_atomic_addqi_lse */

            case 1:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5396; /* aarch64_atomic_addhi_lse */

            case 2:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5400; /* aarch64_atomic_addsi_lse */

            case 3:
              if (!
#line 379 "../../../gcc/config/aarch64/atomics.md"
(TARGET_LSE))
                return -1;
              *pnum_clobbers = 1;
              return 5404; /* aarch64_atomic_adddi_lse */

            default:
              return -1;
            }

        case 36:
          if (pattern46 (x1, 
E_VOIDmode, 
E_VNx16QImode, 
93) != 0)
            return -1;
          return 12924; /* aarch64_asm_update_za */

        case 37:
          if (pattern46 (x1, 
E_VOIDmode, 
E_V8DImode, 
94) != 0)
            return -1;
          return 12925; /* aarch64_asm_update_zt0 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_521 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
    case MEM:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_DImode:
          switch (pattern481 (x3))
            {
            case 0:
              return 106; /* *extendsidi2_aarch64 */

            case 1:
              return 111; /* *extendqidi2_aarch64 */

            case 2:
              return 113; /* *extendhidi2_aarch64 */

            default:
              return -1;
            }

        case E_SImode:
          switch (pattern482 (x3))
            {
            case 0:
              return 110; /* *extendqisi2_aarch64 */

            case 1:
              return 112; /* *extendhisi2_aarch64 */

            default:
              return -1;
            }

        case E_HImode:
          if (!register_operand (operands[0], E_HImode)
              || GET_MODE (x3) != E_HImode
              || !nonimmediate_operand (operands[1], E_QImode))
            return -1;
          return 118; /* *extendqihi2_aarch64 */

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x3) != E_V8HImode
              || !register_operand (operands[1], E_V8QImode)
              || !
#line 9844 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5228; /* extendv8qiv8hi2 */

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x3) != E_V4SImode
              || !register_operand (operands[1], E_V4HImode)
              || !
#line 9844 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5230; /* extendv4hiv4si2 */

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x3) != E_V2DImode
              || !register_operand (operands[1], E_V2SImode)
              || !
#line 9844 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 5232; /* extendv2siv2di2 */

        case E_VNx16HImode:
          if (!aligned_register_operand (operands[0], E_VNx16HImode)
              || GET_MODE (x3) != E_VNx16HImode
              || !register_operand (operands[1], E_VNx16QImode)
              || !
#line 2201 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12010; /* extendvnx16qivnx16hi2 */

        case E_VNx8SImode:
          if (!aligned_register_operand (operands[0], E_VNx8SImode)
              || GET_MODE (x3) != E_VNx8SImode
              || !register_operand (operands[1], E_VNx8HImode)
              || !
#line 2201 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12012; /* extendvnx8hivnx8si2 */

        case E_VNx4DImode:
          if (!aligned_register_operand (operands[0], E_VNx4DImode)
              || GET_MODE (x3) != E_VNx4DImode
              || !register_operand (operands[1], E_VNx4SImode)
              || !
#line 2201 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12014; /* extendvnx4sivnx4di2 */

        case E_VNx32HImode:
          if (!aligned_register_operand (operands[0], E_VNx32HImode)
              || GET_MODE (x3) != E_VNx32HImode
              || !aligned_register_operand (operands[1], E_VNx32QImode)
              || !
#line 2209 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12016; /* extendvnx32qivnx32hi2 */

        case E_VNx16SImode:
          if (!aligned_register_operand (operands[0], E_VNx16SImode)
              || GET_MODE (x3) != E_VNx16SImode
              || !aligned_register_operand (operands[1], E_VNx16HImode)
              || !
#line 2209 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12018; /* extendvnx16hivnx16si2 */

        case E_VNx8DImode:
          if (!aligned_register_operand (operands[0], E_VNx8DImode)
              || GET_MODE (x3) != E_VNx8DImode
              || !aligned_register_operand (operands[1], E_VNx8SImode)
              || !
#line 2209 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 12020; /* extendvnx8sivnx8di2 */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern282 (x3))
        {
        case 0:
          if (!
#line 6270 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 784; /* *extendsi_ashlqi */

        case 1:
          if (!
#line 6270 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 788; /* *extendsi_ashlhi */

        case 2:
          if (!
#line 6270 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 786; /* *extenddi_ashlqi */

        case 3:
          if (!
#line 6270 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 790; /* *extenddi_ashlhi */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern282 (x3))
        {
        case 0:
          if (!
#line 6296 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 796; /* *extendsi_ashrqi */

        case 1:
          if (!
#line 6296 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 798; /* *extendsi_ashrhi */

        case 2:
          if (!
#line 6296 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
            return -1;
          return 797; /* *extenddi_ashrqi */

        case 3:
          if (!
#line 6296 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
            return -1;
          return 799; /* *extenddi_ashrhi */

        default:
          return -1;
        }

    case VEC_SELECT:
      x5 = XEXP (x4, 1);
      if (GET_CODE (x5) != PARALLEL)
        return -1;
      operands[2] = x5;
      x6 = XEXP (x4, 0);
      operands[1] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_V8HImode:
          if (pattern359 (x3, 
E_V16QImode, 
E_V8QImode, 
E_V8HImode) == 0
              && 
#line 1968 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2214; /* aarch64_simd_vec_unpacks_hi_v16qi */
          break;

        case E_V4SImode:
          if (pattern359 (x3, 
E_V8HImode, 
E_V4HImode, 
E_V4SImode) == 0
              && 
#line 1968 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2216; /* aarch64_simd_vec_unpacks_hi_v8hi */
          break;

        case E_V2DImode:
          if (pattern359 (x3, 
E_V4SImode, 
E_V2SImode, 
E_V2DImode) == 0
              && 
#line 1968 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return 2218; /* aarch64_simd_vec_unpacks_hi_v4si */
          break;

        default:
          break;
        }
      if (XVECLEN (x5, 0) != 1)
        return -1;
      switch (pattern484 (x3))
        {
        case 0:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2904; /* *aarch64_get_lane_extendsiv8qi */

        case 1:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2906; /* *aarch64_get_lane_extendsiv16qi */

        case 2:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2908; /* *aarch64_get_lane_extendsiv4hi */

        case 3:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2910; /* *aarch64_get_lane_extendsiv8hi */

        case 4:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2905; /* *aarch64_get_lane_extenddiv8qi */

        case 5:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2907; /* *aarch64_get_lane_extenddiv16qi */

        case 6:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2909; /* *aarch64_get_lane_extenddiv4hi */

        case 7:
          if (!
#line 4229 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 2911; /* *aarch64_get_lane_extenddiv8hi */

        default:
          return -1;
        }

    case UNSPEC_VOLATILE:
      if (XVECLEN (x4, 0) != 2
          || XINT (x4, 1) != 25)
        return -1;
      x7 = XVECEXP (x4, 0, 0);
      operands[1] = x7;
      x8 = XVECEXP (x4, 0, 1);
      operands[2] = x8;
      if (!const_int_operand (operands[2], E_SImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          switch (pattern871 (x3, 
E_SImode))
            {
            case 0:
              if (!
#line 725 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC2 && (32 > 8)))
                return -1;
              return 5499; /* *aarch64_atomic_loadqi_rcpc_sext */

            case 1:
              if (!
#line 725 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC2 && (32 > 16)))
                return -1;
              return 5501; /* *aarch64_atomic_loadhi_rcpc_sext */

            case 2:
              if (!
#line 725 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC2 && (32 > 32)))
                return -1;
              return 5503; /* *aarch64_atomic_loadsi_rcpc_sext */

            default:
              return -1;
            }

        case E_DImode:
          switch (pattern871 (x3, 
E_DImode))
            {
            case 0:
              if (!
#line 725 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC2 && (64 > 8)))
                return -1;
              return 5500; /* *aarch64_atomic_loadqi_rcpc_sext */

            case 1:
              if (!
#line 725 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC2 && (64 > 16)))
                return -1;
              return 5502; /* *aarch64_atomic_loadhi_rcpc_sext */

            case 2:
              if (!
#line 725 "../../../gcc/config/aarch64/atomics.md"
(TARGET_RCPC2 && (64 > 32)))
                return -1;
              return 5504; /* *aarch64_atomic_loadsi_rcpc_sext */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SS_PLUS:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x6 = XEXP (x4, 0);
      if (GET_CODE (x6) != UNSPEC
          || XVECLEN (x6, 0) != 3)
        return -1;
      switch (pattern603 (x3))
        {
        case 0:
          if (!
#line 10417 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10954; /* aarch64_sve_sqincsi_pat */

        case 1:
          if (!
#line 10771 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11000; /* *aarch64_sve_sqincsivnx16bi_cntp */

        case 2:
          if (!
#line 10771 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11002; /* *aarch64_sve_sqincsivnx8bi_cntp */

        case 3:
          if (!
#line 10771 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11004; /* *aarch64_sve_sqincsivnx4bi_cntp */

        case 4:
          if (!
#line 10771 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11006; /* *aarch64_sve_sqincsivnx2bi_cntp */

        default:
          return -1;
        }

    case SS_MINUS:
      if (GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XEXP (x4, 1);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 3)
        return -1;
      switch (pattern605 (x3))
        {
        case 0:
          if (!
#line 10567 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10969; /* aarch64_sve_sqdecsi_pat */

        case 1:
          if (!
#line 11004 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11033; /* *aarch64_sve_sqdecsivnx16bi_cntp */

        case 2:
          if (!
#line 11004 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11035; /* *aarch64_sve_sqdecsivnx8bi_cntp */

        case 3:
          if (!
#line 11004 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11037; /* *aarch64_sve_sqdecsivnx4bi_cntp */

        case 4:
          if (!
#line 11004 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11039; /* *aarch64_sve_sqdecsivnx2bi_cntp */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_527 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != MULT)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != SIGN_EXTEND)
    return -1;
  x5 = XEXP (x2, 1);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x6 = XEXP (x1, 0);
  operands[0] = x6;
  x7 = XEXP (x4, 0);
  switch (GET_CODE (x7))
    {
    case REG:
    case SUBREG:
      operands[1] = x7;
      x8 = XEXP (x3, 1);
      switch (GET_CODE (x8))
        {
        case SIGN_EXTEND:
          x9 = XEXP (x8, 0);
          switch (GET_CODE (x9))
            {
            case REG:
            case SUBREG:
              operands[2] = x9;
              switch (GET_MODE (operands[0]))
                {
                case E_V4SImode:
                  if (pattern1024 (x2, 
E_V4HImode, 
E_V4SImode) != 0
                      || !
#line 6251 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3606; /* aarch64_sqdmullv4hi */

                case E_V2DImode:
                  if (pattern1024 (x2, 
E_V2SImode, 
E_V2DImode) != 0
                      || !
#line 6251 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3607; /* aarch64_sqdmullv2si */

                case E_SImode:
                  if (pattern1024 (x2, 
E_HImode, 
E_SImode) != 0
                      || !
#line 6251 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3608; /* aarch64_sqdmullhi */

                case E_DImode:
                  if (pattern1024 (x2, 
E_SImode, 
E_DImode) != 0
                      || !
#line 6251 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3609; /* aarch64_sqdmullsi */

                default:
                  return -1;
                }

            case VEC_SELECT:
              x10 = XEXP (x9, 1);
              if (GET_CODE (x10) != PARALLEL
                  || XVECLEN (x10, 0) != 1)
                return -1;
              x11 = XEXP (x9, 0);
              operands[2] = x11;
              x12 = XVECEXP (x10, 0, 0);
              operands[3] = x12;
              if (!immediate_operand (operands[3], E_SImode))
                return -1;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (pattern1205 (x2, 
E_HImode, 
E_SImode) != 0)
                    return -1;
                  switch (GET_MODE (operands[2]))
                    {
                    case E_V4HImode:
                      if (!register_operand (operands[2], E_V4HImode)
                          || !
#line 6312 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3614; /* aarch64_sqdmull_lanehi */

                    case E_V8HImode:
                      if (!register_operand (operands[2], E_V8HImode)
                          || !
#line 6332 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3616; /* aarch64_sqdmull_laneqhi */

                    default:
                      return -1;
                    }

                case E_DImode:
                  if (pattern1205 (x2, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  switch (GET_MODE (operands[2]))
                    {
                    case E_V2SImode:
                      if (!register_operand (operands[2], E_V2SImode)
                          || !
#line 6312 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3615; /* aarch64_sqdmull_lanesi */

                    case E_V4SImode:
                      if (!register_operand (operands[2], E_V4SImode)
                          || !
#line 6332 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3617; /* aarch64_sqdmull_laneqsi */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          switch (pattern833 (x9))
            {
            case 0:
              x11 = XEXP (x9, 0);
              x13 = XEXP (x11, 0);
              operands[2] = x13;
              x14 = XEXP (x11, 1);
              x15 = XVECEXP (x14, 0, 0);
              operands[3] = x15;
              if (!immediate_operand (operands[3], E_SImode))
                return -1;
              switch (GET_MODE (operands[0]))
                {
                case E_V4SImode:
                  if (pattern1234 (x2, 
E_V4HImode, 
E_V4SImode) != 0)
                    return -1;
                  switch (pattern1310 (x8))
                    {
                    case 0:
                      if (!
#line 6271 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3610; /* aarch64_sqdmull_lanev4hi */

                    case 1:
                      if (!
#line 6292 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3612; /* aarch64_sqdmull_laneqv4hi */

                    default:
                      return -1;
                    }

                case E_V2DImode:
                  if (pattern1234 (x2, 
E_V2SImode, 
E_V2DImode) != 0)
                    return -1;
                  switch (pattern1311 (x8))
                    {
                    case 0:
                      if (!
#line 6271 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3611; /* aarch64_sqdmull_lanev2si */

                    case 1:
                      if (!
#line 6292 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3613; /* aarch64_sqdmull_laneqv2si */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case 1:
              switch (GET_MODE (operands[0]))
                {
                case E_V4SImode:
                  if (pattern1082 (x2, 
E_HImode, 
E_SImode, 
E_V4SImode, 
E_V4HImode) != 0
                      || !
#line 6353 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3618; /* aarch64_sqdmull_nv4hi */

                case E_V2DImode:
                  if (pattern1082 (x2, 
E_SImode, 
E_DImode, 
E_V2DImode, 
E_V2SImode) != 0
                      || !
#line 6353 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3619; /* aarch64_sqdmull_nv2si */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_SELECT:
      x16 = XEXP (x7, 0);
      operands[1] = x16;
      x8 = XEXP (x3, 1);
      switch (GET_CODE (x8))
        {
        case SIGN_EXTEND:
          x9 = XEXP (x8, 0);
          if (GET_CODE (x9) != VEC_SELECT)
            return -1;
          x17 = XEXP (x7, 1);
          operands[3] = x17;
          x11 = XEXP (x9, 0);
          operands[2] = x11;
          x10 = XEXP (x9, 1);
          if (!rtx_equal_p (x10, operands[3]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V4SImode:
              if (pattern1141 (x2, 
E_V8HImode, 
E_V4HImode, 
E_V4SImode) != 0
                  || !
#line 6374 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3620; /* aarch64_sqdmull2v8hi_internal */

            case E_V2DImode:
              if (pattern1141 (x2, 
E_V4SImode, 
E_V2SImode, 
E_V2DImode) != 0
                  || !
#line 6374 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return -1;
              return 3621; /* aarch64_sqdmull2v4si_internal */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x9 = XEXP (x8, 0);
          switch (pattern833 (x9))
            {
            case 0:
              x17 = XEXP (x7, 1);
              operands[4] = x17;
              x11 = XEXP (x9, 0);
              x13 = XEXP (x11, 0);
              operands[2] = x13;
              x14 = XEXP (x11, 1);
              x15 = XVECEXP (x14, 0, 0);
              operands[3] = x15;
              if (!immediate_operand (operands[3], E_SImode))
                return -1;
              switch (GET_MODE (operands[0]))
                {
                case E_V4SImode:
                  if (pattern1258 (x2, 
E_V8HImode, 
E_V4HImode, 
E_V4SImode) != 0)
                    return -1;
                  switch (pattern1310 (x8))
                    {
                    case 0:
                      if (!
#line 6408 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3622; /* aarch64_sqdmull2_lanev8hi_internal */

                    case 1:
                      if (!
#line 6431 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3624; /* aarch64_sqdmull2_laneqv8hi_internal */

                    default:
                      return -1;
                    }

                case E_V2DImode:
                  if (pattern1258 (x2, 
E_V4SImode, 
E_V2SImode, 
E_V2DImode) != 0)
                    return -1;
                  switch (pattern1311 (x8))
                    {
                    case 0:
                      if (!
#line 6408 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3623; /* aarch64_sqdmull2_lanev4si_internal */

                    case 1:
                      if (!
#line 6431 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                        return -1;
                      return 3625; /* aarch64_sqdmull2_laneqv4si_internal */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case 1:
              x17 = XEXP (x7, 1);
              operands[3] = x17;
              switch (GET_MODE (operands[0]))
                {
                case E_V4SImode:
                  if (pattern1142 (x2, 
E_HImode, 
E_SImode, 
E_V4SImode, 
E_V8HImode, 
E_V4HImode) != 0
                      || !
#line 6482 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3626; /* aarch64_sqdmull2_nv8hi_internal */

                case E_V2DImode:
                  if (pattern1142 (x2, 
E_SImode, 
E_DImode, 
E_V2DImode, 
E_V4SImode, 
E_V2SImode) != 0
                      || !
#line 6482 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                    return -1;
                  return 3627; /* aarch64_sqdmull2_nv4si_internal */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_541 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (pattern439 (x3, pnum_clobbers))
        {
        case 0:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3231; /* usaddv8qi3 */

        case 1:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3241; /* usaddv16qi3 */

        case 2:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3247; /* usaddv4hi3 */

        case 3:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3257; /* usaddv8hi3 */

        case 4:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3263; /* usaddv2si3 */

        case 5:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3273; /* usaddv4si3 */

        case 6:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3277; /* usaddv2di3 */

        case 7:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3281; /* usaddhi3 */

        case 8:
          if (!
#line 5170 "../../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 3285; /* usaddqi3 */

        case 9:
          *pnum_clobbers = 1;
          return 3292; /* usaddsi3 */

        case 10:
          *pnum_clobbers = 1;
          return 3294; /* usadddi3 */

        case 11:
          if (!
#line 4473 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8070; /* usaddvnx16qi3 */

        case 12:
          if (!
#line 4473 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8072; /* usaddvnx8hi3 */

        case 13:
          if (!
#line 4473 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8074; /* usaddvnx4si3 */

        case 14:
          if (!
#line 4473 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8076; /* usaddvnx2di3 */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      switch (pattern327 (x3))
        {
        case 0:
          if (!
#line 10381 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10952; /* aarch64_sve_uqincdi_pat */

        case 1:
          if (!
#line 10716 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10986; /* *aarch64_sve_uqincdivnx16bi_cntp */

        case 2:
          if (!
#line 10716 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10989; /* *aarch64_sve_uqincdivnx8bi_cntp */

        case 3:
          if (!
#line 10716 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10992; /* *aarch64_sve_uqincdivnx4bi_cntp */

        case 4:
          if (!
#line 10716 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10995; /* *aarch64_sve_uqincdivnx2bi_cntp */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      switch (pattern331 (x3))
        {
        case 0:
          if (!
#line 10446 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10958; /* aarch64_sve_uqincvnx2di_pat */

        case 1:
          if (!
#line 10823 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11010; /* *aarch64_sve_uqincvnx2di_cntp */

        case 2:
          if (!
#line 10467 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10961; /* aarch64_sve_uqincvnx4si_pat */

        case 3:
          if (!
#line 10862 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11013; /* *aarch64_sve_uqincvnx4si_cntp */

        case 4:
          if (!
#line 10502 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10964; /* *aarch64_sve_uqincvnx8hi_pat */

        case 5:
          if (!
#line 10903 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 11016; /* *aarch64_sve_uqincvnx8hi_cntp */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_564 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10122; /* while_ugesivnx8bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10132; /* while_ugedivnx8bi_ptest */
}

 int
recog_573 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10101; /* while_ugtsivnx16bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10111; /* while_ugtdivnx16bi_ptest */
}

 int
recog_583 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10060; /* *while_gtsivnx4bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10070; /* *while_gtdivnx4bi_cc */
}

 int
recog_593 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10019; /* *while_gesivnx16bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10029; /* *while_gedivnx16bi_cc */
}

 int
recog_603 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern679 (x1))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9941; /* while_ugtsivnx16bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9951; /* while_ugtdivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9961; /* while_ugtsivnx8bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9971; /* while_ugtdivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 9981; /* while_ugtsivnx4bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 9991; /* while_ugtdivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 10001; /* while_ugtsivnx2bi */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 10011; /* while_ugtdivnx2bi */

    default:
      return -1;
    }
}

 int
recog_607 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 1);
  if (GET_CODE (x6) != PLUS)
    return -1;
  x7 = XEXP (x3, 1);
  operands[2] = x7;
  x8 = XEXP (x6, 1);
  operands[3] = x8;
  x9 = XEXP (x6, 0);
  if (!rtx_equal_p (x9, operands[1]))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_SImode:
      if (pattern1260 (x6, 
E_SImode) != 0
          || !
#line 3563 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == -UINTVAL (operands[3])))
        return -1;
      return 283; /* subsi3_compare1_imm */

    case E_DImode:
      if (pattern1260 (x6, 
E_DImode) != 0
          || !
#line 3563 "../../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == -UINTVAL (operands[3])))
        return -1;
      return 284; /* subdi3_compare1_imm */

    default:
      return -1;
    }
}

 int
recog_609 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  switch (GET_CODE (x5))
    {
    case PLUS:
      if (GET_MODE (x5) != E_TImode)
        return -1;
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != LTU
          || GET_MODE (x6) != E_TImode)
        return -1;
      x7 = XEXP (x6, 0);
      if (GET_CODE (x7) != REG
          || REGNO (x7) != 66
          || GET_MODE (x7) != E_CCmode)
        return -1;
      x8 = XEXP (x6, 1);
      if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x9 = XEXP (x5, 1);
      if (GET_CODE (x9) != SIGN_EXTEND
          || GET_MODE (x9) != E_TImode)
        return -1;
      x10 = XEXP (x3, 1);
      if (GET_CODE (x10) != SIGN_EXTEND
          || GET_MODE (x10) != E_TImode)
        return -1;
      x11 = XEXP (x10, 0);
      if (GET_CODE (x11) != NEG
          || GET_MODE (x11) != E_DImode)
        return -1;
      x12 = XEXP (x11, 0);
      if (GET_CODE (x12) != PLUS
          || GET_MODE (x12) != E_DImode)
        return -1;
      x13 = XEXP (x12, 0);
      if (GET_CODE (x13) != LTU
          || GET_MODE (x13) != E_DImode)
        return -1;
      x14 = XEXP (x13, 0);
      if (GET_CODE (x14) != REG
          || REGNO (x14) != 66
          || GET_MODE (x14) != E_CCmode)
        return -1;
      x15 = XEXP (x13, 1);
      if (x15 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x16 = XVECEXP (x1, 0, 1);
      x17 = XEXP (x16, 1);
      if (GET_CODE (x17) != NEG
          || GET_MODE (x17) != E_DImode)
        return -1;
      x18 = XEXP (x17, 0);
      if (GET_CODE (x18) != PLUS
          || GET_MODE (x18) != E_DImode)
        return -1;
      x19 = XEXP (x18, 0);
      if (GET_CODE (x19) != LTU
          || GET_MODE (x19) != E_DImode)
        return -1;
      x20 = XEXP (x19, 0);
      if (GET_CODE (x20) != REG
          || REGNO (x20) != 66
          || GET_MODE (x20) != E_CCmode)
        return -1;
      x21 = XEXP (x19, 1);
      if (x21 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x22 = XEXP (x2, 0);
      if (GET_MODE (x22) != E_CC_Vmode
          || GET_MODE (x3) != E_CC_Vmode
          || GET_MODE (x4) != E_TImode)
        return -1;
      x23 = XEXP (x9, 0);
      operands[1] = x23;
      if (!register_operand (operands[1], E_DImode)
          || !register_operand (operands[0], E_DImode))
        return -1;
      x24 = XEXP (x12, 1);
      if (!rtx_equal_p (x24, operands[1]))
        return -1;
      x25 = XEXP (x18, 1);
      if (!rtx_equal_p (x25, operands[1]))
        return -1;
      return 279; /* negvdi_carryinV */

    case REG:
    case SUBREG:
      operands[1] = x5;
      x10 = XEXP (x3, 1);
      if (x10 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x22 = XEXP (x2, 0);
      if (GET_MODE (x22) != E_CC_NZmode
          || GET_MODE (x3) != E_CC_NZmode)
        return -1;
      x16 = XVECEXP (x1, 0, 1);
      x17 = XEXP (x16, 1);
      switch (GET_CODE (x17))
        {
        case NEG:
          x18 = XEXP (x17, 0);
          if (!rtx_equal_p (x18, operands[1]))
            return -1;
          switch (GET_MODE (x4))
            {
            case E_SImode:
              if (!register_operand (operands[1], E_SImode)
                  || !register_operand (operands[0], E_SImode)
                  || GET_MODE (x17) != E_SImode)
                return -1;
              return 358; /* negsi2_compare0 */

            case E_DImode:
              if (!register_operand (operands[1], E_DImode)
                  || !register_operand (operands[0], E_DImode)
                  || GET_MODE (x17) != E_DImode)
                return -1;
              return 359; /* negdi2_compare0 */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          if (pattern1180 (x1, 
NEG) != 0
              || !register_operand (operands[0], E_DImode))
            return -1;
          x18 = XEXP (x17, 0);
          x19 = XEXP (x18, 0);
          if (!rtx_equal_p (x19, operands[1]))
            return -1;
          return 360; /* *negsi2_compare0_uxtw */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern912 (x1, 
ASHIFT))
        {
        case 0:
          return 361; /* *neg_lslsi3_compare0 */

        case 1:
          return 364; /* *neg_lsldi3_compare0 */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern912 (x1, 
ASHIFTRT))
        {
        case 0:
          return 362; /* *neg_asrsi3_compare0 */

        case 1:
          return 365; /* *neg_asrdi3_compare0 */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern912 (x1, 
LSHIFTRT))
        {
        case 0:
          return 363; /* *neg_lsrsi3_compare0 */

        case 1:
          return 366; /* *neg_lsrdi3_compare0 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_613 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 66)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != SET)
    return -1;
  x5 = XEXP (x4, 0);
  operands[0] = x5;
  x6 = XEXP (x2, 1);
  x7 = XEXP (x6, 0);
  switch (GET_CODE (x7))
    {
    case PLUS:
      return recog_608 (x1, insn, pnum_clobbers);

    case MINUS:
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[1] = x8;
          x9 = XEXP (x6, 1);
          if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
              || GET_MODE (x3) != E_CC_NZmode
              || GET_MODE (x6) != E_CC_NZmode)
            return -1;
          x10 = XEXP (x7, 1);
          switch (GET_CODE (x10))
            {
            case ASHIFT:
              x11 = XEXP (x4, 1);
              if (GET_CODE (x11) != MINUS)
                return -1;
              x12 = XEXP (x11, 1);
              if (GET_CODE (x12) != ASHIFT)
                return -1;
              x13 = XEXP (x10, 1);
              operands[3] = x13;
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x15 = XEXP (x12, 1);
              if (!rtx_equal_p (x15, operands[3]))
                return -1;
              x16 = XEXP (x10, 0);
              switch (GET_CODE (x16))
                {
                case REG:
                case SUBREG:
                  operands[2] = x16;
                  x17 = XEXP (x12, 0);
                  if (!rtx_equal_p (x17, operands[2]))
                    return -1;
                  switch (pattern1176 (x1))
                    {
                    case 0:
                      return 146; /* *subs_shift_imm_si */

                    case 1:
                      return 149; /* *subs_shift_imm_di */

                    default:
                      return -1;
                    }

                case SIGN_EXTEND:
                  switch (pattern1305 (x1, 
SIGN_EXTEND))
                    {
                    case 0:
                      return 188; /* *subs_extendqi_shift_si */

                    case 1:
                      return 192; /* *subs_extendhi_shift_si */

                    case 2:
                      return 196; /* *subs_extendsi_shift_si */

                    case 3:
                      return 190; /* *subs_extendqi_shift_di */

                    case 4:
                      return 194; /* *subs_extendhi_shift_di */

                    case 5:
                      return 198; /* *subs_extendsi_shift_di */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  switch (pattern1305 (x1, 
ZERO_EXTEND))
                    {
                    case 0:
                      return 189; /* *subs_zero_extendqi_shift_si */

                    case 1:
                      return 193; /* *subs_zero_extendhi_shift_si */

                    case 2:
                      return 197; /* *subs_zero_extendsi_shift_si */

                    case 3:
                      return 191; /* *subs_zero_extendqi_shift_di */

                    case 4:
                      return 195; /* *subs_zero_extendhi_shift_di */

                    case 5:
                      return 199; /* *subs_zero_extendsi_shift_di */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case ASHIFTRT:
              switch (pattern1177 (x1, 
ASHIFTRT))
                {
                case 0:
                  return 147; /* *subs_shift_imm_si */

                case 1:
                  return 150; /* *subs_shift_imm_di */

                default:
                  return -1;
                }

            case LSHIFTRT:
              switch (pattern1177 (x1, 
LSHIFTRT))
                {
                case 0:
                  return 148; /* *subs_shift_imm_si */

                case 1:
                  return 151; /* *subs_shift_imm_di */

                default:
                  return -1;
                }

            case SIGN_EXTEND:
              switch (pattern1179 (x1, 
SIGN_EXTEND))
                {
                case 0:
                  return 164; /* *subs_extendqi_si */

                case 1:
                  return 168; /* *subs_extendhi_si */

                case 2:
                  return 172; /* *subs_extendsi_si */

                case 3:
                  return 166; /* *subs_extendqi_di */

                case 4:
                  return 170; /* *subs_extendhi_di */

                case 5:
                  return 174; /* *subs_extendsi_di */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              switch (pattern1179 (x1, 
ZERO_EXTEND))
                {
                case 0:
                  return 165; /* *subs_zero_extendqi_si */

                case 1:
                  return 169; /* *subs_zero_extendhi_si */

                case 2:
                  return 173; /* *subs_zero_extendsi_si */

                case 3:
                  return 167; /* *subs_zero_extendqi_di */

                case 4:
                  return 171; /* *subs_zero_extendhi_di */

                case 5:
                  return 175; /* *subs_zero_extendsi_di */

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[2] = x10;
              x11 = XEXP (x4, 1);
              switch (GET_CODE (x11))
                {
                case MINUS:
                  x14 = XEXP (x11, 0);
                  if (!rtx_equal_p (x14, operands[1]))
                    return -1;
                  x12 = XEXP (x11, 1);
                  if (!rtx_equal_p (x12, operands[2]))
                    return -1;
                  switch (GET_MODE (x7))
                    {
                    case E_SImode:
                      if (pattern1292 (x11, 
E_SImode) != 0)
                        return -1;
                      return 280; /* *subsi3_compare0 */

                    case E_DImode:
                      if (pattern1292 (x11, 
E_DImode) != 0)
                        return -1;
                      return 281; /* *subdi3_compare0 */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  if (pattern1213 (x1, 
MINUS) != 0
                      || !register_operand (operands[1], E_SImode)
                      || !register_operand (operands[2], E_SImode)
                      || !register_operand (operands[0], E_DImode))
                    return -1;
                  x14 = XEXP (x11, 0);
                  x18 = XEXP (x14, 0);
                  if (!rtx_equal_p (x18, operands[1]))
                    return -1;
                  x19 = XEXP (x14, 1);
                  if (!rtx_equal_p (x19, operands[2]))
                    return -1;
                  return 282; /* *subsi3_compare0_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case SIGN_EXTEND:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != SIGN_EXTEND)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != MINUS)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS
              || GET_MODE (x3) != E_CC_Vmode
              || GET_MODE (x6) != E_CC_Vmode)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x10 = XEXP (x7, 1);
          switch (GET_CODE (x10))
            {
            case GEU:
            case LTU:
              operands[2] = x10;
              x23 = XEXP (x20, 1);
              operands[3] = x23;
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[3]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1331 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 343; /* *subsi3_carryinV_z2 */

                case E_TImode:
                  if (pattern1331 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 344; /* *subdi3_carryinV_z2 */

                default:
                  return -1;
                }

            case PLUS:
              x16 = XEXP (x10, 0);
              if (GET_CODE (x16) != SIGN_EXTEND)
                return -1;
              x23 = XEXP (x20, 1);
              if (GET_CODE (x23) != PLUS)
                return -1;
              x14 = XEXP (x11, 0);
              if (GET_CODE (x14) != MINUS)
                return -1;
              x24 = XEXP (x16, 0);
              operands[2] = x24;
              x13 = XEXP (x10, 1);
              operands[3] = x13;
              x25 = XEXP (x23, 0);
              operands[4] = x25;
              x26 = XEXP (x23, 1);
              if (!rtx_equal_p (x26, operands[2]))
                return -1;
              x18 = XEXP (x14, 0);
              if (!rtx_equal_p (x18, operands[1]))
                return -1;
              x19 = XEXP (x14, 1);
              if (!rtx_equal_p (x19, operands[2]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[4]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1357 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 345; /* *subsi3_carryinV */

                case E_TImode:
                  if (pattern1357 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 346; /* *subdi3_carryinV */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SIGN_EXTEND:
      if (GET_MODE (x3) != E_CC_Vmode
          || GET_MODE (x6) != E_CC_Vmode)
        return -1;
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case MINUS:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != MINUS)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != SIGN_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x27 = XEXP (x8, 1);
          operands[2] = x27;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          x12 = XEXP (x11, 1);
          if (!rtx_equal_p (x12, operands[2]))
            return -1;
          switch (GET_CODE (operands[2]))
            {
            case REG:
            case SUBREG:
              x28 = XEXP (x9, 1);
              if (GET_CODE (x28) != SIGN_EXTEND)
                return -1;
              x29 = XEXP (x28, 0);
              if (!rtx_equal_p (x29, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1335 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 268; /* subvsi_insn */

                case E_TImode:
                  if (pattern1335 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 269; /* subvdi_insn */

                default:
                  return -1;
                }

            case CONST_INT:
              x28 = XEXP (x9, 1);
              if (!rtx_equal_p (x28, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_DImode:
                  if (pattern1332 (x1, 
E_SImode, 
E_DImode) != 0)
                    return -1;
                  return 270; /* subvsi_imm */

                case E_TImode:
                  if (pattern1332 (x1, 
E_DImode, 
E_TImode) != 0)
                    return -1;
                  return 271; /* subvdi_imm */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case NEG:
          x9 = XEXP (x6, 1);
          if (GET_CODE (x9) != NEG)
            return -1;
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != SIGN_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != NEG)
            return -1;
          x21 = XEXP (x8, 0);
          operands[1] = x21;
          x22 = XEXP (x20, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1283 (x1, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 272; /* negvsi_insn */

            case E_TImode:
              if (pattern1283 (x1, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 273; /* negvdi_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NEG:
      return recog_609 (x1, insn, pnum_clobbers);

    case CONST_INT:
    case CONST_DOUBLE:
    case REG:
    case SUBREG:
      if (GET_MODE (x3) != E_CCmode
          || GET_MODE (x6) != E_CCmode)
        return -1;
      switch (GET_CODE (x7))
        {
        case CONST_INT:
          res = recog_606 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        case REG:
        case SUBREG:
          res = recog_607 (x1, insn, pnum_clobbers);
          if (res >= 0)
            return res;
          break;

        default:
          break;
        }
      x11 = XEXP (x4, 1);
      if (GET_CODE (x11) != MINUS)
        return -1;
      operands[1] = x7;
      x9 = XEXP (x6, 1);
      operands[2] = x9;
      if (aarch64_reg_or_zero (operands[2], E_SImode)
          && pattern1181 (x11, 
E_SImode) == 0)
        return 285; /* subsi3_compare1 */
      if (!aarch64_reg_or_zero (operands[2], E_DImode)
          || pattern1181 (x11, 
E_DImode) != 0)
        return -1;
      return 286; /* subdi3_compare1 */

    case ZERO_EXTEND:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      x9 = XEXP (x6, 1);
      switch (GET_CODE (x9))
        {
        case GEU:
        case LTU:
          operands[2] = x9;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS
              || GET_MODE (x3) != E_CCmode
              || GET_MODE (x6) != E_CCmode)
            return -1;
          x12 = XEXP (x11, 1);
          operands[3] = x12;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1261 (x11, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 339; /* *usubsi3_carryinC_z2 */

            case E_TImode:
              if (pattern1261 (x11, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 340; /* *usubdi3_carryinC_z2 */

            default:
              return -1;
            }

        case PLUS:
          x20 = XEXP (x9, 0);
          if (GET_CODE (x20) != ZERO_EXTEND)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != MINUS)
            return -1;
          x14 = XEXP (x11, 0);
          if (GET_CODE (x14) != MINUS
              || GET_MODE (x3) != E_CCmode
              || GET_MODE (x6) != E_CCmode)
            return -1;
          x22 = XEXP (x20, 0);
          operands[2] = x22;
          x28 = XEXP (x9, 1);
          operands[3] = x28;
          x12 = XEXP (x11, 1);
          operands[4] = x12;
          x18 = XEXP (x14, 0);
          if (!rtx_equal_p (x18, operands[1]))
            return -1;
          x19 = XEXP (x14, 1);
          if (!rtx_equal_p (x19, operands[2]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_DImode:
              if (pattern1313 (x1, 
E_SImode, 
E_DImode) != 0)
                return -1;
              return 341; /* *usubsi3_carryinC */

            case E_TImode:
              if (pattern1313 (x1, 
E_DImode, 
E_TImode) != 0)
                return -1;
              return 342; /* *usubdi3_carryinC */

            default:
              return -1;
            }

        case CONST_INT:
          if (XWINT (x9, 0) != 0L)
            return -1;
          x11 = XEXP (x4, 1);
          if (GET_CODE (x11) != ZERO_EXTEND
              || GET_MODE (x3) != E_CC_Zmode
              || GET_MODE (x6) != E_CC_Zmode)
            return -1;
          x14 = XEXP (x11, 0);
          if (!rtx_equal_p (x14, operands[1]))
            return -1;
          switch (GET_MODE (x7))
            {
            case E_SImode:
              switch (pattern1245 (x11, 
E_SImode))
                {
                case 0:
                  return 700; /* *andssi_compare0 */

                case 1:
                  return 702; /* *andssi_compare0 */

                default:
                  return -1;
                }

            case E_DImode:
              switch (pattern1245 (x11, 
E_DImode))
                {
                case 0:
                  return 701; /* *andsdi_compare0 */

                case 1:
                  return 703; /* *andsdi_compare0 */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case AND:
      x9 = XEXP (x6, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || GET_MODE (x3) != E_CC_NZVmode
          || GET_MODE (x6) != E_CC_NZVmode)
        return -1;
      x8 = XEXP (x7, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[1] = x8;
          x10 = XEXP (x7, 1);
          operands[2] = x10;
          x11 = XEXP (x4, 1);
          switch (GET_CODE (x11))
            {
            case AND:
              x14 = XEXP (x11, 0);
              if (!rtx_equal_p (x14, operands[1]))
                return -1;
              x12 = XEXP (x11, 1);
              if (!rtx_equal_p (x12, operands[2]))
                return -1;
              switch (GET_MODE (x7))
                {
                case E_SImode:
                  if (pattern1284 (x11, 
E_SImode) != 0)
                    return -1;
                  return 513; /* *andsi3_compare0 */

                case E_DImode:
                  if (pattern1284 (x11, 
E_DImode) != 0)
                    return -1;
                  return 514; /* *anddi3_compare0 */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              if (pattern1213 (x1, 
AND) != 0
                  || !register_operand (operands[1], E_SImode)
                  || !aarch64_logical_operand (operands[2], E_SImode)
                  || !register_operand (operands[0], E_DImode))
                return -1;
              x14 = XEXP (x11, 0);
              x18 = XEXP (x14, 0);
              if (!rtx_equal_p (x18, operands[1]))
                return -1;
              x19 = XEXP (x14, 1);
              if (!rtx_equal_p (x19, operands[2]))
                return -1;
              return 515; /* *andsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern1090 (x1, 
ASHIFT))
            {
            case 0:
              return 516; /* *and_ashlsi3_compare0 */

            case 1:
              return 521; /* *and_ashldi3_compare0 */

            case 2:
              return 526; /* *and_ashlsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern1090 (x1, 
ASHIFTRT))
            {
            case 0:
              return 517; /* *and_ashrsi3_compare0 */

            case 1:
              return 522; /* *and_ashrdi3_compare0 */

            case 2:
              return 527; /* *and_ashrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern1090 (x1, 
LSHIFTRT))
            {
            case 0:
              return 518; /* *and_lshrsi3_compare0 */

            case 1:
              return 523; /* *and_lshrdi3_compare0 */

            case 2:
              return 528; /* *and_lshrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern1090 (x1, 
ROTATERT))
            {
            case 0:
              return 519; /* *and_rotrsi3_compare0 */

            case 1:
              return 524; /* *and_rotrdi3_compare0 */

            case 2:
              return 529; /* *and_rotrsi3_compare0_uxtw */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern1090 (x1, 
ROTATE))
            {
            case 0:
              return 520; /* *and_rotlsi3_compare0 */

            case 1:
              return 525; /* *and_rotldi3_compare0 */

            case 2:
              return 530; /* *and_rotlsi3_compare0_uxtw */

            default:
              return -1;
            }

        case NOT:
          x21 = XEXP (x8, 0);
          switch (GET_CODE (x21))
            {
            case REG:
            case SUBREG:
              operands[1] = x21;
              x10 = XEXP (x7, 1);
              operands[2] = x10;
              x11 = XEXP (x4, 1);
              switch (GET_CODE (x11))
                {
                case AND:
                  x14 = XEXP (x11, 0);
                  if (GET_CODE (x14) != NOT)
                    return -1;
                  x18 = XEXP (x14, 0);
                  if (!rtx_equal_p (x18, operands[1]))
                    return -1;
                  x12 = XEXP (x11, 1);
                  if (!rtx_equal_p (x12, operands[2]))
                    return -1;
                  switch (GET_MODE (x7))
                    {
                    case E_SImode:
                      if (pattern1306 (x1, 
E_SImode) != 0)
                        return -1;
                      return 598; /* *and_one_cmplsi3_compare0 */

                    case E_DImode:
                      if (pattern1306 (x1, 
E_DImode) != 0)
                        return -1;
                      return 599; /* *and_one_cmpldi3_compare0 */

                    default:
                      return -1;
                    }

                case ZERO_EXTEND:
                  if (GET_MODE (x11) != E_DImode)
                    return -1;
                  x14 = XEXP (x11, 0);
                  if (GET_CODE (x14) != AND
                      || GET_MODE (x14) != E_SImode)
                    return -1;
                  x18 = XEXP (x14, 0);
                  if (GET_CODE (x18) != NOT
                      || GET_MODE (x18) != E_SImode
                      || GET_MODE (x7) != E_SImode
                      || GET_MODE (x8) != E_SImode
                      || !register_operand (operands[1], E_SImode)
                      || !register_operand (operands[2], E_SImode)
                      || !register_operand (operands[0], E_DImode))
                    return -1;
                  x30 = XEXP (x18, 0);
                  if (!rtx_equal_p (x30, operands[1]))
                    return -1;
                  x19 = XEXP (x14, 1);
                  if (!rtx_equal_p (x19, operands[2]))
                    return -1;
                  return 600; /* *and_one_cmplsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ASHIFT:
              switch (pattern1145 (x1, 
ASHIFT))
                {
                case 0:
                  return 663; /* *and_one_cmpl_ashlsi3_compare0 */

                case 1:
                  return 668; /* *and_one_cmpl_ashldi3_compare0 */

                case 2:
                  return 673; /* *and_one_cmpl_ashlsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ASHIFTRT:
              switch (pattern1145 (x1, 
ASHIFTRT))
                {
                case 0:
                  return 664; /* *and_one_cmpl_ashrsi3_compare0 */

                case 1:
                  return 669; /* *and_one_cmpl_ashrdi3_compare0 */

                case 2:
                  return 674; /* *and_one_cmpl_ashrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case LSHIFTRT:
              switch (pattern1145 (x1, 
LSHIFTRT))
                {
                case 0:
                  return 665; /* *and_one_cmpl_lshrsi3_compare0 */

                case 1:
                  return 670; /* *and_one_cmpl_lshrdi3_compare0 */

                case 2:
                  return 675; /* *and_one_cmpl_lshrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ROTATERT:
              switch (pattern1145 (x1, 
ROTATERT))
                {
                case 0:
                  return 666; /* *and_one_cmpl_rotrsi3_compare0 */

                case 1:
                  return 671; /* *and_one_cmpl_rotrdi3_compare0 */

                case 2:
                  return 676; /* *and_one_cmpl_rotrsi3_compare0_uxtw */

                default:
                  return -1;
                }

            case ROTATE:
              switch (pattern1145 (x1, 
ROTATE))
                {
                case 0:
                  return 667; /* *and_one_cmpl_rotlsi3_compare0 */

                case 1:
                  return 672; /* *and_one_cmpl_rotldi3_compare0 */

                case 2:
                  return 677; /* *and_one_cmpl_rotlsi3_compare0_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19;
  int res ATTRIBUTE_UNUSED;
  recog_data.insn = NULL;
  switch (GET_CODE (x1))
    {
    case SET:
      return recog_622 (x1, insn, pnum_clobbers);

    case UNSPEC_VOLATILE:
      switch (XVECLEN (x1, 0))
        {
        case 2:
          x2 = XVECEXP (x1, 0, 0);
          operands[0] = x2;
          x3 = XVECEXP (x1, 0, 1);
          operands[1] = x3;
          switch (XINT (x1, 1))
            {
            case 165:
              if (GET_MODE (x1) != E_DImode
                  || !aarch64_sysreg_string (operands[0], E_VOIDmode)
                  || !aarch64_reg_or_zero (operands[1], E_DImode))
                return -1;
              return 3; /* aarch64_write_sysregdi */

            case 166:
              if (GET_MODE (x1) != E_TImode
                  || !aarch64_sysreg_string (operands[0], E_VOIDmode)
                  || !register_operand (operands[1], E_TImode)
                  || !
#line 673 "../../../gcc/config/aarch64/aarch64.md"
(TARGET_D128))
                return -1;
              return 4; /* aarch64_write_sysregti */

            case 181:
              if (!const_int_operand (operands[0], E_VOIDmode)
                  || !const_int_operand (operands[1], E_VOIDmode))
                return -1;
              return 1222; /* patchable_area */

            default:
              return -1;
            }

        case 1:
          switch (XINT (x1, 1))
            {
            case 5:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1151; /* blockage */

            case 4:
              x2 = XVECEXP (x1, 0, 0);
              operands[0] = x2;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (!register_operand (operands[0], E_SImode))
                    return -1;
                  return 1161; /* aarch64_set_fpsrsi */

                case E_DImode:
                  if (!register_operand (operands[0], E_DImode))
                    return -1;
                  return 1163; /* aarch64_set_fpsrdi */

                default:
                  return -1;
                }

            case 2:
              x2 = XVECEXP (x1, 0, 0);
              operands[0] = x2;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (!register_operand (operands[0], E_SImode))
                    return -1;
                  return 1162; /* aarch64_set_fpcrsi */

                case E_DImode:
                  if (!register_operand (operands[0], E_DImode))
                    return -1;
                  return 1164; /* aarch64_set_fpcrdi */

                default:
                  return -1;
                }

            case 8:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1171; /* bti_noarg */

            case 9:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1172; /* bti_c */

            case 10:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1173; /* bti_j */

            case 11:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1174; /* bti_jc */

            case 7:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1175; /* speculation_barrier */

            case 14:
              x2 = XVECEXP (x1, 0, 0);
              if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
                return -1;
              return 1228; /* aarch64_gcspopm_xzr */

            case 15:
              x2 = XVECEXP (x1, 0, 0);
              operands[0] = x2;
              if (!register_operand (operands[0], E_DImode))
                return -1;
              return 1229; /* aarch64_gcsss1 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PARALLEL:
      return recog_623 (x1, insn, pnum_clobbers);

    case UNSPEC:
      switch (XVECLEN (x1, 0))
        {
        case 1:
          if (XINT (x1, 1) != 71)
            return -1;
          x2 = XVECEXP (x1, 0, 0);
          if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          return 29; /* nop */

        case 2:
          if (XINT (x1, 1) != 167)
            return -1;
          x2 = XVECEXP (x1, 0, 0);
          operands[0] = x2;
          x3 = XVECEXP (x1, 0, 1);
          operands[1] = x3;
          if (!aarch64_prefetch_operand (operands[1], E_DImode))
            return -1;
          return 31; /* aarch64_pldx */

        default:
          return -1;
        }

    case PREFETCH:
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      if (aarch64_prefetch_operand (operands[0], E_DImode))
        {
          x5 = XEXP (x1, 1);
          operands[1] = x5;
          if (const_int_operand (operands[1], E_QImode))
            {
              x6 = XEXP (x1, 2);
              operands[2] = x6;
              if (const_int_operand (operands[2], E_QImode))
                return 30; /* prefetch */
            }
        }
      if (GET_CODE (x4) != UNSPEC
          || GET_MODE (x4) != E_DImode)
        return -1;
      x5 = XEXP (x1, 1);
      if (!const_int_operand (x5, E_DImode))
        return -1;
      x6 = XEXP (x1, 2);
      if (!const_int_operand (x6, E_DImode))
        return -1;
      switch (XVECLEN (x4, 0))
        {
        case 3:
          if (XINT (x4, 1) != 170)
            return -1;
          x7 = XVECEXP (x4, 0, 0);
          operands[0] = x7;
          x8 = XVECEXP (x4, 0, 1);
          operands[1] = x8;
          x9 = XVECEXP (x4, 0, 2);
          operands[2] = x9;
          if (!const_int_operand (operands[2], E_DImode))
            return -1;
          operands[3] = x5;
          operands[4] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16BImode:
              if (!register_operand (operands[0], E_VNx16BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx16QImode)
                  || !
#line 2122 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6253; /* aarch64_sve_prefetchvnx16qi */

            case E_VNx8BImode:
              if (!register_operand (operands[0], E_VNx8BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx8HImode)
                  || !
#line 2122 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6254; /* aarch64_sve_prefetchvnx8hi */

            case E_VNx4BImode:
              if (!register_operand (operands[0], E_VNx4BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx4SImode)
                  || !
#line 2122 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6255; /* aarch64_sve_prefetchvnx4si */

            case E_VNx2BImode:
              if (!register_operand (operands[0], E_VNx2BImode)
                  || !aarch64_sve_prefetch_operand (operands[1], E_VNx2DImode)
                  || !
#line 2122 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return -1;
              return 6256; /* aarch64_sve_prefetchvnx2di */

            default:
              return -1;
            }

        case 7:
          if (XINT (x4, 1) != 171)
            return -1;
          x7 = XVECEXP (x4, 0, 0);
          operands[0] = x7;
          x8 = XVECEXP (x4, 0, 1);
          operands[1] = x8;
          x10 = XVECEXP (x4, 0, 3);
          operands[3] = x10;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x11 = XVECEXP (x4, 0, 4);
          operands[4] = x11;
          x12 = XVECEXP (x4, 0, 5);
          operands[5] = x12;
          x13 = XVECEXP (x4, 0, 6);
          operands[6] = x13;
          if (!const_int_operand (operands[6], E_DImode))
            return -1;
          operands[7] = x5;
          operands[8] = x6;
          x9 = XVECEXP (x4, 0, 2);
          switch (GET_CODE (x9))
            {
            case REG:
            case SUBREG:
              operands[2] = x9;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4BImode:
                  if (!register_operand (operands[0], E_VNx4BImode)
                      || !register_operand (operands[2], E_VNx4SImode))
                    return -1;
                  if (aarch64_sve_gather_offset_b (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_b (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                      && 
#line 2162 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6257; /* aarch64_sve_gather_prefetchvnx16qivnx4si */
                  if (aarch64_sve_gather_offset_h (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_h (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                      && 
#line 2162 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6258; /* aarch64_sve_gather_prefetchvnx8hivnx4si */
                  if (aarch64_sve_gather_offset_w (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_w (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                      && 
#line 2162 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6259; /* aarch64_sve_gather_prefetchvnx4sivnx4si */
                  if (!aarch64_sve_gather_offset_d (operands[1], E_DImode)
                      || !aarch64_gather_scale_operand_d (operands[4], E_DImode)
                      || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                      || !
#line 2162 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6260; /* aarch64_sve_gather_prefetchvnx2divnx4si */

                case E_VNx2BImode:
                  if (!register_operand (operands[0], E_VNx2BImode)
                      || !register_operand (operands[2], E_VNx2DImode))
                    return -1;
                  if (aarch64_sve_gather_offset_b (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_b (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                      && 
#line 2191 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6261; /* aarch64_sve_gather_prefetchvnx16qivnx2di */
                  if (aarch64_sve_gather_offset_h (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_h (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                      && 
#line 2191 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6262; /* aarch64_sve_gather_prefetchvnx8hivnx2di */
                  if (aarch64_sve_gather_offset_w (operands[1], E_DImode)
                      && aarch64_gather_scale_operand_w (operands[4], E_DImode)
                      && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                      && 
#line 2191 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return 6263; /* aarch64_sve_gather_prefetchvnx4sivnx2di */
                  if (!aarch64_sve_gather_offset_d (operands[1], E_DImode)
                      || !aarch64_gather_scale_operand_d (operands[4], E_DImode)
                      || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                      || !
#line 2191 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6264; /* aarch64_sve_gather_prefetchvnx2divnx2di */

                default:
                  return -1;
                }

            case UNSPEC:
              if (pattern571 (x9) != 0
                  || !register_operand (operands[0], E_VNx2BImode)
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x14 = XVECEXP (x9, 0, 0);
              operands[9] = x14;
              x15 = XVECEXP (x9, 0, 1);
              x16 = XEXP (x15, 0);
              x17 = XEXP (x16, 0);
              operands[2] = x17;
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              if (aarch64_gather_scale_operand_b (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                  && 
#line 2222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6265; /* *aarch64_sve_gather_prefetchvnx16qivnx2di_sxtw */
              if (aarch64_gather_scale_operand_h (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                  && 
#line 2222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6266; /* *aarch64_sve_gather_prefetchvnx8hivnx2di_sxtw */
              if (aarch64_gather_scale_operand_w (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                  && 
#line 2222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6267; /* *aarch64_sve_gather_prefetchvnx4sivnx2di_sxtw */
              if (!aarch64_gather_scale_operand_d (operands[4], E_DImode)
                  || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                  || !
#line 2222 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 6268; /* *aarch64_sve_gather_prefetchvnx2divnx2di_sxtw */

            case AND:
              if (GET_MODE (x9) != E_VNx2DImode
                  || !register_operand (operands[0], E_VNx2BImode)
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x18 = XEXP (x9, 0);
              operands[2] = x18;
              if (!register_operand (operands[2], E_VNx2DImode))
                return -1;
              x19 = XEXP (x9, 1);
              operands[9] = x19;
              if (!aarch64_sve_uxtw_immediate (operands[9], E_VNx2DImode))
                return -1;
              if (aarch64_gather_scale_operand_b (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx16QImode)
                  && 
#line 2252 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6269; /* *aarch64_sve_gather_prefetchvnx16qivnx2di_uxtw */
              if (aarch64_gather_scale_operand_h (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx8HImode)
                  && 
#line 2252 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6270; /* *aarch64_sve_gather_prefetchvnx8hivnx2di_uxtw */
              if (aarch64_gather_scale_operand_w (operands[4], E_DImode)
                  && aarch64_simd_imm_zero (operands[5], E_VNx4SImode)
                  && 
#line 2252 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return 6271; /* *aarch64_sve_gather_prefetchvnx4sivnx2di_uxtw */
              if (!aarch64_gather_scale_operand_d (operands[4], E_DImode)
                  || !aarch64_simd_imm_zero (operands[5], E_VNx2DImode)
                  || !
#line 2252 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                return -1;
              return 6272; /* *aarch64_sve_gather_prefetchvnx2divnx2di_uxtw */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case TRAP_IF:
      x4 = XEXP (x1, 0);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x5 = XEXP (x1, 1);
      if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 8])
        return -1;
      return 32; /* trap */

    case RETURN:
      return 33; /* *do_return */

    case SIMPLE_RETURN:
      return 34; /* simple_return */

    default:
      return -1;
    }
}

 rtx_insn *
split_11 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return NULL;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HFmode:
      if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1131 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
          || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1164 (insn, operands);

    case E_VNx4SFmode:
      if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1142 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1175 (insn, operands);

    case E_VNx2DFmode:
      if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return NULL;
      x6 = XVECEXP (x3, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x7, operands[2])
          && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
        return gen_split_1153 (insn, operands);
      operands[4] = x6;
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
          || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_1186 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_18 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 1242 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1249 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2941 (insn, operands);
    }
  if (register_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 1269 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1274 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return gen_split_2949 (insn, operands);
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    return NULL;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1294 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))) && 
#line 1308 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2957 (insn, operands);
}

 rtx_insn *
split_24 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2848 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2889 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2929 (insn, operands);
}

 rtx_insn *
split_29 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2835 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2878 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !(
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2918 (insn, operands);
}

 rtx_insn *
split_34 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2822 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2867 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !(
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2907 (insn, operands);
}

 rtx_insn *
split_39 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2809 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2856 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2896 (insn, operands);
}

 rtx_insn *
split_44 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2842 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2884 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !(
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2924 (insn, operands);
}

 rtx_insn *
split_49 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2829 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2873 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !(
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2913 (insn, operands);
}

 rtx_insn *
split_55 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && (
#line 1040 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1045 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2804 (insn, operands);
  if (rtx_equal_p (x5, operands[3])
      && (
#line 1065 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1070 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
    return gen_split_2852 (insn, operands);
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !(
#line 1090 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 1100 "../../../gcc/config/aarch64/aarch64-sve2.md"
( 1)))
    return NULL;
  return gen_split_2892 (insn, operands);
}

 rtx_insn *
split_61 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1038 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && ((
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5479 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1681 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && ((
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5565 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1754 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !((
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5615 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1806 (insn, operands);

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1694 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1767 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1819 (insn, operands);

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1707 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1780 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1832 (insn, operands);

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5479 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1720 (insn, operands);
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)) && 
#line 5565 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1793 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5603 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5615 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1845 (insn, operands);

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1727 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !(
#line 5685 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1904 (insn, operands);

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1734 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !(
#line 5685 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1911 (insn, operands);

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5517 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 5522 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return gen_split_1741 (insn, operands);
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !(
#line 5685 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5691 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
        return NULL;
      return gen_split_1918 (insn, operands);

    case 7:
      if (!((
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)) && 
#line 5659 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8BFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1858 (insn, operands);

    case 8:
      if (!(
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1871 (insn, operands);

    case 9:
      if (!(
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1884 (insn, operands);

    case 10:
      if (!(
#line 5647 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 5659 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1897 (insn, operands);

    case 11:
      if (!(
#line 5721 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1925 (insn, operands);

    case 12:
      if (!(
#line 5721 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1932 (insn, operands);

    case 13:
      if (!(
#line 5721 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])) && 
#line 5727 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
        return NULL;
      return gen_split_1939 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_67 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XINT (x3, 1))
    {
    case 299:
      return split_7 (x1, insn);

    case 351:
      x4 = XVECEXP (x3, 0, 1);
      if (GET_CODE (x4) != CONST_INT)
        return NULL;
      if (XWINT (x4, 0) == 0L)
        {
          res = split_6 (x1, insn);
          if (res != NULL_RTX)
            return res;
        }
      operands[5] = x4;
      if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      if (GET_CODE (x5) != UNSPEC
          || XVECLEN (x5, 0) != 4
          || XINT (x5, 1) != 393)
        return NULL;
      x6 = XVECEXP (x5, 0, 1);
      operands[6] = x6;
      if (!aarch64_sve_gp_strictness (operands[6], E_SImode))
        return NULL;
      x7 = XVECEXP (x5, 0, 2);
      operands[2] = x7;
      x8 = XVECEXP (x5, 0, 3);
      operands[3] = x8;
      x9 = XVECEXP (x2, 0, 2);
      operands[4] = x9;
      switch (pattern1295 (x2))
        {
        case 0:
          if (!(
#line 6456 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 6466 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx8HFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1989 (insn, operands);

        case 1:
          if (!(
#line 6456 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 6466 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx4SFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1990 (insn, operands);

        case 2:
          if (!(
#line 6456 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 6466 "../../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed
   && register_operand (operands[4], VNx2DFmode)
   && !rtx_equal_p (operands[0], operands[4]))))
            return NULL;
          return gen_split_1991 (insn, operands);

        default:
          return NULL;
        }

    case 380:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1125 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1158 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1136 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1169 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1147 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1180 (insn, operands);

        default:
          return NULL;
        }

    case 383:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1126 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1159 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1137 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1170 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1148 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1181 (insn, operands);

        default:
          return NULL;
        }

    case 384:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1127 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1160 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1138 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1171 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1149 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1182 (insn, operands);

        default:
          return NULL;
        }

    case 385:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1128 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1161 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1139 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1172 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1150 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1183 (insn, operands);

        default:
          return NULL;
        }

    case 386:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1129 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1162 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1140 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1173 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1151 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1184 (insn, operands);

        default:
          return NULL;
        }

    case 387:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern858 (x2, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1130 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1163 (insn, operands);

        case E_VNx4SFmode:
          if (pattern858 (x2, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1141 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1174 (insn, operands);

        case E_VNx2DFmode:
          if (pattern858 (x2, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return NULL;
          x10 = XVECEXP (x3, 0, 0);
          operands[3] = x10;
          x9 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x9, operands[2])
              && (
#line 3710 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3715 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[3]))))
            return gen_split_1152 (insn, operands);
          operands[4] = x10;
          operands[3] = x9;
          if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DFmode)
              || !(
#line 3758 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])) && 
#line 3764 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_1185 (insn, operands);

        default:
          return NULL;
        }

    case 388:
      return split_11 (x1, insn);

    case 389:
      return split_10 (x1, insn);

    case 390:
      return split_9 (x1, insn);

    case 392:
      return split_8 (x1, insn);

    case 369:
      switch (pattern838 (x2))
        {
        case 0:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2643 (insn, operands);

        case 1:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2645 (insn, operands);

        case 2:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2647 (insn, operands);

        case 3:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2649 (insn, operands);

        case 4:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2651 (insn, operands);

        case 5:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2653 (insn, operands);

        case 6:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2655 (insn, operands);

        case 7:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2657 (insn, operands);

        case 8:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2659 (insn, operands);

        default:
          return NULL;
        }

    case 370:
      switch (pattern838 (x2))
        {
        case 0:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2644 (insn, operands);

        case 1:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2646 (insn, operands);

        case 2:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2648 (insn, operands);

        case 3:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2650 (insn, operands);

        case 4:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2652 (insn, operands);

        case 5:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2654 (insn, operands);

        case 6:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2656 (insn, operands);

        case 7:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2658 (insn, operands);

        case 8:
          if (!(
#line 9459 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9465 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2660 (insn, operands);

        default:
          return NULL;
        }

    case 394:
      switch (pattern840 (x2))
        {
        case 0:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2661 (insn, operands);

        case 1:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2667 (insn, operands);

        case 2:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2673 (insn, operands);

        case 3:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2663 (insn, operands);

        case 4:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2669 (insn, operands);

        case 5:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2675 (insn, operands);

        case 6:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2665 (insn, operands);

        case 7:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2671 (insn, operands);

        case 8:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2677 (insn, operands);

        default:
          return NULL;
        }

    case 397:
      switch (pattern840 (x2))
        {
        case 0:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2662 (insn, operands);

        case 1:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2668 (insn, operands);

        case 2:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2674 (insn, operands);

        case 3:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2664 (insn, operands);

        case 4:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2670 (insn, operands);

        case 5:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2676 (insn, operands);

        case 6:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2666 (insn, operands);

        case 7:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2672 (insn, operands);

        case 8:
          if (!(
#line 9646 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64) && 
#line 9652 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_2678 (insn, operands);

        default:
          return NULL;
        }

    case 78:
      switch (pattern843 (x2))
        {
        case 0:
          if (!(
#line 2894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3019 (insn, operands);

        case 1:
          if (!(
#line 2894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3021 (insn, operands);

        case 2:
          if (!(
#line 2894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3023 (insn, operands);

        case 3:
          if (!(
#line 2917 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3025 (insn, operands);

        case 4:
          if (!(
#line 2917 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3027 (insn, operands);

        case 5:
          if (!(
#line 2917 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3029 (insn, operands);

        default:
          return NULL;
        }

    case 103:
      switch (pattern843 (x2))
        {
        case 0:
          if (!(
#line 2894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3020 (insn, operands);

        case 1:
          if (!(
#line 2894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3022 (insn, operands);

        case 2:
          if (!(
#line 2894 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2899 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
            return NULL;
          return gen_split_3024 (insn, operands);

        case 3:
          if (!(
#line 2917 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3026 (insn, operands);

        case 4:
          if (!(
#line 2917 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3028 (insn, operands);

        case 5:
          if (!(
#line 2917 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 2922 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[5]))))
            return NULL;
          return gen_split_3030 (insn, operands);

        default:
          return NULL;
        }

    case 438:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x10 = XVECEXP (x3, 0, 0);
      operands[4] = x10;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      x9 = XVECEXP (x2, 0, 2);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx4SFmode:
          if (pattern1150 (x2, 
E_VNx4SFmode, 
E_VNx8HFmode, 
E_VNx4BImode) != 0
              || !(
#line 3178 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3180 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3037 (insn, operands);

        case E_VNx2DFmode:
          if (pattern1150 (x2, 
E_VNx2DFmode, 
E_VNx4SFmode, 
E_VNx2BImode) != 0
              || !(
#line 3178 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 3180 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3038 (insn, operands);

        default:
          return NULL;
        }

    case 440:
      if (GET_MODE (x3) != E_VNx4SFmode)
        return NULL;
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || !register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x2) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx2BImode))
        return NULL;
      x10 = XVECEXP (x3, 0, 0);
      operands[4] = x10;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      if (!register_operand (operands[2], E_VNx2DFmode))
        return NULL;
      x9 = XVECEXP (x2, 0, 2);
      operands[3] = x9;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SFmode)
          || !(
#line 3279 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3285 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
        return NULL;
      return gen_split_3039 (insn, operands);

    case 442:
      x4 = XVECEXP (x3, 0, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return NULL;
      x10 = XVECEXP (x3, 0, 0);
      operands[4] = x10;
      x5 = XVECEXP (x3, 0, 2);
      operands[2] = x5;
      x9 = XVECEXP (x2, 0, 2);
      operands[3] = x9;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HImode:
          if (pattern1151 (x2, 
E_VNx8HImode, 
E_VNx8HFmode, 
E_VNx8BImode) != 0
              || !(
#line 3563 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3569 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3042 (insn, operands);

        case E_VNx4SImode:
          if (pattern1151 (x2, 
E_VNx4SImode, 
E_VNx4SFmode, 
E_VNx4BImode) != 0
              || !(
#line 3563 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3569 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3043 (insn, operands);

        case E_VNx2DImode:
          if (pattern1151 (x2, 
E_VNx2DImode, 
E_VNx2DFmode, 
E_VNx2BImode) != 0
              || !(
#line 3563 "../../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && !rtx_equal_p (operands[2], operands[3])) && 
#line 3569 "../../../gcc/config/aarch64/aarch64-sve2.md"
( !rtx_equal_p (operands[1], operands[4]))))
            return NULL;
          return gen_split_3044 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_80 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      x5 = XEXP (x3, 1);
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern694 (x3, 
E_SImode) != 0)
            return NULL;
          return gen_split_37 (insn, operands);

        case E_DImode:
          if (pattern694 (x3, 
E_DImode) != 0)
            return NULL;
          return gen_split_38 (insn, operands);

        default:
          return NULL;
        }

    case AND:
      x6 = XEXP (x4, 0);
      switch (GET_CODE (x6))
        {
        case LSHIFTRT:
          switch (pattern447 (x3))
            {
            case 0:
              if (!
#line 5164 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   SImode)))
                return NULL;
              return gen_split_39 (insn, operands);

            case 1:
              if (!
#line 5164 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   DImode)))
                return NULL;
              return gen_split_43 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFT:
          switch (pattern448 (x3))
            {
            case 0:
              if (!
#line 5186 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[3]))
   && (AND != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_47 (insn, operands);

            case 1:
              if (!
#line 5186 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[3]))
   && (AND != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_51 (insn, operands);

            case 2:
              if (!
#line 5215 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[4]))
   && (AND != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_55 (insn, operands);

            case 3:
              if (!
#line 5215 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[4]))
   && (AND != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_59 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case ASHIFT:
      x7 = XEXP (x4, 1);
      operands[2] = x7;
      x6 = XEXP (x4, 0);
      switch (GET_CODE (x6))
        {
        case SIGN_EXTEND:
          x5 = XEXP (x3, 1);
          if (GET_CODE (x5) != SIGN_EXTEND)
            return NULL;
          x8 = XEXP (x6, 0);
          operands[1] = x8;
          if (!register_operand (operands[1], E_VOIDmode))
            return NULL;
          switch (pattern361 (x3))
            {
            case 0:
              if (!
#line 5238 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
                return NULL;
              return gen_split_63 (insn, operands);

            case 1:
              if (!
#line 5238 "../../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
                return NULL;
              return gen_split_66 (insn, operands);

            default:
              return NULL;
            }

        case REG:
        case SUBREG:
          operands[1] = x6;
          if (!register_operand (operands[1], E_DImode)
              || !register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || GET_MODE (x4) != E_DImode
              || !const_int_operand (operands[2], E_VOIDmode))
            return NULL;
          x5 = XEXP (x3, 1);
          operands[3] = x5;
          if (!const_int_operand (operands[3], E_VOIDmode)
              || !
#line 6685 "../../../gcc/config/aarch64/aarch64.md"
(aarch64_mask_and_shift_for_ubfiz_p (DImode, operands[3], operands[2])
  && (INTVAL (operands[2]) + popcount_hwi (INTVAL (operands[3])))
      == GET_MODE_BITSIZE (SImode)))
            return NULL;
          return gen_split_126 (insn, operands);

        default:
          return NULL;
        }

    case UNSPEC:
      switch (XVECLEN (x4, 0))
        {
        case 2:
          switch (pattern401 (x3))
            {
            case 0:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1489 (insn, operands);

            case 1:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1490 (insn, operands);

            case 2:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1491 (insn, operands);

            case 3:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1492 (insn, operands);

            case 4:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1493 (insn, operands);

            case 5:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1494 (insn, operands);

            case 6:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1495 (insn, operands);

            case 7:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1496 (insn, operands);

            case 8:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1497 (insn, operands);

            case 9:
              if (!(
#line 4757 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 4759 "../../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
                return NULL;
              return gen_split_1498 (insn, operands);

            default:
              return NULL;
            }

        case 4:
          switch (pattern404 (x3))
            {
            case 0:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2568 (insn, operands);

            case 1:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2574 (insn, operands);

            case 2:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2580 (insn, operands);

            case 3:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2569 (insn, operands);

            case 4:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2575 (insn, operands);

            case 5:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2581 (insn, operands);

            case 6:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2570 (insn, operands);

            case 7:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2576 (insn, operands);

            case 8:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2582 (insn, operands);

            case 9:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2571 (insn, operands);

            case 10:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2577 (insn, operands);

            case 11:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2583 (insn, operands);

            case 12:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2572 (insn, operands);

            case 13:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2578 (insn, operands);

            case 14:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2584 (insn, operands);

            case 15:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2573 (insn, operands);

            case 16:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2579 (insn, operands);

            case 17:
              if (!(
#line 8550 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8552 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2585 (insn, operands);

            case 18:
              if (!(
#line 8573 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8575 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2586 (insn, operands);

            case 19:
              if (!(
#line 8573 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8575 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2587 (insn, operands);

            case 20:
              if (!(
#line 8573 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 8575 "../../../gcc/config/aarch64/aarch64-sve.md"
( 1)))
                return NULL;
              return gen_split_2588 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_106 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2435 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2445 (insn, operands);
}

 rtx_insn *
split_111 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2494 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2504 (insn, operands);
}

 rtx_insn *
split_118 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2513 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2523 (insn, operands);
}

 rtx_insn *
split_125 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2532 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8463 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8467 "../../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2542 (insn, operands);
}

 rtx_insn *
split_133 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  switch (pattern1326 (x1, 
GTU))
    {
    case 0:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2117 (insn, operands);

    case 1:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2127 (insn, operands);

    case 2:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2157 (insn, operands);

    case 3:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2137 (insn, operands);

    case 4:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2167 (insn, operands);

    case 5:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2187 (insn, operands);

    case 6:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2147 (insn, operands);

    case 7:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2177 (insn, operands);

    case 8:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2197 (insn, operands);

    case 9:
      if (!(
#line 8219 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8229 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2207 (insn, operands);

    case 10:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2217 (insn, operands);

    case 11:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2227 (insn, operands);

    case 12:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2257 (insn, operands);

    case 13:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2237 (insn, operands);

    case 14:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2267 (insn, operands);

    case 15:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2287 (insn, operands);

    case 16:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2247 (insn, operands);

    case 17:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2277 (insn, operands);

    case 18:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2297 (insn, operands);

    case 19:
      if (!(
#line 8253 "../../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && aarch64_sve_same_pred_for_ptest_p (&operands[4], &operands[6])) && 
#line 8263 "../../../gcc/config/aarch64/aarch64-sve.md"
( !rtx_equal_p (operands[4], operands[6]))))
        return NULL;
      return gen_split_2307 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_1 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_DFmode)
      && memory_operand (operands[1], E_DFmode))
    {
      switch (GET_MODE (operands[2]))
        {
        case E_DFmode:
          if (register_operand (operands[2], E_DFmode)
              && memory_operand (operands[3], E_DFmode)
              && 
#line 50 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_17 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case E_V8QImode:
          if (register_operand (operands[2], E_V8QImode)
              && memory_operand (operands[3], E_V8QImode)
              && 
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_25 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case E_V4HImode:
          if (register_operand (operands[2], E_V4HImode)
              && memory_operand (operands[3], E_V4HImode)
              && 
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_31 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case E_V4HFmode:
          if (register_operand (operands[2], E_V4HFmode)
              && memory_operand (operands[3], E_V4HFmode)
              && 
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_37 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case E_V2SImode:
          if (register_operand (operands[2], E_V2SImode)
              && memory_operand (operands[3], E_V2SImode)
              && 
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_43 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case E_V2SFmode:
          if (register_operand (operands[2], E_V2SFmode)
              && memory_operand (operands[3], E_V2SFmode)
              && 
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_49 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (memory_operand (operands[0], E_DFmode))
    {
      if (aarch64_reg_or_fp_zero (operands[1], E_DFmode)
          && memory_operand (operands[2], E_DFmode)
          && aarch64_reg_or_fp_zero (operands[3], E_DFmode)
          && 
#line 62 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
        {
          *pmatch_len_ = 1;
          res = gen_peephole2_19 (insn, operands);
          if (res != NULL_RTX)
            return res;
        }
      if (register_operand (operands[1], E_DFmode))
        {
          switch (GET_MODE (operands[2]))
            {
            case E_V8QImode:
              if (memory_operand (operands[2], E_V8QImode)
                  && register_operand (operands[3], E_V8QImode)
                  && 
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_61 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case E_V4HImode:
              if (memory_operand (operands[2], E_V4HImode)
                  && register_operand (operands[3], E_V4HImode)
                  && 
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_67 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case E_V4HFmode:
              if (memory_operand (operands[2], E_V4HFmode)
                  && register_operand (operands[3], E_V4HFmode)
                  && 
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_73 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case E_V2SImode:
              if (memory_operand (operands[2], E_V2SImode)
                  && register_operand (operands[3], E_V2SImode)
                  && 
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_79 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case E_V2SFmode:
              if (memory_operand (operands[2], E_V2SFmode)
                  && register_operand (operands[3], E_V2SFmode)
                  && 
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_85 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            default:
              break;
            }
        }
      if (aarch64_reg_zero_or_fp_zero (operands[1], E_DFmode)
          && memory_operand (operands[2], E_DImode)
          && aarch64_reg_zero_or_fp_zero (operands[3], E_DImode)
          && 
#line 161 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
        {
          *pmatch_len_ = 1;
          res = gen_peephole2_222 (insn, operands);
          if (res != NULL_RTX)
            return res;
        }
    }
  if (register_operand (operands[0], E_DFmode)
      && memory_operand (operands[1], E_DFmode)
      && register_operand (operands[2], E_DFmode)
      && memory_operand (operands[3], E_DFmode)
      && 
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
    {
      *pmatch_len_ = 1;
      res = gen_peephole2_55 (insn, operands);
      if (res != NULL_RTX)
        return res;
    }
  if (memory_operand (operands[0], E_DFmode)
      && register_operand (operands[1], E_DFmode)
      && memory_operand (operands[2], E_DFmode)
      && register_operand (operands[3], E_DFmode)
      && 
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
    {
      *pmatch_len_ = 1;
      res = gen_peephole2_91 (insn, operands);
      if (res != NULL_RTX)
        return res;
    }
  if (peep2_current_count < 3
      || peep2_current_count < 4)
    return NULL;
  x2 = PATTERN (peep2_next_insn (2));
  if (GET_CODE (x2) != SET)
    return NULL;
  x3 = XEXP (x2, 0);
  operands[4] = x3;
  if (register_operand (operands[4], E_DFmode))
    {
      x4 = XEXP (x2, 1);
      if (pattern1154 (x4, 
E_DFmode) == 0
          && 
#line 204 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, DFmode)))
        {
          *pmatch_len_ = 3;
          res = gen_peephole2_229 (insn, operands);
          if (res != NULL_RTX)
            return res;
        }
    }
  if (!memory_operand (operands[4], E_DFmode))
    return NULL;
  x4 = XEXP (x2, 1);
  if (pattern1156 (x4, 
E_DFmode) != 0
      || !
#line 284 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, DFmode)))
    return NULL;
  *pmatch_len_ = 3;
  return gen_peephole2_235 (insn, operands);
}

 rtx_insn *
peephole2_5 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_V8BFmode))
    {
      switch (pattern925 (
E_V8BFmode))
        {
        case 0:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_148 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 1:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_149 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 2:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_150 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 3:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_151 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 4:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_152 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 5:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_153 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 6:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_154 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 7:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_155 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (!memory_operand (operands[0], E_V8BFmode)
      || !register_operand (operands[1], E_V8BFmode))
    return NULL;
  switch (pattern980 ())
    {
    case 0:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_212 (insn, operands);

    case 1:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_213 (insn, operands);

    case 2:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_214 (insn, operands);

    case 3:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_215 (insn, operands);

    case 4:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_216 (insn, operands);

    case 5:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_217 (insn, operands);

    case 6:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_218 (insn, operands);

    case 7:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_219 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_8 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_V8HImode))
    {
      switch (pattern925 (
E_V8HImode))
        {
        case 0:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_100 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 1:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_101 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 2:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_102 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 3:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_103 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 4:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_104 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 5:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_105 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 6:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_106 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 7:
          if (
#line 98 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_107 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (!memory_operand (operands[0], E_V8HImode)
      || !register_operand (operands[1], E_V8HImode))
    return NULL;
  switch (pattern980 ())
    {
    case 0:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_164 (insn, operands);

    case 1:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_165 (insn, operands);

    case 2:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_166 (insn, operands);

    case 3:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_167 (insn, operands);

    case 4:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_168 (insn, operands);

    case 5:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_169 (insn, operands);

    case 6:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_170 (insn, operands);

    case 7:
      if (!
#line 111 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_171 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_12 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (peep2_current_count < 2)
    return NULL;
  x2 = XEXP (x1, 1);
  operands[1] = x2;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  x4 = PATTERN (peep2_next_insn (1));
  if (GET_CODE (x4) != SET)
    return NULL;
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (register_operand (operands[0], E_SImode)
          && memory_operand (operands[1], E_SImode)
          && register_operand (operands[2], E_SImode)
          && memory_operand (operands[3], E_SImode)
          && 
#line 26 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
        {
          *pmatch_len_ = 1;
          res = gen_peephole2_12 (insn, operands);
          if (res != NULL_RTX)
            return res;
        }
      if (memory_operand (operands[0], E_SImode))
        {
          if (aarch64_reg_or_zero (operands[1], E_SImode)
              && memory_operand (operands[2], E_SImode)
              && aarch64_reg_or_zero (operands[3], E_SImode)
              && 
#line 38 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_14 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          if (aarch64_reg_zero_or_fp_zero (operands[1], E_SImode)
              && memory_operand (operands[2], E_SFmode)
              && aarch64_reg_zero_or_fp_zero (operands[3], E_SFmode)
              && 
#line 161 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_225 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (peep2_current_count < 3
          || peep2_current_count < 4)
        return NULL;
      x7 = PATTERN (peep2_next_insn (2));
      if (GET_CODE (x7) != SET)
        return NULL;
      x8 = XEXP (x7, 0);
      operands[4] = x8;
      if (register_operand (operands[4], E_SImode))
        {
          x9 = XEXP (x7, 1);
          if (pattern1154 (x9, 
E_SImode) == 0
              && 
#line 184 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SImode)))
            {
              *pmatch_len_ = 3;
              res = gen_peephole2_226 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (!memory_operand (operands[4], E_SImode))
        return NULL;
      x9 = XEXP (x7, 1);
      if (pattern1155 (x9, 
E_SImode) != 0
          || !
#line 264 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, SImode)))
        return NULL;
      *pmatch_len_ = 3;
      return gen_peephole2_232 (insn, operands);

    case E_DImode:
      if (register_operand (operands[0], E_DImode)
          && memory_operand (operands[1], E_DImode)
          && register_operand (operands[2], E_DImode)
          && memory_operand (operands[3], E_DImode)
          && 
#line 26 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
        {
          *pmatch_len_ = 1;
          res = gen_peephole2_13 (insn, operands);
          if (res != NULL_RTX)
            return res;
        }
      if (memory_operand (operands[0], E_DImode))
        {
          if (aarch64_reg_or_zero (operands[1], E_DImode)
              && memory_operand (operands[2], E_DImode)
              && aarch64_reg_or_zero (operands[3], E_DImode)
              && 
#line 38 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_15 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          if (aarch64_reg_zero_or_fp_zero (operands[1], E_DImode)
              && memory_operand (operands[2], E_DFmode)
              && aarch64_reg_zero_or_fp_zero (operands[3], E_DFmode)
              && 
#line 161 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_223 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (peep2_current_count < 3
          || peep2_current_count < 4)
        return NULL;
      x7 = PATTERN (peep2_next_insn (2));
      if (GET_CODE (x7) != SET)
        return NULL;
      x8 = XEXP (x7, 0);
      operands[4] = x8;
      if (register_operand (operands[4], E_DImode))
        {
          x9 = XEXP (x7, 1);
          if (pattern1154 (x9, 
E_DImode) == 0
              && 
#line 184 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, DImode)))
            {
              *pmatch_len_ = 3;
              res = gen_peephole2_227 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (!memory_operand (operands[4], E_DImode))
        return NULL;
      x9 = XEXP (x7, 1);
      if (pattern1155 (x9, 
E_DImode) != 0
          || !
#line 264 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, DImode)))
        return NULL;
      *pmatch_len_ = 3;
      return gen_peephole2_233 (insn, operands);

    case E_SFmode:
      if (register_operand (operands[0], E_SFmode)
          && memory_operand (operands[1], E_SFmode)
          && register_operand (operands[2], E_SFmode)
          && memory_operand (operands[3], E_SFmode)
          && 
#line 50 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
        {
          *pmatch_len_ = 1;
          res = gen_peephole2_16 (insn, operands);
          if (res != NULL_RTX)
            return res;
        }
      if (memory_operand (operands[0], E_SFmode))
        {
          if (aarch64_reg_or_fp_zero (operands[1], E_SFmode)
              && memory_operand (operands[2], E_SFmode)
              && aarch64_reg_or_fp_zero (operands[3], E_SFmode)
              && 
#line 62 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_18 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          if (aarch64_reg_zero_or_fp_zero (operands[1], E_SFmode)
              && memory_operand (operands[2], E_SImode)
              && aarch64_reg_zero_or_fp_zero (operands[3], E_SImode)
              && 
#line 161 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_224 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (peep2_current_count < 3
          || peep2_current_count < 4)
        return NULL;
      x7 = PATTERN (peep2_next_insn (2));
      if (GET_CODE (x7) != SET)
        return NULL;
      x8 = XEXP (x7, 0);
      operands[4] = x8;
      if (register_operand (operands[4], E_SFmode))
        {
          x9 = XEXP (x7, 1);
          if (pattern1154 (x9, 
E_SFmode) == 0
              && 
#line 204 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, true, SFmode)))
            {
              *pmatch_len_ = 3;
              res = gen_peephole2_228 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
        }
      if (!memory_operand (operands[4], E_SFmode))
        return NULL;
      x9 = XEXP (x7, 1);
      if (pattern1156 (x9, 
E_SFmode) != 0
          || !
#line 284 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_adjust_ok_for_ldpstp (operands, false, SFmode)))
        return NULL;
      *pmatch_len_ = 3;
      return gen_peephole2_234 (insn, operands);

    case E_DFmode:
      return peephole2_1 (x1, insn, pmatch_len_);

    case E_V8QImode:
      if (register_operand (operands[0], E_V8QImode))
        {
          switch (pattern922 (
E_V8QImode))
            {
            case 0:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_20 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 1:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_26 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 2:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_32 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 3:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_38 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 4:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_44 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 5:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_50 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            default:
              break;
            }
        }
      if (!memory_operand (operands[0], E_V8QImode)
          || !register_operand (operands[1], E_V8QImode))
        return NULL;
      switch (pattern977 ())
        {
        case 0:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_56 (insn, operands);

        case 1:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_62 (insn, operands);

        case 2:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_68 (insn, operands);

        case 3:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_74 (insn, operands);

        case 4:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_80 (insn, operands);

        case 5:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_86 (insn, operands);

        default:
          return NULL;
        }

    case E_V4HImode:
      if (register_operand (operands[0], E_V4HImode))
        {
          switch (pattern922 (
E_V4HImode))
            {
            case 0:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_21 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 1:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_27 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 2:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_33 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 3:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_39 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 4:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_45 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 5:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_51 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            default:
              break;
            }
        }
      if (!memory_operand (operands[0], E_V4HImode)
          || !register_operand (operands[1], E_V4HImode))
        return NULL;
      switch (pattern977 ())
        {
        case 0:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_57 (insn, operands);

        case 1:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_63 (insn, operands);

        case 2:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_69 (insn, operands);

        case 3:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_75 (insn, operands);

        case 4:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_81 (insn, operands);

        case 5:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_87 (insn, operands);

        default:
          return NULL;
        }

    case E_V4HFmode:
      if (register_operand (operands[0], E_V4HFmode))
        {
          switch (pattern922 (
E_V4HFmode))
            {
            case 0:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_22 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 1:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_28 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 2:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_34 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 3:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_40 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 4:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_46 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            case 5:
              if (
#line 74 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, true)))
                {
                  *pmatch_len_ = 1;
                  res = gen_peephole2_52 (insn, operands);
                  if (res != NULL_RTX)
                    return res;
                }
              break;

            default:
              break;
            }
        }
      if (!memory_operand (operands[0], E_V4HFmode)
          || !register_operand (operands[1], E_V4HFmode))
        return NULL;
      switch (pattern977 ())
        {
        case 0:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_58 (insn, operands);

        case 1:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_64 (insn, operands);

        case 2:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_70 (insn, operands);

        case 3:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_76 (insn, operands);

        case 4:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_82 (insn, operands);

        case 5:
          if (!
#line 86 "../../../gcc/config/aarch64/aarch64-ldpstp.md"
(aarch64_operands_ok_for_ldpstp (operands, false)))
            return NULL;
          *pmatch_len_ = 1;
          return gen_peephole2_88 (insn, operands);

        default:
          return NULL;
        }

    case E_V2SImode:
      return peephole2_11 (x1, insn, pmatch_len_);

    case E_V2SFmode:
      return peephole2_10 (x1, insn, pmatch_len_);

    case E_V16QImode:
      return peephole2_9 (x1, insn, pmatch_len_);

    case E_V8HImode:
      return peephole2_8 (x1, insn, pmatch_len_);

    case E_V4SImode:
      return peephole2_7 (x1, insn, pmatch_len_);

    case E_V2DImode:
      return peephole2_3 (x1, insn, pmatch_len_);

    case E_V8HFmode:
      return peephole2_6 (x1, insn, pmatch_len_);

    case E_V4SFmode:
      return peephole2_4 (x1, insn, pmatch_len_);

    case E_V2DFmode:
      return peephole2_2 (x1, insn, pmatch_len_);

    case E_V8BFmode:
      return peephole2_5 (x1, insn, pmatch_len_);

    default:
      return NULL;
    }
}
